package com.tuoheng.common.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class CommonConfig {

    /**
     * 图片域名
     */
    public static String imageURL;


    /**
     * 本地文件域名
     */
    public static String localFileURL;

    /**
     * 图片域名赋值
     *
     * @param url 域名地址
     */
    @Value("${tuoheng.image-url}")
    public void setImageURL(String url) {
        imageURL = url;
    }

    /**
     * 本地文件域名赋值
     *
     * @param url 域名地址
     */
    @Value("${tuoheng.localFile-url}")
    public void setLocalFileURL(String url) {
        localFileURL = url;
    }

}
