/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.11.13
 Source Server Type    : MySQL
 Source Server Version : 80026
 Source Host           : 192.168.11.13:3306
 Source Schema         : tuoheng_airport

 Target Server Type    : MySQL
 Target Server Version : 80026
 File Encoding         : 65001

 Date: 19/05/2023 09:03:57
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for airport_log
-- ----------------------------
DROP TABLE IF EXISTS `airport_log`;
CREATE TABLE `airport_log`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '编号',
  `aid` int NULL DEFAULT 0 COMMENT '机场id',
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0',
  `type` int NULL DEFAULT NULL COMMENT '1无人机，2机场',
  `value` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '操作详情',
  `status` int NULL DEFAULT 0 COMMENT '0：警告1：失败，2;成功',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '添加时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  `taskid` int NULL DEFAULT NULL COMMENT '关联任务',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '反馈信息',
  `aname` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '机场名称',
  `platformcode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '平台代码',
  `platformName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '平台名称',
  `run_status` int NULL DEFAULT NULL COMMENT '运行状态1自检 2 出舱 3 无人机自检 4 飞行中  5返航 6回仓',
  `recordid` int NULL DEFAULT NULL COMMENT '任务记录id',
  `task_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属任务名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8019 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '行政区划表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of airport_log
-- ----------------------------
INSERT INTO `airport_log` VALUES (4460, 3, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-09-15 09:27:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '南京');
INSERT INTO `airport_log` VALUES (4461, 3, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-09-15 09:27:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4462, 3, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-09-15 09:27:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4463, 3, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-09-15 09:28:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4464, 3, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-09-15 09:28:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4465, 3, '无人机下降(50)', 2, '无人机下降(50)', 2, 0, '2022-09-15 09:28:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4466, 3, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-09-15 09:28:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4467, 3, '无人机下降(200)', 2, '无人机下降(200)', 2, 0, '2022-09-15 09:28:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4468, 3, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-09-15 09:28:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4469, 3, '无人机下降(200)', 2, '无人机下降(200)', 2, 0, '2022-09-15 09:28:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4470, 3, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-09-15 09:28:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4471, 3, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-09-15 09:28:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4472, 3, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-09-15 09:28:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4473, 3, '无人机右移(200)', 2, '无人机右移(200)', 2, 0, '2022-09-15 09:28:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4474, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:28:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4475, 3, '无人机左旋(200)', 2, '无人机左旋(200)', 2, 0, '2022-09-15 09:28:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4476, 3, '停止无人机左旋操作', 2, '停止无人机左旋操作', 2, 0, '2022-09-15 09:28:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4477, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:29:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4478, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:29:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4479, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:29:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4480, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:29:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4481, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:29:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4482, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:29:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4483, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:29:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4484, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:29:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4485, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:29:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4486, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:29:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4487, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:29:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4488, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:29:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4489, 3, '无人机左移(300)', 2, '无人机左移(300)', 2, 0, '2022-09-15 09:29:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4490, 3, '停止无人机左移操作', 2, '停止无人机左移操作', 2, 0, '2022-09-15 09:29:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4491, 3, '无人机后退(300)', 2, '无人机后退(300)', 2, 0, '2022-09-15 09:29:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4492, 3, '停止无人机后退操作', 2, '停止无人机后退操作', 2, 0, '2022-09-15 09:29:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4493, 3, '无人机前进(300)', 2, '无人机前进(300)', 2, 0, '2022-09-15 09:29:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4494, 3, '停止无人机前进操作', 2, '停止无人机前进操作', 2, 0, '2022-09-15 09:29:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4495, 3, '无人机前进(300)', 2, '无人机前进(300)', 2, 0, '2022-09-15 09:29:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4496, 3, '停止无人机前进操作', 2, '停止无人机前进操作', 2, 0, '2022-09-15 09:29:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4497, 3, '无人机前进(300)', 2, '无人机前进(300)', 2, 0, '2022-09-15 09:29:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4498, 3, '停止无人机前进操作', 2, '停止无人机前进操作', 2, 0, '2022-09-15 09:29:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4499, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:30:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4500, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:30:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4501, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:30:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4502, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:30:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4503, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:30:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4504, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:30:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4505, 3, '无人机右移(200)', 2, '无人机右移(200)', 2, 0, '2022-09-15 09:31:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4506, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:31:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4507, 3, '无人机前进(300)', 2, '无人机前进(300)', 2, 0, '2022-09-15 09:31:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4508, 3, '停止无人机前进操作', 2, '停止无人机前进操作', 2, 0, '2022-09-15 09:31:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4509, 3, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-09-15 09:31:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4510, 3, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-09-15 09:31:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4511, 3, '无人机下降(200)', 2, '无人机下降(200)', 2, 0, '2022-09-15 09:31:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4512, 3, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-09-15 09:31:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4513, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:34:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4514, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:34:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4515, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:34:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4516, 3, '无人机右移(200)', 2, '无人机右移(200)', 2, 0, '2022-09-15 09:34:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4517, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:34:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4518, 3, '无人机后退(300)', 2, '无人机后退(300)', 2, 0, '2022-09-15 09:34:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4519, 3, '停止无人机后退操作', 2, '停止无人机后退操作', 2, 0, '2022-09-15 09:34:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4520, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:34:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4521, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:34:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4522, 3, '无人机右移(300)', 2, '无人机右移(300)', 2, 0, '2022-09-15 09:34:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4523, 3, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-09-15 09:34:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4524, 3, '无人机前进(300)', 2, '无人机前进(300)', 2, 0, '2022-09-15 09:34:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4525, 3, '停止无人机前进操作', 2, '停止无人机前进操作', 2, 0, '2022-09-15 09:34:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4526, 3, '无人机左移(300)', 2, '无人机左移(300)', 2, 0, '2022-09-15 09:34:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4527, 3, '停止无人机左移操作', 2, '停止无人机左移操作', 2, 0, '2022-09-15 09:34:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4528, 3, '无人机左旋(200)', 2, '无人机左旋(200)', 2, 0, '2022-09-15 09:34:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4529, 3, '停止无人机左旋操作', 2, '停止无人机左旋操作', 2, 0, '2022-09-15 09:34:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4530, 3, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-09-15 09:34:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4531, 3, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-09-15 09:34:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4532, 3, '无人机下降(200)', 2, '无人机下降(200)', 2, 0, '2022-09-15 09:34:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4533, 3, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-09-15 09:35:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4534, 3, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-20 16:50:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4535, 3, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-09-21 13:18:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4536, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:35:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4537, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:35:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4538, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:36:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4539, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:36:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4540, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:36:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4541, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:36:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4542, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 13:36:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4543, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:36:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4544, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:36:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4545, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:36:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4546, 3, '', 2, '', 2, 0, '2022-09-21 13:36:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4547, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:36:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4548, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:37:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4549, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:37:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4550, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 13:37:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4551, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:37:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4552, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:37:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4553, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:37:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4554, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:38:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4555, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:38:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4556, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:38:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4557, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:38:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4558, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 13:38:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4559, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:38:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4560, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 13:38:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4561, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:38:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4562, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:38:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4563, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:38:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4564, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:38:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4565, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:38:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4566, 3, '云台右转', 2, '云台右转', 2, 0, '2022-09-21 13:39:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4567, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:39:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4568, 3, '', 2, '', 2, 0, '2022-09-21 13:39:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4569, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:39:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4570, 3, '', 2, '', 2, 0, '2022-09-21 13:39:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4571, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:39:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4572, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:39:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4573, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:39:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4574, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:39:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4575, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:39:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4576, 3, '云台右转', 2, '云台右转', 2, 0, '2022-09-21 13:40:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4577, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4578, 3, '云台右转', 2, '云台右转', 2, 0, '2022-09-21 13:40:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4579, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4580, 3, '云台右转', 2, '云台右转', 2, 0, '2022-09-21 13:40:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4581, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4582, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:40:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4583, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4584, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:40:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4585, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4586, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:40:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4587, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4588, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:40:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4589, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4590, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:40:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4591, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4592, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:40:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4593, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4594, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:40:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4595, 3, '云台右转', 2, '云台右转', 2, 0, '2022-09-21 13:40:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4596, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:40:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4597, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4598, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4599, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:40:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4600, 3, '云台右转', 2, '云台右转', 2, 0, '2022-09-21 13:40:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4601, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4602, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:40:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4603, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4604, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:40:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4605, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:40:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4606, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 13:41:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4607, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:41:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4608, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 13:42:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4609, 3, '云台右转', 2, '云台右转', 2, 0, '2022-09-21 13:42:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4610, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:42:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4611, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 13:42:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4612, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:42:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4613, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:42:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4614, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:42:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4615, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 13:42:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4616, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:42:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4617, 3, '云台右转', 2, '云台右转', 2, 0, '2022-09-21 13:42:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4618, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:42:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4619, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:42:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4620, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:42:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4621, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 13:42:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4622, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:42:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4623, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 13:43:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4624, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:43:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4625, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 13:43:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4626, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:43:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4627, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 13:45:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4628, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:45:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4629, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 13:45:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4630, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:45:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4631, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 13:45:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4632, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:45:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4633, 3, '', 2, '', 2, 0, '2022-09-21 13:46:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4634, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:46:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4635, 3, '', 2, '', 2, 0, '2022-09-21 13:46:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4636, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:46:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4637, 3, '', 2, '', 2, 0, '2022-09-21 13:46:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4638, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:46:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4639, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:46:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4640, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:46:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4641, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 13:47:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4642, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:47:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4643, 3, '', 2, '', 2, 0, '2022-09-21 13:47:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4644, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:47:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4645, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:52:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4646, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:52:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4647, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:52:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4648, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:52:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4649, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:52:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4650, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:53:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4651, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:53:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4652, 3, '云台右转', 2, '云台右转', 2, 0, '2022-09-21 13:53:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4653, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:53:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4654, 3, '', 2, '', 2, 0, '2022-09-21 13:54:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4655, 3, '', 2, '', 2, 0, '2022-09-21 13:57:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4656, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:57:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4657, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:57:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4658, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:57:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4659, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:59:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4660, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:59:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4661, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 13:59:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4662, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:59:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4663, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:59:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4664, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:59:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4665, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 13:59:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4666, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 13:59:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4667, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 14:00:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4668, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:00:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4669, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 14:00:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4670, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:00:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4671, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 14:00:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4672, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:00:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4673, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 14:00:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4674, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 14:00:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4675, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:01:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4676, 3, '', 2, '', 2, 0, '2022-09-21 14:01:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4677, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:01:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4678, 3, '', 2, '', 2, 0, '2022-09-21 14:02:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4679, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:02:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4680, 3, '', 2, '', 2, 0, '2022-09-21 14:02:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4681, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:02:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4682, 3, '', 2, '', 2, 0, '2022-09-21 14:02:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4683, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:02:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4684, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:02:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4685, 3, '', 2, '', 2, 0, '2022-09-21 14:02:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4686, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:03:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4687, 3, '', 2, '', 2, 0, '2022-09-21 14:04:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4688, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:04:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4689, 3, '', 2, '', 2, 0, '2022-09-21 14:04:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4690, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:04:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4691, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 14:05:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4692, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:05:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4693, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 14:05:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4694, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:05:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4695, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 14:06:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4696, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:06:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4697, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 14:06:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4698, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:06:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4699, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 14:06:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4700, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:06:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4701, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 14:06:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4702, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:06:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4703, 3, '', 2, '', 2, 0, '2022-09-21 14:06:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4704, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:06:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4705, 3, '', 2, '', 2, 0, '2022-09-21 14:06:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4706, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:07:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4707, 3, '', 2, '', 2, 0, '2022-09-21 14:07:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4708, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:07:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4709, 3, '', 2, '', 2, 0, '2022-09-21 14:17:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4710, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:17:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4711, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 14:17:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4712, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:17:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4713, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 14:17:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4714, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:17:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4715, 3, '云台放大', 2, '云台放大', 2, 0, '2022-09-21 14:18:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4716, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:18:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4717, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 14:18:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4718, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:18:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4719, 3, '', 2, '', 2, 0, '2022-09-21 14:18:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4720, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:18:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4721, 3, '', 2, '', 2, 0, '2022-09-21 14:18:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4722, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:18:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4723, 3, '', 2, '', 2, 0, '2022-09-21 14:18:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4724, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:18:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4725, 3, '', 2, '', 2, 0, '2022-09-21 14:18:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4726, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:18:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4727, 3, '', 2, '', 2, 0, '2022-09-21 14:18:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4728, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:18:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4729, 3, '', 2, '', 2, 0, '2022-09-21 14:18:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4730, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:18:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4731, 3, '', 2, '', 2, 0, '2022-09-21 14:18:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4732, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:18:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4733, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 14:19:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4734, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:19:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4735, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 14:19:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4736, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:19:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4737, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 14:19:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4738, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:19:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4739, 3, '', 2, '', 2, 0, '2022-09-21 14:19:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4740, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:19:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4741, 3, '', 2, '', 2, 0, '2022-09-21 14:19:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4742, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:19:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4743, 3, '', 2, '', 2, 0, '2022-09-21 14:19:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4744, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:19:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4745, 3, '', 2, '', 2, 0, '2022-09-21 14:19:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4746, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:19:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4747, 3, '', 2, '', 2, 0, '2022-09-21 14:19:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4748, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:19:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4749, 3, '', 2, '', 2, 0, '2022-09-21 14:19:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4750, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:19:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4751, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 14:19:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4752, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:19:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4753, 3, '', 2, '', 2, 0, '2022-09-21 14:19:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4754, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:20:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4755, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 14:20:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4756, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:20:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4757, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 14:21:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4758, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:21:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4759, 3, '', 2, '', 2, 0, '2022-09-21 14:21:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4760, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:21:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4761, 3, '', 2, '', 2, 0, '2022-09-21 14:21:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4762, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:21:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4763, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 14:21:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4764, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:21:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4765, 3, '', 2, '', 2, 0, '2022-09-21 14:21:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4766, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:21:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4767, 3, '', 2, '', 2, 0, '2022-09-21 14:21:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4768, 3, '', 2, '', 2, 0, '2022-09-21 14:21:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4769, 3, '', 2, '', 2, 0, '2022-09-21 14:21:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4770, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:21:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4771, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:21:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4772, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:21:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4773, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:21:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4774, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:21:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4775, 3, '', 2, '', 2, 0, '2022-09-21 14:30:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4776, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:30:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4777, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 14:30:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4778, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:30:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4779, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 14:30:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4780, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:30:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4781, 3, '云台放大', 2, '云台放大', 2, 0, '2022-09-21 14:30:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4782, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:30:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4783, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 14:30:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4784, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:31:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4785, 3, '', 2, '', 2, 0, '2022-09-21 14:39:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4786, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:39:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4787, 3, '', 2, '', 2, 0, '2022-09-21 14:39:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4788, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:39:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4789, 3, '', 2, '', 2, 0, '2022-09-21 14:39:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4790, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 14:39:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4791, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:12:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4792, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:12:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4793, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:12:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4794, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:14:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4795, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:15:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4796, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:15:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4797, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:15:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4798, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:15:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4799, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:15:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4800, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:15:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4801, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 15:15:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4802, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:15:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4803, 3, '云台放大', 2, '云台放大', 2, 0, '2022-09-21 15:15:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4804, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:16:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4805, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 15:16:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4806, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:16:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4807, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:16:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4808, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:16:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4809, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:19:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4810, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:19:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4811, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:19:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4812, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:19:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4813, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4814, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4815, 3, '', 2, '', 2, 0, '2022-09-21 15:21:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4816, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4817, 3, '', 2, '', 2, 0, '2022-09-21 15:21:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4818, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4819, 3, '', 2, '', 2, 0, '2022-09-21 15:21:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4820, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4821, 3, '', 2, '', 2, 0, '2022-09-21 15:21:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4822, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4823, 3, '', 2, '', 2, 0, '2022-09-21 15:21:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4824, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4825, 3, '', 2, '', 2, 0, '2022-09-21 15:21:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4826, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4827, 3, '', 2, '', 2, 0, '2022-09-21 15:21:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4828, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4829, 3, '', 2, '', 2, 0, '2022-09-21 15:21:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4830, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4831, 3, '', 2, '', 2, 0, '2022-09-21 15:21:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4832, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4833, 3, '', 2, '', 2, 0, '2022-09-21 15:21:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4834, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4835, 3, '', 2, '', 2, 0, '2022-09-21 15:21:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4836, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4837, 3, '', 2, '', 2, 0, '2022-09-21 15:21:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4838, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4839, 3, '', 2, '', 2, 0, '2022-09-21 15:21:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4840, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4841, 3, '', 2, '', 2, 0, '2022-09-21 15:21:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4842, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:21:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4843, 3, '', 2, '', 2, 0, '2022-09-21 15:21:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4844, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4845, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4846, 3, '', 2, '', 2, 0, '2022-09-21 15:26:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4847, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4848, 3, '', 2, '', 2, 0, '2022-09-21 15:26:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4849, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4850, 3, '', 2, '', 2, 0, '2022-09-21 15:26:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4851, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:26:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4852, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4853, 3, '', 2, '', 2, 0, '2022-09-21 15:26:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4854, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4855, 3, '', 2, '', 2, 0, '2022-09-21 15:26:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4856, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:26:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4857, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4858, 3, '', 2, '', 2, 0, '2022-09-21 15:26:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4859, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:26:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4860, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4861, 3, '', 2, '', 2, 0, '2022-09-21 15:26:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4862, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:26:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4863, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4864, 3, '', 2, '', 2, 0, '2022-09-21 15:26:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4865, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4866, 3, '', 2, '', 2, 0, '2022-09-21 15:26:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4867, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:26:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4868, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4869, 3, '', 2, '', 2, 0, '2022-09-21 15:26:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4870, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:26:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4871, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4872, 3, '', 2, '', 2, 0, '2022-09-21 15:26:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4873, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:26:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4874, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4875, 3, '', 2, '', 2, 0, '2022-09-21 15:26:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4876, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4877, 3, '', 2, '', 2, 0, '2022-09-21 15:26:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4878, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:26:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4879, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4880, 3, '', 2, '', 2, 0, '2022-09-21 15:26:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4881, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:26:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4882, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4883, 3, '', 2, '', 2, 0, '2022-09-21 15:26:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4884, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:26:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4885, 3, '', 2, '', 2, 0, '2022-09-21 15:26:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4886, 3, '云台停止转动', 2, '云台停止转动', 2, 0, '2022-09-21 15:26:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4887, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:28:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4888, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:28:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4889, 3, '', 2, '', 2, 0, '2022-09-21 15:28:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4890, 3, '', 2, '', 2, 0, '2022-09-21 15:28:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4891, 3, '', 2, '', 2, 0, '2022-09-21 15:28:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4892, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 15:28:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4893, 3, '', 2, '', 2, 0, '2022-09-21 15:28:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4894, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:35:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4895, 3, '', 2, '', 2, 0, '2022-09-21 15:35:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4896, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:35:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4897, 3, '', 2, '', 2, 0, '2022-09-21 15:35:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4898, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:35:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4899, 3, '', 2, '', 2, 0, '2022-09-21 15:35:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4900, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:35:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4901, 3, '', 2, '', 2, 0, '2022-09-21 15:35:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4902, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:35:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4903, 3, '', 2, '', 2, 0, '2022-09-21 15:35:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4904, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:35:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4905, 3, '', 2, '', 2, 0, '2022-09-21 15:35:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4906, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:35:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4907, 3, '', 2, '', 2, 0, '2022-09-21 15:35:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4908, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:35:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4909, 3, '', 2, '', 2, 0, '2022-09-21 15:35:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4910, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:36:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4911, 3, '', 2, '', 2, 0, '2022-09-21 15:36:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4912, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4913, 3, '', 2, '', 2, 0, '2022-09-21 15:37:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4914, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4915, 3, '', 2, '', 2, 0, '2022-09-21 15:37:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4916, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4917, 3, '', 2, '', 2, 0, '2022-09-21 15:37:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4918, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4919, 3, '', 2, '', 2, 0, '2022-09-21 15:37:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4920, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4921, 3, '', 2, '', 2, 0, '2022-09-21 15:37:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4922, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4923, 3, '', 2, '', 2, 0, '2022-09-21 15:37:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4924, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4925, 3, '', 2, '', 2, 0, '2022-09-21 15:37:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4926, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4927, 3, '', 2, '', 2, 0, '2022-09-21 15:37:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4928, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4929, 3, '', 2, '', 2, 0, '2022-09-21 15:37:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4930, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4931, 3, '', 2, '', 2, 0, '2022-09-21 15:37:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4932, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4933, 3, '', 2, '', 2, 0, '2022-09-21 15:37:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4934, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4935, 3, '', 2, '', 2, 0, '2022-09-21 15:37:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4936, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:37:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4937, 3, '', 2, '', 2, 0, '2022-09-21 15:37:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4938, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:38:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4939, 3, '', 2, '', 2, 0, '2022-09-21 15:38:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4940, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:38:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4941, 3, '', 2, '', 2, 0, '2022-09-21 15:38:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4942, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:38:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4943, 3, '', 2, '', 2, 0, '2022-09-21 15:38:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4944, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:38:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4945, 3, '', 2, '', 2, 0, '2022-09-21 15:38:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4946, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:38:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4947, 3, '', 2, '', 2, 0, '2022-09-21 15:38:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4948, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:38:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4949, 3, '', 2, '', 2, 0, '2022-09-21 15:38:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4950, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:38:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4951, 3, '', 2, '', 2, 0, '2022-09-21 15:38:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4952, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:44:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4953, 3, '', 2, '', 2, 0, '2022-09-21 15:44:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4954, 3, '', 2, '', 2, 0, '2022-09-21 15:44:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4955, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:44:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4956, 3, '', 2, '', 2, 0, '2022-09-21 15:44:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4957, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:44:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4958, 3, '', 2, '', 2, 0, '2022-09-21 15:44:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4959, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:44:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4960, 3, '', 2, '', 2, 0, '2022-09-21 15:44:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4961, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:44:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4962, 3, '', 2, '', 2, 0, '2022-09-21 15:44:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4963, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:44:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4964, 3, '', 2, '', 2, 0, '2022-09-21 15:44:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4965, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:45:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4966, 3, '', 2, '', 2, 0, '2022-09-21 15:45:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4967, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:45:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4968, 3, '', 2, '', 2, 0, '2022-09-21 15:45:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4969, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:45:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4970, 3, '', 2, '', 2, 0, '2022-09-21 15:45:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4971, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:45:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4972, 3, '', 2, '', 2, 0, '2022-09-21 15:45:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4973, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:45:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4974, 3, '', 2, '', 2, 0, '2022-09-21 15:45:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4975, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 15:45:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4976, 3, '', 2, '', 2, 0, '2022-09-21 15:45:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4977, 3, '云台放大', 2, '云台放大', 2, 0, '2022-09-21 15:45:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4978, 3, '', 2, '', 2, 0, '2022-09-21 15:45:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4979, 3, '云台放大', 2, '云台放大', 2, 0, '2022-09-21 15:45:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4980, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 15:45:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4981, 3, '', 2, '', 2, 0, '2022-09-21 15:45:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4982, 3, '云台放大', 2, '云台放大', 2, 0, '2022-09-21 15:45:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4983, 3, '', 2, '', 2, 0, '2022-09-21 15:45:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4984, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 15:45:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4985, 3, '', 2, '', 2, 0, '2022-09-21 15:45:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4986, 3, '云台放大', 2, '云台放大', 2, 0, '2022-09-21 15:45:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4987, 3, '', 2, '', 2, 0, '2022-09-21 15:45:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4988, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-21 15:45:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4989, 3, '', 2, '', 2, 0, '2022-09-21 15:45:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4990, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 15:45:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4991, 3, '', 2, '', 2, 0, '2022-09-21 15:45:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4992, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 15:46:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4993, 3, '', 2, '', 2, 0, '2022-09-21 15:46:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4994, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 15:46:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4995, 3, '', 2, '', 2, 0, '2022-09-21 15:46:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4996, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 15:46:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4997, 3, '', 2, '', 2, 0, '2022-09-21 15:46:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4998, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-21 15:46:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (4999, 3, '', 2, '', 2, 0, '2022-09-21 15:46:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5000, 3, '云台右转', 2, '云台右转', 2, 0, '2022-09-21 15:46:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5001, 3, '', 2, '', 2, 0, '2022-09-21 15:46:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5002, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 15:46:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5003, 3, '', 2, '', 2, 0, '2022-09-21 15:46:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5004, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 15:46:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5005, 3, '', 2, '', 2, 0, '2022-09-21 15:46:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5006, 3, '', 2, '', 2, 0, '2022-09-21 15:46:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5007, 3, '', 2, '', 2, 0, '2022-09-21 15:46:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5008, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:46:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5009, 3, '', 2, '', 2, 0, '2022-09-21 15:46:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5010, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:46:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5011, 3, '', 2, '', 2, 0, '2022-09-21 15:46:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5012, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:46:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5013, 3, '', 2, '', 2, 0, '2022-09-21 15:46:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5014, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:46:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5015, 3, '', 2, '', 2, 0, '2022-09-21 15:46:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5016, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:46:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5017, 3, '', 2, '', 2, 0, '2022-09-21 15:46:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5018, 3, '', 2, '', 2, 0, '2022-09-21 15:47:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5019, 3, '', 2, '', 2, 0, '2022-09-21 15:47:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5020, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:47:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5021, 3, '', 2, '', 2, 0, '2022-09-21 15:47:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5022, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:47:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5023, 3, '', 2, '', 2, 0, '2022-09-21 15:47:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5024, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:47:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5025, 3, '', 2, '', 2, 0, '2022-09-21 15:47:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5026, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:47:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5027, 3, '', 2, '', 2, 0, '2022-09-21 15:47:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5028, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:47:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5029, 3, '', 2, '', 2, 0, '2022-09-21 15:47:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5030, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:47:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5031, 3, '', 2, '', 2, 0, '2022-09-21 15:47:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5032, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:47:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5033, 3, '', 2, '', 2, 0, '2022-09-21 15:47:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5034, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:47:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5035, 3, '', 2, '', 2, 0, '2022-09-21 15:47:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5036, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:47:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5037, 3, '', 2, '', 2, 0, '2022-09-21 15:47:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5038, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:47:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5039, 3, '', 2, '', 2, 0, '2022-09-21 15:47:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5040, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:47:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5041, 3, '', 2, '', 2, 0, '2022-09-21 15:47:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5042, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:47:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5043, 3, '', 2, '', 2, 0, '2022-09-21 15:47:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5044, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:47:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5045, 3, '', 2, '', 2, 0, '2022-09-21 15:47:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5046, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:48:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5047, 3, '', 2, '', 2, 0, '2022-09-21 15:48:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5048, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:48:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5049, 3, '', 2, '', 2, 0, '2022-09-21 15:48:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5050, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:48:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5051, 3, '', 2, '', 2, 0, '2022-09-21 15:48:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5052, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:48:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5053, 3, '', 2, '', 2, 0, '2022-09-21 15:48:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5054, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:48:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5055, 3, '', 2, '', 2, 0, '2022-09-21 15:48:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5056, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:48:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5057, 3, '', 2, '', 2, 0, '2022-09-21 15:48:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5058, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:48:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5059, 3, '', 2, '', 2, 0, '2022-09-21 15:48:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5060, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:48:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5061, 3, '', 2, '', 2, 0, '2022-09-21 15:48:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5062, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:48:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5063, 3, '', 2, '', 2, 0, '2022-09-21 15:48:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5064, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-21 15:48:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5065, 3, '', 2, '', 2, 0, '2022-09-21 15:48:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5066, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-21 15:48:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5067, 3, '', 2, '', 2, 0, '2022-09-21 15:48:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5068, 3, '回舱', 1, '回舱', 2, 0, '2022-09-21 15:52:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5069, 3, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-21 15:57:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5070, 3, '舱门急停', 1, '舱门急停', 2, 0, '2022-09-21 15:57:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5071, 3, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-21 15:57:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5072, 3, '环境检查', 1, '环境检查', 2, 0, '2022-09-21 16:00:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5073, 3, '出舱', 1, '出舱', 2, 0, '2022-09-21 16:00:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5074, 3, '上传航线', 2, '上传航线', 2, 0, '2022-09-21 16:01:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5075, 3, '回舱', 1, '回舱', 2, 0, '2022-09-21 16:01:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5076, 3, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-09-21 16:02:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5077, 3, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-21 16:02:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5078, 3, '环境检查', 1, '环境检查', 2, 0, '2022-09-21 16:04:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5079, 3, '出舱', 1, '出舱', 2, 0, '2022-09-21 16:04:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5080, 3, '上传航线', 2, '上传航线', 2, 0, '2022-09-21 16:04:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5081, 3, '回舱', 1, '回舱', 2, 0, '2022-09-21 16:04:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5082, 3, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-09-21 16:05:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5083, 3, '环境检查', 1, '环境检查', 2, 0, '2022-09-21 16:09:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5084, 3, '出舱', 1, '出舱', 2, 0, '2022-09-21 16:10:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5085, 3, '上传航线', 2, '上传航线', 2, 0, '2022-09-21 16:10:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5086, 3, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-09-21 16:11:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5087, 3, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-21 16:11:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5088, 3, '任务', 2, '任务', 2, 0, '2022-09-21 16:29:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5089, 3, '任务', 2, '任务', 2, 0, '2022-09-21 16:30:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5090, 3, '任务', 2, '任务', 2, 0, '2022-09-21 16:54:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5091, 3, '任务', 2, '任务', 2, 0, '2022-09-21 16:57:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5092, 3, '任务', 2, '任务', 2, 0, '2022-09-21 17:22:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5093, 3, '任务', 2, '任务', 2, 0, '2022-09-21 17:26:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5094, 3, '任务', 2, '任务', 2, 0, '2022-09-21 17:33:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5095, 3, '任务', 2, '任务', 2, 0, '2022-09-21 17:36:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5096, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 17:38:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5097, 3, '', 2, '', 2, 0, '2022-09-21 17:38:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5098, 3, '云台俯向', 2, '云台俯向', 2, 0, '2022-09-21 17:38:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5099, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 17:38:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5100, 3, '', 2, '', 2, 0, '2022-09-21 17:38:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5101, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 17:38:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5102, 3, '', 2, '', 2, 0, '2022-09-21 17:38:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5103, 3, '云台仰向', 2, '云台仰向', 2, 0, '2022-09-21 17:38:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5104, 3, '', 2, '', 2, 0, '2022-09-21 17:38:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5105, 3, '任务', 2, '任务', 2, 0, '2022-09-21 17:41:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5106, 3, '任务', 2, '任务', 2, 0, '2022-09-21 17:56:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5107, 3, '任务', 2, '任务', 2, 0, '2022-09-21 17:59:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5108, 3, '回舱', 1, '回舱', 2, 0, '2022-09-11 03:28:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5109, 3, '环境检查', 1, '环境检查', 2, 0, '2022-09-11 03:32:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5110, 3, '出舱', 1, '出舱', 2, 0, '2022-09-11 03:32:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5111, 3, '回舱', 1, '回舱', 2, 0, '2022-09-11 03:38:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5112, 3, '环境检查', 1, '环境检查', 2, 0, '2022-09-11 04:14:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5113, 3, '出舱', 1, '出舱', 2, 0, '2022-09-11 04:14:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5114, 3, '回舱', 1, '回舱', 2, 0, '2022-09-11 04:21:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5115, 3, '环境检查', 1, '环境检查', 2, 0, '2022-09-11 04:27:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5116, 3, '出舱', 1, '出舱', 2, 0, '2022-09-11 04:27:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5117, 3, '回舱', 1, '回舱', 2, 0, '2022-09-11 04:33:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5118, 3, '出舱', 1, '出舱', 2, 0, '2022-09-11 04:36:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5119, 3, '回舱', 1, '回舱', 2, 0, '2022-09-11 04:43:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5120, 3, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-11 21:15:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5121, 3, '打开升降器', 1, '打开升降器', 2, 0, '2022-09-11 21:15:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5122, 3, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-11 21:15:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5123, 3, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-11 23:18:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5124, 3, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-11 23:23:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5125, 3, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-09-11 23:24:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5126, 3, '关闭固定器', 1, '关闭固定器', 2, 0, '2022-09-11 23:24:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5127, 3, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-11 23:28:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5128, 3, '关闭固定器', 1, '关闭固定器', 2, 0, '2022-09-11 23:30:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5129, 3, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-11 23:30:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5130, 3, '出舱', 1, '出舱', 2, 0, '2022-09-11 23:31:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5131, 3, '回舱', 1, '回舱', 2, 0, '2022-09-12 00:14:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5132, 3, '环境检查', 1, '环境检查', 2, 0, '2022-09-12 00:49:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5133, 3, '出舱', 1, '出舱', 2, 0, '2022-09-12 00:49:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5134, 3, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-09-12 00:49:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5135, 3, '回舱', 1, '回舱', 2, 0, '2022-09-12 00:50:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5136, 3, '环境检查', 1, '环境检查', 2, 0, '2022-09-12 01:01:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5137, 3, '出舱', 1, '出舱', 2, 0, '2022-09-12 01:01:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5138, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-12 02:19:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5139, 3, '', 2, '', 2, 0, '2022-09-12 02:19:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5140, 3, '关闭固定器', 1, '关闭固定器', 2, 0, '2022-09-12 02:40:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5141, 3, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-12 02:42:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5142, 3, '回舱', 1, '回舱', 2, 0, '2022-09-12 02:43:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5143, 3, '出舱', 1, '出舱', 2, 0, '2022-09-12 02:46:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5144, 3, '回舱', 1, '回舱', 2, 0, '2022-09-12 02:52:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5145, 3, '环境检查', 1, '环境检查', 2, 0, '2022-09-12 02:57:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5146, 3, '出舱', 1, '出舱', 2, 0, '2022-09-12 02:57:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5147, 3, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-09-12 03:00:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5148, 3, '上传航线', 2, '上传航线', 2, 0, '2022-09-12 03:00:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5149, 3, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-09-12 03:00:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5150, 3, '云台俯', 2, '云台俯', 2, 0, '2022-09-12 03:24:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5151, 3, '', 2, '', 2, 0, '2022-09-12 03:24:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5152, 3, '云台仰', 2, '云台仰', 2, 0, '2022-09-12 03:24:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5153, 3, '', 2, '', 2, 0, '2022-09-12 03:24:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5154, 3, '云台俯', 2, '云台俯', 2, 0, '2022-09-12 03:24:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5155, 3, '', 2, '', 2, 0, '2022-09-12 03:24:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5156, 3, '云台左转', 2, '云台左转', 2, 0, '2022-09-12 03:24:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5157, 3, '', 2, '', 2, 0, '2022-09-12 03:24:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5158, 3, '云台右转', 2, '云台右转', 2, 0, '2022-09-12 03:24:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5159, 3, '', 2, '', 2, 0, '2022-09-12 03:24:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5160, 3, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-12 03:35:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5161, 3, '打开升降器', 1, '打开升降器', 2, 0, '2022-09-12 03:36:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5162, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-12 03:53:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5163, 3, '', 2, '', 2, 0, '2022-09-12 03:53:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5164, 3, '云台放大', 2, '云台放大', 2, 0, '2022-09-12 03:53:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5165, 3, '', 2, '', 2, 0, '2022-09-12 03:53:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5166, 3, '云台放大', 2, '云台放大', 2, 0, '2022-09-12 03:53:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5167, 3, '', 2, '', 2, 0, '2022-09-12 03:53:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5168, 3, '云台放大', 2, '云台放大', 2, 0, '2022-09-12 03:53:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5169, 3, '', 2, '', 2, 0, '2022-09-12 03:53:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5170, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-12 03:53:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5171, 3, '', 2, '', 2, 0, '2022-09-12 03:53:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5172, 3, '切换画面', 2, '切换画面', 2, 0, '2022-09-12 03:53:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5173, 3, '', 2, '', 2, 0, '2022-09-12 03:53:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5174, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-12 03:53:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5175, 3, '', 2, '', 2, 0, '2022-09-12 03:53:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5176, 3, '切换模式', 2, '切换模式', 2, 0, '2022-09-12 03:53:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5177, 3, '', 2, '', 2, 0, '2022-09-12 03:53:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5178, 3, '云台俯', 2, '云台俯', 2, 0, '2022-09-12 03:55:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5179, 3, '云台俯', 2, '云台俯', 2, 0, '2022-09-12 03:55:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5180, 3, '', 2, '', 2, 0, '2022-09-12 03:55:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5181, 3, '', 2, '', 2, 0, '2022-09-12 03:55:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5182, 3, '云台俯', 2, '云台俯', 2, 0, '2022-09-12 03:56:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5183, 3, '', 2, '', 2, 0, '2022-09-12 03:56:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5184, 3, '云台仰', 2, '云台仰', 2, 0, '2022-09-12 03:56:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5185, 3, '', 2, '', 2, 0, '2022-09-12 03:56:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5186, 3, '云台缩小', 2, '云台缩小', 2, 0, '2022-09-12 04:04:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5187, 3, '', 2, '', 2, 0, '2022-09-12 04:04:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5188, 3, '云台俯', 2, '云台俯', 2, 0, '2022-09-12 04:04:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5189, 3, '', 2, '', 2, 0, '2022-09-12 04:04:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5190, 3, '云台俯', 2, '云台俯', 2, 0, '2022-09-12 04:04:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5191, 3, '', 2, '', 2, 0, '2022-09-12 04:04:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5192, 3, '云台仰', 2, '云台仰', 2, 0, '2022-09-12 04:04:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5193, 3, '', 2, '', 2, 0, '2022-09-12 04:04:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5194, 3, '回舱', 1, '回舱', 2, 0, '2022-09-12 04:07:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5195, 3, '云台俯', 2, '云台俯', 2, 0, '2022-09-12 04:08:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5196, 3, '', 2, '', 2, 0, '2022-09-12 04:08:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5197, 3, '云台仰', 2, '云台仰', 2, 0, '2022-09-12 04:09:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5198, 3, '', 2, '', 2, 0, '2022-09-12 04:09:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5199, 3, '回舱', 1, '回舱', 2, 0, '2022-09-12 04:23:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5200, 3, '出舱', 1, '出舱', 2, 0, '2022-09-12 04:24:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5201, 3, '回舱', 1, '回舱', 2, 0, '2022-09-12 04:31:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5202, 3, '环境检查', 1, '环境检查', 2, 0, '2022-09-12 04:34:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5203, 3, '出舱', 1, '出舱', 2, 0, '2022-09-12 04:34:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5204, 3, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-09-12 04:36:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5205, 3, '上传航线', 2, '上传航线', 2, 0, '2022-09-12 04:36:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5206, 3, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-09-12 04:36:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5207, 3, '环境检查', 1, '环境检查', 2, 0, '2022-09-12 04:50:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5208, 3, '出舱', 1, '出舱', 2, 0, '2022-09-12 04:51:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5209, 3, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-09-12 04:53:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5210, 3, '上传航线', 2, '上传航线', 2, 0, '2022-09-12 04:53:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5211, 3, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-09-12 04:53:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5212, 3, '出舱', 1, '出舱', 2, 0, '2022-09-12 05:18:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5213, 3, '回舱', 1, '回舱', 2, 0, '2022-09-12 06:11:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5214, 7, '出舱', 1, '出舱', 2, 0, '2022-09-21 22:07:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5215, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-21 22:12:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5216, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-09-21 22:13:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5217, 7, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-21 22:13:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5218, 7, '回舱', 1, '回舱', 2, 0, '2022-09-21 22:14:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5219, 7, '出舱', 1, '出舱', 2, 0, '2022-09-21 22:22:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5220, 7, '回舱', 1, '回舱', 2, 0, '2022-09-21 22:27:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5221, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-21 22:50:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5222, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-21 22:50:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5223, 7, '回舱', 1, '回舱', 2, 0, '2022-09-21 22:53:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5224, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-21 22:56:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5225, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-21 22:56:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5226, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-21 23:54:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5227, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-21 23:54:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5228, 7, '出舱', 1, '出舱', 2, 0, '2022-09-21 23:55:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5229, 7, '回舱', 1, '回舱', 2, 0, '2022-09-22 00:01:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5230, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-22 00:11:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5231, 7, '出舱', 1, '出舱', 2, 0, '2022-09-22 00:11:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5232, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-09-22 00:14:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5233, 7, '上传航线', 2, '上传航线', 2, 0, '2022-09-22 00:14:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5234, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-09-22 00:14:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5235, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-22 00:37:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5236, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-09-22 00:38:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5237, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-09-22 00:41:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5238, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-22 00:42:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5239, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-22 00:47:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5240, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-22 00:53:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5241, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-22 00:54:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5242, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-22 00:59:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5243, 7, '出舱', 1, '出舱', 2, 0, '2022-09-22 00:59:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5244, 7, '回舱', 1, '回舱', 2, 0, '2022-09-22 01:04:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5245, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-22 01:08:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5246, 7, '出舱', 1, '出舱', 2, 0, '2022-09-22 01:08:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5247, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-09-22 01:08:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5248, 7, '上传航线', 2, '上传航线', 2, 0, '2022-09-22 01:08:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5249, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-09-22 01:10:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5250, 7, '出舱', 1, '出舱', 2, 0, '2022-09-22 01:34:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5251, 7, '回舱', 1, '回舱', 2, 0, '2022-09-22 01:39:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5252, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-22 01:42:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5253, 7, '出舱', 1, '出舱', 2, 0, '2022-09-22 01:42:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5254, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-09-22 01:45:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5255, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-09-22 01:45:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5256, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-09-23 00:05:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5257, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-09-23 00:05:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5258, 7, '无人机终止降落', 2, '无人机终止降落', 2, 0, '2022-09-23 00:05:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5259, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-09-23 00:06:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5260, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-09-23 00:06:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5261, 7, '回舱', 1, '回舱', 2, 0, '2022-09-23 02:43:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5262, 7, '回舱', 1, '回舱', 2, 0, '2022-09-23 02:43:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5263, 7, '出舱', 1, '出舱', 2, 0, '2022-09-23 02:44:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5264, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-23 02:48:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5265, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-23 02:48:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5266, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-23 02:49:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5267, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-23 02:49:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5268, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-23 02:49:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5269, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-23 02:50:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5270, 7, '出舱', 1, '出舱', 2, 0, '2022-09-23 02:51:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5271, 7, '回舱', 1, '回舱', 2, 0, '2022-09-23 02:54:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5272, 7, '出舱', 1, '出舱', 2, 0, '2022-09-23 02:57:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5273, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-09-23 03:22:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5274, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-09-23 04:06:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5275, 7, '回舱', 1, '回舱', 2, 0, '2022-09-23 04:13:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5276, 7, '出舱', 1, '出舱', 2, 0, '2022-09-23 04:19:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5277, 7, '回舱', 1, '回舱', 2, 0, '2022-09-23 04:23:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5278, 7, '出舱', 1, '出舱', 2, 0, '2022-09-23 19:21:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5279, 7, '回舱', 1, '回舱', 2, 0, '2022-09-23 20:05:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5280, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-23 20:18:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5281, 7, '出舱', 1, '出舱', 2, 0, '2022-09-23 20:18:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5282, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-09-23 20:21:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5283, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-09-23 20:24:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5284, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-23 20:34:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5285, 7, '出舱', 1, '出舱', 2, 0, '2022-09-23 20:34:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5286, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-09-23 20:37:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5287, 7, '上传航线', 2, '上传航线', 2, 0, '2022-09-23 20:37:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5288, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-09-23 20:37:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5289, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-23 20:46:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5290, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-09-23 20:49:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5291, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-23 20:49:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5292, 7, '出舱', 1, '出舱', 2, 0, '2022-09-23 20:49:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5293, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-09-23 20:52:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5294, 7, '上传航线', 2, '上传航线', 2, 0, '2022-09-23 20:52:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5295, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-09-23 20:53:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5296, 7, '出舱', 1, '出舱', 2, 0, '2022-09-23 21:03:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5297, 7, '云台俯', 2, '云台俯', 2, 0, '2022-09-23 21:08:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5298, 7, '', 2, '', 2, 0, '2022-09-23 21:08:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5299, 7, '云台俯', 2, '云台俯', 2, 0, '2022-09-23 21:08:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5300, 7, '', 2, '', 2, 0, '2022-09-23 21:08:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5301, 7, '云台仰', 2, '云台仰', 2, 0, '2022-09-23 21:08:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5302, 7, '', 2, '', 2, 0, '2022-09-23 21:08:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5303, 7, '云台俯', 2, '云台俯', 2, 0, '2022-09-23 21:08:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5304, 7, '', 2, '', 2, 0, '2022-09-23 21:08:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5305, 7, '云台左转', 2, '云台左转', 2, 0, '2022-09-23 21:08:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5306, 7, '', 2, '', 2, 0, '2022-09-23 21:08:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5307, 7, '云台右转', 2, '云台右转', 2, 0, '2022-09-23 21:08:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5308, 7, '', 2, '', 2, 0, '2022-09-23 21:08:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5309, 7, '云台俯', 2, '云台俯', 2, 0, '2022-09-23 21:11:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5310, 7, '', 2, '', 2, 0, '2022-09-23 21:11:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5311, 7, '云台仰', 2, '云台仰', 2, 0, '2022-09-23 21:11:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5312, 7, '', 2, '', 2, 0, '2022-09-23 21:11:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5313, 7, '云台左转', 2, '云台左转', 2, 0, '2022-09-23 21:11:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5314, 7, '', 2, '', 2, 0, '2022-09-23 21:11:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5315, 7, '云台右转', 2, '云台右转', 2, 0, '2022-09-23 21:11:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5316, 7, '', 2, '', 2, 0, '2022-09-23 21:11:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5317, 7, '云台右转', 2, '云台右转', 2, 0, '2022-09-23 21:11:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5318, 7, '', 2, '', 2, 0, '2022-09-23 21:11:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5319, 7, '', 2, '', 2, 0, '2022-09-23 21:13:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5320, 7, '', 2, '', 2, 0, '2022-09-23 21:13:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5321, 7, '云台仰', 2, '云台仰', 2, 0, '2022-09-23 21:14:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5322, 7, '', 2, '', 2, 0, '2022-09-23 21:14:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5323, 7, '云台俯', 2, '云台俯', 2, 0, '2022-09-23 21:14:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5324, 7, '', 2, '', 2, 0, '2022-09-23 21:14:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5325, 7, '云台仰', 2, '云台仰', 2, 0, '2022-09-23 21:14:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5326, 7, '', 2, '', 2, 0, '2022-09-23 21:14:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5327, 7, '云台俯', 2, '云台俯', 2, 0, '2022-09-23 21:15:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5328, 7, '', 2, '', 2, 0, '2022-09-23 21:15:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5329, 7, '云台仰', 2, '云台仰', 2, 0, '2022-09-23 21:15:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5330, 7, '', 2, '', 2, 0, '2022-09-23 21:15:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5331, 7, '云台仰', 2, '云台仰', 2, 0, '2022-09-23 21:16:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5332, 7, '', 2, '', 2, 0, '2022-09-23 21:16:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5333, 7, '云台俯', 2, '云台俯', 2, 0, '2022-09-23 21:16:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5334, 7, '', 2, '', 2, 0, '2022-09-23 21:16:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5335, 7, '云台俯', 2, '云台俯', 2, 0, '2022-09-23 21:16:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5336, 7, '', 2, '', 2, 0, '2022-09-23 21:16:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5337, 7, '', 2, '', 2, 0, '2022-09-23 21:22:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5338, 7, '', 2, '', 2, 0, '2022-09-23 21:22:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5339, 7, '云台俯', 2, '云台俯', 2, 0, '2022-09-23 21:22:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5340, 7, '', 2, '', 2, 0, '2022-09-23 21:22:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5341, 7, '云台仰', 2, '云台仰', 2, 0, '2022-09-23 21:22:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5342, 7, '', 2, '', 2, 0, '2022-09-23 21:22:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5343, 7, '云台右转', 2, '云台右转', 2, 0, '2022-09-23 21:22:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5344, 7, '', 2, '', 2, 0, '2022-09-23 21:22:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5345, 7, '云台左转', 2, '云台左转', 2, 0, '2022-09-23 21:22:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5346, 7, '', 2, '', 2, 0, '2022-09-23 21:22:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5347, 7, '', 2, '', 2, 0, '2022-09-23 21:22:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5348, 7, '', 2, '', 2, 0, '2022-09-23 21:22:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5349, 7, '', 2, '', 2, 0, '2022-09-23 21:22:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5350, 7, '', 2, '', 2, 0, '2022-09-23 21:22:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5351, 7, '', 2, '', 2, 0, '2022-09-23 21:22:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5352, 7, '', 2, '', 2, 0, '2022-09-23 21:22:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5353, 7, '', 2, '', 2, 0, '2022-09-23 21:22:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5354, 7, '', 2, '', 2, 0, '2022-09-23 21:22:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5355, 7, '', 2, '', 2, 0, '2022-09-23 21:22:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5356, 7, '', 2, '', 2, 0, '2022-09-23 21:22:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5357, 7, '', 2, '', 2, 0, '2022-09-23 21:23:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5358, 7, '', 2, '', 2, 0, '2022-09-23 21:23:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5359, 7, '云台俯', 2, '云台俯', 2, 0, '2022-09-23 21:23:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5360, 7, '', 2, '', 2, 0, '2022-09-23 21:24:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5361, 7, '云台俯', 2, '云台俯', 2, 0, '2022-09-23 21:25:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5362, 7, '', 2, '', 2, 0, '2022-09-23 21:25:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5363, 7, '云台仰', 2, '云台仰', 2, 0, '2022-09-23 21:25:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5364, 7, '', 2, '', 2, 0, '2022-09-23 21:25:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5365, 7, '云台左转', 2, '云台左转', 2, 0, '2022-09-23 21:27:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5366, 7, '', 2, '', 2, 0, '2022-09-23 21:27:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5367, 7, '云台右转', 2, '云台右转', 2, 0, '2022-09-23 21:27:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5368, 7, '', 2, '', 2, 0, '2022-09-23 21:27:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5369, 7, '云台左转', 2, '云台左转', 2, 0, '2022-09-23 21:27:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5370, 7, '', 2, '', 2, 0, '2022-09-23 21:27:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5371, 7, '云台右转', 2, '云台右转', 2, 0, '2022-09-23 21:27:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5372, 7, '', 2, '', 2, 0, '2022-09-23 21:28:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5373, 7, '云台左转', 2, '云台左转', 2, 0, '2022-09-23 21:28:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5374, 7, '', 2, '', 2, 0, '2022-09-23 21:28:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5375, 7, '云台右转', 2, '云台右转', 2, 0, '2022-09-23 21:32:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5376, 7, '', 2, '', 2, 0, '2022-09-23 21:32:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5377, 7, '云台左转', 2, '云台左转', 2, 0, '2022-09-23 21:32:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5378, 7, '', 2, '', 2, 0, '2022-09-23 21:32:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5379, 7, '云台右转', 2, '云台右转', 2, 0, '2022-09-23 21:32:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5380, 7, '', 2, '', 2, 0, '2022-09-23 21:32:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5381, 7, '云台左转', 2, '云台左转', 2, 0, '2022-09-23 21:33:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5382, 7, '', 2, '', 2, 0, '2022-09-23 21:34:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5383, 7, '云台右转', 2, '云台右转', 2, 0, '2022-09-23 21:34:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5384, 7, '', 2, '', 2, 0, '2022-09-23 21:34:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5385, 7, '云台左转', 2, '云台左转', 2, 0, '2022-09-23 21:34:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5386, 7, '', 2, '', 2, 0, '2022-09-23 21:34:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5387, 7, '云台左转', 2, '云台左转', 2, 0, '2022-09-23 21:34:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5388, 7, '', 2, '', 2, 0, '2022-09-23 21:34:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5389, 7, '云台右转', 2, '云台右转', 2, 0, '2022-09-23 21:34:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5390, 7, '', 2, '', 2, 0, '2022-09-23 21:34:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5391, 7, '回舱', 1, '回舱', 2, 0, '2022-09-23 21:51:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5392, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-23 21:54:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5393, 7, '出舱', 1, '出舱', 2, 0, '2022-09-23 21:54:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5394, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-09-23 21:57:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5395, 7, '上传航线', 2, '上传航线', 2, 0, '2022-09-23 21:57:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5396, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-09-23 21:57:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5397, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-23 22:06:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5398, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-09-23 22:22:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5399, 7, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-23 22:45:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5400, 7, '回舱', 1, '回舱', 2, 0, '2022-09-23 22:49:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5401, 7, '出舱', 1, '出舱', 2, 0, '2022-09-23 23:09:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5402, 7, '回舱', 1, '回舱', 2, 0, '2022-09-24 01:47:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5403, 7, '出舱', 1, '出舱', 2, 0, '2022-09-24 05:13:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5404, 7, '回舱', 1, '回舱', 2, 0, '2022-09-24 05:18:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5405, 7, '回舱', 1, '回舱', 2, 0, '2022-09-24 05:19:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5406, 7, '出舱', 1, '出舱', 2, 0, '2022-09-25 23:37:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5407, 7, '回舱', 1, '回舱', 2, 0, '2022-09-26 00:05:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5408, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-26 00:08:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5409, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-26 00:09:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5410, 7, '出舱', 1, '出舱', 2, 0, '2022-09-26 00:09:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5411, 7, '回舱', 1, '回舱', 2, 0, '2022-09-26 00:24:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5412, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-26 00:28:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5413, 7, '出舱', 1, '出舱', 2, 0, '2022-09-26 00:28:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5414, 7, '回舱', 1, '回舱', 2, 0, '2022-09-26 00:34:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5415, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-26 00:39:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5416, 7, '出舱', 1, '出舱', 2, 0, '2022-09-26 00:39:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5417, 7, '回舱', 1, '回舱', 2, 0, '2022-09-26 00:41:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5418, 7, '环境检查', 1, '环境检查', 2, 0, '2022-09-26 00:53:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5419, 7, '出舱', 1, '出舱', 2, 0, '2022-09-26 02:32:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5420, 7, '回舱', 1, '回舱', 2, 0, '2022-09-26 03:48:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5421, 7, '回舱', 1, '回舱', 2, 0, '2022-09-26 03:48:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5422, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-26 03:51:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5423, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-09-26 03:57:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5424, 7, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-26 04:24:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5425, 7, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-26 04:25:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5426, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-09-26 04:25:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5427, 7, '关闭固定器', 1, '关闭固定器', 2, 0, '2022-09-26 04:26:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5428, 7, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-26 08:17:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5429, 7, '关闭固定器', 1, '关闭固定器', 2, 0, '2022-09-26 08:18:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5430, 7, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-26 08:29:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5431, 7, '关闭固定器', 1, '关闭固定器', 2, 0, '2022-09-26 08:32:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5432, 7, '打开固定器', 1, '打开固定器', 2, 0, '2022-09-26 08:36:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5433, 7, '关闭固定器', 1, '关闭固定器', 2, 0, '2022-09-26 08:39:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5434, 7, '回舱', 1, '回舱', 2, 0, '2022-09-26 08:46:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5435, 7, '出舱', 1, '出舱', 2, 0, '2022-09-27 01:45:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5436, 7, '回舱', 1, '回舱', 2, 0, '2022-10-14 11:39:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5437, 7, '回舱', 1, '回舱', 2, 0, '2022-10-14 11:40:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5438, 7, '出舱', 1, '出舱', 2, 0, '2022-10-14 13:14:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5439, 7, '关闭固定器', 1, '关闭固定器', 2, 0, '2022-10-14 14:13:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5440, 7, '回舱', 1, '回舱', 2, 0, '2022-10-14 14:14:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5441, 7, '出舱', 1, '出舱', 2, 0, '2022-10-14 14:18:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5442, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-14 14:28:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5443, 7, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-10-14 14:28:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5444, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-14 14:29:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5445, 7, '打开固定器2', 1, '打开固定器2', 2, 0, '2022-10-14 14:29:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5446, 7, '回舱', 1, '回舱', 2, 0, '2022-10-14 14:29:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5447, 7, '回舱', 1, '回舱', 2, 0, '2022-10-14 14:57:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5448, 7, '出舱', 1, '出舱', 2, 0, '2022-10-14 14:57:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5449, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-14 15:11:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5450, 7, '', 2, '', 2, 0, '2022-10-14 15:11:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5451, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-14 15:17:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5452, 7, '', 2, '', 2, 0, '2022-10-14 15:17:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5453, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-14 15:17:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5454, 7, '', 2, '', 2, 0, '2022-10-14 15:17:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5455, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-14 15:18:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5456, 7, '', 2, '', 2, 0, '2022-10-14 15:18:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5457, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-14 15:20:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5458, 7, '', 2, '', 2, 0, '2022-10-14 15:20:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5459, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-14 15:21:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5460, 7, '', 2, '', 2, 0, '2022-10-14 15:21:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5461, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-14 15:21:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5462, 7, '', 2, '', 2, 0, '2022-10-14 15:21:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5463, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-14 15:21:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5464, 7, '', 2, '', 2, 0, '2022-10-14 15:22:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5465, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-14 15:22:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5466, 7, '', 2, '', 2, 0, '2022-10-14 15:22:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5467, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-14 15:22:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5468, 7, '', 2, '', 2, 0, '2022-10-14 15:22:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5469, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-14 15:22:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5470, 7, '', 2, '', 2, 0, '2022-10-14 15:22:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5471, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-14 15:23:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5472, 7, '', 2, '', 2, 0, '2022-10-14 15:23:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5473, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-14 15:23:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5474, 7, '', 2, '', 2, 0, '2022-10-14 15:23:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5475, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-14 15:23:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5476, 7, '', 2, '', 2, 0, '2022-10-14 15:23:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5477, 7, '切换模式', 2, '切换模式', 2, 0, '2022-10-14 15:23:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5478, 7, '', 2, '', 2, 0, '2022-10-14 15:23:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5479, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-14 15:24:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5480, 7, '', 2, '', 2, 0, '2022-10-14 15:24:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5481, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-14 15:24:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5482, 7, '', 2, '', 2, 0, '2022-10-14 15:24:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5483, 7, '', 2, '', 2, 0, '2022-10-14 15:26:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5484, 7, '', 2, '', 2, 0, '2022-10-14 15:26:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5485, 7, '回舱', 1, '回舱', 2, 0, '2022-10-14 15:28:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5486, 7, '出舱', 1, '出舱', 2, 0, '2022-10-14 15:57:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5487, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-14 15:59:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5488, 7, '', 2, '', 2, 0, '2022-10-14 15:59:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5489, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-14 16:00:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5490, 7, '', 2, '', 2, 0, '2022-10-14 16:00:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5491, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-14 16:00:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5492, 7, '', 2, '', 2, 0, '2022-10-14 16:00:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5493, 7, '切换模式', 2, '切换模式', 2, 0, '2022-10-14 16:00:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5494, 7, '', 2, '', 2, 0, '2022-10-14 16:00:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5495, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-14 16:02:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5496, 7, '', 2, '', 2, 0, '2022-10-14 16:02:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5497, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-14 16:02:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5498, 7, '', 2, '', 2, 0, '2022-10-14 16:02:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5499, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-14 16:03:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5500, 7, '', 2, '', 2, 0, '2022-10-14 16:03:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5501, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-14 16:03:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5502, 7, '', 2, '', 2, 0, '2022-10-14 16:03:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5503, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-14 16:04:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5504, 7, '', 2, '', 2, 0, '2022-10-14 16:04:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5505, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-14 16:04:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5506, 7, '', 2, '', 2, 0, '2022-10-14 16:04:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5507, 7, '回舱', 1, '回舱', 2, 0, '2022-10-14 16:07:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5508, 7, '回舱', 1, '回舱', 2, 0, '2022-10-14 16:31:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5509, 7, '回舱', 1, '回舱', 2, 0, '2022-10-14 17:19:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5510, 7, '回舱', 1, '回舱', 2, 0, '2022-10-14 18:04:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5511, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-14 18:09:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5512, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-14 18:10:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5513, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-14 18:11:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5514, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-14 18:12:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5515, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-14 18:18:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5516, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-14 18:20:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5517, 7, '打开固定器', 1, '打开固定器', 2, 0, '2022-10-14 18:22:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5518, 7, '出舱', 1, '出舱', 2, 0, '2022-10-14 18:23:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5519, 7, '回舱', 1, '回舱', 2, 0, '2022-10-14 19:54:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5520, 7, '出舱', 1, '出舱', 2, 0, '2022-10-15 09:37:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5521, 7, '回舱', 1, '回舱', 2, 0, '2022-10-15 09:57:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5522, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-15 10:21:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5523, 7, '', 2, '', 2, 0, '2022-10-15 10:21:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5524, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-15 10:21:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5525, 7, '', 2, '', 2, 0, '2022-10-15 10:21:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5526, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-15 10:21:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5527, 7, '', 2, '', 2, 0, '2022-10-15 10:21:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5528, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-15 11:42:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5529, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-15 11:44:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5530, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-15 13:57:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5531, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-15 15:39:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5532, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-15 16:36:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5533, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-15 16:36:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5534, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-15 16:56:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5535, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-15 16:58:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5536, 7, '出舱', 1, '出舱', 2, 0, '2022-10-15 19:33:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5537, 7, '回舱', 1, '回舱', 2, 0, '2022-10-15 19:36:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5538, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-16 07:52:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5539, 7, '', 2, '', 2, 0, '2022-10-16 07:52:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5540, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-16 07:53:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5541, 7, '', 2, '', 2, 0, '2022-10-16 07:53:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5542, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-16 07:53:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5543, 7, '', 2, '', 2, 0, '2022-10-16 07:53:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5544, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-16 07:53:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5545, 7, '', 2, '', 2, 0, '2022-10-16 07:53:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5546, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-16 07:53:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5547, 7, '', 2, '', 2, 0, '2022-10-16 07:53:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5548, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-16 07:53:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5549, 7, '', 2, '', 2, 0, '2022-10-16 07:53:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5550, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-16 08:02:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5551, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-16 08:06:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5552, 7, '', 2, '', 2, 0, '2022-10-16 08:06:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5553, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-16 08:06:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5554, 7, '', 2, '', 2, 0, '2022-10-16 08:06:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5555, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-16 08:06:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5556, 7, '', 2, '', 2, 0, '2022-10-16 08:06:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5557, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-16 08:06:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5558, 7, '', 2, '', 2, 0, '2022-10-16 08:06:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5559, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-16 08:06:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5560, 7, '', 2, '', 2, 0, '2022-10-16 08:06:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5561, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-16 08:14:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5562, 7, '出舱', 1, '出舱', 2, 0, '2022-10-16 08:15:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5563, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-16 08:17:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5564, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-16 08:17:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5565, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-16 08:17:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5566, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-16 08:58:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5567, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-16 08:58:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5568, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-16 09:14:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5569, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-16 09:15:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5570, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-16 09:16:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5571, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-16 09:17:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5572, 7, '打开固定器2', 1, '打开固定器2', 2, 0, '2022-10-16 09:17:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5573, 7, '回舱', 1, '回舱', 2, 0, '2022-10-16 09:26:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5574, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-16 09:55:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5575, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-16 10:03:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5576, 7, '出舱', 1, '出舱', 2, 0, '2022-10-16 10:03:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5577, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-16 10:06:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5578, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-16 10:06:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5579, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-16 10:06:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5580, 7, '出舱', 1, '出舱', 2, 0, '2022-10-16 10:45:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5581, 7, '回舱', 1, '回舱', 2, 0, '2022-10-16 10:48:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5582, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-16 10:52:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5583, 7, '出舱', 1, '出舱', 2, 0, '2022-10-16 10:52:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5584, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-16 10:55:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5585, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-16 10:55:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5586, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-16 10:55:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5587, 7, '出舱', 1, '出舱', 2, 0, '2022-10-16 11:05:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5588, 7, '回舱', 1, '回舱', 2, 0, '2022-10-16 11:19:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5589, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-16 11:23:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5590, 7, '出舱', 1, '出舱', 2, 0, '2022-10-16 11:23:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5591, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-16 11:25:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5592, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-16 11:25:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5593, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-16 11:25:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5594, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-17 09:32:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5595, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-17 09:36:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5596, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-17 10:05:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5597, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-17 10:05:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5598, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-17 10:32:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5599, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-17 10:33:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5600, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-17 11:42:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5601, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-17 11:42:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5602, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-17 11:42:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5603, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-17 11:43:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5604, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-17 11:56:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5605, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-17 11:57:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5606, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-17 11:57:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5607, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-17 12:25:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5608, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-17 12:25:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5609, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-17 12:31:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5610, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-17 12:32:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5611, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-17 13:26:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5612, 7, '打开固定器2', 1, '打开固定器2', 2, 0, '2022-10-17 13:26:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5613, 7, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-10-17 13:27:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5614, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-17 13:28:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5615, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-17 13:43:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5616, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-17 14:51:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5617, 7, '出舱', 1, '出舱', 2, 0, '2022-10-17 15:04:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5618, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-17 15:20:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5619, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-17 15:21:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5620, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-17 15:25:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5621, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-17 15:26:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5622, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-17 15:32:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5623, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-17 15:47:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5624, 7, '回舱', 1, '回舱', 2, 0, '2022-10-17 16:41:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5625, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-17 16:52:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5626, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-17 16:53:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5627, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-18 09:27:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5628, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-18 11:29:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5629, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-18 11:58:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5630, 7, '出舱', 1, '出舱', 2, 0, '2022-10-18 13:49:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5631, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-18 14:13:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5632, 7, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-10-18 14:13:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5633, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-18 14:15:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5634, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-18 14:16:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5635, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-18 14:24:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5636, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-18 14:34:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5637, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-18 14:37:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5638, 7, '打开固定器2', 1, '打开固定器2', 2, 0, '2022-10-18 14:37:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5639, 7, '回舱', 1, '回舱', 2, 0, '2022-10-18 14:53:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5640, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-18 15:03:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5641, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-18 15:05:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5642, 7, '出舱', 1, '出舱', 2, 0, '2022-10-18 15:05:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5643, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-18 15:07:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5644, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-18 15:07:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5645, 7, '回舱', 1, '回舱', 2, 0, '2022-10-18 15:10:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5646, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-18 15:13:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5647, 7, '出舱', 1, '出舱', 2, 0, '2022-10-18 15:13:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5648, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-18 15:16:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5649, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-18 15:16:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5650, 7, '回舱', 1, '回舱', 2, 0, '2022-10-18 15:17:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5651, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-18 15:20:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5652, 7, '出舱', 1, '出舱', 2, 0, '2022-10-18 15:20:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5653, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-18 15:22:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5654, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-18 15:22:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5655, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-18 15:22:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5656, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-18 16:18:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5657, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-18 16:20:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5658, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-18 16:51:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5659, 7, '出舱', 1, '出舱', 2, 0, '2022-10-18 16:51:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5660, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-18 16:54:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5661, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-18 16:54:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5662, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-18 16:54:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5663, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-18 17:00:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5664, 7, '', 2, '', 2, 0, '2022-10-18 17:00:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5665, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-18 17:00:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5666, 7, '', 2, '', 2, 0, '2022-10-18 17:00:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5667, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-18 17:01:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5668, 7, '', 2, '', 2, 0, '2022-10-18 17:01:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5669, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-18 17:01:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5670, 7, '', 2, '', 2, 0, '2022-10-18 17:01:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5671, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-18 17:12:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5672, 7, '打开固定器2', 1, '打开固定器2', 2, 0, '2022-10-18 17:12:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5673, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-18 17:41:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5674, 7, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-10-18 17:41:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5675, 7, '出舱', 1, '出舱', 2, 0, '2022-10-19 09:27:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5676, 7, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-10-19 10:00:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5677, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-19 10:01:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5678, 7, '回舱', 1, '回舱', 2, 0, '2022-10-19 10:08:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5679, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 11:25:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5680, 7, '', 2, '', 2, 0, '2022-10-19 11:25:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5681, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 11:26:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5682, 7, '', 2, '', 2, 0, '2022-10-19 11:26:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5683, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 11:28:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5684, 7, '', 2, '', 2, 0, '2022-10-19 11:28:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5685, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 11:29:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5686, 7, '', 2, '', 2, 0, '2022-10-19 11:29:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5687, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-19 11:29:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5688, 7, '', 2, '', 2, 0, '2022-10-19 11:29:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5689, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 11:45:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5690, 7, '', 2, '', 2, 0, '2022-10-19 11:45:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5691, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 11:45:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5692, 7, '', 2, '', 2, 0, '2022-10-19 11:45:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5693, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 11:45:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5694, 7, '', 2, '', 2, 0, '2022-10-19 11:45:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5695, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 11:45:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5696, 7, '', 2, '', 2, 0, '2022-10-19 11:45:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5697, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-19 11:45:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5698, 7, '', 2, '', 2, 0, '2022-10-19 11:45:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5699, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 11:45:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5700, 7, '', 2, '', 2, 0, '2022-10-19 11:45:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5701, 7, '出舱', 1, '出舱', 2, 0, '2022-10-19 11:46:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5702, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 11:49:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5703, 7, '', 2, '', 2, 0, '2022-10-19 11:49:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5704, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 11:49:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5705, 7, '', 2, '', 2, 0, '2022-10-19 11:49:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5706, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 11:49:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5707, 7, '', 2, '', 2, 0, '2022-10-19 11:49:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5708, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 11:49:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5709, 7, '', 2, '', 2, 0, '2022-10-19 11:49:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5710, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 11:49:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5711, 7, '', 2, '', 2, 0, '2022-10-19 11:49:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5712, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 11:49:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5713, 7, '', 2, '', 2, 0, '2022-10-19 11:49:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5714, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 11:49:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5715, 7, '', 2, '', 2, 0, '2022-10-19 11:49:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5716, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 11:49:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5717, 7, '', 2, '', 2, 0, '2022-10-19 11:49:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5718, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 11:49:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5719, 7, '', 2, '', 2, 0, '2022-10-19 11:49:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5720, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 11:49:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5721, 7, '', 2, '', 2, 0, '2022-10-19 11:49:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5722, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 11:49:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5723, 7, '', 2, '', 2, 0, '2022-10-19 11:49:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5724, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 11:50:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5725, 7, '', 2, '', 2, 0, '2022-10-19 11:50:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5726, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 11:50:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5727, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 11:50:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5728, 7, '', 2, '', 2, 0, '2022-10-19 11:50:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5729, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 11:50:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5730, 7, '', 2, '', 2, 0, '2022-10-19 11:50:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5731, 7, '', 2, '', 2, 0, '2022-10-19 11:50:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5732, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 11:50:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5733, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 11:50:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5734, 7, '', 2, '', 2, 0, '2022-10-19 11:50:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5735, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 11:50:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5736, 7, '', 2, '', 2, 0, '2022-10-19 11:50:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5737, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 11:50:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5738, 7, '', 2, '', 2, 0, '2022-10-19 11:50:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5739, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 11:50:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5740, 7, '', 2, '', 2, 0, '2022-10-19 11:50:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5741, 7, '', 2, '', 2, 0, '2022-10-19 11:50:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5742, 7, '回舱', 1, '回舱', 2, 0, '2022-10-19 11:50:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5743, 7, '', 2, '', 2, 0, '2022-10-19 11:51:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5744, 7, '', 2, '', 2, 0, '2022-10-19 11:51:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5745, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-19 11:53:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5746, 7, '出舱', 1, '出舱', 2, 0, '2022-10-19 11:53:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5747, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-19 11:55:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5748, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-19 11:55:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5749, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-19 11:56:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5750, 7, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-10-19 11:57:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5751, 7, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-10-19 11:57:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5752, 7, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-10-19 11:58:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5753, 7, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-10-19 11:58:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5754, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-19 12:03:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5755, 7, '出舱', 1, '出舱', 2, 0, '2022-10-19 12:03:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5756, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-19 12:06:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5757, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-19 12:06:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5758, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-19 12:06:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5759, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:07:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5760, 7, '', 2, '', 2, 0, '2022-10-19 12:07:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5761, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:07:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5762, 7, '', 2, '', 2, 0, '2022-10-19 12:07:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5763, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 12:07:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5764, 7, '', 2, '', 2, 0, '2022-10-19 12:07:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5765, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 12:07:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5766, 7, '', 2, '', 2, 0, '2022-10-19 12:07:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5767, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-19 12:07:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5768, 7, '', 2, '', 2, 0, '2022-10-19 12:07:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5769, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 12:07:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5770, 7, '', 2, '', 2, 0, '2022-10-19 12:07:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5771, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 12:08:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5772, 7, '', 2, '', 2, 0, '2022-10-19 12:08:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5773, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 12:08:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5774, 7, '', 2, '', 2, 0, '2022-10-19 12:08:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5775, 7, '云台拍照', 2, '云台拍照', 2, 0, '2022-10-19 12:08:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5776, 7, '', 2, '', 2, 0, '2022-10-19 12:08:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5777, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:08:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5778, 7, '', 2, '', 2, 0, '2022-10-19 12:08:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5779, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:08:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5780, 7, '', 2, '', 2, 0, '2022-10-19 12:08:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5781, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:08:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5782, 7, '', 2, '', 2, 0, '2022-10-19 12:08:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5783, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:08:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5784, 7, '', 2, '', 2, 0, '2022-10-19 12:08:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5785, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:08:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5786, 7, '', 2, '', 2, 0, '2022-10-19 12:08:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5787, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:08:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5788, 7, '', 2, '', 2, 0, '2022-10-19 12:08:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5789, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:08:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5790, 7, '', 2, '', 2, 0, '2022-10-19 12:08:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5791, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:08:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5792, 7, '', 2, '', 2, 0, '2022-10-19 12:08:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5793, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:08:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5794, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:08:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5795, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:08:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5796, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:08:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5797, 7, '', 2, '', 2, 0, '2022-10-19 12:08:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5798, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:08:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5799, 7, '', 2, '', 2, 0, '2022-10-19 12:08:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5800, 7, '', 2, '', 2, 0, '2022-10-19 12:08:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5801, 7, '', 2, '', 2, 0, '2022-10-19 12:08:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5802, 7, '', 2, '', 2, 0, '2022-10-19 12:08:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5803, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:08:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5804, 7, '', 2, '', 2, 0, '2022-10-19 12:08:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5805, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:08:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5806, 7, '', 2, '', 2, 0, '2022-10-19 12:08:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5807, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:09:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5808, 7, '', 2, '', 2, 0, '2022-10-19 12:09:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5809, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-19 12:09:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5810, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 12:09:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5811, 7, '', 2, '', 2, 0, '2022-10-19 12:09:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5812, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 12:09:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5813, 7, '', 2, '', 2, 0, '2022-10-19 12:09:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5814, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 12:09:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5815, 7, '', 2, '', 2, 0, '2022-10-19 12:09:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5816, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-19 12:09:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5817, 7, '', 2, '', 2, 0, '2022-10-19 12:09:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5818, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:09:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5819, 7, '', 2, '', 2, 0, '2022-10-19 12:09:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5820, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:09:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5821, 7, '', 2, '', 2, 0, '2022-10-19 12:09:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5822, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:09:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5823, 7, '', 2, '', 2, 0, '2022-10-19 12:09:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5824, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 12:10:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5825, 7, '', 2, '', 2, 0, '2022-10-19 12:10:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5826, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:10:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5827, 7, '', 2, '', 2, 0, '2022-10-19 12:10:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5828, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:10:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5829, 7, '', 2, '', 2, 0, '2022-10-19 12:10:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5830, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 12:10:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5831, 7, '', 2, '', 2, 0, '2022-10-19 12:10:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5832, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 12:10:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5833, 7, '', 2, '', 2, 0, '2022-10-19 12:10:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5834, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:10:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5835, 7, '', 2, '', 2, 0, '2022-10-19 12:10:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5836, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:10:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5837, 7, '', 2, '', 2, 0, '2022-10-19 12:10:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5838, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:10:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5839, 7, '', 2, '', 2, 0, '2022-10-19 12:10:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5840, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:10:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5841, 7, '', 2, '', 2, 0, '2022-10-19 12:10:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5842, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:10:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5843, 7, '', 2, '', 2, 0, '2022-10-19 12:10:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5844, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:10:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5845, 7, '', 2, '', 2, 0, '2022-10-19 12:10:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5846, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:10:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5847, 7, '', 2, '', 2, 0, '2022-10-19 12:10:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5848, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:10:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5849, 7, '', 2, '', 2, 0, '2022-10-19 12:10:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5850, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:10:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5851, 7, '', 2, '', 2, 0, '2022-10-19 12:10:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5852, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:11:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5853, 7, '', 2, '', 2, 0, '2022-10-19 12:11:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5854, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:11:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5855, 7, '', 2, '', 2, 0, '2022-10-19 12:11:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5856, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:11:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5857, 7, '', 2, '', 2, 0, '2022-10-19 12:11:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5858, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:11:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5859, 7, '', 2, '', 2, 0, '2022-10-19 12:11:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5860, 7, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-10-19 12:11:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5861, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:11:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5862, 7, '', 2, '', 2, 0, '2022-10-19 12:11:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5863, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:11:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5864, 7, '', 2, '', 2, 0, '2022-10-19 12:11:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5865, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:11:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5866, 7, '', 2, '', 2, 0, '2022-10-19 12:11:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5867, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:12:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5868, 7, '', 2, '', 2, 0, '2022-10-19 12:12:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5869, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:12:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5870, 7, '', 2, '', 2, 0, '2022-10-19 12:12:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5871, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:12:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5872, 7, '', 2, '', 2, 0, '2022-10-19 12:12:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5873, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:12:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5874, 7, '', 2, '', 2, 0, '2022-10-19 12:12:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5875, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:12:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5876, 7, '', 2, '', 2, 0, '2022-10-19 12:12:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5877, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-19 12:12:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5878, 7, '', 2, '', 2, 0, '2022-10-19 12:12:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5879, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:13:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5880, 7, '', 2, '', 2, 0, '2022-10-19 12:13:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5881, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:14:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5882, 7, '', 2, '', 2, 0, '2022-10-19 12:14:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5883, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:14:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5884, 7, '', 2, '', 2, 0, '2022-10-19 12:14:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5885, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:14:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5886, 7, '', 2, '', 2, 0, '2022-10-19 12:14:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5887, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:14:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5888, 7, '', 2, '', 2, 0, '2022-10-19 12:14:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5889, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 12:14:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5890, 7, '', 2, '', 2, 0, '2022-10-19 12:14:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5891, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:15:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5892, 7, '', 2, '', 2, 0, '2022-10-19 12:15:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5893, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:15:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5894, 7, '', 2, '', 2, 0, '2022-10-19 12:15:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5895, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:15:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5896, 7, '', 2, '', 2, 0, '2022-10-19 12:15:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5897, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 12:15:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5898, 7, '', 2, '', 2, 0, '2022-10-19 12:15:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5899, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-19 13:53:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5900, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-19 13:56:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5901, 7, '出舱', 1, '出舱', 2, 0, '2022-10-19 13:56:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5902, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-19 13:58:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5903, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-19 13:59:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5904, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-19 13:59:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5905, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-19 14:31:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5906, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-19 14:49:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5907, 7, '', 2, '', 2, 0, '2022-10-19 15:49:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5908, 7, '', 2, '', 2, 0, '2022-10-19 15:54:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5909, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-19 15:56:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5910, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-19 15:56:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5911, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-19 15:56:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5912, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-19 15:57:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5913, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-19 15:59:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5914, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-19 16:15:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5915, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 16:24:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5916, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:24:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5917, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:24:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5918, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:24:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5919, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 16:25:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5920, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:25:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5921, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 16:28:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5922, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:28:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5923, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 16:29:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5924, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:29:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5925, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 16:34:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5926, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 16:38:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5927, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:38:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5928, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-19 16:42:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5929, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-19 16:43:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5930, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 16:44:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5931, 7, '', 2, '', 2, 0, '2022-10-19 16:44:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5932, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 16:44:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5933, 7, '', 2, '', 2, 0, '2022-10-19 16:44:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5934, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 16:44:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5935, 7, '', 2, '', 2, 0, '2022-10-19 16:44:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5936, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 16:44:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5937, 7, '', 2, '', 2, 0, '2022-10-19 16:44:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5938, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 16:44:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5939, 7, '', 2, '', 2, 0, '2022-10-19 16:44:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5940, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 16:45:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5941, 7, '', 2, '', 2, 0, '2022-10-19 16:45:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5942, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 16:45:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5943, 7, '', 2, '', 2, 0, '2022-10-19 16:45:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5944, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 16:45:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5945, 7, '', 2, '', 2, 0, '2022-10-19 16:45:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5946, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-19 16:45:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5947, 7, '', 2, '', 2, 0, '2022-10-19 16:45:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5948, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:45:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5949, 7, '', 2, '', 2, 0, '2022-10-19 16:45:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5950, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:45:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5951, 7, '', 2, '', 2, 0, '2022-10-19 16:45:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5952, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:45:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5953, 7, '', 2, '', 2, 0, '2022-10-19 16:45:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5954, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 16:45:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5955, 7, '', 2, '', 2, 0, '2022-10-19 16:45:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5956, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 16:45:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5957, 7, '', 2, '', 2, 0, '2022-10-19 16:45:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5958, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:45:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5959, 7, '', 2, '', 2, 0, '2022-10-19 16:45:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5960, 7, '', 2, '', 2, 0, '2022-10-19 16:46:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5961, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 16:46:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5962, 7, '', 2, '', 2, 0, '2022-10-19 16:46:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5963, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 16:46:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5964, 7, '', 2, '', 2, 0, '2022-10-19 16:46:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5965, 7, '', 2, '', 2, 0, '2022-10-19 16:46:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5966, 7, '', 2, '', 2, 0, '2022-10-19 16:46:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5967, 7, '', 2, '', 2, 0, '2022-10-19 16:47:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5968, 7, '', 2, '', 2, 0, '2022-10-19 16:47:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5969, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-19 16:47:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5970, 7, '', 2, '', 2, 0, '2022-10-19 16:47:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5971, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-19 16:47:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5972, 7, '', 2, '', 2, 0, '2022-10-19 16:47:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5973, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-19 16:48:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5974, 7, '', 2, '', 2, 0, '2022-10-19 16:48:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5975, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-19 16:48:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5976, 7, '', 2, '', 2, 0, '2022-10-19 16:48:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5977, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 16:48:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5978, 7, '', 2, '', 2, 0, '2022-10-19 16:48:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5979, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-19 16:52:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5980, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 16:53:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5981, 7, '', 2, '', 2, 0, '2022-10-19 16:53:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5982, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-19 16:55:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5983, 7, '', 2, '', 2, 0, '2022-10-19 16:55:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5984, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-10-19 17:01:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5985, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-19 17:17:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5986, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:25:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5987, 7, '', 2, '', 2, 0, '2022-10-19 17:25:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5988, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:25:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5989, 7, '', 2, '', 2, 0, '2022-10-19 17:25:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5990, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:25:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5991, 7, '', 2, '', 2, 0, '2022-10-19 17:25:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5992, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:26:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5993, 7, '', 2, '', 2, 0, '2022-10-19 17:26:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5994, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:26:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5995, 7, '', 2, '', 2, 0, '2022-10-19 17:26:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5996, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-19 17:27:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5997, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 17:27:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5998, 7, '', 2, '', 2, 0, '2022-10-19 17:27:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (5999, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 17:27:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6000, 7, '', 2, '', 2, 0, '2022-10-19 17:27:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6001, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:27:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6002, 7, '', 2, '', 2, 0, '2022-10-19 17:27:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6003, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:28:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6004, 7, '', 2, '', 2, 0, '2022-10-19 17:28:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6005, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:28:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6006, 7, '', 2, '', 2, 0, '2022-10-19 17:28:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6007, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:28:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6008, 7, '', 2, '', 2, 0, '2022-10-19 17:28:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6009, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:28:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6010, 7, '', 2, '', 2, 0, '2022-10-19 17:28:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6011, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:28:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6012, 7, '', 2, '', 2, 0, '2022-10-19 17:28:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6013, 7, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-10-19 17:28:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6014, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:28:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6015, 7, '', 2, '', 2, 0, '2022-10-19 17:28:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6016, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:28:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6017, 7, '', 2, '', 2, 0, '2022-10-19 17:28:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6018, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:28:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6019, 7, '', 2, '', 2, 0, '2022-10-19 17:29:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6020, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:29:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6021, 7, '', 2, '', 2, 0, '2022-10-19 17:29:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6022, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:29:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6023, 7, '', 2, '', 2, 0, '2022-10-19 17:29:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6024, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:29:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6025, 7, '', 2, '', 2, 0, '2022-10-19 17:29:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6026, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:30:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6027, 7, '', 2, '', 2, 0, '2022-10-19 17:30:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6028, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:30:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6029, 7, '', 2, '', 2, 0, '2022-10-19 17:30:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6030, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:31:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6031, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:31:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6032, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:31:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6033, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:31:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6034, 7, '', 2, '', 2, 0, '2022-10-19 17:31:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6035, 7, '', 2, '', 2, 0, '2022-10-19 17:31:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6036, 7, '', 2, '', 2, 0, '2022-10-19 17:31:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6037, 7, '', 2, '', 2, 0, '2022-10-19 17:31:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6038, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:31:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6039, 7, '', 2, '', 2, 0, '2022-10-19 17:31:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6040, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:31:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6041, 7, '', 2, '', 2, 0, '2022-10-19 17:31:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6042, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:31:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6043, 7, '', 2, '', 2, 0, '2022-10-19 17:31:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6044, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:32:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6045, 7, '', 2, '', 2, 0, '2022-10-19 17:32:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6046, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 17:32:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6047, 7, '', 2, '', 2, 0, '2022-10-19 17:32:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6048, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-19 17:32:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6049, 7, '', 2, '', 2, 0, '2022-10-19 17:32:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6050, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:32:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6051, 7, '', 2, '', 2, 0, '2022-10-19 17:32:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6052, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:33:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6053, 7, '', 2, '', 2, 0, '2022-10-19 17:33:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6054, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-19 17:33:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6055, 7, '', 2, '', 2, 0, '2022-10-19 17:33:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6056, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-19 17:34:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6057, 7, '', 2, '', 2, 0, '2022-10-19 17:34:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6058, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 17:34:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6059, 7, '', 2, '', 2, 0, '2022-10-19 17:34:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6060, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-19 17:34:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6061, 7, '', 2, '', 2, 0, '2022-10-19 17:34:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6062, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-19 17:34:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6063, 7, '', 2, '', 2, 0, '2022-10-19 17:34:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6064, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:35:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6065, 7, '', 2, '', 2, 0, '2022-10-19 17:35:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6066, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:35:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6067, 7, '', 2, '', 2, 0, '2022-10-19 17:35:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6068, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:36:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6069, 7, '', 2, '', 2, 0, '2022-10-19 17:36:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6070, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:36:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6071, 7, '', 2, '', 2, 0, '2022-10-19 17:36:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6072, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:36:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6073, 7, '', 2, '', 2, 0, '2022-10-19 17:36:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6074, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:36:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6075, 7, '', 2, '', 2, 0, '2022-10-19 17:36:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6076, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:36:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6077, 7, '', 2, '', 2, 0, '2022-10-19 17:36:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6078, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-19 17:36:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6079, 7, '', 2, '', 2, 0, '2022-10-19 17:36:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6080, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 17:36:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6081, 7, '', 2, '', 2, 0, '2022-10-19 17:36:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6082, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 17:36:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6083, 7, '', 2, '', 2, 0, '2022-10-19 17:36:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6084, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 17:36:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6085, 7, '', 2, '', 2, 0, '2022-10-19 17:36:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6086, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-19 17:36:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6087, 7, '', 2, '', 2, 0, '2022-10-19 17:36:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6088, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 17:36:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6089, 7, '', 2, '', 2, 0, '2022-10-19 17:36:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6090, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-19 17:36:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6091, 7, '', 2, '', 2, 0, '2022-10-19 17:36:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6092, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-19 18:01:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6093, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 09:03:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6094, 7, '', 2, '', 2, 0, '2022-10-20 09:03:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6095, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 09:03:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6096, 7, '', 2, '', 2, 0, '2022-10-20 09:03:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6097, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 09:09:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6098, 7, '', 2, '', 2, 0, '2022-10-20 09:09:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6099, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-20 09:36:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6100, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-20 09:37:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6101, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-20 09:37:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6102, 7, '切换模式', 2, '切换模式', 2, 0, '2022-10-20 09:37:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6103, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-20 09:37:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6104, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 09:38:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6105, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-20 09:38:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6106, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-20 09:38:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6107, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 09:38:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6108, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 09:38:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6109, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 09:39:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6110, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 09:39:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6111, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 09:39:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6112, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-10-20 09:56:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6113, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 10:09:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6114, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 10:09:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6115, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 10:10:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6116, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:11:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6117, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:11:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6118, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:11:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6119, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:11:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6120, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 10:13:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6121, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 10:13:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6122, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:13:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6123, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 10:13:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6124, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:14:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6125, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:14:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6126, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:14:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6127, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:14:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6128, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:14:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6129, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:15:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6130, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:15:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6131, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:15:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6132, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:15:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6133, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-20 10:15:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6134, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-20 10:16:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6135, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-20 10:17:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6136, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-20 10:17:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6137, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-20 10:17:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6138, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:17:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6139, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:17:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6140, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:17:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6141, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:18:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6142, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:18:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6143, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 10:26:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6144, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:28:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6145, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:28:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6146, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:28:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6147, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:28:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6148, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:28:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6149, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:28:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6150, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:28:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6151, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:30:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6152, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:30:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6153, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:30:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6154, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 10:30:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6155, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-20 10:30:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6156, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:32:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6157, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 10:32:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6158, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-20 10:33:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6159, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:34:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6160, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 10:34:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6161, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-20 10:38:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6162, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-20 10:38:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6163, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-20 10:40:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6164, 7, '打开固定器2', 1, '打开固定器2', 2, 0, '2022-10-20 10:40:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6165, 7, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-10-20 10:47:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6166, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-20 10:48:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6167, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-20 10:49:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6168, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-20 10:49:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6169, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-20 10:49:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6170, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-20 10:50:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6171, 7, '打开固定器2', 1, '打开固定器2', 2, 0, '2022-10-20 10:50:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6172, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-20 10:52:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6173, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-20 10:52:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6174, 7, '关闭升降器', 1, '关闭升降器', 1, 0, '2022-10-20 10:54:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6175, 7, '回舱', 1, '回舱', 2, 0, '2022-10-20 10:55:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6176, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-20 10:59:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6177, 7, '出舱', 1, '出舱', 2, 0, '2022-10-20 11:00:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6178, 7, '回舱', 1, '回舱', 2, 0, '2022-10-20 11:02:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6179, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-20 13:32:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6180, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 13:43:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6181, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 13:43:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6182, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 13:43:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6183, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 13:43:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6184, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 13:43:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6185, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 13:45:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6186, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 13:45:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6187, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 13:47:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6188, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 13:47:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6189, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 13:47:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6190, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 13:47:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6191, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 13:49:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6192, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 13:50:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6193, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 13:50:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6194, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 13:50:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6195, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 13:50:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6196, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 13:51:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6197, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 13:51:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6198, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 13:54:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6199, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 13:54:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6200, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 13:54:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6201, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 13:54:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6202, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-20 14:08:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6203, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 14:24:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6204, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 14:24:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6205, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 14:24:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6206, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 14:24:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6207, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 14:25:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6208, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 14:25:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6209, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 14:25:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6210, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 14:26:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6211, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 14:26:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6212, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 14:27:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6213, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 14:27:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6214, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-10-20 14:28:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6215, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-20 14:53:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6216, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 15:01:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6217, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 15:01:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6218, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 15:01:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6219, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 15:01:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6220, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 15:01:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6221, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 15:01:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6222, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 15:01:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6223, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 15:01:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6224, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 15:02:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6225, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 15:02:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6226, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 15:05:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6227, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 15:06:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6228, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 15:06:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6229, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 15:06:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6230, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 15:07:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6231, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 15:07:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6232, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 15:07:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6233, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 15:07:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6234, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 15:07:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6235, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-20 15:41:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6236, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-20 16:15:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6237, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-20 16:16:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6238, 7, '出舱', 1, '出舱', 2, 0, '2022-10-20 16:16:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6239, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-20 16:19:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6240, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-20 16:19:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6241, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-20 16:19:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6242, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 16:20:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6243, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 16:22:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6244, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 16:22:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6245, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 16:23:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6246, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 16:23:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6247, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 16:25:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6248, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 16:25:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6249, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-20 16:25:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6250, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 16:25:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6251, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-20 16:25:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6252, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-20 16:25:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6253, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:25:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6254, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:25:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6255, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 16:26:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6256, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 16:26:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6257, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 16:26:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6258, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 16:26:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6259, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:26:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6260, 7, '云台拍照', 2, '云台拍照', 2, 0, '2022-10-20 16:26:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6261, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:27:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6262, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 16:27:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6263, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 16:27:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6264, 7, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-10-20 16:28:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6265, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-20 16:29:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6266, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:29:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6267, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 16:29:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6268, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:30:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6269, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-20 16:30:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6270, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:30:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6271, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:30:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6272, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 16:30:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6273, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:31:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6274, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 16:32:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6275, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:32:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6276, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:32:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6277, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 16:32:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6278, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-20 17:38:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6279, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-20 17:42:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6280, 7, '出舱', 1, '出舱', 2, 0, '2022-10-20 17:42:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6281, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-20 17:44:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6282, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-20 17:44:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6283, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-20 17:45:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6284, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 17:46:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6285, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 17:46:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6286, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 17:46:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6287, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 17:46:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6288, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 17:46:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6289, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-20 17:48:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6290, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-20 17:48:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6291, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-20 17:48:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6292, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 17:48:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6293, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 17:48:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6294, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 17:48:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6295, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 17:49:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6296, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 17:49:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6297, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-20 17:49:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6298, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-20 17:49:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6299, 7, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-10-20 17:49:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6300, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 17:49:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6301, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 17:50:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6302, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 17:50:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6303, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 17:50:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6304, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-20 17:50:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6305, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-20 17:50:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6306, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-20 17:50:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6307, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 17:50:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6308, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 17:50:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6309, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 17:50:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6310, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-20 17:50:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6311, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-20 17:50:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6312, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-20 17:51:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6313, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-20 17:51:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6314, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-20 17:51:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6315, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-20 17:53:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6316, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-20 18:10:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6317, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-21 09:15:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6318, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-21 09:33:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6319, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-21 09:45:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6320, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-21 09:57:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6321, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-21 09:57:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6322, 7, '切换模式', 2, '切换模式', 2, 0, '2022-10-21 09:58:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6323, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-21 09:58:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6324, 7, '出舱', 1, '出舱', 2, 0, '2022-10-21 10:03:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6325, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-21 10:42:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6326, 7, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-10-21 10:42:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6327, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-21 10:43:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6328, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-21 10:45:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6329, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-21 10:46:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6330, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-21 11:17:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6331, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-21 11:38:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6332, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-21 11:52:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6333, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-21 11:52:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6334, 7, '出舱', 1, '出舱', 2, 0, '2022-10-21 11:53:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6335, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-21 13:14:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6336, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-21 13:14:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6337, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-21 13:14:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6338, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-21 13:15:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6339, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-21 13:15:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6340, 7, '环境检查', 2, '环境检查', 2, 0, '2022-10-21 13:30:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6341, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-21 13:34:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6342, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 13:36:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6343, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 13:36:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6344, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 13:36:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6345, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-21 13:36:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6346, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-21 13:36:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6347, 7, '出舱', 1, '出舱', 2, 0, '2022-10-21 13:36:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6348, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-21 13:40:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6349, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-21 13:40:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6350, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-21 13:40:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6351, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 13:54:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6352, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 13:54:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6353, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-21 13:54:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6354, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-21 13:55:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6355, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 13:57:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6356, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-21 13:58:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6357, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 13:58:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6358, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 13:58:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6359, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-21 13:59:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6360, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-21 13:59:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6361, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-21 14:00:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6362, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-21 14:02:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6363, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-21 14:03:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6364, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-21 14:09:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6365, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-21 14:09:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6366, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-21 15:03:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6367, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 15:16:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6368, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-21 15:29:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6369, 7, '回舱', 1, '回舱', 2, 0, '2022-10-21 15:53:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6370, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-21 15:56:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6371, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-21 15:59:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6372, 7, '出舱', 1, '出舱', 2, 0, '2022-10-21 15:59:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6373, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-21 16:01:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6374, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-21 16:01:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6375, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-21 16:01:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6376, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 16:03:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6377, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 16:07:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6378, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 16:09:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6379, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-21 16:09:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6380, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-21 16:11:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6381, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-21 16:11:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6382, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-21 16:11:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6383, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-21 16:11:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6384, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 16:12:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6385, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-21 16:14:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6386, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-21 16:14:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6387, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-21 16:14:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6388, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-21 16:15:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6389, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-21 16:15:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6390, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-21 16:15:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6391, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-21 17:23:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6392, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-21 17:23:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6393, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-21 17:23:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6394, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-21 17:31:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6395, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-21 17:32:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6396, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-23 10:31:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6397, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-23 10:33:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6398, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-23 10:34:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6399, 7, '出舱', 1, '出舱', 2, 0, '2022-10-23 10:34:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6400, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-23 10:36:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6401, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-23 10:36:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6402, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-23 10:36:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6403, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-23 10:38:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6404, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-23 10:38:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6405, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-23 10:38:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6406, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-23 10:38:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6407, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-23 10:38:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6408, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-23 10:38:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6409, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-23 10:38:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6410, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-23 10:38:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6411, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-23 10:39:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6412, 7, '出舱', 1, '出舱', 2, 0, '2022-10-24 09:30:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6413, 7, '回舱', 1, '回舱', 2, 0, '2022-10-24 09:55:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6414, 7, '出舱', 1, '出舱', 2, 0, '2022-10-24 09:58:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6415, 7, '回舱', 1, '回舱', 2, 0, '2022-10-24 10:06:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6416, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-25 11:43:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6417, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:53:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6418, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:53:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6419, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:54:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6420, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:54:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6421, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:54:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6422, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:54:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6423, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:54:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6424, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:54:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6425, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:54:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6426, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6427, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6428, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6429, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6430, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6431, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6432, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6433, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6434, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6435, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6436, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6437, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6438, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6439, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6440, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:54:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6441, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:54:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6442, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 12:54:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6443, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:58:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6444, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:58:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6445, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:59:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6446, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:59:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6447, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:59:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6448, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:59:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6449, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:59:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6450, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:59:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6451, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:59:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6452, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:59:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6453, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:59:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6454, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:59:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6455, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 12:59:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6456, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 13:00:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6457, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 13:00:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6458, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-25 13:03:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6459, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-25 13:04:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6460, 7, '打开固定器2', 1, '打开固定器2', 2, 0, '2022-10-25 13:04:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6461, 7, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-10-25 13:05:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6462, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-25 13:06:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6463, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-25 13:07:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6464, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-25 13:08:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6465, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-25 13:08:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6466, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-25 13:09:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6467, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-25 13:10:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6468, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-25 13:11:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6469, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-25 13:13:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6470, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-25 13:17:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6471, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-25 13:19:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6472, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-25 13:22:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6473, 7, '出舱', 1, '出舱', 2, 0, '2022-10-25 14:42:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6474, 7, '回舱', 1, '回舱', 2, 0, '2022-10-25 17:38:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6475, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-25 17:41:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6476, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-25 17:48:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6477, 7, '出舱', 1, '出舱', 2, 0, '2022-10-25 17:48:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6478, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-25 17:50:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6479, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-25 17:50:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6480, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-25 17:50:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6481, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-25 17:58:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6482, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-25 17:59:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6483, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-25 18:00:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6484, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-25 18:01:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6485, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-25 18:16:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6486, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-25 18:32:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6487, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-25 18:32:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6488, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-25 18:32:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6489, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-25 18:32:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6490, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-25 18:32:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6491, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-25 18:32:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6492, 7, '云台拍照', 2, '云台拍照', 2, 0, '2022-10-25 18:35:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6493, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-25 18:46:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6494, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-10-25 18:47:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6495, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-10-25 18:47:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6496, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-26 08:38:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6497, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-26 08:41:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6498, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 08:42:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6499, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 11:42:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6500, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 11:42:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6501, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:43:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6502, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 11:43:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6503, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-26 11:43:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6504, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-26 11:43:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6505, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-26 11:43:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6506, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-26 11:44:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6507, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 11:44:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6508, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 11:44:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6509, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:44:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6510, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:44:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6511, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:44:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6512, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:44:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6513, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-26 11:44:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6514, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 11:45:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6515, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-26 11:45:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6516, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-26 11:47:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6517, 7, '切换模式', 2, '切换模式', 2, 0, '2022-10-26 11:47:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6518, 7, '切换模式', 2, '切换模式', 2, 0, '2022-10-26 11:48:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6519, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 11:48:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6520, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 11:48:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6521, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 11:48:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6522, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 11:48:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6523, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:48:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6524, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 11:49:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6525, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:49:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6526, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 11:49:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6527, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-26 11:49:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6528, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:49:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6529, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 11:49:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6530, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:50:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6531, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-26 11:50:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6532, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-26 11:50:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6533, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 11:50:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6534, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 11:50:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6535, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:51:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6536, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 11:51:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6537, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:51:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6538, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 11:57:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6539, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:57:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6540, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 11:57:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6541, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:57:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6542, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-26 11:57:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6543, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 11:58:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6544, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 11:58:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6545, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 11:58:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6546, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 11:59:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6547, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-26 11:59:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6548, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 11:59:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6549, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 12:00:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6550, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 12:17:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6551, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 12:17:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6552, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 12:18:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6553, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 12:18:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6554, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 12:24:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6555, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 12:24:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6556, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 12:24:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6557, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 12:24:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6558, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 12:24:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6559, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 12:24:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6560, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 12:24:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6561, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 12:26:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6562, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 12:26:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6563, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 12:29:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6564, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 12:30:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6565, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 12:30:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6566, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 12:30:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6567, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-26 12:31:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6568, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 12:31:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6569, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 12:31:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6570, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-26 13:09:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6571, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 13:10:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6572, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 13:10:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6573, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 13:10:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6574, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 13:10:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6575, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-26 13:10:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6576, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 13:11:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6577, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 13:11:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6578, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-26 13:11:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6579, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 13:11:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6580, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 13:11:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6581, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 13:24:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6582, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 13:24:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6583, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 13:25:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6584, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-26 13:31:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6585, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-26 13:31:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6586, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 13:32:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6587, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 13:32:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6588, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 13:32:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6589, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 13:32:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6590, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 13:32:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6591, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 13:32:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6592, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 13:32:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6593, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-26 13:32:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6594, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 13:32:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6595, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 13:32:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6596, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-26 13:32:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6597, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 13:34:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6598, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-26 13:34:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6599, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-26 13:34:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6600, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-26 13:34:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6601, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 13:34:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6602, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 13:34:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6603, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 13:34:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6604, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-26 15:11:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6605, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 15:12:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6606, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-26 15:13:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6607, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-26 15:13:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6608, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-26 15:13:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6609, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-26 15:23:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6610, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:30:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6611, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:30:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6612, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:30:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6613, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:30:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6614, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:30:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6615, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-26 15:32:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6616, 7, '指点飞行', 2, '指点飞行', 2, 0, '2022-10-26 15:32:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6617, 7, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-10-26 15:33:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6618, 7, '暂停飞行任务', 2, '暂停飞行任务', 2, 0, '2022-10-26 15:34:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6619, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:35:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6620, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:35:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6621, 7, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-10-26 15:35:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6622, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:36:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6623, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:36:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6624, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:36:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6625, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:36:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6626, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:36:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6627, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:36:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6628, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:36:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6629, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:37:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6630, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:37:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6631, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:38:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6632, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:38:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6633, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:38:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6634, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:38:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6635, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:38:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6636, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-26 15:38:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6637, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:38:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6638, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:38:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6639, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:38:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6640, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:38:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6641, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:38:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6642, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:38:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6643, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:38:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6644, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:38:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6645, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:38:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6646, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:38:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6647, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-26 15:39:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6648, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:39:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6649, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:39:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6650, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:39:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6651, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:39:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6652, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:39:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6653, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:39:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6654, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:39:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6655, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-26 15:39:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6656, 7, '云台录像', 2, '云台录像', 2, 0, '2022-10-26 15:40:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6657, 7, '云台停止录像', 2, '云台停止录像', 2, 0, '2022-10-26 15:40:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6658, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:47:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6659, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:48:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6660, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-26 15:48:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6661, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-26 15:48:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6662, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:48:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6663, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:48:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6664, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:48:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6665, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:49:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6666, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-26 15:51:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6667, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-26 15:51:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6668, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-26 15:51:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6669, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:51:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6670, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:51:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6671, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-26 15:51:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6672, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-26 16:43:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6673, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-26 16:43:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6674, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-26 16:45:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6675, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 16:46:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6676, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-26 16:46:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6677, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-26 16:48:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6678, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-28 09:37:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6679, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-28 09:48:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6680, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 09:48:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6681, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-28 09:48:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6682, 7, '出舱', 1, '出舱', 2, 0, '2022-10-28 09:49:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6683, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-28 09:51:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6684, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-28 09:51:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6685, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-28 09:52:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6686, 7, '出舱', 1, '出舱', 2, 0, '2022-10-28 10:10:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6687, 7, '回舱', 1, '回舱', 2, 0, '2022-10-28 10:12:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6688, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-28 13:03:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6689, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-28 13:07:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6690, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-28 13:07:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6691, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-28 13:08:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6692, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-28 13:09:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6693, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-28 13:09:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6694, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-28 13:09:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6695, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 13:10:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6696, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 13:10:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6697, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 13:10:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6698, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-28 13:11:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6699, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 13:19:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6700, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-28 13:19:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6701, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 13:19:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6702, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 13:20:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6703, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 13:21:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6704, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 13:21:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6705, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 13:22:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6706, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-28 13:22:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6707, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-28 13:22:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6708, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 13:23:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6709, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 13:23:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6710, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-28 13:23:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6711, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 13:23:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6712, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 13:23:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6713, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 13:24:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6714, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 13:24:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6715, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 13:24:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6716, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 13:24:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6717, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-28 13:25:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6718, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-28 13:25:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6719, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 13:25:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6720, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 13:25:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6721, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 13:27:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6722, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 13:27:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6723, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 13:28:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6724, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 13:28:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6725, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 13:28:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6726, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 13:29:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6727, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 13:30:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6728, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 13:30:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6729, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 13:31:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6730, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 13:31:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6731, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-28 14:39:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6732, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-28 14:41:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6733, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-28 14:41:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6734, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 14:41:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6735, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 14:41:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6736, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-28 14:41:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6737, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-28 14:43:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6738, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-28 14:58:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6739, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-28 16:25:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6740, 7, '出舱', 1, '出舱', 2, 0, '2022-10-28 16:25:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6741, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-28 16:27:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6742, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-28 16:27:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6743, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-28 16:28:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6744, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 16:29:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6745, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-28 16:29:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6746, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 16:29:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6747, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 16:30:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6748, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 16:31:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6749, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 16:31:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6750, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 16:31:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6751, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-28 16:32:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6752, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 16:32:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6753, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-28 16:32:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6754, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-28 16:32:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6755, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-28 16:33:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6756, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-28 16:33:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6757, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-28 16:33:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6758, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-28 16:33:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6759, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-28 16:33:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6760, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-28 16:33:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6761, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-28 16:33:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6762, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-28 16:34:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6763, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-28 16:37:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6764, 7, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-10-28 16:40:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6765, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-31 09:50:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6766, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-31 11:16:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6767, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-31 13:35:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6768, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-31 13:50:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6769, 7, '出舱', 1, '出舱', 2, 0, '2022-10-31 13:51:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6770, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-31 13:53:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6771, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-31 13:53:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6772, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-31 13:53:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6773, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-31 13:54:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6774, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-31 13:55:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6775, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-31 13:56:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6776, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-31 13:56:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6777, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 13:56:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6778, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 13:56:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6779, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 13:56:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6780, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 13:56:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6781, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 13:56:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6782, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-31 13:59:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6783, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-31 13:59:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6784, 7, '指点飞行', 2, '指点飞行', 2, 0, '2022-10-31 14:01:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6785, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-31 14:01:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6786, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-10-31 14:01:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6787, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-10-31 14:01:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6788, 7, '无人机左旋(75)', 2, '无人机左旋(75)', 2, 0, '2022-10-31 14:02:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6789, 7, '停止无人机左旋操作', 2, '停止无人机左旋操作', 2, 0, '2022-10-31 14:02:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6790, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-10-31 14:02:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6791, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-31 15:19:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6792, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-31 15:20:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6793, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-31 15:56:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6794, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-31 16:34:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6795, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-31 16:34:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6796, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-31 16:34:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6797, 7, '云台左转', 2, '云台左转', 2, 0, '2022-10-31 16:35:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6798, 7, '云台右转', 2, '云台右转', 2, 0, '2022-10-31 16:36:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6799, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-31 16:36:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6800, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:36:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6801, 7, '切换画面', 2, '切换画面', 2, 0, '2022-10-31 16:38:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6802, 7, '环境检查', 1, '环境检查', 2, 0, '2022-10-31 16:38:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6803, 7, '出舱', 1, '出舱', 2, 0, '2022-10-31 16:38:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6804, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-10-31 16:40:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6805, 7, '上传航线', 2, '上传航线', 2, 0, '2022-10-31 16:40:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6806, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-10-31 16:41:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6807, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-31 16:41:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6808, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-31 16:42:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6809, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-31 16:42:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6810, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-31 16:42:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6811, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-31 16:42:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6812, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-31 16:42:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6813, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-31 16:42:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6814, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-31 16:42:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6815, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-31 16:42:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6816, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-31 16:42:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6817, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-31 16:42:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6818, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:43:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6819, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:43:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6820, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:43:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6821, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:43:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6822, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-31 16:44:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6823, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-31 16:44:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6824, 7, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-10-31 16:45:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6825, 7, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-10-31 16:45:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6826, 7, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-10-31 16:45:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6827, 7, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-10-31 16:45:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6828, 7, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-10-31 16:45:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6829, 7, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-10-31 16:45:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6830, 7, '无人机下降(50)', 2, '无人机下降(50)', 2, 0, '2022-10-31 16:45:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6831, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:45:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6832, 7, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-10-31 16:45:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6833, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:46:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6834, 7, '无人机下降(50)', 2, '无人机下降(50)', 2, 0, '2022-10-31 16:46:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6835, 7, '无人机下降(50)', 2, '无人机下降(50)', 2, 0, '2022-10-31 16:46:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6836, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:46:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6837, 7, '无人机下降(50)', 2, '无人机下降(50)', 2, 0, '2022-10-31 16:46:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6838, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:46:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6839, 7, '无人机下降(50)', 2, '无人机下降(50)', 2, 0, '2022-10-31 16:46:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6840, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:47:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6841, 7, '无人机下降(100)', 2, '无人机下降(100)', 2, 0, '2022-10-31 16:47:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6842, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:47:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6843, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:47:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6844, 7, '无人机左旋(75)', 2, '无人机左旋(75)', 2, 0, '2022-10-31 16:48:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6845, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-10-31 16:48:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6846, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-10-31 16:48:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6847, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-10-31 16:48:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6848, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-10-31 16:48:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6849, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-10-31 16:48:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6850, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-10-31 16:48:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6851, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-10-31 16:49:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6852, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-10-31 16:49:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6853, 7, '无人机下降(200)', 2, '无人机下降(200)', 2, 0, '2022-10-31 16:49:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6854, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:49:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6855, 7, '无人机左旋(75)', 2, '无人机左旋(75)', 2, 0, '2022-10-31 16:49:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6856, 7, '停止无人机左旋操作', 2, '停止无人机左旋操作', 2, 0, '2022-10-31 16:49:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6857, 7, '无人机下降(200)', 2, '无人机下降(200)', 2, 0, '2022-10-31 16:50:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6858, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:50:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6859, 7, '无人机下降(200)', 2, '无人机下降(200)', 2, 0, '2022-10-31 16:50:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6860, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:50:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6861, 7, '无人机下降(200)', 2, '无人机下降(200)', 2, 0, '2022-10-31 16:50:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6862, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:51:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6863, 7, '无人机下降(200)', 2, '无人机下降(200)', 2, 0, '2022-10-31 16:51:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6864, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:51:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6865, 7, '无人机下降(200)', 2, '无人机下降(200)', 2, 0, '2022-10-31 16:51:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6866, 7, '停止无人机下降操作', 2, '停止无人机下降操作', 2, 0, '2022-10-31 16:51:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6867, 7, '无人机左旋(75)', 2, '无人机左旋(75)', 2, 0, '2022-10-31 16:52:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6868, 7, '停止无人机左旋操作', 2, '停止无人机左旋操作', 2, 0, '2022-10-31 16:52:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6869, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-31 16:52:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6870, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-31 16:52:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6871, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-31 16:52:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6872, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-31 16:52:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6873, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-31 16:52:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6874, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-31 16:53:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6875, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-31 16:53:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6876, 7, '云台放大', 2, '云台放大', 2, 0, '2022-10-31 16:53:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6877, 7, '云台仰', 2, '云台仰', 2, 0, '2022-10-31 16:53:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6878, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:53:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6879, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:53:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6880, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:53:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6881, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:53:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6882, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:53:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6883, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:53:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6884, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-10-31 16:53:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6885, 7, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-10-31 16:53:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6886, 7, '云台俯', 2, '云台俯', 2, 0, '2022-10-31 16:54:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6887, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-10-31 16:54:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6888, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-10-31 16:54:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6889, 7, '云台回中', 2, '云台回中', 2, 0, '2022-10-31 16:59:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6890, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-31 17:03:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6891, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-31 17:04:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6892, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-31 17:05:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6893, 7, '打开升降器', 1, '打开升降器', 2, 0, '2022-10-31 17:05:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6894, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-10-31 17:09:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6895, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-10-31 17:09:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6896, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-10-31 17:09:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6897, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-10-31 17:09:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6898, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-10-31 17:10:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6899, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-11-01 10:00:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6900, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-11-01 10:03:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6901, 7, '切换画面', 2, '切换画面', 2, 0, '2022-11-01 10:07:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6902, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 10:13:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6903, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 10:13:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6904, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-11-01 10:14:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6905, 7, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-11-01 10:14:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6906, 7, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-11-01 10:14:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6907, 7, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-11-01 10:14:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6908, 7, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-11-01 10:14:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6909, 7, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-11-01 10:14:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6910, 7, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-11-01 10:14:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6911, 7, '无人机左旋(75)', 2, '无人机左旋(75)', 2, 0, '2022-11-01 10:14:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6912, 7, '停止无人机左旋操作', 2, '停止无人机左旋操作', 2, 0, '2022-11-01 10:14:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6913, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-11-01 10:14:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6914, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-11-01 10:14:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6915, 7, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-11-01 10:14:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6916, 7, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-11-01 10:15:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6917, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 10:15:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6918, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 10:15:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6919, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-11-01 10:15:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6920, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-11-01 10:15:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6921, 7, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-11-01 10:17:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6922, 7, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-11-01 10:17:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6923, 7, '指点飞行', 2, '指点飞行', 2, 0, '2022-11-01 10:18:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6924, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-11-01 10:19:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6925, 7, '云台拍照', 2, '云台拍照', 2, 0, '2022-11-01 10:21:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6926, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-11-01 10:36:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6927, 7, '出舱', 1, '出舱', 2, 0, '2022-11-01 11:11:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6928, 7, '回舱', 1, '回舱', 2, 0, '2022-11-01 11:15:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6929, 7, '出舱', 1, '出舱', 2, 0, '2022-11-01 14:51:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6930, 7, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-11-01 15:04:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6931, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-11-01 15:04:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6932, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-11-01 15:06:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6933, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-11-01 15:07:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6934, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-11-01 15:08:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6935, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-11-01 15:15:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6936, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-11-01 15:17:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6937, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-11-01 15:18:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6938, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-11-01 15:19:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6939, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-11-01 15:19:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6940, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-11-01 15:24:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6941, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-11-01 15:25:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6942, 7, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-11-01 15:34:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6943, 7, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-11-01 15:39:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6944, 7, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-11-01 15:42:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6945, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-01 15:53:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6946, 7, '出舱', 1, '出舱', 2, 0, '2022-11-01 15:53:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6947, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-11-01 15:56:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6948, 7, '上传航线', 2, '上传航线', 2, 0, '2022-11-01 15:56:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6949, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-11-01 15:56:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6950, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 15:56:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6951, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 15:56:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6952, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 15:56:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6953, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-11-01 15:56:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6954, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-11-01 15:57:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6955, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-11-01 15:57:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6956, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-11-01 15:57:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6957, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-11-01 15:57:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6958, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-11-01 16:03:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6959, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-01 16:06:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6960, 7, '出舱', 1, '出舱', 2, 0, '2022-11-01 16:06:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6961, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-11-01 16:09:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6962, 7, '上传航线', 2, '上传航线', 2, 0, '2022-11-01 16:09:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6963, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-11-01 16:09:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6964, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:09:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6965, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:09:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6966, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:09:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6967, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:09:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6968, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:09:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6969, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:09:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6970, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:09:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6971, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 16:10:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6972, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-11-01 16:10:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6973, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 16:10:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6974, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 16:10:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6975, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 16:10:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6976, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:10:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6977, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:10:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6978, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:10:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6979, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 16:10:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6980, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-11-01 16:10:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6981, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:10:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6982, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:10:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6983, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:10:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6984, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 16:10:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6985, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 16:10:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6986, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 16:10:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6987, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-11-01 16:10:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6988, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:10:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6989, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:10:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6990, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-11-01 16:10:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6991, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-11-01 16:11:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6992, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-11-01 16:11:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6993, 7, '无人机左旋(75)', 2, '无人机左旋(75)', 2, 0, '2022-11-01 16:11:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6994, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-11-01 16:11:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6995, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-11-01 16:11:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6996, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-11-01 16:11:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6997, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:11:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6998, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:11:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (6999, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:11:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7000, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:11:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7001, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:11:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7002, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:11:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7003, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-01 16:11:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7004, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 16:11:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7005, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-01 16:11:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7006, 7, '打开舱门', 1, '打开舱门', 2, 0, '2022-11-01 16:17:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7007, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-01 16:21:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7008, 7, '出舱', 1, '出舱', 2, 0, '2022-11-01 16:21:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7009, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-11-01 16:24:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7010, 7, '上传航线', 2, '上传航线', 2, 0, '2022-11-01 16:24:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7011, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-11-01 16:24:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7012, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:24:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7013, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:24:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7014, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:24:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7015, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-01 16:24:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7016, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-11-01 16:24:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7017, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-11-01 16:25:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7018, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-11-01 16:25:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7019, 7, '无人机右移(75)', 2, '无人机右移(75)', 2, 0, '2022-11-01 16:25:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7020, 7, '停止无人机右移操作', 2, '停止无人机右移操作', 2, 0, '2022-11-01 16:25:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7021, 7, '无人机爬升(200)', 2, '无人机爬升(200)', 2, 0, '2022-11-01 16:25:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7022, 7, '停止无人机爬升操作', 2, '停止无人机爬升操作', 2, 0, '2022-11-01 16:25:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7023, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-11-01 16:25:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7024, 7, '出舱', 1, '出舱', 2, 0, '2022-11-02 10:53:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7025, 7, '回舱', 1, '回舱', 2, 0, '2022-11-02 10:56:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7026, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-02 10:59:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7027, 7, '', 1, '', 2, 0, '2022-11-02 10:59:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7028, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-11-02 11:00:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7029, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-02 11:01:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7030, 7, '', 1, '', 2, 0, '2022-11-02 11:01:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7031, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-11-02 11:02:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7032, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-02 11:02:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7033, 7, '', 1, '', 2, 0, '2022-11-02 11:02:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7034, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-11-02 11:03:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7035, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-02 11:03:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7036, 7, '', 1, '', 2, 0, '2022-11-02 11:03:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7037, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-11-02 11:11:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7038, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-02 11:12:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7039, 7, '', 1, '', 2, 0, '2022-11-02 11:12:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7040, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-11-02 11:13:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7041, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-02 11:18:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7042, 7, '', 1, '', 2, 0, '2022-11-02 11:18:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7043, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-11-02 11:21:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7044, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-02 11:26:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7045, 7, '', 1, '', 2, 0, '2022-11-02 11:26:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7046, 7, '无人机断电', 1, '无人机断电', 2, 0, '2022-11-02 11:29:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7047, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-11-02 11:29:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7048, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-02 11:30:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7049, 7, '', 1, '', 2, 0, '2022-11-02 11:30:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7050, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-02 11:30:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7051, 7, '出舱', 1, '出舱', 2, 0, '2022-11-02 11:31:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7052, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-11-02 11:33:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7053, 7, '回舱', 1, '回舱', 2, 0, '2022-11-02 11:34:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7054, 7, '无人机断电', 1, '无人机断电', 2, 0, '2022-11-02 11:42:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7055, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-02 11:42:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7056, 7, '', 1, '', 2, 0, '2022-11-02 11:42:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7057, 7, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-11-02 11:43:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7058, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-02 11:44:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7059, 7, '', 1, '', 2, 0, '2022-11-02 11:44:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7060, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-02 11:44:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7061, 7, '出舱', 1, '出舱', 2, 0, '2022-11-02 11:45:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7062, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-11-02 11:47:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7063, 7, '上传航线', 2, '上传航线', 2, 0, '2022-11-02 11:47:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7064, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-11-02 11:47:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7065, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-02 11:47:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7066, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-02 11:47:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7067, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-02 11:47:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7068, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-02 11:48:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7069, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-02 11:48:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7070, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-02 11:48:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7071, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-11-02 11:48:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7072, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-11-02 11:48:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7073, 7, '云台左转', 2, '云台左转', 2, 0, '2022-11-02 11:48:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7074, 7, '云台右转', 2, '云台右转', 2, 0, '2022-11-02 11:48:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7075, 7, '云台右转', 2, '云台右转', 2, 0, '2022-11-02 11:48:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7076, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-02 11:48:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7077, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-11-02 11:48:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7078, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-02 11:48:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7079, 7, '云台放大', 2, '云台放大', 2, 0, '2022-11-02 11:48:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7080, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-11-02 11:48:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7081, 7, '云台仰', 2, '云台仰', 2, 0, '2022-11-02 11:48:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7082, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-02 11:48:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7083, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-02 11:49:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7084, 7, '云台右转', 2, '云台右转', 2, 0, '2022-11-02 11:49:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7085, 7, '云台拍照', 2, '云台拍照', 2, 0, '2022-11-02 11:49:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7086, 7, '云台录像', 2, '云台录像', 2, 0, '2022-11-02 11:49:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7087, 7, '云台停止录像', 2, '云台停止录像', 2, 0, '2022-11-02 11:49:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7088, 7, '云台缩小', 2, '云台缩小', 2, 0, '2022-11-02 11:49:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7089, 7, '云台俯', 2, '云台俯', 2, 0, '2022-11-02 11:49:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7090, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-11-02 11:51:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7091, 7, '回舱', 1, '回舱', 2, 0, '2022-11-02 11:54:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7092, 7, '无人机断电', 1, '无人机断电', 2, 0, '2022-11-02 11:57:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7093, 8, '云台回中', 2, '云台回中', 2, 0, '2022-08-24 22:41:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7094, 8, '云台回中', 2, '云台回中', 2, 0, '2022-08-24 22:41:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7095, 8, '切换模式', 2, '切换模式', 2, 0, '2022-08-24 21:12:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7096, 8, '切换模式', 2, '切换模式', 2, 0, '2022-08-24 21:12:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7097, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-22 14:08:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7098, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 14:46:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7099, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 14:48:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7100, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 14:49:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7101, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 14:58:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7102, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 15:03:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7103, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 15:11:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7104, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 15:13:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7105, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 15:25:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7106, 7, '', 1, '', 2, 0, '2022-11-24 15:26:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7107, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-24 15:27:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7108, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 15:33:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7109, 7, '', 1, '', 2, 0, '2022-11-24 15:33:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7110, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-24 15:33:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7111, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 15:42:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7112, 7, '', 1, '', 2, 0, '2022-11-24 15:43:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7113, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-24 15:44:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7114, 7, '出舱', 1, '出舱', 2, 0, '2022-11-24 15:45:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7115, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 15:54:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7116, 7, '', 1, '', 2, 0, '2022-11-24 15:55:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7117, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-24 15:55:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7118, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 15:59:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7119, 7, '', 1, '', 2, 0, '2022-11-24 15:59:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7120, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-24 16:00:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7121, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 16:02:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7122, 7, '', 1, '', 2, 0, '2022-11-24 16:02:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7123, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-24 16:02:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7124, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 16:08:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7125, 7, '', 1, '', 2, 0, '2022-11-24 16:08:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7126, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-24 16:09:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7127, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-24 16:17:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7128, 7, '', 1, '', 2, 0, '2022-11-24 16:17:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7129, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-24 16:18:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7130, 7, '出舱', 1, '出舱', 2, 0, '2022-11-24 16:19:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7131, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-11-24 16:19:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7132, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-11-24 16:21:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7133, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-11-24 16:22:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7134, 7, '指点飞行', 2, '指点飞行', 2, 0, '2022-11-24 16:26:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7135, 7, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-11-24 16:27:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7136, 7, '指点飞行', 2, '指点飞行', 2, 0, '2022-11-24 16:27:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7137, 7, '无人机返航', 2, '无人机返航', 2, 0, '2022-11-24 16:29:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7138, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-25 09:20:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7139, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-25 09:22:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7140, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-25 10:03:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7141, 7, '', 1, '', 1, 0, '2022-11-25 10:04:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7142, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-25 10:06:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7143, 7, '', 1, '', 2, 0, '2022-11-25 10:08:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7144, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-25 10:18:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7145, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-25 10:26:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7146, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-25 10:34:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7147, 7, '', 1, '', 1, 0, '2022-11-25 10:35:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7148, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-25 10:40:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7149, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-25 10:40:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7150, 7, '', 1, '', 2, 0, '2022-11-25 10:40:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7151, 7, '无人机通电', 1, '无人机通电', 1, 0, '2022-11-25 10:41:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7152, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-25 10:42:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7153, 7, '', 1, '', 2, 0, '2022-11-25 10:42:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7154, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-25 10:43:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7155, 7, '出舱', 1, '出舱', 2, 0, '2022-11-25 10:44:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7156, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 09:29:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7157, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 09:30:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7158, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 09:31:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7159, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 09:43:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7160, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 13:46:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7161, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 13:49:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7162, 7, '', 1, '', 1, 0, '2022-11-28 13:49:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7163, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 13:52:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7164, 7, '', 1, '', 2, 0, '2022-11-28 13:52:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7165, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 13:56:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7166, 7, '', 1, '', 2, 0, '2022-11-28 13:56:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7167, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 13:58:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7168, 7, '', 1, '', 2, 0, '2022-11-28 13:58:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7169, 7, '无人机通电', 1, '无人机通电', 1, 0, '2022-11-28 13:59:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7170, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 14:02:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7171, 7, '', 1, '', 1, 0, '2022-11-28 14:03:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7172, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 14:04:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7173, 7, '', 1, '', 2, 0, '2022-11-28 14:04:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7174, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 14:08:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7175, 7, '', 1, '', 2, 0, '2022-11-28 14:08:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7176, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-28 14:08:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7177, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 14:11:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7178, 7, '', 1, '', 2, 0, '2022-11-28 14:11:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7179, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-28 14:12:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7180, 7, '出舱', 1, '出舱', 1, 0, '2022-11-28 14:13:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7181, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 14:31:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7182, 7, '', 1, '', 2, 0, '2022-11-28 14:31:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7183, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-28 14:32:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7184, 7, '出舱', 1, '出舱', 2, 0, '2022-11-28 14:33:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7185, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 15:15:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7186, 7, '', 1, '', 2, 0, '2022-11-28 15:16:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7187, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-28 15:16:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7188, 7, '出舱', 1, '出舱', 1, 0, '2022-11-28 15:17:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7189, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 15:18:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7190, 7, '', 1, '', 2, 0, '2022-11-28 15:19:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7191, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-28 15:19:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7192, 7, '出舱', 1, '出舱', 2, 0, '2022-11-28 15:20:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7193, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 15:36:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7194, 7, '', 1, '', 2, 0, '2022-11-28 15:37:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7195, 7, '无人机通电', 1, '无人机通电', 1, 0, '2022-11-28 15:38:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7196, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 15:44:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7197, 7, '', 1, '', 2, 0, '2022-11-28 15:45:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7198, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 15:47:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7199, 7, '', 1, '', 2, 0, '2022-11-28 15:48:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7200, 7, '无人机通电', 1, '无人机通电', 1, 0, '2022-11-28 15:48:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7201, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 15:49:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7202, 7, '', 1, '', 2, 0, '2022-11-28 15:49:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7203, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-28 15:50:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7204, 7, '出舱', 1, '出舱', 1, 0, '2022-11-28 15:52:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7205, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 16:23:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7206, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 16:24:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7207, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-28 16:53:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7208, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-29 10:00:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7209, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-29 10:02:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7210, 7, '', 1, '', 2, 0, '2022-11-29 10:03:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7211, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-29 10:03:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7212, 7, '出舱', 1, '出舱', 2, 0, '2022-11-29 10:04:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7213, 7, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-11-29 10:05:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7214, 7, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-11-29 10:10:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7215, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-29 10:19:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7216, 7, '', 1, '', 2, 0, '2022-11-29 10:19:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7217, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-29 10:21:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7218, 7, '', 1, '', 2, 0, '2022-11-29 10:22:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7219, 7, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-29 10:22:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7220, 7, '出舱', 1, '出舱', 2, 0, '2022-11-29 10:23:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7221, 7, '环境检查', 1, '环境检查', 2, 0, '2022-11-29 10:34:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7222, 7, '', 1, '', 1, 0, '2022-11-29 10:34:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7223, 8, '环境检查', 1, '环境检查', 2, 0, '2022-11-30 10:23:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7224, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-11-30 10:36:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7225, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-11-30 10:37:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7226, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-11-30 10:57:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7227, 9, '环境检查', 1, '环境检查', 2, 0, '2022-11-30 13:25:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7228, 9, '', 1, '', 2, 0, '2022-11-30 13:25:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7229, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-30 13:26:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7230, 9, '出舱', 1, '出舱', 2, 0, '2022-11-30 13:27:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7231, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-11-30 13:28:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7232, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-11-30 13:30:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7233, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-11-30 13:31:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7234, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-30 13:32:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7235, 9, '无人机断电', 1, '无人机断电', 1, 0, '2022-11-30 13:33:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7236, 9, '无人机断电', 1, '无人机断电', 1, 0, '2022-11-30 13:34:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7237, 9, '无人机断电', 1, '无人机断电', 2, 0, '2022-11-30 13:34:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7238, 9, '打开升降器', 1, '打开升降器', 2, 0, '2022-11-30 13:43:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7239, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-11-30 14:10:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7240, 9, '无人机断电', 1, '无人机断电', 1, 0, '2022-11-30 14:11:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7241, 9, '打开舱门', 1, '打开舱门', 1, 0, '2022-11-30 14:13:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7242, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-11-30 14:13:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7243, 9, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-11-30 14:14:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7244, 9, '关闭舱门', 1, '关闭舱门', 1, 0, '2022-11-30 14:14:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7245, 9, '舱门急停', 1, '舱门急停', 1, 0, '2022-11-30 14:17:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7246, 9, '舱门急停', 1, '舱门急停', 2, 0, '2022-11-30 14:18:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7247, 9, '打开升降器', 1, '打开升降器', 2, 0, '2022-11-30 14:19:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7248, 9, '关闭升降器', 1, '关闭升降器', 1, 0, '2022-11-30 14:20:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7249, 9, '升降器急停', 1, '升降器急停', 1, 0, '2022-11-30 14:20:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7250, 9, '升降器急停', 1, '升降器急停', 2, 0, '2022-11-30 14:20:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7251, 9, '打开升降器', 1, '打开升降器', 2, 0, '2022-11-30 14:20:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7252, 9, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-11-30 14:20:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7253, 9, '打开固定器1', 1, '打开固定器1', 2, 0, '2022-11-30 14:22:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7254, 9, '打开固定器1', 1, '打开固定器1', 1, 0, '2022-11-30 14:23:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7255, 9, '关闭固定器1', 1, '关闭固定器1', 1, 0, '2022-11-30 14:23:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7256, 9, '关闭固定器1', 1, '关闭固定器1', 2, 0, '2022-11-30 14:23:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7257, 9, '固定器1急停', 1, '固定器1急停', 2, 0, '2022-11-30 14:23:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7258, 9, '固定器1急停', 1, '固定器1急停', 1, 0, '2022-11-30 14:23:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7259, 9, '打开固定器2', 1, '打开固定器2', 1, 0, '2022-11-30 14:25:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7260, 9, '打开固定器2', 1, '打开固定器2', 2, 0, '2022-11-30 14:25:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7261, 9, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-11-30 14:25:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7262, 9, '打开固定器2', 1, '打开固定器2', 2, 0, '2022-11-30 14:26:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7263, 9, '打开固定器2', 1, '打开固定器2', 1, 0, '2022-11-30 14:26:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7264, 9, '关闭固定器2', 1, '关闭固定器2', 1, 0, '2022-11-30 14:26:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7265, 9, '关闭固定器2', 1, '关闭固定器2', 1, 0, '2022-11-30 14:27:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7266, 9, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-11-30 14:27:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7267, 9, '出舱', 1, '出舱', 2, 0, '2022-11-30 14:44:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7268, 9, '出舱', 1, '出舱', 2, 0, '2022-11-30 14:50:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7269, 9, '出舱', 1, '出舱', 1, 0, '2022-11-30 14:52:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7270, 9, '出舱', 1, '出舱', 1, 0, '2022-11-30 14:52:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7271, 9, '出舱', 1, '出舱', 2, 0, '2022-11-30 14:53:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7272, 9, '解除错误', 1, '解除错误', 2, 0, '2022-12-01 08:51:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7273, 9, '固定器2急停', 1, '固定器2急停', 2, 0, '2022-12-01 08:52:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7274, 9, '固定器2急停', 1, '固定器2急停', 1, 0, '2022-12-01 08:52:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7275, 9, '关闭固定器2', 1, '关闭固定器2', 1, 0, '2022-12-01 08:53:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7276, 9, '关闭固定器2', 1, '关闭固定器2', 2, 0, '2022-12-01 08:53:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7277, 9, '打开固定器2', 1, '打开固定器2', 2, 0, '2022-12-01 08:53:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7278, 9, '打开固定器2', 1, '打开固定器2', 1, 0, '2022-12-01 08:54:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7279, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 09:07:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7280, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 09:19:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7281, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 09:19:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7282, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 09:20:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7283, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 09:21:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7284, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-01 09:25:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7285, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-01 09:25:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7286, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-01 09:29:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7287, 9, '无人机终止降落', 2, '无人机终止降落', 2, 0, '2022-12-01 09:29:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7288, 9, '无人机终止降落', 2, '无人机终止降落', 2, 0, '2022-12-01 09:29:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7289, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-01 09:29:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7290, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-01 09:29:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7291, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 09:30:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7292, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 09:30:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7293, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 09:30:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7294, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 09:32:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7295, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-01 09:32:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7296, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-01 09:32:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7297, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 10:18:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7298, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 10:18:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7299, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 10:19:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7300, 9, '打开舱门', 1, '打开舱门', 1, 0, '2022-12-01 10:19:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7301, 9, '打开舱门', 1, '打开舱门', 1, 0, '2022-12-01 10:19:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7302, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 10:20:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7303, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 10:20:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7304, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 10:22:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7305, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 10:22:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7306, 9, '无人机通电', 1, '无人机通电', 1, 0, '2022-12-01 10:23:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7307, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 10:23:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7308, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 10:24:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7309, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 10:24:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7310, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 10:27:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7311, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 10:28:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7312, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 10:29:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7313, 9, '出舱', 1, '出舱', 1, 0, '2022-12-01 10:30:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7314, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 10:31:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7315, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 10:32:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7316, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 10:32:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7317, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 10:33:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7318, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-01 10:38:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7319, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-01 10:38:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7320, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-01 10:39:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7321, 9, '暂停飞行任务', 2, '暂停飞行任务', 2, 0, '2022-12-01 10:47:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7322, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 11:15:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7323, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 11:16:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7324, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 11:16:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7325, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 11:17:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7326, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 11:18:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7327, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 11:32:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7328, 9, '无人机断电', 1, '无人机断电', 1, 0, '2022-12-01 11:53:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7329, 9, '无人机通电', 1, '无人机通电', 1, 0, '2022-12-01 11:53:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7330, 9, '回舱', 1, '回舱', 2, 0, '2022-12-01 12:03:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7331, 9, '回舱', 1, '回舱', 2, 0, '2022-12-01 12:03:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7332, 9, '充电', 1, '充电', 2, 0, '2022-12-01 12:13:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7333, 9, '充电', 1, '充电', 1, 0, '2022-12-01 12:14:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7334, 9, '停止充电', 1, '停止充电', 1, 0, '2022-12-01 13:16:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7335, 9, '停止充电', 1, '停止充电', 2, 0, '2022-12-01 13:17:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7336, 9, '充电机保养', 1, '充电机保养', 2, 0, '2022-12-01 13:17:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7337, 9, '充电机保养', 1, '充电机保养', 1, 0, '2022-12-01 13:18:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7338, 9, '回舱', 1, '回舱', 2, 0, '2022-12-01 13:23:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7339, 9, '回舱', 1, '回舱', 2, 0, '2022-12-01 13:24:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7340, 9, '回舱', 1, '回舱', 2, 0, '2022-12-01 13:52:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7341, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 14:05:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7342, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 14:05:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7343, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 14:05:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7344, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 14:06:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7345, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-01 14:06:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7346, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-01 14:06:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7347, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-01 14:06:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7348, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 14:45:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7349, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 14:45:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7350, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 14:45:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7351, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 14:47:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7352, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-01 14:47:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7353, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-01 14:47:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7354, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-01 14:47:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7355, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-01 14:52:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7356, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 15:06:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7357, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 15:07:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7358, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 15:07:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7359, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 15:08:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7360, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-01 15:08:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7361, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-01 15:08:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7362, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 15:09:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7363, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 15:09:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7364, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 15:09:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7365, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 15:11:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7366, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-01 15:11:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7367, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-01 15:11:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7368, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-01 15:11:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7369, 9, '云台俯', 2, '云台俯', 2, 0, '2022-12-01 15:19:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7370, 9, '云台俯', 2, '云台俯', 2, 0, '2022-12-01 15:20:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7371, 9, '云台俯', 2, '云台俯', 2, 0, '2022-12-01 15:21:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7372, 9, '云台仰', 2, '云台仰', 2, 0, '2022-12-01 15:21:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7373, 9, '云台左转', 2, '云台左转', 2, 0, '2022-12-01 15:22:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7374, 9, '云台右转', 2, '云台右转', 2, 0, '2022-12-01 15:22:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7375, 9, '云台拍照', 2, '云台拍照', 2, 0, '2022-12-01 15:22:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7376, 9, '云台录像', 2, '云台录像', 2, 0, '2022-12-01 15:22:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7377, 9, '云台停止录像', 2, '云台停止录像', 2, 0, '2022-12-01 15:22:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7378, 9, '切换画面', 2, '切换画面', 2, 0, '2022-12-01 15:23:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7379, 9, '切换模式', 2, '切换模式', 2, 0, '2022-12-01 15:23:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7380, 9, '切换模式', 2, '切换模式', 2, 0, '2022-12-01 15:23:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7381, 9, '切换模式', 2, '切换模式', 2, 0, '2022-12-01 15:27:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7382, 9, '切换画面', 2, '切换画面', 2, 0, '2022-12-01 15:27:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7383, 9, '云台缩小', 2, '云台缩小', 2, 0, '2022-12-01 15:27:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7384, 9, '云台放大', 2, '云台放大', 2, 0, '2022-12-01 15:28:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7385, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-01 15:28:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7386, 9, '设置返航高度为150', 2, '设置返航高度为150', 2, 0, '2022-12-01 15:28:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7387, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-01 15:29:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7388, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-01 15:31:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7389, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-01 15:41:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7390, 9, '设置返航高度为160', 2, '设置返航高度为160', 2, 0, '2022-12-01 15:43:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7391, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-01 15:43:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7392, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-01 15:54:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7393, 9, '无人机终止降落', 2, '无人机终止降落', 2, 0, '2022-12-01 15:54:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7394, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-01 15:54:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7395, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 16:30:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7396, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 16:30:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7397, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 16:30:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7398, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 16:31:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7399, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-01 16:31:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7400, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 17:23:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7401, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 17:23:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7402, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 17:23:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7403, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 17:24:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7404, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-01 17:25:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7405, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-01 17:26:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7406, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-01 17:26:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7407, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-01 17:26:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7408, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-01 17:26:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7409, 9, '出舱', 1, '出舱', 2, 0, '2022-12-01 17:27:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7410, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-01 17:27:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7411, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-01 17:27:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7412, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-01 17:29:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7413, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-01 17:30:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7414, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-01 17:30:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7415, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-01 17:30:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7416, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-01 17:31:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7417, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-01 17:32:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7418, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-01 17:32:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7419, 9, '暂停飞行任务', 2, '暂停飞行任务', 2, 0, '2022-12-01 17:32:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7420, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-01 17:33:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7421, 9, '无人机终止降落', 2, '无人机终止降落', 2, 0, '2022-12-01 17:34:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7422, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-01 17:34:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7423, 9, '暂停飞行任务', 2, '暂停飞行任务', 2, 0, '2022-12-01 17:37:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7424, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-01 17:37:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7425, 9, '无人机终止降落', 2, '无人机终止降落', 2, 0, '2022-12-01 17:37:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7426, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-01 17:38:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7427, 9, '无人机终止降落', 2, '无人机终止降落', 2, 0, '2022-12-01 17:38:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7428, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-01 17:38:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7429, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-01 17:39:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7430, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-01 17:39:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7431, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-01 17:40:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7432, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-01 17:40:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7433, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-01 17:40:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7434, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 08:23:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7435, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 08:23:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7436, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 08:23:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7437, 9, '出舱', 1, '出舱', 2, 0, '2022-12-02 08:24:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7438, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-02 08:25:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7439, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-02 08:25:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7440, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-02 08:25:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7441, 9, '无人机断电', 1, '无人机断电', 1, 0, '2022-12-02 08:26:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7442, 9, '无人机断电', 1, '无人机断电', 2, 0, '2022-12-02 08:27:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7443, 9, '无人机终止降落', 2, '无人机终止降落', 2, 0, '2022-12-02 08:30:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7444, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-02 08:33:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7445, 9, '无人机终止降落', 2, '无人机终止降落', 2, 0, '2022-12-02 08:38:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7446, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-02 08:38:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7447, 9, '暂停飞行任务', 2, '暂停飞行任务', 2, 0, '2022-12-02 08:39:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7448, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-02 08:39:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7449, 9, '暂停飞行任务', 2, '暂停飞行任务', 2, 0, '2022-12-02 08:40:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7450, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-02 08:42:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7451, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-02 08:43:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7452, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-02 08:44:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7453, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 08:57:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7454, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 08:57:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7455, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 08:57:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7456, 9, '出舱', 1, '出舱', 2, 0, '2022-12-02 08:58:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7457, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-02 08:58:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7458, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-02 08:58:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7459, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-02 08:59:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7460, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-02 09:00:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7461, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 09:03:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7462, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 09:03:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7463, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 09:04:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7464, 9, '出舱', 1, '出舱', 1, 0, '2022-12-02 09:05:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7465, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 09:09:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7466, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 09:09:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7467, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 09:09:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7468, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 09:09:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7469, 9, '出舱', 1, '出舱', 2, 0, '2022-12-02 09:10:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7470, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-02 09:10:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7471, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-02 09:10:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7472, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-02 09:10:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7473, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-02 09:20:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7474, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-02 09:21:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7475, 12, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 09:56:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7476, 12, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 09:57:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7477, 12, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 09:59:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7478, 12, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 10:00:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7479, 12, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 10:00:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7480, 12, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 10:12:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7481, 12, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 10:13:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7482, 12, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 10:13:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7483, 12, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 10:13:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7484, 12, '出舱', 1, '出舱', 2, 0, '2022-12-02 10:14:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7485, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-02 12:13:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7486, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 12:44:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7487, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 12:44:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7488, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 12:45:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7489, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 13:23:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7490, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 13:23:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7491, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 13:23:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7492, 9, '出舱', 1, '出舱', 2, 0, '2022-12-02 13:24:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7493, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-02 13:24:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7494, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-02 13:25:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7495, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-02 13:27:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7496, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-02 13:29:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7497, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-02 13:30:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7498, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 13:31:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7499, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 13:31:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7500, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 13:31:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7501, 9, '出舱', 1, '出舱', 2, 0, '2022-12-02 13:33:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7502, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-02 13:33:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7503, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 14:21:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7504, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 14:21:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7505, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 14:21:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7506, 9, '出舱', 1, '出舱', 2, 0, '2022-12-02 14:22:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7507, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-02 14:22:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7508, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 14:24:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7509, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 14:24:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7510, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 14:24:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7511, 9, '出舱', 1, '出舱', 2, 0, '2022-12-02 14:25:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7512, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 14:27:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7513, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 14:27:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7514, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-02 14:27:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7515, 9, '出舱', 1, '出舱', 2, 0, '2022-12-02 14:28:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7516, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 14:42:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7517, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 14:42:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7518, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 14:51:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7519, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 14:53:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7520, 9, '打开舱门', 1, '打开舱门', 1, 0, '2022-12-02 14:53:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7521, 9, '打开舱门', 1, '打开舱门', 1, 0, '2022-12-02 14:53:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7522, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 14:53:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7523, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 14:53:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7524, 9, '无人机通电', 1, '无人机通电', 1, 0, '2022-12-02 14:54:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7525, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-02 14:54:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7526, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-02 14:54:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7527, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-02 17:59:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7528, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 08:59:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7529, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 09:15:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7530, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 09:16:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7531, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 09:16:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7532, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 09:17:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7533, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 09:19:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7534, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 09:19:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7535, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 09:19:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7536, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 09:19:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7537, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 09:23:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7538, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 09:25:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7539, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 09:25:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7540, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 09:58:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7541, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:18:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7542, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:19:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7543, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:19:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7544, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-05 11:23:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7545, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-05 11:24:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7546, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-05 11:24:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7547, 9, '出舱', 1, '出舱', 2, 0, '2022-12-05 11:25:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7548, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-05 11:26:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7549, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-05 11:26:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7550, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-05 11:26:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7551, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:27:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7552, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:28:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7553, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:28:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7554, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 11:29:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7555, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:29:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7556, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:30:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7557, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 11:32:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7558, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:33:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7559, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 11:33:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7560, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 11:33:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7561, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:33:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7562, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:33:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7563, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 11:33:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7564, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:34:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7565, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 11:34:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7566, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 11:34:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7567, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-05 11:34:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7568, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-05 11:48:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7569, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-05 11:48:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7570, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-05 11:50:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7571, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-05 11:51:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7572, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-05 11:51:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7573, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-05 11:51:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7574, 9, '出舱', 1, '出舱', 2, 0, '2022-12-05 11:52:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7575, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-05 11:52:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7576, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-05 11:52:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7577, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-05 11:53:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7578, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:53:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7579, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 11:54:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7580, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:54:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7581, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 11:55:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7582, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:55:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7583, 9, '设置返航高度为120', 2, '设置返航高度为120', 2, 0, '2022-12-05 11:55:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7584, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 11:55:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7585, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 11:57:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7586, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 11:57:13', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7587, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 11:57:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7588, 9, '设置返航高度为110', 2, '设置返航高度为110', 2, 0, '2022-12-05 11:58:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7589, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 11:58:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7590, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 11:59:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7591, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 11:59:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7592, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 11:59:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7593, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-05 11:59:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7594, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 12:02:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7595, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 12:05:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7596, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-05 12:05:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7597, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 12:05:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7598, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 12:06:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7599, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 12:06:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7600, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 12:06:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7601, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 12:06:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7602, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 12:06:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7603, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-05 12:07:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7604, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 12:07:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7605, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 12:07:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7606, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 12:07:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7607, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 12:07:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7608, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 12:08:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7609, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 12:08:20', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7610, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 12:08:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7611, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 12:09:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7612, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 12:09:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7613, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 12:09:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7614, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 12:09:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7615, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-05 13:12:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7616, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-05 13:12:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7617, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-05 13:12:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7618, 9, '出舱', 1, '出舱', 2, 0, '2022-12-05 13:13:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7619, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-05 13:13:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7620, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-05 13:13:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7621, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-05 13:13:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7622, 9, '设置返航高度为40', 2, '设置返航高度为40', 2, 0, '2022-12-05 13:14:54', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7623, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 13:14:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7624, 9, '继续飞行任务', 2, '继续飞行任务', 2, 0, '2022-12-05 13:15:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7625, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 13:15:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7626, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 13:16:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7627, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 13:16:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7628, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 13:17:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7629, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 13:17:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7630, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 13:17:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7631, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-05 14:45:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7632, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 16:12:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7633, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 16:13:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7634, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-05 16:13:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7635, 9, '指点飞行', 2, '指点飞行', 2, 0, '2022-12-05 16:13:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7636, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-05 16:13:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7637, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-06 17:20:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7638, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-06 17:20:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7639, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-06 17:21:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7640, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-06 18:00:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7641, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-07 08:57:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7642, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-07 08:58:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7643, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-07 08:58:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7644, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-07 09:50:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7645, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-07 10:34:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7646, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-07 10:35:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7647, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-07 10:45:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7648, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-07 13:43:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7649, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-07 14:13:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7650, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-07 14:17:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7651, 9, '设置返航高度为50', 2, '设置返航高度为50', 2, 0, '2022-12-07 14:23:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7652, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-07 14:23:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7653, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-07 14:35:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7654, 9, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-07 15:07:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7655, 9, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-07 15:15:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7656, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-07 15:27:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7657, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-07 15:29:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7658, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-07 15:29:10', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7659, 9, '出舱', 1, '出舱', 2, 0, '2022-12-07 15:30:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7660, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-07 15:30:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7661, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-07 15:30:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7662, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-07 15:31:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7663, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-07 15:48:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7664, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-07 15:48:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7665, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-07 15:48:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7666, 9, '出舱', 1, '出舱', 2, 0, '2022-12-07 15:49:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7667, 9, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-07 15:49:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7668, 9, '上传航线', 2, '上传航线', 2, 0, '2022-12-07 15:49:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7669, 9, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-07 15:50:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7670, 13, '环境检查', 1, '环境检查', 2, 0, '2022-12-12 11:34:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7671, 13, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-12 11:34:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7672, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-12 11:34:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7673, 13, '出舱', 1, '出舱', 2, 0, '2022-12-12 11:35:50', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7674, 13, '回舱', 1, '回舱', 2, 0, '2022-12-12 11:39:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7675, 13, '环境检查', 1, '环境检查', 2, 0, '2022-12-12 11:43:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7676, 13, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-12 11:43:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7677, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-12 11:43:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7678, 13, '出舱', 1, '出舱', 2, 0, '2022-12-12 11:44:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7679, 13, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-12 11:46:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7680, 13, '上传航线', 2, '上传航线', 2, 0, '2022-12-12 11:46:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7681, 13, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-12 11:47:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7682, 13, '回舱', 1, '回舱', 2, 0, '2022-12-12 11:54:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7683, 13, '无人机断电', 1, '无人机断电', 2, 0, '2022-12-12 12:03:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7684, 13, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-12-12 14:08:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7685, 13, '无人机断电', 1, '无人机断电', 2, 0, '2022-12-12 14:46:38', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7686, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-12 14:47:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7687, 13, '环境检查', 1, '环境检查', 2, 0, '2022-12-12 14:48:43', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7688, 13, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-12 14:48:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7689, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-12 14:48:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7690, 13, '出舱', 1, '出舱', 2, 0, '2022-12-12 14:49:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7691, 13, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-12 14:52:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7692, 13, '上传航线', 2, '上传航线', 2, 0, '2022-12-12 14:52:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7693, 13, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-12 14:52:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7694, 13, '切换画面', 2, '切换画面', 2, 0, '2022-12-12 14:54:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7695, 13, '回舱', 1, '回舱', 2, 0, '2022-12-12 15:05:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7696, 13, '环境检查', 1, '环境检查', 2, 0, '2022-12-12 15:08:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7697, 13, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-12 15:08:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7698, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-12 15:08:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7699, 13, '出舱', 1, '出舱', 2, 0, '2022-12-12 15:09:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7700, 13, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-12 15:11:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7701, 13, '上传航线', 2, '上传航线', 2, 0, '2022-12-12 15:11:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7702, 13, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-12 15:12:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7703, 13, '回舱', 1, '回舱', 2, 0, '2022-12-12 15:29:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7704, 13, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-12 15:46:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7705, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-12 15:46:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7706, 13, '切换画面', 2, '切换画面', 2, 0, '2022-12-12 15:58:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7707, 13, '切换画面', 2, '切换画面', 2, 0, '2022-12-12 16:02:44', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7708, 13, '切换画面', 2, '切换画面', 2, 0, '2022-12-12 16:34:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7709, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-12 16:40:30', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7710, 13, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-12 16:40:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7711, 13, '无人机断电', 1, '无人机断电', 2, 0, '2022-12-12 16:43:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7712, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-12 16:43:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7713, 13, '无人机断电', 1, '无人机断电', 2, 0, '2022-12-12 16:46:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7714, 13, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-12-12 16:46:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7715, 13, '环境检查', 1, '环境检查', 2, 0, '2022-12-12 16:46:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7716, 13, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-12 16:47:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7717, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-12 16:47:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7718, 13, '出舱', 1, '出舱', 2, 0, '2022-12-12 16:48:01', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7719, 13, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-12 16:50:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7720, 13, '上传航线', 2, '上传航线', 2, 0, '2022-12-12 16:50:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7721, 13, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-12 16:50:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7722, 13, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-12 16:51:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7723, 13, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-12 16:51:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7724, 13, '切换画面', 2, '切换画面', 2, 0, '2022-12-12 17:02:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7725, 13, '无人机返航', 2, '无人机返航', 2, 0, '2022-12-12 17:05:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7726, 13, '环境检查', 1, '环境检查', 2, 0, '2022-12-13 09:32:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7727, 13, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-13 09:33:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7728, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-13 09:33:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7729, 13, '出舱', 1, '出舱', 2, 0, '2022-12-13 09:34:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7730, 13, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-13 09:36:29', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7731, 13, '上传航线', 2, '上传航线', 2, 0, '2022-12-13 09:36:33', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7732, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-13 13:33:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7733, 9, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-12-13 13:33:36', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7734, 13, '切换画面', 2, '切换画面', 2, 0, '2022-12-13 14:43:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7735, 13, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-13 14:59:27', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7736, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-13 14:59:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7737, 13, '无人机断电', 1, '无人机断电', 2, 0, '2022-12-13 15:02:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7738, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-13 15:02:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7739, 13, '打开升降器', 1, '打开升降器', 2, 0, '2022-12-13 15:04:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7740, 13, '无人机断电', 1, '无人机断电', 2, 0, '2022-12-13 15:05:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7741, 13, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-13 15:06:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7742, 13, '无人机断电', 1, '无人机断电', 2, 0, '2022-12-13 15:08:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7743, 13, '关闭升降器', 1, '关闭升降器', 2, 0, '2022-12-13 15:08:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7744, 13, '关闭舱门', 1, '关闭舱门', 2, 0, '2022-12-13 15:22:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7745, 13, '切换画面', 2, '切换画面', 2, 0, '2022-12-13 15:52:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7746, 13, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2022-12-13 15:57:46', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7747, 13, '切换画面', 2, '切换画面', 2, 0, '2022-12-13 16:52:35', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7748, 13, '切换画面', 2, '切换画面', 2, 0, '2022-12-13 17:15:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7749, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-19 16:35:51', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7750, 9, '打开舱门', 1, '打开舱门', 1, 0, '2022-12-19 16:36:16', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7751, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-19 16:36:32', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7752, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-19 16:36:39', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7753, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-19 16:36:51', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7754, 9, '出舱', 1, '出舱', 2, 0, '2022-12-19 16:37:58', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7755, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-19 16:38:08', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7756, 15, '上传航线', 2, '上传航线', 2, 0, '2022-12-19 16:38:12', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7757, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-19 16:41:59', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7758, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-19 16:42:18', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7759, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-19 16:42:25', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7760, 9, '出舱', 1, '出舱', 2, 0, '2022-12-19 16:43:30', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7761, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-19 16:43:35', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7762, 15, '上传航线', 2, '上传航线', 2, 0, '2022-12-19 16:43:39', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7763, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-19 16:56:06', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7764, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-19 16:56:28', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7765, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-19 16:56:31', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7766, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-19 17:01:03', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7767, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-19 17:01:14', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7768, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-19 17:01:18', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7769, 9, '出舱', 1, '出舱', 2, 0, '2022-12-19 17:02:30', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7770, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-19 17:02:35', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7771, 15, '上传航线', 2, '上传航线', 2, 0, '2022-12-19 17:02:38', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7772, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-19 17:12:58', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7773, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-19 17:13:38', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7774, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-19 17:13:47', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7775, 9, '出舱', 1, '出舱', 2, 0, '2022-12-19 17:14:53', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7776, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-19 17:15:02', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7777, 15, '上传航线', 2, '上传航线', 2, 0, '2022-12-19 17:15:11', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7778, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-19 17:16:06', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7779, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-19 17:16:12', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7780, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-19 17:16:16', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7781, 9, '出舱', 1, '出舱', 2, 0, '2022-12-19 17:17:21', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7782, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-19 17:17:22', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7783, 15, '上传航线', 2, '上传航线', 2, 0, '2022-12-19 17:17:33', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7784, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-20 08:44:14', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7785, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-20 08:44:23', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7786, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-20 08:44:30', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7787, 9, '出舱', 1, '出舱', 2, 0, '2022-12-20 08:45:41', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7788, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-20 08:45:46', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7789, 15, '上传航线', 2, '上传航线', 2, 0, '2022-12-20 08:45:49', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7790, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-20 09:25:54', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7791, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-20 09:26:14', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7792, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-20 09:26:18', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7793, 9, '出舱', 1, '出舱', 2, 0, '2022-12-20 09:27:23', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7794, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-20 09:27:28', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7795, 15, '上传航线', 2, '上传航线', 2, 0, '2022-12-20 09:27:30', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7796, 15, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-20 09:27:40', 0, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7797, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-26 15:35:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7798, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-26 15:35:42', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7799, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-26 15:35:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7800, 9, '出舱', 1, '出舱', 2, 0, '2022-12-26 15:37:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7801, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-26 15:37:18', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7802, 15, '上传航线', 2, '上传航线', 2, 0, '2022-12-26 15:37:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7803, 15, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-26 15:37:40', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7804, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-26 16:22:54', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7805, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-26 16:23:02', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7806, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-26 16:23:05', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7807, 9, '出舱', 1, '出舱', 2, 0, '2022-12-26 16:24:13', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7808, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-26 16:24:22', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7809, 15, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-26 16:27:38', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7810, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-27 08:28:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7811, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-27 08:29:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7812, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-27 08:29:08', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7813, 9, '出舱', 1, '出舱', 2, 0, '2022-12-27 08:30:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7814, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-27 08:30:19', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7815, 9, '回舱', 1, '回舱', 2, 0, '2022-12-27 08:32:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7816, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-27 08:36:45', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7817, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-27 08:36:51', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7818, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-27 08:36:58', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7819, 9, '出舱', 1, '出舱', 2, 0, '2022-12-27 08:38:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7820, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-27 08:38:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7821, 15, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-27 08:39:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7822, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-27 08:58:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7823, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-27 08:58:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7824, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-27 09:00:05', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7825, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-27 09:00:11', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7826, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-27 09:00:16', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7827, 9, '出舱', 1, '出舱', 2, 0, '2022-12-27 09:01:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7828, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-27 09:01:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7829, 15, '上传航线', 2, '上传航线', 2, 0, '2022-12-27 09:01:31', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7830, 15, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-27 09:01:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7831, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-27 09:47:53', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7832, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-27 09:48:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7833, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-27 09:48:04', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7834, 9, '出舱', 1, '出舱', 2, 0, '2022-12-27 09:49:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7835, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-27 09:49:21', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7836, 15, '上传航线', 2, '上传航线', 2, 0, '2022-12-27 09:49:25', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7837, 15, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-27 09:49:34', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7838, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-30 11:31:57', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7839, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-30 11:32:09', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7840, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-30 11:32:14', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7841, 9, '出舱', 1, '出舱', 2, 0, '2022-12-30 11:33:23', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7842, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-30 11:36:41', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7843, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-30 11:36:52', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7844, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-30 11:36:59', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7845, 9, '出舱', 1, '出舱', 2, 0, '2022-12-30 11:38:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7846, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-30 11:38:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7847, 9, '环境检查', 1, '环境检查', 2, 0, '2022-12-30 11:42:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7848, 9, '打开舱门', 1, '打开舱门', 2, 0, '2022-12-30 11:42:22', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7849, 9, '无人机通电', 1, '无人机通电', 2, 0, '2022-12-30 11:42:26', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7850, 9, '出舱', 1, '出舱', 2, 0, '2022-12-30 11:43:32', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7851, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2022-12-30 11:43:37', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7852, 15, '上传航线', 2, '上传航线', 2, 0, '2022-12-30 11:43:39', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7853, 15, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2022-12-30 11:43:49', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7854, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-03 11:05:28', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7855, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-03 11:05:47', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7856, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-03 11:05:55', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7857, 9, '出舱', 1, '出舱', 2, 0, '2023-01-03 11:07:02', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7858, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-03 11:07:03', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7859, 15, '上传航线', 2, '上传航线', 2, 0, '2023-01-03 11:07:06', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7860, 15, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-03 11:07:17', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7861, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-03 11:19:48', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7862, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-03 11:19:56', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7863, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-03 11:20:00', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7864, 9, '出舱', 1, '出舱', 2, 0, '2023-01-03 11:21:07', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7865, 15, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-03 11:21:12', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7866, 15, '上传航线', 2, '上传航线', 2, 0, '2023-01-03 11:21:15', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7867, 15, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-03 11:21:24', 0, NULL, 1, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7868, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-04 14:25:17', 0, NULL, 1, 23, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7869, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-04 14:28:37', 0, NULL, 1, 23, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7870, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-07 12:19:38', 0, NULL, 1, 22, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7871, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-07 12:19:49', 0, NULL, 1, 22, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7872, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-07 12:19:49', 0, NULL, 1, 22, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7873, 9, '出舱', 1, '出舱', 2, 0, '2023-01-07 12:20:49', 0, NULL, 1, 22, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7874, 28, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-07 12:21:02', 0, NULL, 1, 22, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7875, 28, '上传航线', 2, '上传航线', 2, 0, '2023-01-07 12:21:05', 0, NULL, 1, 22, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7876, 28, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-07 12:21:14', 0, NULL, 1, 22, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7877, 28, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-07 12:22:18', 0, NULL, 1, 22, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7878, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-09 10:46:39', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7879, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-09 10:46:51', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7880, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-09 10:46:56', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7881, 9, '出舱', 1, '出舱', 2, 0, '2023-01-09 10:48:12', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7882, 16, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-09 10:48:18', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7883, 16, '上传航线', 2, '上传航线', 2, 0, '2023-01-09 10:48:21', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7884, 16, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-09 10:49:41', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7885, 16, '指点飞行', 2, '指点飞行', 2, 0, '2023-01-09 14:42:36', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7886, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-09 14:49:34', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7887, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-09 16:10:36', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7888, 16, '指点飞行', 2, '指点飞行', 2, 0, '2023-01-09 16:32:34', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7889, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-09 17:15:11', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7890, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-09 17:49:36', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7891, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-09 18:31:45', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7892, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-09 19:08:10', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7893, 16, '指点飞行', 2, '指点飞行', 2, 0, '2023-01-09 19:08:38', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7894, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-09 19:17:19', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7895, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-09 19:25:18', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7896, 16, '指点飞行', 2, '指点飞行', 2, 0, '2023-01-10 10:36:22', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7897, 16, '指点飞行', 2, '指点飞行', 2, 0, '2023-01-10 10:37:40', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7898, 16, '指点飞行', 2, '指点飞行', 2, 0, '2023-01-10 10:37:57', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7899, 16, '无人机悬停', 2, '无人机悬停', 2, 0, '2023-01-10 10:38:05', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7900, 16, '指点飞行', 2, '指点飞行', 2, 0, '2023-01-10 10:38:12', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7901, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-10 10:40:00', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7902, 16, '指点飞行', 2, '指点飞行', 2, 0, '2023-01-10 10:42:07', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7903, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-10 10:43:11', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7904, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-10 16:02:40', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7905, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-10 16:18:48', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7906, 16, '指点飞行', 2, '指点飞行', 2, 0, '2023-01-10 16:28:42', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7907, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-10 16:54:10', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7908, 16, '无人机悬停', 2, '无人机悬停', 2, 0, '2023-01-10 19:08:06', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7909, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-11 15:15:42', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7910, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-11 15:15:44', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7911, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-11 15:15:44', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7912, 9, '出舱', 1, '出舱', 2, 0, '2023-01-11 15:16:44', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7913, 17, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-11 15:16:57', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7914, 17, '上传航线', 2, '上传航线', 2, 0, '2023-01-11 15:17:00', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7915, 17, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-11 15:17:10', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7916, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-12 17:19:02', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7917, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-12 17:19:04', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7918, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-12 17:19:04', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7919, 9, '出舱', 1, '出舱', 2, 0, '2023-01-12 17:20:04', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7920, 16, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-12 17:20:17', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7921, 16, '上传航线', 2, '上传航线', 2, 0, '2023-01-12 17:20:19', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7922, 16, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-12 17:20:32', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7923, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-12 17:23:05', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7924, 17, '环境检查', 1, '环境检查', 2, 0, '2023-01-12 18:58:30', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7925, 17, '环境检查', 1, '环境检查', 2, 0, '2023-01-12 18:58:30', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7926, 17, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-12 18:59:04', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7927, 17, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-12 18:59:04', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7928, 17, '出舱', 1, '出舱', 2, 0, '2023-01-12 19:00:04', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7929, 17, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-12 19:00:17', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7930, 17, '上传航线', 2, '上传航线', 2, 0, '2023-01-12 19:00:18', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7931, 17, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-12 19:00:28', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7932, 16, '指点飞行', 2, '指点飞行', 2, 0, '2023-01-13 09:32:16', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7933, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-13 09:36:07', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7934, 16, '指点飞行', 2, '指点飞行', 2, 0, '2023-01-13 10:37:26', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7935, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-13 10:52:48', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7936, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-13 11:17:30', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7937, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-13 16:13:30', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7938, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-13 17:09:50', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7939, 16, '终止飞行任务', 2, '终止飞行任务', 2, 0, '2023-01-13 17:20:49', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7940, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-16 09:54:26', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7941, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-16 09:54:28', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7942, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-16 09:54:28', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7943, 9, '出舱', 1, '出舱', 2, 0, '2023-01-16 09:55:29', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7944, 16, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-16 09:55:42', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7945, 16, '上传航线', 2, '上传航线', 2, 0, '2023-01-16 09:55:45', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7946, 16, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-16 09:55:59', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7947, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-16 10:06:39', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7948, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-16 10:06:41', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7949, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-16 10:06:41', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7950, 9, '出舱', 1, '出舱', 2, 0, '2023-01-16 10:07:41', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7951, 16, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-16 10:07:54', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7952, 16, '上传航线', 2, '上传航线', 2, 0, '2023-01-16 10:07:56', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7953, 16, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-16 10:08:10', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7954, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-16 10:23:36', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7955, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-16 10:23:41', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7956, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-16 10:23:41', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7957, 9, '出舱', 1, '出舱', 2, 0, '2023-01-16 10:24:41', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7958, 16, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-16 10:24:54', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7959, 16, '上传航线', 2, '上传航线', 2, 0, '2023-01-16 10:24:57', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7960, 16, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-16 10:25:36', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7961, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-16 11:16:37', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7962, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-16 11:16:39', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7963, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-16 11:16:40', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7964, 9, '出舱', 1, '出舱', 2, 0, '2023-01-16 11:17:40', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7965, 16, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-16 11:17:53', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7966, 16, '上传航线', 2, '上传航线', 2, 0, '2023-01-16 11:17:55', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7967, 16, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-16 11:19:58', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7968, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-16 11:44:59', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7969, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-16 11:45:07', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7970, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-16 11:45:07', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7971, 9, '出舱', 1, '出舱', 2, 0, '2023-01-16 11:46:07', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7972, 16, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-16 11:46:20', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7973, 16, '上传航线', 2, '上传航线', 2, 0, '2023-01-16 11:46:24', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7974, 16, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-16 11:46:41', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7975, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-16 13:10:00', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7976, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-16 13:10:02', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7977, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-16 13:10:02', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7978, 9, '出舱', 1, '出舱', 2, 0, '2023-01-16 13:11:02', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7979, 16, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-01-16 13:11:15', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7980, 16, '上传航线', 2, '上传航线', 2, 0, '2023-01-16 13:11:17', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7981, 16, '执行飞行任务', 2, '执行飞行任务', 2, 0, '2023-01-16 13:13:32', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7982, 9, '环境检查', 1, '环境检查', 2, 0, '2023-01-16 13:46:44', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7983, 9, '打开舱门', 1, '打开舱门', 2, 0, '2023-01-16 13:46:46', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7984, 9, '无人机通电', 1, '无人机通电', 2, 0, '2023-01-16 13:46:46', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7985, 16, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-08-24 00:08:16', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7986, 9, '环境检查', 1, '环境检查', 2, 0, '2022-08-24 00:08:57', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7987, 16, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-08-24 16:38:15', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7988, 17, '环境检查', 1, '环境检查', 2, 0, '2023-02-15 13:45:42', 0, NULL, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7989, 16, '无人机悬停', 2, '无人机悬停', 2, 0, '2023-02-16 09:46:28', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7990, 16, '无人机返航', 2, '无人机返航', 2, 0, '2023-02-16 09:46:30', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7991, 16, '环境检查', 1, '环境检查', 2, 0, '2023-02-16 10:05:28', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7992, 16, '打开舱门', 1, '打开舱门', 2, 0, '2023-02-16 10:05:32', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7993, 16, '无人机通电', 1, '无人机通电', 2, 0, '2023-02-16 10:05:32', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7994, 16, '出舱', 1, '出舱', 2, 0, '2023-02-16 10:06:32', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '南京');
INSERT INTO `airport_log` VALUES (7995, 16, '无人机环境检查', 2, '无人机环境检查', 2, 0, '2023-02-16 10:06:45', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7996, 16, '上传航线', 2, '上传航线', 2, 0, '2023-02-16 10:06:48', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7997, 16, '无人机悬停', 2, '无人机悬停', 2, 0, '2022-08-24 02:05:25', 0, NULL, 1, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `airport_log` VALUES (7998, 7, '机场环境检查超时！', 1, '机场环境检查超时！', 1, 0, '2023-04-24 16:13:57', 0, NULL, 1, 21, 27, NULL, '玄100机场', 'airport', '机场平台', 1, NULL, NULL);
INSERT INTO `airport_log` VALUES (7999, 7, '机场环境检查成功！', 1, '机场环境检查成功！', 2, 0, '2023-04-24 16:17:49', 0, NULL, 1, 21, 27, NULL, '玄100机场', 'airport', '机场平台', 1, NULL, NULL);
INSERT INTO `airport_log` VALUES (8000, 7, '出舱成功！', 1, '出舱成功！', 2, 0, '2023-04-24 16:22:59', 0, NULL, 1, 21, 27, NULL, '玄100机场', 'airport', '机场平台', 2, NULL, NULL);
INSERT INTO `airport_log` VALUES (8001, 7, '出舱成功！', 1, '出舱成功！', 2, 0, '2023-04-24 16:36:39', 0, NULL, 1, 21, 27, NULL, '玄100机场', 'airport', '机场平台', 2, 0, NULL);
INSERT INTO `airport_log` VALUES (8002, 7, '出舱成功！', 1, '出舱成功！', 2, 0, '2023-04-24 16:37:44', 0, NULL, 1, 21, 94, NULL, '玄100机场', 'airport', '机场平台', 2, 0, NULL);
INSERT INTO `airport_log` VALUES (8003, 7, '回仓超时！', 1, '回仓超时！', 1, 0, '2023-04-24 17:06:07', 0, NULL, 1, 21, 27, NULL, '玄100机场', 'airport', '机场平台', 6, 94, NULL);
INSERT INTO `airport_log` VALUES (8004, 16, '0', 0, '机场环境检查中', 2, 0, NULL, 0, NULL, 1, 21, 63, NULL, 'B100机场', 'airport', '机场平台', 0, 0, 'B100机场航线8分钟');
INSERT INTO `airport_log` VALUES (8005, 16, '0', 0, '机场环境检查中', 2, 0, NULL, 0, NULL, 1, 21, 63, NULL, 'B100机场', 'airport', '机场平台', 0, 0, 'B100机场航线8分钟');
INSERT INTO `airport_log` VALUES (8006, 16, '0', 0, '机场环境检查中', 2, 0, NULL, 0, NULL, 1, 21, 63, NULL, 'B100机场', 'airport', '机场平台', 0, 0, 'B100机场航线8分钟');
INSERT INTO `airport_log` VALUES (8007, 16, '0', 2, NULL, 0, 0, '2022-08-24 08:16:17', 0, NULL, 1, 21, 63, NULL, NULL, 'airport', '机场平台', 0, 97, NULL);
INSERT INTO `airport_log` VALUES (8008, 16, '0', 2, NULL, 0, 0, '2022-08-24 08:16:17', 0, NULL, 1, 21, 63, '舱门', NULL, 'airport', '机场平台', 0, 97, NULL);
INSERT INTO `airport_log` VALUES (8009, 16, '0', 2, NULL, 0, 0, '2022-08-24 08:22:17', 0, NULL, 1, 21, 63, NULL, NULL, 'airport', '机场平台', 0, 97, NULL);
INSERT INTO `airport_log` VALUES (8010, 16, '0', 2, NULL, 0, 0, '2022-08-24 08:22:17', 0, NULL, 1, 21, 63, '打开舱门', NULL, 'airport', '机场平台', 0, 97, NULL);
INSERT INTO `airport_log` VALUES (8011, 16, '0', 2, NULL, 0, 0, '2022-08-24 08:30:23', 0, NULL, 1, 21, 63, NULL, NULL, 'airport', '机场平台', 0, 97, NULL);
INSERT INTO `airport_log` VALUES (8012, 16, '0', 2, '打开舱门', 0, 0, '2022-08-24 08:30:23', 0, NULL, 1, 21, 63, NULL, NULL, 'airport', '机场平台', 0, 97, NULL);
INSERT INTO `airport_log` VALUES (8013, 16, '0', 2, NULL, 0, 0, '2022-08-24 08:40:03', 0, NULL, 1, 21, 63, NULL, NULL, 'airport', '机场平台', 0, 97, 'B100机场航线8分钟');
INSERT INTO `airport_log` VALUES (8014, 16, '0', 2, '打开舱门', 2, 0, '2022-08-24 08:40:03', 0, NULL, 1, 21, 63, NULL, NULL, 'airport', '机场平台', 0, 97, 'B100机场航线8分钟');
INSERT INTO `airport_log` VALUES (8015, 16, '0', 2, NULL, 0, 0, '2022-08-24 08:57:19', 0, NULL, 1, 21, 63, NULL, NULL, 'airport', '机场平台', 0, 97, 'B100机场航线8分钟');
INSERT INTO `airport_log` VALUES (8016, 16, '0', 2, '关闭舱门', 2, 0, '2022-08-24 08:57:19', 0, NULL, 1, 21, 63, NULL, NULL, 'airport', '机场平台', 0, 97, 'B100机场航线8分钟');
INSERT INTO `airport_log` VALUES (8017, 16, '0', 2, NULL, 0, 0, '2022-08-24 08:57:32', 0, NULL, 1, 21, 63, NULL, NULL, 'airport', '机场平台', 0, 97, 'B100机场航线8分钟');
INSERT INTO `airport_log` VALUES (8018, 16, '0', 2, '关闭舱门', 2, 0, '2022-08-24 08:57:32', 0, NULL, 1, 21, 63, NULL, NULL, 'airport', '机场平台', 0, 97, 'B100机场航线8分钟');

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表描述',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `note` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (1, 'sys_city', '行政区划表', 'City', 'crud', 'com.tuoheng.system', 'system', 'city', '行政区划', '拓恒', NULL, NULL, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table` VALUES (2, 'sys_config', '配置分组表', 'Config', 'crud', 'com.tuoheng.system', 'system', 'config', '配置分组', '拓恒', NULL, NULL, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table` VALUES (3, 'sys_example2', '演示案例表', 'Example2', 'crud', 'com.tuoheng.system', 'system', 'example2', '演示案例', '拓恒', NULL, NULL, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `table_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` tinyint(1) NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` smallint NULL DEFAULT 0 COMMENT '排序',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `table_id`(`table_id` ASC) USING BTREE COMMENT '表ID'
) ENGINE = InnoDB AUTO_INCREMENT = 37 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (1, 1, 'id', '编号', 'int(11) unsigned', 'Long', 'id', 1, '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (2, 1, 'pid', '父级编号', 'int(11) unsigned', 'Long', 'pid', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (3, 1, 'level', '城市级别：1省 2市 3区', 'tinyint(1) unsigned', 'Integer', 'level', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (4, 1, 'name', '城市名称', 'varchar(50)', 'String', 'name', NULL, '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (5, 1, 'citycode', '城市编号（区号）', 'varchar(10)', 'String', 'citycode', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (6, 1, 'p_adcode', '父级地理编号', 'varchar(10)', 'String', 'pAdcode', NULL, '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (7, 1, 'adcode', '地理编号', 'varchar(10)', 'String', 'adcode', NULL, '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (8, 1, 'lng', '城市坐标中心点经度（* 1e6）：如果是中国，此值是 1e7', 'int(11) unsigned', 'Long', 'lng', NULL, '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (9, 1, 'lat', '城市坐标中心点纬度（* 1e6）', 'int(11) unsigned', 'Long', 'lat', NULL, '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (10, 1, 'sort', '排序号', 'tinyint(3) unsigned', 'Integer', 'sort', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (11, 1, 'create_user', '添加人', 'int(11) unsigned', 'Long', 'createUser', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (12, 1, 'create_time', '添加时间', 'datetime', 'Date', 'createTime', NULL, '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 12, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (13, 1, 'update_user', '更新人', 'int(11) unsigned', 'Long', 'updateUser', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 13, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (14, 1, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', NULL, '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 14, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (15, 1, 'mark', '有效标记', 'tinyint(1) unsigned', 'Integer', 'mark', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 15, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (16, 2, 'id', '主键ID', 'int(11)', 'Long', 'id', 1, '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (17, 2, 'name', '配置名称', 'varchar(30)', 'String', 'name', NULL, '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (18, 2, 'code', '配置编码', 'varchar(255)', 'String', 'code', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (19, 2, 'sort', '排序', 'tinyint(2)', 'Integer', 'sort', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (20, 2, 'note', '备注', 'varchar(255)', 'String', 'note', NULL, '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 5, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (21, 2, 'create_user', '添加人', 'int(11)', 'Long', 'createUser', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (22, 2, 'create_time', '添加时间', 'datetime', 'Date', 'createTime', NULL, '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (23, 2, 'update_user', '更新人', 'int(11)', 'Long', 'updateUser', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (24, 2, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', NULL, '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (25, 2, 'mark', '有效标识', 'tinyint(1)', 'Integer', 'mark', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 0, '2021-08-24 16:39:27', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (26, 3, 'id', '唯一性标识', 'int(10) unsigned', 'Integer', 'id', 1, '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (27, 3, 'name', '案例名称', 'varchar(30)', 'String', 'name', NULL, '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (28, 3, 'type', '类型：1京东 2淘宝 3拼多多 4唯品会', 'int(10) unsigned', 'Integer', 'type', NULL, '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 3, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (29, 3, 'birthday', '出生时间', 'datetime', 'Date', 'birthday', NULL, '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 4, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (30, 3, 'status', '状态：1正常 2停用', 'tinyint(1) unsigned', 'Integer', 'status', NULL, '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 5, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (31, 3, 'sort', '显示顺序', 'smallint(5) unsigned', 'Integer', 'sort', NULL, '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (32, 3, 'create_user', '添加人', 'int(11) unsigned', 'Long', 'createUser', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (33, 3, 'create_time', '添加时间', 'datetime', 'Date', 'createTime', NULL, '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (34, 3, 'update_user', '更新人', 'int(11) unsigned', 'Long', 'updateUser', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (35, 3, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', NULL, '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 10, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);
INSERT INTO `gen_table_column` VALUES (36, 3, 'mark', '有效标记', 'tinyint(1) unsigned', 'Integer', 'mark', NULL, '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 0, '2021-08-25 17:05:53', 0, NULL, 1, 20);

-- ----------------------------
-- Table structure for op_menus
-- ----------------------------
DROP TABLE IF EXISTS `op_menus`;
CREATE TABLE `op_menus`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_user` int NULL DEFAULT NULL COMMENT '创建人',
  `update_user` int NULL DEFAULT NULL COMMENT '修改人',
  `mark` tinyint NULL DEFAULT 1 COMMENT '有效标识(1正常 0删除)',
  `parent_id` int NULL DEFAULT NULL COMMENT '父级菜单（0：无父级菜单）',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '菜单名称',
  `client_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '菜单所属client',
  `menu_icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'icon图标',
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '组件路径',
  `target` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '_self' COMMENT '页面跳转方式',
  `is_hidden` int NULL DEFAULT 0 COMMENT '0：显示；1：隐藏',
  `sort` int NULL DEFAULT NULL COMMENT '排序字段',
  `status` int NULL DEFAULT 1,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2227 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '菜单表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of op_menus
-- ----------------------------

-- ----------------------------
-- Table structure for op_permissions
-- ----------------------------
DROP TABLE IF EXISTS `op_permissions`;
CREATE TABLE `op_permissions`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_user` int NULL DEFAULT NULL COMMENT '创建人',
  `update_user` int NULL DEFAULT NULL COMMENT '修改人',
  `mark` tinyint NULL DEFAULT 1 COMMENT '有效标识(1正常 0删除)',
  `client_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '所属client',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'code标识',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '展示name',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注信息',
  `type` int NULL DEFAULT 0 COMMENT '0：菜单项action-permissions；',
  `menu_id` int NULL DEFAULT NULL COMMENT '关联菜单id',
  `api_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '接口路径',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `unique_api_url`(`api_url` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 380 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '权限配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of op_permissions
-- ----------------------------

-- ----------------------------
-- Table structure for op_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `op_role_menu`;
CREATE TABLE `op_role_menu`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `role_id` int NULL DEFAULT NULL COMMENT '角色id',
  `menu_id` int NULL DEFAULT NULL COMMENT '菜单id',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_user` int NULL DEFAULT NULL COMMENT '创建人',
  `update_user` int NULL DEFAULT NULL COMMENT '修改人',
  `mark` tinyint NULL DEFAULT 1 COMMENT '有效标识(1正常 0删除)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10781 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色可访问菜单表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of op_role_menu
-- ----------------------------

-- ----------------------------
-- Table structure for op_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `op_role_permission`;
CREATE TABLE `op_role_permission`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `role_id` int NOT NULL COMMENT '角色id',
  `permission_id` int NOT NULL COMMENT '权限id',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_user` int NULL DEFAULT NULL COMMENT '创建人',
  `update_user` int NULL DEFAULT NULL COMMENT '修改人',
  `mark` tinyint(1) NOT NULL DEFAULT 1 COMMENT '有效标识(1正常 0删除)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10445 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色可操作的permission' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of op_role_permission
-- ----------------------------

-- ----------------------------
-- Table structure for op_roles
-- ----------------------------
DROP TABLE IF EXISTS `op_roles`;
CREATE TABLE `op_roles`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` int NULL DEFAULT NULL COMMENT '租户id',
  `role_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '角色名称',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '角色标签',
  `status` tinyint NULL DEFAULT 1 COMMENT '1正常',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '角色备注',
  `create_user` int NULL DEFAULT NULL COMMENT '创建人',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` int NULL DEFAULT NULL COMMENT '修改人',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `mark` int NULL DEFAULT 1 COMMENT '有效标识(1正常 0删除)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 660 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of op_roles
-- ----------------------------
INSERT INTO `op_roles` VALUES (1, 0, '超级管理员', 'superAdmin', 1, '1', NULL, '2023-05-08 08:50:58', NULL, '2023-05-08 08:50:58', 1);

-- ----------------------------
-- Table structure for sys_city
-- ----------------------------
DROP TABLE IF EXISTS `sys_city`;
CREATE TABLE `sys_city`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '编号',
  `pid` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '父级编号',
  `level` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '城市级别：1省 2市 3区',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '城市名称',
  `citycode` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '城市编号（区号）',
  `p_adcode` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '父级地理编号',
  `adcode` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地理编号',
  `lng` int UNSIGNED NULL DEFAULT NULL COMMENT '城市坐标中心点经度（* 1e6）：如果是中国，此值是 1e7',
  `lat` int UNSIGNED NULL DEFAULT NULL COMMENT '城市坐标中心点纬度（* 1e6）',
  `sort` tinyint UNSIGNED NOT NULL DEFAULT 125 COMMENT '排序号',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '添加时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `index_name`(`name` ASC) USING BTREE COMMENT '城市名称'
) ENGINE = InnoDB AUTO_INCREMENT = 3217 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '行政区划表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_city
-- ----------------------------
INSERT INTO `sys_city` VALUES (1, 0, 1, '北京市', '110000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2, 1, 2, '北京市', '110100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3, 2, 3, '东城区', '110101', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (4, 2, 3, '西城区', '110102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (5, 2, 3, '朝阳区', '110105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (6, 2, 3, '丰台区', '110106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (7, 2, 3, '石景山区', '110107', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (8, 2, 3, '海淀区', '110108', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (9, 2, 3, '门头沟区', '110109', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (10, 2, 3, '房山区', '110111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (11, 2, 3, '通州区', '110112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (12, 2, 3, '顺义区', '110113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (13, 2, 3, '昌平区', '110114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (14, 2, 3, '大兴区', '110115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (15, 2, 3, '怀柔区', '110116', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (16, 2, 3, '平谷区', '110117', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (17, 2, 3, '密云区', '110118', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (18, 2, 3, '延庆区', '110119', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (19, 0, 1, '天津市', '120000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (20, 19, 2, '天津市', '120100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (21, 20, 3, '和平区', '120101', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (22, 20, 3, '河东区', '120102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (23, 20, 3, '河西区', '120103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (24, 20, 3, '南开区', '120104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (25, 20, 3, '河北区', '120105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (26, 20, 3, '红桥区', '120106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (27, 20, 3, '东丽区', '120110', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (28, 20, 3, '西青区', '120111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (29, 20, 3, '津南区', '120112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (30, 20, 3, '北辰区', '120113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (31, 20, 3, '武清区', '120114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (32, 20, 3, '宝坻区', '120115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (33, 20, 3, '滨海新区', '120116', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (34, 20, 3, '宁河区', '120117', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (35, 20, 3, '静海区', '120118', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (36, 20, 3, '蓟州区', '120119', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (37, 0, 1, '河北省', '130000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (38, 37, 2, '石家庄市', '130100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (39, 38, 3, '长安区', '130102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (40, 38, 3, '桥西区', '130104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (41, 38, 3, '新华区', '130105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (42, 38, 3, '井陉矿区', '130107', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (43, 38, 3, '裕华区', '130108', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (44, 38, 3, '藁城区', '130109', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (45, 38, 3, '鹿泉区', '130110', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (46, 38, 3, '栾城区', '130111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (47, 38, 3, '井陉县', '130121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (48, 38, 3, '正定县', '130123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (49, 38, 3, '行唐县', '130125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (50, 38, 3, '灵寿县', '130126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (51, 38, 3, '高邑县', '130127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (52, 38, 3, '深泽县', '130128', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (53, 38, 3, '赞皇县', '130129', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (54, 38, 3, '无极县', '130130', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (55, 38, 3, '平山县', '130131', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (56, 38, 3, '元氏县', '130132', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (57, 38, 3, '赵县', '130133', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (58, 38, 3, '辛集市', '130181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (59, 38, 3, '晋州市', '130183', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (60, 38, 3, '新乐市', '130184', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (61, 37, 2, '唐山市', '130200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (62, 61, 3, '路南区', '130202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (63, 61, 3, '路北区', '130203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (64, 61, 3, '古冶区', '130204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (65, 61, 3, '开平区', '130205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (66, 61, 3, '丰南区', '130207', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (67, 61, 3, '丰润区', '130208', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (68, 61, 3, '曹妃甸区', '130209', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (69, 61, 3, '滦南县', '130224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (70, 61, 3, '乐亭县', '130225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (71, 61, 3, '迁西县', '130227', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (72, 61, 3, '玉田县', '130229', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (73, 61, 3, '遵化市', '130281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (74, 61, 3, '迁安市', '130283', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (75, 61, 3, '滦州市', '130284', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (76, 37, 2, '秦皇岛市', '130300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (77, 76, 3, '海港区', '130302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (78, 76, 3, '山海关区', '130303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (79, 76, 3, '北戴河区', '130304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (80, 76, 3, '抚宁区', '130306', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (81, 76, 3, '青龙满族自治县', '130321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (82, 76, 3, '昌黎县', '130322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (83, 76, 3, '卢龙县', '130324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (84, 37, 2, '邯郸市', '130400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (85, 84, 3, '邯山区', '130402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (86, 84, 3, '丛台区', '130403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (87, 84, 3, '复兴区', '130404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (88, 84, 3, '峰峰矿区', '130406', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (89, 84, 3, '肥乡区', '130407', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (90, 84, 3, '永年区', '130408', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (91, 84, 3, '临漳县', '130423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (92, 84, 3, '成安县', '130424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (93, 84, 3, '大名县', '130425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (94, 84, 3, '涉县', '130426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (95, 84, 3, '磁县', '130427', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (96, 84, 3, '邱县', '130430', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (97, 84, 3, '鸡泽县', '130431', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (98, 84, 3, '广平县', '130432', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (99, 84, 3, '馆陶县', '130433', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (100, 84, 3, '魏县', '130434', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (101, 84, 3, '曲周县', '130435', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (102, 84, 3, '武安市', '130481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (103, 37, 2, '邢台市', '130500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (104, 103, 3, '襄都区', '130502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (105, 103, 3, '信都区', '130503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (106, 103, 3, '任泽区', '130505', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (107, 103, 3, '南和区', '130506', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (108, 103, 3, '临城县', '130522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (109, 103, 3, '内丘县', '130523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (110, 103, 3, '柏乡县', '130524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (111, 103, 3, '隆尧县', '130525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (112, 103, 3, '宁晋县', '130528', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (113, 103, 3, '巨鹿县', '130529', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (114, 103, 3, '新河县', '130530', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (115, 103, 3, '广宗县', '130531', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (116, 103, 3, '平乡县', '130532', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (117, 103, 3, '威县', '130533', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (118, 103, 3, '清河县', '130534', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (119, 103, 3, '临西县', '130535', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (120, 103, 3, '南宫市', '130581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (121, 103, 3, '沙河市', '130582', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (122, 37, 2, '保定市', '130600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (123, 122, 3, '竞秀区', '130602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (124, 122, 3, '莲池区', '130606', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (125, 122, 3, '满城区', '130607', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (126, 122, 3, '清苑区', '130608', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (127, 122, 3, '徐水区', '130609', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (128, 122, 3, '涞水县', '130623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (129, 122, 3, '阜平县', '130624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (130, 122, 3, '定兴县', '130626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (131, 122, 3, '唐县', '130627', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (132, 122, 3, '高阳县', '130628', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (133, 122, 3, '容城县', '130629', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (134, 122, 3, '涞源县', '130630', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (135, 122, 3, '望都县', '130631', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (136, 122, 3, '安新县', '130632', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (137, 122, 3, '易县', '130633', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (138, 122, 3, '曲阳县', '130634', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (139, 122, 3, '蠡县', '130635', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (140, 122, 3, '顺平县', '130636', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (141, 122, 3, '博野县', '130637', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (142, 122, 3, '雄县', '130638', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (143, 122, 3, '涿州市', '130681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (144, 122, 3, '定州市', '130682', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (145, 122, 3, '安国市', '130683', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (146, 122, 3, '高碑店市', '130684', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (147, 37, 2, '张家口市', '130700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (148, 147, 3, '桥东区', '130702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (149, 147, 3, '桥西区', '130703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (150, 147, 3, '宣化区', '130705', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (151, 147, 3, '下花园区', '130706', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (152, 147, 3, '万全区', '130708', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (153, 147, 3, '崇礼区', '130709', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (154, 147, 3, '张北县', '130722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (155, 147, 3, '康保县', '130723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (156, 147, 3, '沽源县', '130724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (157, 147, 3, '尚义县', '130725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (158, 147, 3, '蔚县', '130726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (159, 147, 3, '阳原县', '130727', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (160, 147, 3, '怀安县', '130728', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (161, 147, 3, '怀来县', '130730', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (162, 147, 3, '涿鹿县', '130731', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (163, 147, 3, '赤城县', '130732', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (164, 37, 2, '承德市', '130800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (165, 164, 3, '双桥区', '130802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (166, 164, 3, '双滦区', '130803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (167, 164, 3, '鹰手营子矿区', '130804', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (168, 164, 3, '承德县', '130821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (169, 164, 3, '兴隆县', '130822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (170, 164, 3, '滦平县', '130824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (171, 164, 3, '隆化县', '130825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (172, 164, 3, '丰宁满族自治县', '130826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (173, 164, 3, '宽城满族自治县', '130827', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (174, 164, 3, '围场满族蒙古族自治县', '130828', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (175, 164, 3, '平泉市', '130881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (176, 37, 2, '沧州市', '130900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (177, 176, 3, '新华区', '130902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (178, 176, 3, '运河区', '130903', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (179, 176, 3, '沧县', '130921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (180, 176, 3, '青县', '130922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (181, 176, 3, '东光县', '130923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (182, 176, 3, '海兴县', '130924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (183, 176, 3, '盐山县', '130925', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (184, 176, 3, '肃宁县', '130926', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (185, 176, 3, '南皮县', '130927', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (186, 176, 3, '吴桥县', '130928', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (187, 176, 3, '献县', '130929', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (188, 176, 3, '孟村回族自治县', '130930', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (189, 176, 3, '泊头市', '130981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (190, 176, 3, '任丘市', '130982', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (191, 176, 3, '黄骅市', '130983', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (192, 176, 3, '河间市', '130984', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (193, 37, 2, '廊坊市', '131000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (194, 193, 3, '安次区', '131002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (195, 193, 3, '广阳区', '131003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (196, 193, 3, '固安县', '131022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (197, 193, 3, '永清县', '131023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (198, 193, 3, '香河县', '131024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (199, 193, 3, '大城县', '131025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (200, 193, 3, '文安县', '131026', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (201, 193, 3, '大厂回族自治县', '131028', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (202, 193, 3, '霸州市', '131081', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (203, 193, 3, '三河市', '131082', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (204, 37, 2, '衡水市', '131100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (205, 204, 3, '桃城区', '131102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (206, 204, 3, '冀州区', '131103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (207, 204, 3, '枣强县', '131121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (208, 204, 3, '武邑县', '131122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (209, 204, 3, '武强县', '131123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (210, 204, 3, '饶阳县', '131124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (211, 204, 3, '安平县', '131125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (212, 204, 3, '故城县', '131126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (213, 204, 3, '景县', '131127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (214, 204, 3, '阜城县', '131128', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (215, 204, 3, '深州市', '131182', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (216, 0, 1, '山西省', '140000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (217, 216, 2, '太原市', '140100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (218, 217, 3, '小店区', '140105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (219, 217, 3, '迎泽区', '140106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (220, 217, 3, '杏花岭区', '140107', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (221, 217, 3, '尖草坪区', '140108', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (222, 217, 3, '万柏林区', '140109', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (223, 217, 3, '晋源区', '140110', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (224, 217, 3, '清徐县', '140121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (225, 217, 3, '阳曲县', '140122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (226, 217, 3, '娄烦县', '140123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (227, 217, 3, '古交市', '140181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (228, 216, 2, '大同市', '140200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (229, 228, 3, '新荣区', '140212', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (230, 228, 3, '平城区', '140213', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (231, 228, 3, '云冈区', '140214', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (232, 228, 3, '云州区', '140215', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (233, 228, 3, '阳高县', '140221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (234, 228, 3, '天镇县', '140222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (235, 228, 3, '广灵县', '140223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (236, 228, 3, '灵丘县', '140224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (237, 228, 3, '浑源县', '140225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (238, 228, 3, '左云县', '140226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (239, 216, 2, '阳泉市', '140300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (240, 239, 3, '城区', '140302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (241, 239, 3, '矿区', '140303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (242, 239, 3, '郊区', '140311', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (243, 239, 3, '平定县', '140321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (244, 239, 3, '盂县', '140322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (245, 216, 2, '长治市', '140400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (246, 245, 3, '潞州区', '140403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (247, 245, 3, '上党区', '140404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (248, 245, 3, '屯留区', '140405', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (249, 245, 3, '潞城区', '140406', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (250, 245, 3, '襄垣县', '140423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (251, 245, 3, '平顺县', '140425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (252, 245, 3, '黎城县', '140426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (253, 245, 3, '壶关县', '140427', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (254, 245, 3, '长子县', '140428', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (255, 245, 3, '武乡县', '140429', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (256, 245, 3, '沁县', '140430', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (257, 245, 3, '沁源县', '140431', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (258, 216, 2, '晋城市', '140500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (259, 258, 3, '城区', '140502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (260, 258, 3, '沁水县', '140521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (261, 258, 3, '阳城县', '140522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (262, 258, 3, '陵川县', '140524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (263, 258, 3, '泽州县', '140525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (264, 258, 3, '高平市', '140581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (265, 216, 2, '朔州市', '140600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (266, 265, 3, '朔城区', '140602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (267, 265, 3, '平鲁区', '140603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (268, 265, 3, '山阴县', '140621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (269, 265, 3, '应县', '140622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (270, 265, 3, '右玉县', '140623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (271, 265, 3, '怀仁市', '140681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (272, 216, 2, '晋中市', '140700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (273, 272, 3, '榆次区', '140702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (274, 272, 3, '太谷区', '140703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (275, 272, 3, '榆社县', '140721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (276, 272, 3, '左权县', '140722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (277, 272, 3, '和顺县', '140723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (278, 272, 3, '昔阳县', '140724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (279, 272, 3, '寿阳县', '140725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (280, 272, 3, '祁县', '140727', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (281, 272, 3, '平遥县', '140728', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (282, 272, 3, '灵石县', '140729', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (283, 272, 3, '介休市', '140781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (284, 216, 2, '运城市', '140800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (285, 284, 3, '盐湖区', '140802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (286, 284, 3, '临猗县', '140821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (287, 284, 3, '万荣县', '140822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (288, 284, 3, '闻喜县', '140823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (289, 284, 3, '稷山县', '140824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (290, 284, 3, '新绛县', '140825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (291, 284, 3, '绛县', '140826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (292, 284, 3, '垣曲县', '140827', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (293, 284, 3, '夏县', '140828', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (294, 284, 3, '平陆县', '140829', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (295, 284, 3, '芮城县', '140830', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (296, 284, 3, '永济市', '140881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (297, 284, 3, '河津市', '140882', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (298, 216, 2, '忻州市', '140900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (299, 298, 3, '忻府区', '140902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (300, 298, 3, '定襄县', '140921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (301, 298, 3, '五台县', '140922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (302, 298, 3, '代县', '140923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (303, 298, 3, '繁峙县', '140924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (304, 298, 3, '宁武县', '140925', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (305, 298, 3, '静乐县', '140926', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (306, 298, 3, '神池县', '140927', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (307, 298, 3, '五寨县', '140928', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (308, 298, 3, '岢岚县', '140929', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (309, 298, 3, '河曲县', '140930', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (310, 298, 3, '保德县', '140931', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (311, 298, 3, '偏关县', '140932', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (312, 298, 3, '原平市', '140981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (313, 216, 2, '临汾市', '141000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (314, 313, 3, '尧都区', '141002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (315, 313, 3, '曲沃县', '141021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (316, 313, 3, '翼城县', '141022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (317, 313, 3, '襄汾县', '141023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (318, 313, 3, '洪洞县', '141024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (319, 313, 3, '古县', '141025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (320, 313, 3, '安泽县', '141026', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (321, 313, 3, '浮山县', '141027', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (322, 313, 3, '吉县', '141028', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (323, 313, 3, '乡宁县', '141029', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (324, 313, 3, '大宁县', '141030', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (325, 313, 3, '隰县', '141031', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (326, 313, 3, '永和县', '141032', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (327, 313, 3, '蒲县', '141033', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (328, 313, 3, '汾西县', '141034', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (329, 313, 3, '侯马市', '141081', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (330, 313, 3, '霍州市', '141082', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (331, 216, 2, '吕梁市', '141100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (332, 331, 3, '离石区', '141102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (333, 331, 3, '文水县', '141121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (334, 331, 3, '交城县', '141122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (335, 331, 3, '兴县', '141123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (336, 331, 3, '临县', '141124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (337, 331, 3, '柳林县', '141125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (338, 331, 3, '石楼县', '141126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (339, 331, 3, '岚县', '141127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (340, 331, 3, '方山县', '141128', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (341, 331, 3, '中阳县', '141129', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (342, 331, 3, '交口县', '141130', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (343, 331, 3, '孝义市', '141181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (344, 331, 3, '汾阳市', '141182', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (345, 0, 1, '内蒙古自治区', '150000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (346, 345, 2, '呼和浩特市', '150100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (347, 346, 3, '新城区', '150102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (348, 346, 3, '回民区', '150103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (349, 346, 3, '玉泉区', '150104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (350, 346, 3, '赛罕区', '150105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (351, 346, 3, '土默特左旗', '150121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (352, 346, 3, '托克托县', '150122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (353, 346, 3, '和林格尔县', '150123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (354, 346, 3, '清水河县', '150124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (355, 346, 3, '武川县', '150125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (356, 345, 2, '包头市', '150200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (357, 356, 3, '东河区', '150202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (358, 356, 3, '昆都仑区', '150203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (359, 356, 3, '青山区', '150204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (360, 356, 3, '石拐区', '150205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (361, 356, 3, '白云鄂博矿区', '150206', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (362, 356, 3, '九原区', '150207', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (363, 356, 3, '土默特右旗', '150221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (364, 356, 3, '固阳县', '150222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (365, 356, 3, '达尔罕茂明安联合旗', '150223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (366, 345, 2, '乌海市', '150300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (367, 366, 3, '海勃湾区', '150302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (368, 366, 3, '海南区', '150303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (369, 366, 3, '乌达区', '150304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (370, 345, 2, '赤峰市', '150400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (371, 370, 3, '红山区', '150402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (372, 370, 3, '元宝山区', '150403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (373, 370, 3, '松山区', '150404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (374, 370, 3, '阿鲁科尔沁旗', '150421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (375, 370, 3, '巴林左旗', '150422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (376, 370, 3, '巴林右旗', '150423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (377, 370, 3, '林西县', '150424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (378, 370, 3, '克什克腾旗', '150425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (379, 370, 3, '翁牛特旗', '150426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (380, 370, 3, '喀喇沁旗', '150428', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (381, 370, 3, '宁城县', '150429', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (382, 370, 3, '敖汉旗', '150430', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (383, 345, 2, '通辽市', '150500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (384, 383, 3, '科尔沁区', '150502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (385, 383, 3, '科尔沁左翼中旗', '150521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (386, 383, 3, '科尔沁左翼后旗', '150522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (387, 383, 3, '开鲁县', '150523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (388, 383, 3, '库伦旗', '150524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (389, 383, 3, '奈曼旗', '150525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (390, 383, 3, '扎鲁特旗', '150526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (391, 383, 3, '霍林郭勒市', '150581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (392, 345, 2, '鄂尔多斯市', '150600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (393, 392, 3, '东胜区', '150602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (394, 392, 3, '康巴什区', '150603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (395, 392, 3, '达拉特旗', '150621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (396, 392, 3, '准格尔旗', '150622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (397, 392, 3, '鄂托克前旗', '150623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (398, 392, 3, '鄂托克旗', '150624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (399, 392, 3, '杭锦旗', '150625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (400, 392, 3, '乌审旗', '150626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (401, 392, 3, '伊金霍洛旗', '150627', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (402, 345, 2, '呼伦贝尔市', '150700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (403, 402, 3, '海拉尔区', '150702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (404, 402, 3, '扎赉诺尔区', '150703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (405, 402, 3, '阿荣旗', '150721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (406, 402, 3, '莫力达瓦达斡尔族自治旗', '150722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (407, 402, 3, '鄂伦春自治旗', '150723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (408, 402, 3, '鄂温克族自治旗', '150724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (409, 402, 3, '陈巴尔虎旗', '150725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (410, 402, 3, '新巴尔虎左旗', '150726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (411, 402, 3, '新巴尔虎右旗', '150727', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (412, 402, 3, '满洲里市', '150781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (413, 402, 3, '牙克石市', '150782', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (414, 402, 3, '扎兰屯市', '150783', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (415, 402, 3, '额尔古纳市', '150784', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (416, 402, 3, '根河市', '150785', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (417, 345, 2, '巴彦淖尔市', '150800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (418, 417, 3, '临河区', '150802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (419, 417, 3, '五原县', '150821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (420, 417, 3, '磴口县', '150822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (421, 417, 3, '乌拉特前旗', '150823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (422, 417, 3, '乌拉特中旗', '150824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (423, 417, 3, '乌拉特后旗', '150825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (424, 417, 3, '杭锦后旗', '150826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (425, 345, 2, '乌兰察布市', '150900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (426, 425, 3, '集宁区', '150902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (427, 425, 3, '卓资县', '150921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (428, 425, 3, '化德县', '150922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (429, 425, 3, '商都县', '150923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (430, 425, 3, '兴和县', '150924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (431, 425, 3, '凉城县', '150925', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (432, 425, 3, '察哈尔右翼前旗', '150926', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (433, 425, 3, '察哈尔右翼中旗', '150927', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (434, 425, 3, '察哈尔右翼后旗', '150928', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (435, 425, 3, '四子王旗', '150929', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (436, 425, 3, '丰镇市', '150981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (437, 345, 2, '兴安盟', '152200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (438, 437, 3, '乌兰浩特市', '152201', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (439, 437, 3, '阿尔山市', '152202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (440, 437, 3, '科尔沁右翼前旗', '152221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (441, 437, 3, '科尔沁右翼中旗', '152222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (442, 437, 3, '扎赉特旗', '152223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (443, 437, 3, '突泉县', '152224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (444, 345, 2, '锡林郭勒盟', '152500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (445, 444, 3, '二连浩特市', '152501', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (446, 444, 3, '锡林浩特市', '152502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (447, 444, 3, '阿巴嘎旗', '152522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (448, 444, 3, '苏尼特左旗', '152523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (449, 444, 3, '苏尼特右旗', '152524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (450, 444, 3, '东乌珠穆沁旗', '152525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (451, 444, 3, '西乌珠穆沁旗', '152526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (452, 444, 3, '太仆寺旗', '152527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (453, 444, 3, '镶黄旗', '152528', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (454, 444, 3, '正镶白旗', '152529', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (455, 444, 3, '正蓝旗', '152530', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (456, 444, 3, '多伦县', '152531', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (457, 345, 2, '阿拉善盟', '152900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (458, 457, 3, '阿拉善左旗', '152921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (459, 457, 3, '阿拉善右旗', '152922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (460, 457, 3, '额济纳旗', '152923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (461, 0, 1, '辽宁省', '210000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (462, 461, 2, '沈阳市', '210100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (463, 462, 3, '和平区', '210102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (464, 462, 3, '沈河区', '210103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (465, 462, 3, '大东区', '210104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (466, 462, 3, '皇姑区', '210105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (467, 462, 3, '铁西区', '210106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (468, 462, 3, '苏家屯区', '210111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (469, 462, 3, '浑南区', '210112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (470, 462, 3, '沈北新区', '210113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (471, 462, 3, '于洪区', '210114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (472, 462, 3, '辽中区', '210115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (473, 462, 3, '康平县', '210123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (474, 462, 3, '法库县', '210124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (475, 462, 3, '新民市', '210181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (476, 461, 2, '大连市', '210200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (477, 476, 3, '中山区', '210202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (478, 476, 3, '西岗区', '210203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (479, 476, 3, '沙河口区', '210204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (480, 476, 3, '甘井子区', '210211', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (481, 476, 3, '旅顺口区', '210212', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (482, 476, 3, '金州区', '210213', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (483, 476, 3, '普兰店区', '210214', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (484, 476, 3, '长海县', '210224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (485, 476, 3, '瓦房店市', '210281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (486, 476, 3, '庄河市', '210283', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (487, 461, 2, '鞍山市', '210300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (488, 487, 3, '铁东区', '210302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (489, 487, 3, '铁西区', '210303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (490, 487, 3, '立山区', '210304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (491, 487, 3, '千山区', '210311', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (492, 487, 3, '台安县', '210321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (493, 487, 3, '岫岩满族自治县', '210323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (494, 487, 3, '海城市', '210381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (495, 461, 2, '抚顺市', '210400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (496, 495, 3, '新抚区', '210402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (497, 495, 3, '东洲区', '210403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (498, 495, 3, '望花区', '210404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (499, 495, 3, '顺城区', '210411', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (500, 495, 3, '抚顺县', '210421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (501, 495, 3, '新宾满族自治县', '210422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (502, 495, 3, '清原满族自治县', '210423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (503, 461, 2, '本溪市', '210500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (504, 503, 3, '平山区', '210502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (505, 503, 3, '溪湖区', '210503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (506, 503, 3, '明山区', '210504', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (507, 503, 3, '南芬区', '210505', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (508, 503, 3, '本溪满族自治县', '210521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (509, 503, 3, '桓仁满族自治县', '210522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (510, 461, 2, '丹东市', '210600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (511, 510, 3, '元宝区', '210602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (512, 510, 3, '振兴区', '210603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (513, 510, 3, '振安区', '210604', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (514, 510, 3, '宽甸满族自治县', '210624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (515, 510, 3, '东港市', '210681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (516, 510, 3, '凤城市', '210682', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (517, 461, 2, '锦州市', '210700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (518, 517, 3, '古塔区', '210702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (519, 517, 3, '凌河区', '210703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (520, 517, 3, '太和区', '210711', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (521, 517, 3, '黑山县', '210726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (522, 517, 3, '义县', '210727', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (523, 517, 3, '凌海市', '210781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (524, 517, 3, '北镇市', '210782', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (525, 461, 2, '营口市', '210800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (526, 525, 3, '站前区', '210802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (527, 525, 3, '西市区', '210803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (528, 525, 3, '鲅鱼圈区', '210804', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (529, 525, 3, '老边区', '210811', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (530, 525, 3, '盖州市', '210881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (531, 525, 3, '大石桥市', '210882', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (532, 461, 2, '阜新市', '210900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (533, 532, 3, '海州区', '210902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (534, 532, 3, '新邱区', '210903', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (535, 532, 3, '太平区', '210904', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (536, 532, 3, '清河门区', '210905', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (537, 532, 3, '细河区', '210911', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (538, 532, 3, '阜新蒙古族自治县', '210921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (539, 532, 3, '彰武县', '210922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (540, 461, 2, '辽阳市', '211000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (541, 540, 3, '白塔区', '211002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (542, 540, 3, '文圣区', '211003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (543, 540, 3, '宏伟区', '211004', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (544, 540, 3, '弓长岭区', '211005', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (545, 540, 3, '太子河区', '211011', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (546, 540, 3, '辽阳县', '211021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (547, 540, 3, '灯塔市', '211081', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (548, 461, 2, '盘锦市', '211100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (549, 548, 3, '双台子区', '211102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (550, 548, 3, '兴隆台区', '211103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (551, 548, 3, '大洼区', '211104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (552, 548, 3, '盘山县', '211122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (553, 461, 2, '铁岭市', '211200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (554, 553, 3, '银州区', '211202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (555, 553, 3, '清河区', '211204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (556, 553, 3, '铁岭县', '211221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (557, 553, 3, '西丰县', '211223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (558, 553, 3, '昌图县', '211224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (559, 553, 3, '调兵山市', '211281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (560, 553, 3, '开原市', '211282', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (561, 461, 2, '朝阳市', '211300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (562, 561, 3, '双塔区', '211302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (563, 561, 3, '龙城区', '211303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (564, 561, 3, '朝阳县', '211321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (565, 561, 3, '建平县', '211322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (566, 561, 3, '喀喇沁左翼蒙古族自治县', '211324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (567, 561, 3, '北票市', '211381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (568, 561, 3, '凌源市', '211382', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (569, 461, 2, '葫芦岛市', '211400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (570, 569, 3, '连山区', '211402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (571, 569, 3, '龙港区', '211403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (572, 569, 3, '南票区', '211404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (573, 569, 3, '绥中县', '211421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (574, 569, 3, '建昌县', '211422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (575, 569, 3, '兴城市', '211481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (576, 0, 1, '吉林省', '220000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (577, 576, 2, '长春市', '220100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (578, 577, 3, '南关区', '220102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (579, 577, 3, '宽城区', '220103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (580, 577, 3, '朝阳区', '220104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (581, 577, 3, '二道区', '220105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (582, 577, 3, '绿园区', '220106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (583, 577, 3, '双阳区', '220112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (584, 577, 3, '九台区', '220113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (585, 577, 3, '农安县', '220122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (586, 577, 3, '榆树市', '220182', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (587, 577, 3, '德惠市', '220183', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (588, 577, 3, '公主岭市', '220184', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (589, 576, 2, '吉林市', '220200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (590, 589, 3, '昌邑区', '220202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (591, 589, 3, '龙潭区', '220203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (592, 589, 3, '船营区', '220204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (593, 589, 3, '丰满区', '220211', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (594, 589, 3, '永吉县', '220221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (595, 589, 3, '蛟河市', '220281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (596, 589, 3, '桦甸市', '220282', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (597, 589, 3, '舒兰市', '220283', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (598, 589, 3, '磐石市', '220284', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (599, 576, 2, '四平市', '220300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (600, 599, 3, '铁西区', '220302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (601, 599, 3, '铁东区', '220303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (602, 599, 3, '梨树县', '220322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (603, 599, 3, '伊通满族自治县', '220323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (604, 599, 3, '双辽市', '220382', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (605, 576, 2, '辽源市', '220400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (606, 605, 3, '龙山区', '220402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (607, 605, 3, '西安区', '220403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (608, 605, 3, '东丰县', '220421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (609, 605, 3, '东辽县', '220422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (610, 576, 2, '通化市', '220500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (611, 610, 3, '东昌区', '220502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (612, 610, 3, '二道江区', '220503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (613, 610, 3, '通化县', '220521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (614, 610, 3, '辉南县', '220523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (615, 610, 3, '柳河县', '220524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (616, 610, 3, '梅河口市', '220581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (617, 610, 3, '集安市', '220582', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (618, 576, 2, '白山市', '220600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (619, 618, 3, '浑江区', '220602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (620, 618, 3, '江源区', '220605', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (621, 618, 3, '抚松县', '220621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (622, 618, 3, '靖宇县', '220622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (623, 618, 3, '长白朝鲜族自治县', '220623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (624, 618, 3, '临江市', '220681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (625, 576, 2, '松原市', '220700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (626, 625, 3, '宁江区', '220702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (627, 625, 3, '前郭尔罗斯蒙古族自治县', '220721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (628, 625, 3, '长岭县', '220722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (629, 625, 3, '乾安县', '220723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (630, 625, 3, '扶余市', '220781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (631, 576, 2, '白城市', '220800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (632, 631, 3, '洮北区', '220802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (633, 631, 3, '镇赉县', '220821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (634, 631, 3, '通榆县', '220822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (635, 631, 3, '洮南市', '220881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (636, 631, 3, '大安市', '220882', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (637, 576, 2, '延边朝鲜族自治州', '222400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (638, 637, 3, '延吉市', '222401', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (639, 637, 3, '图们市', '222402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (640, 637, 3, '敦化市', '222403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (641, 637, 3, '珲春市', '222404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (642, 637, 3, '龙井市', '222405', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (643, 637, 3, '和龙市', '222406', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (644, 637, 3, '汪清县', '222424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (645, 637, 3, '安图县', '222426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (646, 0, 1, '黑龙江省', '230000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (647, 646, 2, '哈尔滨市', '230100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (648, 647, 3, '道里区', '230102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (649, 647, 3, '南岗区', '230103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (650, 647, 3, '道外区', '230104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (651, 647, 3, '平房区', '230108', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (652, 647, 3, '松北区', '230109', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (653, 647, 3, '香坊区', '230110', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (654, 647, 3, '呼兰区', '230111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (655, 647, 3, '阿城区', '230112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (656, 647, 3, '双城区', '230113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (657, 647, 3, '依兰县', '230123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (658, 647, 3, '方正县', '230124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (659, 647, 3, '宾县', '230125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (660, 647, 3, '巴彦县', '230126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (661, 647, 3, '木兰县', '230127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (662, 647, 3, '通河县', '230128', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (663, 647, 3, '延寿县', '230129', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (664, 647, 3, '尚志市', '230183', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (665, 647, 3, '五常市', '230184', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (666, 646, 2, '齐齐哈尔市', '230200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (667, 666, 3, '龙沙区', '230202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (668, 666, 3, '建华区', '230203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (669, 666, 3, '铁锋区', '230204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (670, 666, 3, '昂昂溪区', '230205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (671, 666, 3, '富拉尔基区', '230206', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (672, 666, 3, '碾子山区', '230207', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (673, 666, 3, '梅里斯达斡尔族区', '230208', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (674, 666, 3, '龙江县', '230221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (675, 666, 3, '依安县', '230223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (676, 666, 3, '泰来县', '230224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (677, 666, 3, '甘南县', '230225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (678, 666, 3, '富裕县', '230227', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (679, 666, 3, '克山县', '230229', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (680, 666, 3, '克东县', '230230', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (681, 666, 3, '拜泉县', '230231', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (682, 666, 3, '讷河市', '230281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (683, 646, 2, '鸡西市', '230300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (684, 683, 3, '鸡冠区', '230302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (685, 683, 3, '恒山区', '230303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (686, 683, 3, '滴道区', '230304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (687, 683, 3, '梨树区', '230305', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (688, 683, 3, '城子河区', '230306', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (689, 683, 3, '麻山区', '230307', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (690, 683, 3, '鸡东县', '230321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (691, 683, 3, '虎林市', '230381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (692, 683, 3, '密山市', '230382', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (693, 646, 2, '鹤岗市', '230400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (694, 693, 3, '向阳区', '230402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (695, 693, 3, '工农区', '230403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (696, 693, 3, '南山区', '230404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (697, 693, 3, '兴安区', '230405', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (698, 693, 3, '东山区', '230406', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (699, 693, 3, '兴山区', '230407', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (700, 693, 3, '萝北县', '230421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (701, 693, 3, '绥滨县', '230422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (702, 646, 2, '双鸭山市', '230500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (703, 702, 3, '尖山区', '230502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (704, 702, 3, '岭东区', '230503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (705, 702, 3, '四方台区', '230505', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (706, 702, 3, '宝山区', '230506', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (707, 702, 3, '集贤县', '230521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (708, 702, 3, '友谊县', '230522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (709, 702, 3, '宝清县', '230523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (710, 702, 3, '饶河县', '230524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (711, 646, 2, '大庆市', '230600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (712, 711, 3, '萨尔图区', '230602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (713, 711, 3, '龙凤区', '230603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (714, 711, 3, '让胡路区', '230604', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (715, 711, 3, '红岗区', '230605', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (716, 711, 3, '大同区', '230606', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (717, 711, 3, '肇州县', '230621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (718, 711, 3, '肇源县', '230622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (719, 711, 3, '林甸县', '230623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (720, 711, 3, '杜尔伯特蒙古族自治县', '230624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (721, 646, 2, '伊春市', '230700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (722, 721, 3, '伊美区', '230717', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (723, 721, 3, '乌翠区', '230718', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (724, 721, 3, '友好区', '230719', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (725, 721, 3, '嘉荫县', '230722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (726, 721, 3, '汤旺县', '230723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (727, 721, 3, '丰林县', '230724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (728, 721, 3, '大箐山县', '230725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (729, 721, 3, '南岔县', '230726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (730, 721, 3, '金林区', '230751', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (731, 721, 3, '铁力市', '230781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (732, 646, 2, '佳木斯市', '230800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (733, 732, 3, '向阳区', '230803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (734, 732, 3, '前进区', '230804', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (735, 732, 3, '东风区', '230805', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (736, 732, 3, '郊区', '230811', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (737, 732, 3, '桦南县', '230822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (738, 732, 3, '桦川县', '230826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (739, 732, 3, '汤原县', '230828', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (740, 732, 3, '同江市', '230881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (741, 732, 3, '富锦市', '230882', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (742, 732, 3, '抚远市', '230883', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (743, 646, 2, '七台河市', '230900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (744, 743, 3, '新兴区', '230902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (745, 743, 3, '桃山区', '230903', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (746, 743, 3, '茄子河区', '230904', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (747, 743, 3, '勃利县', '230921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (748, 646, 2, '牡丹江市', '231000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (749, 748, 3, '东安区', '231002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (750, 748, 3, '阳明区', '231003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (751, 748, 3, '爱民区', '231004', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (752, 748, 3, '西安区', '231005', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (753, 748, 3, '林口县', '231025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (754, 748, 3, '绥芬河市', '231081', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (755, 748, 3, '海林市', '231083', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (756, 748, 3, '宁安市', '231084', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (757, 748, 3, '穆棱市', '231085', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (758, 748, 3, '东宁市', '231086', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (759, 646, 2, '黑河市', '231100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (760, 759, 3, '爱辉区', '231102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (761, 759, 3, '逊克县', '231123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (762, 759, 3, '孙吴县', '231124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (763, 759, 3, '北安市', '231181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (764, 759, 3, '五大连池市', '231182', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (765, 759, 3, '嫩江市', '231183', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (766, 646, 2, '绥化市', '231200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (767, 766, 3, '北林区', '231202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (768, 766, 3, '望奎县', '231221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (769, 766, 3, '兰西县', '231222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (770, 766, 3, '青冈县', '231223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (771, 766, 3, '庆安县', '231224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (772, 766, 3, '明水县', '231225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (773, 766, 3, '绥棱县', '231226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (774, 766, 3, '安达市', '231281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (775, 766, 3, '肇东市', '231282', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (776, 766, 3, '海伦市', '231283', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (777, 646, 2, '大兴安岭地区', '232700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (778, 777, 3, '漠河市', '232701', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (779, 777, 3, '呼玛县', '232721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (780, 777, 3, '塔河县', '232722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (781, 0, 1, '上海市', '310000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (782, 781, 2, '上海市', '310100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (783, 782, 3, '黄浦区', '310101', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (784, 782, 3, '徐汇区', '310104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (785, 782, 3, '长宁区', '310105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (786, 782, 3, '静安区', '310106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (787, 782, 3, '普陀区', '310107', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (788, 782, 3, '虹口区', '310109', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (789, 782, 3, '杨浦区', '310110', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (790, 782, 3, '闵行区', '310112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (791, 782, 3, '宝山区', '310113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (792, 782, 3, '嘉定区', '310114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (793, 782, 3, '浦东新区', '310115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (794, 782, 3, '金山区', '310116', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (795, 782, 3, '松江区', '310117', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (796, 782, 3, '青浦区', '310118', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (797, 782, 3, '奉贤区', '310120', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (798, 782, 3, '崇明区', '310151', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (799, 0, 1, '江苏省', '320000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (800, 799, 2, '南京市', '320100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (801, 800, 3, '玄武区', '320102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (802, 800, 3, '秦淮区', '320104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (803, 800, 3, '建邺区', '320105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (804, 800, 3, '鼓楼区', '320106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (805, 800, 3, '浦口区', '320111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (806, 800, 3, '栖霞区', '320113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (807, 800, 3, '雨花台区', '320114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (808, 800, 3, '江宁区', '320115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (809, 800, 3, '六合区', '320116', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (810, 800, 3, '溧水区', '320117', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (811, 800, 3, '高淳区', '320118', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (812, 799, 2, '无锡市', '320200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (813, 812, 3, '锡山区', '320205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (814, 812, 3, '惠山区', '320206', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (815, 812, 3, '滨湖区', '320211', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (816, 812, 3, '梁溪区', '320213', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (817, 812, 3, '新吴区', '320214', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (818, 812, 3, '江阴市', '320281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (819, 812, 3, '宜兴市', '320282', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (820, 799, 2, '徐州市', '320300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (821, 820, 3, '鼓楼区', '320302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (822, 820, 3, '云龙区', '320303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (823, 820, 3, '贾汪区', '320305', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (824, 820, 3, '泉山区', '320311', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (825, 820, 3, '铜山区', '320312', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (826, 820, 3, '丰县', '320321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (827, 820, 3, '沛县', '320322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (828, 820, 3, '睢宁县', '320324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (829, 820, 3, '新沂市', '320381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (830, 820, 3, '邳州市', '320382', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (831, 799, 2, '常州市', '320400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (832, 831, 3, '天宁区', '320402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (833, 831, 3, '钟楼区', '320404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (834, 831, 3, '新北区', '320411', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (835, 831, 3, '武进区', '320412', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (836, 831, 3, '金坛区', '320413', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (837, 831, 3, '溧阳市', '320481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (838, 799, 2, '苏州市', '320500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (839, 838, 3, '虎丘区', '320505', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (840, 838, 3, '吴中区', '320506', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (841, 838, 3, '相城区', '320507', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (842, 838, 3, '姑苏区', '320508', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (843, 838, 3, '吴江区', '320509', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (844, 838, 3, '常熟市', '320581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (845, 838, 3, '张家港市', '320582', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (846, 838, 3, '昆山市', '320583', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (847, 838, 3, '太仓市', '320585', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (848, 799, 2, '南通市', '320600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (849, 848, 3, '崇川区', '320602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (850, 848, 3, '港闸区', '320611', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (851, 848, 3, '通州区', '320612', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (852, 848, 3, '如东县', '320623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (853, 848, 3, '启东市', '320681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (854, 848, 3, '如皋市', '320682', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (855, 848, 3, '海门市', '320684', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (856, 848, 3, '海安市', '320685', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (857, 799, 2, '连云港市', '320700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (858, 857, 3, '连云区', '320703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (859, 857, 3, '海州区', '320706', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (860, 857, 3, '赣榆区', '320707', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (861, 857, 3, '东海县', '320722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (862, 857, 3, '灌云县', '320723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (863, 857, 3, '灌南县', '320724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (864, 799, 2, '淮安市', '320800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (865, 864, 3, '淮安区', '320803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (866, 864, 3, '淮阴区', '320804', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (867, 864, 3, '清江浦区', '320812', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (868, 864, 3, '洪泽区', '320813', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (869, 864, 3, '涟水县', '320826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (870, 864, 3, '盱眙县', '320830', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (871, 864, 3, '金湖县', '320831', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (872, 799, 2, '盐城市', '320900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (873, 872, 3, '亭湖区', '320902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (874, 872, 3, '盐都区', '320903', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (875, 872, 3, '大丰区', '320904', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (876, 872, 3, '响水县', '320921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (877, 872, 3, '滨海县', '320922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (878, 872, 3, '阜宁县', '320923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (879, 872, 3, '射阳县', '320924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (880, 872, 3, '建湖县', '320925', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (881, 872, 3, '东台市', '320981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (882, 799, 2, '扬州市', '321000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (883, 882, 3, '广陵区', '321002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (884, 882, 3, '邗江区', '321003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (885, 882, 3, '江都区', '321012', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (886, 882, 3, '宝应县', '321023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (887, 882, 3, '仪征市', '321081', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (888, 882, 3, '高邮市', '321084', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (889, 799, 2, '镇江市', '321100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (890, 889, 3, '京口区', '321102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (891, 889, 3, '润州区', '321111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (892, 889, 3, '丹徒区', '321112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (893, 889, 3, '丹阳市', '321181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (894, 889, 3, '扬中市', '321182', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (895, 889, 3, '句容市', '321183', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (896, 799, 2, '泰州市', '321200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (897, 896, 3, '海陵区', '321202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (898, 896, 3, '高港区', '321203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (899, 896, 3, '姜堰区', '321204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (900, 896, 3, '兴化市', '321281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (901, 896, 3, '靖江市', '321282', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (902, 896, 3, '泰兴市', '321283', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (903, 799, 2, '宿迁市', '321300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (904, 903, 3, '宿城区', '321302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (905, 903, 3, '宿豫区', '321311', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (906, 903, 3, '沭阳县', '321322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (907, 903, 3, '泗阳县', '321323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (908, 903, 3, '泗洪县', '321324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (909, 0, 1, '浙江省', '330000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (910, 909, 2, '杭州市', '330100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (911, 910, 3, '上城区', '330102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (912, 910, 3, '下城区', '330103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (913, 910, 3, '江干区', '330104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (914, 910, 3, '拱墅区', '330105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (915, 910, 3, '西湖区', '330106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (916, 910, 3, '滨江区', '330108', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (917, 910, 3, '萧山区', '330109', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (918, 910, 3, '余杭区', '330110', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (919, 910, 3, '富阳区', '330111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (920, 910, 3, '临安区', '330112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (921, 910, 3, '桐庐县', '330122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (922, 910, 3, '淳安县', '330127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (923, 910, 3, '建德市', '330182', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (924, 909, 2, '宁波市', '330200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (925, 924, 3, '海曙区', '330203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (926, 924, 3, '江北区', '330205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (927, 924, 3, '北仑区', '330206', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (928, 924, 3, '镇海区', '330211', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (929, 924, 3, '鄞州区', '330212', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (930, 924, 3, '奉化区', '330213', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (931, 924, 3, '象山县', '330225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (932, 924, 3, '宁海县', '330226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (933, 924, 3, '余姚市', '330281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (934, 924, 3, '慈溪市', '330282', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (935, 909, 2, '温州市', '330300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (936, 935, 3, '鹿城区', '330302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (937, 935, 3, '龙湾区', '330303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (938, 935, 3, '瓯海区', '330304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (939, 935, 3, '洞头区', '330305', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (940, 935, 3, '永嘉县', '330324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (941, 935, 3, '平阳县', '330326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (942, 935, 3, '苍南县', '330327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (943, 935, 3, '文成县', '330328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (944, 935, 3, '泰顺县', '330329', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (945, 935, 3, '瑞安市', '330381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (946, 935, 3, '乐清市', '330382', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (947, 935, 3, '龙港市', '330383', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (948, 909, 2, '嘉兴市', '330400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (949, 948, 3, '南湖区', '330402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (950, 948, 3, '秀洲区', '330411', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (951, 948, 3, '嘉善县', '330421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (952, 948, 3, '海盐县', '330424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (953, 948, 3, '海宁市', '330481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (954, 948, 3, '平湖市', '330482', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (955, 948, 3, '桐乡市', '330483', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (956, 909, 2, '湖州市', '330500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (957, 956, 3, '吴兴区', '330502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (958, 956, 3, '南浔区', '330503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (959, 956, 3, '德清县', '330521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (960, 956, 3, '长兴县', '330522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (961, 956, 3, '安吉县', '330523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (962, 909, 2, '绍兴市', '330600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (963, 962, 3, '越城区', '330602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (964, 962, 3, '柯桥区', '330603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (965, 962, 3, '上虞区', '330604', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (966, 962, 3, '新昌县', '330624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (967, 962, 3, '诸暨市', '330681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (968, 962, 3, '嵊州市', '330683', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (969, 909, 2, '金华市', '330700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (970, 969, 3, '婺城区', '330702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (971, 969, 3, '金东区', '330703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (972, 969, 3, '武义县', '330723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (973, 969, 3, '浦江县', '330726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (974, 969, 3, '磐安县', '330727', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (975, 969, 3, '兰溪市', '330781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (976, 969, 3, '义乌市', '330782', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (977, 969, 3, '东阳市', '330783', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (978, 969, 3, '永康市', '330784', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (979, 909, 2, '衢州市', '330800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (980, 979, 3, '柯城区', '330802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (981, 979, 3, '衢江区', '330803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (982, 979, 3, '常山县', '330822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (983, 979, 3, '开化县', '330824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (984, 979, 3, '龙游县', '330825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (985, 979, 3, '江山市', '330881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (986, 909, 2, '舟山市', '330900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (987, 986, 3, '定海区', '330902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (988, 986, 3, '普陀区', '330903', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (989, 986, 3, '岱山县', '330921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (990, 986, 3, '嵊泗县', '330922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (991, 909, 2, '台州市', '331000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (992, 991, 3, '椒江区', '331002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (993, 991, 3, '黄岩区', '331003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (994, 991, 3, '路桥区', '331004', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (995, 991, 3, '三门县', '331022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (996, 991, 3, '天台县', '331023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (997, 991, 3, '仙居县', '331024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (998, 991, 3, '温岭市', '331081', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (999, 991, 3, '临海市', '331082', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1000, 991, 3, '玉环市', '331083', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1001, 909, 2, '丽水市', '331100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1002, 1001, 3, '莲都区', '331102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1003, 1001, 3, '青田县', '331121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1004, 1001, 3, '缙云县', '331122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1005, 1001, 3, '遂昌县', '331123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1006, 1001, 3, '松阳县', '331124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1007, 1001, 3, '云和县', '331125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1008, 1001, 3, '庆元县', '331126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1009, 1001, 3, '景宁畲族自治县', '331127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1010, 1001, 3, '龙泉市', '331181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1011, 0, 1, '安徽省', '340000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1012, 1011, 2, '合肥市', '340100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1013, 1012, 3, '瑶海区', '340102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1014, 1012, 3, '庐阳区', '340103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1015, 1012, 3, '蜀山区', '340104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1016, 1012, 3, '包河区', '340111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1017, 1012, 3, '长丰县', '340121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1018, 1012, 3, '肥东县', '340122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1019, 1012, 3, '肥西县', '340123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1020, 1012, 3, '庐江县', '340124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1021, 1012, 3, '巢湖市', '340181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1022, 1011, 2, '芜湖市', '340200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1023, 1022, 3, '镜湖区', '340202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1024, 1022, 3, '鸠江区', '340207', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1025, 1022, 3, '弋江区', '340209', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1026, 1022, 3, '湾沚区', '340210', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1027, 1022, 3, '繁昌区', '340211', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1028, 1022, 3, '南陵县', '340223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1029, 1022, 3, '无为市', '340281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1030, 1011, 2, '蚌埠市', '340300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1031, 1030, 3, '龙子湖区', '340302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1032, 1030, 3, '蚌山区', '340303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1033, 1030, 3, '禹会区', '340304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1034, 1030, 3, '淮上区', '340311', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1035, 1030, 3, '怀远县', '340321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1036, 1030, 3, '五河县', '340322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1037, 1030, 3, '固镇县', '340323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1038, 1011, 2, '淮南市', '340400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1039, 1038, 3, '大通区', '340402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1040, 1038, 3, '田家庵区', '340403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1041, 1038, 3, '谢家集区', '340404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1042, 1038, 3, '八公山区', '340405', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1043, 1038, 3, '潘集区', '340406', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1044, 1038, 3, '凤台县', '340421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1045, 1038, 3, '寿县', '340422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1046, 1011, 2, '马鞍山市', '340500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1047, 1046, 3, '花山区', '340503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1048, 1046, 3, '雨山区', '340504', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1049, 1046, 3, '博望区', '340506', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1050, 1046, 3, '当涂县', '340521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1051, 1046, 3, '含山县', '340522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1052, 1046, 3, '和县', '340523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1053, 1011, 2, '淮北市', '340600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1054, 1053, 3, '杜集区', '340602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1055, 1053, 3, '相山区', '340603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1056, 1053, 3, '烈山区', '340604', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1057, 1053, 3, '濉溪县', '340621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1058, 1011, 2, '铜陵市', '340700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1059, 1058, 3, '铜官区', '340705', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1060, 1058, 3, '义安区', '340706', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1061, 1058, 3, '郊区', '340711', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1062, 1058, 3, '枞阳县', '340722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1063, 1011, 2, '安庆市', '340800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1064, 1063, 3, '迎江区', '340802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1065, 1063, 3, '大观区', '340803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1066, 1063, 3, '宜秀区', '340811', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1067, 1063, 3, '怀宁县', '340822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1068, 1063, 3, '太湖县', '340825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1069, 1063, 3, '宿松县', '340826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1070, 1063, 3, '望江县', '340827', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1071, 1063, 3, '岳西县', '340828', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1072, 1063, 3, '桐城市', '340881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1073, 1063, 3, '潜山市', '340882', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1074, 1011, 2, '黄山市', '341000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1075, 1074, 3, '屯溪区', '341002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1076, 1074, 3, '黄山区', '341003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1077, 1074, 3, '徽州区', '341004', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1078, 1074, 3, '歙县', '341021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1079, 1074, 3, '休宁县', '341022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1080, 1074, 3, '黟县', '341023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1081, 1074, 3, '祁门县', '341024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1082, 1011, 2, '滁州市', '341100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1083, 1082, 3, '琅琊区', '341102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1084, 1082, 3, '南谯区', '341103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1085, 1082, 3, '来安县', '341122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1086, 1082, 3, '全椒县', '341124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1087, 1082, 3, '定远县', '341125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1088, 1082, 3, '凤阳县', '341126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1089, 1082, 3, '天长市', '341181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1090, 1082, 3, '明光市', '341182', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1091, 1011, 2, '阜阳市', '341200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1092, 1091, 3, '颍州区', '341202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1093, 1091, 3, '颍东区', '341203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1094, 1091, 3, '颍泉区', '341204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1095, 1091, 3, '临泉县', '341221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1096, 1091, 3, '太和县', '341222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1097, 1091, 3, '阜南县', '341225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1098, 1091, 3, '颍上县', '341226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1099, 1091, 3, '界首市', '341282', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1100, 1011, 2, '宿州市', '341300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1101, 1100, 3, '埇桥区', '341302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1102, 1100, 3, '砀山县', '341321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1103, 1100, 3, '萧县', '341322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1104, 1100, 3, '灵璧县', '341323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1105, 1100, 3, '泗县', '341324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1106, 1011, 2, '六安市', '341500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1107, 1106, 3, '金安区', '341502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1108, 1106, 3, '裕安区', '341503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1109, 1106, 3, '叶集区', '341504', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1110, 1106, 3, '霍邱县', '341522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1111, 1106, 3, '舒城县', '341523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1112, 1106, 3, '金寨县', '341524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1113, 1106, 3, '霍山县', '341525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1114, 1011, 2, '亳州市', '341600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1115, 1114, 3, '谯城区', '341602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1116, 1114, 3, '涡阳县', '341621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1117, 1114, 3, '蒙城县', '341622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1118, 1114, 3, '利辛县', '341623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1119, 1011, 2, '池州市', '341700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1120, 1119, 3, '贵池区', '341702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1121, 1119, 3, '东至县', '341721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1122, 1119, 3, '石台县', '341722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1123, 1119, 3, '青阳县', '341723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1124, 1011, 2, '宣城市', '341800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1125, 1124, 3, '宣州区', '341802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1126, 1124, 3, '郎溪县', '341821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1127, 1124, 3, '泾县', '341823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1128, 1124, 3, '绩溪县', '341824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1129, 1124, 3, '旌德县', '341825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1130, 1124, 3, '宁国市', '341881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1131, 1124, 3, '广德市', '341882', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1132, 0, 1, '福建省', '350000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1133, 1132, 2, '福州市', '350100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1134, 1133, 3, '鼓楼区', '350102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1135, 1133, 3, '台江区', '350103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1136, 1133, 3, '仓山区', '350104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1137, 1133, 3, '马尾区', '350105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1138, 1133, 3, '晋安区', '350111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1139, 1133, 3, '长乐区', '350112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1140, 1133, 3, '闽侯县', '350121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1141, 1133, 3, '连江县', '350122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1142, 1133, 3, '罗源县', '350123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1143, 1133, 3, '闽清县', '350124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1144, 1133, 3, '永泰县', '350125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1145, 1133, 3, '平潭县', '350128', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1146, 1133, 3, '福清市', '350181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1147, 1132, 2, '厦门市', '350200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1148, 1147, 3, '思明区', '350203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1149, 1147, 3, '海沧区', '350205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1150, 1147, 3, '湖里区', '350206', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1151, 1147, 3, '集美区', '350211', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1152, 1147, 3, '同安区', '350212', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1153, 1147, 3, '翔安区', '350213', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1154, 1132, 2, '莆田市', '350300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1155, 1154, 3, '城厢区', '350302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1156, 1154, 3, '涵江区', '350303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1157, 1154, 3, '荔城区', '350304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1158, 1154, 3, '秀屿区', '350305', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1159, 1154, 3, '仙游县', '350322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1160, 1132, 2, '三明市', '350400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1161, 1160, 3, '梅列区', '350402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1162, 1160, 3, '三元区', '350403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1163, 1160, 3, '明溪县', '350421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1164, 1160, 3, '清流县', '350423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1165, 1160, 3, '宁化县', '350424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1166, 1160, 3, '大田县', '350425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1167, 1160, 3, '尤溪县', '350426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1168, 1160, 3, '沙县', '350427', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1169, 1160, 3, '将乐县', '350428', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1170, 1160, 3, '泰宁县', '350429', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1171, 1160, 3, '建宁县', '350430', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1172, 1160, 3, '永安市', '350481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1173, 1132, 2, '泉州市', '350500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1174, 1173, 3, '鲤城区', '350502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1175, 1173, 3, '丰泽区', '350503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1176, 1173, 3, '洛江区', '350504', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1177, 1173, 3, '泉港区', '350505', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1178, 1173, 3, '惠安县', '350521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1179, 1173, 3, '安溪县', '350524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1180, 1173, 3, '永春县', '350525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1181, 1173, 3, '德化县', '350526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1182, 1173, 3, '金门县', '350527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1183, 1173, 3, '石狮市', '350581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1184, 1173, 3, '晋江市', '350582', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1185, 1173, 3, '南安市', '350583', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1186, 1132, 2, '漳州市', '350600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1187, 1186, 3, '芗城区', '350602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1188, 1186, 3, '龙文区', '350603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1189, 1186, 3, '云霄县', '350622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1190, 1186, 3, '漳浦县', '350623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1191, 1186, 3, '诏安县', '350624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1192, 1186, 3, '长泰县', '350625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1193, 1186, 3, '东山县', '350626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1194, 1186, 3, '南靖县', '350627', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1195, 1186, 3, '平和县', '350628', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1196, 1186, 3, '华安县', '350629', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1197, 1186, 3, '龙海市', '350681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1198, 1132, 2, '南平市', '350700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1199, 1198, 3, '延平区', '350702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1200, 1198, 3, '建阳区', '350703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1201, 1198, 3, '顺昌县', '350721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1202, 1198, 3, '浦城县', '350722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1203, 1198, 3, '光泽县', '350723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1204, 1198, 3, '松溪县', '350724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1205, 1198, 3, '政和县', '350725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1206, 1198, 3, '邵武市', '350781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1207, 1198, 3, '武夷山市', '350782', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1208, 1198, 3, '建瓯市', '350783', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1209, 1132, 2, '龙岩市', '350800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1210, 1209, 3, '新罗区', '350802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1211, 1209, 3, '永定区', '350803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1212, 1209, 3, '长汀县', '350821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1213, 1209, 3, '上杭县', '350823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1214, 1209, 3, '武平县', '350824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1215, 1209, 3, '连城县', '350825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1216, 1209, 3, '漳平市', '350881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1217, 1132, 2, '宁德市', '350900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1218, 1217, 3, '蕉城区', '350902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1219, 1217, 3, '霞浦县', '350921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1220, 1217, 3, '古田县', '350922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1221, 1217, 3, '屏南县', '350923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1222, 1217, 3, '寿宁县', '350924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1223, 1217, 3, '周宁县', '350925', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1224, 1217, 3, '柘荣县', '350926', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1225, 1217, 3, '福安市', '350981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1226, 1217, 3, '福鼎市', '350982', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1227, 0, 1, '江西省', '360000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1228, 1227, 2, '南昌市', '360100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1229, 1228, 3, '东湖区', '360102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1230, 1228, 3, '西湖区', '360103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1231, 1228, 3, '青云谱区', '360104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1232, 1228, 3, '青山湖区', '360111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1233, 1228, 3, '新建区', '360112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1234, 1228, 3, '红谷滩区', '360113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1235, 1228, 3, '南昌县', '360121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1236, 1228, 3, '安义县', '360123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1237, 1228, 3, '进贤县', '360124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1238, 1227, 2, '景德镇市', '360200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1239, 1238, 3, '昌江区', '360202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1240, 1238, 3, '珠山区', '360203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1241, 1238, 3, '浮梁县', '360222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1242, 1238, 3, '乐平市', '360281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1243, 1227, 2, '萍乡市', '360300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1244, 1243, 3, '安源区', '360302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1245, 1243, 3, '湘东区', '360313', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1246, 1243, 3, '莲花县', '360321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1247, 1243, 3, '上栗县', '360322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1248, 1243, 3, '芦溪县', '360323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1249, 1227, 2, '九江市', '360400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1250, 1249, 3, '濂溪区', '360402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1251, 1249, 3, '浔阳区', '360403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1252, 1249, 3, '柴桑区', '360404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1253, 1249, 3, '武宁县', '360423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1254, 1249, 3, '修水县', '360424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1255, 1249, 3, '永修县', '360425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1256, 1249, 3, '德安县', '360426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1257, 1249, 3, '都昌县', '360428', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1258, 1249, 3, '湖口县', '360429', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1259, 1249, 3, '彭泽县', '360430', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1260, 1249, 3, '瑞昌市', '360481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1261, 1249, 3, '共青城市', '360482', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1262, 1249, 3, '庐山市', '360483', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1263, 1227, 2, '新余市', '360500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1264, 1263, 3, '渝水区', '360502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1265, 1263, 3, '分宜县', '360521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1266, 1227, 2, '鹰潭市', '360600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1267, 1266, 3, '月湖区', '360602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1268, 1266, 3, '余江区', '360603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1269, 1266, 3, '贵溪市', '360681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1270, 1227, 2, '赣州市', '360700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1271, 1270, 3, '章贡区', '360702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1272, 1270, 3, '南康区', '360703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1273, 1270, 3, '赣县区', '360704', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1274, 1270, 3, '信丰县', '360722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1275, 1270, 3, '大余县', '360723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1276, 1270, 3, '上犹县', '360724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1277, 1270, 3, '崇义县', '360725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1278, 1270, 3, '安远县', '360726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1279, 1270, 3, '定南县', '360728', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1280, 1270, 3, '全南县', '360729', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1281, 1270, 3, '宁都县', '360730', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1282, 1270, 3, '于都县', '360731', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1283, 1270, 3, '兴国县', '360732', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1284, 1270, 3, '会昌县', '360733', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1285, 1270, 3, '寻乌县', '360734', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1286, 1270, 3, '石城县', '360735', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1287, 1270, 3, '瑞金市', '360781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1288, 1270, 3, '龙南市', '360783', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1289, 1227, 2, '吉安市', '360800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1290, 1289, 3, '吉州区', '360802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1291, 1289, 3, '青原区', '360803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1292, 1289, 3, '吉安县', '360821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1293, 1289, 3, '吉水县', '360822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1294, 1289, 3, '峡江县', '360823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1295, 1289, 3, '新干县', '360824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1296, 1289, 3, '永丰县', '360825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1297, 1289, 3, '泰和县', '360826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1298, 1289, 3, '遂川县', '360827', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1299, 1289, 3, '万安县', '360828', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1300, 1289, 3, '安福县', '360829', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1301, 1289, 3, '永新县', '360830', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1302, 1289, 3, '井冈山市', '360881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1303, 1227, 2, '宜春市', '360900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1304, 1303, 3, '袁州区', '360902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1305, 1303, 3, '奉新县', '360921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1306, 1303, 3, '万载县', '360922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1307, 1303, 3, '上高县', '360923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1308, 1303, 3, '宜丰县', '360924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1309, 1303, 3, '靖安县', '360925', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1310, 1303, 3, '铜鼓县', '360926', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1311, 1303, 3, '丰城市', '360981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1312, 1303, 3, '樟树市', '360982', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1313, 1303, 3, '高安市', '360983', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1314, 1227, 2, '抚州市', '361000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1315, 1314, 3, '临川区', '361002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1316, 1314, 3, '东乡区', '361003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1317, 1314, 3, '南城县', '361021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1318, 1314, 3, '黎川县', '361022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1319, 1314, 3, '南丰县', '361023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1320, 1314, 3, '崇仁县', '361024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1321, 1314, 3, '乐安县', '361025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1322, 1314, 3, '宜黄县', '361026', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1323, 1314, 3, '金溪县', '361027', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1324, 1314, 3, '资溪县', '361028', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1325, 1314, 3, '广昌县', '361030', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1326, 1227, 2, '上饶市', '361100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1327, 1326, 3, '信州区', '361102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1328, 1326, 3, '广丰区', '361103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1329, 1326, 3, '广信区', '361104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1330, 1326, 3, '玉山县', '361123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1331, 1326, 3, '铅山县', '361124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1332, 1326, 3, '横峰县', '361125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1333, 1326, 3, '弋阳县', '361126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1334, 1326, 3, '余干县', '361127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1335, 1326, 3, '鄱阳县', '361128', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1336, 1326, 3, '万年县', '361129', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1337, 1326, 3, '婺源县', '361130', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1338, 1326, 3, '德兴市', '361181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1339, 0, 1, '山东省', '370000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1340, 1339, 2, '济南市', '370100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1341, 1340, 3, '历下区', '370102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1342, 1340, 3, '市中区', '370103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1343, 1340, 3, '槐荫区', '370104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1344, 1340, 3, '天桥区', '370105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1345, 1340, 3, '历城区', '370112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1346, 1340, 3, '长清区', '370113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1347, 1340, 3, '章丘区', '370114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1348, 1340, 3, '济阳区', '370115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1349, 1340, 3, '莱芜区', '370116', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1350, 1340, 3, '钢城区', '370117', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1351, 1340, 3, '平阴县', '370124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1352, 1340, 3, '商河县', '370126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1353, 1339, 2, '青岛市', '370200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1354, 1353, 3, '市南区', '370202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1355, 1353, 3, '市北区', '370203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1356, 1353, 3, '黄岛区', '370211', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1357, 1353, 3, '崂山区', '370212', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1358, 1353, 3, '李沧区', '370213', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1359, 1353, 3, '城阳区', '370214', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1360, 1353, 3, '即墨区', '370215', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1361, 1353, 3, '胶州市', '370281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1362, 1353, 3, '平度市', '370283', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1363, 1353, 3, '莱西市', '370285', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1364, 1339, 2, '淄博市', '370300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1365, 1364, 3, '淄川区', '370302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1366, 1364, 3, '张店区', '370303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1367, 1364, 3, '博山区', '370304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1368, 1364, 3, '临淄区', '370305', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1369, 1364, 3, '周村区', '370306', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1370, 1364, 3, '桓台县', '370321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1371, 1364, 3, '高青县', '370322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1372, 1364, 3, '沂源县', '370323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1373, 1339, 2, '枣庄市', '370400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1374, 1373, 3, '市中区', '370402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1375, 1373, 3, '薛城区', '370403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1376, 1373, 3, '峄城区', '370404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1377, 1373, 3, '台儿庄区', '370405', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1378, 1373, 3, '山亭区', '370406', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1379, 1373, 3, '滕州市', '370481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1380, 1339, 2, '东营市', '370500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1381, 1380, 3, '东营区', '370502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1382, 1380, 3, '河口区', '370503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1383, 1380, 3, '垦利区', '370505', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1384, 1380, 3, '利津县', '370522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1385, 1380, 3, '广饶县', '370523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1386, 1339, 2, '烟台市', '370600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1387, 1386, 3, '芝罘区', '370602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1388, 1386, 3, '福山区', '370611', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1389, 1386, 3, '牟平区', '370612', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1390, 1386, 3, '莱山区', '370613', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1391, 1386, 3, '蓬莱区', '370614', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1392, 1386, 3, '龙口市', '370681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1393, 1386, 3, '莱阳市', '370682', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1394, 1386, 3, '莱州市', '370683', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1395, 1386, 3, '招远市', '370685', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1396, 1386, 3, '栖霞市', '370686', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1397, 1386, 3, '海阳市', '370687', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1398, 1339, 2, '潍坊市', '370700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1399, 1398, 3, '潍城区', '370702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1400, 1398, 3, '寒亭区', '370703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1401, 1398, 3, '坊子区', '370704', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1402, 1398, 3, '奎文区', '370705', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1403, 1398, 3, '临朐县', '370724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1404, 1398, 3, '昌乐县', '370725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1405, 1398, 3, '青州市', '370781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1406, 1398, 3, '诸城市', '370782', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1407, 1398, 3, '寿光市', '370783', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1408, 1398, 3, '安丘市', '370784', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1409, 1398, 3, '高密市', '370785', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1410, 1398, 3, '昌邑市', '370786', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1411, 1339, 2, '济宁市', '370800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1412, 1411, 3, '任城区', '370811', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1413, 1411, 3, '兖州区', '370812', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1414, 1411, 3, '微山县', '370826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1415, 1411, 3, '鱼台县', '370827', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1416, 1411, 3, '金乡县', '370828', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1417, 1411, 3, '嘉祥县', '370829', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1418, 1411, 3, '汶上县', '370830', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1419, 1411, 3, '泗水县', '370831', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1420, 1411, 3, '梁山县', '370832', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1421, 1411, 3, '曲阜市', '370881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1422, 1411, 3, '邹城市', '370883', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1423, 1339, 2, '泰安市', '370900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1424, 1423, 3, '泰山区', '370902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1425, 1423, 3, '岱岳区', '370911', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1426, 1423, 3, '宁阳县', '370921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1427, 1423, 3, '东平县', '370923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1428, 1423, 3, '新泰市', '370982', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1429, 1423, 3, '肥城市', '370983', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1430, 1339, 2, '威海市', '371000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1431, 1430, 3, '环翠区', '371002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1432, 1430, 3, '文登区', '371003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1433, 1430, 3, '荣成市', '371082', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1434, 1430, 3, '乳山市', '371083', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1435, 1339, 2, '日照市', '371100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1436, 1435, 3, '东港区', '371102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1437, 1435, 3, '岚山区', '371103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1438, 1435, 3, '五莲县', '371121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1439, 1435, 3, '莒县', '371122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1440, 1339, 2, '临沂市', '371300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1441, 1440, 3, '兰山区', '371302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1442, 1440, 3, '罗庄区', '371311', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1443, 1440, 3, '河东区', '371312', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1444, 1440, 3, '沂南县', '371321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1445, 1440, 3, '郯城县', '371322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1446, 1440, 3, '沂水县', '371323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1447, 1440, 3, '兰陵县', '371324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1448, 1440, 3, '费县', '371325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1449, 1440, 3, '平邑县', '371326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1450, 1440, 3, '莒南县', '371327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1451, 1440, 3, '蒙阴县', '371328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1452, 1440, 3, '临沭县', '371329', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1453, 1339, 2, '德州市', '371400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1454, 1453, 3, '德城区', '371402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1455, 1453, 3, '陵城区', '371403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1456, 1453, 3, '宁津县', '371422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1457, 1453, 3, '庆云县', '371423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1458, 1453, 3, '临邑县', '371424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1459, 1453, 3, '齐河县', '371425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1460, 1453, 3, '平原县', '371426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1461, 1453, 3, '夏津县', '371427', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1462, 1453, 3, '武城县', '371428', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1463, 1453, 3, '乐陵市', '371481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1464, 1453, 3, '禹城市', '371482', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1465, 1339, 2, '聊城市', '371500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1466, 1465, 3, '东昌府区', '371502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1467, 1465, 3, '茌平区', '371503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1468, 1465, 3, '阳谷县', '371521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1469, 1465, 3, '莘县', '371522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1470, 1465, 3, '东阿县', '371524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1471, 1465, 3, '冠县', '371525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1472, 1465, 3, '高唐县', '371526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1473, 1465, 3, '临清市', '371581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1474, 1339, 2, '滨州市', '371600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1475, 1474, 3, '滨城区', '371602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1476, 1474, 3, '沾化区', '371603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1477, 1474, 3, '惠民县', '371621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1478, 1474, 3, '阳信县', '371622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1479, 1474, 3, '无棣县', '371623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1480, 1474, 3, '博兴县', '371625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1481, 1474, 3, '邹平市', '371681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1482, 1339, 2, '菏泽市', '371700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1483, 1482, 3, '牡丹区', '371702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1484, 1482, 3, '定陶区', '371703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1485, 1482, 3, '曹县', '371721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1486, 1482, 3, '单县', '371722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1487, 1482, 3, '成武县', '371723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1488, 1482, 3, '巨野县', '371724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1489, 1482, 3, '郓城县', '371725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1490, 1482, 3, '鄄城县', '371726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1491, 1482, 3, '东明县', '371728', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1492, 0, 1, '河南省', '410000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1493, 1492, 2, '郑州市', '410100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1494, 1493, 3, '中原区', '410102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1495, 1493, 3, '二七区', '410103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1496, 1493, 3, '管城回族区', '410104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1497, 1493, 3, '金水区', '410105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1498, 1493, 3, '上街区', '410106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1499, 1493, 3, '惠济区', '410108', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1500, 1493, 3, '中牟县', '410122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1501, 1493, 3, '巩义市', '410181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1502, 1493, 3, '荥阳市', '410182', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1503, 1493, 3, '新密市', '410183', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1504, 1493, 3, '新郑市', '410184', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1505, 1493, 3, '登封市', '410185', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1506, 1492, 2, '开封市', '410200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1507, 1506, 3, '龙亭区', '410202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1508, 1506, 3, '顺河回族区', '410203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1509, 1506, 3, '鼓楼区', '410204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1510, 1506, 3, '禹王台区', '410205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1511, 1506, 3, '祥符区', '410212', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1512, 1506, 3, '杞县', '410221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1513, 1506, 3, '通许县', '410222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1514, 1506, 3, '尉氏县', '410223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1515, 1506, 3, '兰考县', '410225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1516, 1492, 2, '洛阳市', '410300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1517, 1516, 3, '老城区', '410302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1518, 1516, 3, '西工区', '410303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1519, 1516, 3, '瀍河回族区', '410304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1520, 1516, 3, '涧西区', '410305', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1521, 1516, 3, '吉利区', '410306', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1522, 1516, 3, '洛龙区', '410311', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1523, 1516, 3, '孟津县', '410322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1524, 1516, 3, '新安县', '410323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1525, 1516, 3, '栾川县', '410324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1526, 1516, 3, '嵩县', '410325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1527, 1516, 3, '汝阳县', '410326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1528, 1516, 3, '宜阳县', '410327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1529, 1516, 3, '洛宁县', '410328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1530, 1516, 3, '伊川县', '410329', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1531, 1516, 3, '偃师市', '410381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1532, 1492, 2, '平顶山市', '410400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1533, 1532, 3, '新华区', '410402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1534, 1532, 3, '卫东区', '410403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1535, 1532, 3, '石龙区', '410404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1536, 1532, 3, '湛河区', '410411', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1537, 1532, 3, '宝丰县', '410421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1538, 1532, 3, '叶县', '410422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1539, 1532, 3, '鲁山县', '410423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1540, 1532, 3, '郏县', '410425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1541, 1532, 3, '舞钢市', '410481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1542, 1532, 3, '汝州市', '410482', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1543, 1492, 2, '安阳市', '410500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1544, 1543, 3, '文峰区', '410502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1545, 1543, 3, '北关区', '410503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1546, 1543, 3, '殷都区', '410505', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1547, 1543, 3, '龙安区', '410506', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1548, 1543, 3, '安阳县', '410522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1549, 1543, 3, '汤阴县', '410523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1550, 1543, 3, '滑县', '410526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1551, 1543, 3, '内黄县', '410527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1552, 1543, 3, '林州市', '410581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1553, 1492, 2, '鹤壁市', '410600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1554, 1553, 3, '鹤山区', '410602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1555, 1553, 3, '山城区', '410603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1556, 1553, 3, '淇滨区', '410611', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1557, 1553, 3, '浚县', '410621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1558, 1553, 3, '淇县', '410622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1559, 1492, 2, '新乡市', '410700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1560, 1559, 3, '红旗区', '410702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1561, 1559, 3, '卫滨区', '410703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1562, 1559, 3, '凤泉区', '410704', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1563, 1559, 3, '牧野区', '410711', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1564, 1559, 3, '新乡县', '410721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1565, 1559, 3, '获嘉县', '410724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1566, 1559, 3, '原阳县', '410725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1567, 1559, 3, '延津县', '410726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1568, 1559, 3, '封丘县', '410727', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1569, 1559, 3, '卫辉市', '410781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1570, 1559, 3, '辉县市', '410782', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1571, 1559, 3, '长垣市', '410783', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1572, 1492, 2, '焦作市', '410800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1573, 1572, 3, '解放区', '410802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1574, 1572, 3, '中站区', '410803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1575, 1572, 3, '马村区', '410804', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1576, 1572, 3, '山阳区', '410811', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1577, 1572, 3, '修武县', '410821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1578, 1572, 3, '博爱县', '410822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1579, 1572, 3, '武陟县', '410823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1580, 1572, 3, '温县', '410825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1581, 1572, 3, '沁阳市', '410882', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1582, 1572, 3, '孟州市', '410883', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1583, 1492, 2, '濮阳市', '410900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1584, 1583, 3, '华龙区', '410902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1585, 1583, 3, '清丰县', '410922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1586, 1583, 3, '南乐县', '410923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1587, 1583, 3, '范县', '410926', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1588, 1583, 3, '台前县', '410927', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1589, 1583, 3, '濮阳县', '410928', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1590, 1492, 2, '许昌市', '411000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1591, 1590, 3, '魏都区', '411002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1592, 1590, 3, '建安区', '411003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1593, 1590, 3, '鄢陵县', '411024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1594, 1590, 3, '襄城县', '411025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1595, 1590, 3, '禹州市', '411081', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1596, 1590, 3, '长葛市', '411082', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1597, 1492, 2, '漯河市', '411100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1598, 1597, 3, '源汇区', '411102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1599, 1597, 3, '郾城区', '411103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1600, 1597, 3, '召陵区', '411104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1601, 1597, 3, '舞阳县', '411121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1602, 1597, 3, '临颍县', '411122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1603, 1492, 2, '三门峡市', '411200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1604, 1603, 3, '湖滨区', '411202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1605, 1603, 3, '陕州区', '411203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1606, 1603, 3, '渑池县', '411221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1607, 1603, 3, '卢氏县', '411224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1608, 1603, 3, '义马市', '411281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1609, 1603, 3, '灵宝市', '411282', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1610, 1492, 2, '南阳市', '411300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1611, 1610, 3, '宛城区', '411302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1612, 1610, 3, '卧龙区', '411303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1613, 1610, 3, '南召县', '411321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1614, 1610, 3, '方城县', '411322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1615, 1610, 3, '西峡县', '411323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1616, 1610, 3, '镇平县', '411324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1617, 1610, 3, '内乡县', '411325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1618, 1610, 3, '淅川县', '411326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1619, 1610, 3, '社旗县', '411327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1620, 1610, 3, '唐河县', '411328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1621, 1610, 3, '新野县', '411329', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1622, 1610, 3, '桐柏县', '411330', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1623, 1610, 3, '邓州市', '411381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1624, 1492, 2, '商丘市', '411400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1625, 1624, 3, '梁园区', '411402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1626, 1624, 3, '睢阳区', '411403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1627, 1624, 3, '民权县', '411421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1628, 1624, 3, '睢县', '411422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1629, 1624, 3, '宁陵县', '411423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1630, 1624, 3, '柘城县', '411424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1631, 1624, 3, '虞城县', '411425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1632, 1624, 3, '夏邑县', '411426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1633, 1624, 3, '永城市', '411481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1634, 1492, 2, '信阳市', '411500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1635, 1634, 3, '浉河区', '411502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1636, 1634, 3, '平桥区', '411503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1637, 1634, 3, '罗山县', '411521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1638, 1634, 3, '光山县', '411522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1639, 1634, 3, '新县', '411523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1640, 1634, 3, '商城县', '411524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1641, 1634, 3, '固始县', '411525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1642, 1634, 3, '潢川县', '411526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1643, 1634, 3, '淮滨县', '411527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1644, 1634, 3, '息县', '411528', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1645, 1492, 2, '周口市', '411600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1646, 1645, 3, '川汇区', '411602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1647, 1645, 3, '淮阳区', '411603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1648, 1645, 3, '扶沟县', '411621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1649, 1645, 3, '西华县', '411622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1650, 1645, 3, '商水县', '411623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1651, 1645, 3, '沈丘县', '411624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1652, 1645, 3, '郸城县', '411625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1653, 1645, 3, '太康县', '411627', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1654, 1645, 3, '鹿邑县', '411628', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1655, 1645, 3, '项城市', '411681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1656, 1492, 2, '驻马店市', '411700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1657, 1656, 3, '驿城区', '411702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1658, 1656, 3, '西平县', '411721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1659, 1656, 3, '上蔡县', '411722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1660, 1656, 3, '平舆县', '411723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1661, 1656, 3, '正阳县', '411724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1662, 1656, 3, '确山县', '411725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1663, 1656, 3, '泌阳县', '411726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1664, 1656, 3, '汝南县', '411727', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1665, 1656, 3, '遂平县', '411728', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1666, 1656, 3, '新蔡县', '411729', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1667, 1656, 3, '济源市', '419001', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1668, 0, 1, '湖北省', '420000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1669, 1668, 2, '武汉市', '420100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1670, 1669, 3, '江岸区', '420102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1671, 1669, 3, '江汉区', '420103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1672, 1669, 3, '硚口区', '420104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1673, 1669, 3, '汉阳区', '420105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1674, 1669, 3, '武昌区', '420106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1675, 1669, 3, '青山区', '420107', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1676, 1669, 3, '洪山区', '420111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1677, 1669, 3, '东西湖区', '420112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1678, 1669, 3, '汉南区', '420113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1679, 1669, 3, '蔡甸区', '420114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1680, 1669, 3, '江夏区', '420115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1681, 1669, 3, '黄陂区', '420116', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1682, 1669, 3, '新洲区', '420117', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1683, 1668, 2, '黄石市', '420200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1684, 1683, 3, '黄石港区', '420202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1685, 1683, 3, '西塞山区', '420203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1686, 1683, 3, '下陆区', '420204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1687, 1683, 3, '铁山区', '420205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1688, 1683, 3, '阳新县', '420222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1689, 1683, 3, '大冶市', '420281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1690, 1668, 2, '十堰市', '420300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1691, 1690, 3, '茅箭区', '420302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1692, 1690, 3, '张湾区', '420303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1693, 1690, 3, '郧阳区', '420304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1694, 1690, 3, '郧西县', '420322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1695, 1690, 3, '竹山县', '420323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1696, 1690, 3, '竹溪县', '420324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1697, 1690, 3, '房县', '420325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1698, 1690, 3, '丹江口市', '420381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1699, 1668, 2, '宜昌市', '420500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1700, 1699, 3, '西陵区', '420502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1701, 1699, 3, '伍家岗区', '420503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1702, 1699, 3, '点军区', '420504', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1703, 1699, 3, '猇亭区', '420505', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1704, 1699, 3, '夷陵区', '420506', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1705, 1699, 3, '远安县', '420525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1706, 1699, 3, '兴山县', '420526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1707, 1699, 3, '秭归县', '420527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1708, 1699, 3, '长阳土家族自治县', '420528', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1709, 1699, 3, '五峰土家族自治县', '420529', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1710, 1699, 3, '宜都市', '420581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1711, 1699, 3, '当阳市', '420582', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1712, 1699, 3, '枝江市', '420583', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1713, 1668, 2, '襄阳市', '420600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1714, 1713, 3, '襄城区', '420602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1715, 1713, 3, '樊城区', '420606', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1716, 1713, 3, '襄州区', '420607', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1717, 1713, 3, '南漳县', '420624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1718, 1713, 3, '谷城县', '420625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1719, 1713, 3, '保康县', '420626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1720, 1713, 3, '老河口市', '420682', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1721, 1713, 3, '枣阳市', '420683', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1722, 1713, 3, '宜城市', '420684', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1723, 1668, 2, '鄂州市', '420700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1724, 1723, 3, '梁子湖区', '420702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1725, 1723, 3, '华容区', '420703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1726, 1723, 3, '鄂城区', '420704', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1727, 1668, 2, '荆门市', '420800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1728, 1727, 3, '东宝区', '420802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1729, 1727, 3, '掇刀区', '420804', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1730, 1727, 3, '沙洋县', '420822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1731, 1727, 3, '钟祥市', '420881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1732, 1727, 3, '京山市', '420882', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1733, 1668, 2, '孝感市', '420900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1734, 1733, 3, '孝南区', '420902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1735, 1733, 3, '孝昌县', '420921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1736, 1733, 3, '大悟县', '420922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1737, 1733, 3, '云梦县', '420923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1738, 1733, 3, '应城市', '420981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1739, 1733, 3, '安陆市', '420982', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1740, 1733, 3, '汉川市', '420984', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1741, 1668, 2, '荆州市', '421000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1742, 1741, 3, '沙市区', '421002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1743, 1741, 3, '荆州区', '421003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1744, 1741, 3, '公安县', '421022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1745, 1741, 3, '监利县', '421023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1746, 1741, 3, '江陵县', '421024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1747, 1741, 3, '石首市', '421081', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1748, 1741, 3, '洪湖市', '421083', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1749, 1741, 3, '松滋市', '421087', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1750, 1668, 2, '黄冈市', '421100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1751, 1750, 3, '黄州区', '421102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1752, 1750, 3, '团风县', '421121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1753, 1750, 3, '红安县', '421122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1754, 1750, 3, '罗田县', '421123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1755, 1750, 3, '英山县', '421124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1756, 1750, 3, '浠水县', '421125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1757, 1750, 3, '蕲春县', '421126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1758, 1750, 3, '黄梅县', '421127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1759, 1750, 3, '麻城市', '421181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1760, 1750, 3, '武穴市', '421182', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1761, 1668, 2, '咸宁市', '421200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1762, 1761, 3, '咸安区', '421202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1763, 1761, 3, '嘉鱼县', '421221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1764, 1761, 3, '通城县', '421222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1765, 1761, 3, '崇阳县', '421223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1766, 1761, 3, '通山县', '421224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1767, 1761, 3, '赤壁市', '421281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1768, 1668, 2, '随州市', '421300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1769, 1768, 3, '曾都区', '421303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1770, 1768, 3, '随县', '421321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1771, 1768, 3, '广水市', '421381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1772, 1668, 2, '恩施土家族苗族自治州', '422800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1773, 1772, 3, '恩施市', '422801', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1774, 1772, 3, '利川市', '422802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1775, 1772, 3, '建始县', '422822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1776, 1772, 3, '巴东县', '422823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1777, 1772, 3, '宣恩县', '422825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1778, 1772, 3, '咸丰县', '422826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1779, 1772, 3, '来凤县', '422827', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1780, 1772, 3, '鹤峰县', '422828', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1781, 1772, 3, '仙桃市', '429004', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1782, 1772, 3, '潜江市', '429005', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1783, 1772, 3, '天门市', '429006', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1784, 1772, 3, '神农架林区', '429021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1785, 0, 1, '湖南省', '430000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1786, 1785, 2, '长沙市', '430100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1787, 1786, 3, '芙蓉区', '430102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1788, 1786, 3, '天心区', '430103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1789, 1786, 3, '岳麓区', '430104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1790, 1786, 3, '开福区', '430105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1791, 1786, 3, '雨花区', '430111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1792, 1786, 3, '望城区', '430112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1793, 1786, 3, '长沙县', '430121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1794, 1786, 3, '浏阳市', '430181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1795, 1786, 3, '宁乡市', '430182', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1796, 1785, 2, '株洲市', '430200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1797, 1796, 3, '荷塘区', '430202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1798, 1796, 3, '芦淞区', '430203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1799, 1796, 3, '石峰区', '430204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1800, 1796, 3, '天元区', '430211', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1801, 1796, 3, '渌口区', '430212', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1802, 1796, 3, '攸县', '430223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1803, 1796, 3, '茶陵县', '430224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1804, 1796, 3, '炎陵县', '430225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1805, 1796, 3, '醴陵市', '430281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1806, 1785, 2, '湘潭市', '430300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1807, 1806, 3, '雨湖区', '430302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1808, 1806, 3, '岳塘区', '430304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1809, 1806, 3, '湘潭县', '430321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1810, 1806, 3, '湘乡市', '430381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1811, 1806, 3, '韶山市', '430382', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1812, 1785, 2, '衡阳市', '430400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1813, 1812, 3, '珠晖区', '430405', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1814, 1812, 3, '雁峰区', '430406', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1815, 1812, 3, '石鼓区', '430407', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1816, 1812, 3, '蒸湘区', '430408', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1817, 1812, 3, '南岳区', '430412', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1818, 1812, 3, '衡阳县', '430421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1819, 1812, 3, '衡南县', '430422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1820, 1812, 3, '衡山县', '430423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1821, 1812, 3, '衡东县', '430424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1822, 1812, 3, '祁东县', '430426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1823, 1812, 3, '耒阳市', '430481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1824, 1812, 3, '常宁市', '430482', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1825, 1785, 2, '邵阳市', '430500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1826, 1825, 3, '双清区', '430502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1827, 1825, 3, '大祥区', '430503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1828, 1825, 3, '北塔区', '430511', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1829, 1825, 3, '新邵县', '430522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1830, 1825, 3, '邵阳县', '430523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1831, 1825, 3, '隆回县', '430524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1832, 1825, 3, '洞口县', '430525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1833, 1825, 3, '绥宁县', '430527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1834, 1825, 3, '新宁县', '430528', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1835, 1825, 3, '城步苗族自治县', '430529', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1836, 1825, 3, '武冈市', '430581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1837, 1825, 3, '邵东市', '430582', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1838, 1785, 2, '岳阳市', '430600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1839, 1838, 3, '岳阳楼区', '430602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1840, 1838, 3, '云溪区', '430603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1841, 1838, 3, '君山区', '430611', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1842, 1838, 3, '岳阳县', '430621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1843, 1838, 3, '华容县', '430623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1844, 1838, 3, '湘阴县', '430624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1845, 1838, 3, '平江县', '430626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1846, 1838, 3, '汨罗市', '430681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1847, 1838, 3, '临湘市', '430682', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1848, 1785, 2, '常德市', '430700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1849, 1848, 3, '武陵区', '430702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1850, 1848, 3, '鼎城区', '430703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1851, 1848, 3, '安乡县', '430721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1852, 1848, 3, '汉寿县', '430722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1853, 1848, 3, '澧县', '430723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1854, 1848, 3, '临澧县', '430724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1855, 1848, 3, '桃源县', '430725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1856, 1848, 3, '石门县', '430726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1857, 1848, 3, '津市市', '430781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1858, 1785, 2, '张家界市', '430800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1859, 1858, 3, '永定区', '430802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1860, 1858, 3, '武陵源区', '430811', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1861, 1858, 3, '慈利县', '430821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1862, 1858, 3, '桑植县', '430822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1863, 1785, 2, '益阳市', '430900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1864, 1863, 3, '资阳区', '430902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1865, 1863, 3, '赫山区', '430903', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1866, 1863, 3, '南县', '430921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1867, 1863, 3, '桃江县', '430922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1868, 1863, 3, '安化县', '430923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1869, 1863, 3, '沅江市', '430981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1870, 1785, 2, '郴州市', '431000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1871, 1870, 3, '北湖区', '431002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1872, 1870, 3, '苏仙区', '431003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1873, 1870, 3, '桂阳县', '431021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1874, 1870, 3, '宜章县', '431022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1875, 1870, 3, '永兴县', '431023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1876, 1870, 3, '嘉禾县', '431024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1877, 1870, 3, '临武县', '431025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1878, 1870, 3, '汝城县', '431026', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1879, 1870, 3, '桂东县', '431027', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1880, 1870, 3, '安仁县', '431028', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1881, 1870, 3, '资兴市', '431081', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1882, 1785, 2, '永州市', '431100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1883, 1882, 3, '零陵区', '431102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1884, 1882, 3, '冷水滩区', '431103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1885, 1882, 3, '祁阳县', '431121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1886, 1882, 3, '东安县', '431122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1887, 1882, 3, '双牌县', '431123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1888, 1882, 3, '道县', '431124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1889, 1882, 3, '江永县', '431125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1890, 1882, 3, '宁远县', '431126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1891, 1882, 3, '蓝山县', '431127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1892, 1882, 3, '新田县', '431128', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1893, 1882, 3, '江华瑶族自治县', '431129', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1894, 1785, 2, '怀化市', '431200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1895, 1894, 3, '鹤城区', '431202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1896, 1894, 3, '中方县', '431221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1897, 1894, 3, '沅陵县', '431222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1898, 1894, 3, '辰溪县', '431223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1899, 1894, 3, '溆浦县', '431224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1900, 1894, 3, '会同县', '431225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1901, 1894, 3, '麻阳苗族自治县', '431226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1902, 1894, 3, '新晃侗族自治县', '431227', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1903, 1894, 3, '芷江侗族自治县', '431228', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1904, 1894, 3, '靖州苗族侗族自治县', '431229', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1905, 1894, 3, '通道侗族自治县', '431230', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1906, 1894, 3, '洪江市', '431281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1907, 1785, 2, '娄底市', '431300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1908, 1907, 3, '娄星区', '431302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1909, 1907, 3, '双峰县', '431321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1910, 1907, 3, '新化县', '431322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1911, 1907, 3, '冷水江市', '431381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1912, 1907, 3, '涟源市', '431382', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1913, 1785, 2, '湘西土家族苗族自治州', '433100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1914, 1913, 3, '吉首市', '433101', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1915, 1913, 3, '泸溪县', '433122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1916, 1913, 3, '凤凰县', '433123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1917, 1913, 3, '花垣县', '433124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1918, 1913, 3, '保靖县', '433125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1919, 1913, 3, '古丈县', '433126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1920, 1913, 3, '永顺县', '433127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1921, 1913, 3, '龙山县', '433130', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1922, 0, 1, '广东省', '440000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1923, 1922, 2, '广州市', '440100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1924, 1923, 3, '荔湾区', '440103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1925, 1923, 3, '越秀区', '440104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1926, 1923, 3, '海珠区', '440105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1927, 1923, 3, '天河区', '440106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1928, 1923, 3, '白云区', '440111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1929, 1923, 3, '黄埔区', '440112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1930, 1923, 3, '番禺区', '440113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1931, 1923, 3, '花都区', '440114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1932, 1923, 3, '南沙区', '440115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1933, 1923, 3, '从化区', '440117', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1934, 1923, 3, '增城区', '440118', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1935, 1922, 2, '韶关市', '440200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1936, 1935, 3, '武江区', '440203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1937, 1935, 3, '浈江区', '440204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1938, 1935, 3, '曲江区', '440205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1939, 1935, 3, '始兴县', '440222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1940, 1935, 3, '仁化县', '440224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1941, 1935, 3, '翁源县', '440229', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1942, 1935, 3, '乳源瑶族自治县', '440232', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1943, 1935, 3, '新丰县', '440233', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1944, 1935, 3, '乐昌市', '440281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1945, 1935, 3, '南雄市', '440282', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1946, 1922, 2, '深圳市', '440300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1947, 1946, 3, '罗湖区', '440303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1948, 1946, 3, '福田区', '440304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1949, 1946, 3, '南山区', '440305', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1950, 1946, 3, '宝安区', '440306', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1951, 1946, 3, '龙岗区', '440307', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1952, 1946, 3, '盐田区', '440308', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1953, 1946, 3, '龙华区', '440309', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1954, 1946, 3, '坪山区', '440310', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1955, 1946, 3, '光明区', '440311', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1956, 1922, 2, '珠海市', '440400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1957, 1956, 3, '香洲区', '440402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1958, 1956, 3, '斗门区', '440403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1959, 1956, 3, '金湾区', '440404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1960, 1922, 2, '汕头市', '440500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1961, 1960, 3, '龙湖区', '440507', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1962, 1960, 3, '金平区', '440511', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1963, 1960, 3, '濠江区', '440512', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1964, 1960, 3, '潮阳区', '440513', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1965, 1960, 3, '潮南区', '440514', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1966, 1960, 3, '澄海区', '440515', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1967, 1960, 3, '南澳县', '440523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1968, 1922, 2, '佛山市', '440600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1969, 1968, 3, '禅城区', '440604', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1970, 1968, 3, '南海区', '440605', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1971, 1968, 3, '顺德区', '440606', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1972, 1968, 3, '三水区', '440607', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1973, 1968, 3, '高明区', '440608', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1974, 1922, 2, '江门市', '440700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1975, 1974, 3, '蓬江区', '440703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1976, 1974, 3, '江海区', '440704', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1977, 1974, 3, '新会区', '440705', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1978, 1974, 3, '台山市', '440781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1979, 1974, 3, '开平市', '440783', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1980, 1974, 3, '鹤山市', '440784', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1981, 1974, 3, '恩平市', '440785', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1982, 1922, 2, '湛江市', '440800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1983, 1982, 3, '赤坎区', '440802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1984, 1982, 3, '霞山区', '440803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1985, 1982, 3, '坡头区', '440804', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1986, 1982, 3, '麻章区', '440811', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1987, 1982, 3, '遂溪县', '440823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1988, 1982, 3, '徐闻县', '440825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1989, 1982, 3, '廉江市', '440881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1990, 1982, 3, '雷州市', '440882', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1991, 1982, 3, '吴川市', '440883', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1992, 1922, 2, '茂名市', '440900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1993, 1992, 3, '茂南区', '440902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1994, 1992, 3, '电白区', '440904', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1995, 1992, 3, '高州市', '440981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1996, 1992, 3, '化州市', '440982', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1997, 1992, 3, '信宜市', '440983', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1998, 1922, 2, '肇庆市', '441200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (1999, 1998, 3, '端州区', '441202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2000, 1998, 3, '鼎湖区', '441203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2001, 1998, 3, '高要区', '441204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2002, 1998, 3, '广宁县', '441223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2003, 1998, 3, '怀集县', '441224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2004, 1998, 3, '封开县', '441225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2005, 1998, 3, '德庆县', '441226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2006, 1998, 3, '四会市', '441284', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2007, 1922, 2, '惠州市', '441300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2008, 2007, 3, '惠城区', '441302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2009, 2007, 3, '惠阳区', '441303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2010, 2007, 3, '博罗县', '441322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2011, 2007, 3, '惠东县', '441323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2012, 2007, 3, '龙门县', '441324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2013, 1922, 2, '梅州市', '441400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2014, 2013, 3, '梅江区', '441402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2015, 2013, 3, '梅县区', '441403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2016, 2013, 3, '大埔县', '441422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2017, 2013, 3, '丰顺县', '441423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2018, 2013, 3, '五华县', '441424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2019, 2013, 3, '平远县', '441426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2020, 2013, 3, '蕉岭县', '441427', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2021, 2013, 3, '兴宁市', '441481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2022, 1922, 2, '汕尾市', '441500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-08-24 15:26:25', 1, 20);
INSERT INTO `sys_city` VALUES (2023, 2022, 3, '城区', '441502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2024, 2022, 3, '海丰县', '441521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2025, 2022, 3, '陆河县', '441523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2026, 2022, 3, '陆丰市', '441581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2027, 1922, 2, '河源市', '441600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2028, 2027, 3, '源城区', '441602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2029, 2027, 3, '紫金县', '441621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2030, 2027, 3, '龙川县', '441622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2031, 2027, 3, '连平县', '441623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2032, 2027, 3, '和平县', '441624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2033, 2027, 3, '东源县', '441625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2034, 1922, 2, '阳江市', '441700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2035, 2034, 3, '江城区', '441702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2036, 2034, 3, '阳东区', '441704', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2037, 2034, 3, '阳西县', '441721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2038, 2034, 3, '阳春市', '441781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2039, 1922, 2, '清远市', '441800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2040, 2039, 3, '清城区', '441802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2041, 2039, 3, '清新区', '441803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2042, 2039, 3, '佛冈县', '441821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2043, 2039, 3, '阳山县', '441823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2044, 2039, 3, '连山壮族瑶族自治县', '441825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2045, 2039, 3, '连南瑶族自治县', '441826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2046, 2039, 3, '英德市', '441881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2047, 2039, 3, '连州市', '441882', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2048, 1922, 2, '东莞市', '441900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2049, 1922, 2, '中山市', '442000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2050, 1922, 2, '潮州市', '445100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2051, 2050, 3, '湘桥区', '445102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2052, 2050, 3, '潮安区', '445103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2053, 2050, 3, '饶平县', '445122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2054, 1922, 2, '揭阳市', '445200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2055, 2054, 3, '榕城区', '445202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2056, 2054, 3, '揭东区', '445203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2057, 2054, 3, '揭西县', '445222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2058, 2054, 3, '惠来县', '445224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2059, 2054, 3, '普宁市', '445281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2060, 1922, 2, '云浮市', '445300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2061, 2060, 3, '云城区', '445302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2062, 2060, 3, '云安区', '445303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2063, 2060, 3, '新兴县', '445321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2064, 2060, 3, '郁南县', '445322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2065, 2060, 3, '罗定市', '445381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2066, 0, 1, '广西壮族自治区', '450000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2067, 2066, 2, '南宁市', '450100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2068, 2067, 3, '兴宁区', '450102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2069, 2067, 3, '青秀区', '450103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2070, 2067, 3, '江南区', '450105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2071, 2067, 3, '西乡塘区', '450107', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2072, 2067, 3, '良庆区', '450108', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2073, 2067, 3, '邕宁区', '450109', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2074, 2067, 3, '武鸣区', '450110', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2075, 2067, 3, '隆安县', '450123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2076, 2067, 3, '马山县', '450124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2077, 2067, 3, '上林县', '450125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2078, 2067, 3, '宾阳县', '450126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2079, 2067, 3, '横县', '450127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2080, 2066, 2, '柳州市', '450200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2081, 2080, 3, '城中区', '450202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2082, 2080, 3, '鱼峰区', '450203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2083, 2080, 3, '柳南区', '450204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2084, 2080, 3, '柳北区', '450205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2085, 2080, 3, '柳江区', '450206', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2086, 2080, 3, '柳城县', '450222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2087, 2080, 3, '鹿寨县', '450223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2088, 2080, 3, '融安县', '450224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2089, 2080, 3, '融水苗族自治县', '450225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2090, 2080, 3, '三江侗族自治县', '450226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2091, 2066, 2, '桂林市', '450300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2092, 2091, 3, '秀峰区', '450302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2093, 2091, 3, '叠彩区', '450303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2094, 2091, 3, '象山区', '450304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2095, 2091, 3, '七星区', '450305', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2096, 2091, 3, '雁山区', '450311', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2097, 2091, 3, '临桂区', '450312', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2098, 2091, 3, '阳朔县', '450321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2099, 2091, 3, '灵川县', '450323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2100, 2091, 3, '全州县', '450324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2101, 2091, 3, '兴安县', '450325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2102, 2091, 3, '永福县', '450326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2103, 2091, 3, '灌阳县', '450327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2104, 2091, 3, '龙胜各族自治县', '450328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2105, 2091, 3, '资源县', '450329', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2106, 2091, 3, '平乐县', '450330', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2107, 2091, 3, '荔浦市', '450381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2108, 2091, 3, '恭城瑶族自治县', '450332', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2109, 2066, 2, '梧州市', '450400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2110, 2109, 3, '万秀区', '450403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2111, 2109, 3, '长洲区', '450405', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2112, 2109, 3, '龙圩区', '450406', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2113, 2109, 3, '苍梧县', '450421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2114, 2109, 3, '藤县', '450422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2115, 2109, 3, '蒙山县', '450423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2116, 2109, 3, '岑溪市', '450481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2117, 2066, 2, '北海市', '450500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2118, 2117, 3, '海城区', '450502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2119, 2117, 3, '银海区', '450503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2120, 2117, 3, '铁山港区', '450512', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2121, 2117, 3, '合浦县', '450521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2122, 2066, 2, '防城港市', '450600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2123, 2122, 3, '港口区', '450602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2124, 2122, 3, '防城区', '450603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2125, 2122, 3, '上思县', '450621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2126, 2122, 3, '东兴市', '450681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2127, 2066, 2, '钦州市', '450700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2128, 2127, 3, '钦南区', '450702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2129, 2127, 3, '钦北区', '450703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2130, 2127, 3, '灵山县', '450721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2131, 2127, 3, '浦北县', '450722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2132, 2066, 2, '贵港市', '450800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2133, 2132, 3, '港北区', '450802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2134, 2132, 3, '港南区', '450803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2135, 2132, 3, '覃塘区', '450804', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2136, 2132, 3, '平南县', '450821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2137, 2132, 3, '桂平市', '450881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2138, 2066, 2, '玉林市', '450900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2139, 2138, 3, '玉州区', '450902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2140, 2138, 3, '福绵区', '450903', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2141, 2138, 3, '容县', '450921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2142, 2138, 3, '陆川县', '450922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2143, 2138, 3, '博白县', '450923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2144, 2138, 3, '兴业县', '450924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2145, 2138, 3, '北流市', '450981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2146, 2066, 2, '百色市', '451000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2147, 2146, 3, '右江区', '451002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2148, 2146, 3, '田阳区', '451003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2149, 2146, 3, '田东县', '451022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2150, 2146, 3, '德保县', '451024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2151, 2146, 3, '那坡县', '451026', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2152, 2146, 3, '凌云县', '451027', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2153, 2146, 3, '乐业县', '451028', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2154, 2146, 3, '田林县', '451029', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2155, 2146, 3, '西林县', '451030', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2156, 2146, 3, '隆林各族自治县', '451031', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2157, 2146, 3, '靖西市', '451081', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2158, 2146, 3, '平果市', '451082', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2159, 2066, 2, '贺州市', '451100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2160, 2159, 3, '八步区', '451102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2161, 2159, 3, '平桂区', '451103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2162, 2159, 3, '昭平县', '451121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2163, 2159, 3, '钟山县', '451122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2164, 2159, 3, '富川瑶族自治县', '451123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2165, 2066, 2, '河池市', '451200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2166, 2165, 3, '金城江区', '451202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2167, 2165, 3, '宜州区', '451203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2168, 2165, 3, '南丹县', '451221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2169, 2165, 3, '天峨县', '451222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2170, 2165, 3, '凤山县', '451223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2171, 2165, 3, '东兰县', '451224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2172, 2165, 3, '罗城仫佬族自治县', '451225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2173, 2165, 3, '环江毛南族自治县', '451226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2174, 2165, 3, '巴马瑶族自治县', '451227', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2175, 2165, 3, '都安瑶族自治县', '451228', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2176, 2165, 3, '大化瑶族自治县', '451229', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2177, 2066, 2, '来宾市', '451300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2178, 2177, 3, '兴宾区', '451302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2179, 2177, 3, '忻城县', '451321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2180, 2177, 3, '象州县', '451322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2181, 2177, 3, '武宣县', '451323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2182, 2177, 3, '金秀瑶族自治县', '451324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2183, 2177, 3, '合山市', '451381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2184, 2066, 2, '崇左市', '451400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2185, 2184, 3, '江州区', '451402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2186, 2184, 3, '扶绥县', '451421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2187, 2184, 3, '宁明县', '451422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2188, 2184, 3, '龙州县', '451423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2189, 2184, 3, '大新县', '451424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2190, 2184, 3, '天等县', '451425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2191, 2184, 3, '凭祥市', '451481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2192, 0, 1, '海南省', '460000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2193, 2192, 2, '海口市', '460100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2194, 2193, 3, '秀英区', '460105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2195, 2193, 3, '龙华区', '460106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2196, 2193, 3, '琼山区', '460107', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2197, 2193, 3, '美兰区', '460108', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2198, 2192, 2, '三亚市', '460200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2199, 2198, 3, '海棠区', '460202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2200, 2198, 3, '吉阳区', '460203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2201, 2198, 3, '天涯区', '460204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2202, 2198, 3, '崖州区', '460205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2203, 2198, 3, '三沙市', '460300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2204, 2192, 2, '儋州市', '460400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2205, 2204, 3, '五指山市', '469001', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2206, 2204, 3, '琼海市', '469002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2207, 2204, 3, '文昌市', '469005', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2208, 2204, 3, '万宁市', '469006', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2209, 2204, 3, '东方市', '469007', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2210, 2204, 3, '定安县', '469021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2211, 2204, 3, '屯昌县', '469022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2212, 2204, 3, '澄迈县', '469023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2213, 2204, 3, '临高县', '469024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2214, 2204, 3, '白沙黎族自治县', '469025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2215, 2204, 3, '昌江黎族自治县', '469026', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2216, 2204, 3, '乐东黎族自治县', '469027', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2217, 2204, 3, '陵水黎族自治县', '469028', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2218, 2204, 3, '保亭黎族苗族自治县', '469029', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2219, 2204, 3, '琼中黎族苗族自治县', '469030', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2220, 0, 1, '重庆市', '500000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2221, 2220, 2, '重庆市', '500100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2222, 2221, 3, '万州区', '500101', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2223, 2221, 3, '涪陵区', '500102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2224, 2221, 3, '渝中区', '500103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2225, 2221, 3, '大渡口区', '500104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2226, 2221, 3, '江北区', '500105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2227, 2221, 3, '沙坪坝区', '500106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2228, 2221, 3, '九龙坡区', '500107', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2229, 2221, 3, '南岸区', '500108', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2230, 2221, 3, '北碚区', '500109', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2231, 2221, 3, '綦江区', '500110', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2232, 2221, 3, '大足区', '500111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2233, 2221, 3, '渝北区', '500112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2234, 2221, 3, '巴南区', '500113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2235, 2221, 3, '黔江区', '500114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2236, 2221, 3, '长寿区', '500115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2237, 2221, 3, '江津区', '500116', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2238, 2221, 3, '合川区', '500117', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2239, 2221, 3, '永川区', '500118', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2240, 2221, 3, '南川区', '500119', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2241, 2221, 3, '璧山区', '500120', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2242, 2221, 3, '铜梁区', '500151', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2243, 2221, 3, '潼南区', '500152', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2244, 2221, 3, '荣昌区', '500153', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2245, 2221, 3, '开州区', '500154', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2246, 2221, 3, '梁平区', '500155', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2247, 2221, 3, '武隆区', '500156', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2248, 2221, 3, '城口县', '500229', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2249, 2221, 3, '丰都县', '500230', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2250, 2221, 3, '垫江县', '500231', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2251, 2221, 3, '忠县', '500233', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2252, 2221, 3, '云阳县', '500235', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2253, 2221, 3, '奉节县', '500236', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2254, 2221, 3, '巫山县', '500237', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2255, 2221, 3, '巫溪县', '500238', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2256, 2221, 3, '石柱土家族自治县', '500240', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2257, 2221, 3, '秀山土家族苗族自治县', '500241', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2258, 2221, 3, '酉阳土家族苗族自治县', '500242', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2259, 2221, 3, '彭水苗族土家族自治县', '500243', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2260, 0, 1, '四川省', '510000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2261, 2260, 2, '成都市', '510100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2262, 2261, 3, '锦江区', '510104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2263, 2261, 3, '青羊区', '510105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2264, 2261, 3, '金牛区', '510106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2265, 2261, 3, '武侯区', '510107', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2266, 2261, 3, '成华区', '510108', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2267, 2261, 3, '龙泉驿区', '510112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2268, 2261, 3, '青白江区', '510113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2269, 2261, 3, '新都区', '510114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2270, 2261, 3, '温江区', '510115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2271, 2261, 3, '双流区', '510116', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2272, 2261, 3, '郫都区', '510117', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2273, 2261, 3, '新津区', '510118', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2274, 2261, 3, '金堂县', '510121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2275, 2261, 3, '大邑县', '510129', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2276, 2261, 3, '蒲江县', '510131', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2277, 2261, 3, '都江堰市', '510181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2278, 2261, 3, '彭州市', '510182', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2279, 2261, 3, '邛崃市', '510183', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2280, 2261, 3, '崇州市', '510184', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2281, 2261, 3, '简阳市', '510185', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2282, 2260, 2, '自贡市', '510300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2283, 2282, 3, '自流井区', '510302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2284, 2282, 3, '贡井区', '510303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2285, 2282, 3, '大安区', '510304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2286, 2282, 3, '沿滩区', '510311', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2287, 2282, 3, '荣县', '510321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2288, 2282, 3, '富顺县', '510322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2289, 2260, 2, '攀枝花市', '510400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2290, 2289, 3, '东区', '510402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2291, 2289, 3, '西区', '510403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2292, 2289, 3, '仁和区', '510411', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2293, 2289, 3, '米易县', '510421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2294, 2289, 3, '盐边县', '510422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2295, 2260, 2, '泸州市', '510500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2296, 2295, 3, '江阳区', '510502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2297, 2295, 3, '纳溪区', '510503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2298, 2295, 3, '龙马潭区', '510504', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2299, 2295, 3, '泸县', '510521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2300, 2295, 3, '合江县', '510522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2301, 2295, 3, '叙永县', '510524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2302, 2295, 3, '古蔺县', '510525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2303, 2260, 2, '德阳市', '510600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2304, 2303, 3, '旌阳区', '510603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2305, 2303, 3, '罗江区', '510604', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2306, 2303, 3, '中江县', '510623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2307, 2303, 3, '广汉市', '510681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2308, 2303, 3, '什邡市', '510682', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2309, 2303, 3, '绵竹市', '510683', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2310, 2260, 2, '绵阳市', '510700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2311, 2310, 3, '涪城区', '510703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2312, 2310, 3, '游仙区', '510704', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2313, 2310, 3, '安州区', '510705', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2314, 2310, 3, '三台县', '510722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2315, 2310, 3, '盐亭县', '510723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2316, 2310, 3, '梓潼县', '510725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2317, 2310, 3, '北川羌族自治县', '510726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2318, 2310, 3, '平武县', '510727', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2319, 2310, 3, '江油市', '510781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2320, 2260, 2, '广元市', '510800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2321, 2320, 3, '利州区', '510802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2322, 2320, 3, '昭化区', '510811', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2323, 2320, 3, '朝天区', '510812', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2324, 2320, 3, '旺苍县', '510821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2325, 2320, 3, '青川县', '510822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2326, 2320, 3, '剑阁县', '510823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2327, 2320, 3, '苍溪县', '510824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2328, 2260, 2, '遂宁市', '510900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2329, 2328, 3, '船山区', '510903', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2330, 2328, 3, '安居区', '510904', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2331, 2328, 3, '蓬溪县', '510921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2332, 2328, 3, '大英县', '510923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2333, 2328, 3, '射洪市', '510981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2334, 2260, 2, '内江市', '511000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2335, 2334, 3, '市中区', '511002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2336, 2334, 3, '东兴区', '511011', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2337, 2334, 3, '威远县', '511024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2338, 2334, 3, '资中县', '511025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2339, 2334, 3, '隆昌市', '511083', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2340, 2260, 2, '乐山市', '511100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2341, 2340, 3, '市中区', '511102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2342, 2340, 3, '沙湾区', '511111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2343, 2340, 3, '五通桥区', '511112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2344, 2340, 3, '金口河区', '511113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2345, 2340, 3, '犍为县', '511123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2346, 2340, 3, '井研县', '511124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2347, 2340, 3, '夹江县', '511126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2348, 2340, 3, '沐川县', '511129', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2349, 2340, 3, '峨边彝族自治县', '511132', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2350, 2340, 3, '马边彝族自治县', '511133', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2351, 2340, 3, '峨眉山市', '511181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2352, 2260, 2, '南充市', '511300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2353, 2352, 3, '顺庆区', '511302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2354, 2352, 3, '高坪区', '511303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2355, 2352, 3, '嘉陵区', '511304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2356, 2352, 3, '南部县', '511321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2357, 2352, 3, '营山县', '511322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2358, 2352, 3, '蓬安县', '511323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2359, 2352, 3, '仪陇县', '511324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2360, 2352, 3, '西充县', '511325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2361, 2352, 3, '阆中市', '511381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2362, 2260, 2, '眉山市', '511400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2363, 2362, 3, '东坡区', '511402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2364, 2362, 3, '彭山区', '511403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2365, 2362, 3, '仁寿县', '511421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2366, 2362, 3, '洪雅县', '511423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2367, 2362, 3, '丹棱县', '511424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2368, 2362, 3, '青神县', '511425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2369, 2260, 2, '宜宾市', '511500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2370, 2369, 3, '翠屏区', '511502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2371, 2369, 3, '南溪区', '511503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2372, 2369, 3, '叙州区', '511504', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2373, 2369, 3, '江安县', '511523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2374, 2369, 3, '长宁县', '511524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2375, 2369, 3, '高县', '511525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2376, 2369, 3, '珙县', '511526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2377, 2369, 3, '筠连县', '511527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2378, 2369, 3, '兴文县', '511528', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2379, 2369, 3, '屏山县', '511529', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2380, 2260, 2, '广安市', '511600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2381, 2380, 3, '广安区', '511602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2382, 2380, 3, '前锋区', '511603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2383, 2380, 3, '岳池县', '511621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2384, 2380, 3, '武胜县', '511622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2385, 2380, 3, '邻水县', '511623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2386, 2380, 3, '华蓥市', '511681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2387, 2260, 2, '达州市', '511700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2388, 2387, 3, '通川区', '511702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2389, 2387, 3, '达川区', '511703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2390, 2387, 3, '宣汉县', '511722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2391, 2387, 3, '开江县', '511723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2392, 2387, 3, '大竹县', '511724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2393, 2387, 3, '渠县', '511725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2394, 2387, 3, '万源市', '511781', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2395, 2260, 2, '雅安市', '511800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2396, 2395, 3, '雨城区', '511802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2397, 2395, 3, '名山区', '511803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2398, 2395, 3, '荥经县', '511822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2399, 2395, 3, '汉源县', '511823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2400, 2395, 3, '石棉县', '511824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2401, 2395, 3, '天全县', '511825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2402, 2395, 3, '芦山县', '511826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2403, 2395, 3, '宝兴县', '511827', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2404, 2260, 2, '巴中市', '511900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2405, 2404, 3, '巴州区', '511902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2406, 2404, 3, '恩阳区', '511903', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2407, 2404, 3, '通江县', '511921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2408, 2404, 3, '南江县', '511922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2409, 2404, 3, '平昌县', '511923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2410, 2260, 2, '资阳市', '512000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2411, 2410, 3, '雁江区', '512002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2412, 2410, 3, '安岳县', '512021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2413, 2410, 3, '乐至县', '512022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2414, 2260, 2, '阿坝藏族羌族自治州', '513200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2415, 2414, 3, '马尔康市', '513201', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2416, 2414, 3, '汶川县', '513221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2417, 2414, 3, '理县', '513222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2418, 2414, 3, '茂县', '513223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2419, 2414, 3, '松潘县', '513224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2420, 2414, 3, '九寨沟县', '513225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2421, 2414, 3, '金川县', '513226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2422, 2414, 3, '小金县', '513227', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2423, 2414, 3, '黑水县', '513228', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2424, 2414, 3, '壤塘县', '513230', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2425, 2414, 3, '阿坝县', '513231', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2426, 2414, 3, '若尔盖县', '513232', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2427, 2414, 3, '红原县', '513233', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2428, 2260, 2, '甘孜藏族自治州', '513300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2429, 2428, 3, '康定市', '513301', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2430, 2428, 3, '泸定县', '513322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2431, 2428, 3, '丹巴县', '513323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2432, 2428, 3, '九龙县', '513324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2433, 2428, 3, '雅江县', '513325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2434, 2428, 3, '道孚县', '513326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2435, 2428, 3, '炉霍县', '513327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2436, 2428, 3, '甘孜县', '513328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2437, 2428, 3, '新龙县', '513329', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2438, 2428, 3, '德格县', '513330', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2439, 2428, 3, '白玉县', '513331', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2440, 2428, 3, '石渠县', '513332', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2441, 2428, 3, '色达县', '513333', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2442, 2428, 3, '理塘县', '513334', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2443, 2428, 3, '巴塘县', '513335', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2444, 2428, 3, '乡城县', '513336', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2445, 2428, 3, '稻城县', '513337', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2446, 2428, 3, '得荣县', '513338', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2447, 2260, 2, '凉山彝族自治州', '513400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2448, 2447, 3, '西昌市', '513401', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2449, 2447, 3, '木里藏族自治县', '513422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2450, 2447, 3, '盐源县', '513423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2451, 2447, 3, '德昌县', '513424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2452, 2447, 3, '会理县', '513425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2453, 2447, 3, '会东县', '513426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2454, 2447, 3, '宁南县', '513427', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2455, 2447, 3, '普格县', '513428', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2456, 2447, 3, '布拖县', '513429', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2457, 2447, 3, '金阳县', '513430', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2458, 2447, 3, '昭觉县', '513431', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2459, 2447, 3, '喜德县', '513432', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2460, 2447, 3, '冕宁县', '513433', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2461, 2447, 3, '越西县', '513434', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2462, 2447, 3, '甘洛县', '513435', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2463, 2447, 3, '美姑县', '513436', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2464, 2447, 3, '雷波县', '513437', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2465, 0, 1, '贵州省', '520000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2466, 2465, 2, '贵阳市', '520100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2467, 2466, 3, '南明区', '520102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2468, 2466, 3, '云岩区', '520103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2469, 2466, 3, '花溪区', '520111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2470, 2466, 3, '乌当区', '520112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2471, 2466, 3, '白云区', '520113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2472, 2466, 3, '观山湖区', '520115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2473, 2466, 3, '开阳县', '520121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2474, 2466, 3, '息烽县', '520122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2475, 2466, 3, '修文县', '520123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2476, 2466, 3, '清镇市', '520181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2477, 2465, 2, '六盘水市', '520200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2478, 2477, 3, '钟山区', '520201', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2479, 2477, 3, '六枝特区', '520203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2480, 2477, 3, '水城县', '520221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2481, 2477, 3, '盘州市', '520281', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2482, 2465, 2, '遵义市', '520300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2483, 2482, 3, '红花岗区', '520302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2484, 2482, 3, '汇川区', '520303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2485, 2482, 3, '播州区', '520304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2486, 2482, 3, '桐梓县', '520322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2487, 2482, 3, '绥阳县', '520323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2488, 2482, 3, '正安县', '520324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2489, 2482, 3, '道真仡佬族苗族自治县', '520325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2490, 2482, 3, '务川仡佬族苗族自治县', '520326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2491, 2482, 3, '凤冈县', '520327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2492, 2482, 3, '湄潭县', '520328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2493, 2482, 3, '余庆县', '520329', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2494, 2482, 3, '习水县', '520330', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2495, 2482, 3, '赤水市', '520381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2496, 2482, 3, '仁怀市', '520382', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2497, 2465, 2, '安顺市', '520400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2498, 2497, 3, '西秀区', '520402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2499, 2497, 3, '平坝区', '520403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2500, 2497, 3, '普定县', '520422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2501, 2497, 3, '镇宁布依族苗族自治县', '520423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2502, 2497, 3, '关岭布依族苗族自治县', '520424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2503, 2497, 3, '紫云苗族布依族自治县', '520425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2504, 2465, 2, '毕节市', '520500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2505, 2504, 3, '七星关区', '520502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2506, 2504, 3, '大方县', '520521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2507, 2504, 3, '黔西县', '520522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2508, 2504, 3, '金沙县', '520523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2509, 2504, 3, '织金县', '520524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2510, 2504, 3, '纳雍县', '520525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2511, 2504, 3, '威宁彝族回族苗族自治县', '520526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2512, 2504, 3, '赫章县', '520527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2513, 2465, 2, '铜仁市', '520600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2514, 2513, 3, '碧江区', '520602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2515, 2513, 3, '万山区', '520603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2516, 2513, 3, '江口县', '520621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2517, 2513, 3, '玉屏侗族自治县', '520622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2518, 2513, 3, '石阡县', '520623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2519, 2513, 3, '思南县', '520624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2520, 2513, 3, '印江土家族苗族自治县', '520625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2521, 2513, 3, '德江县', '520626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2522, 2513, 3, '沿河土家族自治县', '520627', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2523, 2513, 3, '松桃苗族自治县', '520628', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2524, 2465, 2, '黔西南布依族苗族自治州', '522300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2525, 2524, 3, '兴义市', '522301', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2526, 2524, 3, '兴仁市', '522302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2527, 2524, 3, '普安县', '522323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2528, 2524, 3, '晴隆县', '522324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2529, 2524, 3, '贞丰县', '522325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2530, 2524, 3, '望谟县', '522326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2531, 2524, 3, '册亨县', '522327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2532, 2524, 3, '安龙县', '522328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2533, 2465, 2, '黔东南苗族侗族自治州', '522600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2534, 2533, 3, '凯里市', '522601', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2535, 2533, 3, '黄平县', '522622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2536, 2533, 3, '施秉县', '522623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2537, 2533, 3, '三穗县', '522624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2538, 2533, 3, '镇远县', '522625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2539, 2533, 3, '岑巩县', '522626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2540, 2533, 3, '天柱县', '522627', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2541, 2533, 3, '锦屏县', '522628', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2542, 2533, 3, '剑河县', '522629', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2543, 2533, 3, '台江县', '522630', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2544, 2533, 3, '黎平县', '522631', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2545, 2533, 3, '榕江县', '522632', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2546, 2533, 3, '从江县', '522633', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2547, 2533, 3, '雷山县', '522634', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2548, 2533, 3, '麻江县', '522635', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2549, 2533, 3, '丹寨县', '522636', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2550, 2465, 2, '黔南布依族苗族自治州', '522700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2551, 2550, 3, '都匀市', '522701', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2552, 2550, 3, '福泉市', '522702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2553, 2550, 3, '荔波县', '522722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2554, 2550, 3, '贵定县', '522723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2555, 2550, 3, '瓮安县', '522725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2556, 2550, 3, '独山县', '522726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2557, 2550, 3, '平塘县', '522727', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2558, 2550, 3, '罗甸县', '522728', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2559, 2550, 3, '长顺县', '522729', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2560, 2550, 3, '龙里县', '522730', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2561, 2550, 3, '惠水县', '522731', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2562, 2550, 3, '三都水族自治县', '522732', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2563, 0, 1, '云南省', '530000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2564, 2563, 2, '昆明市', '530100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2565, 2564, 3, '五华区', '530102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2566, 2564, 3, '盘龙区', '530103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2567, 2564, 3, '官渡区', '530111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2568, 2564, 3, '西山区', '530112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2569, 2564, 3, '东川区', '530113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2570, 2564, 3, '呈贡区', '530114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2571, 2564, 3, '晋宁区', '530115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2572, 2564, 3, '富民县', '530124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2573, 2564, 3, '宜良县', '530125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2574, 2564, 3, '石林彝族自治县', '530126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2575, 2564, 3, '嵩明县', '530127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2576, 2564, 3, '禄劝彝族苗族自治县', '530128', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2577, 2564, 3, '寻甸回族彝族自治县', '530129', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2578, 2564, 3, '安宁市', '530181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2579, 2563, 2, '曲靖市', '530300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2580, 2579, 3, '麒麟区', '530302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2581, 2579, 3, '沾益区', '530303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2582, 2579, 3, '马龙区', '530304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2583, 2579, 3, '陆良县', '530322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2584, 2579, 3, '师宗县', '530323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2585, 2579, 3, '罗平县', '530324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2586, 2579, 3, '富源县', '530325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2587, 2579, 3, '会泽县', '530326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2588, 2579, 3, '宣威市', '530381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2589, 2563, 2, '玉溪市', '530400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2590, 2589, 3, '红塔区', '530402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2591, 2589, 3, '江川区', '530403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2592, 2589, 3, '通海县', '530423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2593, 2589, 3, '华宁县', '530424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2594, 2589, 3, '易门县', '530425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2595, 2589, 3, '峨山彝族自治县', '530426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2596, 2589, 3, '新平彝族傣族自治县', '530427', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2597, 2589, 3, '元江哈尼族彝族傣族自治县', '530428', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2598, 2589, 3, '澄江市', '530481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2599, 2563, 2, '保山市', '530500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2600, 2599, 3, '隆阳区', '530502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2601, 2599, 3, '施甸县', '530521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2602, 2599, 3, '龙陵县', '530523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2603, 2599, 3, '昌宁县', '530524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2604, 2599, 3, '腾冲市', '530581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2605, 2563, 2, '昭通市', '530600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2606, 2605, 3, '昭阳区', '530602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2607, 2605, 3, '鲁甸县', '530621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2608, 2605, 3, '巧家县', '530622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2609, 2605, 3, '盐津县', '530623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2610, 2605, 3, '大关县', '530624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2611, 2605, 3, '永善县', '530625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2612, 2605, 3, '绥江县', '530626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2613, 2605, 3, '镇雄县', '530627', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2614, 2605, 3, '彝良县', '530628', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2615, 2605, 3, '威信县', '530629', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2616, 2605, 3, '水富市', '530681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2617, 2563, 2, '丽江市', '530700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2618, 2617, 3, '古城区', '530702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2619, 2617, 3, '玉龙纳西族自治县', '530721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2620, 2617, 3, '永胜县', '530722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2621, 2617, 3, '华坪县', '530723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2622, 2617, 3, '宁蒗彝族自治县', '530724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2623, 2563, 2, '普洱市', '530800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2624, 2623, 3, '思茅区', '530802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2625, 2623, 3, '宁洱哈尼族彝族自治县', '530821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2626, 2623, 3, '墨江哈尼族自治县', '530822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2627, 2623, 3, '景东彝族自治县', '530823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2628, 2623, 3, '景谷傣族彝族自治县', '530824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2629, 2623, 3, '镇沅彝族哈尼族拉祜族自治县', '530825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2630, 2623, 3, '江城哈尼族彝族自治县', '530826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2631, 2623, 3, '孟连傣族拉祜族佤族自治县', '530827', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2632, 2623, 3, '澜沧拉祜族自治县', '530828', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2633, 2623, 3, '西盟佤族自治县', '530829', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2634, 2563, 2, '临沧市', '530900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2635, 2634, 3, '临翔区', '530902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2636, 2634, 3, '凤庆县', '530921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2637, 2634, 3, '云县', '530922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2638, 2634, 3, '永德县', '530923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2639, 2634, 3, '镇康县', '530924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2640, 2634, 3, '双江拉祜族佤族布朗族傣族自治县', '530925', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2641, 2634, 3, '耿马傣族佤族自治县', '530926', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2642, 2634, 3, '沧源佤族自治县', '530927', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2643, 2563, 2, '楚雄彝族自治州', '532300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2644, 2643, 3, '楚雄市', '532301', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2645, 2643, 3, '双柏县', '532322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2646, 2643, 3, '牟定县', '532323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2647, 2643, 3, '南华县', '532324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2648, 2643, 3, '姚安县', '532325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2649, 2643, 3, '大姚县', '532326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2650, 2643, 3, '永仁县', '532327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2651, 2643, 3, '元谋县', '532328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2652, 2643, 3, '武定县', '532329', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2653, 2643, 3, '禄丰县', '532331', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2654, 2563, 2, '红河哈尼族彝族自治州', '532500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2655, 2654, 3, '个旧市', '532501', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2656, 2654, 3, '开远市', '532502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2657, 2654, 3, '蒙自市', '532503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2658, 2654, 3, '弥勒市', '532504', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2659, 2654, 3, '屏边苗族自治县', '532523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2660, 2654, 3, '建水县', '532524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2661, 2654, 3, '石屏县', '532525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2662, 2654, 3, '泸西县', '532527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2663, 2654, 3, '元阳县', '532528', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2664, 2654, 3, '红河县', '532529', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2665, 2654, 3, '金平苗族瑶族傣族自治县', '532530', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2666, 2654, 3, '绿春县', '532531', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2667, 2654, 3, '河口瑶族自治县', '532532', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2668, 2563, 2, '文山壮族苗族自治州', '532600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2669, 2668, 3, '文山市', '532601', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2670, 2668, 3, '砚山县', '532622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2671, 2668, 3, '西畴县', '532623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2672, 2668, 3, '麻栗坡县', '532624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2673, 2668, 3, '马关县', '532625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2674, 2668, 3, '丘北县', '532626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2675, 2668, 3, '广南县', '532627', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2676, 2668, 3, '富宁县', '532628', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2677, 2563, 2, '西双版纳傣族自治州', '532800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2678, 2677, 3, '景洪市', '532801', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2679, 2677, 3, '勐海县', '532822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2680, 2677, 3, '勐腊县', '532823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2681, 2563, 2, '大理白族自治州', '532900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2682, 2681, 3, '大理市', '532901', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2683, 2681, 3, '漾濞彝族自治县', '532922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2684, 2681, 3, '祥云县', '532923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2685, 2681, 3, '宾川县', '532924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2686, 2681, 3, '弥渡县', '532925', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2687, 2681, 3, '南涧彝族自治县', '532926', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2688, 2681, 3, '巍山彝族回族自治县', '532927', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2689, 2681, 3, '永平县', '532928', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2690, 2681, 3, '云龙县', '532929', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2691, 2681, 3, '洱源县', '532930', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2692, 2681, 3, '剑川县', '532931', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2693, 2681, 3, '鹤庆县', '532932', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2694, 2563, 2, '德宏傣族景颇族自治州', '533100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2695, 2694, 3, '瑞丽市', '533102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2696, 2694, 3, '芒市', '533103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2697, 2694, 3, '梁河县', '533122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2698, 2694, 3, '盈江县', '533123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2699, 2694, 3, '陇川县', '533124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2700, 2563, 2, '怒江傈僳族自治州', '533300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2701, 2700, 3, '泸水市', '533301', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2702, 2700, 3, '福贡县', '533323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2703, 2700, 3, '贡山独龙族怒族自治县', '533324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2704, 2700, 3, '兰坪白族普米族自治县', '533325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2705, 2563, 2, '迪庆藏族自治州', '533400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2706, 2705, 3, '香格里拉市', '533401', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2707, 2705, 3, '德钦县', '533422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2708, 2705, 3, '维西傈僳族自治县', '533423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2709, 0, 1, '西藏自治区', '540000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2710, 2709, 2, '拉萨市', '540100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2711, 2710, 3, '城关区', '540102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2712, 2710, 3, '堆龙德庆区', '540103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2713, 2710, 3, '达孜区', '540104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2714, 2710, 3, '林周县', '540121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2715, 2710, 3, '当雄县', '540122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2716, 2710, 3, '尼木县', '540123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2717, 2710, 3, '曲水县', '540124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2718, 2710, 3, '墨竹工卡县', '540127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2719, 2709, 2, '日喀则市', '540200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2720, 2719, 3, '桑珠孜区', '540202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2721, 2719, 3, '南木林县', '540221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2722, 2719, 3, '江孜县', '540222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2723, 2719, 3, '定日县', '540223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2724, 2719, 3, '萨迦县', '540224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2725, 2719, 3, '拉孜县', '540225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2726, 2719, 3, '昂仁县', '540226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2727, 2719, 3, '谢通门县', '540227', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2728, 2719, 3, '白朗县', '540228', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2729, 2719, 3, '仁布县', '540229', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2730, 2719, 3, '康马县', '540230', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2731, 2719, 3, '定结县', '540231', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2732, 2719, 3, '仲巴县', '540232', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2733, 2719, 3, '亚东县', '540233', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2734, 2719, 3, '吉隆县', '540234', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2735, 2719, 3, '聂拉木县', '540235', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2736, 2719, 3, '萨嘎县', '540236', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2737, 2719, 3, '岗巴县', '540237', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2738, 2709, 2, '昌都市', '540300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2739, 2738, 3, '卡若区', '540302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2740, 2738, 3, '江达县', '540321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2741, 2738, 3, '贡觉县', '540322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2742, 2738, 3, '类乌齐县', '540323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2743, 2738, 3, '丁青县', '540324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2744, 2738, 3, '察雅县', '540325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2745, 2738, 3, '八宿县', '540326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2746, 2738, 3, '左贡县', '540327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2747, 2738, 3, '芒康县', '540328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2748, 2738, 3, '洛隆县', '540329', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2749, 2738, 3, '边坝县', '540330', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2750, 2709, 2, '林芝市', '540400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2751, 2750, 3, '巴宜区', '540402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2752, 2750, 3, '工布江达县', '540421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2753, 2750, 3, '米林县', '540422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2754, 2750, 3, '墨脱县', '540423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2755, 2750, 3, '波密县', '540424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2756, 2750, 3, '察隅县', '540425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2757, 2750, 3, '朗县', '540426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2758, 2709, 2, '山南市', '540500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2759, 2758, 3, '乃东区', '540502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2760, 2758, 3, '扎囊县', '540521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2761, 2758, 3, '贡嘎县', '540522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2762, 2758, 3, '桑日县', '540523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2763, 2758, 3, '琼结县', '540524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2764, 2758, 3, '曲松县', '540525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2765, 2758, 3, '措美县', '540526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2766, 2758, 3, '洛扎县', '540527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2767, 2758, 3, '加查县', '540528', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2768, 2758, 3, '隆子县', '540529', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2769, 2758, 3, '错那县', '540530', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2770, 2758, 3, '浪卡子县', '540531', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2771, 2709, 2, '那曲市', '540600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2772, 2771, 3, '色尼区', '540602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2773, 2771, 3, '嘉黎县', '540621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2774, 2771, 3, '比如县', '540622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2775, 2771, 3, '聂荣县', '540623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2776, 2771, 3, '安多县', '540624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2777, 2771, 3, '申扎县', '540625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2778, 2771, 3, '索县', '540626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2779, 2771, 3, '班戈县', '540627', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2780, 2771, 3, '巴青县', '540628', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2781, 2771, 3, '尼玛县', '540629', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2782, 2771, 3, '双湖县', '540630', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2783, 2709, 2, '阿里地区', '542500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2784, 2783, 3, '普兰县', '542521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2785, 2783, 3, '札达县', '542522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2786, 2783, 3, '噶尔县', '542523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2787, 2783, 3, '日土县', '542524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2788, 2783, 3, '革吉县', '542525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2789, 2783, 3, '改则县', '542526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2790, 2783, 3, '措勤县', '542527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2791, 0, 1, '陕西省', '610000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2792, 2791, 2, '西安市', '610100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2793, 2792, 3, '新城区', '610102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2794, 2792, 3, '碑林区', '610103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2795, 2792, 3, '莲湖区', '610104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2796, 2792, 3, '灞桥区', '610111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2797, 2792, 3, '未央区', '610112', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2798, 2792, 3, '雁塔区', '610113', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2799, 2792, 3, '阎良区', '610114', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2800, 2792, 3, '临潼区', '610115', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2801, 2792, 3, '长安区', '610116', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2802, 2792, 3, '高陵区', '610117', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2803, 2792, 3, '鄠邑区', '610118', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2804, 2792, 3, '蓝田县', '610122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2805, 2792, 3, '周至县', '610124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2806, 2791, 2, '铜川市', '610200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2807, 2806, 3, '王益区', '610202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2808, 2806, 3, '印台区', '610203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2809, 2806, 3, '耀州区', '610204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2810, 2806, 3, '宜君县', '610222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2811, 2791, 2, '宝鸡市', '610300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2812, 2811, 3, '渭滨区', '610302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2813, 2811, 3, '金台区', '610303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2814, 2811, 3, '陈仓区', '610304', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2815, 2811, 3, '凤翔县', '610322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2816, 2811, 3, '岐山县', '610323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2817, 2811, 3, '扶风县', '610324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2818, 2811, 3, '眉县', '610326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2819, 2811, 3, '陇县', '610327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2820, 2811, 3, '千阳县', '610328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2821, 2811, 3, '麟游县', '610329', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2822, 2811, 3, '凤县', '610330', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2823, 2811, 3, '太白县', '610331', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2824, 2791, 2, '咸阳市', '610400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2825, 2824, 3, '秦都区', '610402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2826, 2824, 3, '杨陵区', '610403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2827, 2824, 3, '渭城区', '610404', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2828, 2824, 3, '三原县', '610422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2829, 2824, 3, '泾阳县', '610423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2830, 2824, 3, '乾县', '610424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2831, 2824, 3, '礼泉县', '610425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2832, 2824, 3, '永寿县', '610426', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2833, 2824, 3, '长武县', '610428', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2834, 2824, 3, '旬邑县', '610429', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2835, 2824, 3, '淳化县', '610430', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2836, 2824, 3, '武功县', '610431', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2837, 2824, 3, '兴平市', '610481', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2838, 2824, 3, '彬州市', '610482', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2839, 2791, 2, '渭南市', '610500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2840, 2839, 3, '临渭区', '610502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2841, 2839, 3, '华州区', '610503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2842, 2839, 3, '潼关县', '610522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2843, 2839, 3, '大荔县', '610523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2844, 2839, 3, '合阳县', '610524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2845, 2839, 3, '澄城县', '610525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2846, 2839, 3, '蒲城县', '610526', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2847, 2839, 3, '白水县', '610527', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2848, 2839, 3, '富平县', '610528', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2849, 2839, 3, '韩城市', '610581', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2850, 2839, 3, '华阴市', '610582', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2851, 2791, 2, '延安市', '610600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2852, 2851, 3, '宝塔区', '610602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2853, 2851, 3, '安塞区', '610603', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2854, 2851, 3, '延长县', '610621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2855, 2851, 3, '延川县', '610622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2856, 2851, 3, '志丹县', '610625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2857, 2851, 3, '吴起县', '610626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2858, 2851, 3, '甘泉县', '610627', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2859, 2851, 3, '富县', '610628', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2860, 2851, 3, '洛川县', '610629', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2861, 2851, 3, '宜川县', '610630', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2862, 2851, 3, '黄龙县', '610631', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2863, 2851, 3, '黄陵县', '610632', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2864, 2851, 3, '子长市', '610681', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2865, 2791, 2, '汉中市', '610700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2866, 2865, 3, '汉台区', '610702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2867, 2865, 3, '南郑区', '610703', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2868, 2865, 3, '城固县', '610722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2869, 2865, 3, '洋县', '610723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2870, 2865, 3, '西乡县', '610724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2871, 2865, 3, '勉县', '610725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2872, 2865, 3, '宁强县', '610726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2873, 2865, 3, '略阳县', '610727', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2874, 2865, 3, '镇巴县', '610728', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2875, 2865, 3, '留坝县', '610729', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2876, 2865, 3, '佛坪县', '610730', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2877, 2791, 2, '榆林市', '610800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2878, 2877, 3, '榆阳区', '610802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2879, 2877, 3, '横山区', '610803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2880, 2877, 3, '府谷县', '610822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2881, 2877, 3, '靖边县', '610824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2882, 2877, 3, '定边县', '610825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2883, 2877, 3, '绥德县', '610826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2884, 2877, 3, '米脂县', '610827', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2885, 2877, 3, '佳县', '610828', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2886, 2877, 3, '吴堡县', '610829', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2887, 2877, 3, '清涧县', '610830', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2888, 2877, 3, '子洲县', '610831', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2889, 2877, 3, '神木市', '610881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2890, 2791, 2, '安康市', '610900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2891, 2890, 3, '汉滨区', '610902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2892, 2890, 3, '汉阴县', '610921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2893, 2890, 3, '石泉县', '610922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2894, 2890, 3, '宁陕县', '610923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2895, 2890, 3, '紫阳县', '610924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2896, 2890, 3, '岚皋县', '610925', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2897, 2890, 3, '平利县', '610926', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2898, 2890, 3, '镇坪县', '610927', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2899, 2890, 3, '旬阳县', '610928', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2900, 2890, 3, '白河县', '610929', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2901, 2791, 2, '商洛市', '611000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2902, 2901, 3, '商州区', '611002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2903, 2901, 3, '洛南县', '611021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2904, 2901, 3, '丹凤县', '611022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2905, 2901, 3, '商南县', '611023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2906, 2901, 3, '山阳县', '611024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2907, 2901, 3, '镇安县', '611025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2908, 2901, 3, '柞水县', '611026', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2909, 0, 1, '甘肃省', '620000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2910, 2909, 2, '兰州市', '620100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2911, 2910, 3, '城关区', '620102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2912, 2910, 3, '七里河区', '620103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2913, 2910, 3, '西固区', '620104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2914, 2910, 3, '安宁区', '620105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2915, 2910, 3, '红古区', '620111', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2916, 2910, 3, '永登县', '620121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2917, 2910, 3, '皋兰县', '620122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2918, 2910, 3, '榆中县', '620123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2919, 2909, 2, '嘉峪关市', '620200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2920, 2909, 2, '金昌市', '620300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2921, 2920, 3, '金川区', '620302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2922, 2920, 3, '永昌县', '620321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2923, 2909, 2, '白银市', '620400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2924, 2923, 3, '白银区', '620402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2925, 2923, 3, '平川区', '620403', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2926, 2923, 3, '靖远县', '620421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2927, 2923, 3, '会宁县', '620422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2928, 2923, 3, '景泰县', '620423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2929, 2909, 2, '天水市', '620500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2930, 2929, 3, '秦州区', '620502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2931, 2929, 3, '麦积区', '620503', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2932, 2929, 3, '清水县', '620521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2933, 2929, 3, '秦安县', '620522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2934, 2929, 3, '甘谷县', '620523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2935, 2929, 3, '武山县', '620524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2936, 2929, 3, '张家川回族自治县', '620525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2937, 2909, 2, '武威市', '620600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2938, 2937, 3, '凉州区', '620602', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2939, 2937, 3, '民勤县', '620621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2940, 2937, 3, '古浪县', '620622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2941, 2937, 3, '天祝藏族自治县', '620623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2942, 2909, 2, '张掖市', '620700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2943, 2942, 3, '甘州区', '620702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2944, 2942, 3, '肃南裕固族自治县', '620721', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2945, 2942, 3, '民乐县', '620722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2946, 2942, 3, '临泽县', '620723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2947, 2942, 3, '高台县', '620724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2948, 2942, 3, '山丹县', '620725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2949, 2942, 3, '平凉市', '620800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2950, 2942, 3, '崆峒区', '620802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2951, 2942, 3, '泾川县', '620821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2952, 2942, 3, '灵台县', '620822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2953, 2942, 3, '崇信县', '620823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2954, 2942, 3, '庄浪县', '620825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2955, 2942, 3, '静宁县', '620826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2956, 2942, 3, '华亭市', '620881', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2957, 2909, 2, '酒泉市', '620900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2958, 2957, 3, '肃州区', '620902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2959, 2957, 3, '金塔县', '620921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2960, 2957, 3, '瓜州县', '620922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2961, 2957, 3, '肃北蒙古族自治县', '620923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2962, 2957, 3, '阿克塞哈萨克族自治县', '620924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2963, 2957, 3, '玉门市', '620981', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2964, 2957, 3, '敦煌市', '620982', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2965, 2909, 2, '庆阳市', '621000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2966, 2965, 3, '西峰区', '621002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2967, 2965, 3, '庆城县', '621021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2968, 2965, 3, '环县', '621022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2969, 2965, 3, '华池县', '621023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2970, 2965, 3, '合水县', '621024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2971, 2965, 3, '正宁县', '621025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2972, 2965, 3, '宁县', '621026', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2973, 2965, 3, '镇原县', '621027', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2974, 2909, 2, '定西市', '621100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2975, 2974, 3, '安定区', '621102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2976, 2974, 3, '通渭县', '621121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2977, 2974, 3, '陇西县', '621122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2978, 2974, 3, '渭源县', '621123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2979, 2974, 3, '临洮县', '621124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2980, 2974, 3, '漳县', '621125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2981, 2974, 3, '岷县', '621126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2982, 2909, 2, '陇南市', '621200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2983, 2982, 3, '武都区', '621202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2984, 2982, 3, '成县', '621221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2985, 2982, 3, '文县', '621222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2986, 2982, 3, '宕昌县', '621223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2987, 2982, 3, '康县', '621224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2988, 2982, 3, '西和县', '621225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2989, 2982, 3, '礼县', '621226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2990, 2982, 3, '徽县', '621227', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2991, 2982, 3, '两当县', '621228', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2992, 2909, 2, '临夏回族自治州', '622900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2993, 2992, 3, '临夏市', '622901', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2994, 2992, 3, '临夏县', '622921', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2995, 2992, 3, '康乐县', '622922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2996, 2992, 3, '永靖县', '622923', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2997, 2992, 3, '广河县', '622924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2998, 2992, 3, '和政县', '622925', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (2999, 2992, 3, '东乡族自治县', '622926', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3000, 2992, 3, '积石山保安族东乡族撒拉族自治县', '622927', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3001, 2909, 2, '甘南藏族自治州', '623000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3002, 3001, 3, '合作市', '623001', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3003, 3001, 3, '临潭县', '623021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3004, 3001, 3, '卓尼县', '623022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3005, 3001, 3, '舟曲县', '623023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3006, 3001, 3, '迭部县', '623024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3007, 3001, 3, '玛曲县', '623025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3008, 3001, 3, '碌曲县', '623026', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3009, 3001, 3, '夏河县', '623027', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3010, 0, 1, '青海省', '630000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3011, 3010, 2, '西宁市', '630100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3012, 3011, 3, '城东区', '630102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3013, 3011, 3, '城中区', '630103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3014, 3011, 3, '城西区', '630104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3015, 3011, 3, '城北区', '630105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3016, 3011, 3, '湟中区', '630106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3017, 3011, 3, '大通回族土族自治县', '630121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3018, 3011, 3, '湟源县', '630123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3019, 3010, 2, '海东市', '630200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3020, 3019, 3, '乐都区', '630202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3021, 3019, 3, '平安区', '630203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3022, 3019, 3, '民和回族土族自治县', '630222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3023, 3019, 3, '互助土族自治县', '630223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3024, 3019, 3, '化隆回族自治县', '630224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3025, 3019, 3, '循化撒拉族自治县', '630225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3026, 3010, 2, '海北藏族自治州', '632200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3027, 3026, 3, '门源回族自治县', '632221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3028, 3026, 3, '祁连县', '632222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3029, 3026, 3, '海晏县', '632223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3030, 3026, 3, '刚察县', '632224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3031, 3010, 2, '黄南藏族自治州', '632300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3032, 3031, 3, '同仁市', '632301', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3033, 3031, 3, '尖扎县', '632322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3034, 3031, 3, '泽库县', '632323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3035, 3031, 3, '河南蒙古族自治县', '632324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3036, 3010, 2, '海南藏族自治州', '632500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3037, 3036, 3, '共和县', '632521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3038, 3036, 3, '同德县', '632522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3039, 3036, 3, '贵德县', '632523', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3040, 3036, 3, '兴海县', '632524', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3041, 3036, 3, '贵南县', '632525', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3042, 3010, 2, '果洛藏族自治州', '632600', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3043, 3042, 3, '玛沁县', '632621', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3044, 3042, 3, '班玛县', '632622', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3045, 3042, 3, '甘德县', '632623', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3046, 3042, 3, '达日县', '632624', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3047, 3042, 3, '久治县', '632625', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3048, 3042, 3, '玛多县', '632626', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3049, 3010, 2, '玉树藏族自治州', '632700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3050, 3049, 3, '玉树市', '632701', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3051, 3049, 3, '杂多县', '632722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3052, 3049, 3, '称多县', '632723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3053, 3049, 3, '治多县', '632724', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3054, 3049, 3, '囊谦县', '632725', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3055, 3049, 3, '曲麻莱县', '632726', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3056, 3010, 2, '海西蒙古族藏族自治州', '632800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3057, 3056, 3, '格尔木市', '632801', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3058, 3056, 3, '德令哈市', '632802', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3059, 3056, 3, '茫崖市', '632803', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3060, 3056, 3, '乌兰县', '632821', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3061, 3056, 3, '都兰县', '632822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3062, 3056, 3, '天峻县', '632823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3063, 0, 1, '宁夏回族自治区', '640000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3064, 3063, 2, '银川市', '640100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3065, 3064, 3, '兴庆区', '640104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3066, 3064, 3, '西夏区', '640105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3067, 3064, 3, '金凤区', '640106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3068, 3064, 3, '永宁县', '640121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3069, 3064, 3, '贺兰县', '640122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3070, 3064, 3, '灵武市', '640181', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3071, 3063, 2, '石嘴山市', '640200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3072, 3071, 3, '大武口区', '640202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3073, 3071, 3, '惠农区', '640205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3074, 3071, 3, '平罗县', '640221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3075, 3071, 3, '吴忠市', '640300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3076, 3071, 3, '利通区', '640302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3077, 3071, 3, '红寺堡区', '640303', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3078, 3071, 3, '盐池县', '640323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3079, 3071, 3, '同心县', '640324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3080, 3071, 3, '青铜峡市', '640381', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3081, 3063, 2, '固原市', '640400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3082, 3081, 3, '原州区', '640402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3083, 3081, 3, '西吉县', '640422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3084, 3081, 3, '隆德县', '640423', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3085, 3081, 3, '泾源县', '640424', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3086, 3081, 3, '彭阳县', '640425', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3087, 3063, 2, '中卫市', '640500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3088, 3087, 3, '沙坡头区', '640502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3089, 3087, 3, '中宁县', '640521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3090, 3087, 3, '海原县', '640522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3091, 0, 1, '新疆维吾尔自治区', '650000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3092, 3091, 2, '乌鲁木齐市', '650100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3093, 3092, 3, '天山区', '650102', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3094, 3092, 3, '沙依巴克区', '650103', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3095, 3092, 3, '新市区', '650104', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3096, 3092, 3, '水磨沟区', '650105', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3097, 3092, 3, '头屯河区', '650106', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3098, 3092, 3, '达坂城区', '650107', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3099, 3092, 3, '米东区', '650109', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3100, 3092, 3, '乌鲁木齐县', '650121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3101, 3091, 2, '克拉玛依市', '650200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3102, 3101, 3, '独山子区', '650202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3103, 3101, 3, '克拉玛依区', '650203', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3104, 3101, 3, '白碱滩区', '650204', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3105, 3101, 3, '乌尔禾区', '650205', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3106, 3091, 2, '吐鲁番市', '650400', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3107, 3106, 3, '高昌区', '650402', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3108, 3106, 3, '鄯善县', '650421', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3109, 3106, 3, '托克逊县', '650422', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3110, 3091, 2, '哈密市', '650500', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3111, 3110, 3, '伊州区', '650502', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3112, 3110, 3, '巴里坤哈萨克自治县', '650521', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3113, 3110, 3, '伊吾县', '650522', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3114, 3091, 2, '昌吉回族自治州', '652300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3115, 3114, 3, '昌吉市', '652301', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3116, 3114, 3, '阜康市', '652302', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3117, 3114, 3, '呼图壁县', '652323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3118, 3114, 3, '玛纳斯县', '652324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3119, 3114, 3, '奇台县', '652325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3120, 3114, 3, '吉木萨尔县', '652327', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3121, 3114, 3, '木垒哈萨克自治县', '652328', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3122, 3091, 2, '博尔塔拉蒙古自治州', '652700', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3123, 3122, 3, '博乐市', '652701', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3124, 3122, 3, '阿拉山口市', '652702', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3125, 3122, 3, '精河县', '652722', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3126, 3122, 3, '温泉县', '652723', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3127, 3091, 2, '巴音郭楞蒙古自治州', '652800', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3128, 3127, 3, '库尔勒市', '652801', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3129, 3127, 3, '轮台县', '652822', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3130, 3127, 3, '尉犁县', '652823', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3131, 3127, 3, '若羌县', '652824', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3132, 3127, 3, '且末县', '652825', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3133, 3127, 3, '焉耆回族自治县', '652826', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3134, 3127, 3, '和静县', '652827', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3135, 3127, 3, '和硕县', '652828', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3136, 3127, 3, '博湖县', '652829', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3137, 3091, 2, '阿克苏地区', '652900', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3138, 3137, 3, '阿克苏市', '652901', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3139, 3137, 3, '库车市', '652902', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3140, 3137, 3, '温宿县', '652922', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3141, 3137, 3, '沙雅县', '652924', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3142, 3137, 3, '新和县', '652925', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3143, 3137, 3, '拜城县', '652926', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3144, 3137, 3, '乌什县', '652927', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3145, 3137, 3, '阿瓦提县', '652928', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3146, 3137, 3, '柯坪县', '652929', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3147, 3091, 2, '克孜勒苏柯尔克孜自治州', '653000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3148, 3147, 3, '阿图什市', '653001', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3149, 3147, 3, '阿克陶县', '653022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3150, 3147, 3, '阿合奇县', '653023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3151, 3147, 3, '乌恰县', '653024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3152, 3091, 2, '喀什地区', '653100', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3153, 3152, 3, '喀什市', '653101', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3154, 3152, 3, '疏附县', '653121', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3155, 3152, 3, '疏勒县', '653122', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3156, 3152, 3, '英吉沙县', '653123', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3157, 3152, 3, '泽普县', '653124', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3158, 3152, 3, '莎车县', '653125', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3159, 3152, 3, '叶城县', '653126', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3160, 3152, 3, '麦盖提县', '653127', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3161, 3152, 3, '岳普湖县', '653128', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3162, 3152, 3, '伽师县', '653129', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3163, 3152, 3, '巴楚县', '653130', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3164, 3152, 3, '塔什库尔干塔吉克自治县', '653131', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3165, 3091, 2, '和田地区', '653200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3166, 3165, 3, '和田市', '653201', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3167, 3165, 3, '和田县', '653221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3168, 3165, 3, '墨玉县', '653222', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3169, 3165, 3, '皮山县', '653223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3170, 3165, 3, '洛浦县', '653224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3171, 3165, 3, '策勒县', '653225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3172, 3165, 3, '于田县', '653226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3173, 3165, 3, '民丰县', '653227', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3174, 3091, 2, '伊犁哈萨克自治州', '654000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3175, 3174, 3, '伊宁市', '654002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3176, 3174, 3, '奎屯市', '654003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3177, 3174, 3, '霍尔果斯市', '654004', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3178, 3174, 3, '伊宁县', '654021', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3179, 3174, 3, '察布查尔锡伯自治县', '654022', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3180, 3174, 3, '霍城县', '654023', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3181, 3174, 3, '巩留县', '654024', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3182, 3174, 3, '新源县', '654025', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3183, 3174, 3, '昭苏县', '654026', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3184, 3174, 3, '特克斯县', '654027', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3185, 3174, 3, '尼勒克县', '654028', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3186, 3091, 2, '塔城地区', '654200', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3187, 3186, 3, '塔城市', '654201', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3188, 3186, 3, '乌苏市', '654202', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3189, 3186, 3, '额敏县', '654221', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3190, 3186, 3, '沙湾县', '654223', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3191, 3186, 3, '托里县', '654224', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3192, 3186, 3, '裕民县', '654225', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3193, 3186, 3, '和布克赛尔蒙古自治县', '654226', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3194, 3091, 2, '阿勒泰地区', '654300', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3195, 3194, 3, '阿勒泰市', '654301', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3196, 3194, 3, '布尔津县', '654321', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3197, 3194, 3, '富蕴县', '654322', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3198, 3194, 3, '福海县', '654323', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3199, 3194, 3, '哈巴河县', '654324', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3200, 3194, 3, '青河县', '654325', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3201, 3194, 3, '吉木乃县', '654326', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3202, 3194, 3, '石河子市', '659001', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3203, 3194, 3, '阿拉尔市', '659002', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3204, 3194, 3, '图木舒克市', '659003', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3205, 3194, 3, '五家渠市', '659004', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3206, 3194, 3, '北屯市', '659005', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3207, 3194, 3, '铁门关市', '659006', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3208, 3194, 3, '双河市', '659007', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3209, 3194, 3, '可克达拉市', '659008', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3210, 3194, 3, '昆玉市', '659009', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3211, 3194, 3, '胡杨河市', '659010', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3212, 0, 1, '台湾省', '710000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3213, 0, 1, '香港特别行政区', '810000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3214, 0, 1, '澳门特别行政区', '820000', NULL, NULL, NULL, NULL, 0, 1, '2021-01-24 18:37:58', 1, '2021-01-24 18:37:58', 1, 20);
INSERT INTO `sys_city` VALUES (3215, 808, 4, '秣陵街道', '1', NULL, NULL, NULL, NULL, 125, 0, NULL, 0, NULL, 1, 20);
INSERT INTO `sys_city` VALUES (3216, 3215, 5, '软件园村', '2', NULL, NULL, NULL, NULL, 125, 0, NULL, 0, NULL, 1, 20);

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '配置名称',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '配置编码',
  `sort` tinyint NOT NULL COMMENT '排序',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_user` int NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '添加时间',
  `update_user` int NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint(1) NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `index_name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '配置分组表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '网站配置', 'test', 1, '暂无', 1, '2021-06-28 14:13:53', 1, '2021-08-24 15:33:25', 1, 20);
INSERT INTO `sys_config` VALUES (2, '微信公众号', '', 5, NULL, 1, '2021-06-28 14:13:53', 0, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config` VALUES (3, '微信小程序', '', 7, NULL, 1, '2021-06-28 14:13:53', 0, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config` VALUES (4, '阿里短信', '', 9, NULL, 1, '2021-06-28 14:13:53', 0, '2021-06-28 14:13:53', 1, 20);

-- ----------------------------
-- Table structure for sys_config_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_config_data`;
CREATE TABLE `sys_config_data`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '配置标题',
  `code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '配置编码',
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '配置值',
  `options` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '配置项',
  `config_id` int NOT NULL DEFAULT 0 COMMENT '配置ID',
  `type` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '配置类型',
  `status` tinyint(1) NOT NULL DEFAULT 1 COMMENT '状态：1正常 2停用',
  `sort` smallint NOT NULL DEFAULT 0 COMMENT '排序',
  `note` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '配置说明',
  `create_user` int NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '添加时间',
  `update_user` int NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint(1) NOT NULL DEFAULT 1 COMMENT '有效标识：1正常 0删除',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `index_title`(`title` ASC) USING BTREE,
  INDEX `index_code`(`code` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 45 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '配置表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_config_data
-- ----------------------------
INSERT INTO `sys_config_data` VALUES (1, '网站全称', 'site_name', '拓恒5G+AI巡检平台', '', 1, 'text', 1, 1, '暂无', 1, '2021-06-28 14:13:53', 1, '2021-08-16 17:52:48', 1, 20);
INSERT INTO `sys_config_data` VALUES (2, '网站LOGO', 'site_logo', '/images/config/20210802/cd8ze7fv9880xt6nfj.jpg', '', 1, 'image', 1, 5, '', 1, '2021-06-28 14:13:53', 1, '2021-06-29 11:25:45', 1, 20);
INSERT INTO `sys_config_data` VALUES (3, '网站关键词', 'site_keywords', '拓恒5G+AI巡检平台', '', 1, 'text', 1, 15, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (4, '网站描述', 'site_desc', '拓恒5G+AI巡检平台', '', 1, 'textarea', 1, 19, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (5, '网站简称', 'site_nickname', '拓恒5G+AI巡检平台', '', 1, 'text', 1, 3, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (6, '网站网址', 'site_url', '拓恒5G+AI巡检平台', '', 1, 'text', 1, 17, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (7, '版权信息', 'site_copyright', '拓恒5G+AI巡检平台', '', 1, 'text', 1, 13, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (8, '备案号', 'site_record', '拓恒5G+AI巡检平台', '', 1, 'text', 1, 15, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (9, '网站QQ', 'site_qq', '11111', '', 1, 'text', 1, 20, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (10, '网站电话', 'site_phone', '023-888888', '', 1, 'text', 1, 25, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (11, '公司地址', 'site_address', '东吉大道1号江苏软件园', '', 1, 'text', 1, 21, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (12, '网站邮箱', 'site_email', 'tuoheng@qq.com', '', 1, 'text', 1, 23, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (13, '统计代码', 'site_tongji', '暂无', '', 1, 'textarea', 1, 30, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (14, '网站宣传片', 'site_pic', '/images/config/20210802/cd8ze9g0s4qkkffyxw.jpg,/images/config/20210802/cd8zecb02buwiih4kq.jpg,/images/config/20210802/cd8zedp7ltuskbs4m6.jpg,/images/config/20210802/cd8zefefs0ewrhxgaj.jpg,/images/config/20210802/cd8zegd6eldkq8r4sn.jpg,/images/config/20210802/cd8zehzbti9ocgtg6o.jpg,/images/config/20210802/cd8zej8yqql4bna0bx.jpg,/images/config/20210802/cd8zeljhxww4dmumsd.jpg,/images/config/20210812/cdhayk0tly4gu8dmmq.jpg,/images/config/20210824/20210824162512457.jpg', '', 1, 'images', 1, 7, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (15, 'SEO标题', 'site_seo_title', '拓恒5G+AI巡检平台', '', 1, 'text', 1, 9, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (16, 'SEO描述', 'site_seo_desc', '拓恒5G+AI巡检平台', '', 1, 'textarea', 1, 11, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (17, '传真', 'site_fax', '023-888888', '', 1, 'text', 1, 27, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (18, 'AppId', 'wx_appid', 'wxae802963eb8a96cd', '111', 2, 'text', 1, 1, '222', 1, '2021-06-28 14:13:53', 1, '2021-07-22 15:06:59', 1, 20);
INSERT INTO `sys_config_data` VALUES (19, 'AppSecret', 'wx_appsecret', '57b8a986cae98659fhb4a3eeafgb567a', '', 2, 'text', 1, 5, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (20, '微信token', 'wx_token', '暂无', '', 2, 'text', 1, 7, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (21, 'EncodingAESKey', 'wx_aeskey', '暂无', '', 2, 'text', 1, 9, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (22, '消息加密方式', 'wx_encryption', '2', '1:测试一\n2:测试二\n3:测试三', 2, 'radio', 1, 11, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (23, '公众号LOGO', 'wx_logo', '/images/config/20210802/cd8zgznauh7o99mtdi.jpg', '', 2, 'image', 1, 13, '', 1, '2021-06-28 14:13:53', 1, '2021-06-29 11:59:23', 1, 20);
INSERT INTO `sys_config_data` VALUES (24, '微信分享图片', 'wx_share_pic', '/images/config/20210802/cd8zh19eglp4m9mn3w.jpg', '', 2, 'image', 1, 15, '', 1, '2021-06-28 14:13:53', 1, '2021-06-29 11:59:28', 1, 20);
INSERT INTO `sys_config_data` VALUES (25, '微信分享标题', 'wx_share_title', '拓恒5G+AI巡检平台', '', 2, 'text', 1, 17, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (26, '微信分享描述', 'wx_share_desc', '拓恒5G+AI巡检平台', '', 2, 'textarea', 1, 19, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (27, '小程序AppId', 'wechat_appid', 'wxae802963eb8a96cd', '', 3, 'text', 1, 1, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (28, '小程序AppSecret', 'wechat_appsecret', '57b8a986cae98659fhb4a3eeafgb567a', '', 3, 'text', 1, 5, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (29, '小程序名称', 'wechat_name', '微信小程序', '', 3, 'text', 1, 10, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (30, '小程序LOGO', 'wechat_logo', '/images/config/20210802/cd8zjcxdvrx4peptsq.jpg', '', 3, 'image', 1, 15, '', 1, '2021-06-28 14:13:53', 1, '2021-07-29 10:40:38', 1, 20);
INSERT INTO `sys_config_data` VALUES (31, '小程序二维码', 'wechat_code', '/images/config/20210802/cd8zjj4adgi8sdhmc6.jpg', '', 3, 'image', 1, 20, '', 1, '2021-06-28 14:13:53', 1, '2021-06-29 13:37:21', 1, 20);
INSERT INTO `sys_config_data` VALUES (32, '小程序分享标题', 'wechat_share_title', '微信小程序', '', 3, 'text', 1, 25, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (33, '小程序分享描述', 'wechat_share_desc', '拓恒5G+AI巡检平台', '', 3, 'textarea', 1, 30, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (34, 'accessKeyId', 'accessKeyId', 'wxae802963eb8a96cd', '', 4, 'text', 1, 1, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (35, 'accessKeySecret', 'accessKeySecret', '57b8a986cae98659fhb4a3eeafgb567a', '', 4, 'text', 1, 5, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (36, 'regionId', 'regionId', 'cn-hangzhou', '', 4, 'text', 1, 10, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (37, '短信签名', 'signName', '拓恒技术', '', 4, 'text', 1, 15, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (38, '模板Code', 'templateCode', '暂无', '', 4, 'text', 1, 20, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (39, '短信模板', 'sms_tpl', '暂无', '', 4, 'textarea', 1, 25, '', 1, '2021-06-28 14:13:53', 1, '2021-06-28 14:13:53', 1, 20);
INSERT INTO `sys_config_data` VALUES (40, '网站标签', 'site_tags', '1,3,4', '1:复选框1\r\n2：复选框2\r\n3:复选框3\r\n4：复选框4', 1, 'checkbox', 1, 8, '', 1, '2021-06-29 11:55:37', 1, '2021-06-29 11:56:19', 1, 20);
INSERT INTO `sys_config_data` VALUES (41, '投入平台', 'site_platform', '3', '1:淘宝商城\n2:天猫商城\n3:京东商城\n4:拼多多商城\n5:唯品会', 1, 'select', 1, 12, NULL, 1, '2021-06-29 13:47:40', 0, NULL, 1, 20);
INSERT INTO `sys_config_data` VALUES (42, '11', '11', '11', '1', 2, 'image', 0, 1, '1', 1, '2021-07-22 14:36:53', 0, NULL, 1, 20);
INSERT INTO `sys_config_data` VALUES (43, '2', '2', '2', '2', 3, 'ueditor', 0, 2, '2', 1, '2021-07-22 14:37:04', 0, NULL, 1, 20);
INSERT INTO `sys_config_data` VALUES (44, '网站全称', 'site_name', '拓恒技术', '', 1, 'text', 2, 1, '暂无', 1, '2021-08-09 19:25:14', 1, '2021-08-24 17:07:01', 1, 20);

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '部门名称',
  `code` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '部门编码',
  `fullname` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '部门全称',
  `type` tinyint(1) NOT NULL DEFAULT 0 COMMENT '类型：1公司 2子公司 3部门 4小组',
  `pid` int NOT NULL DEFAULT 0 COMMENT '上级ID',
  `sort` smallint NOT NULL DEFAULT 125 COMMENT '排序',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注说明',
  `create_user` int NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint(1) NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `index_pid`(`pid` ASC) USING BTREE,
  INDEX `index_name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '部门表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (1, '拓恒技术有限公司', 'SZ0001', '拓恒技术有限公司', 1, 0, 0, '', 1, '2021-08-02 18:40:27', 1, '2021-08-24 17:08:29', 1, 20);
INSERT INTO `sys_dept` VALUES (2, '研发一区', 'NS001', '研发一区', 3, 1, 1, '', 1, '2021-08-02 18:41:09', 1, '2021-08-24 17:08:55', 1, 20);
INSERT INTO `sys_dept` VALUES (3, '研发二区', 'LH001', '研发二区', 3, 1, 5, '', 1, '2021-08-02 18:41:41', 1, '2021-08-24 17:09:04', 1, 20);
INSERT INTO `sys_dept` VALUES (4, '研发三区', 'FT001', '研发三区', 3, 1, 7, '', 1, '2021-08-02 18:42:09', 1, '2021-08-24 17:09:13', 1, 20);
INSERT INTO `sys_dept` VALUES (5, '南京拓恒研究院', 'SH001', '南京拓恒研究院', 2, 1, 0, '', 1, '2021-08-02 18:43:40', 1, '2021-08-24 17:08:46', 1, 20);
INSERT INTO `sys_dept` VALUES (6, '中间件研发组', 'ZJJ001', '中间件研发组', 4, 5, 0, '暂无', 1, '2021-08-02 18:47:15', 1, '2021-08-24 11:55:30', 1, 20);
INSERT INTO `sys_dept` VALUES (7, '研发四区', 'LC008', '研发四区全程', 3, 6, 1, NULL, 0, '2022-11-29 11:06:42', 0, NULL, 0, 20);
INSERT INTO `sys_dept` VALUES (8, '研发四区', 'TH0011', '研发四区', 3, 5, 3, NULL, 0, '2022-11-29 14:29:13', 0, NULL, 0, 20);
INSERT INTO `sys_dept` VALUES (9, '研发四区', '研发四区', '研发四区', 3, 1, 3, NULL, 0, '2022-11-29 14:30:11', 0, NULL, 0, 20);
INSERT INTO `sys_dept` VALUES (10, '研发四区', '研发四区', '研发四区', 1, 1, 2, NULL, 0, '2022-11-29 14:30:38', 0, NULL, 1, 20);
INSERT INTO `sys_dept` VALUES (11, '研发四区', 'si', '研发四区', 4, 1, 1, NULL, 0, '2022-12-16 13:29:44', 0, NULL, 0, 20);
INSERT INTO `sys_dept` VALUES (12, '研发五区', '研发五区', '研发五区', 3, 0, 1, NULL, 0, '2022-12-29 10:03:00', 0, NULL, 1, 20);
INSERT INTO `sys_dept` VALUES (13, '拓恒技术', 'th01', '拓恒技术', 1, 0, 1, NULL, 0, '2022-12-29 10:06:08', 0, NULL, 1, 21);
INSERT INTO `sys_dept` VALUES (14, '拓恒信息技术', 'th0101', '拓恒信息技术', 2, 13, 2, NULL, 0, '2022-12-29 10:06:44', 0, NULL, 1, 21);
INSERT INTO `sys_dept` VALUES (15, '拓恒部', 'tuohengbu', '拓恒软件部门', 1, 0, 1, NULL, 0, '2023-01-04 13:22:09', 0, NULL, 1, 23);
INSERT INTO `sys_dept` VALUES (16, '托亨', '托亨', '托亨', 1, 0, 1, NULL, 0, '2023-01-07 13:50:09', 0, NULL, 1, 22);

-- ----------------------------
-- Table structure for sys_dict
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict`;
CREATE TABLE `sys_dict`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '字典名称',
  `code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '字典值',
  `sort` smallint NOT NULL DEFAULT 125 COMMENT '显示顺序',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '字典备注',
  `create_user` int NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '添加时间',
  `update_user` int NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint(1) NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict
-- ----------------------------
INSERT INTO `sys_dict` VALUES (1, '云服务器厂家', 'ECS', 1, '暂无', 1, '2021-08-02 18:49:37', 1, '2021-08-24 15:23:55', 0, 20);
INSERT INTO `sys_dict` VALUES (2, '云存储', 'storage', 5, '云存储', 1, '2021-08-02 18:52:13', 0, NULL, 0, 20);
INSERT INTO `sys_dict` VALUES (3, '测试字典', '测试字典', 100, '测试字典', 1, '2021-08-09 19:03:07', 1, '2021-08-16 17:00:48', 0, 20);
INSERT INTO `sys_dict` VALUES (4, '机场环境检查阈值', 'airportThreshold', 1, NULL, 0, '2022-07-20 08:43:03', 0, NULL, 1, 20);
INSERT INTO `sys_dict` VALUES (5, '无人机环境检查阈值', 'droneThreshold', 2, NULL, 0, '2022-07-20 08:43:35', 0, NULL, 1, 20);
INSERT INTO `sys_dict` VALUES (6, '1111', 'droneThreshold', 1, NULL, 0, '2022-11-28 17:18:04', 0, '2022-11-28 17:18:51', 0, 20);
INSERT INTO `sys_dict` VALUES (7, '其他检查3', '10,40', 3, NULL, 0, '2022-12-01 08:41:32', 0, '2022-12-01 08:42:06', 0, 20);
INSERT INTO `sys_dict` VALUES (8, '122', '1234', 23, NULL, 0, '2022-12-02 15:02:28', 0, '2022-12-02 16:32:38', 0, 20);
INSERT INTO `sys_dict` VALUES (9, '机场环境检查阈值', 'airportThreshold', 1, NULL, 0, '2022-12-16 14:40:31', 0, NULL, 1, 21);
INSERT INTO `sys_dict` VALUES (10, '机场环境检查阈值', 'airportThreshold', 1, NULL, 0, '2023-01-04 14:27:04', 0, NULL, 1, 23);
INSERT INTO `sys_dict` VALUES (11, '机场环境检查阈值', 'airportThreshold', 1, NULL, 0, '2023-01-07 11:30:12', 0, NULL, 1, 22);
INSERT INTO `sys_dict` VALUES (12, '无人机环境检查阈值', 'droneThreshold', 2, NULL, 0, '2023-01-07 11:30:28', 0, '2023-01-07 11:30:54', 1, 22);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '字典项名称',
  `code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '字典项值',
  `dict_id` int NOT NULL DEFAULT 0 COMMENT '字典类型ID',
  `status` tinyint(1) NOT NULL DEFAULT 1 COMMENT '状态：1在用 2停用',
  `note` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `sort` smallint NOT NULL DEFAULT 125 COMMENT '显示顺序',
  `create_user` int NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '添加时间',
  `update_user` int NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint(1) NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 42 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典项管理表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, '阿里云服务器', 'ecs', 1, 0, '阿里云服务器', 1, 1, '2021-08-02 18:49:57', 1, '2021-08-24 15:24:04', 1, 20);
INSERT INTO `sys_dict_data` VALUES (2, '腾讯云服务器', 'tengxun', 1, 0, '腾讯云服务器', 5, 1, '2021-08-02 18:51:10', 0, NULL, 1, 20);
INSERT INTO `sys_dict_data` VALUES (3, '百度云服务器', 'baidu', 1, 0, '百度云服务器', 10, 1, '2021-08-02 18:51:31', 0, NULL, 1, 20);
INSERT INTO `sys_dict_data` VALUES (4, '华为云服务器', 'huawei', 1, 0, '华为云服务器', 15, 1, '2021-08-02 18:51:49', 0, NULL, 1, 20);
INSERT INTO `sys_dict_data` VALUES (5, '阿里云存储', 'alioss', 2, 0, '阿里云存储', 1, 1, '2021-08-02 18:52:38', 1, '2021-08-02 18:52:55', 1, 20);
INSERT INTO `sys_dict_data` VALUES (6, '腾讯云存储', 'txoss', 2, 0, '腾讯云存储', 5, 1, '2021-08-02 18:53:11', 0, NULL, 1, 20);
INSERT INTO `sys_dict_data` VALUES (7, '测试111', '测试111', 3, 0, '测试1111111222', 1, 1, '2021-08-09 19:04:39', 1, '2021-08-09 19:04:46', 1, 20);
INSERT INTO `sys_dict_data` VALUES (8, 'Rainfull', '5,10', 4, 1, '降雨量(0.3mm)', 1, 0, '2022-07-20 08:48:38', 0, '2022-12-19 16:55:07', 1, 20);
INSERT INTO `sys_dict_data` VALUES (9, 'WSPD', '2,8', 4, 1, '风速(0.1m/s)', 4, 0, '2022-07-20 08:49:07', 0, '2022-12-19 16:55:21', 1, 20);
INSERT INTO `sys_dict_data` VALUES (10, 'stacount', '10,5', 5, 1, '无人机信号星值（低于10预警，低于5警报）', 1, 0, '2022-07-20 09:42:00', 0, '2022-12-01 08:40:07', 1, 20);
INSERT INTO `sys_dict_data` VALUES (11, 'voltage', '45,36', 5, 1, '电压（低于45预警，低于36报警）', 2, 0, '2022-07-20 09:43:20', 0, '2022-12-01 08:40:57', 1, 20);
INSERT INTO `sys_dict_data` VALUES (12, 'Hum', '7,15', 4, 1, '湿度（0.1%）', 3, 0, '2022-11-28 16:20:03', 0, '2022-11-28 16:24:30', 0, 20);
INSERT INTO `sys_dict_data` VALUES (18, 'Hpa', '10,20', 4, 1, NULL, 6, 0, '2022-11-28 16:57:00', 0, NULL, 0, 20);
INSERT INTO `sys_dict_data` VALUES (19, 'test', '2076,2011', 4, 1, NULL, 1, 0, '2022-11-28 17:04:36', 0, '2022-11-28 17:20:29', 0, 20);
INSERT INTO `sys_dict_data` VALUES (20, 'tset01', '1', 4, 1, NULL, 1, 0, '2022-11-28 17:05:03', 0, NULL, 0, 20);
INSERT INTO `sys_dict_data` VALUES (23, '1', '10,20', 7, 1, NULL, 1, 0, '2022-12-01 08:42:19', 0, NULL, 1, 20);
INSERT INTO `sys_dict_data` VALUES (25, '1234', '123', 4, 1, NULL, 1, 0, '2022-12-02 15:02:15', 0, NULL, 0, 20);
INSERT INTO `sys_dict_data` VALUES (27, 'hun', '11', 4, 1, NULL, 1, 0, '2022-12-05 10:40:56', 0, NULL, 0, 20);
INSERT INTO `sys_dict_data` VALUES (28, 'eer', '5,10', 4, 1, NULL, 1, 0, '2022-12-05 10:41:24', 0, NULL, 0, 20);
INSERT INTO `sys_dict_data` VALUES (29, 'we', '5,10', 4, 1, NULL, 3, 0, '2022-12-05 10:42:25', 0, NULL, 0, 20);
INSERT INTO `sys_dict_data` VALUES (33, 'Hum', '5.10', 4, 1, NULL, 1, 0, '2022-12-05 14:04:25', 0, NULL, 0, 20);
INSERT INTO `sys_dict_data` VALUES (34, 'Hum', '5.1', 4, 1, NULL, 1, 0, '2022-12-05 14:04:37', 0, NULL, 0, 20);
INSERT INTO `sys_dict_data` VALUES (35, 'Hum', '5,10', 4, 1, NULL, 1, 0, '2022-12-06 10:20:57', 0, NULL, 0, 20);
INSERT INTO `sys_dict_data` VALUES (36, 'Rainfull', '20,35', 9, 1, '降雨量(0.3mm)', 1, 0, '2022-12-16 14:40:54', 0, '2023-01-09 11:38:27', 1, 21);
INSERT INTO `sys_dict_data` VALUES (37, 'WSPD', '15,40', 9, 1, '风速(0.1m/s)', 2, 0, '2022-12-16 14:41:13', 0, '2023-01-09 11:38:40', 1, 21);
INSERT INTO `sys_dict_data` VALUES (38, 'Rainfull', '8,18', 10, 1, NULL, 1, 0, '2023-01-04 14:27:32', 0, '2023-01-05 14:03:48', 1, 23);
INSERT INTO `sys_dict_data` VALUES (39, 'WSPD', '5,20', 10, 1, NULL, 2, 0, '2023-01-04 14:27:55', 0, NULL, 1, 23);
INSERT INTO `sys_dict_data` VALUES (40, 'Rainfull', '5,10', 11, 1, '降雨量(0.3mm)', 1, 0, '2023-01-07 11:31:11', 0, '2023-01-07 11:31:23', 1, 22);
INSERT INTO `sys_dict_data` VALUES (41, 'WSPD', '2,8', 11, 1, '风速(0.1m/s)', 2, 0, '2023-01-07 11:32:02', 0, NULL, 1, 22);

-- ----------------------------
-- Table structure for sys_drone_code
-- ----------------------------
DROP TABLE IF EXISTS `sys_drone_code`;
CREATE TABLE `sys_drone_code`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `create_user` bigint NULL DEFAULT NULL,
  `update_user` bigint NULL DEFAULT NULL,
  `tenant_id` int NULL DEFAULT NULL,
  `drone_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '无人机唯一识别码',
  `generate_times` int NOT NULL COMMENT '该code生成次数',
  `flag` int NULL DEFAULT 0,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `unique_drone_code`(`drone_code` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 59 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_drone_code
-- ----------------------------
INSERT INTO `sys_drone_code` VALUES (1, '2022-11-15 15:13:42', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211CEHFS3RL', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (2, '2022-11-15 15:13:46', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211DUGSV388', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (3, '2022-11-15 15:53:07', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211LXU3AJQM', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (4, '2022-11-15 15:53:11', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211RFA0HFSU', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (5, '2022-11-15 15:53:11', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211VWI8KWRD', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (6, '2022-11-15 15:53:12', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211PQVB5TMZ', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (7, '2022-11-15 15:53:13', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211W2Q19INS', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (8, '2022-11-15 15:53:13', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211FJXC2D3A', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (9, '2022-11-15 15:53:14', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211QN5LR8HI', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (10, '2022-11-15 15:53:14', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A22114PK3ZJFO', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (11, '2022-11-15 15:53:15', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211ZN4O46GC', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (12, '2022-11-15 15:53:15', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A221112JXB3A8', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (13, '2022-11-15 15:53:16', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A22119Y1E2JGH', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (14, '2022-11-15 15:53:16', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A22112RUQ5DZ0', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (15, '2022-11-15 15:53:17', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211V33SLCVP', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (16, '2022-11-15 15:53:17', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211TWKAAP93', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (17, '2022-11-15 15:53:17', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211FCWSGLHV', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (18, '2022-11-15 15:53:18', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211CGDTKI4M', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (19, '2022-11-15 15:53:18', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A22112F7PMCVS', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (20, '2022-11-15 15:53:19', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211UWJCZLNM', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (21, '2022-11-15 15:53:20', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211ISG9K8Q9', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (22, '2022-11-15 15:53:20', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211EQIXPAAP', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (23, '2022-11-15 15:53:20', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211HOUTZPTM', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (24, '2022-11-15 15:53:21', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A22110EUE9TYM', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (25, '2022-11-15 16:11:27', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211YITUQ1MW', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (26, '2022-11-15 17:44:29', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211DYF2LO4O', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (27, '2022-11-16 09:46:56', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211NKX834YB', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (28, '2022-11-16 09:47:07', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211VCV8MAG3', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (29, '2022-11-16 09:47:08', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211UP424D44', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (30, '2022-11-16 09:47:09', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A2211B392UGYC', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (31, '2022-11-22 09:39:57', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY01A220824OJUSV4', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (32, '2022-11-22 09:41:54', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSJ03A2211IBK8YGSP', 1, 1, NULL);
INSERT INTO `sys_drone_code` VALUES (33, '2022-11-22 09:49:12', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSJ03A2211XM31UG23', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (34, '2022-11-22 16:36:04', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSJ03A2211PCZLYRKU', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (35, '2022-11-22 16:39:51', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSJ03A2211RVNX218T', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (36, '2022-11-23 08:53:13', '2022-12-15 15:05:10', NULL, NULL, 20, 'TESTJ03A2211X1TBQ9UM', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (37, '2022-11-25 09:33:03', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSJ03A2211FP5FXW1W', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (38, '2022-11-25 09:33:20', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSJ03A2211EA09CZB6', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (39, '2022-11-25 09:33:25', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSJ03A2211VCU8C1E8', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (40, '2022-11-25 09:33:29', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSJ03A2211RW4O8Z7H', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (41, '2022-11-25 09:46:40', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY03A221196MM4FEJ', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (42, '2022-11-25 09:46:41', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY03A2211OUDZ0EK3', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (43, '2022-11-25 09:47:21', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY03A2211ZIOFTDLX', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (44, '2022-11-25 09:47:27', '2022-12-15 15:05:10', NULL, NULL, 20, 'THJSY03A22112BTLPMNR', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (45, NULL, NULL, NULL, NULL, NULL, 'THJSY03A2302DQSRDY9D', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (46, NULL, NULL, NULL, NULL, NULL, 'THJSY03A2302Y5Z56245', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (47, NULL, NULL, NULL, NULL, NULL, 'THJSY03A2302LAWL04N5', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (48, NULL, NULL, NULL, NULL, NULL, 'THJSY03A2302XA8YU45H', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (49, NULL, NULL, NULL, NULL, NULL, 'THJSY03A230206LN0PET', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (50, NULL, NULL, NULL, NULL, NULL, 'THJSY03A23020ELUQLHT', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (51, NULL, NULL, NULL, NULL, NULL, 'THJSY03A2302GDU4WYVZ', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (52, NULL, NULL, NULL, NULL, NULL, 'THJSY03A2302VNNQDRJD', 1, 0, NULL);
INSERT INTO `sys_drone_code` VALUES (53, '2023-02-15 10:41:31', NULL, NULL, NULL, NULL, 'THJSY03A2302T45WJDDG', 1, 1, 'cs');
INSERT INTO `sys_drone_code` VALUES (54, '2023-02-15 10:41:51', NULL, NULL, NULL, NULL, 'THJSY03A2302SKLBC8CJ', 1, 1, 'cs');
INSERT INTO `sys_drone_code` VALUES (55, '2023-02-15 10:41:52', NULL, NULL, NULL, NULL, 'THJSY03A2302UQ4S7M2R', 1, 1, 'cs');
INSERT INTO `sys_drone_code` VALUES (56, '2023-02-15 10:41:53', NULL, NULL, NULL, NULL, 'THJSY03A23022N4HCMN0', 1, 1, 'cs');
INSERT INTO `sys_drone_code` VALUES (57, '2023-02-15 10:41:53', NULL, NULL, NULL, NULL, 'THJSY03A2302M6LDUP3Z', 1, 1, 'cs');
INSERT INTO `sys_drone_code` VALUES (58, '2023-02-15 10:41:54', NULL, NULL, NULL, NULL, 'THJSY03A2302P6FQ1TYG', 1, 1, 'cs');

-- ----------------------------
-- Table structure for sys_example2
-- ----------------------------
DROP TABLE IF EXISTS `sys_example2`;
CREATE TABLE `sys_example2`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '唯一性标识',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '案例名称',
  `type` int UNSIGNED NULL DEFAULT 1 COMMENT '类型：1京东 2淘宝 3拼多多 4唯品会',
  `birthday` datetime NULL DEFAULT NULL COMMENT '出生时间',
  `status` tinyint UNSIGNED NULL DEFAULT 1 COMMENT '状态：1正常 2停用',
  `sort` smallint UNSIGNED NULL DEFAULT 125 COMMENT '显示顺序',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '添加时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '演示案例表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_example2
-- ----------------------------
INSERT INTO `sys_example2` VALUES (1, '案例名称', 1, '2021-03-27 17:36:43', 1, 125, 1, '2021-03-25 07:09:27', 1, '2021-04-29 21:08:49', 1, 20);
INSERT INTO `sys_example2` VALUES (2, '测试123', 3, '2021-03-27 17:36:34', 1, 125, 1, '2021-03-20 00:54:24', 1, '2021-04-29 21:08:48', 1, 20);

-- ----------------------------
-- Table structure for sys_level
-- ----------------------------
DROP TABLE IF EXISTS `sys_level`;
CREATE TABLE `sys_level`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '职级名称',
  `status` tinyint UNSIGNED NULL DEFAULT 1 COMMENT '状态：1正常 2停用',
  `sort` smallint UNSIGNED NULL DEFAULT 125 COMMENT '显示顺序',
  `create_user` int UNSIGNED NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '职级表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_level
-- ----------------------------
INSERT INTO `sys_level` VALUES (1, '董事长', 1, 125, 1, '2020-02-26 02:37:57', 1, '2021-08-24 11:51:13', 1, 20);
INSERT INTO `sys_level` VALUES (2, '总裁办', 1, 125, 1, '2020-03-02 06:59:08', 1, '2020-03-02 07:00:00', 1, 20);
INSERT INTO `sys_level` VALUES (3, '市场总监', 1, 125, 1, '2020-03-02 07:00:18', 0, NULL, 1, 20);
INSERT INTO `sys_level` VALUES (4, '人事总监', 1, 125, 1, '2020-03-02 07:01:05', 1, '2020-03-03 06:38:39', 1, 20);
INSERT INTO `sys_level` VALUES (5, '财务总监', 1, 125, 1, '2020-03-02 07:01:15', 1, '2020-03-02 07:03:03', 1, 20);
INSERT INTO `sys_level` VALUES (6, '销售顾问', 1, 125, 1, '2020-03-02 07:03:07', 0, NULL, 1, 20);
INSERT INTO `sys_level` VALUES (7, '技术总监', 1, 125, 1, '2020-03-02 07:03:35', 0, NULL, 1, 20);
INSERT INTO `sys_level` VALUES (8, '运营总监', 1, 125, 1, '2020-03-02 07:05:09', 0, NULL, 1, 20);
INSERT INTO `sys_level` VALUES (9, '策划总监', 1, 125, 1, '2020-03-02 07:05:17', 1, '2020-06-30 14:27:16', 1, 20);

-- ----------------------------
-- Table structure for sys_login_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_login_log`;
CREATE TABLE `sys_login_log`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '唯一性标识',
  `title` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '日志标题',
  `username` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '登录账号',
  `login_ip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '登录地区',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` tinyint UNSIGNED NULL DEFAULT 1 COMMENT '登录状态：0成功 1失败',
  `type` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '操作类型：1登录系统 2注销系统 3刷新Token',
  `note` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '登录备注',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '登录时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1448 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '登录日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_login_log
-- ----------------------------
INSERT INTO `sys_login_log` VALUES (1, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-08-24 10:41:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (2, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-08-24 10:42:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (3, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-08-24 10:43:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (4, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-08-24 10:44:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (5, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-08-24 10:44:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (6, '注销系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-08-24 17:16:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (7, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-08-24 17:17:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (8, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-08-24 17:17:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (9, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-08-24 17:17:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (10, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-08-24 17:18:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (11, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-08-24 17:18:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (12, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-08-25 16:52:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (13, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-03 14:44:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (14, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-03 15:00:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (15, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-03 15:15:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (16, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-04 09:07:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (17, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-04 09:25:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (18, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-04 10:05:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (19, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-04 10:08:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (20, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-04 10:11:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (21, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-04 10:15:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (22, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-04 10:16:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (23, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-04 10:16:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (24, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-04 10:16:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (25, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-04 10:16:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (26, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-04 10:16:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (27, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-04 10:18:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (28, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-04 10:18:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (29, '登录系统', 'admin', '221.231.194.62', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-04 10:28:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (30, '登录系统', 'admin', '117.136.45.120', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-06 10:52:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (31, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-06 11:15:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (32, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-06 12:19:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (33, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-06 12:20:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (34, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-06 12:21:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (35, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-06 12:21:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (36, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-06 13:31:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (37, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-06 13:33:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (38, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-06 13:33:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (39, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-06 13:38:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (40, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-06 19:41:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (41, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-06 19:54:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (42, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-06 19:54:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (43, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-07 09:02:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (44, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-07 10:39:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (45, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-07 14:33:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (46, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-07 14:33:41', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (47, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-09-07 14:37:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (48, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-08 09:45:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (49, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-08 09:52:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (50, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-08 09:54:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (51, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-08 09:55:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (52, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-08 10:01:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (53, '注销系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-08 10:04:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (54, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-08 10:04:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (55, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-08 10:04:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (56, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-08 10:08:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (57, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-08 10:08:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (58, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-08 10:08:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (59, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-08 10:09:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (60, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-08 14:02:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (61, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-08 14:02:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (62, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-08 14:08:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (63, '注销系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-08 15:18:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (64, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-08 15:18:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (65, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-08 15:34:29', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (66, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-08 15:34:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (67, '登录系统', 'admin', '221.231.167.217', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-08 17:59:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (68, '登录系统', 'admin', '192.168.21.170', '内网IP', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-08 19:20:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (69, '登录系统', 'admin', '192.168.21.170', '内网IP', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-08 19:47:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (70, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 8', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-09 10:29:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (71, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-09 14:07:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (72, '登录系统', 'admin', '122.96.40.172', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-09 15:54:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (73, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-09 16:25:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (74, '注销系统', 'admin', '111.252.176.219', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-10 10:01:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (75, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-10 10:30:41', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (76, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-10 14:31:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (77, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-10 15:56:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (78, '登录系统', 'admin', '49.90.61.108', 'XX XX', 'Apple WebKit', 'Mac OS X (iPhone)', 0, 1, '登录成功', 0, '2021-09-10 15:58:29', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (79, '注销系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-10 16:07:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (80, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-10 16:26:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (81, '注销系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-11 11:46:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (82, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-11 11:46:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (83, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-11 11:46:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (84, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-11 11:46:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (85, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-11 11:46:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (86, '注销系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-11 11:47:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (87, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-11 11:47:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (88, '注销系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-11 11:48:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (89, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-11 11:48:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (90, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-11 11:52:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (91, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-11 11:52:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (92, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-11 11:52:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (93, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-11 11:53:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (94, '注销系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-11 13:50:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (95, '登录系统', 'admin', '49.77.206.136', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-11 13:50:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (96, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 08:51:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (97, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 08:51:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (98, '登录系统', 'admin', '111.252.176.219', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 08:54:01', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (99, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 09:03:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (100, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 09:19:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (101, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 09:20:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (102, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 09:22:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (103, '注销系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-13 09:25:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (104, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 09:25:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (105, '注销系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-13 09:35:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (106, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 09:35:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (107, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 16:24:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (108, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 16:24:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (109, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-13 16:24:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (110, '注销系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-14 08:45:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (111, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 08:46:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (112, '注销系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-14 09:06:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (113, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:07:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (114, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:07:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (115, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:07:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (116, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:08:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (117, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:08:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (118, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:08:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (119, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:08:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (120, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:09:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (121, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:09:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (122, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:09:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (123, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:09:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (124, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:09:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (125, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:09:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (126, '注销系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-14 09:09:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (127, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:09:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (128, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:09:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (129, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:09:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (130, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:09:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (131, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:10:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (132, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:10:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (133, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:10:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (134, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:10:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (135, '注销系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-14 09:11:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (136, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:11:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (137, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:11:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (138, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:11:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (139, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:11:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (140, '注销系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-14 09:12:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (141, '登录系统', 'admin', '221.231.165.36', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 09:12:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (142, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 11:27:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (143, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 13:20:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (144, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 13:27:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (145, '登录系统', 'admin', '111.252.176.219', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 14:06:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (146, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 14:13:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (147, '注销系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-14 14:39:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (148, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 14:40:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (149, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 14:40:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (150, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 14:40:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (151, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 14:43:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (152, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 14:43:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (153, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 14:43:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (154, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 14:43:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (155, '注销系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-14 14:43:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (156, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2021-09-14 14:51:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (157, '登录系统', 'admin', '49.77.206.43', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-14 15:33:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (158, '注销系统', 'admin', '111.252.168.245', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-16 09:55:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (159, '登录系统', 'admin', '61.224.66.149', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-16 09:55:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (160, '登录系统', 'admin', '61.224.66.149', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-18 09:00:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (161, '登录系统', 'admin', '111.252.168.245', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-18 13:48:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (162, '登录系统', 'admin', '111.252.168.245', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-18 16:23:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (163, '注销系统', 'admin', '111.252.168.245', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-18 16:30:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (164, '登录系统', 'admin', '111.252.168.245', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-18 17:14:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (165, '登录系统', 'admin', '111.252.168.245', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-18 17:24:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (166, '登录系统', 'admin', '221.226.197.98', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-21 13:58:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (167, '登录系统', 'admin', '49.77.230.161', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-22 08:43:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (168, '登录系统', 'admin', '221.231.171.235', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-24 09:00:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (169, '注销系统', 'admin', '221.231.171.235', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2021-09-24 09:02:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (170, '登录系统', 'admin', '221.231.171.235', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-24 09:07:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (171, '登录系统', 'admin', '221.231.171.235', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-24 11:40:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (172, '登录系统', 'admin', '221.231.171.235', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-26 08:31:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (173, '登录系统', 'admin', '180.110.160.169', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-27 09:03:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (174, '登录系统', 'admin', '223.104.4.48', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-28 09:01:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (175, '登录系统', 'admin', '223.65.101.70', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-28 21:25:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (176, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-09-30 15:51:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (177, '登录系统', 'admin', '121.225.114.188', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-03 09:31:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (178, '登录系统', 'admin', '121.225.114.188', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2021-10-04 12:34:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (179, '登录系统', 'admin', '121.225.114.188', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-04 15:54:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (180, '登录系统', 'admin', '121.225.114.188', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2021-10-05 13:11:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (181, '登录系统', 'admin', '121.225.114.188', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2021-10-05 13:31:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (182, '登录系统', 'admin', '121.225.114.188', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2021-10-05 13:36:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (183, '登录系统', 'admin', '121.225.114.188', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2021-10-06 16:58:41', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (184, '登录系统', 'admin', '121.225.114.188', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2021-10-10 10:08:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (185, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-11 08:37:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (186, '登录系统', 'admin', '121.225.114.188', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2021-10-12 21:22:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (187, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-10-15 13:26:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (188, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2021-10-15 13:36:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (189, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-18 14:40:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (190, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-18 17:01:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (191, '登录系统', 'admin', '61.224.74.135', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-20 14:41:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (192, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-20 15:31:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (193, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-22 13:36:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (194, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-22 14:45:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (195, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-23 08:34:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (196, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-23 08:38:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (197, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-25 08:39:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (198, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-25 08:48:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (199, '登录系统', 'admin', '122.118.173.193', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-25 17:14:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (200, '登录系统', 'admin', '122.96.46.7', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-27 15:53:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (201, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-29 09:45:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (202, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-29 16:10:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (203, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-29 16:22:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (204, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-10-30 14:50:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (205, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-11-05 13:32:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (206, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-11-05 13:39:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (207, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-11-05 13:43:29', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (208, '登录系统', 'admin', '122.118.166.93', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-11-05 14:01:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (209, '登录系统', 'admin', '221.231.188.117', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-11-10 16:47:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (210, '登录系统', 'admin', '221.231.188.117', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-11-12 08:48:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (211, '登录系统', 'admin', '221.231.188.117', 'XX XX', 'Firefox 9', 'Windows 10', 0, 1, '登录成功', 0, '2021-11-12 10:11:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (212, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-18 11:30:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (213, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-01-19 08:50:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (214, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-01-19 08:51:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (215, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-01-19 08:51:41', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (216, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-01-19 08:52:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (217, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-01-19 08:53:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (218, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-01-19 08:54:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (219, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-19 10:59:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (220, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-19 13:56:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (221, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-01-19 14:11:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (222, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-20 08:39:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (223, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-20 08:48:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (224, '登录系统', 'admin', '223.104.147.34', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-20 11:06:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (225, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-20 11:18:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (226, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-20 11:31:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (227, '登录系统', 'admin', '122.96.33.125', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-21 09:23:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (228, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-01-21 10:13:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (229, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-01-21 10:14:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (230, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-01-21 10:14:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (231, '登录系统', 'admin', '117.136.35.82', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-21 10:24:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (232, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-21 13:46:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (233, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-21 13:47:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (234, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-24 08:39:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (235, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-25 16:31:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (236, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-01-26 08:51:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (237, '登录系统', 'admin', '112.4.55.165', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2022-01-26 19:04:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (238, '登录系统', 'admin', '112.4.55.165', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2022-01-26 19:20:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (239, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-07 08:43:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (240, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-07 15:13:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (241, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-09 11:20:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (242, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-10 11:32:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (243, '登录系统', 'admin', '112.4.42.216', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2022-02-10 20:12:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (244, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-14 08:52:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (245, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-14 16:26:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (246, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-14 17:14:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (247, '登录系统', 'admin', '122.96.40.66', 'XX XX', 'Chrome Mobile', 'Android 1.x', 0, 1, '登录成功', 0, '2022-02-14 17:39:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (248, '登录系统', 'admin', '122.96.33.219', 'XX XX', 'Chrome Mobile', 'Android 1.x', 0, 1, '登录成功', 0, '2022-02-14 17:47:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (249, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-16 08:53:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (250, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-16 10:37:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (251, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-16 10:37:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (252, '登录系统', 'admin', '121.237.39.239', 'XX XX', 'Chrome', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-16 11:41:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (253, '登录系统', 'admin', '122.96.40.66', 'XX XX', 'Chrome Mobile', 'Android 1.x', 0, 1, '登录成功', 0, '2022-02-16 14:36:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (254, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-21 08:37:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (255, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-22 10:26:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (256, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-22 11:17:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (257, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-23 08:46:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (258, '登录系统', 'admin', '117.136.45.121', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-02-24 12:46:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (259, '登录系统', 'admin', '117.136.66.141', 'XX XX', 'Chrome Mobile', 'Android 1.x', 0, 1, '登录成功', 0, '2022-02-28 11:15:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (260, '登录系统', 'admin', '223.104.4.88', 'XX XX', 'Safari', 'Mac OS X', 0, 1, '登录成功', 0, '2022-02-28 19:30:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (261, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-01 09:24:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (262, '登录系统', 'admin', '218.94.34.82', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-02 17:36:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (263, '登录系统', 'admin', '223.104.150.16', 'XX XX', 'Chrome Mobile', 'Android 1.x', 0, 1, '登录成功', 0, '2022-03-02 19:59:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (264, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-03 08:48:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (265, '注销系统', 'admin', '51.79.144.84', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2022-03-04 14:00:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (266, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-04 14:00:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (267, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-07 08:57:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (268, '登录系统', 'admin', '180.115.102.61', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-09 09:52:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (269, '注销系统', 'admin', '180.115.102.61', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2022-03-09 10:21:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (270, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 2, '注销成功', 0, '2022-03-09 13:46:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (271, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-09 13:47:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (272, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-10 09:12:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (273, '登录系统', 'admin', '122.118.160.90', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-11 09:14:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (274, '登录系统', 'admin', '112.4.42.0', 'XX XX', 'Chrome Mobile', 'Android 1.x', 0, 1, '登录成功', 0, '2022-03-11 23:16:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (275, '登录系统', 'admin', '122.192.14.163', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-11 23:16:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (276, '登录系统', 'admin', '49.90.177.98', 'XX XX', 'Apple WebKit', 'Mac OS X (iPhone)', 0, 1, '登录成功', 0, '2022-03-11 23:21:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (277, '登录系统', 'admin', '112.4.42.0', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2022-03-12 09:18:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (278, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-14 08:37:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (279, '登录系统', 'admin', '192.168.20.189', '内网IP', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-14 09:37:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (280, '登录系统', 'admin', '192.168.20.189', '内网IP', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-14 09:37:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (281, '登录系统', 'admin', '192.168.20.189', '内网IP', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-14 09:39:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (282, '登录系统', 'admin', '103.97.201.192', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-22 16:53:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (283, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-23 11:27:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (284, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-23 11:36:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (285, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-23 16:18:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (286, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-25 11:29:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (287, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-25 16:07:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (288, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-28 08:48:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (289, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-28 10:58:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (290, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-28 13:10:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (291, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-29 15:55:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (292, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-03-31 11:00:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (293, '登录系统', 'admin', '112.4.42.0', 'XX XX', 'Chrome 9', 'Mac OS X', 0, 1, '登录成功', 0, '2022-04-04 08:21:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (294, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-04-06 08:39:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (295, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-04-08 14:52:01', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (296, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-04-11 08:41:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (297, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-04-11 09:08:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (298, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-04-11 09:09:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (299, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-04-11 09:18:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (300, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-04-15 15:43:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (301, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-04-20 11:42:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (302, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-04-20 14:35:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (303, '登录系统', 'admin', '192.168.20.189', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-04-21 14:09:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (304, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-04-21 14:23:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (305, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-04-21 14:28:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (306, '登录系统', 'admin', '119.4.177.87', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-04-21 21:06:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (307, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-06 16:31:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (308, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-07 10:07:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (309, '登录系统', 'admin', '114.221.78.48', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-09 19:41:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (310, '登录系统', 'admin', '114.221.78.48', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-09 22:58:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (311, '登录系统', 'admin', '114.221.78.48', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-10 14:43:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (312, '登录系统', 'admin', '114.221.78.48', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-12 14:12:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (313, '登录系统', 'admin', '114.221.78.48', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-12 16:28:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (314, '登录系统', 'admin', '101.204.218.121', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-13 10:05:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (315, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-06-13 17:24:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (316, '登录系统', 'admin', '114.221.78.48', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-14 22:14:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (317, '登录系统', 'admin', '114.221.78.48', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-14 22:18:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (318, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-15 10:24:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (319, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-15 13:17:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (320, '登录系统', 'admin', '39.144.38.86', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-15 14:06:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (321, '注销系统', 'admin', '39.144.38.86', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-06-15 14:10:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (322, '登录系统', 'admin', '39.144.38.86', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-15 14:10:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (323, '登录系统', 'admin', '101.204.218.121', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-15 17:33:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (324, '登录系统', 'admin', '101.204.218.121', 'XX XX', 'Firefox 7', 'Linux', 0, 1, '登录成功', 0, '2022-06-15 17:41:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (325, '注销系统', 'admin', '101.204.218.121', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-06-15 17:46:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (326, '登录系统', 'admin', '101.204.218.121', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-15 17:50:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (327, '注销系统', 'admin', '101.204.218.121', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-06-15 17:50:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (328, '登录系统', 'admin', '192.168.20.191', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-17 20:33:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (329, '登录系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-18 09:24:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (330, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-20 10:53:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (331, '登录系统', 'admin', '54.169.149.233', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-20 11:09:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (332, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-20 11:23:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (333, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-20 16:48:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (334, '登录系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-21 09:30:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (335, '注销系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-06-21 09:32:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (336, '登录系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-21 09:32:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (337, '登录系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-21 09:43:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (338, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-21 10:13:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (339, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-21 10:27:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (340, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-21 10:53:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (341, '登录系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-24 14:37:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (342, '登录系统', 'admin', '223.104.150.73', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-24 14:43:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (343, '登录系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-27 08:39:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (344, '登录系统', 'admin', '61.224.95.53', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-28 09:37:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (345, '登录系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-28 13:49:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (346, '登录系统', 'admin', '117.136.66.138', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-28 15:11:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (347, '登录系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-28 16:48:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (348, '登录系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-28 20:52:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (349, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-06-29 13:30:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (350, '登录系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-29 15:13:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (351, '登录系统', 'admin', '221.231.169.253', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-06-29 16:01:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (352, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-04 08:43:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (353, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-04 14:28:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (354, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-04 16:45:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (355, '登录系统', 'admin', '121.89.219.203', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-05 13:46:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (356, '登录系统', 'admin', '121.89.219.203', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-05 14:04:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (357, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-05 14:07:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (358, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-05 14:46:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (359, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-08 10:09:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (360, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-08 10:10:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (361, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:40:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (362, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:45:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (363, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:52:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (364, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:52:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (365, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (366, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (367, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (368, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (369, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (370, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (371, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (372, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (373, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (374, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (375, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (376, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:53:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (377, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 10:59:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (378, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-08 11:12:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (379, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-11 19:44:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (380, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 09:00:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (381, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 09:01:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (382, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 09:02:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (383, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 09:02:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (384, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 11:27:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (385, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:30:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (386, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 11:36:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (387, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:36:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (388, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 11:39:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (389, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:39:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (390, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 11:40:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (391, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:40:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (392, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:40:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (393, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:40:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (394, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 11:41:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (395, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:41:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (396, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:41:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (397, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 11:42:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (398, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:42:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (399, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:42:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (400, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:42:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (401, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 11:43:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (402, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 11:43:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (403, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 11:43:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (404, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:43:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (405, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:48:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (406, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 11:48:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (407, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:11:29', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (408, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 13:11:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (409, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:11:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (410, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 13:18:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (411, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-12 13:27:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (412, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:27:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (413, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:28:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (414, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:29:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (415, '注销系统', 'admin', '212.107.29.7', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-12 13:32:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (416, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:33:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (417, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:34:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (418, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:35:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (419, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:38:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (420, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:39:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (421, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 13:39:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (422, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:39:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (423, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 13:52:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (424, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:53:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (425, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:53:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (426, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 13:53:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (427, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:53:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (428, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:53:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (429, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 13:55:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (430, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:55:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (431, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:55:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (432, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:56:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (433, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:56:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (434, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 13:57:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (435, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:57:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (436, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:57:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (437, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:59:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (438, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:59:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (439, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 13:59:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (440, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 14:01:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (441, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 14:01:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (442, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 14:04:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (443, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 14:05:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (444, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 14:05:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (445, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 14:14:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (446, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 14:14:29', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (447, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 14:14:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (448, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 14:14:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (449, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 14:22:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (450, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 14:23:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (451, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 14:57:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (452, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 15:01:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (453, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 15:02:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (454, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 15:10:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (455, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 15:11:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (456, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 15:13:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (457, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 15:13:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (458, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 15:14:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (459, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 15:14:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (460, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 15:17:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (461, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 15:17:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (462, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 16:06:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (463, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 16:06:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (464, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-12 16:06:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (465, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 16:09:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (466, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 16:10:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (467, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-12 16:11:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (468, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 08:41:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (469, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 16:30:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (470, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 16:32:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (471, '登录系统', 'admin', '192.168.20.135', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 16:38:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (472, '登录系统', 'admin', '192.168.20.146', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 16:39:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (473, '登录系统', 'admin', '192.168.20.135', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 17:09:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (474, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 17:21:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (475, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 17:24:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (476, '登录系统', 'admin', '192.168.20.178', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 17:30:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (477, '登录系统', 'admin', '192.168.20.146', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 17:53:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (478, '登录系统', 'admin', '192.168.20.178', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 17:54:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (479, '登录系统', 'admin', '192.168.20.146', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-13 18:03:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (480, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-14 08:35:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (481, '登录系统', 'admin', '192.168.20.135', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-14 08:42:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (482, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-14 08:48:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (483, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-15 08:31:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (484, '登录系统', 'admin', '185.169.199.202', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-15 10:02:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (485, '登录系统', 'admin', '212.107.29.4', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-15 10:15:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (486, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-15 12:31:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (487, '登录系统', 'admin', '212.107.29.4', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-18 08:38:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (488, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-18 16:30:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (489, '登录系统', 'admin', '221.231.169.218', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-18 16:32:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (490, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-18 16:32:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (491, '登录系统', 'admin', '212.107.29.4', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-18 17:08:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (492, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-19 14:15:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (493, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-19 14:15:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (494, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-19 14:16:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (495, '登录系统', 'admin', '212.107.29.4', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-19 15:37:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (496, '登录系统', 'admin', '121.237.232.162', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-19 23:30:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (497, '登录系统', 'admin', '221.231.168.135', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-20 09:44:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (498, '登录系统', 'admin', '212.107.29.4', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-20 10:58:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (499, '注销系统', 'admin', '212.107.29.4', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-20 10:59:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (500, '登录系统', 'admin', '212.107.29.4', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-20 10:59:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (501, '登录系统', 'admin', '212.107.29.4', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-20 13:16:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (502, '注销系统', 'admin', '212.107.29.4', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-20 13:19:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (503, '登录系统', 'admin', '212.107.29.4', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-20 13:19:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (504, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-21 10:11:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (505, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-21 10:13:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (506, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-21 10:27:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (507, '登录系统', 'admin', '221.231.168.135', 'XX XX', 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-07-21 17:21:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (508, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-21 17:23:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (509, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-07-22 10:44:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (510, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:17:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (511, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:19:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (512, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-22 13:20:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (513, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:20:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (514, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-22 13:23:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (515, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:23:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (516, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-22 13:25:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (517, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:25:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (518, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-22 13:25:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (519, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:25:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (520, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-22 13:27:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (521, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:27:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (522, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:27:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (523, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-22 13:28:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (524, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:28:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (525, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-22 13:29:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (526, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:29:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (527, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:31:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (528, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-22 13:34:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (529, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:34:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (530, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-07-22 13:35:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (531, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-22 13:35:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (532, '登录系统', 'admin', '221.231.168.135', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-23 10:31:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (533, '登录系统', 'admin', '221.231.168.135', 'XX XX', 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-07-23 10:51:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (534, '登录系统', 'admin', '221.231.168.145', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-25 09:18:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (535, '登录系统', 'admin', '221.231.187.206', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-26 10:14:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (536, '登录系统', 'admin', '114.222.230.164', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-27 09:02:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (537, '登录系统', 'admin', '114.221.103.7', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-07-28 11:40:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (538, '登录系统', 'admin', '114.222.120.183', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-01 08:57:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (539, '登录系统', 'admin', '114.222.120.183', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-01 09:00:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (540, '登录系统', 'admin', '114.222.228.56', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-02 08:36:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (541, '登录系统', 'admin', '114.222.228.56', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-02 09:34:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (542, '登录系统', 'admin', '221.231.194.159', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-02 13:18:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (543, '登录系统', 'admin', '114.222.228.56', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-03 11:11:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (544, '登录系统', 'admin', '122.194.1.186', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-03 15:59:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (545, '注销系统', 'admin', '114.221.103.110', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-04 10:00:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (546, '登录系统', 'admin', '5.180.44.74', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-04 10:06:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (547, '登录系统', 'admin', '223.104.150.81', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-04 11:38:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (548, '登录系统', 'admin', '221.231.194.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-05 13:59:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (549, '登录系统', 'admin', '221.231.195.172', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-05 15:19:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (550, '登录系统', 'admin', '221.231.195.172', 'XX XX', 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-08-05 16:13:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (551, '登录系统', 'admin', '221.231.194.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-08 08:44:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (552, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-08 14:05:29', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (553, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-08 15:14:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (554, '登录系统', 'admin', '221.231.194.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-08 15:19:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (555, '登录系统', 'admin', '121.89.219.203', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-08 15:30:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (556, '登录系统', 'admin', '192.168.20.135', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-09 10:51:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (557, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-09 11:33:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (558, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-09 17:27:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (559, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-09 17:27:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (560, '登录系统', 'admin', '121.89.219.203', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-09 17:27:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (561, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-09 17:27:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (562, '注销系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-10 13:10:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (563, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-10 13:11:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (564, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-10 13:30:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (565, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-10 15:53:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (566, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-10 15:54:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (567, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-10 16:13:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (568, '登录系统', 'admin', '121.89.219.203', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-10 16:13:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (569, '登录系统', 'admin', '121.89.219.203', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-10 16:14:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (570, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-10 16:44:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (571, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-10 16:50:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (572, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-10 16:51:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (573, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-10 17:21:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (574, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-10 17:21:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (575, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-10 17:36:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (576, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-11 09:12:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (577, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-11 09:56:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (578, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-11 13:09:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (579, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-11 13:14:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (580, '注销系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-11 13:14:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (581, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-11 13:14:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (582, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-11 15:15:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (583, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-11 16:30:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (584, '登录系统', 'admin', '183.206.16.196', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-11 19:24:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (585, '登录系统', 'admin', '122.96.40.184', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-11 19:29:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (586, '登录系统', 'admin', '183.206.16.196', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-11 21:22:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (587, '登录系统', 'admin', '223.104.4.43', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-12 09:16:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (588, '注销系统', 'admin', '180.110.160.82', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-12 09:43:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (589, '登录系统', 'admin', '180.110.160.82', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-12 10:39:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (590, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-12 10:42:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (591, '登录系统', 'admin', '180.110.160.181', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-12 13:36:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (592, '登录系统', 'admin', '221.231.194.233', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-17 17:31:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (593, '注销系统', 'admin', '221.231.194.233', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-17 17:33:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (594, '登录系统', 'admin', '114.222.121.129', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-17 17:38:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (595, '登录系统', 'admin', '221.231.194.233', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-18 10:04:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (596, '登录系统', 'admin', '221.231.194.233', 'XX XX', 'Safari', 'Mac OS X', 0, 1, '登录成功', 0, '2022-08-18 13:52:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (597, '登录系统', 'admin', '114.222.121.129', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-18 13:53:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (598, '注销系统', 'admin', '114.221.103.143', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-19 09:37:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (599, '登录系统', 'admin', '114.221.103.143', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-19 09:37:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (600, '注销系统', 'admin', '114.221.103.143', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-19 09:39:29', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (601, '登录系统', 'admin', '114.221.103.143', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-19 09:39:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (602, '登录系统', 'admin', '114.221.103.143', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-19 14:06:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (603, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-19 14:10:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (604, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-19 14:10:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (605, '登录系统', 'admin', '223.104.150.99', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-19 14:58:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (606, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-19 16:39:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (607, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-19 16:39:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (608, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-19 17:21:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (609, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-19 17:21:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (610, '登录系统', 'admin', '121.89.219.203', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-19 17:21:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (611, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-19 17:21:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (612, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-22 08:35:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (613, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-22 08:47:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (614, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-22 08:47:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (615, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-22 08:48:01', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (616, '登录系统', 'admin', '114.221.102.8', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-22 09:50:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (617, '登录系统', 'admin', '114.221.102.8', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-22 09:50:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (618, '登录系统', 'admin', '114.221.102.8', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-22 13:08:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (619, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-22 13:46:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (620, '登录系统', 'admin', '121.89.219.203', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-22 13:46:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (621, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-22 13:57:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (622, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-22 14:25:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (623, '登录系统', 'admin', '51.79.145.28', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-22 15:22:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (624, '登录系统', 'admin', '39.103.188.159', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-22 16:28:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (625, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-22 16:30:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (626, '登录系统', 'admin', '223.104.150.40', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 08:37:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (627, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-23 08:55:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (628, '登录系统', 'admin', '223.104.150.40', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-23 08:58:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (629, '登录系统', 'admin', '223.104.150.40', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-23 08:59:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (630, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-23 08:59:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (631, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-23 08:59:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (632, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-23 09:05:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (633, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-23 09:05:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (634, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-23 09:05:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (635, '登录系统', 'admin', '223.104.150.40', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 09:12:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (636, '登录系统', 'admin', '223.104.150.40', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-23 09:13:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (637, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 09:16:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (638, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 09:18:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (639, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 09:18:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (640, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 09:19:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (641, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 09:19:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (642, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 09:20:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (643, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 09:20:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (644, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 09:20:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (645, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 09:38:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (646, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 09:38:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (647, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 09:39:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (648, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 09:39:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (649, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 10:01:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (650, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 10:01:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (651, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 10:02:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (652, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 10:03:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (653, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 11:26:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (654, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 15:10:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (655, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 15:20:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (656, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 15:20:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (657, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-23 15:21:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (658, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-23 15:21:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (659, '登录系统', 'admin', '114.221.102.95', 'XX XX', 'Safari', 'Mac OS X', 0, 1, '登录成功', 0, '2022-08-23 17:02:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (660, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-24 09:02:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (661, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-24 09:03:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (662, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-24 09:03:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (663, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-24 11:45:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (664, '登录系统', 'admin', '114.221.102.8', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-24 13:02:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (665, '登录系统', 'admin', '51.79.145.192', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-24 13:15:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (666, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-24 13:21:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (667, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-24 13:21:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (668, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-24 13:21:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (669, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-24 13:22:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (670, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-24 13:22:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (671, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-24 13:23:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (672, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-24 13:23:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (673, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-24 13:23:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (674, '注销系统', 'admin', '114.221.102.95', 'XX XX', 'Safari', 'Mac OS X', 0, 2, '注销成功', 0, '2022-08-24 16:31:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (675, '登录系统', 'admin', '114.221.102.95', 'XX XX', 'Safari', 'Mac OS X', 0, 1, '登录成功', 0, '2022-08-24 16:31:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (676, '登录系统', 'admin', '114.221.102.95', 'XX XX', 'Safari', 'Mac OS X', 0, 1, '登录成功', 0, '2022-08-24 16:31:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (677, '登录系统', 'admin', '114.221.102.95', 'XX XX', 'Safari', 'Mac OS X', 0, 1, '登录成功', 0, '2022-08-24 16:31:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (678, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-25 10:23:01', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (679, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-25 10:26:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (680, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-25 10:27:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (681, '登录系统', 'admin', '114.221.102.8', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-25 10:28:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (682, '登录系统', 'admin', '114.221.102.8', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-25 10:28:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (683, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-25 10:32:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (684, '注销系统', 'admin', '114.221.102.8', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-25 10:36:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (685, '登录系统', 'admin', '114.221.102.8', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-25 10:36:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (686, '登录系统', 'admin', '114.221.102.8', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-25 10:36:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (687, '注销系统', 'admin', '114.221.102.8', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-25 10:37:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (688, '注销系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-25 10:38:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (689, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-25 10:42:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (690, '注销系统', 'admin', '114.221.102.8', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-25 11:18:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (691, '登录系统', 'admin', '114.221.102.8', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-25 11:19:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (692, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-25 13:37:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (693, '登录系统', 'admin', '221.231.192.141', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-29 10:12:41', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (694, '注销系统', 'admin', '221.231.172.50', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-29 14:05:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (695, '登录系统', 'admin', '221.231.172.50', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-29 14:05:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (696, '登录系统', 'admin', '221.231.172.50', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-29 16:14:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (697, '登录系统', 'admin', '221.231.172.50', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-29 16:14:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (698, '登录系统', 'admin', '221.231.172.50', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-29 16:14:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (699, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-30 09:36:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (700, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-30 09:36:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (701, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-30 09:41:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (702, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-08-30 09:41:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (703, '登录系统', 'admin', '180.102.207.101', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-30 15:30:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (704, '注销系统', 'admin', '180.110.161.83', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-31 16:49:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (705, '登录系统', 'admin', '180.110.161.83', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-31 16:49:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (706, '注销系统', 'admin', '180.110.161.83', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-08-31 16:50:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (707, '登录系统', 'admin', '221.231.172.50', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-31 16:52:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (708, '登录系统', 'admin', '180.110.161.83', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-31 17:02:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (709, '登录系统', 'admin', '221.231.172.50', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-08-31 17:22:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (710, '登录系统', 'admin', '180.110.161.83', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-01 09:33:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (711, '登录系统', 'admin', '223.104.150.119', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-01 10:05:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (712, '注销系统', 'admin', '180.110.161.83', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-01 12:54:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (713, '登录系统', 'admin', '180.110.161.83', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-01 12:54:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (714, '登录系统', 'admin', '180.110.161.83', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-01 17:22:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (715, '登录系统', 'admin', '180.110.161.83', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-01 17:49:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (716, '注销系统', 'admin', '114.222.121.117', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-02 08:36:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (717, '登录系统', 'admin', '221.231.172.50', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-02 08:38:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (718, '登录系统', 'admin', '51.79.145.174', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-02 10:30:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (719, '登录系统', 'admin', '114.222.121.117', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-02 13:20:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (720, '登录系统', 'admin', '114.222.121.117', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-02 14:11:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (721, '注销系统', 'admin', '114.222.121.117', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-02 14:12:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (722, '登录系统', 'admin', '114.222.121.117', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-02 14:12:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (723, '注销系统', 'admin', '114.222.121.117', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-02 14:12:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (724, '登录系统', 'admin', '114.222.121.117', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-02 14:12:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (725, '登录系统', 'admin', '221.231.172.50', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-03 11:01:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (726, '登录系统', 'admin', '221.231.172.50', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-05 08:39:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (727, '登录系统', 'admin', '221.231.172.50', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-05 10:09:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (728, '登录系统', 'admin', '221.231.171.223', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-05 10:28:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (729, '登录系统', 'admin', '221.231.171.223', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-05 10:29:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (730, '注销系统', 'admin', '221.231.171.223', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-05 10:29:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (731, '登录系统', 'admin', '221.231.171.223', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-05 10:45:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (732, '登录系统', 'admin', '221.231.171.223', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-05 11:19:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (733, '登录系统', 'admin', '221.231.172.50', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-05 14:47:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (734, '注销系统', 'admin', '51.79.145.192', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-06 09:42:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (735, '登录系统', 'admin', '51.79.220.122', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-06 09:43:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (736, '登录系统', 'admin', '180.102.242.54', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-07 08:54:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (737, '登录系统', 'admin', '117.136.45.158', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-07 13:48:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (738, '登录系统', 'admin', '221.231.171.223', 'XX XX', 'Safari', 'Mac OS X', 0, 1, '登录成功', 0, '2022-09-07 14:40:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (739, '登录系统', 'admin', '180.102.242.54', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-07 15:18:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (740, '登录系统', 'admin', '114.222.121.160', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-07 16:26:41', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (741, '登录系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-13 08:39:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (742, '注销系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-13 08:40:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (743, '登录系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-13 08:40:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (744, '注销系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-13 08:40:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (745, '登录系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-13 08:41:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (746, '注销系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-13 08:42:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (747, '登录系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-13 08:42:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (748, '登录系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-13 08:43:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (749, '注销系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-13 08:52:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (750, '登录系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-13 08:52:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (751, '注销系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-13 08:54:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (752, '登录系统', 'admin', '114.221.102.229', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-13 08:54:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (753, '登录系统', 'admin', '221.231.189.51', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-13 13:21:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (754, '登录系统', 'admin', '51.79.220.122', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-14 14:16:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (755, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-14 16:51:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (756, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-14 16:51:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (757, '注销系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-15 08:45:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (758, '登录系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-15 08:46:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (759, '登录系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-15 08:46:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (760, '注销系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-15 09:14:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (761, '登录系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-15 09:14:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (762, '登录系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-15 09:20:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (763, '登录系统', 'admin', '223.104.150.35', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-15 17:18:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (764, '登录系统', 'admin', '223.104.150.35', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-15 17:18:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (765, '登录系统', 'admin', '223.104.150.35', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-15 17:28:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (766, '登录系统', 'admin', '223.104.150.35', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-15 17:29:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (767, '登录系统', 'admin', '223.104.150.35', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-15 17:39:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (768, '登录系统', 'admin', '223.104.150.35', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-15 17:40:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (769, '登录系统', 'admin', '180.109.11.66', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-16 09:28:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (770, '登录系统', 'admin', '223.104.150.52', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-16 09:28:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (771, '登录系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-19 10:20:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (772, '注销系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-20 11:41:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (773, '登录系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-20 11:41:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (774, '注销系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-20 11:42:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (775, '登录系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-20 11:42:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (776, '注销系统', 'admin', '180.109.11.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-20 14:37:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (777, '注销系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-21 08:45:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (778, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 08:46:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (779, '登录系统', 'admin', '223.104.150.113', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 08:50:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (780, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 08:54:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (781, '登录系统', 'admin', '223.104.150.113', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 09:01:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (782, '登录系统', 'admin', '103.172.41.150', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 09:18:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (783, '注销系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-21 13:14:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (784, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 13:14:41', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (785, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 13:16:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (786, '注销系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-21 13:32:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (787, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 13:32:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (788, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 14:15:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (789, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-21 16:28:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (790, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-21 16:28:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (791, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-21 16:48:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (792, '注销系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-21 16:51:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (793, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 16:51:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (794, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 16:52:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (795, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 16:56:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (796, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-21 16:57:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (797, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 17:00:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (798, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 17:02:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (799, '注销系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-21 17:03:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (800, '注销系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-21 17:09:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (801, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 17:09:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (802, '注销系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-21 17:10:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (803, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 17:10:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (804, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 17:11:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (805, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 17:15:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (806, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 17:17:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (807, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 17:28:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (808, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-21 17:32:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (809, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-21 17:32:29', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (810, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-21 17:32:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (811, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 17:34:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (812, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-21 17:36:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (813, '登录系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-22 09:43:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (814, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-22 11:34:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (815, '注销系统', 'admin', '49.77.231.11', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-22 13:30:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (816, '注销系统', 'admin', '114.221.103.58', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-11 03:30:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (817, '登录系统', 'admin', '122.96.32.116', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-11 04:43:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (818, '登录系统', 'admin', '122.96.40.207', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-11 21:14:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (819, '登录系统', 'admin', '122.96.40.207', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-11 21:19:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (820, '注销系统', 'admin', '114.221.103.58', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-11 22:40:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (821, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-11 22:41:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (822, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-11 23:46:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (823, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-11 23:47:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (824, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-11 23:47:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (825, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-11 23:48:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (826, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-12 00:39:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (827, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-12 00:44:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (828, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-12 00:48:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (829, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-12 00:54:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (830, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-12 00:54:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (831, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-12 01:00:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (832, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-12 01:08:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (833, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-09-12 01:08:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (834, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-12 02:16:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (835, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-12 02:18:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (836, '登录系统', 'admin', '122.96.40.207', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-12 03:30:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (837, '登录系统', 'admin', '122.96.40.207', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-12 03:34:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (838, '登录系统', 'admin', '122.96.40.207', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-12 03:35:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (839, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-12 04:23:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (840, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-20 16:04:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (841, '登录系统', 'admin', '218.252.153.234', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-20 18:59:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (842, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 15:55:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (843, '登录系统', 'admin', '223.104.150.58', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 15:58:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (844, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 21:15:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (845, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-21 21:20:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (846, '登录系统', 'admin', '117.136.89.104', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-22 00:39:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (847, '登录系统', 'admin', '117.136.89.104', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-22 00:39:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (848, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-22 01:00:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (849, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-22 01:59:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (850, '登录系统', 'admin', '223.104.21.101', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-22 23:27:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (851, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-22 23:47:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (852, '登录系统', 'admin', '116.162.93.234', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 00:02:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (853, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 00:05:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (854, '登录系统', 'admin', '111.23.20.148', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 02:41:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (855, '登录系统', 'admin', '111.23.20.148', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 02:41:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (856, '注销系统', 'admin', '111.23.20.148', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-23 02:42:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (857, '登录系统', 'admin', '111.23.20.148', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 02:42:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (858, '登录系统', 'admin', '218.75.209.166', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 03:37:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (859, '登录系统', 'admin', '218.75.209.166', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 04:06:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (860, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 18:51:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (861, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 20:18:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (862, '登录系统', 'admin', '223.104.21.101', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 22:22:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (863, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 23:39:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (864, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-23 23:55:01', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (865, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 23:55:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (866, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-23 23:55:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (867, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-23 23:57:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (868, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-23 23:58:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (869, '登录系统', 'admin', '218.75.209.166', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-24 00:41:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (870, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-24 01:32:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (871, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-24 04:12:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (872, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-24 04:22:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (873, '登录系统', 'admin', '223.104.21.101', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-24 04:23:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (874, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-24 05:30:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (875, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-24 20:33:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (876, '登录系统', 'admin', '122.192.15.195', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-24 20:47:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (877, '登录系统', 'admin', '223.104.21.101', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-25 23:42:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (878, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-26 00:26:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (879, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-26 00:26:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (880, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-09-26 00:27:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (881, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-26 00:27:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (882, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-26 00:31:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (883, '登录系统', 'admin', '117.136.89.77', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-26 00:33:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (884, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-26 04:54:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (885, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-26 06:44:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (886, '登录系统', 'admin', '223.104.21.101', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-26 08:17:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (887, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-27 00:31:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (888, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-09-27 00:43:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (889, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 10:24:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (890, '登录系统', 'admin', '117.136.88.225', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 11:39:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (891, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 13:31:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (892, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 14:21:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (893, '登录系统', 'admin', '117.136.89.77', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 14:27:53', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (894, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 14:28:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (895, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 14:37:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (896, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 14:57:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (897, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-14 15:06:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (898, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 15:07:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (899, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 17:28:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (900, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-14 18:04:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (901, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 18:04:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (902, '登录系统', 'admin', '117.136.88.66', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 18:09:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (903, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 18:16:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (904, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-14 18:25:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (905, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-14 18:26:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (906, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-15 09:30:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (907, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-15 09:31:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (908, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-15 09:33:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (909, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-15 09:53:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (910, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-15 09:54:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (911, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-15 09:54:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (912, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-15 09:54:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (913, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-15 09:54:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (914, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-15 10:15:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (915, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-15 12:30:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (916, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-15 16:55:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (917, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-15 16:56:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (918, '登录系统', 'admin', '122.96.33.39', 'XX XX', 'Chrome', 'Android 1.x', 0, 1, '登录成功', 0, '2022-10-15 22:14:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (919, '登录系统', 'admin', '122.96.33.39', 'XX XX', 'Chrome', 'Android 1.x', 0, 1, '登录成功', 0, '2022-10-15 22:17:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (920, '登录系统', 'admin', '122.96.33.39', 'XX XX', 'Chrome', 'Android 1.x', 0, 1, '登录成功', 0, '2022-10-16 07:49:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (921, '登录系统', 'admin', '122.96.33.39', 'XX XX', 'Chrome', 'Android 1.x', 0, 1, '登录成功', 0, '2022-10-16 07:50:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (922, '登录系统', 'admin', '122.96.33.39', 'XX XX', 'Chrome', 'Android 1.x', 0, 1, '登录成功', 0, '2022-10-16 08:28:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (923, '登录系统', 'admin', '122.96.33.39', 'XX XX', 'Chrome Mobile', 'Android 1.x', 0, 1, '登录成功', 0, '2022-10-16 08:36:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (924, '登录系统', 'admin', '183.206.17.53', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-16 13:42:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (925, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-17 09:32:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (926, '登录系统', 'admin', '122.96.32.26', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-17 09:39:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (927, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-17 10:04:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (928, '登录系统', 'admin', '39.144.16.153', 'XX XX', 'Chrome 8', 'Android 1.x', 0, 1, '登录成功', 0, '2022-10-17 12:06:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (929, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-17 13:37:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (930, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-17 13:51:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (931, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 8', 'Windows 7', 0, 1, '登录成功', 0, '2022-10-17 16:14:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (932, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-17 16:14:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (933, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-17 16:17:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (934, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-17 16:17:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (935, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-17 16:36:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (936, '登录系统', 'admin', '223.104.21.119', 'XX XX', 'Apple WebKit', 'Mac OS X (iPhone)', 0, 1, '登录成功', 0, '2022-10-17 16:47:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (937, '登录系统', 'admin', '223.104.21.98', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-17 16:52:29', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (938, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-17 17:29:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (939, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-17 17:36:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (940, '登录系统', 'admin', '218.252.152.123', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 08:38:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (941, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 08:45:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (942, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 09:21:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (943, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 09:22:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (944, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 09:30:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (945, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 09:36:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (946, '登录系统', 'admin', '218.252.152.123', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 09:43:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (947, '登录系统', 'admin', '114.221.103.58', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 10:09:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (948, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 10:24:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (949, '登录系统', 'admin', '223.104.21.98', 'XX XX', 'Chrome 10', 'Linux', 0, 1, '登录成功', 0, '2022-10-18 13:48:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (950, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 16:38:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (951, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 16:41:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (952, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-18 17:07:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (953, '登录系统', 'admin', '111.22.75.12', 'XX XX', 'Chrome Mobile', 'Android 1.x', 0, 1, '登录成功', 0, '2022-10-18 21:29:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (954, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-19 08:39:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (955, '登录系统', 'admin', '42.3.74.70', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-19 11:25:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (956, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-19 15:49:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (957, '注销系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-19 16:44:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (958, '登录系统', 'admin', '117.136.89.114', 'XX XX', 'Mobile Safari', 'Mac OS X (iPhone)', 0, 1, '登录成功', 0, '2022-10-19 18:10:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (959, '登录系统', 'admin', '117.136.89.114', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-20 09:36:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (960, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-20 10:59:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (961, '登录系统', 'admin', '114.222.230.248', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-20 16:02:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (962, '登录系统', 'admin', '183.206.19.60', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-10-21 12:52:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (963, '登录系统', 'admin', '183.206.19.60', 'XX XX', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-10-21 12:52:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (964, '登录系统', 'admin', '114.221.103.112', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-21 13:51:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (965, '登录系统', 'admin', '114.221.103.112', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-21 16:05:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (966, '登录系统', 'admin', '114.221.103.112', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-21 16:41:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (967, '登录系统', 'admin', '111.22.75.12', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-23 10:30:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (968, '登录系统', 'admin', '112.20.94.240', 'XX XX', 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-10-23 11:38:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (969, '登录系统', 'admin', '122.96.33.40', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-24 09:30:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (970, '登录系统', 'admin', '117.136.88.250', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-24 10:03:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (971, '登录系统', 'admin', '223.104.21.126', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-24 10:12:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (972, '登录系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-24 10:33:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (973, '登录系统', 'admin', '117.136.88.249', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-25 11:42:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (974, '登录系统', 'admin', '223.104.21.114', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-25 12:26:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (975, '注销系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-25 15:11:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (976, '登录系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-25 15:14:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (977, '登录系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-25 15:15:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (978, '登录系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-25 16:00:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (979, '登录系统', 'admin', '111.22.75.12', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 08:39:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (980, '注销系统', 'admin', '117.136.89.81', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-26 08:48:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (981, '登录系统', 'admin', '117.136.89.120', 'XX XX', 'Mobile Safari', 'Mac OS X (iPhone)', 0, 1, '登录成功', 0, '2022-10-26 09:02:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (982, '登录系统', 'admin', '111.23.20.148', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 09:33:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (983, '注销系统', 'admin', '180.98.133.255', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-26 09:44:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (984, '登录系统', 'admin', '180.98.133.255', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 09:44:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (985, '注销系统', 'admin', '122.192.15.11', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-26 10:38:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (986, '登录系统', 'admin', '122.192.15.11', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 10:47:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (987, '登录系统', 'admin', '122.192.15.11', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 10:47:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (988, '登录系统', 'admin', '42.3.74.70', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 10:47:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (989, '登录系统', 'admin', '42.3.74.70', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 11:04:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (990, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 11:04:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (991, '登录系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-10-26 11:06:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (992, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-26 11:11:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (993, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 11:12:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (994, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 11:12:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (995, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 11:13:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (996, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-26 11:14:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (997, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-26 11:25:41', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (998, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 11:29:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (999, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 11:37:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1000, '注销系统', 'admin', '122.192.15.11', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-26 11:42:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1001, '注销系统', 'admin', '122.192.15.11', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-26 11:45:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1002, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 11:47:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1003, '登录系统', 'admin', '122.192.15.11', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 11:48:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1004, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-26 12:19:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1005, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 12:19:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1006, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-26 12:23:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1007, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 12:23:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1008, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-26 13:09:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1009, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 13:09:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1010, '登录系统', 'admin', '111.23.20.148', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-26 13:25:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1011, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-27 09:30:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1012, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-27 09:35:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1013, '登录系统', 'admin', '218.75.209.166', 'XX XX', 'Chrome 8', 'Windows 7', 0, 1, '登录成功', 0, '2022-10-27 17:15:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1014, '登录系统', 'admin', '116.162.1.80', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-27 17:52:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1015, '登录系统', 'admin', '117.136.88.80', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-27 18:00:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1016, '登录系统', 'admin', '180.102.243.160', 'XX XX', 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-10-28 09:04:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1017, '登录系统', 'admin', '180.102.243.160', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-28 09:04:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1018, '登录系统', 'admin', '180.102.243.160', 'XX XX', 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-10-28 09:06:01', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1019, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-28 09:44:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1020, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-28 09:53:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1021, '登录系统', 'admin', '218.75.209.166', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-28 10:10:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1022, '登录系统', 'admin', '218.75.209.166', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-28 13:04:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1023, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-28 16:30:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1024, '注销系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 8', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-28 16:36:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1025, '登录系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-28 16:55:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1026, '登录系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-28 16:55:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1027, '登录系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-29 15:24:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1028, '登录系统', 'admin', '114.222.231.199', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-29 16:00:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1029, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-29 16:17:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1030, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-31 08:45:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1031, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-31 08:59:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1032, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-31 09:06:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1033, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-31 09:13:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1034, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-31 09:38:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1035, '登录系统', 'admin', '221.231.170.33', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-31 10:42:46', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1036, '登录系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-31 10:44:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1037, '登录系统', 'admin', '111.23.20.148', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-31 13:32:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1038, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-31 13:59:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1039, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-10-31 13:59:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1040, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-31 13:59:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1041, '登录系统', 'admin', '221.231.170.33', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-10-31 14:29:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1042, '登录系统', 'admin', '39.144.190.2', 'XX XX', 'Safari', 'Mac OS X', 0, 1, '登录成功', 0, '2022-10-31 14:57:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1043, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-11-01 10:27:48', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1044, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-01 10:28:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1045, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-01 16:50:41', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1046, '登录系统', 'admin', '116.162.0.111', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-01 19:30:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1047, '登录系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-02 09:40:56', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1048, '登录系统', 'admin', '218.75.209.166', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-02 10:53:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1049, '注销系统', 'admin', '203.218.252.64', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-11-02 10:53:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1050, '登录系统', 'admin', '203.218.252.64', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-02 10:53:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1051, '注销系统', 'admin', '203.218.252.64', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-11-02 10:58:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1052, '登录系统', 'admin', '203.218.252.64', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-02 10:58:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1053, '登录系统', 'admin', '111.22.75.12', 'XX XX', 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-02 21:27:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1054, '登录系统', 'admin', '111.22.75.12', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-02 21:29:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1055, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-03 08:51:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1056, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-03 09:02:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1057, '登录系统', 'admin', '221.231.166.121', 'XX XX', 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-11-03 13:44:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1058, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-03 14:19:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1059, '登录系统', 'admin', '223.210.11.78', 'XX XX', 'Safari', 'Mac OS X', 0, 1, '登录成功', 0, '2022-11-03 14:25:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1060, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-03 15:02:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1061, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-03 15:03:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1062, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-03 15:04:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1063, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-11-03 15:14:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1064, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-11-03 15:18:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1065, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-03 15:18:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1066, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-03 15:20:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1067, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-03 15:23:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1068, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-03 15:40:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1069, '登录系统', 'admin', '183.206.19.248', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-03 21:08:25', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1070, '登录系统', 'admin', '203.218.252.64', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-04 08:42:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1071, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-04 08:49:26', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1072, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-04 09:05:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1073, '注销系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-11-04 09:05:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1074, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-04 09:05:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1075, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-04 09:07:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1076, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-04 09:07:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1077, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-04 09:09:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1078, '登录系统', 'admin', '203.218.252.64', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-07 08:38:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1079, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-07 09:03:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1080, '登录系统', 'admin', '122.96.32.226', 'XX XX', 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-07 09:13:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1081, '登录系统', 'admin', '221.231.187.17', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-07 09:43:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1082, '登录系统', 'admin', '221.231.170.33', 'XX XX', 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-11-07 11:05:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1083, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-08 13:48:47', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1084, '登录系统', 'admin', '192.168.12.42', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-08 17:16:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1085, '登录系统', 'admin', '192.168.12.76', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-08 17:17:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1086, '登录系统', 'admin', '192.168.12.42', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-08 17:20:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1087, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-09 08:57:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1088, '注销系统', 'admin', '192.168.12.42', '内网IP', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-11-09 14:34:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1089, '登录系统', 'admin', '192.168.12.42', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-09 14:34:41', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1090, '登录系统', 'admin', '192.168.14.2', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-14 08:47:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1091, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-14 14:46:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1092, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-14 15:20:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1093, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-14 15:20:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1094, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-14 15:21:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1095, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-14 15:21:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1096, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-14 15:23:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1097, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-14 15:58:33', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1098, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-14 16:00:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1099, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-11-15 13:12:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1100, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-11-15 13:17:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1101, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-11-15 13:17:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1102, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-11-15 13:18:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1103, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 13:41:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1104, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 13:41:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1105, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 13:42:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1106, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 13:43:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1107, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 13:44:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1108, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 13:45:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1109, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 13:46:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1110, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 13:46:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1111, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 13:48:15', 0, NULL, 0, 20);
INSERT INTO `sys_login_log` VALUES (1112, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 13:50:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1113, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 14:01:29', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1114, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 14:03:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1115, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 14:05:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1116, '登录系统', 'admin', '192.168.14.2', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 14:42:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1117, '登录系统', 'admin', '192.168.12.76', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 15:31:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1118, '登录系统', 'admin', '192.168.14.2', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 15:31:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1119, '登录系统', 'admin', '192.168.12.76', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 15:38:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1120, '登录系统', 'admin', '192.168.14.2', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 15:44:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1121, '登录系统', 'admin', '192.168.12.76', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-15 16:15:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1122, '登录系统', 'admin', '192.168.12.75', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-16 13:22:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1123, '登录系统', 'admin', '192.168.12.83', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-21 16:33:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1124, '登录系统', 'admin', '192.168.12.76', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-22 10:32:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1125, '登录系统', 'admin', '192.168.12.76', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-22 11:12:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1126, '登录系统', 'admin', '192.168.12.76', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-11-22 11:14:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1127, '登录系统', 'admin', '192.168.12.76', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-22 11:16:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1128, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-11-22 13:53:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1129, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-11-22 14:16:01', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1130, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2022-11-22 14:16:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1131, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-23 09:54:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1132, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-23 09:55:59', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1133, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-11-23 09:56:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1134, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-23 09:56:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1135, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-23 11:05:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1136, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-23 13:40:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1137, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-24 13:48:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1138, '登录系统', 'admin', '112.118.36.211', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-24 14:16:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1139, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 08:34:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1140, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 08:35:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1141, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 08:36:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1142, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 08:50:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1143, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 08:55:16', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1144, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 09:09:07', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1145, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-11-25 09:10:19', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1146, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 09:10:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1147, '注销系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-11-25 09:11:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1148, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 09:12:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1149, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 09:12:43', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1150, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 09:14:43', 0, NULL, 0, 20);
INSERT INTO `sys_login_log` VALUES (1151, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 09:14:47', 0, NULL, 0, 20);
INSERT INTO `sys_login_log` VALUES (1152, '登录系统', 'admin', '221.226.114.142', 'XX XX', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-11-25 09:16:00', 0, NULL, 0, 20);
INSERT INTO `sys_login_log` VALUES (1153, '注销系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-02 15:54:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1154, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-02 15:54:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1155, '注销系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-02 15:55:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1156, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-02 15:55:52', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1157, '注销系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-02 16:02:21', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1158, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-02 16:02:30', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1159, '登录系统', 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-02 16:10:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1160, '注销系统', 'admin', '221.226.114.142, 100.127.194.137', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-02 17:10:36', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1161, '登录系统', 'admin', '221.226.114.142, 100.127.194.136', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-02 17:10:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1162, '登录系统', 'admin', '221.226.114.142, 100.127.194.211', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-02 17:14:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1163, '注销系统', 'admin', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-02 17:22:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1164, '登录系统', 'admin', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-02 17:22:39', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1165, '登录系统', 'admin', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-05 08:32:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1166, '登录系统', 'admin', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-05 09:44:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1167, '登录系统', 'admin', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-05 10:40:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1168, '登录系统', 'admin', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-05 10:42:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1169, '登录系统', 'admin', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-05 10:46:27', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1170, '登录系统', 'admin', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-05 11:10:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1171, '注销系统', 'admin', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-05 11:11:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1172, '登录系统', 'admin', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-05 11:11:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1173, '登录系统', 'admin', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-05 11:12:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1174, '注销系统', 'admin', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-05 11:12:40', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1175, '登录系统', 'admin', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-05 11:41:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1176, '注销系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-05 11:43:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1177, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-05 11:43:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1178, '登录系统', 'feishou', '221.231.195.99', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 10:16:06', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1179, '登录系统', 'feishou1', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 10:17:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1180, '登录系统', 'feishou1', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 10:17:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1181, '注销系统', 'feishou1', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-06 10:17:58', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1182, '登录系统', 'feishou1', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 10:18:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1183, '注销系统', 'feishou1', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-06 10:19:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1184, '登录系统', 'feishou1', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 10:19:31', 0, NULL, 0, 20);
INSERT INTO `sys_login_log` VALUES (1185, '登录系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 14:18:49', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1186, '登录系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 14:18:54', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1187, '注销系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-06 14:35:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1188, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 14:35:17', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1189, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 14:38:24', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1190, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 14:57:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1191, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 14:59:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1192, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 15:33:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1193, '登录系统', 'feishou', '112.20.92.76', NULL, 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-12-06 16:05:51', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1194, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 17:07:02', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1195, '登录系统', 'feishou', '221.231.195.99', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-06 17:29:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1196, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-07 08:21:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1197, '登录系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-07 11:03:23', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1198, '登录系统', 'admin', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-08 08:29:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1199, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-09 08:42:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1200, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-09 10:31:13', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1201, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-09 15:20:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1202, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-12 10:34:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1203, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-12 10:47:00', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1204, '登录系统', 'admin123', '49.77.231.80', NULL, 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-12 10:49:10', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1205, '登录系统', 'feishou', '49.77.231.80', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-12 10:55:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1206, '注销系统', 'feishou', '49.77.231.80', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-12 10:57:04', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1207, '登录系统', 'admin123', '49.77.231.80', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-12 10:57:11', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1208, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-12 11:14:20', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1209, '登录系统', 'admin123', '49.77.231.80', NULL, 'Chrome 9', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-12 11:20:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1210, '登录系统', 'admin', '49.77.231.80', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-12 13:46:14', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1211, '注销系统', 'admin', '49.77.231.80', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-12 13:47:03', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1212, '登录系统', 'admin123', '49.77.231.80', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-12 13:47:12', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1213, '登录系统', 'feishou', '49.77.231.80', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-12 14:43:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1214, '登录系统', 'feishou', '117.136.66.141', NULL, 'Apple WebKit', 'Mac OS X (iPhone)', 0, 1, '登录成功', 0, '2022-12-13 09:12:34', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1215, '登录系统', 'admin123', '49.77.206.228', NULL, 'Chrome 8', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-13 09:15:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1216, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-13 10:23:09', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1217, '登录系统', 'feishou', '114.222.228.40', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-13 13:04:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1218, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-13 13:23:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1219, '登录系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-13 15:54:31', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1220, '注销系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-13 15:56:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1221, '登录系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-13 15:56:55', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1222, '登录系统', 'feishou', '117.136.66.141', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-14 11:48:45', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1223, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:02:14', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1224, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-15 15:02:36', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1225, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:03:58', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1226, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:05:42', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1227, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:06:10', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1228, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:08:29', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1229, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:09:44', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1230, '注销系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-15 15:10:26', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1231, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:10:37', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1232, '注销系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-15 15:11:59', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1233, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:12:08', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1234, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-15 15:15:27', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1235, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:15:36', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1236, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:29:43', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1237, '注销系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-15 15:34:08', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1238, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:52:49', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1239, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 15:54:03', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1240, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 16:06:19', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1241, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 16:10:35', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1242, '注销系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-15 16:12:33', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1243, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 16:13:01', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1244, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-15 16:13:16', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1245, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 16:14:20', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1246, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-15 16:14:49', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1247, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 16:15:42', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1248, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 16:17:03', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1249, '登录系统', 'viewer', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-15 16:51:31', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1250, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-16 08:32:05', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1251, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-16 09:39:33', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1252, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-16 13:25:28', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1253, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-16 13:26:02', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1254, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-16 13:34:58', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1255, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-16 13:35:06', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1256, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-16 13:35:09', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1257, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-16 13:36:34', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1258, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-16 13:41:50', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1259, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-16 13:46:10', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1260, '注销系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-16 13:47:12', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1261, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-16 13:47:23', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1262, '登录系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-16 13:49:10', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1263, '注销系统', 'feishou', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-16 13:55:51', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1264, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-16 13:56:05', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1265, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-19 11:01:41', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1266, '注销系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-19 11:02:07', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1267, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-19 11:02:35', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1268, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-19 11:21:24', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1269, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-19 14:02:16', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1270, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-19 14:33:00', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1271, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-19 14:33:32', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1272, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-19 14:46:33', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1273, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-19 14:46:44', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1274, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-19 15:18:20', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1275, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-19 15:18:33', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1276, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-19 15:20:57', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1277, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-19 15:44:09', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1278, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-19 16:51:46', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1279, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-20 10:30:10', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1280, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-20 10:58:02', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1281, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-20 13:53:10', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1282, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-20 15:06:26', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1283, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-20 15:06:34', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1284, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 08:56:09', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1285, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 11:59:17', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1286, '注销系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-26 13:23:19', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1287, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 13:23:32', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1288, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-26 13:31:03', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1289, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 13:31:13', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1290, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-26 14:00:12', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1291, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 14:00:23', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1292, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-26 14:01:41', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1293, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 14:01:56', 0, NULL, 1, NULL);
INSERT INTO `sys_login_log` VALUES (1294, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-26 14:12:29', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1295, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 14:12:38', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1296, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 14:20:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1297, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 15:14:02', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1298, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-26 15:17:38', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1299, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 15:23:39', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1300, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-26 15:23:43', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1301, '登录系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 15:24:00', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1302, '注销系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-26 15:30:06', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1303, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 15:30:16', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1304, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 16:05:12', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1305, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 16:16:17', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1306, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 16:22:31', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1307, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-26 16:33:16', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1308, '登录系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-26 16:33:36', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1309, '注销系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-27 09:07:06', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1310, '登录系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 09:07:19', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1311, '登录系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 09:08:01', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1312, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-27 09:08:17', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1313, '登录系统', 'test2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 09:08:30', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1314, '注销系统', 'test2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-27 09:09:13', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1315, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 09:09:24', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1316, '登录系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 09:11:33', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1317, '注销系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-27 09:39:51', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1318, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 09:40:03', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1319, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-27 09:42:28', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1320, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 09:43:05', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1321, '登录系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 09:45:02', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1322, '注销系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-27 09:45:23', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1323, '登录系统', 'zuhu2test', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 09:46:19', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1324, '注销系统', 'zuhu2test', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-27 09:46:47', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1325, '登录系统', 'test2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 09:46:57', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1326, '注销系统', 'test2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-27 09:47:18', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1327, '登录系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 09:47:26', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1328, '登录系统', 'test1', '49.77.230.186', NULL, 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-12-27 09:58:02', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1329, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-27 10:02:41', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1330, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-27 10:02:53', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1331, '登录系统', 'test1', '180.110.161.187', NULL, 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-12-27 10:18:28', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1332, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-28 08:40:27', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1333, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-28 08:40:48', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1334, '登录系统', 'test01', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-28 08:41:10', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1335, '登录系统', 'zuhu2test', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 08:53:02', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1336, '登录系统', 'zuhu2test', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:00:20', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1337, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:03:03', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1338, '注销系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 09:03:13', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1339, '登录系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:04:12', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1340, '注销系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 09:07:00', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1341, '登录系统', 'zuhu2test', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:07:22', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1342, '登录系统', 'zuhu2test', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:10:33', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1343, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:12:08', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1344, '登录系统', 'zuhu2test', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:19:50', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1345, '注销系统', 'zuhu2test', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 09:28:50', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1346, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:29:02', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1347, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 09:34:54', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1348, '登录系统', 'zuhu2test', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:35:04', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1349, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:49:31', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1350, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 09:51:32', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1351, '登录系统', 'test01', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:51:54', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1352, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:52:54', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1353, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 09:54:28', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1354, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 09:54:37', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1355, '注销系统', 'test01', '221.226.114.142', NULL, 'Firefox 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 10:03:53', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1356, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 10:04:25', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1357, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 10:04:33', 0, NULL, 1, -1);
INSERT INTO `sys_login_log` VALUES (1358, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 10:48:22', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1359, '注销系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 10:50:01', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1360, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 10:50:45', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1361, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 10:51:26', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1362, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 14:01:32', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1363, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2022-12-29 16:59:38', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1364, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2022-12-29 17:00:04', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1365, '登录系统', 'test1', '114.221.102.218', NULL, 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2022-12-30 10:40:35', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1366, '登录系统', 'test1', '153.3.139.73', NULL, 'Chrome 10', 'Windows 7', 0, 1, '登录成功', 0, '2022-12-30 12:04:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1367, '注销系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-03 10:51:37', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1368, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-03 15:06:29', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1369, '登录系统', 'zuhu1', '221.231.194.20', NULL, 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2023-01-04 10:32:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1370, '登录系统', 'zuhu1', '221.231.194.20', NULL, 'Chrome 10', 'Mac OS X', 0, 1, '登录成功', 0, '2023-01-04 10:33:22', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1371, '登录系统', 'zuhu2test', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-04 13:09:35', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1372, '登录系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-04 13:38:24', 0, NULL, 1, 23);
INSERT INTO `sys_login_log` VALUES (1373, '注销系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-04 13:40:00', 0, NULL, 1, 23);
INSERT INTO `sys_login_log` VALUES (1374, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-04 13:40:17', 0, NULL, 1, 23);
INSERT INTO `sys_login_log` VALUES (1375, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-04 13:56:31', 0, NULL, 1, 23);
INSERT INTO `sys_login_log` VALUES (1376, '登录系统', 'tuoheng', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-04 14:17:09', 0, NULL, 1, 23);
INSERT INTO `sys_login_log` VALUES (1377, '登录系统', 'zuhu1', '180.102.242.96', NULL, 'Firefox 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-04 17:45:05', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1378, '注销系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-05 10:55:30', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1379, '登录系统', 'test1', '49.93.87.128', NULL, 'Chrome 10', 'Windows 7', 0, 1, '登录成功', 0, '2023-01-05 15:05:27', 0, NULL, 1, 23);
INSERT INTO `sys_login_log` VALUES (1380, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-06 10:26:08', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1381, '注销系统', 'test2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-06 10:28:50', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1382, '登录系统', 'admin123', '220.246.124.52', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-06 18:19:39', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1383, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-07 11:20:30', 0, NULL, 1, 23);
INSERT INTO `sys_login_log` VALUES (1384, '登录系统', 'zuhu3', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-07 11:22:19', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1385, '注销系统', 'test1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-07 11:53:54', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1386, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-07 11:54:03', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1387, '注销系统', 'zuhu3', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-07 13:09:03', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1388, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-07 13:09:55', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1389, '注销系统', 'thadmin_jc', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-07 13:10:47', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1390, '注销系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-07 13:17:42', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1391, '注销系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-07 13:18:18', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1392, '注销系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-07 13:18:44', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1393, '登录系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-07 13:18:52', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1394, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-07 13:19:01', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1395, '登录系统', 'thadmin_jc', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-07 13:19:35', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1396, '注销系统', 'thadmin_jc', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-07 13:21:24', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1397, '注销系统', 'zuhu4', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-07 15:04:19', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1398, '注销系统', 'admin123', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-10 15:12:59', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1399, '登录系统', 'admin123', '180.102.242.199', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-11 14:23:58', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1400, '注销系统', 'admin123', '180.102.242.199', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-11 14:24:03', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1401, '登录系统', 'zuhu1', '180.102.242.199', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-11 14:24:19', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1402, '注销系统', 'zuhu1', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 2, '注销成功', 0, '2023-01-11 14:25:15', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1403, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-11 14:25:28', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1404, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-14 11:53:45', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1405, '登录系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-14 11:57:13', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1406, '登录系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-16 09:10:02', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1407, '登录系统', 'zuhu2', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-16 09:50:48', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1408, '登录系统', 'test01', '221.226.114.142', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-01-16 11:46:58', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1409, '登录系统', 'test01', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-01-31 15:17:14', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1410, '登录系统', 'test01', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-01-31 15:17:16', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1411, '登录系统', 'test01', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-01-31 16:38:09', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1412, '登录系统', 'zuhu2', '192.168.12.15', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-02-06 16:36:42', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1413, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-02-07 08:47:01', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1414, '登录系统', 'zuhu1', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-02-07 08:47:36', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1415, '登录系统', 'zuhu1', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-02-07 08:47:37', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1416, '登录系统', 'admin123', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-02-07 08:48:18', 0, NULL, 1, 20);
INSERT INTO `sys_login_log` VALUES (1417, '登录系统', 'zuhu2', '192.168.12.15', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-02-16 09:28:50', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1418, '登录系统', 'zuhu2', '192.168.12.15', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-02-16 13:59:19', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1419, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-02-23 17:39:56', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1420, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-02-23 18:15:06', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1421, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-02-23 18:15:08', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1422, '登录系统', 'test01', '192.168.12.106', NULL, 'Chrome 11', 'Windows 10', 0, 1, '登录成功', 0, '2023-03-06 08:26:31', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1423, '登录系统', 'test01', '192.168.12.106', NULL, 'Chrome 11', 'Windows 10', 0, 1, '登录成功', 0, '2023-03-07 09:45:28', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1424, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-27 09:18:29', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1425, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-27 09:18:32', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1426, '登录系统', 'zuhu2', '192.168.12.24', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-27 14:47:16', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1427, '登录系统', 'zuhu2', '192.168.12.24', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-27 14:47:18', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1428, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-27 15:09:11', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1429, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-27 15:17:40', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1430, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-27 15:17:42', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1431, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-27 15:27:30', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1432, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-29 09:14:53', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1433, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-29 09:14:56', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1434, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-29 09:16:56', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1435, '登录系统', 'zuhu2', '192.168.12.24', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-29 09:28:35', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1436, '登录系统', 'zuhu2', '192.168.12.24', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-29 09:28:45', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1437, '登录系统', 'zuhu2', '192.168.12.24', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-03-29 09:32:25', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1438, '登录系统', 'admin123', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-04-12 14:22:16', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1439, '登录系统', 'admin123', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-04-12 14:29:58', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1440, '登录系统', 'admin123', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-04-12 15:39:15', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1441, '登录系统', 'admin123', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-04-13 15:26:53', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1442, '登录系统', 'admin123', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-04-13 15:27:56', 0, NULL, 1, 1);
INSERT INTO `sys_login_log` VALUES (1443, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-04-19 09:25:57', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1444, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-04-22 13:02:09', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1445, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-04-24 14:00:16', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1446, '登录系统', 'zuhu2', '192.168.12.24', NULL, 'Chrome 10', 'Windows 10', 0, 1, '登录成功', 0, '2023-05-04 11:52:38', 0, NULL, 1, 21);
INSERT INTO `sys_login_log` VALUES (1447, '登录系统', 'zuhu2', '127.0.0.1', NULL, 'Unknown', 'Unknown', 0, 1, '登录成功', 0, '2023-05-05 15:46:00', 0, NULL, 1, 21);

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` int NOT NULL DEFAULT 0 COMMENT '父级ID',
  `title` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单标题',
  `icon` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图标',
  `path` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '菜单路径',
  `component` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '菜单组件',
  `target` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '打开方式：0组件 1内链 2外链',
  `permission` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `type` tinyint(1) NOT NULL DEFAULT 0 COMMENT '类型：0菜单 1节点',
  `status` tinyint(1) NULL DEFAULT 1 COMMENT '状态：1正常 2禁用',
  `hide` tinyint(1) NULL DEFAULT 1 COMMENT '是否可见：0可见 1不可见',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `sort` smallint NULL DEFAULT 125 COMMENT '显示顺序',
  `create_user` int NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint(1) NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `index_pid`(`pid` ASC) USING BTREE,
  INDEX `index_name`(`title` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2084 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统菜单表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, 0, '面板主页', 'HomeOutlined', '/dashboard', '', '_self', '', 0, 2, 0, '', 0, 1, '2021-08-08 13:57:48', 1, '2021-09-16 09:59:17', 0, 20);
INSERT INTO `sys_menu` VALUES (2, 1, '工作台', 'AppstoreAddOutlined', '/dashboard/workplace', '/dashboard/workplace', '_self', '', 0, 1, 0, '', 1, 1, '2021-08-08 13:57:48', 1, '2021-09-11 11:24:40', 0, 20);
INSERT INTO `sys_menu` VALUES (3, 1, '数据分析', 'DotChartOutlined', '/dashboard/analysis', '/dashboard/analysis', '_self', '', 0, 1, 0, '', 5, 1, '2021-08-08 13:57:48', 1, '2021-09-11 11:26:54', 0, 20);
INSERT INTO `sys_menu` VALUES (4, 0, '系统管理', 'SettingOutlined', '/system', '', '_self', '', 0, 1, 0, '', 5, 1, '2021-08-08 13:57:48', 1, '2021-10-16 13:31:28', 1, 20);
INSERT INTO `sys_menu` VALUES (5, 4, '用户管理', 'UsergroupAddOutlined', '/system/user', '/system/user', '_self', 'sys:user:view', 0, 1, 0, '', 1, 1, '2021-08-08 13:57:48', 1, '2021-08-24 11:51:00', 1, 20);
INSERT INTO `sys_menu` VALUES (13, 4, '角色管理', 'UngroupOutlined', '/system/role', '/system/role', '_self', 'sys:role:view', 0, 1, 0, '', 5, 1, '2021-08-08 13:57:48', 1, '2021-08-16 10:23:46', 1, 20);
INSERT INTO `sys_menu` VALUES (20, 4, '菜单管理', 'HddOutlined', '/system/menu', '/system/menu', '_self', 'sys:menu:view', 0, 1, 0, '', 10, 1, '2021-08-08 13:57:48', 1, '2021-08-16 10:24:26', 1, 20);
INSERT INTO `sys_menu` VALUES (28, 4, '职级管理', 'AppstoreAddOutlined', '/system/level', '/system/level', '_self', 'sys:level:view', 0, 2, 1, '', 15, 1, '2021-08-08 13:57:48', 1, '2022-07-20 08:39:21', 1, 20);
INSERT INTO `sys_menu` VALUES (36, 4, '岗位管理', 'DeploymentUnitOutlined', '/system/position', '/system/position', '_self', 'sys:position:view', 0, 2, 1, '', 20, 1, '2021-08-08 13:57:48', 1, '2022-07-20 08:39:13', 1, 20);
INSERT INTO `sys_menu` VALUES (43, 4, '部门管理', 'ClusterOutlined', '/system/dept', '/system/dept', '_self', 'sys:dept:view', 0, 1, 0, '', 25, 1, '2021-08-08 13:57:48', 1, '2022-09-05 10:12:07', 1, 20);
INSERT INTO `sys_menu` VALUES (51, 4, '登录日志', 'InsertRowAboveOutlined', '/system/loginlog', '/system/loginlog', '_self', 'sys:loginlog:view', 0, 1, 0, '', 30, 1, '2021-08-08 13:57:48', 1, '2021-08-16 10:25:45', 1, 20);
INSERT INTO `sys_menu` VALUES (56, 4, '操作日志', 'InsertRowBelowOutlined', '/system/operlog', '/system/operlog', '_self', 'sys:operlog:view', 0, 2, 1, '', 35, 1, '2021-08-08 13:57:48', 1, '2022-12-29 10:49:11', 1, 20);
INSERT INTO `sys_menu` VALUES (61, 0, '数据中心', 'AppstoreOutlined', '/data', '', '_self', '', 0, 1, 0, '', 5, 1, '2021-08-08 13:57:48', 1, '2021-08-16 10:32:23', 1, 20);
INSERT INTO `sys_menu` VALUES (62, 61, '字典管理', 'GroupOutlined', '/data/dictionary', '/data/dictionary', '_self', '', 0, 1, 0, '', 1, 1, '2021-08-08 13:57:48', 1, '2021-08-16 10:32:50', 1, 20);
INSERT INTO `sys_menu` VALUES (68, 61, '城市管理', 'DeploymentUnitOutlined', '/data/city', '/data/city', '_self', '', 0, 1, 0, '', 5, 1, '2021-08-08 13:57:48', 1, '2021-08-16 10:33:22', 0, 20);
INSERT INTO `sys_menu` VALUES (76, 61, '配置管理', 'CloudServerOutlined', '/data/config', '/data/config', '_self', '', 0, 1, 1, '', 10, 1, '2021-08-08 13:57:48', 1, '2021-09-13 10:36:59', 1, 20);
INSERT INTO `sys_menu` VALUES (89, 0, '个人中心', 'UserSwitchOutlined', '/user', '', '_self', '', 0, 1, 1, '', 8, 1, '2021-08-08 13:57:48', 1, '2021-09-13 10:37:06', 1, 20);
INSERT INTO `sys_menu` VALUES (90, 89, '个人资料', 'UserAddOutlined', '/user/profile', '/user/profile', '_self', '', 0, 1, 1, '', 1, 1, '2021-08-08 13:57:48', 1, '2021-08-16 10:34:57', 1, 20);
INSERT INTO `sys_menu` VALUES (177, 0, '系统设置', 'SettingOutlined', '/setting', '', '_self', '', 0, 1, 1, '', 29, 1, '2021-08-08 13:57:48', 1, '2021-09-13 10:37:12', 1, 20);
INSERT INTO `sys_menu` VALUES (178, 177, '网站设置', 'GlobalOutlined', '/config/web', '/config/web', '_self', '', 0, 1, 1, '', 1, 1, '2021-08-08 13:57:48', 1, '2021-08-16 10:38:48', 1, 20);
INSERT INTO `sys_menu` VALUES (1210, 5, '查询用户', '', '/user/list', '', '_self', 'sys:user:list', 1, 1, 0, '', 1, 1, '2021-08-15 16:33:29', 1, '2021-08-15 16:33:29', 1, 20);
INSERT INTO `sys_menu` VALUES (1211, 5, '添加用户', '', '/user/add', '', '_self', 'sys:user:add', 1, 1, 0, '', 5, 1, '2021-08-15 16:33:29', 1, '2021-08-15 16:33:29', 1, 20);
INSERT INTO `sys_menu` VALUES (1212, 5, '修改用户', '', '/user/update', '', '_self', 'sys:user:edit', 1, 1, 0, '', 10, 1, '2021-08-15 16:33:29', 1, '2022-12-01 10:55:04', 1, 20);
INSERT INTO `sys_menu` VALUES (1213, 5, '删除用户', '', '/user/delete', '', '_self', 'sys:user:delete', 1, 1, 0, '', 15, 1, '2021-08-15 16:33:29', 1, '2021-08-15 16:33:29', 1, 20);
INSERT INTO `sys_menu` VALUES (1214, 5, '用户详情', '', '/user/detail', '', '_self', 'sys:user:detail', 1, 1, 0, '', 20, 1, '2021-08-15 16:33:29', 1, '2021-08-15 16:33:29', 1, 20);
INSERT INTO `sys_menu` VALUES (1215, 5, '设置状态', '', '/user/status', '', '_self', 'sys:user:status', 1, 1, 0, '', 25, 1, '2021-08-15 16:33:29', 1, '2021-08-15 16:33:29', 1, 20);
INSERT INTO `sys_menu` VALUES (1216, 5, '批量删除', '', '/user/dall', '', '_self', 'sys:user:dall', 1, 1, 0, '', 30, 1, '2021-08-15 16:33:29', 1, '2021-08-15 16:33:29', 1, 20);
INSERT INTO `sys_menu` VALUES (1217, 5, '重置密码', '', '/user/resetPwd', '', '_self', 'sys:user:resetPwd', 1, 1, 0, '', 65, 1, '2021-08-15 16:33:29', 1, '2021-08-15 16:33:29', 1, 20);
INSERT INTO `sys_menu` VALUES (1218, 5, '导出用户', '', '/user/export', '', '_self', 'sys:user:export', 1, 1, 0, '', 50, 1, '2021-08-15 16:33:29', 1, '2021-08-15 16:33:29', 1, 20);
INSERT INTO `sys_menu` VALUES (1219, 5, '导入用户', '', '/user/import', '', '_self', 'sys:user:import', 1, 1, 0, '', 55, 1, '2021-08-15 16:33:29', 1, '2021-08-15 16:33:29', 1, 20);
INSERT INTO `sys_menu` VALUES (1220, 13, '查询角色', '', '/role/list', '', '_self', 'sys:role:list', 1, 1, 0, '', 1, 1, '2021-08-15 16:33:38', 1, '2021-08-15 16:33:38', 1, 20);
INSERT INTO `sys_menu` VALUES (1221, 13, '添加角色', '', '/role/add', '', '_self', 'sys:role:add', 1, 1, 0, '', 5, 1, '2021-08-15 16:33:38', 1, '2021-08-15 16:33:38', 1, 20);
INSERT INTO `sys_menu` VALUES (1222, 13, '修改角色', '', '/role/update', '', '_self', 'sys:role:update', 1, 1, 0, '', 10, 1, '2021-08-15 16:33:38', 1, '2021-08-15 16:33:38', 1, 20);
INSERT INTO `sys_menu` VALUES (1223, 13, '删除角色', '', '/role/delete', '', '_self', 'sys:role:delete', 1, 1, 0, '', 15, 1, '2021-08-15 16:33:38', 1, '2021-08-15 16:33:38', 1, 20);
INSERT INTO `sys_menu` VALUES (1224, 13, '角色详情', '', '/role/detail', '', '_self', 'sys:role:detail', 1, 1, 0, '', 20, 1, '2021-08-15 16:33:38', 1, '2021-08-15 16:33:38', 1, 20);
INSERT INTO `sys_menu` VALUES (1225, 13, '批量删除', '', '/role/dall', '', '_self', 'sys:role:dall', 1, 1, 0, '', 30, 1, '2021-08-15 16:33:38', 1, '2021-08-15 16:33:38', 1, 20);
INSERT INTO `sys_menu` VALUES (1226, 13, '分配权限', '', '/role/permission', '', '_self', 'sys:role:permission', 1, 1, 0, '', 60, 1, '2021-08-15 16:33:38', 1, '2021-08-15 16:33:38', 1, 20);
INSERT INTO `sys_menu` VALUES (1227, 20, '查询菜单', '', '/menu/list', '', '_self', 'sys:menu:list', 1, 1, 0, '', 1, 1, '2021-08-15 16:33:45', 1, '2021-08-15 16:33:45', 1, 20);
INSERT INTO `sys_menu` VALUES (1228, 20, '添加菜单', '', '/menu/add', '', '_self', 'sys:menu:add', 1, 1, 0, '', 5, 1, '2021-08-15 16:33:45', 1, '2021-08-15 16:33:45', 1, 20);
INSERT INTO `sys_menu` VALUES (1229, 20, '修改菜单', '', '/menu/update', '', '_self', 'sys:menu:edit', 1, 1, 0, '', 10, 1, '2021-08-15 16:33:45', 1, '2021-08-15 16:33:45', 1, 20);
INSERT INTO `sys_menu` VALUES (1230, 20, '删除菜单', '', '/menu/delete', '', '_self', 'sys:menu:delete', 1, 1, 0, '', 15, 1, '2021-08-15 16:33:45', 1, '2021-08-15 16:33:45', 1, 20);
INSERT INTO `sys_menu` VALUES (1231, 20, '批量删除', '', '/menu/dall', '', '_self', 'sys:menu:dall', 1, 1, 0, '', 30, 1, '2021-08-15 16:33:45', 1, '2021-08-15 16:33:45', 1, 20);
INSERT INTO `sys_menu` VALUES (1232, 20, '添加子级', '', '/menu/addz', '', '_self', 'sys:menu:addz', 1, 1, 0, '', 35, 1, '2021-08-15 16:33:45', 1, '2021-08-15 16:33:45', 1, 20);
INSERT INTO `sys_menu` VALUES (1233, 20, '全部展开', '', '/menu/expand', '', '_self', 'sys:menu:expand', 1, 1, 0, '', 40, 1, '2021-08-15 16:33:45', 1, '2021-08-15 16:33:45', 1, 20);
INSERT INTO `sys_menu` VALUES (1234, 20, '菜单详情', '', '/menu/detail', '', '_self', 'sys:menu:detail', 1, 1, 0, '', 20, 1, '2021-08-15 16:33:45', 1, '2021-08-15 16:33:45', 1, 20);
INSERT INTO `sys_menu` VALUES (1235, 20, '全部折叠', '', '/menu/collapse', '', '_self', 'sys:menu:collapse', 1, 1, 0, '', 45, 1, '2021-08-15 16:33:45', 1, '2021-08-15 16:33:45', 1, 20);
INSERT INTO `sys_menu` VALUES (1236, 28, '查询职级', '', '/level/list', '', '_self', 'sys:level:list', 1, 1, 1, '', 1, 1, '2021-08-15 16:33:58', 1, '2021-08-15 16:33:58', 1, 20);
INSERT INTO `sys_menu` VALUES (1237, 28, '添加职级', '', '/level/add', '', '_self', 'sys:level:add', 1, 1, 1, '', 5, 1, '2021-08-15 16:33:58', 1, '2021-08-15 16:33:58', 1, 20);
INSERT INTO `sys_menu` VALUES (1238, 28, '修改职级', '', '/level/update', '', '_self', 'sys:level:update', 1, 1, 1, '', 10, 1, '2021-08-15 16:33:58', 1, '2021-08-15 16:33:58', 1, 20);
INSERT INTO `sys_menu` VALUES (1239, 28, '删除职级', '', '/level/delete', '', '_self', 'sys:level:delete', 1, 1, 1, '', 15, 1, '2021-08-15 16:33:58', 1, '2021-08-15 16:33:58', 1, 20);
INSERT INTO `sys_menu` VALUES (1240, 28, '职级详情', '', '/level/detail', '', '_self', 'sys:level:detail', 1, 1, 1, '', 20, 1, '2021-08-15 16:33:58', 1, '2021-08-15 16:33:58', 1, 20);
INSERT INTO `sys_menu` VALUES (1241, 28, '设置状态', '', '/level/status', '', '_self', 'sys:level:status', 1, 1, 1, '', 25, 1, '2021-08-15 16:33:58', 1, '2021-08-15 16:33:58', 1, 20);
INSERT INTO `sys_menu` VALUES (1242, 28, '批量删除', '', '/level/dall', '', '_self', 'sys:level:dall', 1, 1, 1, '', 30, 1, '2021-08-15 16:33:58', 1, '2021-08-15 16:33:58', 1, 20);
INSERT INTO `sys_menu` VALUES (1243, 28, '导出职级', '', '/level/export', '', '_self', 'sys:level:export', 1, 1, 1, '', 50, 1, '2021-08-15 16:33:58', 1, '2021-08-15 16:33:58', 1, 20);
INSERT INTO `sys_menu` VALUES (1244, 28, '导入职级', '', '/level/import', '', '_self', 'sys:level:import', 1, 1, 1, '', 55, 1, '2021-08-15 16:33:58', 1, '2021-08-15 16:33:58', 1, 20);
INSERT INTO `sys_menu` VALUES (1245, 36, '查询岗位', '', '/position/list', '', '_self', 'sys:position:list', 1, 1, 1, '', 1, 1, '2021-08-15 16:34:05', 1, '2021-08-15 16:34:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1246, 36, '添加岗位', '', '/position/add', '', '_self', 'sys:position:add', 1, 1, 1, '', 5, 1, '2021-08-15 16:34:05', 1, '2021-08-15 16:34:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1247, 36, '修改岗位', '', '/position/update', '', '_self', 'sys:position:update', 1, 1, 1, '', 10, 1, '2021-08-15 16:34:05', 1, '2021-08-15 16:34:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1248, 36, '删除岗位', '', '/position/delete', '', '_self', 'sys:position:delete', 1, 1, 1, '', 15, 1, '2021-08-15 16:34:05', 1, '2021-08-15 16:34:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1249, 36, '岗位详情', '', '/position/detail', '', '_self', 'sys:position:detail', 1, 1, 1, '', 20, 1, '2021-08-15 16:34:05', 1, '2021-08-15 16:34:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1250, 36, '设置状态', '', '/position/status', '', '_self', 'sys:position:status', 1, 1, 1, '', 25, 1, '2021-08-15 16:34:05', 1, '2021-08-15 16:34:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1251, 36, '批量删除', '', '/position/dall', '', '_self', 'sys:position:dall', 1, 1, 1, '', 30, 1, '2021-08-15 16:34:05', 1, '2021-08-15 16:34:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1252, 43, '查询部门', '', '/dept/list', '', '_self', 'sys:dept:list', 1, 1, 0, '', 1, 1, '2021-08-15 16:34:12', 1, '2021-08-15 16:34:12', 1, 20);
INSERT INTO `sys_menu` VALUES (1253, 43, '添加部门', '', '/dept/add', '', '_self', 'sys:dept:add', 1, 1, 0, '', 5, 1, '2021-08-15 16:34:12', 1, '2021-08-15 16:34:12', 1, 20);
INSERT INTO `sys_menu` VALUES (1254, 43, '修改部门', '', '/dept/update', '', '_self', 'sys:dept:edit', 1, 1, 0, '', 10, 1, '2021-08-15 16:34:12', 1, '2023-01-04 13:39:48', 1, 20);
INSERT INTO `sys_menu` VALUES (1255, 43, '删除部门', '', '/dept/delete', '', '_self', 'sys:dept:delete', 1, 1, 0, '', 15, 1, '2021-08-15 16:34:12', 1, '2021-08-15 16:34:12', 1, 20);
INSERT INTO `sys_menu` VALUES (1256, 43, '批量删除', '', '/dept/dall', '', '_self', 'sys:dept:dall', 1, 1, 0, '', 30, 1, '2021-08-15 16:34:12', 1, '2021-08-15 16:34:12', 1, 20);
INSERT INTO `sys_menu` VALUES (1257, 43, '添加子级', '', '/dept/addz', '', '_self', 'sys:dept:addz', 1, 1, 0, '', 35, 1, '2021-08-15 16:34:12', 1, '2021-08-15 16:34:12', 1, 20);
INSERT INTO `sys_menu` VALUES (1258, 43, '全部展开', '', '/dept/expand', '', '_self', 'sys:dept:expand', 1, 1, 0, '', 40, 1, '2021-08-15 16:34:12', 1, '2021-08-15 16:34:12', 1, 20);
INSERT INTO `sys_menu` VALUES (1259, 43, '部门详情', '', '/dept/detail', '', '_self', 'sys:dept:detail', 1, 1, 0, '', 20, 1, '2021-08-15 16:34:12', 1, '2021-08-15 16:34:12', 1, 20);
INSERT INTO `sys_menu` VALUES (1260, 51, '查询登录日志', '', '/loginlog/list', '', '_self', 'sys:loginlog:list', 1, 1, 0, '', 1, 1, '2021-08-15 16:34:27', 1, '2021-08-15 16:34:27', 1, 20);
INSERT INTO `sys_menu` VALUES (1261, 51, '删除登录日志', '', '/loginlog/delete', '', '_self', 'sys:loginlog:delete', 1, 1, 0, '', 15, 1, '2021-08-15 16:34:27', 1, '2021-08-15 16:34:27', 1, 20);
INSERT INTO `sys_menu` VALUES (1262, 51, '登录日志详情', '', '/loginlog/detail', '', '_self', 'sys:loginlog:detail', 1, 1, 0, '', 20, 1, '2021-08-15 16:34:27', 1, '2021-08-15 16:34:27', 1, 20);
INSERT INTO `sys_menu` VALUES (1263, 51, '批量删除', '', '/loginlog/dall', '', '_self', 'sys:loginlog:dall', 1, 1, 0, '', 30, 1, '2021-08-15 16:34:27', 1, '2021-08-15 16:34:27', 1, 20);
INSERT INTO `sys_menu` VALUES (1264, 51, '导出登录日志', '', '/loginlog/export', '', '_self', 'sys:loginlog:export', 1, 1, 0, '', 50, 1, '2021-08-15 16:34:27', 1, '2021-08-15 16:34:27', 1, 20);
INSERT INTO `sys_menu` VALUES (1265, 56, '查询操作日志', '', '/operlog/list', '', '_self', 'sys:operlog:list', 1, 1, 1, '', 1, 1, '2021-08-15 16:34:39', 1, '2021-08-15 16:34:39', 1, 20);
INSERT INTO `sys_menu` VALUES (1266, 56, '删除操作日志', '', '/operlog/delete', '', '_self', 'sys:operlog:delete', 1, 1, 1, '', 15, 1, '2021-08-15 16:34:39', 1, '2021-08-15 16:34:39', 1, 20);
INSERT INTO `sys_menu` VALUES (1267, 56, '操作日志详情', '', '/operlog/detail', '', '_self', 'sys:operlog:detail', 1, 1, 1, '', 20, 1, '2021-08-15 16:34:39', 1, '2021-08-15 16:34:39', 1, 20);
INSERT INTO `sys_menu` VALUES (1268, 56, '批量删除', '', '/operlog/dall', '', '_self', 'sys:operlog:dall', 1, 1, 1, '', 30, 1, '2021-08-15 16:34:39', 1, '2021-08-15 16:34:39', 1, 20);
INSERT INTO `sys_menu` VALUES (1269, 56, '导出操作日志', '', '/operlog/export', '', '_self', 'sys:operlog:export', 1, 1, 1, '', 50, 1, '2021-08-15 16:34:39', 1, '2021-08-15 16:34:39', 1, 20);
INSERT INTO `sys_menu` VALUES (1270, 62, '查询字典', '', '/dictionary/list', '', '_self', 'sys:dictionary:index', 1, 1, 0, '', 1, 1, '2021-08-15 16:34:47', 1, '2022-07-22 13:33:40', 1, 20);
INSERT INTO `sys_menu` VALUES (1271, 62, '添加字典', '', '/dictionary/add', '', '_self', 'sys:dictionary:add', 1, 1, 0, '', 5, 1, '2021-08-15 16:34:47', 1, '2021-08-15 16:34:47', 1, 20);
INSERT INTO `sys_menu` VALUES (1272, 62, '修改字典', '', '/dictionary/update', '', '_self', 'sys:dictionary:update', 1, 1, 0, '', 10, 1, '2021-08-15 16:34:47', 1, '2021-08-15 16:34:47', 1, 20);
INSERT INTO `sys_menu` VALUES (1273, 62, '删除字典', '', '/dictionary/delete', '', '_self', 'sys:dictionary:delete', 1, 1, 0, '', 15, 1, '2021-08-15 16:34:47', 1, '2021-08-15 16:34:47', 1, 20);
INSERT INTO `sys_menu` VALUES (1274, 62, '设置状态', '', '/dictionary/status', '', '_self', 'sys:dictionary:status', 1, 1, 0, '', 25, 1, '2021-08-15 16:34:47', 1, '2021-08-15 16:34:47', 1, 20);
INSERT INTO `sys_menu` VALUES (1275, 62, '字典详情', '', '/dictionary/detail', '', '_self', 'sys:dictionary:detail', 1, 1, 0, '', 20, 1, '2021-08-15 16:34:47', 1, '2021-08-15 16:34:47', 1, 20);
INSERT INTO `sys_menu` VALUES (1276, 62, '批量删除', '', '/dictionary/dall', '', '_self', 'sys:dictionary:dall', 1, 1, 0, '', 30, 1, '2021-08-15 16:34:47', 1, '2021-08-15 16:34:47', 1, 20);
INSERT INTO `sys_menu` VALUES (1277, 68, '查询城市', '', '/city/list', '', '_self', 'sys:city:list', 1, 1, 0, '', 1, 1, '2021-08-15 16:34:54', 1, '2021-08-15 16:34:54', 0, 20);
INSERT INTO `sys_menu` VALUES (1278, 68, '添加城市', '', '/city/add', '', '_self', 'sys:city:add', 1, 1, 0, '', 5, 1, '2021-08-15 16:34:54', 1, '2021-08-15 16:34:54', 0, 20);
INSERT INTO `sys_menu` VALUES (1279, 68, '修改城市', '', '/city/update', '', '_self', 'sys:city:update', 1, 1, 0, '', 10, 1, '2021-08-15 16:34:54', 1, '2021-08-15 16:34:54', 0, 20);
INSERT INTO `sys_menu` VALUES (1280, 68, '删除城市', '', '/city/delete', '', '_self', 'sys:city:delete', 1, 1, 0, '', 15, 1, '2021-08-15 16:34:54', 1, '2021-08-15 16:34:54', 0, 20);
INSERT INTO `sys_menu` VALUES (1281, 68, '添加子级', '', '/city/addz', '', '_self', 'sys:city:addz', 1, 1, 0, '', 35, 1, '2021-08-15 16:34:54', 1, '2021-08-15 16:34:54', 0, 20);
INSERT INTO `sys_menu` VALUES (1282, 68, '全部展开', '', '/city/expand', '', '_self', 'sys:city:expand', 1, 1, 0, '', 40, 1, '2021-08-15 16:34:54', 1, '2021-08-15 16:34:54', 0, 20);
INSERT INTO `sys_menu` VALUES (1283, 68, '城市详情', '', '/city/detail', '', '_self', 'sys:city:detail', 1, 1, 0, '', 20, 1, '2021-08-15 16:34:54', 1, '2021-08-15 16:34:54', 0, 20);
INSERT INTO `sys_menu` VALUES (1284, 68, '全部折叠', '', '/city/collapse', '', '_self', 'sys:city:collapse', 1, 1, 0, '', 45, 1, '2021-08-15 16:34:54', 1, '2021-08-15 16:34:54', 0, 20);
INSERT INTO `sys_menu` VALUES (1285, 76, '查询配置', '', '/config/list', '', '_self', 'sys:config:list', 1, 1, 1, '', 1, 1, '2021-08-15 16:35:05', 1, '2021-08-15 16:35:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1286, 76, '添加配置', '', '/config/add', '', '_self', 'sys:config:add', 1, 1, 1, '', 5, 1, '2021-08-15 16:35:05', 1, '2021-08-15 16:35:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1287, 76, '修改配置', '', '/config/update', '', '_self', 'sys:config:update', 1, 1, 1, '', 10, 1, '2021-08-15 16:35:05', 1, '2021-08-15 16:35:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1288, 76, '删除配置', '', '/config/delete', '', '_self', 'sys:config:delete', 1, 1, 1, '', 15, 1, '2021-08-15 16:35:05', 1, '2021-08-15 16:35:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1289, 76, '设置状态', '', '/config/status', '', '_self', 'sys:config:status', 1, 1, 1, '', 25, 1, '2021-08-15 16:35:05', 1, '2021-08-15 16:35:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1290, 76, '配置详情', '', '/config/detail', '', '_self', 'sys:config:detail', 1, 1, 1, '', 20, 1, '2021-08-15 16:35:05', 1, '2021-08-15 16:35:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1291, 76, '批量删除', '', '/config/dall', '', '_self', 'sys:config:dall', 1, 1, 1, '', 30, 1, '2021-08-15 16:35:05', 1, '2021-08-15 16:35:05', 1, 20);
INSERT INTO `sys_menu` VALUES (1306, 90, '查询个人资料', '', '/profile/list', '', '_self', 'sys:profile:list', 1, 1, 1, '', 1, 1, '2021-08-15 16:35:29', 1, '2021-08-15 16:35:29', 1, 20);
INSERT INTO `sys_menu` VALUES (1307, 90, '修改个人资料', '', '/profile/update', '', '_self', 'sys:profile:update', 1, 1, 1, '', 10, 1, '2021-08-15 16:35:29', 1, '2021-08-15 16:35:29', 1, 20);
INSERT INTO `sys_menu` VALUES (1364, 178, '查询网站设置', '', '/web/list', '', '_self', 'sys:web:list', 1, 1, 1, '', 1, 1, '2021-08-15 16:36:31', 1, '2021-08-15 16:36:31', 1, 20);
INSERT INTO `sys_menu` VALUES (1365, 178, '修改网站设置', '', '/web/update', '', '_self', 'sys:web:update', 1, 1, 1, '', 10, 1, '2021-08-15 16:36:31', 1, '2021-08-15 16:36:31', 1, 20);
INSERT INTO `sys_menu` VALUES (1366, 155, '查询代码生成', '', '/generate/list', '', '_self', 'sys:generate:list', 1, 1, 1, '', 1, 1, '2021-08-15 16:36:43', 1, '2021-08-15 16:36:43', 0, 20);
INSERT INTO `sys_menu` VALUES (1367, 155, '添加代码生成', '', '/generate/add', '', '_self', 'sys:generate:add', 1, 1, 1, '', 5, 1, '2021-08-15 16:36:43', 1, '2021-08-15 16:36:43', 0, 20);
INSERT INTO `sys_menu` VALUES (1368, 155, '修改代码生成', '', '/generate/update', '', '_self', 'sys:generate:update', 1, 1, 1, '', 10, 1, '2021-08-15 16:36:43', 1, '2021-08-15 16:36:43', 0, 20);
INSERT INTO `sys_menu` VALUES (1369, 155, '删除代码生成', '', '/generate/delete', '', '_self', 'sys:generate:delete', 1, 1, 1, '', 15, 1, '2021-08-15 16:36:43', 1, '2021-08-15 16:36:43', 0, 20);
INSERT INTO `sys_menu` VALUES (1370, 155, '代码生成详情', '', '/generate/detail', '', '_self', 'sys:generate:detail', 1, 1, 1, '', 20, 1, '2021-08-15 16:36:43', 1, '2021-08-15 16:36:43', 0, 20);
INSERT INTO `sys_menu` VALUES (1371, 155, '设置状态', '', '/generate/status', '', '_self', 'sys:generate:status', 1, 1, 1, '', 25, 1, '2021-08-15 16:36:43', 1, '2021-08-15 16:36:43', 0, 20);
INSERT INTO `sys_menu` VALUES (1372, 155, '批量删除', '', '/generate/dall', '', '_self', 'sys:generate:dall', 1, 1, 1, '', 30, 1, '2021-08-15 16:36:43', 1, '2021-08-15 16:36:43', 0, 20);
INSERT INTO `sys_menu` VALUES (1982, 165, '查询演示一', '', '/example/list', '', '_self', 'sys:example:list', 1, 1, 1, '', 1, 1, '2021-08-18 11:23:57', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1983, 165, '添加演示一', '', '/example/add', '', '_self', 'sys:example:add', 1, 1, 1, '', 5, 1, '2021-08-18 11:23:57', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1984, 165, '修改演示一', '', '/example/update', '', '_self', 'sys:example:update', 1, 1, 1, '', 10, 1, '2021-08-18 11:23:57', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1985, 165, '删除演示一', '', '/example/delete', '', '_self', 'sys:example:delete', 1, 1, 1, '', 15, 1, '2021-08-18 11:23:57', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1986, 165, '演示一详情', '', '/example/detail', '', '_self', 'sys:example:detail', 1, 1, 1, '', 20, 1, '2021-08-18 11:23:57', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1987, 165, '设置状态', '', '/example/status', '', '_self', 'sys:example:status', 1, 1, 1, '', 25, 1, '2021-08-18 11:23:57', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1988, 165, '批量删除', '', '/example/dall', '', '_self', 'sys:example:dall', 1, 1, 1, '', 30, 1, '2021-08-18 11:23:57', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1989, 942, '查询演示二', '', '/example2/list', '', '_self', 'sys:example2:list', 1, 1, 1, '', 1, 1, '2021-08-18 11:24:00', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1990, 942, '添加演示二', '', '/example2/add', '', '_self', 'sys:example2:add', 1, 1, 1, '', 5, 1, '2021-08-18 11:24:00', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1991, 942, '修改演示二', '', '/example2/update', '', '_self', 'sys:example2:update', 1, 1, 1, '', 10, 1, '2021-08-18 11:24:00', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1992, 942, '删除演示二', '', '/example2/delete', '', '_self', 'sys:example2:delete', 1, 1, 1, '', 15, 1, '2021-08-18 11:24:00', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1993, 942, '演示二详情', '', '/example2/detail', '', '_self', 'sys:example2:detail', 1, 1, 1, '', 20, 1, '2021-08-18 11:24:00', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1994, 942, '设置状态', '', '/example2/status', '', '_self', 'sys:example2:status', 1, 1, 1, '', 25, 1, '2021-08-18 11:24:00', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1995, 942, '批量删除', '', '/example2/dall', '', '_self', 'sys:example2:dall', 1, 1, 1, '', 30, 1, '2021-08-18 11:24:00', 0, NULL, 0, 20);
INSERT INTO `sys_menu` VALUES (1996, 4, '用户信息', 'UserSwitchOutlined', '/system/user/info', '/system/user/info', '_self', '', 0, 1, 0, '', 40, 1, '2021-08-18 16:52:51', 1, '2021-08-18 18:55:16', 0, 20);
INSERT INTO `sys_menu` VALUES (2002, 0, '资源管理', 'FolderOpenOutlined', '/resources', NULL, '_self', NULL, 0, 1, 0, NULL, 3, 1, '2021-09-02 11:17:31', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2003, 2002, '机场管理', 'RocketOutlined', '/resources/airport', '/resources/airport', '_self', NULL, 0, 1, 0, NULL, 1, 1, '2021-09-02 11:20:31', 1, '2021-09-26 15:41:25', 1, 20);
INSERT INTO `sys_menu` VALUES (2004, 2002, '无人机管理', 'ApiOutlined', '/resources/drone', '/resources/drone', '_self', NULL, 0, 1, 0, NULL, 5, 1, '2021-09-03 09:19:32', 1, '2022-09-21 11:21:31', 1, 20);
INSERT INTO `sys_menu` VALUES (2005, 2002, '相机管理', 'ExperimentOutlined', '/resources/camera', '/resources/camera', '_self', NULL, 0, 1, 0, NULL, 10, 1, '2021-09-03 09:53:08', 1, '2021-09-26 15:49:21', 1, 20);
INSERT INTO `sys_menu` VALUES (2006, 2002, '喊话器管理', 'NumberOutlined', '/resources/megaphone', '/resources/megaphone/index.vue', '_self', NULL, 0, 1, 0, NULL, 15, 1, '2021-09-03 13:24:33', 1, '2021-09-26 15:51:31', 1, 20);
INSERT INTO `sys_menu` VALUES (2007, 2002, '探照灯管理', 'GiftOutlined', '/resources/searchlight', '/resources/searchlight', '_self', NULL, 0, 1, 0, NULL, 20, 1, '2021-09-03 14:53:28', 1, '2021-09-26 15:52:56', 1, 20);
INSERT INTO `sys_menu` VALUES (2010, 2002, '问题分类管理', 'PaperClipOutlined', '/resources/problemManage', '/resources/problemManage/index.vue', '_self', NULL, 0, 1, 1, NULL, 25, 1, '2021-09-03 15:18:16', 1, '2021-09-06 18:01:23', 0, 20);
INSERT INTO `sys_menu` VALUES (2015, 1, '实时监测', 'DingtalkOutlined', '/dashboard/realTimeMonitor', '/dashboard/realTimeMonitor/index.vue', '_self', NULL, 0, 1, 0, NULL, 3, 1, '2021-09-07 15:20:06', 1, '2021-09-07 15:21:04', 0, 20);
INSERT INTO `sys_menu` VALUES (2034, 2003, '查询无人机', '', '', '', '_self', 'res:airport:drone', 1, 1, 0, NULL, 1, 1, '2021-09-11 11:58:34', 1, '2022-09-21 08:54:54', 1, 20);
INSERT INTO `sys_menu` VALUES (2035, 2003, '添加机场', '', '', '', '_self', 'res:airport:add', 1, 1, 0, NULL, 2, 1, '2021-09-11 13:06:08', 1, '2021-09-26 15:41:43', 1, 20);
INSERT INTO `sys_menu` VALUES (2036, 2003, '编辑机场', '', '', '', '_self', 'res:airport:edit', 1, 1, 0, NULL, 3, 1, '2021-09-11 13:07:06', 1, '2021-09-26 15:41:51', 1, 20);
INSERT INTO `sys_menu` VALUES (2037, 2003, '删除机场', '', '', '', '_self', 'res:airport:delete', 1, 1, 0, NULL, 4, 1, '2021-09-11 13:07:36', 1, '2021-09-26 15:42:01', 1, 20);
INSERT INTO `sys_menu` VALUES (2038, 2004, '查询无人机', '', '', '', '_self', 'res:drone:list', 1, 1, 0, NULL, 1, 1, '2021-09-11 13:08:40', 1, '2021-09-26 15:44:02', 1, 20);
INSERT INTO `sys_menu` VALUES (2039, 2004, '添加无人机', '', '', '', '_self', 'res:drone:add', 1, 1, 0, NULL, 2, 1, '2021-09-11 13:09:16', 1, '2021-09-26 15:44:18', 1, 20);
INSERT INTO `sys_menu` VALUES (2040, 2004, '编辑无人机', '', '', '', '_self', 'res:drone:edit', 1, 1, 0, NULL, 3, 1, '2021-09-11 13:10:02', 1, '2021-09-26 15:44:32', 1, 20);
INSERT INTO `sys_menu` VALUES (2041, 2004, '删除无人机', '', '', '', '_self', 'res:drone:delete', 1, 1, 0, NULL, 4, 1, '2021-09-11 13:10:32', 1, '2021-09-26 15:44:47', 1, 20);
INSERT INTO `sys_menu` VALUES (2042, 2005, '查询相机', '', '', '', '_self', 'res:camera:list', 1, 1, 0, NULL, 1, 1, '2021-09-11 13:11:26', 1, '2021-09-26 15:49:37', 1, 20);
INSERT INTO `sys_menu` VALUES (2043, 2005, '添加相机', '', '', '', '_self', 'res:camera:add', 1, 1, 0, NULL, 2, 1, '2021-09-11 13:11:58', 1, '2021-09-26 15:49:53', 1, 20);
INSERT INTO `sys_menu` VALUES (2044, 2005, '编辑相机', '', '', '', '_self', 'res:camera:edit', 1, 1, 0, NULL, 3, 1, '2021-09-11 13:12:22', 1, '2021-09-26 15:50:08', 1, 20);
INSERT INTO `sys_menu` VALUES (2045, 2005, '删除相机', '', '', '', '_self', 'res:camera:delete', 1, 1, 0, NULL, 4, 1, '2021-09-11 13:12:46', 1, '2021-09-26 15:50:24', 1, 20);
INSERT INTO `sys_menu` VALUES (2046, 2006, '查询喊话器', '', '', '', '_self', 'res:megaphone:list', 1, 1, 0, NULL, 1, 1, '2021-09-11 13:13:53', 1, '2021-09-26 15:51:45', 1, 20);
INSERT INTO `sys_menu` VALUES (2047, 2006, '添加喊话器', '', '', '', '_self', 'res:megaphone:add', 1, 1, 0, NULL, 2, 1, '2021-09-11 13:14:26', 1, '2021-09-26 15:52:00', 1, 20);
INSERT INTO `sys_menu` VALUES (2048, 2006, '编辑喊话器', '', '', '', '_self', 'res:megaphone:edit', 1, 1, 0, NULL, 3, 1, '2021-09-11 13:14:56', 1, '2021-09-26 15:52:15', 1, 20);
INSERT INTO `sys_menu` VALUES (2049, 2006, '删除喊话器', '', '', '', '_self', 'res:megaphone:delete', 1, 1, 0, NULL, 4, 1, '2021-09-11 13:15:30', 1, '2021-09-26 15:52:30', 1, 20);
INSERT INTO `sys_menu` VALUES (2050, 2007, '查询探照灯', '', '', '', '_self', 'res:searchlight:list', 1, 1, 0, NULL, 1, 1, '2021-09-11 13:16:53', 1, '2021-09-26 15:53:10', 1, 20);
INSERT INTO `sys_menu` VALUES (2051, 2007, '添加探照灯', '', '', '', '_self', 'res:searchlight:add', 1, 1, 0, NULL, 2, 1, '2021-09-11 13:17:20', 1, '2021-09-26 15:53:27', 1, 20);
INSERT INTO `sys_menu` VALUES (2053, 2007, '编辑探照灯', '', '', '', '_self', 'res:searchlight:edit', 1, 1, 0, NULL, 3, 1, '2021-09-11 13:18:39', 1, '2021-09-26 15:53:41', 1, 20);
INSERT INTO `sys_menu` VALUES (2054, 2007, '删除探照灯', '', '', '', '_self', 'res:searchlight:delete', 1, 1, 0, NULL, 4, 1, '2021-09-11 13:19:04', 1, '2021-09-26 15:53:55', 1, 20);
INSERT INTO `sys_menu` VALUES (2055, 2010, '查询问题', '', '', '', '_self', 'resources:problem:list', 1, 2, 0, NULL, 1, 1, '2021-09-11 13:19:38', 1, '2022-09-05 10:17:11', 0, 20);
INSERT INTO `sys_menu` VALUES (2056, 1, '首页', 'HomeOutlined', '/dashboard/home', '/dashboard/home.vue', '_self', NULL, 0, 1, 0, NULL, 1, 1, '2021-09-11 13:44:47', 1, '2021-09-11 13:45:21', 0, 20);
INSERT INTO `sys_menu` VALUES (2057, 0, '实时监控', 'LineChartOutlined', '/realTimeMonitoring', '/realTimeMonitoring', '_self', NULL, 0, 1, 0, NULL, 1, 1, '2021-09-16 09:58:56', 1, '2022-12-29 13:51:34', 1, 20);
INSERT INTO `sys_menu` VALUES (2058, 2002, '航线文件管理', 'ExperimentOutlined', '/resources/airlinefile', '/resources/airlinefile', '_self', NULL, 0, 1, 0, NULL, 60, 1, '2021-09-03 09:53:08', 1, '2021-09-26 15:49:21', 1, 20);
INSERT INTO `sys_menu` VALUES (2059, 2058, '查询航线文件', '', '', '', '_self', 'res:airlinefile:list', 1, 1, 0, NULL, 1, 1, '2021-09-11 13:11:26', 1, '2021-09-26 15:49:37', 1, 20);
INSERT INTO `sys_menu` VALUES (2060, 2058, '添加航线文件', '', '', '', '_self', 'res:airlinefile:add', 1, 1, 0, NULL, 2, 1, '2021-09-11 13:11:58', 1, '2021-09-26 15:49:53', 1, 20);
INSERT INTO `sys_menu` VALUES (2061, 2058, '编辑航线文件', '', '', '', '_self', 'res:airlinefile:edit', 1, 1, 0, NULL, 3, 1, '2021-09-11 13:12:22', 1, '2021-09-26 15:50:08', 1, 20);
INSERT INTO `sys_menu` VALUES (2062, 2058, '删除航线文件', '', '', '', '_self', 'res:airlinefile:delete', 1, 1, 0, NULL, 4, 1, '2021-09-11 13:12:46', 1, '2021-09-26 15:50:24', 1, 20);
INSERT INTO `sys_menu` VALUES (2063, 2002, '音频文件管理', 'ExperimentOutlined', '/resources/audiofile', '/resources/audiofile', '_self', NULL, 0, 1, 0, NULL, 65, 1, '2021-09-03 09:53:08', 1, '2021-09-26 15:49:21', 1, 20);
INSERT INTO `sys_menu` VALUES (2064, 2063, '查询音频文件', '', '', '', '_self', 'res:audiofile:list', 1, 1, 0, NULL, 1, 1, '2021-09-11 13:11:26', 1, '2022-09-21 11:28:29', 1, 20);
INSERT INTO `sys_menu` VALUES (2065, 2063, '添加音频文件', '', '', '', '_self', 'res:audiofile:add', 1, 1, 0, NULL, 2, 1, '2021-09-11 13:11:58', 1, '2022-09-21 11:28:37', 1, 20);
INSERT INTO `sys_menu` VALUES (2066, 2063, '编辑音频文件', '', '', '', '_self', 'res:audiofile:edit', 1, 1, 0, NULL, 3, 1, '2021-09-11 13:12:22', 1, '2022-09-21 11:29:00', 1, 20);
INSERT INTO `sys_menu` VALUES (2067, 2063, '删除音频文件', '', '', '', '_self', 'res:audiofile:delete', 1, 1, 0, NULL, 4, 1, '2021-09-11 13:12:46', 1, '2022-09-21 11:28:50', 1, 20);
INSERT INTO `sys_menu` VALUES (2068, 0, '机场概况', 'ProjectOutlined', '/airport', '/airport', '_self', NULL, 0, 1, 0, NULL, 0, 1, '2021-10-11 17:16:31', 1, '2022-06-07 11:21:15', 1, 20);
INSERT INTO `sys_menu` VALUES (2069, 0, '任务管理', 'BarsOutlined', '/task', NULL, '_self', NULL, 0, 1, 0, NULL, 4, 1, '2021-10-16 13:31:13', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2070, 2069, '任务列表', 'ContainerOutlined', '/task/taskList', '/task/taskList', '_self', NULL, 0, 1, 0, NULL, 1, 1, '2021-10-16 13:33:26', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2071, 2003, '设置机场权限', '', '', '', '_self', 'res:airport:auth', 1, 1, 0, NULL, 6, 1, '2022-09-21 08:58:12', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2072, 2058, '下载航线', '', '', '', '_self', 'res:airline:download', 1, 1, 0, NULL, 6, 1, '2022-09-21 11:27:39', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2073, 2063, '下载音频', '', '', '', '_self', 'res:audiofile:download', 1, 1, 0, NULL, 6, 1, '2022-09-21 11:31:46', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2074, 2070, '查看任务', '', '', '', '_self', 'res:task:view', 1, 1, 0, NULL, 1, 1, '2022-09-21 11:35:30', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2075, 2070, '执行任务', '', '', '', '_self', 'res:task:execute', 1, 1, 0, NULL, 2, 1, '2022-09-21 11:36:03', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2076, 2070, '新增任务', '', '', '', '_self', 'res:task:add', 1, 1, 0, NULL, 3, 1, '2022-09-21 11:36:21', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2077, 2070, '编辑任务', '', '', '', '_self', 'res:task:edit', 1, 1, 0, NULL, 4, 1, '2022-09-21 11:36:39', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2078, 2070, '删除任务', '', '', '', '_self', 'res:task:delete', 1, 1, 0, NULL, 5, 1, '2022-09-21 11:36:56', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2079, 4, '业务系统', 'CodepenOutlined', '/system/platform', '/system/platform', '_self', NULL, 0, 1, 0, NULL, 0, 1, '2022-12-29 10:53:12', 1, '2022-12-29 14:01:12', 1, 20);
INSERT INTO `sys_menu` VALUES (2080, 2079, '查询业务系统', '', '', '', '_self', 'sys:platform:list', 1, 1, 0, NULL, 0, 1, '2022-12-29 13:59:04', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2081, 2079, '新增业务系统', '', '', '', '_self', 'sys:platform:add', 1, 1, 0, NULL, 1, 1, '2022-12-29 13:59:28', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2082, 2079, '编辑业务系统', '', '', '', '_self', 'sys:platform:edit', 1, 1, 0, NULL, 2, 1, '2022-12-29 13:59:50', 0, NULL, 1, 20);
INSERT INTO `sys_menu` VALUES (2083, 2079, '删除业务系统', '', '', '', '_self', 'sys:platform:delete', 1, 1, 0, NULL, 3, 1, '2022-12-29 14:00:12', 0, NULL, 1, 20);

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '通知ID',
  `title` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '通知标题',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '通知内容',
  `source` tinyint(1) NOT NULL COMMENT '来源：1内部通知 2外部新闻',
  `is_top` tinyint UNSIGNED NOT NULL DEFAULT 2 COMMENT '是否置顶：1是 2否',
  `browse` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '阅读量',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 2 COMMENT '状态：1已发布 2待发布',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '添加时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `index_title`(`title` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '通知公告表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '2021春节节放假通知', '<p>2222</p>', 1, 1, 0, 1, 1, '2020-03-11 05:36:04', 1, '2020-11-07 10:00:29', 1, 20);
INSERT INTO `sys_notice` VALUES (2, '2021元旦节放假通知', '<p>22222</p>', 1, 1, 0, 1, 1, '2020-08-24 14:48:51', 1, '2020-11-07 10:15:05', 1, 20);

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '日志标题',
  `log_type` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '操作类型（0其它 1新增 2修改 3删除）',
  `oper_method` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作方法',
  `request_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `oper_type` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '操作类型：0其他 1后台用户 2WAP用户',
  `oper_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '操作人员',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `note` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 382 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '操作日志记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (1, '角色管理', 2, 'com.tuoheng.system.controller.RoleController.edit()', 'PUT', 1, 'admin', '/api/role/edit', '127.0.0.1', '内网IP', '{\"code\":\"admin\",\"createTime\":1589684233000,\"name\":\"管理员\",\"updateUser\":1,\"createUser\":1,\"updateTime\":1629774931712,\"id\":2,\"sort\":5,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:15:31', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (2, '角色管理', 3, 'com.tuoheng.system.controller.RoleController.delete()', 'DELETE', 1, 'admin', '/api/role/delete/4', '127.0.0.1', '内网IP', '{roleIds=4}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:39:22', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (3, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin', '/api/user/edit', '127.0.0.1', '内网IP', '{\"birthday\":1627833600000,\"note\":\"暂无\",\"districtCode\":\"440305\",\"gender\":1,\"city\":[\"440000\",\"440300\",\"440305\"],\"cityCode\":\"440300\",\"loginNum\":0,\"password\":\"43286a86708820e38c333cdd4c496355\",\"cityName\":\"\",\"intro\":\"暂无\",\"levelId\":8,\"loginIp\":\"\",\"nickname\":\"管理员\",\"id\":1,\"email\":\"easygoadmin@163.com\",\"address\":\"深圳市南山区科技中一路与高新中三道交叉口北150米\",\"salt\":\"\",\"provinceCode\":\"440000\",\"deptId\":2,\"mobile\":\"15898736280\",\"updateUser\":1,\"updateTime\":1628059384000,\"avatar\":\"/images/user/20210818/cdmdysxweids8zyyyw.jpg\",\"sort\":1,\"realname\":\"管理员\",\"roleIds\":[2,3],\"positionId\":2,\"createTime\":1629092320000,\"createUser\":1,\"mark\":1,\"status\":1,\"username\":\"admin\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:43:28', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (4, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin', '/api/user/edit', '127.0.0.1', '内网IP', '{\"birthday\":1627833600000,\"note\":\"暂无\",\"districtCode\":\"440305\",\"gender\":1,\"city\":[\"440000\",\"440300\",\"440305\"],\"cityCode\":\"440300\",\"loginNum\":0,\"password\":\"43286a86708820e38c333cdd4c496355\",\"cityName\":\"\",\"intro\":\"暂无2\",\"levelId\":8,\"loginIp\":\"\",\"nickname\":\"管理员\",\"id\":1,\"email\":\"easygoadmin@163.com\",\"address\":\"深圳市南山区科技中一路与高新中三道交叉口北150米\",\"salt\":\"\",\"provinceCode\":\"440000\",\"deptId\":2,\"mobile\":\"15898736280\",\"updateUser\":1,\"updateTime\":1628059384000,\"avatar\":\"/images/user/20210818/cdmdysxweids8zyyyw.jpg\",\"sort\":1,\"realname\":\"管理员\",\"roleIds\":[2,3],\"positionId\":2,\"createTime\":1629092320000,\"createUser\":1,\"mark\":1,\"status\":1,\"username\":\"admin\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:44:30', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (5, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '127.0.0.1', '内网IP', '{\"note\":\"\",\"icon\":\"SettingOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1629776897490,\"sort\":1,\"title\":\"系统管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system\",\"component\":\"\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"UsergroupAddOutlined\",\"updateUser\":1,\"permission\":\"sys:user:view\",\"pid\":4,\"updateTime\":1629080576000,\"sort\":1,\"title\":\"用户管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/user\",\"component\":\"/system/user\",\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:list\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":1,\"title\":\"查询用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/list\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1210,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:add\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":5,\"title\":\"添加用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/add\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1211,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:update\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":10,\"title\":\"修改用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/update\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1212,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:delete\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":15,\"title\":\"删除用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/delete\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1213,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:detail\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":20,\"title\":\"用户详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/detail\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1214,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:status\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":25,\"tit', 'null', 1, '', 0, '2021-08-24 11:48:17', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (6, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '127.0.0.1', '内网IP', '{\"note\":\"\",\"icon\":\"SettingOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1629776908913,\"sort\":1,\"title\":\"系统管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system\",\"component\":\"\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"UsergroupAddOutlined\",\"updateUser\":1,\"permission\":\"sys:user:view\",\"pid\":4,\"updateTime\":1629080576000,\"sort\":1,\"title\":\"用户管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/user\",\"component\":\"/system/user\",\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:list\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":1,\"title\":\"查询用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/list\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1210,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:add\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":5,\"title\":\"添加用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/add\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1211,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:update\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":10,\"title\":\"修改用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/update\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1212,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:delete\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":15,\"title\":\"删除用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/delete\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1213,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:detail\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":20,\"title\":\"用户详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/detail\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1214,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:status\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":25,\"tit', 'null', 1, '', 0, '2021-08-24 11:48:28', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (7, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '127.0.0.1', '内网IP', '{\"note\":\"\",\"icon\":\"UsergroupAddOutlined\",\"updateUser\":1,\"permission\":\"sys:user:view\",\"pid\":4,\"updateTime\":1629776995932,\"sort\":1,\"title\":\"用户管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/user\",\"component\":\"/system/user\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:list\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":1,\"title\":\"查询用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/list\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1210,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:add\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":5,\"title\":\"添加用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/add\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1211,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:update\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":10,\"title\":\"修改用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/update\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1212,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:delete\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":15,\"title\":\"删除用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/delete\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1213,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:detail\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":20,\"title\":\"用户详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/detail\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1214,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:status\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":25,\"title\":\"设置状态\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/status\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1215,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\"', 'null', 1, '', 0, '2021-08-24 11:49:55', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (8, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '127.0.0.1', '内网IP', '{\"note\":\"\",\"icon\":\"UsergroupAddOutlined\",\"updateUser\":1,\"permission\":\"sys:user:view\",\"pid\":4,\"updateTime\":1629777042348,\"sort\":1,\"title\":\"用户管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/user\",\"component\":\"/system/user\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:list\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":1,\"title\":\"查询用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/list\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1210,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:add\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":5,\"title\":\"添加用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/add\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1211,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:update\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":10,\"title\":\"修改用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/update\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1212,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:delete\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":15,\"title\":\"删除用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/delete\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1213,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:detail\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":20,\"title\":\"用户详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/detail\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1214,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:status\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":25,\"title\":\"设置状态\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/status\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1215,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\"', 'null', 1, '', 0, '2021-08-24 11:50:42', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (9, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '127.0.0.1', '内网IP', '{\"note\":\"\",\"icon\":\"UsergroupAddOutlined\",\"updateUser\":1,\"permission\":\"sys:user:view\",\"pid\":4,\"updateTime\":1629777060567,\"sort\":1,\"title\":\"用户管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/user\",\"component\":\"/system/user\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:list\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":1,\"title\":\"查询用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/list\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1210,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:add\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":5,\"title\":\"添加用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/add\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1211,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:update\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":10,\"title\":\"修改用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/update\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1212,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:delete\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":15,\"title\":\"删除用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/delete\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1213,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:detail\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":20,\"title\":\"用户详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/detail\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1214,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:status\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":25,\"title\":\"设置状态\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/status\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1215,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\"', 'null', 1, '', 0, '2021-08-24 11:51:00', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (10, '职级管理', 2, 'com.tuoheng.system.controller.LevelController.edit()', 'PUT', 1, 'admin', '/api/level/edit', '127.0.0.1', '内网IP', '{\"createTime\":1582655877000,\"name\":\"董事长\",\"updateUser\":1,\"createUser\":1,\"updateTime\":1629777073802,\"id\":1,\"sort\":125,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:51:13', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (11, '岗位管理', 10, 'com.tuoheng.system.controller.PositionController.status()', 'PUT', 1, 'admin', '/api/position/status', '127.0.0.1', '内网IP', '{\"updateUser\":1,\"updateTime\":1629777082954,\"id\":1,\"status\":2}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:51:22', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (12, '岗位管理', 10, 'com.tuoheng.system.controller.PositionController.status()', 'PUT', 1, 'admin', '/api/position/status', '127.0.0.1', '内网IP', '{\"updateUser\":1,\"updateTime\":1629777083989,\"id\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:51:24', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (13, '岗位管理', 10, 'com.tuoheng.system.controller.PositionController.status()', 'PUT', 1, 'admin', '/api/position/status', '127.0.0.1', '内网IP', '{\"updateUser\":1,\"updateTime\":1629777084809,\"id\":1,\"status\":2}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:51:24', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (14, '岗位管理', 10, 'com.tuoheng.system.controller.PositionController.status()', 'PUT', 1, 'admin', '/api/position/status', '127.0.0.1', '内网IP', '{\"updateUser\":1,\"updateTime\":1629777085506,\"id\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:51:25', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (15, '岗位管理', 10, 'com.tuoheng.system.controller.PositionController.status()', 'PUT', 1, 'admin', '/api/position/status', '127.0.0.1', '内网IP', '{\"updateUser\":1,\"updateTime\":1629777086080,\"id\":1,\"status\":2}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:51:26', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (16, '岗位管理', 10, 'com.tuoheng.system.controller.PositionController.status()', 'PUT', 1, 'admin', '/api/position/status', '127.0.0.1', '内网IP', '{\"updateUser\":1,\"updateTime\":1629777094721,\"id\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:51:34', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (17, '部门管理', 2, 'com.tuoheng.system.controller.DeptController.edit()', 'PUT', 1, 'admin', '/api/dept/edit', '127.0.0.1', '内网IP', '{\"note\":\"暂无\",\"code\":\"ZJJ001\",\"updateUser\":1,\"pid\":5,\"updateTime\":1629777330662,\"sort\":0,\"type\":4,\"createTime\":1627901235000,\"name\":\"中间件研发组\",\"createUser\":1,\"fullname\":\"中间件研发组\",\"id\":6,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 11:55:30', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (18, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin', '/api/user/edit', '127.0.0.1', '内网IP', '{\"birthday\":1627833600000,\"note\":\"暂无\",\"districtCode\":\"320115\",\"gender\":1,\"city\":[\"320000\",\"320100\",\"320115\"],\"cityCode\":\"320100\",\"loginNum\":0,\"password\":\"43286a86708820e38c333cdd4c496355\",\"cityName\":\"\",\"intro\":\"暂无2\",\"levelId\":8,\"loginIp\":\"\",\"nickname\":\"管理员\",\"id\":1,\"email\":\"tuoheng@163.com\",\"address\":\"东吉大道1号江苏软件园\",\"salt\":\"\",\"provinceCode\":\"320000\",\"deptId\":2,\"mobile\":\"15898736280\",\"updateUser\":1,\"updateTime\":1628059384000,\"avatar\":\"/images/user/20210818/cdmdysxweids8zyyyw.jpg\",\"sort\":1,\"realname\":\"管理员\",\"roleIds\":[2,3],\"positionId\":2,\"createTime\":1629092320000,\"createUser\":1,\"mark\":1,\"status\":1,\"username\":\"admin\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 14:55:01', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (19, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin', '/api/user/edit', '127.0.0.1', '内网IP', '{\"birthday\":1627833600000,\"note\":\"暂无备注\",\"districtCode\":\"440305\",\"gender\":2,\"city\":[\"440000\",\"440300\",\"440305\"],\"cityCode\":\"440300\",\"loginNum\":0,\"password\":\"f60cc8738b67936c0d8a712277e82993\",\"cityName\":\"\",\"intro\":\"暂无\",\"levelId\":2,\"loginIp\":\"\",\"nickname\":\"永远的过客\",\"id\":2,\"email\":\"1175401194@qq.com\",\"address\":\"深圳市南山区科技中一路与高新中三道交叉口北150米\",\"salt\":\"\",\"provinceCode\":\"440000\",\"deptId\":3,\"mobile\":\"15295506278\",\"updateUser\":1,\"updateTime\":1627441883000,\"avatar\":\"/images/user/20210802/cd8y3abmtu8kwbwfq6.jpg\",\"sort\":124,\"realname\":\"永远的过客\",\"roleIds\":[4],\"positionId\":1,\"createTime\":1629283591000,\"createUser\":1,\"mark\":1,\"status\":1,\"username\":\"admin2\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 15:08:48', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (20, '字典分组', 2, 'com.tuoheng.system.controller.DictController.edit()', 'PUT', 1, 'admin', '/api/dict/edit', '127.0.0.1', '内网IP', '{\"note\":\"暂无\",\"code\":\"ECS\",\"createTime\":1627901377000,\"name\":\"云服务器厂家\",\"updateUser\":1,\"createUser\":1,\"updateTime\":1629789835908,\"id\":1,\"sort\":1,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 15:23:56', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (21, '字典管理', 2, 'com.tuoheng.system.controller.DictDataController.edit()', 'PUT', 1, 'admin', '/api/dictdata/edit', '127.0.0.1', '内网IP', '{\"note\":\"阿里云服务器\",\"code\":\"ecs\",\"createTime\":1627901397000,\"name\":\"阿里云服务器\",\"updateUser\":1,\"createUser\":1,\"updateTime\":1629789844560,\"dictId\":1,\"id\":1,\"sort\":1,\"mark\":1,\"status\":0}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 15:24:04', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (22, '城市管理', 2, 'com.tuoheng.system.controller.CityController.edit()', 'PUT', 1, 'admin', '/api/city/edit', '127.0.0.1', '内网IP', '{\"level\":2,\"hasChildren\":true,\"updateUser\":1,\"pid\":1922,\"updateTime\":1629789985183,\"sort\":0,\"citycode\":\"441500\",\"createTime\":1611484678000,\"name\":\"汕尾市\",\"createUser\":1,\"id\":2022,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 15:26:25', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (23, '配置管理', 2, 'com.tuoheng.system.controller.ConfigController.edit()', 'PUT', 1, 'admin', '/api/config/edit', '127.0.0.1', '内网IP', '{\"name\":\"系统配置\",\"updateUser\":1,\"createUser\":0,\"updateTime\":1629790147670,\"id\":1,\"sort\":125,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 15:29:07', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (24, '配置管理', 2, 'com.tuoheng.system.controller.ConfigController.edit()', 'PUT', 1, 'admin', '/api/config/edit', '127.0.0.1', '内网IP', '{\"note\":\"暂无\",\"code\":\"test\",\"createTime\":1624860833000,\"name\":\"网站配置\",\"updateUser\":1,\"createUser\":1,\"updateTime\":1629790405824,\"id\":1,\"sort\":1,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 15:33:25', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (25, '配置管理', 10, 'com.tuoheng.system.controller.ConfigDataController.status()', 'PUT', 1, 'admin', '/api/configdata/status', '127.0.0.1', '内网IP', '{\"id\":44,\"status\":2}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:05:31', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (26, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1298', '127.0.0.1', '内网IP', '{menuId=1298}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:26:12', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (27, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1297', '127.0.0.1', '内网IP', '{menuId=1297}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:26:19', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (28, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1296', '127.0.0.1', '内网IP', '{menuId=1296}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:26:26', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (29, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1295', '127.0.0.1', '内网IP', '{menuId=1295}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:26:33', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (30, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1294', '127.0.0.1', '内网IP', '{menuId=1294}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:26:40', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (31, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1293', '127.0.0.1', '内网IP', '{menuId=1293}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:26:46', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (32, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1292', '127.0.0.1', '内网IP', '{menuId=1292}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:26:52', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (33, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/82', '127.0.0.1', '内网IP', '{menuId=82}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:26:58', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (34, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1305', '127.0.0.1', '内网IP', '{menuId=1305}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:27:06', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (35, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1304', '127.0.0.1', '内网IP', '{menuId=1304}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:27:13', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (36, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1303', '127.0.0.1', '内网IP', '{menuId=1303}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:27:19', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (37, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1302', '127.0.0.1', '内网IP', '{menuId=1302}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:27:26', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (38, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1301', '127.0.0.1', '内网IP', '{menuId=1301}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:27:32', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (39, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1300', '127.0.0.1', '内网IP', '{menuId=1300}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:27:38', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (40, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1299', '127.0.0.1', '内网IP', '{menuId=1299}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:27:44', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (41, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/133', '127.0.0.1', '内网IP', '{menuId=133}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:27:50', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (42, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1313', '127.0.0.1', '内网IP', '{menuId=1313}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:28:00', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (43, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1312', '127.0.0.1', '内网IP', '{menuId=1312}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:28:24', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (44, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1311', '127.0.0.1', '内网IP', '{menuId=1311}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:28:29', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (45, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1310', '127.0.0.1', '内网IP', '{menuId=1310}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:28:36', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (46, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1309', '127.0.0.1', '内网IP', '{menuId=1309}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:28:42', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (47, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1308', '127.0.0.1', '内网IP', '{menuId=1308}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:28:47', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (48, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/109', '127.0.0.1', '内网IP', '{menuId=109}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:28:53', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (49, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1320', '127.0.0.1', '内网IP', '{menuId=1320}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:29:01', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (50, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1318', '127.0.0.1', '内网IP', '{menuId=1318}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:29:07', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (51, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1319', '127.0.0.1', '内网IP', '{menuId=1319}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:29:12', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (52, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1317', '127.0.0.1', '内网IP', '{menuId=1317}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:29:17', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (53, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1316', '127.0.0.1', '内网IP', '{menuId=1316}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:29:22', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (54, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1315', '127.0.0.1', '内网IP', '{menuId=1315}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:29:30', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (55, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1314', '127.0.0.1', '内网IP', '{menuId=1314}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:29:35', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (56, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/115', '127.0.0.1', '内网IP', '{menuId=115}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:29:41', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (57, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1327', '127.0.0.1', '内网IP', '{menuId=1327}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:29:56', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (58, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1325', '127.0.0.1', '内网IP', '{menuId=1325}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:30:04', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (59, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1326', '127.0.0.1', '内网IP', '{menuId=1326}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:30:09', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (60, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1324', '127.0.0.1', '内网IP', '{menuId=1324}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:30:15', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (61, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1323', '127.0.0.1', '内网IP', '{menuId=1323}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:30:20', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (62, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1322', '127.0.0.1', '内网IP', '{menuId=1322}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:30:26', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (63, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1321', '127.0.0.1', '内网IP', '{menuId=1321}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:30:32', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (64, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/121', '127.0.0.1', '内网IP', '{menuId=121}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:30:39', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (65, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1334', '127.0.0.1', '内网IP', '{menuId=1334}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:30:47', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (66, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1332', '127.0.0.1', '内网IP', '{menuId=1332}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:30:52', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (67, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1333', '127.0.0.1', '内网IP', '{menuId=1333}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:30:57', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (68, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1331', '127.0.0.1', '内网IP', '{menuId=1331}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:31:02', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (69, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1330', '127.0.0.1', '内网IP', '{menuId=1330}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:31:07', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (70, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1329', '127.0.0.1', '内网IP', '{menuId=1329}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:31:13', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (71, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1328', '127.0.0.1', '内网IP', '{menuId=1328}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:31:19', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (72, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/127', '127.0.0.1', '内网IP', '{menuId=127}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:31:24', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (73, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/92', '127.0.0.1', '内网IP', '{menuId=92}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:31:31', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (74, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1341', '127.0.0.1', '内网IP', '{menuId=1341}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:31:39', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (75, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1340', '127.0.0.1', '内网IP', '{menuId=1340}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:31:44', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (76, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1339', '127.0.0.1', '内网IP', '{menuId=1339}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:31:49', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (77, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1338', '127.0.0.1', '内网IP', '{menuId=1338}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:31:54', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (78, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1337', '127.0.0.1', '内网IP', '{menuId=1337}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:31:59', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (79, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1336', '127.0.0.1', '内网IP', '{menuId=1336}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:32:05', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (80, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1335', '127.0.0.1', '内网IP', '{menuId=1335}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:32:10', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (81, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/93', '127.0.0.1', '内网IP', '{menuId=93}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:32:16', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (82, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1349', '127.0.0.1', '内网IP', '{menuId=1349}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:32:22', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (83, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1348', '127.0.0.1', '内网IP', '{menuId=1348}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:32:28', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (84, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1347', '127.0.0.1', '内网IP', '{menuId=1347}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:32:32', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (85, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1346', '127.0.0.1', '内网IP', '{menuId=1346}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:32:38', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (86, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1345', '127.0.0.1', '内网IP', '{menuId=1345}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:32:43', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (87, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1344', '127.0.0.1', '内网IP', '{menuId=1344}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:32:47', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (88, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1343', '127.0.0.1', '内网IP', '{menuId=1343}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:32:52', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (89, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1342', '127.0.0.1', '内网IP', '{menuId=1342}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:32:57', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (90, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/100', '127.0.0.1', '内网IP', '{menuId=100}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:33:03', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (91, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/170', '127.0.0.1', '内网IP', '{menuId=170}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:33:09', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (92, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1356', '127.0.0.1', '内网IP', '{menuId=1356}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:33:26', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (93, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1354', '127.0.0.1', '内网IP', '{menuId=1354}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:33:31', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (94, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1355', '127.0.0.1', '内网IP', '{menuId=1355}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:33:36', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (95, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1353', '127.0.0.1', '内网IP', '{menuId=1353}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:33:41', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (96, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1352', '127.0.0.1', '内网IP', '{menuId=1352}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:33:45', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (97, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1351', '127.0.0.1', '内网IP', '{menuId=1351}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:33:50', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (98, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1350', '127.0.0.1', '内网IP', '{menuId=1350}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:33:56', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (99, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/141', '127.0.0.1', '内网IP', '{menuId=141}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:34:01', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (100, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1363', '127.0.0.1', '内网IP', '{menuId=1363}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:34:08', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (101, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1362', '127.0.0.1', '内网IP', '{menuId=1362}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:34:13', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (102, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1361', '127.0.0.1', '内网IP', '{menuId=1361}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:34:18', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (103, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1360', '127.0.0.1', '内网IP', '{menuId=1360}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:34:22', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (104, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1359', '127.0.0.1', '内网IP', '{menuId=1359}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:34:27', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (105, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1358', '127.0.0.1', '内网IP', '{menuId=1358}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:34:32', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (106, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1357', '127.0.0.1', '内网IP', '{menuId=1357}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:34:37', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (107, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/147', '127.0.0.1', '内网IP', '{menuId=147}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:34:41', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (108, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/140', '127.0.0.1', '内网IP', '{menuId=140}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:34:47', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (109, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/262', '127.0.0.1', '内网IP', '{menuId=262}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:34:57', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (110, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/162', '127.0.0.1', '内网IP', '{menuId=162}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:35:02', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (111, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/163', '127.0.0.1', '内网IP', '{menuId=163}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 16:35:06', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (112, '配置管理', 10, 'com.tuoheng.system.controller.ConfigDataController.status()', 'PUT', 1, 'admin', '/api/configdata/status', '127.0.0.1', '内网IP', '{\"id\":44,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 17:07:00', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (113, '配置管理', 10, 'com.tuoheng.system.controller.ConfigDataController.status()', 'PUT', 1, 'admin', '/api/configdata/status', '127.0.0.1', '内网IP', '{\"id\":44,\"status\":2}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 17:07:01', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (114, '部门管理', 2, 'com.tuoheng.system.controller.DeptController.edit()', 'PUT', 1, 'admin', '/api/dept/edit', '127.0.0.1', '内网IP', '{\"note\":\"\",\"code\":\"SZ0001\",\"updateUser\":1,\"pid\":0,\"updateTime\":1629796109612,\"sort\":0,\"type\":1,\"createTime\":1627900827000,\"name\":\"拓恒技术有限公司\",\"createUser\":1,\"fullname\":\"拓恒技术有限公司\",\"id\":1,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 17:08:29', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (115, '部门管理', 2, 'com.tuoheng.system.controller.DeptController.edit()', 'PUT', 1, 'admin', '/api/dept/edit', '127.0.0.1', '内网IP', '{\"note\":\"\",\"code\":\"SH001\",\"updateUser\":1,\"pid\":1,\"updateTime\":1629796126393,\"sort\":0,\"type\":2,\"createTime\":1627901020000,\"name\":\"南京拓恒研究院\",\"createUser\":1,\"fullname\":\"南京拓恒研究院\",\"id\":5,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 17:08:46', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (116, '部门管理', 2, 'com.tuoheng.system.controller.DeptController.edit()', 'PUT', 1, 'admin', '/api/dept/edit', '127.0.0.1', '内网IP', '{\"note\":\"\",\"code\":\"NS001\",\"updateUser\":1,\"pid\":1,\"updateTime\":1629796135896,\"sort\":1,\"type\":3,\"createTime\":1627900869000,\"name\":\"研发一区\",\"createUser\":1,\"fullname\":\"研发一区\",\"id\":2,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 17:08:55', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (117, '部门管理', 2, 'com.tuoheng.system.controller.DeptController.edit()', 'PUT', 1, 'admin', '/api/dept/edit', '127.0.0.1', '内网IP', '{\"note\":\"\",\"code\":\"LH001\",\"updateUser\":1,\"pid\":1,\"updateTime\":1629796144256,\"sort\":5,\"type\":3,\"createTime\":1627900901000,\"name\":\"研发二区\",\"createUser\":1,\"fullname\":\"研发二区\",\"id\":3,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 17:09:04', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (118, '部门管理', 2, 'com.tuoheng.system.controller.DeptController.edit()', 'PUT', 1, 'admin', '/api/dept/edit', '127.0.0.1', '内网IP', '{\"note\":\"\",\"code\":\"FT001\",\"updateUser\":1,\"pid\":1,\"updateTime\":1629796153323,\"sort\":7,\"type\":3,\"createTime\":1627900929000,\"name\":\"研发三区\",\"createUser\":1,\"fullname\":\"研发三区\",\"id\":4,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-24 17:09:13', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (119, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin', '/api/user/edit', '127.0.0.1', '内网IP', '{\"birthday\":1627833600000,\"note\":\"暂无\",\"districtCode\":\"320115\",\"gender\":1,\"city\":[\"320000\",\"320100\",\"320115\"],\"cityCode\":\"320100\",\"loginNum\":0,\"password\":\"ddd056e3116ef3c8972a11c62a770a31\",\"cityName\":\"\",\"intro\":\"暂无22\",\"levelId\":8,\"loginIp\":\"\",\"nickname\":\"管理员\",\"id\":1,\"email\":\"tuoheng@163.com\",\"address\":\"东吉大道1号江苏软件园\",\"salt\":\"\",\"provinceCode\":\"320000\",\"deptId\":2,\"mobile\":\"15898736280\",\"updateUser\":1,\"updateTime\":1628059384000,\"avatar\":\"/images/user/20210824/20210824164944849.jpg\",\"sort\":1,\"realname\":\"管理员\",\"roleIds\":[2,3],\"positionId\":2,\"createTime\":1629092320000,\"createUser\":1,\"mark\":1,\"status\":1,\"username\":\"admin\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-08-25 08:50:38', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (120, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.188.243', 'XX XX', '{\"icon\":\"CodeSandboxOutlined\",\"sort\":4,\"title\":\"资源管理\",\"type\":0,\"target\":\"_self\",\"hide\":0,\"createTime\":1630545952567,\"checked\":false,\"createUser\":1,\"id\":1997,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-02 09:25:52', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (121, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.188.243', 'XX XX', '{\"note\":\"\",\"icon\":\"SettingOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1630546021622,\"sort\":1,\"title\":\"系统管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system\",\"component\":\"\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"UsergroupAddOutlined\",\"updateUser\":1,\"permission\":\"sys:user:view\",\"pid\":4,\"updateTime\":1629777060000,\"sort\":1,\"title\":\"用户管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/user\",\"component\":\"/system/user\",\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:list\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":1,\"title\":\"查询用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/list\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1210,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:add\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":5,\"title\":\"添加用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/add\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1211,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:update\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":10,\"title\":\"修改用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/update\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1212,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:delete\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":15,\"title\":\"删除用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/delete\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1213,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:detail\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":20,\"title\":\"用户详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/detail\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1214,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:status\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":25,\"tit', 'null', 1, '', 0, '2021-09-02 09:27:01', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (122, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.188.243', 'XX XX', '{\"icon\":\"CodeSandboxOutlined\",\"updateUser\":1,\"pid\":0,\"updateTime\":1630546057180,\"sort\":3,\"title\":\"资源管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources\",\"hide\":0,\"createTime\":1630545952000,\"checked\":false,\"createUser\":1,\"id\":1997,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-02 09:27:37', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (123, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.188.243', 'XX XX', '{\"icon\":\"CodeSandboxOutlined\",\"updateUser\":1,\"pid\":0,\"updateTime\":1630546060059,\"sort\":3,\"title\":\"资源管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources\",\"hide\":0,\"createTime\":1630545952000,\"checked\":false,\"createUser\":1,\"id\":1997,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-02 09:27:40', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (124, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1997', '221.231.188.243', 'XX XX', '{menuId=1997}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-02 09:28:02', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (125, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.188.243', 'XX XX', '{\"icon\":\"AppstoreAddOutlined\",\"sort\":3,\"title\":\"资源管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources\",\"hide\":0,\"createTime\":1630547627833,\"checked\":false,\"createUser\":1,\"id\":1998,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-02 09:53:47', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (126, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.188.243', 'XX XX', '{\"icon\":\"CreditCardOutlined\",\"sort\":3,\"title\":\"资源管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources\",\"hide\":0,\"createTime\":1630547771083,\"checked\":false,\"createUser\":1,\"id\":1999,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-02 09:56:11', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (127, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.188.243', 'XX XX', '{\"icon\":\"CreditCardOutlined\",\"sort\":3,\"title\":\"资源管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources\",\"hide\":0,\"createTime\":1630549491350,\"checked\":false,\"createUser\":1,\"id\":2000,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-02 10:24:51', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (128, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.188.243', 'XX XX', '{\"icon\":\"CreditCardOutlined\",\"sort\":3,\"title\":\"资源管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources\",\"hide\":0,\"createTime\":1630549507483,\"checked\":false,\"createUser\":1,\"id\":2001,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-02 10:25:07', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (129, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.188.243', 'XX XX', '{\"icon\":\"FolderOpenOutlined\",\"sort\":3,\"title\":\"资源管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources\",\"hide\":0,\"createTime\":1630552651824,\"checked\":false,\"createUser\":1,\"id\":2002,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-02 11:17:32', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (130, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1999', '221.226.114.142', 'XX XX', '{menuId=1999}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-02 11:18:40', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (131, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2000', '221.226.114.142', 'XX XX', '{menuId=2000}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-02 11:18:49', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (132, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2001', '221.226.114.142', 'XX XX', '{menuId=2001}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-02 11:18:56', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (133, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.188.243', 'XX XX', '{\"icon\":\"RocketOutlined\",\"pid\":2002,\"sort\":1,\"title\":\"无人机管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/uavManage\",\"component\":\"/resources/uavManage\",\"hide\":0,\"createTime\":1630552831274,\"checked\":false,\"createUser\":1,\"id\":2003,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-02 11:20:31', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (134, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.188.243', 'XX XX', '{\"icon\":\"RocketOutlined\",\"updateUser\":1,\"pid\":2002,\"updateTime\":1630560986796,\"sort\":1,\"title\":\"无人机管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/uavManage\",\"component\":\"/resources/uavManage\",\"hide\":0,\"createTime\":1630552831000,\"checked\":false,\"createUser\":1,\"id\":2003,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-02 13:36:27', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (135, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.194.62', 'XX XX', '{\"icon\":\"RocketOutlined\",\"updateUser\":1,\"pid\":2002,\"updateTime\":1630562677576,\"sort\":1,\"title\":\"无人机管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/uavManage\",\"component\":\"/resources/uavManage/index.vue\",\"hide\":0,\"createTime\":1630552831000,\"checked\":false,\"createUser\":1,\"id\":2003,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-02 14:04:37', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (136, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.188.243', 'XX XX', '{\"pid\":2002,\"sort\":10,\"title\":\"河道管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/riverManage\",\"component\":\"/resources/riverManage/index.vue\",\"hide\":0,\"createTime\":1630633988362,\"checked\":false,\"createUser\":1,\"id\":2005,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 09:53:08', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (137, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.188.243', 'XX XX', '{\"icon\":\"ExperimentOutlined\",\"updateUser\":1,\"pid\":2002,\"updateTime\":1630634234399,\"sort\":10,\"title\":\"河道管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/riverManage\",\"component\":\"/resources/riverManage/index.vue\",\"hide\":0,\"createTime\":1630633988000,\"checked\":false,\"createUser\":1,\"id\":2005,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 09:57:14', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (138, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.194.62', 'XX XX', '{\"icon\":\"GiftOutlined\",\"pid\":2002,\"sort\":20,\"title\":\"盒子管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/boxManage\",\"component\":\"/resources/boxManage/index.vue\",\"hide\":0,\"createTime\":1630652008706,\"checked\":false,\"createUser\":1,\"id\":2007,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 14:53:28', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (139, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.194.62', 'XX XX', '{\"icon\":\"DatabaseOutlined\",\"pid\":2002,\"sort\":25,\"title\":\"问题分类管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/problemManage\",\"component\":\"/resources/problemManage/index.vue\",\"hide\":0,\"createTime\":1630652437305,\"checked\":false,\"createUser\":1,\"id\":2008,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 15:00:37', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (140, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.194.62', 'XX XX', '{\"icon\":\"PaperClipOutlined\",\"pid\":2002,\"sort\":30,\"title\":\"问题分类管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/problemManage\",\"component\":\"/resources/problemManage/index.vue\",\"hide\":0,\"createTime\":1630653493347,\"checked\":false,\"createUser\":1,\"id\":2009,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 15:18:13', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (141, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.194.62', 'XX XX', '{\"icon\":\"PaperClipOutlined\",\"pid\":2002,\"sort\":30,\"title\":\"问题分类管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/problemManage\",\"component\":\"/resources/problemManage/index.vue\",\"hide\":0,\"createTime\":1630653496795,\"checked\":false,\"createUser\":1,\"id\":2010,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 15:18:16', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (142, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2009', '221.231.194.62', 'XX XX', '{menuId=2009}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-03 15:19:03', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (143, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2008', '221.231.194.62', 'XX XX', '{menuId=2008}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-03 15:19:12', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (144, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.194.62', 'XX XX', '{\"icon\":\"PaperClipOutlined\",\"updateUser\":1,\"pid\":2002,\"updateTime\":1630653565613,\"sort\":25,\"title\":\"问题分类管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/problemManage\",\"component\":\"/resources/problemManage/index.vue\",\"hide\":0,\"createTime\":1630653496000,\"checked\":false,\"createUser\":1,\"id\":2010,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 15:19:25', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (145, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.194.62', 'XX XX', '{\"note\":\"\",\"icon\":\"SettingOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1630656355518,\"sort\":4,\"title\":\"系统管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system\",\"component\":\"\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"UsergroupAddOutlined\",\"updateUser\":1,\"permission\":\"sys:user:view\",\"pid\":4,\"updateTime\":1629777060000,\"sort\":1,\"title\":\"用户管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/user\",\"component\":\"/system/user\",\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:list\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":1,\"title\":\"查询用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/list\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1210,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:add\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":5,\"title\":\"添加用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/add\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1211,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:update\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":10,\"title\":\"修改用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/update\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1212,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:delete\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":15,\"title\":\"删除用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/delete\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1213,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:detail\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":20,\"title\":\"用户详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/detail\",\"component\":\"\",\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1214,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:status\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":25,\"tit', 'null', 1, '', 0, '2021-09-03 16:05:55', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (146, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.194.62', 'XX XX', '{\"icon\":\"MonitorOutlined\",\"sort\":2,\"title\":\"巡检管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/inspection\",\"component\":\"\",\"hide\":0,\"createTime\":1630656445104,\"checked\":false,\"createUser\":1,\"id\":2011,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 16:07:25', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (147, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.194.62', 'XX XX', '{\"icon\":\"ClusterOutlined\",\"pid\":2011,\"sort\":1,\"title\":\"全部任务\",\"type\":0,\"target\":\"_self\",\"path\":\"/inspection/allTask\",\"component\":\"/inspection/allTask/index.vue\",\"hide\":0,\"createTime\":1630657877030,\"checked\":false,\"createUser\":1,\"id\":2012,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 16:31:17', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (148, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.194.62', 'XX XX', '{\"icon\":\"TagOutlined\",\"pid\":2011,\"sort\":2,\"title\":\"待审核任务\",\"type\":0,\"target\":\"_self\",\"path\":\"/inspection/reviewTask\",\"component\":\"/inspection/reviewTask/index.vue\",\"hide\":0,\"createTime\":1630658201947,\"checked\":false,\"createUser\":1,\"id\":2013,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 16:36:42', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (149, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.231.194.62', 'XX XX', '{\"icon\":\"TagOutlined\",\"pid\":2011,\"sort\":3,\"title\":\"待执行任务\",\"type\":0,\"target\":\"_self\",\"path\":\"/inspection/implementTask\",\"component\":\"/inspection/implementTask/index.vue\",\"hide\":0,\"createTime\":1630658235087,\"checked\":false,\"createUser\":1,\"id\":2014,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 16:37:15', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (150, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.194.62', 'XX XX', '{\"icon\":\"ClusterOutlined\",\"updateUser\":1,\"pid\":2011,\"updateTime\":1630658800095,\"sort\":1,\"title\":\"全部任务\",\"type\":0,\"target\":\"_self\",\"path\":\"/inspection/allTask\",\"component\":\"/inspection/allTask.vue\",\"hide\":0,\"createTime\":1630657877000,\"checked\":false,\"createUser\":1,\"id\":2012,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 16:46:40', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (151, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.194.62', 'XX XX', '{\"icon\":\"TagOutlined\",\"updateUser\":1,\"pid\":2011,\"updateTime\":1630658811018,\"sort\":2,\"title\":\"待审核任务\",\"type\":0,\"target\":\"_self\",\"path\":\"/inspection/reviewTask\",\"component\":\"/inspection/reviewTask.vue\",\"hide\":0,\"createTime\":1630658201000,\"checked\":false,\"createUser\":1,\"id\":2013,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 16:46:51', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (152, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.194.62', 'XX XX', '{\"icon\":\"TagOutlined\",\"updateUser\":1,\"pid\":2011,\"updateTime\":1630658826184,\"sort\":3,\"title\":\"待执行任务\",\"type\":0,\"target\":\"_self\",\"path\":\"/inspection/implementTask\",\"component\":\"/inspection/implementTask.vue\",\"hide\":0,\"createTime\":1630658235000,\"checked\":false,\"createUser\":1,\"id\":2014,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 16:47:06', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (153, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.194.62', 'XX XX', '{\"icon\":\"TagOutlined\",\"updateUser\":1,\"pid\":2011,\"updateTime\":1630658827822,\"sort\":3,\"title\":\"待执行任务\",\"type\":0,\"target\":\"_self\",\"path\":\"/inspection/implementTask\",\"component\":\"/inspection/implementTask.vue\",\"hide\":0,\"createTime\":1630658235000,\"checked\":false,\"createUser\":1,\"id\":2014,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-03 16:47:07', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (154, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.226.114.142', 'XX XX', '{\"icon\":\"PaperClipOutlined\",\"updateUser\":1,\"pid\":2002,\"updateTime\":1630922483521,\"sort\":25,\"title\":\"问题分类管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/problemManage\",\"component\":\"/resources/problemManage/index.vue\",\"hide\":1,\"createTime\":1630653496000,\"checked\":false,\"createUser\":1,\"id\":2010,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-06 18:01:23', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (155, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.167.217', 'XX XX', '{\"icon\":\"DingtalkOutlined\",\"updateUser\":1,\"pid\":1,\"updateTime\":1630999264130,\"sort\":3,\"title\":\"实时监测\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard/realTimeMonitor\",\"component\":\"/dashboard/realTimeMonitor/index.vue\",\"hide\":0,\"createTime\":1630999206000,\"checked\":false,\"createUser\":1,\"id\":2015,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-07 15:21:04', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (156, '用户管理', 10, 'com.tuoheng.system.controller.UserController.status()', 'PUT', 1, 'admin', '/api/user/status/', '221.231.167.217', 'XX XX', '{\"id\":2,\"updateUser\":1,\"updateTime\":1631082202195,\"status\":2}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-08 14:23:22', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (157, '用户管理', 10, 'com.tuoheng.system.controller.UserController.status()', 'PUT', 1, 'admin', '/api/user/status/', '221.231.167.217', 'XX XX', '{\"id\":2,\"updateUser\":1,\"updateTime\":1631082206035,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-08 14:23:26', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (158, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"note\":\"\",\"icon\":\"UserSwitchOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1631260919807,\"sort\":8,\"title\":\"个人中心\",\"type\":0,\"target\":\"_self\",\"path\":\"/user\",\"component\":\"\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"UserAddOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":89,\"updateTime\":1629081297000,\"sort\":1,\"title\":\"个人资料\",\"type\":0,\"target\":\"_self\",\"path\":\"/user/profile\",\"component\":\"/user/profile\",\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:profile:list\",\"pid\":90,\"updateTime\":1629016529000,\"sort\":1,\"title\":\"查询个人资料\",\"type\":1,\"target\":\"_self\",\"path\":\"/profile/list\",\"component\":\"\",\"createTime\":1629016529000,\"checked\":false,\"createUser\":1,\"id\":1306,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:profile:update\",\"pid\":90,\"updateTime\":1629016529000,\"sort\":10,\"title\":\"修改个人资料\",\"type\":1,\"target\":\"_self\",\"path\":\"/profile/update\",\"component\":\"\",\"createTime\":1629016529000,\"checked\":false,\"createUser\":1,\"id\":1307,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":90,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":89,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-10 16:02:00', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (159, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"note\":\"\",\"icon\":\"UserSwitchOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1631260932350,\"sort\":8,\"title\":\"个人中心\",\"type\":0,\"target\":\"_self\",\"path\":\"/user\",\"component\":\"\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"UserAddOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":89,\"updateTime\":1629081297000,\"sort\":1,\"title\":\"个人资料\",\"type\":0,\"target\":\"_self\",\"path\":\"/user/profile\",\"component\":\"/user/profile\",\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:profile:list\",\"pid\":90,\"updateTime\":1629016529000,\"sort\":1,\"title\":\"查询个人资料\",\"type\":1,\"target\":\"_self\",\"path\":\"/profile/list\",\"component\":\"\",\"createTime\":1629016529000,\"checked\":false,\"createUser\":1,\"id\":1306,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:profile:update\",\"pid\":90,\"updateTime\":1629016529000,\"sort\":10,\"title\":\"修改个人资料\",\"type\":1,\"target\":\"_self\",\"path\":\"/profile/update\",\"component\":\"\",\"createTime\":1629016529000,\"checked\":false,\"createUser\":1,\"id\":1307,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":90,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":89,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-10 16:02:12', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (160, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"note\":\"\",\"icon\":\"UserSwitchOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1631260944789,\"sort\":8,\"title\":\"个人中心\",\"type\":0,\"target\":\"_self\",\"path\":\"/user\",\"component\":\"\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"UserAddOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":89,\"updateTime\":1629081297000,\"sort\":1,\"title\":\"个人资料\",\"type\":0,\"target\":\"_self\",\"path\":\"/user/profile\",\"component\":\"/user/profile\",\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:profile:list\",\"pid\":90,\"updateTime\":1629016529000,\"sort\":1,\"title\":\"查询个人资料\",\"type\":1,\"target\":\"_self\",\"path\":\"/profile/list\",\"component\":\"\",\"createTime\":1629016529000,\"checked\":false,\"createUser\":1,\"id\":1306,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:profile:update\",\"pid\":90,\"updateTime\":1629016529000,\"sort\":10,\"title\":\"修改个人资料\",\"type\":1,\"target\":\"_self\",\"path\":\"/profile/update\",\"component\":\"\",\"createTime\":1629016529000,\"checked\":false,\"createUser\":1,\"id\":1307,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":90,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":89,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-10 16:02:24', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (161, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:all:add\",\"pid\":2012,\"sort\":1,\"title\":\"新增河道\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329573420,\"checked\":false,\"createUser\":1,\"id\":2016,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:06:13', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (162, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\":ins:all:delete\",\"pid\":2012,\"sort\":2,\"title\":\"删除任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329639142,\"checked\":false,\"createUser\":1,\"id\":2017,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:07:19', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (163, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"ins:all:add\",\"pid\":2012,\"updateTime\":1631329668466,\"sort\":1,\"title\":\"新增任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329573000,\"checked\":false,\"createUser\":1,\"id\":2016,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:07:48', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (164, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\":ins:all:edit\",\"pid\":2012,\"sort\":3,\"title\":\"编辑任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329716329,\"checked\":false,\"createUser\":1,\"id\":2018,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:08:36', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (165, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"ins:all:edit\",\"pid\":2012,\"updateTime\":1631329734236,\"sort\":3,\"title\":\"编辑任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329716000,\"checked\":false,\"createUser\":1,\"id\":2018,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:08:54', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (166, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:all:approve\",\"pid\":2012,\"sort\":4,\"title\":\"审核任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329820863,\"checked\":false,\"createUser\":1,\"id\":2019,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:10:21', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (167, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:all:do\",\"pid\":2012,\"sort\":5,\"title\":\"执行任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329858512,\"checked\":false,\"createUser\":1,\"id\":2020,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:10:58', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (168, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:all:finish\",\"pid\":2012,\"sort\":6,\"title\":\"完成任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329904677,\"checked\":false,\"createUser\":1,\"id\":2021,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:11:44', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (169, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:all:trajectory\",\"pid\":2012,\"sort\":7,\"title\":\"查看轨迹\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631330032747,\"checked\":false,\"createUser\":1,\"id\":2022,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:13:52', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (170, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:review:edit\",\"pid\":2013,\"sort\":1,\"title\":\"编辑任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631330281392,\"checked\":false,\"createUser\":1,\"id\":2023,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:18:01', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (171, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"ins:all:add\",\"pid\":2012,\"updateTime\":1631330400117,\"sort\":2,\"title\":\"新增任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329573000,\"checked\":false,\"createUser\":1,\"id\":2016,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:20:00', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (172, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:all:list\",\"pid\":2012,\"sort\":1,\"title\":\"查询任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631330497687,\"checked\":false,\"createUser\":1,\"id\":2024,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:21:37', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (173, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"ins:all:delete\",\"pid\":2012,\"updateTime\":1631330515168,\"sort\":3,\"title\":\"删除任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329639000,\"checked\":false,\"createUser\":1,\"id\":2017,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:21:55', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (174, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:all:detail\",\"pid\":2012,\"sort\":4,\"title\":\"任务详情\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631330564498,\"checked\":false,\"createUser\":1,\"id\":2025,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:22:44', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (175, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"ins:all:edit\",\"pid\":2012,\"updateTime\":1631330586555,\"sort\":4,\"title\":\"编辑任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329716000,\"checked\":false,\"createUser\":1,\"id\":2018,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:23:06', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (176, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"ins:all:approve\",\"pid\":2012,\"updateTime\":1631330604541,\"sort\":6,\"title\":\"审核任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329820000,\"checked\":false,\"createUser\":1,\"id\":2019,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:23:24', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (177, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"ins:all:edit\",\"pid\":2012,\"updateTime\":1631330618931,\"sort\":5,\"title\":\"编辑任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329716000,\"checked\":false,\"createUser\":1,\"id\":2018,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:23:39', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (178, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"ins:all:finish\",\"pid\":2012,\"updateTime\":1631330637320,\"sort\":7,\"title\":\"完成任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631329904000,\"checked\":false,\"createUser\":1,\"id\":2021,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:23:57', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (179, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"ins:all:trajectory\",\"pid\":2012,\"updateTime\":1631330649748,\"sort\":8,\"title\":\"查看轨迹\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631330032000,\"checked\":false,\"createUser\":1,\"id\":2022,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:24:09', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (180, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"note\":\"\",\"icon\":\"AppstoreAddOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":1,\"updateTime\":1631330676079,\"sort\":1,\"title\":\"工作台\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard/workplace\",\"component\":\"/dashboard/workplace\",\"hide\":1,\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":2,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-11 11:24:36', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (181, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"ins:review:edit\",\"pid\":2013,\"updateTime\":1631330678393,\"sort\":4,\"title\":\"编辑任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631330281000,\"checked\":false,\"createUser\":1,\"id\":2023,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:24:38', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (182, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"note\":\"\",\"icon\":\"AppstoreAddOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":1,\"updateTime\":1631330680729,\"sort\":1,\"title\":\"工作台\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard/workplace\",\"component\":\"/dashboard/workplace\",\"hide\":1,\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":2,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-11 11:24:40', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (183, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"note\":\"\",\"icon\":\"DotChartOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":1,\"updateTime\":1631330709641,\"sort\":5,\"title\":\"数据分析\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard/analysis\",\"component\":\"/dashboard/analysis\",\"hide\":1,\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":3,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-11 11:25:09', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (184, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:review:list\",\"pid\":2013,\"sort\":1,\"title\":\"查询任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631330722768,\"checked\":false,\"createUser\":1,\"id\":2026,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:25:22', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (185, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"note\":\"\",\"icon\":\"DotChartOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":1,\"updateTime\":1631330736012,\"sort\":5,\"title\":\"数据分析\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard/analysis\",\"component\":\"/dashboard/analysis\",\"hide\":1,\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":3,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-11 11:25:36', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (186, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:review:add\",\"pid\":2013,\"sort\":2,\"title\":\"新增任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631330772896,\"checked\":false,\"createUser\":1,\"id\":2027,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:26:13', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (187, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"note\":\"\",\"icon\":\"DotChartOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":1,\"updateTime\":1631330814043,\"sort\":5,\"title\":\"数据分析\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard/analysis\",\"component\":\"/dashboard/analysis\",\"hide\":1,\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":3,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-11 11:26:54', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (188, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:review:delete\",\"pid\":2013,\"sort\":3,\"title\":\"删除任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631330821177,\"checked\":false,\"createUser\":1,\"id\":2028,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:27:01', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (189, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:review:approve\",\"pid\":2013,\"sort\":5,\"title\":\"审核任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631330874770,\"checked\":false,\"createUser\":1,\"id\":2029,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:27:54', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (190, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:implement:list\",\"pid\":2014,\"sort\":1,\"title\":\"查询任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631331099203,\"checked\":false,\"createUser\":1,\"id\":2030,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:31:39', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (191, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:implement:detail\",\"pid\":2014,\"sort\":2,\"title\":\"任务详情\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631331552625,\"checked\":false,\"createUser\":1,\"id\":2031,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:39:12', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (192, '用户管理', 1, 'com.tuoheng.system.controller.UserController.add()', 'POST', 1, 'admin', '/api/user/add', '49.77.206.136', 'XX XX', '{\"code\":\"666\",\"type\":2,\"driverCode\":\"110\",\"password\":\"ddd056e3116ef3c8972a11c62a770a31\",\"deptId\":4,\"avatar\":\"/images/user/20210911/20210911113815322.png\",\"driverType\":1,\"realname\":\"飞手\",\"roleIds\":[2],\"status\":1,\"username\":\"fs001\"}', 'null', 1, '', 0, '2021-09-11 11:39:23', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (193, '用户管理', 1, 'com.tuoheng.system.controller.UserController.add()', 'POST', 1, 'admin', '/api/user/add', '49.77.206.136', 'XX XX', '{\"code\":\"666\",\"type\":2,\"driverCode\":\"110\",\"password\":\"ddd056e3116ef3c8972a11c62a770a31\",\"deptId\":4,\"avatar\":\"/images/user/20210911/20210911113815322.png\",\"driverType\":1,\"realname\":\"飞手\",\"roleIds\":[2],\"status\":1,\"username\":\"fs001\"}', 'null', 1, '', 0, '2021-09-11 11:39:28', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (194, '用户管理', 1, 'com.tuoheng.system.controller.UserController.add()', 'POST', 1, 'admin', '/api/user/add', '49.77.206.136', 'XX XX', '{\"code\":\"666\",\"type\":2,\"driverCode\":\"110\",\"password\":\"ddd056e3116ef3c8972a11c62a770a31\",\"deptId\":4,\"avatar\":\"/images/user/20210911/20210911113815322.png\",\"driverType\":1,\"realname\":\"飞手\",\"roleIds\":[2],\"status\":1,\"username\":\"fs001\"}', 'null', 1, '', 0, '2021-09-11 11:39:46', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (195, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:implement:do\",\"pid\":2014,\"sort\":3,\"title\":\"任务执行\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631331615050,\"checked\":false,\"createUser\":1,\"id\":2032,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:40:15', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (196, '用户管理', 1, 'com.tuoheng.system.controller.UserController.add()', 'POST', 1, 'admin', '/api/user/add', '49.77.206.136', 'XX XX', '{\"code\":\"666\",\"type\":2,\"driverCode\":\"110\",\"password\":\"ddd056e3116ef3c8972a11c62a770a31\",\"deptId\":4,\"avatar\":\"/images/user/20210911/20210911113815322.png\",\"driverType\":1,\"realname\":\"飞手\",\"roleIds\":[2],\"status\":1,\"username\":\"fs001\"}', 'null', 1, '', 0, '2021-09-11 11:45:25', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (197, '用户管理', 11, 'com.tuoheng.system.controller.UserController.resetPwd()', 'PUT', 1, 'admin', '/api/user/resetPwd', '49.77.206.136', 'XX XX', '{\"id\":3}', '{\"code\":0,\"msg\":\"密码重置成功\"}', 0, NULL, 0, '2021-09-11 11:46:59', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (198, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"ins:implement:finish\",\"pid\":2014,\"sort\":4,\"title\":\"任务完成\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631332031429,\"checked\":false,\"createUser\":1,\"id\":2033,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:47:11', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (199, '角色管理', 1, 'com.tuoheng.system.controller.RoleController.add()', 'POST', 1, 'admin', '/api/role/add', '49.77.206.136', 'XX XX', '{\"code\":\"fs\",\"createTime\":1631332188431,\"name\":\"飞手\",\"id\":6,\"sort\":25,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:49:48', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (200, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin', '/api/user/edit', '49.77.206.136', 'XX XX', '{\"birthday\":1627833600000,\"note\":\"暂无备注\",\"code\":\"22\",\"districtCode\":\"320115\",\"gender\":3,\"city\":[\"320000\",\"320100\",\"320115\"],\"cityCode\":\"320100\",\"type\":2,\"loginNum\":0,\"driverCode\":\"111\",\"password\":\"\",\"cityName\":\"\",\"intro\":\"\",\"levelId\":2,\"loginIp\":\"\",\"nickname\":\"万佛朝宗\",\"id\":3,\"email\":\"tuoheng@163.com\",\"address\":\"东吉大道1号江苏软件园\",\"salt\":\"\",\"provinceCode\":\"320000\",\"deptId\":2,\"mobile\":\"15295506278\",\"updateUser\":1,\"updateTime\":1589684140000,\"avatar\":\"/images/user/20210802/cd8y3ptb9gq4rhlace.jpg\",\"sort\":124,\"driverType\":1,\"realname\":\"飞手2\",\"roleIds\":[6],\"positionId\":1,\"createTime\":1627899196000,\"createUser\":1,\"mark\":1,\"status\":1,\"username\":\"FS002\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:52:11', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (201, '用户管理', 11, 'com.tuoheng.system.controller.UserController.resetPwd()', 'PUT', 1, 'admin', '/api/user/resetPwd', '49.77.206.136', 'XX XX', '{\"id\":3}', '{\"code\":0,\"msg\":\"密码重置成功\"}', 0, NULL, 0, '2021-09-11 11:53:06', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (202, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resource:uva:list\",\"pid\":2003,\"sort\":1,\"title\":\"查询无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631332714372,\"checked\":false,\"createUser\":1,\"id\":2034,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:58:34', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (203, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"resource:uav:list\",\"pid\":2003,\"updateTime\":1631332745126,\"sort\":1,\"title\":\"查询无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631332714000,\"checked\":false,\"createUser\":1,\"id\":2034,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:59:05', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (204, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"resources:uav:list\",\"pid\":2003,\"updateTime\":1631332756788,\"sort\":1,\"title\":\"查询无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631332714000,\"checked\":false,\"createUser\":1,\"id\":2034,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:59:16', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (205, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"resources:uav:list\",\"pid\":2003,\"updateTime\":1631332764740,\"sort\":1,\"title\":\"查询无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631332714000,\"checked\":false,\"createUser\":1,\"id\":2034,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 11:59:24', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (206, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:uav:add\",\"pid\":2003,\"sort\":2,\"title\":\"添加无人家\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631336768546,\"checked\":false,\"createUser\":1,\"id\":2035,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:06:08', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (207, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"resources:uav:add\",\"pid\":2003,\"updateTime\":1631336785075,\"sort\":2,\"title\":\"添加无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631336768000,\"checked\":false,\"createUser\":1,\"id\":2035,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:06:25', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (208, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:uav:edit\",\"pid\":2003,\"sort\":3,\"title\":\"编辑无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631336826717,\"checked\":false,\"createUser\":1,\"id\":2036,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:07:06', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (209, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:uav:delete\",\"pid\":2003,\"sort\":4,\"title\":\"删除无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631336856629,\"checked\":false,\"createUser\":1,\"id\":2037,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:07:36', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (210, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:mount:list\",\"pid\":2004,\"sort\":1,\"title\":\"查询挂载\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631336920905,\"checked\":false,\"createUser\":1,\"id\":2038,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:08:41', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (211, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:mount:edit\",\"pid\":2004,\"sort\":3,\"title\":\"编辑挂载\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337002593,\"checked\":false,\"createUser\":1,\"id\":2040,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:10:02', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (212, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:mount:delete\",\"pid\":2004,\"sort\":4,\"title\":\"删除挂载\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337032198,\"checked\":false,\"createUser\":1,\"id\":2041,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:10:32', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (213, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:river:list\",\"pid\":2005,\"sort\":1,\"title\":\"查询河道\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337086533,\"checked\":false,\"createUser\":1,\"id\":2042,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:11:26', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (214, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:river:add\",\"pid\":2005,\"sort\":2,\"title\":\"添加河道\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337118442,\"checked\":false,\"createUser\":1,\"id\":2043,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:11:58', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (215, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:river:edit\",\"pid\":2005,\"sort\":3,\"title\":\"编辑河道\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337142954,\"checked\":false,\"createUser\":1,\"id\":2044,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:12:23', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (216, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:river:delete\",\"pid\":2005,\"sort\":4,\"title\":\"删除河道\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337166739,\"checked\":false,\"createUser\":1,\"id\":2045,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:12:46', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (217, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:passageway:list\",\"pid\":2006,\"sort\":1,\"title\":\"查询通道\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337233038,\"checked\":false,\"createUser\":1,\"id\":2046,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:13:53', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (218, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:passageway:add\",\"pid\":2006,\"sort\":2,\"title\":\"添加通道\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337266511,\"checked\":false,\"createUser\":1,\"id\":2047,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:14:26', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (219, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:passageway:edit\",\"pid\":2006,\"sort\":3,\"title\":\"编辑通道\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337296499,\"checked\":false,\"createUser\":1,\"id\":2048,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:14:56', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (220, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:passageway:delete\",\"pid\":2006,\"sort\":4,\"title\":\"删除通道\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337330661,\"checked\":false,\"createUser\":1,\"id\":2049,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:15:30', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (221, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:box:list\",\"pid\":2007,\"sort\":1,\"title\":\"查询盒子\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337413349,\"checked\":false,\"createUser\":1,\"id\":2050,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:16:53', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (222, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:box:add\",\"pid\":2007,\"sort\":2,\"title\":\"添加盒子\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337440919,\"checked\":false,\"createUser\":1,\"id\":2051,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:17:21', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (223, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:box:edit\",\"pid\":2006,\"sort\":3,\"title\":\"编辑盒子\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337466018,\"checked\":false,\"createUser\":1,\"id\":2052,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:17:46', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (224, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:box:edit\",\"pid\":2007,\"sort\":3,\"title\":\"编辑盒子\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337519926,\"checked\":false,\"createUser\":1,\"id\":2053,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:18:40', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (225, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:box:delete\",\"pid\":2007,\"sort\":4,\"title\":\"删除盒子\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337544769,\"checked\":false,\"createUser\":1,\"id\":2054,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:19:04', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (226, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"\",\"permission\":\"resources:problem:list\",\"pid\":2010,\"sort\":1,\"title\":\"查询问题\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337578186,\"checked\":false,\"createUser\":1,\"id\":2055,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:19:38', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (227, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '49.77.206.136', 'XX XX', '{\"icon\":\"HomeOutlined\",\"pid\":1,\"sort\":1,\"title\":\"首页\",\"type\":0,\"target\":\"_self\",\"path\":\"\",\"hide\":0,\"createTime\":1631339087711,\"checked\":false,\"createUser\":1,\"id\":2056,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 13:44:47', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (228, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '49.77.206.136', 'XX XX', '{\"icon\":\"HomeOutlined\",\"updateUser\":1,\"pid\":1,\"updateTime\":1631339121769,\"sort\":1,\"title\":\"首页\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard/home\",\"component\":\"/dashboard/home.vue\",\"hide\":0,\"createTime\":1631339087000,\"checked\":false,\"createUser\":1,\"id\":2056,\"mark\":1,\"open\":false,\"status\":1}', 'null', 1, '', 0, '2021-09-11 13:45:21', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (229, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2052', '49.77.206.136', 'XX XX', '{menuId=2052}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-11 14:23:51', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (230, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.165.36', 'XX XX', '{\"note\":\"\",\"icon\":\"DeploymentUnitOutlined\",\"updateUser\":1,\"permission\":\"sys:position:view\",\"pid\":4,\"updateTime\":1631496378298,\"sort\":20,\"title\":\"岗位管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/position\",\"component\":\"/system/position\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:list\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":1,\"title\":\"查询岗位\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/list\",\"component\":\"\",\"createTime\":1629016445000,\"checked\":false,\"createUser\":1,\"id\":1245,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:add\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":5,\"title\":\"添加岗位\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/add\",\"component\":\"\",\"createTime\":1629016445000,\"checked\":false,\"createUser\":1,\"id\":1246,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:update\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":10,\"title\":\"修改岗位\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/update\",\"component\":\"\",\"createTime\":1629016445000,\"checked\":false,\"createUser\":1,\"id\":1247,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:delete\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":15,\"title\":\"删除岗位\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/delete\",\"component\":\"\",\"createTime\":1629016445000,\"checked\":false,\"createUser\":1,\"id\":1248,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:detail\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":20,\"title\":\"岗位详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/detail\",\"component\":\"\",\"createTime\":1629016445000,\"checked\":false,\"createUser\":1,\"id\":1249,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:status\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":25,\"title\":\"设置状态\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/status\",\"component\":\"\",\"createTime\":1629016445000,\"checked\":false,\"createUse', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 09:26:18', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (231, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.165.36', 'XX XX', '{\"note\":\"\",\"icon\":\"UserSwitchOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1631496405469,\"sort\":8,\"title\":\"个人中心\",\"type\":0,\"target\":\"_self\",\"path\":\"/user\",\"component\":\"\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"UserAddOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":89,\"updateTime\":1629081297000,\"sort\":1,\"title\":\"个人资料\",\"type\":0,\"target\":\"_self\",\"path\":\"/user/profile\",\"component\":\"/user/profile\",\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:profile:list\",\"pid\":90,\"updateTime\":1629016529000,\"sort\":1,\"title\":\"查询个人资料\",\"type\":1,\"target\":\"_self\",\"path\":\"/profile/list\",\"component\":\"\",\"createTime\":1629016529000,\"checked\":false,\"createUser\":1,\"id\":1306,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:profile:update\",\"pid\":90,\"updateTime\":1629016529000,\"sort\":10,\"title\":\"修改个人资料\",\"type\":1,\"target\":\"_self\",\"path\":\"/profile/update\",\"component\":\"\",\"createTime\":1629016529000,\"checked\":false,\"createUser\":1,\"id\":1307,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":90,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":89,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 09:26:45', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (232, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.165.36', 'XX XX', '{\"note\":\"\",\"icon\":\"CodeSandboxOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1631496419430,\"sort\":30,\"title\":\"系统工具\",\"type\":0,\"target\":\"_self\",\"path\":\"/tool\",\"component\":\"\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"SlackOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":154,\"updateTime\":1629081559000,\"sort\":1,\"title\":\"代码生成\",\"type\":0,\"target\":\"_self\",\"path\":\"/tool/generate\",\"component\":\"/tool/generate\",\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:generate:list\",\"pid\":155,\"updateTime\":1629016603000,\"sort\":1,\"title\":\"查询代码生成\",\"type\":1,\"target\":\"_self\",\"path\":\"/generate/list\",\"component\":\"\",\"createTime\":1629016603000,\"checked\":false,\"createUser\":1,\"id\":1366,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:generate:add\",\"pid\":155,\"updateTime\":1629016603000,\"sort\":5,\"title\":\"添加代码生成\",\"type\":1,\"target\":\"_self\",\"path\":\"/generate/add\",\"component\":\"\",\"createTime\":1629016603000,\"checked\":false,\"createUser\":1,\"id\":1367,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:generate:update\",\"pid\":155,\"updateTime\":1629016603000,\"sort\":10,\"title\":\"修改代码生成\",\"type\":1,\"target\":\"_self\",\"path\":\"/generate/update\",\"component\":\"\",\"createTime\":1629016603000,\"checked\":false,\"createUser\":1,\"id\":1368,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:generate:delete\",\"pid\":155,\"updateTime\":1629016603000,\"sort\":15,\"title\":\"删除代码生成\",\"type\":1,\"target\":\"_self\",\"path\":\"/generate/delete\",\"component\":\"\",\"createTime\":1629016603000,\"checked\":false,\"createUser\":1,\"id\":1369,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:generate:detail\",\"pid\":155,\"updateTime\":1629016603000,\"sort\":20,\"title\":\"代码生成详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/generate/detail\",\"component\":\"\",\"createTime\":1629016603000,\"checked\":false,\"createUser\":1,\"id\":1370,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:generate:stat', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 09:26:59', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (233, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.165.36', 'XX XX', '{\"note\":\"\",\"icon\":\"SettingOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1631496430398,\"sort\":29,\"title\":\"系统设置\",\"type\":0,\"target\":\"_self\",\"path\":\"/setting\",\"component\":\"\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"GlobalOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":177,\"updateTime\":1629081528000,\"sort\":1,\"title\":\"网站设置\",\"type\":0,\"target\":\"_self\",\"path\":\"/config/web\",\"component\":\"/config/web\",\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:web:list\",\"pid\":178,\"updateTime\":1629016591000,\"sort\":1,\"title\":\"查询网站设置\",\"type\":1,\"target\":\"_self\",\"path\":\"/web/list\",\"component\":\"\",\"createTime\":1629016591000,\"checked\":false,\"createUser\":1,\"id\":1364,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:web:update\",\"pid\":178,\"updateTime\":1629016591000,\"sort\":10,\"title\":\"修改网站设置\",\"type\":1,\"target\":\"_self\",\"path\":\"/web/update\",\"component\":\"\",\"createTime\":1629016591000,\"checked\":false,\"createUser\":1,\"id\":1365,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":178,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":177,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 09:27:10', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (234, '用户管理', 1, 'com.tuoheng.system.controller.UserController.add()', 'POST', 1, 'admin', '/api/user/add', '221.231.165.36', 'XX XX', '{\"code\":\"NCCR0002\",\"type\":1,\"password\":\"ddd056e3116ef3c8972a11c62a770a31\",\"id\":2,\"deptId\":5,\"realname\":\"经理\",\"roleIds\":[1],\"status\":1,\"username\":\"jingli\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 09:39:36', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (235, '角色管理', 1, 'com.tuoheng.system.controller.RoleController.add()', 'POST', 1, 'admin', '/api/role/add', '221.231.165.36', 'XX XX', '{\"code\":\"飞手\",\"createTime\":1631497213971,\"name\":\"飞手\",\"id\":2,\"sort\":10,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 09:40:14', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (236, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.165.36', 'XX XX', '{\"note\":\"\",\"icon\":\"AppstoreAddOutlined\",\"updateUser\":1,\"permission\":\"sys:level:view\",\"pid\":4,\"updateTime\":1631500600655,\"sort\":15,\"title\":\"职级管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/level\",\"component\":\"/system/level\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:level:list\",\"pid\":28,\"updateTime\":1629016438000,\"sort\":1,\"title\":\"查询职级\",\"type\":1,\"target\":\"_self\",\"path\":\"/level/list\",\"component\":\"\",\"hide\":0,\"createTime\":1629016438000,\"checked\":false,\"createUser\":1,\"id\":1236,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:level:add\",\"pid\":28,\"updateTime\":1629016438000,\"sort\":5,\"title\":\"添加职级\",\"type\":1,\"target\":\"_self\",\"path\":\"/level/add\",\"component\":\"\",\"hide\":0,\"createTime\":1629016438000,\"checked\":false,\"createUser\":1,\"id\":1237,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:level:update\",\"pid\":28,\"updateTime\":1629016438000,\"sort\":10,\"title\":\"修改职级\",\"type\":1,\"target\":\"_self\",\"path\":\"/level/update\",\"component\":\"\",\"hide\":0,\"createTime\":1629016438000,\"checked\":false,\"createUser\":1,\"id\":1238,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:level:delete\",\"pid\":28,\"updateTime\":1629016438000,\"sort\":15,\"title\":\"删除职级\",\"type\":1,\"target\":\"_self\",\"path\":\"/level/delete\",\"component\":\"\",\"hide\":0,\"createTime\":1629016438000,\"checked\":false,\"createUser\":1,\"id\":1239,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:level:detail\",\"pid\":28,\"updateTime\":1629016438000,\"sort\":20,\"title\":\"职级详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/level/detail\",\"component\":\"\",\"hide\":0,\"createTime\":1629016438000,\"checked\":false,\"createUser\":1,\"id\":1240,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:level:status\",\"pid\":28,\"updateTime\":1629016438000,\"sort\":25,\"title\":\"设置状态\",\"type\":1,\"target\":\"_self\",\"path\":\"/level/status\",\"component\":\"\",\"hide\":0,\"createTime\":1629016438000,\"checked\":false,\"cre', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 10:36:41', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (237, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.165.36', 'XX XX', '{\"note\":\"\",\"icon\":\"DeploymentUnitOutlined\",\"updateUser\":1,\"permission\":\"sys:position:view\",\"pid\":4,\"updateTime\":1631500608063,\"sort\":20,\"title\":\"岗位管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/position\",\"component\":\"/system/position\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:list\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":1,\"title\":\"查询岗位\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/list\",\"component\":\"\",\"hide\":0,\"createTime\":1629016445000,\"checked\":false,\"createUser\":1,\"id\":1245,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:add\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":5,\"title\":\"添加岗位\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/add\",\"component\":\"\",\"hide\":0,\"createTime\":1629016445000,\"checked\":false,\"createUser\":1,\"id\":1246,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:update\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":10,\"title\":\"修改岗位\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/update\",\"component\":\"\",\"hide\":0,\"createTime\":1629016445000,\"checked\":false,\"createUser\":1,\"id\":1247,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:delete\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":15,\"title\":\"删除岗位\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/delete\",\"component\":\"\",\"hide\":0,\"createTime\":1629016445000,\"checked\":false,\"createUser\":1,\"id\":1248,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:detail\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":20,\"title\":\"岗位详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/detail\",\"component\":\"\",\"hide\":0,\"createTime\":1629016445000,\"checked\":false,\"createUser\":1,\"id\":1249,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:position:status\",\"pid\":36,\"updateTime\":1629016445000,\"sort\":25,\"title\":\"设置状态\",\"type\":1,\"target\":\"_self\",\"path\":\"/position/status\",\"component\":\"\",\"hide\":0', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 10:36:48', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (238, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.165.36', 'XX XX', '{\"note\":\"\",\"icon\":\"CloudServerOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":61,\"updateTime\":1631500619144,\"sort\":10,\"title\":\"配置管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/data/config\",\"component\":\"/data/config\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:config:list\",\"pid\":76,\"updateTime\":1629016505000,\"sort\":1,\"title\":\"查询配置\",\"type\":1,\"target\":\"_self\",\"path\":\"/config/list\",\"component\":\"\",\"hide\":0,\"createTime\":1629016505000,\"checked\":false,\"createUser\":1,\"id\":1285,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:config:add\",\"pid\":76,\"updateTime\":1629016505000,\"sort\":5,\"title\":\"添加配置\",\"type\":1,\"target\":\"_self\",\"path\":\"/config/add\",\"component\":\"\",\"hide\":0,\"createTime\":1629016505000,\"checked\":false,\"createUser\":1,\"id\":1286,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:config:update\",\"pid\":76,\"updateTime\":1629016505000,\"sort\":10,\"title\":\"修改配置\",\"type\":1,\"target\":\"_self\",\"path\":\"/config/update\",\"component\":\"\",\"hide\":0,\"createTime\":1629016505000,\"checked\":false,\"createUser\":1,\"id\":1287,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:config:delete\",\"pid\":76,\"updateTime\":1629016505000,\"sort\":15,\"title\":\"删除配置\",\"type\":1,\"target\":\"_self\",\"path\":\"/config/delete\",\"component\":\"\",\"hide\":0,\"createTime\":1629016505000,\"checked\":false,\"createUser\":1,\"id\":1288,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:config:detail\",\"pid\":76,\"updateTime\":1629016505000,\"sort\":20,\"title\":\"配置详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/config/detail\",\"component\":\"\",\"hide\":0,\"createTime\":1629016505000,\"checked\":false,\"createUser\":1,\"id\":1290,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:config:status\",\"pid\":76,\"updateTime\":1629016505000,\"sort\":25,\"title\":\"设置状态\",\"type\":1,\"target\":\"_self\",\"path\":\"/config/status\",\"component\":\"\",\"hide\":0,\"createTime\":1629016505000,\"checked\":false,\"create', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 10:36:59', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (239, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.165.36', 'XX XX', '{\"note\":\"\",\"icon\":\"UserSwitchOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1631500626220,\"sort\":8,\"title\":\"个人中心\",\"type\":0,\"target\":\"_self\",\"path\":\"/user\",\"component\":\"\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"UserAddOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":89,\"updateTime\":1629081297000,\"sort\":1,\"title\":\"个人资料\",\"type\":0,\"target\":\"_self\",\"path\":\"/user/profile\",\"component\":\"/user/profile\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:profile:list\",\"pid\":90,\"updateTime\":1629016529000,\"sort\":1,\"title\":\"查询个人资料\",\"type\":1,\"target\":\"_self\",\"path\":\"/profile/list\",\"component\":\"\",\"hide\":0,\"createTime\":1629016529000,\"checked\":false,\"createUser\":1,\"id\":1306,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:profile:update\",\"pid\":90,\"updateTime\":1629016529000,\"sort\":10,\"title\":\"修改个人资料\",\"type\":1,\"target\":\"_self\",\"path\":\"/profile/update\",\"component\":\"\",\"hide\":0,\"createTime\":1629016529000,\"checked\":false,\"createUser\":1,\"id\":1307,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":90,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":89,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 10:37:06', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (240, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.165.36', 'XX XX', '{\"note\":\"\",\"icon\":\"SettingOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1631500632340,\"sort\":29,\"title\":\"系统设置\",\"type\":0,\"target\":\"_self\",\"path\":\"/setting\",\"component\":\"\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"GlobalOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":177,\"updateTime\":1629081528000,\"sort\":1,\"title\":\"网站设置\",\"type\":0,\"target\":\"_self\",\"path\":\"/config/web\",\"component\":\"/config/web\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:web:list\",\"pid\":178,\"updateTime\":1629016591000,\"sort\":1,\"title\":\"查询网站设置\",\"type\":1,\"target\":\"_self\",\"path\":\"/web/list\",\"component\":\"\",\"hide\":0,\"createTime\":1629016591000,\"checked\":false,\"createUser\":1,\"id\":1364,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:web:update\",\"pid\":178,\"updateTime\":1629016591000,\"sort\":10,\"title\":\"修改网站设置\",\"type\":1,\"target\":\"_self\",\"path\":\"/web/update\",\"component\":\"\",\"hide\":0,\"createTime\":1629016591000,\"checked\":false,\"createUser\":1,\"id\":1365,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":178,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":177,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 10:37:12', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (241, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.231.165.36', 'XX XX', '{\"note\":\"\",\"icon\":\"CodeSandboxOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1631500643591,\"sort\":30,\"title\":\"系统工具\",\"type\":0,\"target\":\"_self\",\"path\":\"/tool\",\"component\":\"\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"SlackOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":154,\"updateTime\":1629081559000,\"sort\":1,\"title\":\"代码生成\",\"type\":0,\"target\":\"_self\",\"path\":\"/tool/generate\",\"component\":\"/tool/generate\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:generate:list\",\"pid\":155,\"updateTime\":1629016603000,\"sort\":1,\"title\":\"查询代码生成\",\"type\":1,\"target\":\"_self\",\"path\":\"/generate/list\",\"component\":\"\",\"hide\":0,\"createTime\":1629016603000,\"checked\":false,\"createUser\":1,\"id\":1366,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:generate:add\",\"pid\":155,\"updateTime\":1629016603000,\"sort\":5,\"title\":\"添加代码生成\",\"type\":1,\"target\":\"_self\",\"path\":\"/generate/add\",\"component\":\"\",\"hide\":0,\"createTime\":1629016603000,\"checked\":false,\"createUser\":1,\"id\":1367,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:generate:update\",\"pid\":155,\"updateTime\":1629016603000,\"sort\":10,\"title\":\"修改代码生成\",\"type\":1,\"target\":\"_self\",\"path\":\"/generate/update\",\"component\":\"\",\"hide\":0,\"createTime\":1629016603000,\"checked\":false,\"createUser\":1,\"id\":1368,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:generate:delete\",\"pid\":155,\"updateTime\":1629016603000,\"sort\":15,\"title\":\"删除代码生成\",\"type\":1,\"target\":\"_self\",\"path\":\"/generate/delete\",\"component\":\"\",\"hide\":0,\"createTime\":1629016603000,\"checked\":false,\"createUser\":1,\"id\":1369,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:generate:detail\",\"pid\":155,\"updateTime\":1629016603000,\"sort\":20,\"title\":\"代码生成详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/generate/detail\",\"component\":\"\",\"hide\":0,\"createTime\":1629016603000,\"checked\":false,\"createUser\":1,\"id\":1370,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"i', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 10:37:23', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (242, '用户管理', 1, 'com.tuoheng.system.controller.UserController.add()', 'POST', 1, 'admin', '/api/user/add', '221.231.165.36', 'XX XX', '{\"code\":\"NCCR0003\",\"type\":1,\"password\":\"ddd056e3116ef3c8972a11c62a770a31\",\"intro\":\"66666\",\"id\":3,\"deptId\":5,\"realname\":\"飞手\",\"roleIds\":[2],\"status\":1,\"username\":\"feishou\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 11:06:39', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (243, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin', '/api/user/edit', '221.231.165.36', 'XX XX', '{\"code\":\"NCCR0003\",\"gender\":3,\"type\":2,\"loginNum\":0,\"driverCode\":\"110\",\"password\":\"\",\"intro\":\"66666\",\"levelId\":0,\"id\":3,\"deptId\":5,\"updateUser\":0,\"sort\":125,\"driverType\":1,\"realname\":\"飞手\",\"roleIds\":[2],\"positionId\":0,\"createUser\":0,\"mark\":1,\"status\":1,\"username\":\"feishou\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 13:40:47', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (244, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin', '/api/user/edit', '221.231.165.36', 'XX XX', '{\"birthday\":1627833600000,\"note\":\"暂无\",\"code\":\"NCCR0001\",\"districtCode\":\"320115\",\"gender\":1,\"city\":[\"320000\",\"320100\",\"320115\"],\"cityCode\":\"320100\",\"type\":1,\"loginNum\":0,\"password\":\"\",\"cityName\":\"\",\"intro\":\"暂无22\",\"levelId\":8,\"loginIp\":\"\",\"nickname\":\"管理员\",\"id\":1,\"email\":\"tuoheng@163.com\",\"address\":\"东吉大道1号江苏软件园\",\"salt\":\"\",\"provinceCode\":\"320000\",\"deptId\":2,\"mobile\":\"15898736280\",\"updateUser\":1,\"updateTime\":1628059384000,\"avatar\":\"/images/user/20210824/20210824164944849.jpg\",\"sort\":1,\"driverType\":0,\"realname\":\"管理员\",\"roleIds\":[1],\"positionId\":2,\"createTime\":1629092320000,\"createUser\":1,\"mark\":1,\"status\":1,\"username\":\"admin\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-13 15:50:44', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (245, '角色管理', 1, 'com.tuoheng.system.controller.RoleController.add()', 'POST', 1, 'admin', '/api/role/add', '49.77.206.43', 'XX XX', '{\"code\":\"gly\",\"createTime\":1631601525952,\"name\":\"管理员\",\"id\":3,\"sort\":20,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-14 14:38:46', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (246, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin', '/api/user/edit', '49.77.206.43', 'XX XX', '{\"code\":\"NCCR0002\",\"gender\":3,\"type\":1,\"loginNum\":0,\"password\":\"\",\"levelId\":0,\"id\":2,\"deptId\":5,\"updateUser\":0,\"sort\":125,\"driverType\":0,\"realname\":\"经理\",\"roleIds\":[3],\"positionId\":0,\"createUser\":0,\"mark\":1,\"status\":1,\"username\":\"jingli\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-14 14:39:55', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (247, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '111.252.170.11', 'XX XX', '{\"icon\":\"LineChartOutlined\",\"sort\":0,\"title\":\"实时监测\",\"type\":0,\"target\":\"_self\",\"path\":\"/realTimeMonitoring\",\"component\":\"/realTimeMonitoring\",\"hide\":0,\"createTime\":1631757536106,\"checked\":false,\"createUser\":1,\"id\":2057,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-16 09:58:56', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (248, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '111.252.168.245', 'XX XX', '{\"note\":\"\",\"icon\":\"HomeOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1631757557519,\"sort\":0,\"title\":\"面板主页\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard\",\"component\":\"\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"AppstoreAddOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":1,\"updateTime\":1631330680000,\"sort\":1,\"title\":\"工作台\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard/workplace\",\"component\":\"/dashboard/workplace\",\"hide\":1,\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":2,\"mark\":1,\"open\":false,\"status\":1},{\"icon\":\"HomeOutlined\",\"updateUser\":1,\"pid\":1,\"updateTime\":1631339121000,\"sort\":1,\"title\":\"首页\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard/home\",\"component\":\"/dashboard/home.vue\",\"hide\":0,\"createTime\":1631339087000,\"checked\":false,\"createUser\":1,\"id\":2056,\"mark\":1,\"open\":false,\"status\":1},{\"icon\":\"DingtalkOutlined\",\"updateUser\":1,\"pid\":1,\"updateTime\":1630999264000,\"sort\":3,\"title\":\"实时监测\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard/realTimeMonitor\",\"component\":\"/dashboard/realTimeMonitor/index.vue\",\"hide\":0,\"createTime\":1630999206000,\"checked\":false,\"createUser\":1,\"id\":2015,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"DotChartOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":1,\"updateTime\":1631330814000,\"sort\":5,\"title\":\"数据分析\",\"type\":0,\"target\":\"_self\",\"path\":\"/dashboard/analysis\",\"component\":\"/dashboard/analysis\",\"hide\":1,\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":3,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":1,\"mark\":1,\"open\":false,\"status\":2}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-09-16 09:59:17', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (249, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.226.114.142', 'XX XX', '{\"icon\":\"ProjectOutlined\",\"sort\":0,\"title\":\"机场概况\",\"type\":0,\"target\":\"_self\",\"path\":\"/airport\",\"component\":\"/airport\",\"hide\":0,\"createTime\":1633943791793,\"checked\":false,\"createUser\":1,\"id\":2068,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-11 17:16:32', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (250, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.226.114.142', 'XX XX', '{\"icon\":\"LineChartOutlined\",\"updateUser\":1,\"pid\":0,\"updateTime\":1633943812078,\"sort\":1,\"title\":\"实时监测\",\"type\":0,\"target\":\"_self\",\"path\":\"/realTimeMonitoring\",\"component\":\"/realTimeMonitoring\",\"hide\":0,\"createTime\":1631757536000,\"checked\":false,\"createUser\":1,\"id\":2057,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-11 17:16:52', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (251, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2033', '221.226.114.142', 'XX XX', '{menuId=2033}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:17:13', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (252, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2032', '221.226.114.142', 'XX XX', '{menuId=2032}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:17:17', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (253, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2031', '221.226.114.142', 'XX XX', '{menuId=2031}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:17:20', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (254, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2030', '221.226.114.142', 'XX XX', '{menuId=2030}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:17:34', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (255, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2014', '221.226.114.142', 'XX XX', '{menuId=2014}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:17:38', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (256, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2024', '221.226.114.142', 'XX XX', '{menuId=2024}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:18:30', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (257, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2016', '221.226.114.142', 'XX XX', '{menuId=2016}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:18:34', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (258, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2017', '221.226.114.142', 'XX XX', '{menuId=2017}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:18:36', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (259, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2025', '221.226.114.142', 'XX XX', '{menuId=2025}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:18:38', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (260, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2018', '221.226.114.142', 'XX XX', '{menuId=2018}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:18:40', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (261, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2020', '221.226.114.142', 'XX XX', '{menuId=2020}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:18:42', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (262, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2019', '221.226.114.142', 'XX XX', '{menuId=2019}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:18:45', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (263, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2021', '221.226.114.142', 'XX XX', '{menuId=2021}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:18:48', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (264, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2022', '221.226.114.142', 'XX XX', '{menuId=2022}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:18:51', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (265, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2012', '221.226.114.142', 'XX XX', '{menuId=2012}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:18:57', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (266, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2029', '221.226.114.142', 'XX XX', '{menuId=2029}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:19:15', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (267, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2026', '221.226.114.142', 'XX XX', '{menuId=2026}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:19:24', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (268, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2027', '221.226.114.142', 'XX XX', '{menuId=2027}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:19:27', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (269, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2023', '221.226.114.142', 'XX XX', '{menuId=2023}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:19:32', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (270, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2011', '221.226.114.142', 'XX XX', '{menuId=2011}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-14 10:20:00', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (271, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.226.114.142', 'XX XX', '{\"icon\":\"BarsOutlined\",\"sort\":4,\"title\":\"任务管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/task\",\"hide\":0,\"createTime\":1634362273945,\"checked\":false,\"createUser\":1,\"id\":2069,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-16 13:31:14', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (272, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.226.114.142', 'XX XX', '{\"note\":\"\",\"icon\":\"SettingOutlined\",\"updateUser\":1,\"permission\":\"\",\"pid\":0,\"updateTime\":1634362288223,\"sort\":5,\"title\":\"系统管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system\",\"component\":\"\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"UsergroupAddOutlined\",\"updateUser\":1,\"permission\":\"sys:user:view\",\"pid\":4,\"updateTime\":1629777060000,\"sort\":1,\"title\":\"用户管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/user\",\"component\":\"/system/user\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:list\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":1,\"title\":\"查询用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/list\",\"component\":\"\",\"hide\":0,\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1210,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:add\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":5,\"title\":\"添加用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/add\",\"component\":\"\",\"hide\":0,\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1211,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:update\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":10,\"title\":\"修改用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/update\",\"component\":\"\",\"hide\":0,\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1212,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:delete\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":15,\"title\":\"删除用户\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/delete\",\"component\":\"\",\"hide\":0,\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1213,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:detail\",\"pid\":5,\"updateTime\":1629016409000,\"sort\":20,\"title\":\"用户详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/user/detail\",\"component\":\"\",\"hide\":0,\"createTime\":1629016409000,\"checked\":false,\"createUser\":1,\"id\":1214,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:user:sta', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-16 13:31:28', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (273, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin', '/api/menu/add', '221.226.114.142', 'XX XX', '{\"icon\":\"ContainerOutlined\",\"pid\":2069,\"sort\":1,\"title\":\"任务列表\",\"type\":0,\"target\":\"_self\",\"path\":\"/task/taskList\",\"component\":\"/task/taskList\",\"hide\":0,\"createTime\":1634362406583,\"checked\":false,\"createUser\":1,\"id\":2070,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2021-10-16 13:33:26', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (274, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.226.114.142', 'XX XX', '{\"icon\":\"ProjectOutlined\",\"updateUser\":1,\"pid\":0,\"updateTime\":1647220067864,\"sort\":0,\"title\":\"机场概况\",\"type\":0,\"target\":\"_self\",\"path\":\"/airport\",\"component\":\"/airport\",\"hide\":1,\"createTime\":1633943791000,\"checked\":false,\"createUser\":1,\"id\":2068,\"mark\":1,\"open\":false,\"status\":2}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-03-14 09:07:48', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (275, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '192.168.20.189', '内网IP', '{\"icon\":\"ProjectOutlined\",\"updateUser\":1,\"pid\":0,\"updateTime\":1647224277120,\"sort\":0,\"title\":\"机场概况\",\"type\":0,\"target\":\"_self\",\"path\":\"/airport\",\"component\":\"/airport\",\"hide\":0,\"createTime\":1633943791000,\"checked\":false,\"createUser\":1,\"id\":2068,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-03-14 10:17:56', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (276, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin', '/api/user/edit', '221.226.114.142', 'XX XX', '{\"code\":\"NCCR0002\",\"gender\":3,\"type\":1,\"loginNum\":0,\"levelId\":0,\"id\":2,\"deptId\":5,\"updateUser\":0,\"avatar\":\"/images/user/20220323/2022032314252561.jpg\",\"sort\":125,\"driverType\":0,\"realname\":\"经理\",\"roleIds\":[3],\"positionId\":0,\"createUser\":0,\"mark\":1,\"status\":1,\"username\":\"jingli\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-03-23 14:25:31', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (277, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.226.114.142', 'XX XX', '{\"icon\":\"ProjectOutlined\",\"updateUser\":1,\"pid\":0,\"updateTime\":1648540048788,\"sort\":0,\"title\":\"机场概况\",\"type\":0,\"target\":\"_self\",\"path\":\"/airport\",\"component\":\"/airport\",\"hide\":0,\"createTime\":1633943791000,\"checked\":false,\"createUser\":1,\"id\":2068,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-03-29 15:47:28', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (278, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.226.114.142', 'XX XX', '{\"icon\":\"ProjectOutlined\",\"updateUser\":1,\"pid\":0,\"updateTime\":1648690497624,\"sort\":0,\"title\":\"机场概况\",\"type\":0,\"target\":\"_self\",\"path\":\"/airport\",\"component\":\"/airport\",\"hide\":1,\"createTime\":1633943791000,\"checked\":false,\"createUser\":1,\"id\":2068,\"mark\":1,\"open\":false,\"status\":2}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-03-31 09:34:57', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (279, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.226.114.142', 'XX XX', '{\"icon\":\"ProjectOutlined\",\"updateUser\":1,\"pid\":0,\"updateTime\":1650336622889,\"sort\":0,\"title\":\"机场概况\",\"type\":0,\"target\":\"_self\",\"path\":\"/airport\",\"component\":\"/airport\",\"hide\":0,\"createTime\":1633943791000,\"checked\":false,\"createUser\":1,\"id\":2068,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-04-19 10:50:23', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (280, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.226.114.142', 'XX XX', '{\"icon\":\"ProjectOutlined\",\"updateUser\":1,\"pid\":0,\"updateTime\":1650346804909,\"sort\":0,\"title\":\"机场概况\",\"type\":0,\"target\":\"_self\",\"path\":\"/airport\",\"component\":\"/airport\",\"hide\":1,\"createTime\":1633943791000,\"checked\":false,\"createUser\":1,\"id\":2068,\"mark\":1,\"open\":false,\"status\":2}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-04-19 13:40:05', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (281, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2', '114.221.78.48', 'XX XX', '{menuId=2}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-06-07 11:20:37', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (282, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/2015', '221.226.114.142', 'XX XX', '{menuId=2015}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-06-07 11:20:55', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (283, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1', '221.226.114.142', 'XX XX', '{menuId=1}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-06-07 11:21:00', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (284, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1366', '221.226.114.142', 'XX XX', '{menuId=1366}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-06-07 11:21:04', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (285, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1982', '221.226.114.142', 'XX XX', '{menuId=1982}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-06-07 11:21:06', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (286, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin', '/api/menu/delete/1989', '221.226.114.142', 'XX XX', '{menuId=1989}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-06-07 11:21:09', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (287, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin', '/api/menu/edit', '221.226.114.142', 'XX XX', '{\"icon\":\"ProjectOutlined\",\"updateUser\":1,\"pid\":0,\"updateTime\":1654572074760,\"sort\":0,\"title\":\"机场概况\",\"type\":0,\"target\":\"_self\",\"path\":\"/airport\",\"component\":\"/airport\",\"hide\":0,\"createTime\":1633943791000,\"checked\":false,\"createUser\":1,\"id\":2068,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-06-07 11:21:14', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (288, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1277', '221.226.114.142', 'XX XX', '{menuId=1277}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:35:15', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (289, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1279', '221.226.114.142', 'XX XX', '{menuId=1279}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:35:20', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (290, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1280', '221.226.114.142', 'XX XX', '{menuId=1280}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:35:23', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (291, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1283', '221.226.114.142', 'XX XX', '{menuId=1283}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:35:25', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (292, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1281', '221.226.114.142', 'XX XX', '{menuId=1281}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:35:27', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (293, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1282', '221.226.114.142', 'XX XX', '{menuId=1282}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:35:40', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (294, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/68', '221.226.114.142', 'XX XX', '{menuId=68}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:35:45', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (295, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1988', '221.226.114.142', 'XX XX', '{menuId=1988}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:36:06', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (296, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1987', '221.226.114.142', 'XX XX', '{menuId=1987}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:36:35', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (297, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1371', '221.226.114.142', 'XX XX', '{menuId=1371}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:36:37', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (298, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1986', '221.226.114.142', 'XX XX', '{menuId=1986}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:36:41', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (299, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1370', '221.226.114.142', 'XX XX', '{menuId=1370}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:36:43', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (300, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1992', '221.226.114.142', 'XX XX', '{menuId=1992}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:36:46', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (301, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1985', '221.226.114.142', 'XX XX', '{menuId=1985}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:36:48', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (302, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1369', '221.226.114.142', 'XX XX', '{menuId=1369}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:36:50', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (303, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1984', '221.226.114.142', 'XX XX', '{menuId=1984}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:36:56', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (304, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1983', '221.226.114.142', 'XX XX', '{menuId=1983}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:37:08', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (305, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/1996', '221.226.114.142', 'XX XX', '{menuId=1996}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:37:38', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (306, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '221.226.114.142', 'XX XX', '{\"note\":\"\",\"icon\":\"ClusterOutlined\",\"updateUser\":1,\"permission\":\"sys:dept:view\",\"pid\":4,\"updateTime\":1658277545718,\"sort\":25,\"title\":\"部门管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/dept\",\"component\":\"/system/dept\",\"hide\":1,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:list\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":1,\"title\":\"查询部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/list\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1252,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:add\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":5,\"title\":\"添加部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/add\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1253,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:update\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":10,\"title\":\"修改部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/update\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1254,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:delete\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":15,\"title\":\"删除部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/delete\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1255,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:detail\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":20,\"title\":\"部门详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/detail\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1259,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:dall\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":30,\"title\":\"批量删除\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/dall\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1256,\"m', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:39:06', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (307, '字典分组', 3, 'com.tuoheng.system.controller.DictController.delete()', 'DELETE', 1, 'admin123', '/api/dict/delete/1', '221.226.114.142', 'XX XX', '{dicTypeId=1}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:41:32', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (308, '字典分组', 3, 'com.tuoheng.system.controller.DictController.delete()', 'DELETE', 1, 'admin123', '/api/dict/delete/3', '221.226.114.142', 'XX XX', '{dicTypeId=3}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:41:36', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (309, '字典管理', 1, 'com.tuoheng.system.controller.DictDataController.add()', 'POST', 1, 'admin123', '/api/dictdata/add', '212.107.29.4', 'XX XX', '{\"code\":\"5-10\",\"createTime\":1658278147158,\"name\":\"windSpeed\",\"dictId\":4,\"id\":9,\"sort\":2,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:49:07', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (310, '字典管理', 2, 'com.tuoheng.system.controller.DictDataController.edit()', 'PUT', 1, 'admin123', '/api/dictdata/edit', '212.107.29.4', 'XX XX', '{\"note\":\"超过5预警，超过10告警\",\"code\":\"5,10\",\"createTime\":1658278118000,\"name\":\"rainfall\",\"updateUser\":0,\"createUser\":0,\"updateTime\":1658278185957,\"dictId\":4,\"id\":8,\"sort\":1,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 08:49:46', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (311, '字典管理', 1, 'com.tuoheng.system.controller.DictDataController.add()', 'POST', 1, 'admin123', '/api/dictdata/add', '212.107.29.4', 'XX XX', '{\"note\":\"低于10告警，低于5警报\",\"code\":\"10,5\",\"createTime\":1658281320486,\"name\":\"GPSStarCount\",\"dictId\":5,\"id\":10,\"sort\":1,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 09:42:00', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (312, '字典管理', 2, 'com.tuoheng.system.controller.DictDataController.edit()', 'PUT', 1, 'admin123', '/api/dictdata/edit', '212.107.29.4', 'XX XX', '{\"note\":\"低于10预警，低于5警报\",\"code\":\"10,5\",\"createTime\":1658281320000,\"name\":\"GPSStarCount\",\"updateUser\":0,\"createUser\":0,\"updateTime\":1658281333453,\"dictId\":5,\"id\":10,\"sort\":1,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 09:42:13', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (313, '字典管理', 1, 'com.tuoheng.system.controller.DictDataController.add()', 'POST', 1, 'admin123', '/api/dictdata/add', '212.107.29.4', 'XX XX', '{\"note\":\"低于45预警，低于36报警\",\"code\":\"45,36\",\"createTime\":1658281400479,\"name\":\"batteryVoltage\",\"dictId\":5,\"id\":11,\"sort\":2,\"mark\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 09:43:20', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (314, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin123', '/api/user/edit', '212.107.29.4', 'XX XX', '{\"code\":\"NCCR0003\",\"gender\":3,\"type\":1,\"loginNum\":0,\"driverCode\":\"110\",\"password\":\"ddd056e3116ef3c8972a11c62a770a31\",\"intro\":\"66666\",\"levelId\":0,\"id\":3,\"deptId\":5,\"updateUser\":0,\"sort\":125,\"driverType\":1,\"realname\":\"飞手\",\"roleIds\":[3],\"positionId\":0,\"createUser\":0,\"mark\":1,\"status\":1,\"username\":\"feishou\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-20 10:59:12', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (315, '字典管理', 2, 'com.tuoheng.system.controller.DictDataController.edit()', 'PUT', 1, 'admin123', '/api/dictdata/edit', '221.226.114.142', 'XX XX', '{\"note\":\"超过5预警，超过10告警\",\"code\":\"5,10\",\"createTime\":1658278147000,\"name\":\"windSpeed\",\"updateUser\":0,\"createUser\":0,\"updateTime\":1658375214088,\"dictId\":4,\"id\":9,\"sort\":2,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-21 11:46:54', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (316, '字典管理', 2, 'com.tuoheng.system.controller.DictDataController.edit()', 'PUT', 1, 'admin123', '/api/dictdata/edit', '221.226.114.142', 'XX XX', '{\"note\":\"风速\",\"code\":\"5,10\",\"createTime\":1658278147000,\"name\":\"windSpeed\",\"updateUser\":0,\"createUser\":0,\"updateTime\":1658382549047,\"dictId\":4,\"id\":9,\"sort\":2,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-21 13:49:09', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (317, '字典管理', 2, 'com.tuoheng.system.controller.DictDataController.edit()', 'PUT', 1, 'admin123', '/api/dictdata/edit', '221.226.114.142', 'XX XX', '{\"note\":\"降雨量\",\"code\":\"5,10\",\"createTime\":1658278118000,\"name\":\"rainfall\",\"updateUser\":0,\"createUser\":0,\"updateTime\":1658382559040,\"dictId\":4,\"id\":8,\"sort\":1,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-21 13:49:19', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (318, '字典管理', 2, 'com.tuoheng.system.controller.DictDataController.edit()', 'PUT', 1, 'admin123', '/api/dictdata/edit', '221.231.168.135', 'XX XX', '{\"note\":\"低于45预警，低于36报警\",\"code\":\"45,36\",\"createTime\":1658281400000,\"name\":\"voltage\",\"updateUser\":0,\"createUser\":0,\"updateTime\":1658383171517,\"dictId\":5,\"id\":11,\"sort\":2,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-21 13:59:31', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (319, '字典管理', 2, 'com.tuoheng.system.controller.DictDataController.edit()', 'PUT', 1, 'admin123', '/api/dictdata/edit', '221.226.114.142', 'XX XX', '{\"note\":\"降雨量\",\"code\":\"5,10\",\"createTime\":1658278118000,\"name\":\"rainfull\",\"updateUser\":0,\"createUser\":0,\"updateTime\":1658384970905,\"dictId\":4,\"id\":8,\"sort\":1,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-21 14:29:31', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (320, '字典管理', 2, 'com.tuoheng.system.controller.DictDataController.edit()', 'PUT', 1, 'admin123', '/api/dictdata/edit', '221.226.114.142', 'XX XX', '{\"note\":\"风速\",\"code\":\"5,10\",\"createTime\":1658278147000,\"name\":\"WSPD\",\"updateUser\":0,\"createUser\":0,\"updateTime\":1658384980648,\"dictId\":4,\"id\":9,\"sort\":2,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-21 14:29:40', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (321, '字典管理', 2, 'com.tuoheng.system.controller.DictDataController.edit()', 'PUT', 1, 'admin123', '/api/dictdata/edit', '221.226.114.142', 'XX XX', '{\"note\":\"降雨量(0.3mm)\",\"code\":\"5,10\",\"createTime\":1658278118000,\"name\":\"Rainfull\",\"updateUser\":0,\"createUser\":0,\"updateTime\":1658388624501,\"dictId\":4,\"id\":8,\"sort\":1,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-21 15:30:24', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (322, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '221.226.114.142', 'XX XX', '{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dictionary:index\",\"pid\":62,\"updateTime\":1658468019599,\"sort\":1,\"title\":\"查询字典\",\"type\":1,\"target\":\"_self\",\"path\":\"/dictionary/list\",\"component\":\"\",\"hide\":0,\"createTime\":1629016487000,\"checked\":false,\"createUser\":1,\"id\":1270,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-07-22 13:33:39', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (323, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin123', '/api/user/edit', '114.221.102.8', 'XX XX', '{\"code\":\"NCCR0003\",\"gender\":3,\"type\":1,\"loginNum\":0,\"driverCode\":\"110\",\"intro\":\"66666\",\"levelId\":0,\"id\":3,\"deptId\":5,\"updateUser\":0,\"avatar\":\"/images/user/20220822/2022082210220177.jpg\",\"sort\":125,\"driverType\":1,\"realname\":\"飞手\",\"roleIds\":[3],\"positionId\":0,\"createUser\":0,\"mark\":1,\"status\":1,\"username\":\"feishou\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-08-22 10:22:04', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (324, '角色管理', 3, 'com.tuoheng.system.controller.RoleController.delete()', 'DELETE', 1, 'admin123', '/api/role/delete/2', '221.231.192.141', 'XX XX', '{roleIds=2}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-08-22 10:02:55', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (325, '角色管理', 2, 'com.tuoheng.system.controller.RoleController.edit()', 'PUT', 1, 'admin123', '/api/role/edit', '221.231.192.141', 'XX XX', '{\"code\":\"gly\",\"createTime\":1631601525000,\"name\":\"其他\",\"updateUser\":0,\"createUser\":0,\"updateTime\":1661220188605,\"id\":3,\"sort\":20,\"mark\":1,\"status\":1}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-08-23 10:03:08', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (326, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '221.231.172.50', 'XX XX', '{\"note\":\"\",\"icon\":\"ClusterOutlined\",\"updateUser\":1,\"permission\":\"sys:dept:view\",\"pid\":4,\"updateTime\":1662343552987,\"sort\":25,\"title\":\"部门管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/dept\",\"component\":\"/system/dept\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:list\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":1,\"title\":\"查询部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/list\",\"component\":\"\",\"hide\":1,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1252,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:add\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":5,\"title\":\"添加部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/add\",\"component\":\"\",\"hide\":1,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1253,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:update\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":10,\"title\":\"修改部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/update\",\"component\":\"\",\"hide\":1,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1254,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:delete\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":15,\"title\":\"删除部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/delete\",\"component\":\"\",\"hide\":1,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1255,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:detail\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":20,\"title\":\"部门详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/detail\",\"component\":\"\",\"hide\":1,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1259,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":43,\"mark\":1,\"open\":false,\"status\":2}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-05 10:05:53', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (327, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '221.231.172.50', 'XX XX', '{\"note\":\"\",\"icon\":\"ClusterOutlined\",\"updateUser\":1,\"permission\":\"sys:dept:view\",\"pid\":4,\"updateTime\":1662343841870,\"sort\":25,\"title\":\"部门管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/dept\",\"component\":\"/system/dept\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:list\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":1,\"title\":\"查询部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/list\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1252,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:add\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":5,\"title\":\"添加部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/add\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1253,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:update\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":10,\"title\":\"修改部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/update\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1254,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:delete\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":15,\"title\":\"删除部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/delete\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1255,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:detail\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":20,\"title\":\"部门详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/detail\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1259,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1628402268000,\"checked\":false,\"createUser\":1,\"id\":43,\"mark\":1,\"open\":false,\"status\":2}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-05 10:10:42', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (328, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '221.231.172.50', 'XX XX', '{\"note\":\"\",\"icon\":\"ClusterOutlined\",\"updateUser\":1,\"permission\":\"sys:dept:view\",\"pid\":4,\"updateTime\":1662343926551,\"sort\":25,\"title\":\"部门管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/system/dept\",\"component\":\"/system/dept\",\"hide\":0,\"children\":[{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:list\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":1,\"title\":\"查询部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/list\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1252,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:add\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":5,\"title\":\"添加部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/add\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1253,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:update\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":10,\"title\":\"修改部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/update\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1254,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:delete\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":15,\"title\":\"删除部门\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/delete\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1255,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:detail\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":20,\"title\":\"部门详情\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/detail\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1259,\"mark\":1,\"open\":false,\"status\":1},{\"note\":\"\",\"icon\":\"\",\"updateUser\":1,\"permission\":\"sys:dept:dall\",\"pid\":43,\"updateTime\":1629016452000,\"sort\":30,\"title\":\"批量删除\",\"type\":1,\"target\":\"_self\",\"path\":\"/dept/dall\",\"component\":\"\",\"hide\":0,\"createTime\":1629016452000,\"checked\":false,\"createUser\":1,\"id\":1256,\"m', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-05 10:12:06', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (329, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '221.231.172.50', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"resources:problem:list\",\"pid\":2010,\"updateTime\":1662344230723,\"sort\":1,\"title\":\"查询问题\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337578000,\"checked\":false,\"createUser\":1,\"id\":2055,\"mark\":1,\"open\":false,\"status\":2}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-05 10:17:10', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (330, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin123', '/api/user/edit', '114.221.102.229', 'XX XX', '{\"code\":\"005\",\"gender\":3,\"type\":1,\"loginNum\":0,\"levelId\":0,\"id\":5,\"deptId\":2,\"updateUser\":0,\"avatar\":\"/images/user/20220905/20220905101456303.jpg\",\"sort\":125,\"driverType\":0,\"realname\":\"拓恒\",\"roleIds\":[3],\"positionId\":0,\"createUser\":0,\"mark\":1,\"status\":1,\"username\":\"tuoheng\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-13 08:40:15', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (331, '用户管理', 2, 'com.tuoheng.system.controller.UserController.edit()', 'PUT', 1, 'admin123', '/api/user/edit', '114.221.102.229', 'XX XX', '{\"code\":\"005\",\"gender\":3,\"type\":1,\"loginNum\":0,\"password\":\"cd277bcb73237cb2180655e1836efdef\",\"levelId\":0,\"id\":5,\"deptId\":2,\"updateUser\":0,\"avatar\":\"/images/user/20220905/20220905101456303.jpg\",\"sort\":125,\"driverType\":0,\"realname\":\"拓恒\",\"roleIds\":[3],\"positionId\":0,\"createUser\":0,\"mark\":1,\"status\":1,\"username\":\"tuoheng\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-13 08:40:26', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (332, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin123', '/api/menu/add', '103.172.41.150', 'XX XX', '{\"icon\":\"\",\"permission\":\"res:airport:auth\",\"pid\":2003,\"sort\":6,\"title\":\"设置机场权限\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1663721892358,\"checked\":false,\"createUser\":1,\"id\":2071,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 08:58:12', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (333, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '49.77.231.11', 'XX XX', '{\"icon\":\"ApiOutlined\",\"updateUser\":1,\"pid\":2002,\"updateTime\":1663730453647,\"sort\":5,\"title\":\"无人机管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/drone\",\"component\":\"/resources/drone\",\"hide\":0,\"children\":[{\"icon\":\"\",\"updateUser\":1,\"permission\":\"res:drone:list\",\"pid\":2004,\"updateTime\":1632642242000,\"sort\":1,\"title\":\"查询无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631336920000,\"checked\":false,\"createUser\":1,\"id\":2038,\"mark\":1,\"open\":false,\"status\":1},{\"icon\":\"\",\"updateUser\":1,\"permission\":\"res:drone:add\",\"pid\":2004,\"updateTime\":1632642258000,\"sort\":2,\"title\":\"添加无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631336956000,\"checked\":false,\"createUser\":1,\"id\":2039,\"mark\":1,\"open\":false,\"status\":1},{\"icon\":\"\",\"updateUser\":1,\"permission\":\"res:drone:edit\",\"pid\":2004,\"updateTime\":1632642272000,\"sort\":3,\"title\":\"编辑无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337002000,\"checked\":false,\"createUser\":1,\"id\":2040,\"mark\":1,\"open\":false,\"status\":1},{\"icon\":\"\",\"updateUser\":1,\"permission\":\"res:drone:delete\",\"pid\":2004,\"updateTime\":1632642287000,\"sort\":4,\"title\":\"删除无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337032000,\"checked\":false,\"createUser\":1,\"id\":2041,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1630631972000,\"checked\":false,\"createUser\":1,\"id\":2004,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:20:53', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (334, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '49.77.231.11', 'XX XX', '{\"icon\":\"ApiOutlined\",\"updateUser\":1,\"pid\":2002,\"updateTime\":1663730491229,\"sort\":5,\"title\":\"无人机管理\",\"type\":0,\"target\":\"_self\",\"path\":\"/resources/drone\",\"component\":\"/resources/drone\",\"hide\":0,\"children\":[{\"icon\":\"\",\"updateUser\":1,\"permission\":\"res:drone:list\",\"pid\":2004,\"updateTime\":1632642242000,\"sort\":1,\"title\":\"查询无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631336920000,\"checked\":false,\"createUser\":1,\"id\":2038,\"mark\":1,\"open\":false,\"status\":1},{\"icon\":\"\",\"updateUser\":1,\"permission\":\"res:drone:add\",\"pid\":2004,\"updateTime\":1632642258000,\"sort\":2,\"title\":\"添加无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631336956000,\"checked\":false,\"createUser\":1,\"id\":2039,\"mark\":1,\"open\":false,\"status\":1},{\"icon\":\"\",\"updateUser\":1,\"permission\":\"res:drone:edit\",\"pid\":2004,\"updateTime\":1632642272000,\"sort\":3,\"title\":\"编辑无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337002000,\"checked\":false,\"createUser\":1,\"id\":2040,\"mark\":1,\"open\":false,\"status\":1},{\"icon\":\"\",\"updateUser\":1,\"permission\":\"res:drone:delete\",\"pid\":2004,\"updateTime\":1632642287000,\"sort\":4,\"title\":\"删除无人机\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337032000,\"checked\":false,\"createUser\":1,\"id\":2041,\"mark\":1,\"open\":false,\"status\":1}],\"createTime\":1630631972000,\"checked\":false,\"createUser\":1,\"id\":2004,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:21:31', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (335, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/2055', '49.77.231.11', 'XX XX', '{menuId=2055}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:25:11', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (336, '菜单管理', 3, 'com.tuoheng.system.controller.MenuController.delete()', 'DELETE', 1, 'admin123', '/api/menu/delete/2010', '49.77.231.11', 'XX XX', '{menuId=2010}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:25:15', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (337, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '49.77.231.11', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"res:audiofile:list\",\"pid\":2063,\"updateTime\":1663730908784,\"sort\":1,\"title\":\"查询音频文件\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337086000,\"checked\":false,\"createUser\":1,\"id\":2064,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:28:28', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (338, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '49.77.231.11', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"res:audiofile:add\",\"pid\":2063,\"updateTime\":1663730916950,\"sort\":2,\"title\":\"添加音频文件\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337118000,\"checked\":false,\"createUser\":1,\"id\":2065,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:28:37', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (339, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '49.77.231.11', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"resaudiofile:edit\",\"pid\":2063,\"updateTime\":1663730923677,\"sort\":3,\"title\":\"编辑音频文件\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337142000,\"checked\":false,\"createUser\":1,\"id\":2066,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:28:43', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (340, '菜单管理', 2, 'com.tuoheng.system.controller.MenuController.edit()', 'PUT', 1, 'admin123', '/api/menu/edit', '49.77.231.11', 'XX XX', '{\"icon\":\"\",\"updateUser\":1,\"permission\":\"res:audiofile:edit\",\"pid\":2063,\"updateTime\":1663730940434,\"sort\":3,\"title\":\"编辑音频文件\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1631337142000,\"checked\":false,\"createUser\":1,\"id\":2066,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:29:00', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (341, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin123', '/api/menu/add', '49.77.231.11', 'XX XX', '{\"icon\":\"\",\"permission\":\"res:audiofile:download\",\"pid\":2063,\"sort\":6,\"title\":\"下载音频\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1663731106445,\"checked\":false,\"createUser\":1,\"id\":2073,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:31:46', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (342, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin123', '/api/menu/add', '49.77.231.11', 'XX XX', '{\"icon\":\"\",\"permission\":\"res:task:view\",\"pid\":2070,\"sort\":1,\"title\":\"查看任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1663731329983,\"checked\":false,\"createUser\":1,\"id\":2074,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:35:30', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (343, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin123', '/api/menu/add', '49.77.231.11', 'XX XX', '{\"icon\":\"\",\"permission\":\"res:task:execute\",\"pid\":2070,\"sort\":2,\"title\":\"执行任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1663731363289,\"checked\":false,\"createUser\":1,\"id\":2075,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:36:03', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (344, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin123', '/api/menu/add', '49.77.231.11', 'XX XX', '{\"icon\":\"\",\"permission\":\"res:task:add\",\"pid\":2070,\"sort\":3,\"title\":\"新增任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1663731380952,\"checked\":false,\"createUser\":1,\"id\":2076,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:36:21', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (345, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin123', '/api/menu/add', '49.77.231.11', 'XX XX', '{\"icon\":\"\",\"permission\":\"res:task:edit\",\"pid\":2070,\"sort\":4,\"title\":\"编辑任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1663731398520,\"checked\":false,\"createUser\":1,\"id\":2077,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:36:38', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (346, '菜单管理', 1, 'com.tuoheng.system.controller.MenuController.add()', 'POST', 1, 'admin123', '/api/menu/add', '49.77.231.11', 'XX XX', '{\"icon\":\"\",\"permission\":\"res:task:delete\",\"pid\":2070,\"sort\":5,\"title\":\"删除任务\",\"type\":1,\"target\":\"_self\",\"path\":\"\",\"component\":\"\",\"hide\":0,\"createTime\":1663731416032,\"checked\":false,\"createUser\":1,\"id\":2078,\"mark\":1,\"open\":false,\"status\":1}', '{\"code\":0,\"data\":\"操作成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 11:36:56', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (347, '用户管理', 3, 'com.tuoheng.system.controller.UserController.delete()', 'DELETE', 1, 'admin123', '/api/user/delete/5', '114.222.230.248', 'XX XX', '{userIds=5}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 14:48:36', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (348, '用户管理', 3, 'com.tuoheng.system.controller.UserController.delete()', 'DELETE', 1, 'admin123', '/api/user/delete/3', '114.222.230.248', 'XX XX', '{userIds=3}', '{\"code\":0,\"data\":\"删除成功\",\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-21 14:48:40', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (349, '用户管理', 1, 'com.tuoheng.system.controller.UserController.add()', 'POST', 1, 'admin123', '/api/user/add', '114.222.230.248', 'XX XX', '{\"code\":\"NCCR0002\",\"type\":1,\"password\":\"ddd056e3116ef3c8972a11c62a770a31\",\"id\":6,\"deptId\":2,\"avatar\":\"/images/user/20220923/2022092323532699.jpg\",\"realname\":\"feishou\",\"roleIds\":[3],\"status\":1,\"username\":\"feishou\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-09-23 23:54:00', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (350, '用户管理', 1, 'com.tuoheng.system.controller.UserController.add()', 'POST', 1, 'admin123', '/api/user/add', '114.222.230.248', 'XX XX', '{\"code\":\"th003\",\"type\":1,\"password\":\"ddd056e3116ef3c8972a11c62a770a31\",\"id\":9,\"deptId\":1,\"avatar\":\"/images/user/20221015/20221015095341333.jpg\",\"realname\":\"test01\",\"roleIds\":[3],\"status\":1,\"username\":\"test01\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-10-15 09:53:43', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (351, '用户管理', 1, 'com.tuoheng.system.controller.UserController.add()', 'POST', 1, 'admin123', '/api/user/add', '114.222.230.248', 'XX XX', '{\"code\":\"TH004\",\"type\":1,\"password\":\"b1dc3b2eaafc254010bc1da493c9a180\",\"id\":10,\"deptId\":1,\"avatar\":\"/images/user/20221017/20221017161807688.jpg\",\"realname\":\"feishou02\",\"roleIds\":[3],\"status\":1,\"username\":\"feishou02\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-10-17 16:21:14', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (352, '用户管理', 1, 'com.tuoheng.system.controller.UserController.add()', 'POST', 1, 'admin123', '/api/user/add', '221.231.187.17', 'XX XX', '{\"code\":\"TH005\",\"type\":1,\"password\":\"ddd056e3116ef3c8972a11c62a770a31\",\"id\":11,\"deptId\":1,\"avatar\":\"/images/user/20221026/20221026110449440.jpg\",\"realname\":\"UI\",\"roleIds\":[3],\"status\":1,\"username\":\"chanping\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-10-26 11:05:33', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (353, '登录日志', 3, 'com.tuoheng.system.controller.LoginLogController.delete()', 'DELETE', 1, 'admin123', '/api/loginlog/delete/1111', '192.168.14.2', '内网IP', '{loginLogIds=1111}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2022-11-15 13:49:32', 0, NULL, 1, 20);
INSERT INTO `sys_oper_log` VALUES (354, '租户管理', 1, 'com.tuoheng.system.controller.TenantController.add()', 'POST', 1, 'test01', '/api/tenant/add', '127.0.0.1', '内网IP', '{\"user\":{\"status\":1,\"type\":1,\"avatar\":\"https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/%E4%B8%8A%E4%BC%A0%E5%A4%B1%E8%B4%A5\",\"code\":\"TH0012\",\"deptId\":2,\"realname\":\"fe55555\",\"username\":\"tes55555\",\"roleIds\":[1],\"password\":\"123\",\"intro\":\"123\"},\"tenant\":{\"name\":\"123456\",\"type\":1,\"logo\":\"https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/%E4%B8%8A%E4%BC%A0%E5%A4%B1%E8%B4%A5\",\"phone\":\"1395162434\",\"email\":\"35655@qq.com\",\"platformName\":\"feishou0\",\"address\":\"test01\",\"note\":\"123\"}}', 'null', 0, NULL, 0, '2023-01-31 15:17:31', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (355, '租户管理', 1, 'com.tuoheng.system.controller.TenantController.add()', 'POST', 1, 'test01', '/api/tenant/add', '127.0.0.1', '内网IP', '{\"user\":{\"status\":1,\"type\":1,\"avatar\":\"https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/%E4%B8%8A%E4%BC%A0%E5%A4%B1%E8%B4%A5\",\"code\":\"TH0012\",\"deptId\":2,\"realname\":\"fe55555\",\"username\":\"tes55555\",\"roleIds\":[1],\"password\":\"123\",\"intro\":\"123\"},\"tenant\":{\"name\":\"123456\",\"type\":1,\"logo\":\"https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/%E4%B8%8A%E4%BC%A0%E5%A4%B1%E8%B4%A5\",\"phone\":\"1395162434\",\"email\":\"35655@qq.com\",\"platformName\":\"feishou0\",\"address\":\"test01\",\"note\":\"123\"}}', 'null', 0, NULL, 0, '2023-01-31 15:20:18', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (356, '租户管理', 1, 'com.tuoheng.system.controller.TenantController.add()', 'POST', 1, 'test01', '/api/tenant/add', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sdasdf\",\"username\":\"dsaf\"}', 'null', 0, NULL, 0, '2023-01-31 16:30:45', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (357, '租户管理', 1, 'com.tuoheng.system.controller.TenantController.add()', 'POST', 1, 'test01', '/api/tenant/add', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sdasdf\",\"username\":\"dsaf\"}', 'null', 1, '', 0, '2023-01-31 16:38:56', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (358, '租户管理', 1, 'com.tuoheng.system.controller.TenantController.add()', 'POST', 1, 'test01', '/api/tenant/add', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sdasdf\",\"username\":\"dsaf\"}', 'null', 1, '', 0, '2023-01-31 16:41:09', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (359, '租户管理', 1, 'com.tuoheng.system.controller.TenantController.add()', 'POST', 1, 'test01', '/api/tenant/add', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sdasdf\",\"username\":\"dsaf\"}', 'null', 1, '\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'mark\' in \'field list\'\r\n### The error may exist in com/tuoheng/system/mapper/UserRoleMapper.java (best guess)\r\n### The error may involve com.tuoheng.system.mapper.UserRoleMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO sys_user_role  ( create_time, role_id,   update_time,  user_id, mark )  VALUES  ( ?, ?,   ?,  ?, ? )\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'mark\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'mark\' in \'field list\'', 0, '2023-01-31 16:43:00', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (360, '租户管理', 1, 'com.tuoheng.system.controller.TenantController.add()', 'POST', 1, 'test01', '/api/tenant/add', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sdasdf\",\"username\":\"dsaf\"}', 'null', 0, NULL, 0, '2023-01-31 16:46:03', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (361, '租户管理', 1, 'com.tuoheng.system.controller.TenantController.add()', 'POST', 1, 'test01', '/api/tenant/add', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sdasdf\",\"username\":\"dsaf\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2023-01-31 16:48:23', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (362, '租户管理', 1, 'com.tuoheng.system.controller.TenantController.add()', 'POST', 1, 'test01', '/api/tenant/add', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sdasdf\",\"username\":\"dsaf\"}', '{\"code\":500,\"msg\":\"租户已存在！\"}', 0, NULL, 0, '2023-01-31 16:50:40', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (363, '租户管理', 1, 'com.tuoheng.system.controller.TenantController.add()', 'POST', 1, 'test01', '/api/tenant/add', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sdasdf\",\"username\":\"ds5af\"}', '{\"code\":500,\"msg\":\"租户已存在！\"}', 0, NULL, 0, '2023-01-31 16:50:51', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (364, '租户管理', 1, 'com.tuoheng.system.controller.TenantController.add()', 'POST', 1, 'test01', '/api/tenant/add', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sdasd5f\",\"username\":\"ds5af\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2023-01-31 16:50:56', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (365, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.add()', 'POST', 1, 'test01', '/api/airportInterface/addTenant', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sdasd5f\",\"username\":\"ds5af\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2023-01-31 16:56:44', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (366, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.add()', 'POST', 1, 'test01', '/api/airportInterface/addTenant', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sdasd5f\",\"username\":\"ds5af\"}', '{\"code\":500,\"msg\":\"租户已存在！\"}', 0, NULL, 0, '2023-01-31 17:02:25', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (367, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.add()', 'POST', 1, 'test01', '/api/airportInterface/addTenant', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sda54sd5f\",\"username\":\"ds5af\"}', '{\"code\":500,\"msg\":\"用户已存在！\"}', 0, NULL, 0, '2023-01-31 17:02:30', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (368, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.add()', 'POST', 1, 'test01', '/api/airportInterface/addTenant', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"asdfasdf\",\"tenantCode\":\"sda54s45d5f\",\"username\":\"ds545af\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2023-01-31 17:03:28', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (369, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.add()', 'POST', 1, 'test01', '/api/airportInterface/addTenant', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"zuhutest01\",\"tenantCode\":\"zuhutest9527\",\"username\":\"zuhutest01\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2023-01-31 17:04:44', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (370, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.add()', 'POST', 1, 'test01', '/api/airportInterface/addTenant', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"zuhutest01\",\"tenantCode\":\"zuhutest9527\",\"username\":\"zuhutest01\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2023-02-01 13:42:44', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (371, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.add()', 'POST', 1, 'test01', '/api/airportInterface/addTenant', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"zuhutest01\",\"tenantCode\":\"zuhutest9527\",\"username\":\"zuhutest01\"}', '{\"code\":500,\"msg\":\"租户已存在！\"}', 0, NULL, 0, '2023-02-02 13:19:30', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (372, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.add()', 'POST', 1, 'test01', '/api/airportInterface/addTenant', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"zuhutest01\",\"tenantCode\":\"zuhutest9527\",\"username\":\"zuhutest041\"}', '{\"code\":500,\"msg\":\"租户已存在！\"}', 0, NULL, 0, '2023-02-02 13:19:43', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (373, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.add()', 'POST', 1, 'test01', '/api/airportInterface/addTenant', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"zuhutest01\",\"tenantCode\":\"zuhutest95327\",\"username\":\"zuhutest041\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2023-02-02 13:19:50', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (374, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.editByCenter()', 'PUT', 1, 'test01', '/api/airportInterface/editTenant', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"zuhutest01\",\"tenantCode\":\"zuhutest9527\",\"username\":\"zuhutest02\"}', '{\"code\":500,\"msg\":\"用户不存在！\"}', 0, NULL, 0, '2023-02-02 13:23:38', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (375, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.editByCenter()', 'PUT', 1, 'test01', '/api/airportInterface/editTenant', '127.0.0.1', '内网IP', '{\"password\":\"123456\",\"tenantName\":\"zuhutest01\",\"tenantCode\":\"zuhutest9527\",\"username\":\"zuhutest02\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2023-02-02 13:27:19', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (376, '租户管理', 1, 'com.tuoheng.admin.controller.InterfaceForAiController.delByCenter()', 'DELETE', 1, 'test01', '/api/airportInterface/delTenant/zuhutest9527', '127.0.0.1', '内网IP', '{code=zuhutest9527}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2023-02-02 13:36:11', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (377, '租户管理', 2, 'com.tuoheng.admin.controller.InterfaceForAiController.updatePasswordByCenter()', 'POST', 1, 'test01', '/api/airportInterface/updateTenantPassword', '127.0.0.1', '内网IP', '{\"password\":\"1234566\",\"tenantCode\":\"zuhutest9527\"}', '{\"code\":500,\"msg\":\"租户不存在！\"}', 0, NULL, 0, '2023-02-02 15:03:57', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (378, '租户管理', 2, 'com.tuoheng.admin.controller.InterfaceForAiController.updatePasswordByCenter()', 'POST', 1, 'test01', '/api/airportInterface/updateTenantPassword', '127.0.0.1', '内网IP', '{\"password\":\"1234566\",\"tenantCode\":\"zuhutest95327\"}', '{\"code\":0,\"msg\":\"操作成功\"}', 0, NULL, 0, '2023-02-02 15:05:19', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (379, '租户管理', 3, 'com.tuoheng.admin.controller.InterfaceForAiController.delByCenter()', 'DELETE', 1, 'test01', '/api/airportInterface/delTenant/zuhutest9527', '127.0.0.1', '内网IP', '{code=zuhutest9527}', 'null', 1, 'Access key id should not be null or empty.', 0, '2023-02-03 14:00:09', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (380, '租户管理', 3, 'com.tuoheng.admin.controller.InterfaceForAiController.delByCenter()', 'DELETE', 1, 'test01', '/api/airportInterface/delTenant/zuhutest9527', '127.0.0.1', '内网IP', '{code=zuhutest9527}', 'null', 1, 'Access key id should not be null or empty.', 0, '2023-02-03 14:02:31', 0, NULL, 1, NULL);
INSERT INTO `sys_oper_log` VALUES (381, '租户管理', 3, 'com.tuoheng.admin.controller.InterfaceForAiController.delByCenter()', 'DELETE', 1, 'test01', '/api/airportInterface/delTenant/zuhutest9527', '127.0.0.1', '内网IP', '{code=zuhutest9527}', 'null', 0, NULL, 0, '2023-02-03 14:03:43', 0, NULL, 1, NULL);

-- ----------------------------
-- Table structure for sys_position
-- ----------------------------
DROP TABLE IF EXISTS `sys_position`;
CREATE TABLE `sys_position`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '岗位名称',
  `status` tinyint UNSIGNED NULL DEFAULT 1 COMMENT '状态：1正常 2停用',
  `sort` smallint UNSIGNED NULL DEFAULT 125 COMMENT '显示顺序',
  `create_user` int UNSIGNED NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '添加时间',
  `update_user` int UNSIGNED NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '岗位表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_position
-- ----------------------------
INSERT INTO `sys_position` VALUES (1, 'PHP工程师', 1, 125, 1, '2020-02-27 01:35:51', 1, '2021-08-24 11:51:34', 1, 20);
INSERT INTO `sys_position` VALUES (2, 'IOS工程师', 1, 125, 1, '2020-03-02 08:10:13', 0, NULL, 1, 20);
INSERT INTO `sys_position` VALUES (3, 'JAVA工程师', 1, 125, 1, '2020-03-02 08:10:18', 1, '2020-03-02 08:10:51', 1, 20);
INSERT INTO `sys_position` VALUES (4, 'Python工程师', 1, 125, 1, '2020-03-02 08:10:30', 1, '2020-03-02 08:10:47', 1, 20);
INSERT INTO `sys_position` VALUES (5, 'C#开发工程师', 1, 125, 1, '2020-03-02 08:41:00', 0, NULL, 1, 20);
INSERT INTO `sys_position` VALUES (6, '前端开发工程师', 1, 125, 1, '2020-03-02 08:41:52', 0, NULL, 1, 20);
INSERT INTO `sys_position` VALUES (7, 'GIS开发工程师', 1, 125, 1, '2020-03-02 08:42:10', 0, NULL, 1, 20);
INSERT INTO `sys_position` VALUES (8, '硬件开发工程师', 1, 125, 1, '2020-03-02 08:44:34', 1, '2021-05-11 11:30:03', 1, 20);

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `tenant_id` int NULL DEFAULT NULL,
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色标签',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '状态：1正常 2禁用',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `sort` smallint UNSIGNED NOT NULL DEFAULT 125 COMMENT '排序',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '添加时间',
  `update_user` int UNSIGNED NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标识(1正常 0删除)',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统角色表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, 20, '超级管理员', 'super', 1, '超级管理员拥有绝对权限', 1, 1, '2020-05-17 10:57:00', 1, '2022-11-29 14:28:02', 1);
INSERT INTO `sys_role` VALUES (2, 20, '飞手', '飞手', 1, NULL, 10, 0, '2021-09-13 09:40:13', 0, NULL, 0);
INSERT INTO `sys_role` VALUES (3, 20, '其他', 'gly', 1, NULL, 20, 0, '2021-09-14 14:38:45', 0, '2022-08-23 10:03:09', 1);
INSERT INTO `sys_role` VALUES (4, 20, '普通管理员', '1111', 2, NULL, 1, 0, '2022-11-29 10:51:14', 0, '2022-11-29 11:00:19', 0);
INSERT INTO `sys_role` VALUES (5, 20, '管理员', '管理员', 1, NULL, 3, 20, '2022-12-16 11:22:35', 20, '2022-12-26 15:15:26', 1);
INSERT INTO `sys_role` VALUES (6, 21, '超级管理员', 'admin', 1, NULL, 1, 21, '2022-12-16 13:22:36', 0, NULL, 1);
INSERT INTO `sys_role` VALUES (7, 20, '飞手', '飞手', 1, NULL, 5, 20, '2022-12-26 15:15:45', 0, NULL, 1);
INSERT INTO `sys_role` VALUES (8, 21, '其他管理员', '其他管理员', 1, NULL, 1, 21, '2022-12-29 09:50:04', 0, NULL, 1);
INSERT INTO `sys_role` VALUES (9, 20, '其他管理员', '1', 1, NULL, 1, 20, '2023-01-03 15:06:51', 0, NULL, 1);
INSERT INTO `sys_role` VALUES (10, 23, '管理员', 'tuoheng_gly', 1, NULL, 1, 27, '2023-01-04 13:18:51', 0, NULL, 1);
INSERT INTO `sys_role` VALUES (11, 22, '管理员', '1', 1, NULL, 1, 23, '2023-01-07 13:47:51', 0, NULL, 1);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` smallint UNSIGNED NOT NULL DEFAULT 0 COMMENT '角色ID',
  `menu_id` smallint UNSIGNED NOT NULL DEFAULT 0 COMMENT '菜单ID',
  `tenant_id` int NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `create_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `update_user` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `mark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  INDEX `role_id`(`menu_id` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 2015, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (2, 1, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (2, 2014, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (2, 2011, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (2, 2030, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (2, 2031, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (2, 2032, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (2, 2033, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2068, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2057, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2034, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2002, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2003, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2035, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2036, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2037, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2071, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2038, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2004, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2039, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2040, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2041, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2042, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2005, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2043, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2044, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2045, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2046, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2006, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2047, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2048, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2049, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2050, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2007, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2051, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2053, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2054, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2059, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2058, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2060, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2061, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2062, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2072, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2064, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2063, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2065, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2066, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2067, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2073, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2074, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2069, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2070, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2075, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2076, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2077, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2078, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1210, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 4, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 5, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1211, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1212, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1213, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1214, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1215, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1216, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1218, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1219, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1217, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1220, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 13, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1221, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1222, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1223, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1224, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1225, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1226, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1227, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 20, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1228, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1229, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1230, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1234, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1231, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1232, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1233, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1235, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1252, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 43, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1253, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1254, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1255, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1259, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1256, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1257, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1258, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1260, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 51, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1261, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1262, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1263, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1264, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1265, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 56, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1266, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1267, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1268, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1269, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1270, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 61, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 62, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1271, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1272, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1273, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1275, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1274, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 1276, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2068, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2057, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2034, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2002, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2003, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2035, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2036, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2037, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2004, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2038, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2039, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2040, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2041, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2005, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2042, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2043, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2044, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2045, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2006, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2046, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2047, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2048, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2049, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2007, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2050, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2051, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2053, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2054, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2058, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2059, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2060, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2061, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2062, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2072, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2063, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2064, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2065, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2066, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2067, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2073, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2069, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2070, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2074, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2075, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2076, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2077, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 2078, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 4, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 5, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1210, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1211, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1212, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1213, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1214, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1215, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1216, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1218, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1219, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1217, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 13, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1220, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1221, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1222, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1223, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1224, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1225, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1226, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 20, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1227, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1228, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1229, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1230, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1234, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1231, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1232, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1233, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1235, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 43, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1252, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1253, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1254, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1255, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1259, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1256, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1257, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1258, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 51, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1260, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1261, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1262, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1263, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1264, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 56, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1265, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1266, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1267, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1268, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1269, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 61, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 62, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1270, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1271, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1272, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1273, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1275, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1274, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 1276, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2068, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2057, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2002, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2003, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2034, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2035, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2036, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2037, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2071, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2004, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2038, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2039, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2040, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2041, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2005, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2042, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2043, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2044, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2045, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2006, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2046, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2047, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2048, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2049, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2007, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2050, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2051, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2053, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2054, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2058, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2059, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2060, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2061, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2062, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2072, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2063, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2064, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2065, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2066, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2067, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2073, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2069, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2070, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2074, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2075, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2076, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2077, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 2078, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 4, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 5, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1210, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1211, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1212, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1213, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1214, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1215, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1216, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1218, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1219, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1217, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 13, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1220, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1221, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1222, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1223, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1224, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1225, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1226, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 20, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1227, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1228, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1229, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1230, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1234, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1231, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1232, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1233, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1235, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 43, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1252, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1253, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1254, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1255, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1259, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1256, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1257, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1258, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 51, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1260, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1261, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1262, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1263, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1264, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 56, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1265, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1266, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1267, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1268, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 1269, 20, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2068, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2057, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2034, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2002, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2003, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2035, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2038, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2004, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2042, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2005, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2046, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2006, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2050, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2007, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2059, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2058, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2072, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2064, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2063, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2073, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2074, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2069, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2070, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2075, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2079, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2080, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2081, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2082, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 2083, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 5, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1210, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1211, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1212, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1213, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1214, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1215, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1216, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1218, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1219, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1217, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 13, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1220, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1221, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1222, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1223, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1224, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1225, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1226, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 20, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1227, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1228, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1229, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1230, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1234, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1231, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1232, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1233, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1235, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 43, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1252, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1253, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1254, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1255, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1259, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1256, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1257, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1258, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 51, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1260, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1261, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1262, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1263, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1264, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 61, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 62, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1270, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1271, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1272, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1273, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1275, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1274, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 1276, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2068, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2057, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2002, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2003, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2034, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2035, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2036, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2037, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2071, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2004, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2038, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2039, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2040, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2041, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2005, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2042, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2043, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2044, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2045, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2006, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2046, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2047, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2048, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2049, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2007, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2050, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2051, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2053, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2054, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2058, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2059, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2060, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2061, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2062, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2072, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2063, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2064, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2065, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2066, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2067, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2073, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2069, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2070, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2074, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2075, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2076, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2077, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 2078, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2079, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2080, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2081, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2082, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (1, 2083, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 5, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1210, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1211, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1212, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1213, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1214, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1215, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1216, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1218, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1219, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1217, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 13, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1220, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1221, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1222, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1223, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1224, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1225, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1226, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 20, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1227, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1228, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1229, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1230, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1234, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1231, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1232, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1233, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1235, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 43, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1252, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1253, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1254, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1255, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1259, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1256, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1257, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1258, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 51, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1260, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1261, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1262, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1263, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1264, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 61, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 62, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1270, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1271, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1272, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1273, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1275, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1274, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 1276, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2068, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2057, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2002, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2003, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2034, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2035, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2036, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2037, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2071, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2004, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2038, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2039, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2040, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2041, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2005, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2042, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2043, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2044, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2045, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2006, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2046, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2047, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2048, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2049, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2007, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2050, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2051, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2053, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2054, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2058, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2059, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2060, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2061, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2062, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2072, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2063, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2064, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2065, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2066, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2067, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2073, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2069, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2070, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2074, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2075, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2076, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2077, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2078, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2079, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2080, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2081, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2082, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 2083, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 5, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1210, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1211, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1212, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1213, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1214, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1215, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1216, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1218, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1219, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1217, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 13, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1220, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1221, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1222, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1223, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1224, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1225, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1226, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 20, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1227, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1228, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1229, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1230, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1234, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1231, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1232, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1233, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1235, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 43, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1252, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1253, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1254, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1255, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1259, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1256, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1257, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1258, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 51, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1260, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1261, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1262, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1263, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1264, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 61, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 62, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1270, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1271, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1272, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1273, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1275, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1274, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 1276, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2068, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2057, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2002, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2003, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2034, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2035, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2036, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2037, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2071, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2004, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2038, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2039, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2040, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2041, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2005, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2042, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2043, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2044, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2045, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2006, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2046, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2047, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2048, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2049, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2007, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2050, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2051, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2053, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2054, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2058, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2059, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2060, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2061, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2062, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2072, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2063, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2064, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2065, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2066, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2067, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2073, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2069, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2070, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2074, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2075, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2076, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2077, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2078, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2079, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2080, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2081, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2082, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 2083, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 5, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1210, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1211, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1212, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1213, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1214, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1215, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1216, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1218, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1219, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1217, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 13, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1220, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1221, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1222, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1223, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1224, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1225, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1226, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 20, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1227, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1228, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1229, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1230, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1234, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1231, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1232, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1233, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1235, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 43, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1252, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1253, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1254, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1255, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1259, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1256, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1257, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1258, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 51, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1260, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1261, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1262, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1263, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1264, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 61, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 62, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1270, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1271, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1272, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1273, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1275, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1274, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 1276, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2068, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2057, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2002, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2003, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2034, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2035, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2036, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2037, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2071, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2004, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2038, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2039, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2040, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2041, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2005, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2042, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2043, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2044, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2045, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2006, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2046, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2047, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2048, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2049, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2007, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2050, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2051, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2053, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2054, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2058, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2059, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2060, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2061, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2062, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2072, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2063, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2064, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2065, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2066, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2067, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2073, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2069, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2070, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2074, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2075, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2076, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2077, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2078, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2079, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2080, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2081, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2082, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 2083, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 5, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1210, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1211, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1212, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1213, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1214, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1215, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1216, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1218, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1219, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1217, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 13, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1220, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1221, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1222, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1223, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1224, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1225, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1226, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 20, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1227, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1228, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1229, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1230, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1234, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1231, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1232, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1233, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1235, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 43, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1252, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1253, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1254, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1255, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1259, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1256, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1257, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1258, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 51, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1260, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1261, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1262, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1263, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1264, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 61, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 62, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1270, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1271, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1272, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1273, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1275, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1274, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 1276, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户编号',
  `realname` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '真实姓名',
  `nickname` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '昵称',
  `gender` tinyint(1) NULL DEFAULT 3 COMMENT '性别:1男 2女 3保密',
  `avatar` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '头像',
  `mobile` char(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '手机号码',
  `email` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮箱地址',
  `birthday` date NULL DEFAULT NULL COMMENT '出生日期',
  `dept_id` int NULL DEFAULT 0 COMMENT '部门ID',
  `level_id` int NULL DEFAULT 0 COMMENT '职级ID',
  `position_id` smallint NULL DEFAULT 0 COMMENT '岗位ID',
  `province_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '省份编号',
  `city_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '市区编号',
  `district_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '区县编号',
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '详细地址',
  `city_name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属城市',
  `username` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '登录用户名',
  `password` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '登录密码',
  `type` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '用户类型：1普通用户 2飞手',
  `driver_type` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '驾照类型：1飞行执照 2飞行许可证',
  `driver_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '驾照编号',
  `salt` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '盐加密',
  `intro` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '个人简介',
  `status` tinyint(1) NULL DEFAULT 1 COMMENT '状态：1正常 2禁用',
  `note` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `sort` int NULL DEFAULT 125 COMMENT '排序号',
  `login_num` int NULL DEFAULT 0 COMMENT '登录次数',
  `login_ip` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '最近登录IP',
  `login_time` datetime NULL DEFAULT NULL COMMENT '最近登录时间',
  `create_user` int NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint(1) NOT NULL DEFAULT 1 COMMENT '有效标识(1正常 0删除)',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `realname`(`realname` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 49 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '后台用户管理表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 'tuoheng', 'admin管理员', '管理员', 1, '/images/user/20210824/20210824164944849.jpg', '15898736280', 'tuoheng@163.com', '2021-08-02', 2, 8, 2, '320000', '320100', '320115', '东吉大道1号江苏软件园', '', 'admin123', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, '', '暂无22', 1, '暂无', 1, 0, '', NULL, 1, '2021-08-16 13:38:40', 1, '2021-08-04 14:43:04', 1, 0);
INSERT INTO `sys_user` VALUES (20, 'THZH01', '租户1', NULL, 3, 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/0e8f219e-4920-4d1c-a430-6153f904df43.jpg', NULL, NULL, NULL, 2, 0, 0, NULL, NULL, NULL, NULL, NULL, 'zuhu1', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, '123', 1, NULL, 125, 0, NULL, NULL, 6, '2022-12-06 17:22:43', 20, '2022-12-30 11:06:54', 1, 20);
INSERT INTO `sys_user` VALUES (22, '111221313', 'zuhu2', NULL, 3, 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/b5c16a88-6c24-453c-bf5e-c8c88c5024b2.jpg', NULL, NULL, NULL, 1, 0, 0, NULL, NULL, NULL, NULL, NULL, 'zuhu2', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 21, '2022-12-15 15:16:15', 22, '2023-01-09 09:00:16', 1, 21);
INSERT INTO `sys_user` VALUES (23, 'THZH02', '租户3', NULL, 3, 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/%E4%B8%8A%E4%BC%A0%E5%A4%B1%E8%B4%A5', NULL, NULL, NULL, 2, 0, 0, NULL, NULL, NULL, NULL, NULL, 'zuhu3', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, '123', 1, NULL, 125, 0, NULL, NULL, 6, '2022-12-06 17:22:43', 23, '2023-01-07 13:48:18', 1, 22);
INSERT INTO `sys_user` VALUES (24, '1112', 'test01', NULL, 3, NULL, NULL, NULL, NULL, 6, 0, 0, NULL, NULL, NULL, NULL, NULL, 'test01', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 21, '2022-12-19 11:16:12', 21, '2022-12-29 09:51:22', 1, 21);
INSERT INTO `sys_user` VALUES (25, 'JC01', 'test1', NULL, 3, NULL, NULL, NULL, NULL, 1, 0, 0, NULL, NULL, NULL, NULL, NULL, 'test1', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 20, '2022-12-26 15:17:32', 0, NULL, 1, 20);
INSERT INTO `sys_user` VALUES (26, 'test2', 'test2', NULL, 3, NULL, NULL, NULL, NULL, 1, 0, 0, NULL, NULL, NULL, NULL, NULL, 'test2', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 20, '2022-12-27 09:06:02', 0, NULL, 1, 20);
INSERT INTO `sys_user` VALUES (28, 'zuhu301', 'zuhu301', NULL, 3, NULL, NULL, NULL, NULL, 16, 0, 0, NULL, NULL, NULL, NULL, NULL, 'zuhu301', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 23, '2023-01-07 13:50:32', 0, NULL, 1, 22);
INSERT INTO `sys_user` VALUES (30, 'TH0012', 'fe55555', NULL, 3, 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/%E4%B8%8A%E4%BC%A0%E5%A4%B1%E8%B4%A5', NULL, NULL, NULL, 2, 0, 0, NULL, NULL, NULL, NULL, NULL, 'tes55555', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, '123', 1, NULL, 125, 0, NULL, NULL, 0, NULL, 0, NULL, 1, 0);
INSERT INTO `sys_user` VALUES (40, NULL, 'zuhutest01', NULL, 3, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, 'zuhutest041', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 0, '2023-02-02 13:19:50', 0, '2023-02-02 15:04:58', 1, 0);
INSERT INTO `sys_user` VALUES (41, NULL, 'xzqlll4', NULL, 3, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, 'xuziqinglll04', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 0, '2022-08-24 19:56:31', 0, NULL, 1, 0);
INSERT INTO `sys_user` VALUES (42, NULL, 'xzqlll5', NULL, 3, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, 'xuziqinglll05', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 0, '2022-08-24 22:49:39', 0, NULL, 1, 0);
INSERT INTO `sys_user` VALUES (43, NULL, '小影测试业务对接08', NULL, 3, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, 'xyceshi99908', '17174c8d52d75eb9fe6ef3ba6b54f7d2', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 0, NULL, 0, '2022-08-24 11:25:08', 1, 0);
INSERT INTO `sys_user` VALUES (44, NULL, 'kaifa', NULL, 3, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, 'kf', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 0, '2022-08-24 04:33:44', 0, NULL, 1, 0);
INSERT INTO `sys_user` VALUES (45, NULL, '要你管', NULL, 3, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, 'yng', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 0, '2022-08-24 09:34:56', 0, NULL, 1, 0);
INSERT INTO `sys_user` VALUES (46, NULL, '开发租户', NULL, 3, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, 'devzh', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 0, '2022-08-24 10:42:55', 0, NULL, 1, 0);
INSERT INTO `sys_user` VALUES (47, NULL, '开发租户2', NULL, 3, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, 'devzh2', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 0, '2022-08-24 10:44:39', 0, NULL, 1, 0);
INSERT INTO `sys_user` VALUES (48, NULL, '租户3', NULL, 3, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, 'devzh3', 'ddd056e3116ef3c8972a11c62a770a31', 1, 0, NULL, NULL, NULL, 1, NULL, 125, 0, NULL, NULL, 0, '2022-08-24 10:46:40', 0, NULL, 1, 0);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '人员ID',
  `role_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '角色ID',
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `tenant_id` int NULL DEFAULT NULL,
  INDEX `admin_id`(`user_id` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '人员角色表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (2, 3, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (3, 3, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (4, 3, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (5, 3, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (7, 3, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (8, 3, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (9, 3, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (10, 3, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (11, 3, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (12, 1, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (13, 1, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (14, 1, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (6, 1, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (19, 1, NULL, NULL, 20);
INSERT INTO `sys_user_role` VALUES (15, 1, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (21, 6, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (16, 3, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (25, 5, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (26, 3, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (24, 8, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (20, 5, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (27, 10, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (23, 11, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (28, 11, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (22, 6, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (40, 1, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (41, 1, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (42, 1, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (43, 1, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (44, 1, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (45, 1, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (46, 1, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (47, 1, NULL, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (48, 1, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for th_airline_file
-- ----------------------------
DROP TABLE IF EXISTS `th_airline_file`;
CREATE TABLE `th_airline_file`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `file_name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '文件名称',
  `file_url` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '文件地址',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '文件备注',
  `create_user` int UNSIGNED NULL DEFAULT 0 COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `file_name`(`file_name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 80 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '航线文件表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_airline_file
-- ----------------------------
INSERT INTO `th_airline_file` VALUES (29, '卢松区演示航线(作废)', '/files/kml/20220921/20220921235403931.waypoints', NULL, 1, '2022-09-21 23:54:08', 1, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (30, '卢松区演示航线 ', '/files/kml/20220922/20220922002210225.waypoints', NULL, 1, '2022-09-22 00:22:14', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (31, '芦淞区 枫溪港河道', '/files/kml/20220926/20220926003846341.waypoints', NULL, 6, '2022-09-26 00:39:44', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (32, '芦淞区 河长制主题公园直播现场概况', '/files/kml/20221014/20221014143330847.waypoints', NULL, 6, '2022-10-14 14:33:46', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (33, '芦淞区 湘江航线软件1', '/files/kml/20221019/20221019163734674.waypoints', NULL, 6, '2022-10-14 16:08:34', 6, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (34, '芦淞区 湘江航线', '/files/kml/20221014/20221014160908819.waypoints', NULL, 6, '2022-10-14 16:09:09', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (35, '芦淞区 建宁港河道', '/files/kml/20221018/20221018101036577.waypoints', NULL, 6, '2022-10-15 11:35:34', 6, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (36, '芦淞区 湘江一段', '/files/kml/20221015/20221015135021579.waypoints', NULL, 6, '2022-10-15 13:50:27', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (37, '卢松区演示航线 10秒悬停', '/files/kml/20221016/20221016075731615.waypoints', NULL, 6, '2022-10-16 07:57:36', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (38, '芦淞区 河长制主题公园直播现场概况', '/files/kml/20221016/20221016085636613.waypoints', NULL, 6, '2022-10-16 08:56:44', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (39, '芦淞区 河长制主题公园直播现场概况', '/files/kml/20221016/20221016094649162.waypoints', NULL, 6, '2022-10-16 09:46:58', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (40, '芦淞区 湘江二段', '/files/kml/20221018/20221018100019816.waypoints', NULL, 6, '2022-10-18 09:28:08', 6, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (41, '芦淞区 湘江三段', '/files/kml/20221018/20221018095856506.waypoints', NULL, 6, '2022-10-18 09:56:40', 6, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (42, '芦淞区 枫溪港河道', '/files/kml/20221018/20221018150033989.waypoints', NULL, 6, '2022-10-18 15:01:45', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (43, '芦淞区 湘江三段100', '/files/kml/20221021/20221021150201351.waypoints', NULL, 6, '2022-10-21 09:22:19', 6, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (44, '自制芦淞区航点航线1', 'http://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/81ba9afc-ccd5-4bb8-9099-ffab2f1b49a5.waypoints', '湖南株洲芦淞区', 1, '2022-11-28 15:03:18', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (45, '芦淞区 湘江沿线2', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/540d658e-cdd4-4f1c-8c67-ad958fc1debf.waypoints', '自制芦淞区湘江沿线航线211111', 1, '2022-11-28 15:06:14', 20, '2022-12-19 17:11:21', 1, 20);
INSERT INTO `th_airline_file` VALUES (46, '自制芦淞区湘江沿线航线2', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/7649deab-fdf3-448f-9d96-fc676ed1d01f.waypoints', NULL, 1, '2022-11-28 15:09:34', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (47, '大楼周边航线1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/241e2b60-e848-4567-9ef7-d6a3d9bbb7b4.waypoints', '自制芦淞区湘江沿线航线1', 1, '2022-11-28 17:45:46', 1, '2022-12-19 17:09:49', 0, 20);
INSERT INTO `th_airline_file` VALUES (48, '自制芦淞区湘江沿线航线1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/f333de01-624e-4897-9905-6334db0cc334.waypoints', '自制芦淞区湘江沿线航线1', 1, '2022-11-30 16:39:03', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (49, '自制芦淞区湘江沿线航线1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/06d800f0-4d7c-497f-ba01-1e075b690744.waypoints', NULL, 1, '2022-11-30 16:52:42', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (50, '自制芦淞区湘江沿线航线1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/fa70fbf7-0f77-46a4-b6a7-c0269437d450.waypoints', NULL, 6, '2022-11-30 16:58:11', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (51, '自制芦淞区湘江沿线航线1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/87ae9c5a-5254-474e-8e7b-c79eadaaf2d2.waypoints', NULL, 6, '2022-11-30 17:01:49', 6, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (52, '自制芦淞区湘江沿线航线1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/3c574851-6e39-41d3-a83e-14049ab17f03.waypoints', '1111111111111111111', 1, '2022-11-30 17:07:16', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (53, '自制芦淞区湘江沿线航线1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/6796b1cf-814b-4d75-8016-b318a0d51fae.waypoints', '11111', 1, '2022-11-30 17:08:23', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (54, '自制芦淞区湘江沿线航线1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/cb7ef76f-14f8-4606-a568-a7c345645634.waypoints', 'ceshi-wl', 1, '2022-11-30 17:09:55', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (55, '自制芦淞区湘江沿线航线1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/7ce36d68-d5b3-42f7-8059-f89c76a63443.waypoints', '1111111111111111111111111111111111', 1, '2022-11-30 17:10:45', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (56, '周边巡检', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/188a9a5c-46f4-46e8-bf4b-de9d682a5ddb.waypoints', '周边巡检', 1, '2022-12-01 08:47:56', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_airline_file` VALUES (57, '芦淞区TXT', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/e4f224be-2d63-496a-a7d9-0ceefca91f8b.txt', '芦淞TXT', 1, '2022-12-01 08:50:18', 0, '2022-12-16 09:01:24', 0, 20);
INSERT INTO `th_airline_file` VALUES (58, '江苏软件园航线1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/4b2fc3e9-f5ec-473c-9ea1-b112fb5937b3.waypoints', '江苏软件园航线1', 1, '2022-12-01 22:21:26', 1, '2022-12-19 17:09:39', 0, 20);
INSERT INTO `th_airline_file` VALUES (59, '江苏软件园周边航线', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/56dc2a74-330f-427d-9df8-3158ae78e0a0.waypoints', '江苏软件园周边航线', 1, '2022-12-01 15:04:56', 1, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_airline_file` VALUES (60, 'A简短航线1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/9e84048c-c99f-4c10-bdca-7533e96efd9c.waypoints', '简短航线1', 1, '2022-12-07 14:47:01', 20, '2022-12-19 17:11:31', 1, 20);
INSERT INTO `th_airline_file` VALUES (61, '芦淞区 演示航线 1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/4c493be7-6766-4496-b0bf-f3a8bb180ed1.waypoints', NULL, 1, '2022-12-12 11:10:17', 20, '2022-12-19 17:11:02', 1, 20);
INSERT INTO `th_airline_file` VALUES (62, '芦淞区 湘江三段100', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/e60c5ac3-cdaa-42e8-9c14-761a17242dfb.waypoints', NULL, 1, '2022-12-12 16:27:26', 0, '2022-12-16 09:00:47', 0, 20);
INSERT INTO `th_airline_file` VALUES (63, '芦淞区 湘江航线软件(8min)', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/bb48da96-17bf-4a28-898d-bf4da6419087.txt', '芦淞区 湘江航线软件(8min)', 1, '2022-12-13 10:26:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_airline_file` VALUES (64, 'A简短航线2', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/13e32b4b-abb7-44c6-b062-f3162655234d.waypoints', '22', 20, '2022-12-16 09:02:24', 20, '2022-12-16 14:22:28', 1, 20);
INSERT INTO `th_airline_file` VALUES (65, 'B简短航线', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/a02ea670-daf8-4237-a2d7-349402b6c505.waypoints', 'B简短航线', 21, '2022-12-16 09:18:27', 0, NULL, 1, 21);
INSERT INTO `th_airline_file` VALUES (66, '芦淞区 建宁港河道', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/acc2a766-750c-4d80-8f40-e18fcc96c8b9.waypoints', NULL, 7, '2022-12-16 09:48:23', 0, '2022-12-19 17:10:00', 0, 20);
INSERT INTO `th_airline_file` VALUES (67, 'NJ软件园周边航线', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/12b6a06b-3905-4012-86c3-048dc912c945.waypoints', NULL, 27, '2023-01-04 14:21:24', 0, NULL, 1, 23);
INSERT INTO `th_airline_file` VALUES (68, 'C江苏软件园周边航线', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/89de2a76-9e39-45d1-bd43-1231c660c8f8.waypoints', NULL, 23, '2023-01-07 11:24:09', 0, NULL, 1, 22);
INSERT INTO `th_airline_file` VALUES (69, 'B较长航线', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/7824cfd8-6441-4b1f-b368-05d40319a7a3.waypoints', NULL, 22, '2023-01-10 19:32:03', 0, NULL, 1, 21);
INSERT INTO `th_airline_file` VALUES (70, '指点航线1675410724857', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/e31948ee-38fc-4b03-b41e-349e7f7a9113.waypoints', NULL, 0, '2023-02-03 15:52:05', 0, NULL, 1, NULL);
INSERT INTO `th_airline_file` VALUES (71, '指点航线1675411077124', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/8e377796-9355-4ef4-b119-6d69b1345762.waypoints', NULL, 0, '2023-02-03 15:57:57', 0, NULL, 1, NULL);
INSERT INTO `th_airline_file` VALUES (72, '指点航线1675411392326', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/010a335d-73a8-4f1b-a45a-bf9ed8b49e87.waypoints', NULL, 0, '2023-02-03 16:03:12', 0, NULL, 1, NULL);
INSERT INTO `th_airline_file` VALUES (73, '指点航线1675411415942', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/e658a1cc-c2c7-4fc1-a53d-97c188ffacb8.waypoints', NULL, 0, '2023-02-03 16:03:36', 0, NULL, 1, 21);
INSERT INTO `th_airline_file` VALUES (74, '指点航线1675411449711', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/7f770590-c910-4155-80d7-14013083888f.waypoints', NULL, 0, '2023-02-03 16:04:10', 0, NULL, 1, 21);
INSERT INTO `th_airline_file` VALUES (75, '指点航线1675416447713', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/d52e76e3-1443-41b6-8650-2c0ac2464ddc.waypoints', NULL, 0, '2023-02-03 17:27:28', 0, NULL, 1, 21);
INSERT INTO `th_airline_file` VALUES (76, '指点航线1675416568766', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/effe1837-6b2e-4673-aaba-1dd86d9bdf39.waypoints', NULL, 0, '2023-02-03 17:29:29', 0, '2023-02-03 17:29:29', 0, 21);
INSERT INTO `th_airline_file` VALUES (77, '指点航线1661276833077', '', NULL, 0, '2022-08-24 01:47:13', 0, '2022-08-24 01:47:13', 0, 1);
INSERT INTO `th_airline_file` VALUES (78, '指点航线1661279190562', '', NULL, 0, '2022-08-24 02:26:31', 0, '2022-08-24 02:26:31', 0, 1);
INSERT INTO `th_airline_file` VALUES (79, '指点航线1661286996647', '', NULL, 0, '2022-08-24 04:36:37', 0, '2022-08-24 04:36:37', 0, 1);

-- ----------------------------
-- Table structure for th_airport
-- ----------------------------
DROP TABLE IF EXISTS `th_airport`;
CREATE TABLE `th_airport`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `code` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '设备编号',
  `name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '设备名称',
  `image` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '机场照片',
  `flv_external_monitor_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `external_monitor_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '外部监控地址',
  `internal_monitor_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '内部监控地址',
  `ground_station_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '地面站url',
  `coverage` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '覆盖范围',
  `sort` int UNSIGNED NULL DEFAULT 0 COMMENT '排序号',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `longitude` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '经度',
  `latitude` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '纬度',
  `drone_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '无人机ID',
  `astatus` int NULL DEFAULT NULL COMMENT '状态：1正常 0 调试',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `edge_Id` varchar(150) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `mq_Client_Id` varchar(150) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `tenant_id` int NULL DEFAULT NULL,
  `address` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '机场位置',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE,
  INDEX `code`(`code` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 32 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '机场表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_airport
-- ----------------------------
INSERT INTO `th_airport` VALUES (7, 'TH001', '玄100机场', '/images/airport/20221103/20221103153145328.jpg', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000001_34020000001320000001_0200000001', 'xx8dw9.natappfree.cc:80:123456789', '5', 1, NULL, '113.1537260626089', '27.78598530789836', 5, 0, 0, '2022-09-21 15:38:54', 0, '2023-04-20 16:16:36', 0, '123456789', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (8, 'test11-09', 'test11-09-airport', '/images/airport/20220824/20220824124706766.jpg', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', '609105x3u5.oicp.vip:443:1234567890', '6', 2, NULL, '118.78013740918567', '31.82604451123691', 5, 0, 0, '2022-11-09 14:47:45', 0, '2023-04-20 16:16:36', 0, 'mqttjs_9c6c2a1338', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (9, 'TH001', '江苏软件园', 'http://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/82403de7-c41d-459d-80b0-cd16e34fb755.png', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000001_34020000001320000001_0200000001', 'uus34e.natappfree.cc:80:1234567', '4', 1, NULL, '118.77192734626089', '31.826747690789836', 7, 0, 0, '2022-11-29 14:27:27', 0, '2023-04-20 16:16:36', 0, '123456789', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (10, 'TH00111', 'test机场', 'http://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/8ddac673-e9e5-4106-9c9a-6fbf67071ca5.jpg', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000001_34020000001320000001_0200000001', 'xx8dw9.natappfree.cc:80:123456789', '1', 11, NULL, '113.1537260626089', '30.78598530789836', 8, 0, 0, '2022-11-30 09:04:13', 0, '2023-04-20 16:16:36', 0, '123456', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (11, 'test1201', 'test1201名称', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/94bb1e51-42f2-4ece-994a-f58ee8f7ab32.jpg', NULL, 'ewqvx', 'ffds', 'eqweqweq', NULL, 12, NULL, '432', '4324', 7, 0, 0, '2022-12-01 11:27:49', 0, '2023-04-20 16:16:36', 0, 'ewq321', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (12, 'test1202', 'test1202-name', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/81d62424-e4bb-45bf-b774-ebe9fdf8dfb7.jpg', NULL, '32142423432', '4324242342', 'ru35nz.natappfree.cc:80:1234567890', NULL, 321321, NULL, '118.7908734626089', '31.88087690789836', 9, 0, 0, '2022-12-02 09:34:33', 0, '2023-04-20 16:16:36', 0, 'test1202-id', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (13, 'TH001-test', 'A大机场test1212', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/77c64291-a886-4465-9a1a-8707e0973a86.jpg', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000001_34020000001320000001_0200000001', '609105x3u5.oicp.vip:443:123456789:https', '1', 4, NULL, '113.1537260626089', '27.78598530789836', 9, 0, 0, '2022-12-12 10:40:23', 0, '2023-04-20 16:16:36', 1, '001497326DAA2502', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (15, 'A100机场', 'A100机场', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/12987584-72bf-497f-a417-7ee07fc3189f.png', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000001_34020000001320000001_0200000001', 'dwxfqy.natappfree.cc:80:zuhu1', '44', 3, NULL, '118.96232', '32.196418', 10, 0, 0, '2022-12-16 09:49:08', 0, '2023-04-20 16:16:36', 1, '123456789', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (16, '123456789', 'B100机场', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/44e12fee-0a0b-4f38-a8ef-34084d43399d.jpg', NULL, 'wss://easycvr-local.t-aaron.com:1445/ws_flv/live/34020000001320000002_34020000001320000001_0200000001.flv', 'wss://easycvr-local.t-aaron.com:1445/ws_flv/live/34020000001320000001_34020000001320000001_0200000001.flv', '106.15.64.139:10056:123456789', '30', 1, NULL, '118.77192734626089', '31.826747690789836', 11, 0, 0, '2022-12-26 16:13:33', 0, '2022-08-24 08:03:53', 1, '12345678985', NULL, 21, NULL);
INSERT INTO `th_airport` VALUES (17, 'B200机场', 'B200机场', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/673efbc3-b066-4685-8322-937ef1aa91c3.png', NULL, 'wss://easycvr-local.t-aaron.com:1445/ws_flv/live/34020000001320000002_34020000001320000001_0200000001.flv', 'wss://easycvr-local.t-aaron.com:1445/ws_flv/live/34020000001320000001_34020000001320000001_0200000001.flv', '101.43.84.72:8026:zuhu3', '44', 1, NULL, '118.77919273466608', '31.826747690799836', 13, 0, 0, '2022-12-29 09:17:05', 0, '2023-04-20 16:16:36', 1, '12345678', NULL, 21, NULL);
INSERT INTO `th_airport` VALUES (18, 'TH-001', '机场-1', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/3195bf28-daac-4cfa-9d34-1418c8b0119c.jpg', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'dwxfqy.natappfree.cc:80:zuhu001', '8', 4, NULL, '118.701416', '32.192914', 7, 0, 0, '2023-01-04 09:46:23', 0, '2023-04-20 16:16:36', 1, '123456789', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (19, 'TH-002', '机场-2', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/c84896f4-36dd-48f1-9cb4-03f652eb256f.jpg', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'dwxfqy.natappfree.cc:80:zuhu002', '8', 5, NULL, '118.771582', '31.984484', 10, 0, 0, '2023-01-04 09:48:04', 0, '2023-04-20 16:16:36', 1, '123456789', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (20, 'TH-001', '机场-3', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/c69ad8bb-607f-4abc-a716-83d411560b16.jpg', NULL, '1', '1', '1', '8', 6, NULL, '118.487719', '32.033488', 10, 0, 0, '2023-01-04 09:51:59', 0, '2023-04-20 16:16:36', 1, '1234567', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (21, 'TH-004', '机场-4', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/cb14fdf9-f093-4116-88c0-6d3e30c299e0.jpg', NULL, '1', '1', '1', '8', 6, NULL, '119.144272', '32.032019', 10, 0, 0, '2023-01-04 09:53:12', 0, '2023-04-20 16:16:36', 1, '123123', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (22, 'TH-005', '机场-5', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/6d93d0c4-568a-4a60-9a13-1685cc0e1d86.jpg', NULL, '1', '1', '1', '8', 7, NULL, '118.201411', '31.843752', 10, 0, 0, '2023-01-04 09:54:37', 0, '2023-04-20 16:16:36', 1, '1231234', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (23, 'TH-006', '机场-6', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/fb6c76d9-b2f5-43e6-9f7c-b295777466a7.jpg', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', '1', '8', 7, NULL, '118.618225', '32.171986', 10, 0, 0, '2023-01-04 09:56:04', 0, '2023-04-20 16:16:36', 1, '1111', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (24, 'TH-007', '机场-7', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/09335391-f741-4fc9-82ca-b8d556804ac2.jpg', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', '1', '1', '8', 8, NULL, '118.61765', '32.006547', 10, 0, 0, '2023-01-04 09:58:04', 0, '2023-04-20 16:16:36', 1, '1', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (25, 'TH-008', '机场-8', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/f99d10dc-b8ce-46f5-be67-64f2bb365101.jpg', NULL, '11', '11', '1', '8', 1, NULL, '118.930979', '31.997729', 10, 0, 0, '2023-01-04 10:00:30', 0, '2023-04-20 16:16:36', 1, '111', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (26, 'TH-009', '拓恒-9', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/95f00912-5aa2-41f3-8385-f1d8fe205131.jpg', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000001_34020000001320000001_0200000001', '1', '8', 9, NULL, '118.77190053', '31.82697484', 10, 0, 0, '2023-01-04 10:03:13', 0, '2023-04-20 16:16:36', 1, '1tttt', NULL, 20, NULL);
INSERT INTO `th_airport` VALUES (27, '20762065', '拓恒高速公路测试机场', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/ab111a99-228d-4583-95f8-6f98d3dc0eba.jpg', NULL, '1', '1', 'wang2022.mynatapp.cc:80:abcdef', '11', 1, NULL, '118.77292734626089', '31.827747690789836', 14, 0, 0, '2023-01-04 13:39:56', 0, '2023-04-20 16:16:36', 1, '123456789', NULL, 23, NULL);
INSERT INTO `th_airport` VALUES (28, 'C100机场', 'C100机场', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/2f8c22f7-60a2-449f-83ae-b606b453cfa0.jpg', NULL, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000002_34020000001320000001_0200000001', 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/34020000001320000001_34020000001320000001_0200000001', 'mnx7k8.natappfree.cc:80:zuhu1', '22', 3, NULL, '118.77190053', '31.82697484', 15, 0, 0, '2023-01-07 11:28:20', 0, '2023-04-20 16:16:36', 1, '123456789', NULL, 22, NULL);
INSERT INTO `th_airport` VALUES (29, '23452345', '2345', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/2f67a224-2454-49f2-b993-fe97f5b5d0ec.jpg', NULL, '32', '324', '465', '234', 23, NULL, '345454', '234', 16, 0, 0, '2023-04-24 14:39:44', 0, '2022-08-24 23:25:11', 1, '4523643', NULL, 21, NULL);
INSERT INTO `th_airport` VALUES (30, '23452345', '2345', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/2f67a224-2454-49f2-b993-fe97f5b5d0ec.jpg', NULL, '32', '324', '465', '234', 23, NULL, '345', '234', 11, 1, 0, '2023-04-24 14:47:04', 0, '2023-05-09 08:35:27', 0, '4523643', NULL, 21, NULL);
INSERT INTO `th_airport` VALUES (31, '23452345', '2345', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/2f67a224-2454-49f2-b993-fe97f5b5d0ec.jpg', NULL, '32', '324', '465', '234', 23, NULL, '345', '234', 11, 1, 0, '2023-04-24 14:50:23', 0, '2023-05-09 08:35:24', 0, '4523643', NULL, 21, '江宁区软件园');

-- ----------------------------
-- Table structure for th_airport_auth
-- ----------------------------
DROP TABLE IF EXISTS `th_airport_auth`;
CREATE TABLE `th_airport_auth`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `a_id` int NOT NULL DEFAULT 0 COMMENT '机场id',
  `user_id` int NOT NULL DEFAULT 0 COMMENT '用户id',
  `auth` int UNSIGNED NOT NULL DEFAULT 1 COMMENT '权限：1查看 2操作及查看',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '添加时间',
  `update_user` int UNSIGNED NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标识(1正常 0删除)',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`a_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 208 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统角色表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_airport_auth
-- ----------------------------
INSERT INTO `th_airport_auth` VALUES (91, 7, 6, 2, 0, '2022-08-24 18:08:16', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (92, 7, 11, 1, 0, '2022-08-24 18:08:16', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (93, 7, 9, 1, 0, '2022-08-24 18:08:16', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (94, 7, 8, 1, 0, '2022-08-24 18:08:16', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (95, 7, 7, 1, 0, '2022-08-24 18:08:16', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (96, 7, 10, 1, 0, '2022-08-24 18:08:16', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (101, 9, 7, 1, 0, '2022-11-29 15:43:05', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (102, 9, 6, 2, 0, '2022-11-29 15:43:05', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (109, 8, 6, 2, 0, '2022-11-30 10:17:44', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (110, 8, 1, 1, 0, '2022-11-30 10:17:44', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (111, 12, 6, 2, 0, '2022-12-02 09:43:33', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (112, 12, 1, 1, 0, '2022-12-02 09:43:33', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (120, 14, 24, 1, 0, '2022-12-19 11:16:28', 0, NULL, 1, NULL);
INSERT INTO `th_airport_auth` VALUES (121, 14, 22, 2, 0, '2022-12-19 11:16:28', 0, NULL, 1, NULL);
INSERT INTO `th_airport_auth` VALUES (134, 13, 26, 1, 0, '2023-01-03 14:20:16', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (135, 13, 20, 2, 0, '2023-01-03 14:20:16', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (138, 19, 25, 1, 0, '2023-01-04 09:49:43', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (139, 19, 20, 2, 0, '2023-01-04 09:49:43', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (150, 25, 20, 2, 0, '2023-01-04 10:00:58', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (151, 25, 25, 1, 0, '2023-01-04 10:00:58', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (154, 18, 25, 1, 0, '2023-01-04 10:34:12', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (155, 18, 20, 2, 0, '2023-01-04 10:34:12', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (156, 15, 25, 1, 0, '2023-01-06 10:30:46', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (157, 15, 20, 2, 0, '2023-01-06 10:30:46', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (163, 20, 26, 1, 0, '2023-01-06 13:29:49', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (164, 20, 25, 2, 0, '2023-01-06 13:29:49', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (183, 23, 20, 2, 0, '2023-01-10 08:42:45', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (184, 23, 25, 1, 0, '2023-01-10 08:42:45', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (185, 21, 20, 2, 0, '2023-01-10 08:43:11', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (186, 21, 25, 1, 0, '2023-01-10 08:43:11', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (187, 21, 26, 1, 0, '2023-01-10 08:43:11', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (188, 22, 25, 1, 0, '2023-01-10 08:43:25', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (189, 22, 20, 2, 0, '2023-01-10 08:43:25', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (190, 22, 26, 1, 0, '2023-01-10 08:43:25', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (191, 24, 20, 2, 0, '2023-01-10 08:43:32', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (192, 24, 25, 1, 0, '2023-01-10 08:43:32', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (193, 26, 25, 2, 0, '2023-01-10 08:45:46', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (194, 26, 20, 1, 0, '2023-01-10 08:45:46', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (195, 26, 26, 1, 0, '2023-01-10 08:45:46', 0, NULL, 1, 20);
INSERT INTO `th_airport_auth` VALUES (202, 16, 22, 2, 0, '2023-01-11 14:28:41', 0, NULL, 1, 21);
INSERT INTO `th_airport_auth` VALUES (203, 16, 24, 1, 0, '2023-01-11 14:28:41', 0, NULL, 1, 21);
INSERT INTO `th_airport_auth` VALUES (204, 17, 22, 2, 0, '2023-02-16 09:31:14', 0, NULL, 1, 21);
INSERT INTO `th_airport_auth` VALUES (205, 17, 24, 1, 0, '2023-02-16 09:31:14', 0, NULL, 1, 21);
INSERT INTO `th_airport_auth` VALUES (206, 28, 23, 1, 0, '2022-08-24 17:10:19', 0, NULL, 1, 22);
INSERT INTO `th_airport_auth` VALUES (207, 28, 28, 2, 0, '2022-08-24 17:10:19', 0, NULL, 1, 22);

-- ----------------------------
-- Table structure for th_audio_file
-- ----------------------------
DROP TABLE IF EXISTS `th_audio_file`;
CREATE TABLE `th_audio_file`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `file_name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '文件名称',
  `file_url` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '文件地址',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '文件描述',
  `create_user` int UNSIGNED NULL DEFAULT 0 COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `file_name`(`file_name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '音频文件表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_audio_file
-- ----------------------------
INSERT INTO `th_audio_file` VALUES (8, '标准录音111mp3', 'http://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/6ff660a6-4c6b-4834-99dd-fa4121ad1544.mp3', '标准录音111mp3', 1, '2022-11-29 11:47:03', 1, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_audio_file` VALUES (9, 'A标准录音2mp3', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/beb78894-9717-4cbc-a716-96a04eefe499.wma', '标准录音1mp3', 1, '2022-11-29 13:18:53', 20, '2022-12-16 09:17:57', 1, 20);
INSERT INTO `th_audio_file` VALUES (10, '标准录音2mp3', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/8b11c48e-ce8a-4f5e-af41-b9f021e82101.mp3', '标准录音2mp3', 1, '2022-11-29 13:43:23', 20, '2022-12-16 09:08:58', 0, 20);
INSERT INTO `th_audio_file` VALUES (11, 'A本草纲目wma', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/2ab70b3b-eb46-4b42-8e51-b180dfdcccdc.wma', '本草纲目wma', 1, '2022-12-01 16:09:29', 20, '2022-12-16 09:17:54', 1, 20);
INSERT INTO `th_audio_file` VALUES (12, 'A标准录音AAC', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/fff877ef-6027-4344-a4cb-431e457032eb.aac', 'A标准录音AAC', 1, '2022-12-01 16:09:47', 20, '2022-12-16 09:17:51', 1, 20);
INSERT INTO `th_audio_file` VALUES (13, 'A标准录音AAC111111111111', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/f9191dd7-10bb-4f91-985f-f90cd843f97e.aac', 'A标准录音AAC111111', 20, '2022-12-16 09:14:23', 20, '2022-12-16 09:17:44', 1, 20);
INSERT INTO `th_audio_file` VALUES (14, 'B标准录音mp3', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/4cc67810-4f41-459e-a9a2-68fea44610cf.mp3', 'B标准录音mp3', 21, '2022-12-16 09:17:28', 0, NULL, 1, 21);
INSERT INTO `th_audio_file` VALUES (15, 'C音频', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/1e073377-e6b1-4748-a267-93f812112299.wma', NULL, 23, '2023-01-07 11:23:41', 0, NULL, 1, 22);

-- ----------------------------
-- Table structure for th_bnconnect
-- ----------------------------
DROP TABLE IF EXISTS `th_bnconnect`;
CREATE TABLE `th_bnconnect`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `api_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `create_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `update_user` datetime NULL DEFAULT NULL,
  `push_Url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `play_Url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `tenant_id` int NULL DEFAULT NULL,
  `mark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_bnconnect
-- ----------------------------
INSERT INTO `th_bnconnect` VALUES (1, 'hhz', '河湖长系统', 'http://192.168.11.11:7011/hhz/admin', '2022-12-23 15:16:55', '2022-12-29 13:56:31', NULL, NULL, 'rtmp://live.play.t-aaron.com/live/THSAs', 'http://live.play.t-aaron.com/live/THSAs.m3u8', NULL, '1');
INSERT INTO `th_bnconnect` VALUES (2, 'gs', '高速公路系统', 'https://freeway-test.t-aaron.com/freeway/admin/airport', '2022-12-23 15:16:55', '2022-12-29 14:00:46', NULL, NULL, 'rtmp://221.226.114.142:19350/rlive/stream_21', 'https://easycvr-local.t-aaron.com:1445/flv/live/stream_21.flv', NULL, '1');
INSERT INTO `th_bnconnect` VALUES (7, 'treefarm', '林场巡检管理平台', 'https://lcxj-test.t-aaron.com/api', '2022-12-29 17:13:05', '2022-12-29 17:13:23', NULL, NULL, 'rtmp://live.play.t-aaron.com/live/THSAs', 'http://live.play.t-aaron.com/live/THSAs.m3u8', NULL, '1');
INSERT INTO `th_bnconnect` VALUES (8, 'DSP', 'dsp平台', 'http://192.168.11.11:7011/api/inspection/airport', '2022-12-29 17:13:05', '2022-12-29 17:13:23', NULL, NULL, 'rtmp://live.play.t-aaron.com/live/THSAs', 'http://live.play.t-aaron.com/live/THSAs.m3u8', NULL, '1');

-- ----------------------------
-- Table structure for th_camera
-- ----------------------------
DROP TABLE IF EXISTS `th_camera`;
CREATE TABLE `th_camera`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `code` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '设备编号',
  `name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备名称',
  `image` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备照片',
  `type` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '设备类型：1可见光相机 2热红外双相机',
  `zoom_factor` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '变焦倍数',
  `manufacturer` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生产厂家',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '状态：1在用 2停用',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE,
  INDEX `code`(`code` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 15 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '相机表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_camera
-- ----------------------------
INSERT INTO `th_camera` VALUES (8, 'TH001', '双光相机', '/images/camera/20220921/20220921152506361.jpg', 2, '32', '拓恒', 1, NULL, 0, '2022-09-21 15:25:51', 0, '2022-12-16 08:58:43', 0, 20);
INSERT INTO `th_camera` VALUES (9, 'TH0001', '相机2号', 'http://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/1c79e71a-e3ff-4cc4-b3e6-20026e7038d0.jpg', 1, '2', '托亨制造', 1, '111111111111', 0, '2022-11-29 14:00:14', 0, '2022-12-15 15:05:10', 0, 20);
INSERT INTO `th_camera` VALUES (10, 'TH0011', '2号相机', 'http://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/c8a695ee-c432-4c72-ae60-abe5ab455042.png', 1, '24', '托亨制造', 1, '托亨制造1', 0, '2022-11-29 14:02:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_camera` VALUES (11, 'xj01', 'A相机01', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/b48b0bf9-49bd-47a7-91a0-4682976bcfa2.png', 1, '4', '托亨制造1', 1, '1', 0, '2022-12-15 17:12:21', 0, '2022-12-16 08:33:20', 1, 20);
INSERT INTO `th_camera` VALUES (12, 'B相机01', 'B相机01', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/f441e352-51da-443a-ab75-b41558bd4418.jpg', 1, '8', 'B厂家', 1, NULL, 0, '2022-12-16 08:34:16', 0, NULL, 1, 21);
INSERT INTO `th_camera` VALUES (13, '207620', '相机', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/62b5611e-cb1d-4c95-af79-8e0226864477.jpg', 1, NULL, '1', 1, NULL, 0, '2023-01-04 13:37:50', 0, NULL, 1, 23);
INSERT INTO `th_camera` VALUES (14, 'C相机', 'C相机', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/53cbfda8-b2bc-4e8c-9779-2222fa00898c.png', 1, '2', '托亨制造', 1, NULL, 0, '2023-01-07 11:22:51', 0, NULL, 1, 22);

-- ----------------------------
-- Table structure for th_cloud_box
-- ----------------------------
DROP TABLE IF EXISTS `th_cloud_box`;
CREATE TABLE `th_cloud_box`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `box_sn` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '云盒SN号',
  `box_name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '云盒名称',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '启用状态：1已启用 2未启用',
  `sort` int UNSIGNED NOT NULL DEFAULT 125 COMMENT '排序',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT ' 备注',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_user_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '添加人名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_user_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人名称',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '5G云盒表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_cloud_box
-- ----------------------------

-- ----------------------------
-- Table structure for th_drone
-- ----------------------------
DROP TABLE IF EXISTS `th_drone`;
CREATE TABLE `th_drone`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `code` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备编号',
  `name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备名称',
  `image` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '无人机照片',
  `airport_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '机场ID',
  `product_sn` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '产品序号',
  `power_type` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '动力类型：1电动 2油动 3混合',
  `flight_sn` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '飞控序号',
  `product_type` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '产品类型：1固定翼 2直升机 3多旋翼 4双旋翼 5其他',
  `product_level` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '产品等级：1微型 2轻型 3小型 4中型 5大型 6其他',
  `manufacturer` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生产厂家',
  `accuracy` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '定位精度(单位：米)',
  `life_time` int UNSIGNED NULL DEFAULT 0 COMMENT '续航时间(单位：分钟)',
  `live_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '直播地址-业务平台',
  `status` tinyint UNSIGNED NULL DEFAULT 2 COMMENT '是否默认：1是 2否',
  `camera_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '相机ID',
  `megaphone_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '喊话器ID',
  `searchlight_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '探照灯ID',
  `camera_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '可见光地址',
  `thermal_imagery_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '热成像地址改推流地址-业务平台',
  `play_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '直播地址url-业务平台',
  `sort` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '排序号',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE,
  INDEX `code`(`code` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '无人机表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_drone
-- ----------------------------
INSERT INTO `th_drone` VALUES (5, 'TH001', '玄100', '/images/drone/20220921/20220921153035980.jpg', 0, '11', 1, '11', 3, 3, '拓恒', '3', 90, 'rtmp://live.play.t-aaron.com/live/THSAq', 2, 8, 4, 4, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/stream_4', 'rtmp://live.push.t-aaron.com/live/THSAq', NULL, 2, 1, NULL, 1, '2023-01-14 17:16:08', 0, 20);
INSERT INTO `th_drone` VALUES (6, '321', 'weq', '/images/drone/20221109/20221109144759485.png', 0, 'ew', 1, 'ewq', 4, 2, NULL, '100', 43, '0', 2, 8, 4, 4, 'rtmp://live.play.t-aaron.com/live/THSAs', NULL, NULL, 2, 1, '2022-11-09 14:49:41', 0, '2023-01-14 17:16:08', 0, 20);
INSERT INTO `th_drone` VALUES (7, 'M300', 'M300', 'http://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/9c6096cd-017d-4702-97d8-5304e3c2a747.png', 0, 'xilie', 3, 'feikong', 2, 5, '托亨制造', '4', 22, 'rtmp://live.play.t-aaron.com/live/THSAs', 2, 10, 6, 5, 'rtmp://live.play.t-aaron.com/live/THSAs', 'rtmp://live.play.t-aaron.com/live/THSAs', NULL, 0, 1, NULL, 1, '2023-01-14 17:16:08', 1, 20);
INSERT INTO `th_drone` VALUES (8, '1111', '1', 'http://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/6c512239-9d68-4618-b289-dcb59527ece4.jpg', 0, '111', 2, 'feikong', 1, 1, NULL, '4', 0, '0', 0, 8, 4, 5, NULL, NULL, NULL, 0, 1, '2022-11-29 15:34:23', 1, '2023-01-14 17:16:08', 0, 20);
INSERT INTO `th_drone` VALUES (9, 'Atest1202-wrj', 'Atest1202-wrj', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/69bcb862-f00e-4fbb-95d2-f86225293c73.jpg', 0, 'Atest1202-wrj', 1, 'test1202-wrj23', 3, 2, NULL, NULL, 0, 'http://192.168.10.12:18000/hls/stream_4/playlist.m3u8', 2, 10, 6, 4, 'webrtcs://easycvr-local.t-aaron.com:1445/rtc/stream_4', 'rtmp://192.168.10.12:19350/rlive/stream_4', NULL, 7, 6, NULL, 20, '2023-01-14 17:16:08', 1, 20);
INSERT INTO `th_drone` VALUES (10, 'A100', 'A100', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/1fa88c93-7d8e-4fcc-8870-81bfdbe78dac.png', 0, 'xilie', 1, 'A100', 1, 1, '托亨制造', '33', 22, 'rtmp://live.play.t-aaron.com/live/THSAs', 1, 11, 13, 7, 'rtmp://live.play.t-aaron.com/live/THSAs', 'rtmp://live.play.t-aaron.com/live/THSAs', NULL, 6, 20, NULL, 20, '2023-01-14 17:16:08', 1, 20);
INSERT INTO `th_drone` VALUES (11, 'B100', 'B100', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/5d1b7682-8d82-47ec-b2e5-cfa9e033f43d.png', 0, 'B100', 3, 'B100', 1, 1, '托亨制造', '22', 33, 'http://192.168.10.101:18000/flv/live/stream_32.flv', 1, 12, 14, 8, 'rtmp://live.play.t-aaron.com/live/THSAs', 'rtmp://live.push.t-aaron.com/live/THSAs', 'http://live.play.t-aaron.com/live/THSAs.m3u8', 3, 21, NULL, 21, '2023-02-08 09:51:31', 1, 21);
INSERT INTO `th_drone` VALUES (12, '1', '11', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/ccbcf8f3-c173-4144-a2e8-f71d9d5649ef.jpg', 0, '1', 3, '1', 1, 1, NULL, NULL, 1, 'rtmp://live.play.t-aaron.com/live/THSAs', 0, 11, 13, 7, 'rtmp://live.play.t-aaron.com/live/THSAs', NULL, NULL, 0, 20, '2022-12-20 10:59:02', 20, '2023-01-14 17:16:08', 0, 20);
INSERT INTO `th_drone` VALUES (13, 'B200', 'B200', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/98075227-26e6-45d0-8506-83c22267e030.png', 0, 'B200', 1, 'B200', 1, 1, '11', NULL, 22, 'rtmp://live.play.t-aaron.com/live/THSAs', 0, 12, 14, 8, 'rtmp://live.play.t-aaron.com/live/THSAs', 'rtmp://live.push.t-aaron.com/live/THSAs', '', 0, 21, NULL, 22, '2022-08-24 20:04:04', 1, 21);
INSERT INTO `th_drone` VALUES (14, 'tuoheng', '拓恒高速公路测试无人机', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/212d7dc9-11c6-497e-895b-01617cc367b5.jpg', 0, '123453', 1, '12312', 1, 1, NULL, NULL, 111, 'http://192.168.10.101:18000/hls/stream_21/playlist.m3u8', 0, 13, 15, 9, 'https://easycvr-local.t-aaron.com:1445/flv/live/stream_21.flv', 'rtmp://221.226.114.142:19350/rlive/stream_21', 'https://easycvr-local.t-aaron.com:1445/hls/stream_21/playlist.m3u8', 0, 27, '2023-01-04 13:38:44', 27, '2023-01-14 17:16:08', 1, 23);
INSERT INTO `th_drone` VALUES (15, 'C100无人机', 'C100无人机', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/78b7ad30-9325-4cf7-8f72-8cb96d1a0676.jpg', 0, 'C100无人机', 1, 'C100无人机', 1, 1, '托亨制造', '12', 33, 'rtmp://live.play.t-aaron.com/live/THSAs', 0, 14, 16, 10, 'rtmp://live.play.t-aaron.com/live/THSAs', 'rtmp://live.play.t-aaron.com/live/THSAs', NULL, 0, 23, '2023-01-07 11:26:40', 23, '2023-01-14 17:16:08', 1, 22);
INSERT INTO `th_drone` VALUES (16, '2342', '345', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/%E4%B8%8A%E4%BC%A0%E5%A4%B1%E8%B4%A5', 0, '35', 1, '3456', 1, 1, '345', NULL, 2, '0', 0, 12, 14, 8, NULL, NULL, NULL, 0, 22, '2022-08-24 23:25:00', 0, NULL, 1, 21);

-- ----------------------------
-- Table structure for th_flight_data
-- ----------------------------
DROP TABLE IF EXISTS `th_flight_data`;
CREATE TABLE `th_flight_data`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `inspection_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '巡检任务ID',
  `box_sn` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '云盒SN号',
  `lng` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '经度',
  `lat` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '纬度',
  `altitude` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '海拔高度',
  `ultrasonic` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相对高度',
  `pitch` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '俯仰角',
  `roll` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '横滚角',
  `yaw` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '航向角',
  `airspeed` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '空速',
  `velocity` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地速',
  `timestamp` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '时间戳',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` int UNSIGNED NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 38891 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '云盒遥测数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_flight_data
-- ----------------------------
INSERT INTO `th_flight_data` VALUES (38130, 2, 'M10220210318023', '118.8068656262061', '31.829123885077127', '93.891594', '65.37319', '4.241692', '-11.117082', '38.69817', '9.201661', '9.194118', '1630718730128', 0, '2021-09-04 09:25:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38131, 2, 'M10220210318023', '118.80701724317434', '31.829411104892326', '92.991806', '65.20737', '-4.705313', '-7.6833644', '-135.98735', '12.0788765', '12.086112', '1630718988200', 0, '2021-09-04 09:29:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38132, 2, 'M10220210318023', '118.80692695644099', '31.82918857631596', '93.53681', '65.384415', '3.0974317', '-10.979848', '38.93919', '9.1936245', '9.177086', '1630718732129', 0, '2021-09-04 09:25:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38133, 2, 'M10220210318023', '118.80692893526408', '31.82933281017244', '92.685875', '65.24244', '-4.6108127', '-7.663142', '-136.10464', '12.083694', '12.072568', '1630718988200', 0, '2021-09-04 09:29:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38134, 2, 'M10220210318023', '118.80698876678366', '31.829252867855548', '93.51992', '65.38042', '3.3502648', '-11.130671', '38.52131', '9.177693', '9.19464', '1630718732129', 0, '2021-09-04 09:25:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38135, 2, 'M10220210318023', '118.80684094452188', '31.829254196351105', '92.741905', '65.24263', '-4.2035117', '-7.6686754', '-136.09776', '12.049909', '12.080762', '1630718990201', 0, '2021-09-04 09:29:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38136, 2, 'M10220210318023', '118.80705012702522', '31.829317520988614', '93.69623', '65.3385', '3.649393', '-9.971938', '38.509583', '9.175085', '9.212964', '1630718734130', 0, '2021-09-04 09:25:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38137, 2, 'M10220210318023', '118.80675399143229', '31.829175071802975', '93.322365', '65.22772', '-5.517058', '-8.938301', '-136.64938', '12.010579', '12.076332', '1630718990201', 0, '2021-09-04 09:29:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38138, 2, 'M10220210318023', '118.80711176636187', '31.82938067319352', '93.7061', '65.43675', '4.2427483', '-10.174933', '40.343815', '9.096151', '9.110022', '1630718734130', 0, '2021-09-04 09:25:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38139, 2, 'M10220210318023', '118.80666957407388', '31.829095470521693', '93.30754', '65.31212', '-5.1271334', '-10.064039', '-138.37625', '11.993266', '12.0203285', '1630718992201', 0, '2021-09-04 09:29:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38140, 2, 'M10220210318023', '118.80717470502272', '31.82944246483098', '94.06554', '65.48965', '3.607507', '-9.713414', '41.372204', '9.082726', '9.107211', '1630718736130', 0, '2021-09-04 09:25:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38141, 2, 'M10220210318023', '118.80658587655476', '31.82901238050762', '93.04752', '65.32355', '-6.964027', '-9.56526', '-140.60683', '12.040748', '12.049605', '1630718992201', 0, '2021-09-04 09:29:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38142, 2, 'M10220210318023', '118.807238374493', '31.829502637110856', '94.38317', '65.55946', '3.4937778', '-10.120605', '42.07444', '9.057821', '9.04375', '1630718736130', 0, '2021-09-04 09:25:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38143, 2, 'M10220210318023', '118.80650722791219', '31.82892669518995', '92.77131', '65.30513', '-4.546154', '-9.617437', '-142.55809', '12.13378', '12.098297', '1630718994202', 0, '2021-09-04 09:29:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38144, 2, 'M10220210318023', '118.80730380661748', '31.829561758055643', '94.080536', '65.54362', '3.636693', '-10.223012', '43.831825', '9.024048', '9.048369', '1630718738131', 0, '2021-09-04 09:25:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38145, 2, 'M10220210318023', '118.80642856958987', '31.828837505239157', '92.98436', '65.2099', '-3.95494', '-8.551432', '-142.421', '12.177632', '12.168039', '1630718994202', 0, '2021-09-04 09:29:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38146, 2, 'M10220210318023', '118.80737169123783', '31.82961939671171', '93.54364', '65.5268', '3.8351467', '-10.132674', '45.638', '8.989791', '8.987625', '1630718738131', 0, '2021-09-04 09:25:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38147, 2, 'M10220210318023', '118.80635246506733', '31.828750021823158', '93.28713', '65.23073', '-4.735971', '-8.2861595', '-143.17256', '12.165913', '12.210348', '1630718996202', 0, '2021-09-04 09:29:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38148, 2, 'M10220210318023', '118.80743985041768', '31.829674225415303', '93.53568', '65.451965', '4.093783', '-9.904869', '47.448788', '8.937105', '8.970496', '1630718740131', 0, '2021-09-04 09:25:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38149, 2, 'M10220210318023', '118.8062776285717', '31.82866346733778', '93.07914', '65.27512', '-4.513907', '-8.239508', '-143.31235', '12.120864', '12.154876', '1630718996202', 0, '2021-09-04 09:29:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38150, 2, 'M10220210318023', '118.80751020268015', '31.829727238473296', '93.92048', '65.438446', '4.1296787', '-9.955536', '48.949707', '8.93093', '8.9615965', '1630718740131', 0, '2021-09-04 09:25:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38151, 2, 'M10220210318023', '118.80620086293284', '31.8285737252647', '93.69943', '65.33672', '-4.691609', '-8.721984', '-143.49217', '11.995246', '12.025439', '1630718998203', 0, '2021-09-04 09:29:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38152, 2, 'M10220210318023', '118.8075816497048', '31.829778711949075', '93.44874', '65.39344', '4.8101153', '-10.204684', '50.61753', '8.83952', '8.869831', '1630718742132', 0, '2021-09-04 09:25:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38153, 2, 'M10220210318023', '118.8061283092083', '31.828487434915274', '93.56366', '65.41009', '-6.3407445', '-9.489721', '-144.75203', '11.865203', '11.936712', '1630718998203', 0, '2021-09-04 09:29:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38154, 2, 'M10220210318023', '118.80765528625385', '31.829827742270133', '94.13638', '65.40033', '3.9397433', '-11.30007', '52.639297', '8.895706', '8.866578', '1630718742132', 0, '2021-09-04 09:25:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38155, 2, 'M10220210318023', '118.8060562547895', '31.82840013695642', '93.46793', '65.42845', '-5.2385597', '-8.493212', '-145.28543', '11.821261', '11.8379135', '1630719000204', 0, '2021-09-04 09:30:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38156, 2, 'M10220210318023', '118.80773308052272', '31.829876411270043', '94.118835', '65.409676', '3.8551834', '-10.655681', '54.4689', '8.904999', '8.9307', '1630718744132', 0, '2021-09-04 09:25:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38157, 2, 'M10220210318023', '118.80598382157585', '31.828311353010115', '93.39673', '65.3941', '-5.3290253', '-9.871763', '-144.61142', '11.72833', '11.775713', '1630719000204', 0, '2021-09-04 09:30:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38158, 2, 'M10220210318023', '118.8078098097025', '31.82992196848445', '94.148636', '65.377144', '3.686212', '-11.163586', '55.794044', '8.853366', '8.827259', '1630718744132', 0, '2021-09-04 09:25:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38159, 2, 'M10220210318023', '118.80591250441947', '31.82822464322321', '93.225716', '65.34004', '-4.2120976', '-8.531851', '-144.38954', '11.754381', '11.746255', '1630719002204', 0, '2021-09-04 09:30:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38160, 2, 'M10220210318023', '118.80788830250452', '31.829966576344578', '94.230286', '65.31997', '5.067947', '-11.5030575', '56.697163', '8.886329', '8.85588', '1630718746133', 0, '2021-09-04 09:25:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38161, 2, 'M10220210318023', '118.80584119968519', '31.82814032518935', '93.46744', '65.32477', '-6.028563', '-8.5029545', '-143.47192', '11.730802', '11.749511', '1630719002204', 0, '2021-09-04 09:30:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38162, 2, 'M10220210318023', '118.80796832242423', '31.83000989135044', '93.61862', '65.39495', '6.0301743', '-11.542506', '58.946594', '8.991841', '8.943635', '1630718746133', 0, '2021-09-04 09:25:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38163, 2, 'M10220210318023', '118.80576680151377', '31.828055552764912', '93.22351', '65.33983', '-4.7025647', '-7.788362', '-142.86723', '11.720097', '11.72603', '1630719004205', 0, '2021-09-04 09:30:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38164, 2, 'M10220210318023', '118.80805035118235', '31.830051080109957', '93.9907', '65.39729', '6.5140285', '-11.716436', '61.691853', '9.027821', '9.012359', '1630718748133', 0, '2021-09-04 09:25:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38165, 2, 'M10220210318023', '118.80569232413102', '31.827972264271843', '93.56914', '65.32833', '-4.2728896', '-7.89258', '-142.02211', '11.65959', '11.672399', '1630719004205', 0, '2021-09-04 09:30:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38166, 2, 'M10220210318023', '118.80813366828083', '31.830088690219483', '93.29115', '65.38277', '5.5566', '-12.006599', '63.860413', '8.95683', '9.0047655', '1630718748133', 0, '2021-09-04 09:25:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38167, 2, 'M10220210318023', '118.8056162943026', '31.827888657910975', '93.54554', '65.305786', '-4.036077', '-8.68153', '-140.99753', '11.557707', '11.607903', '1630719006205', 0, '2021-09-04 09:30:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38168, 2, 'M10220210318023', '118.80822046747912', '31.83012392680356', '93.92153', '65.352455', '4.718829', '-11.883119', '65.54949', '8.885834', '8.92371', '1630718750134', 0, '2021-09-04 09:25:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38169, 2, 'M10220210318023', '118.80554048387839', '31.827806872265104', '93.647285', '65.38107', '-3.4593115', '-8.911732', '-140.52594', '11.510046', '11.566357', '1630719006205', 0, '2021-09-04 09:30:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38170, 2, 'M10220210318023', '118.80830406593027', '31.83015562531178', '93.36296', '65.324394', '4.938855', '-11.2328', '66.020905', '8.743914', '8.836566', '1630718750134', 0, '2021-09-04 09:25:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38171, 2, 'M10220210318023', '118.8054644009735', '31.8277263095673', '93.755806', '65.43093', '-2.979725', '-9.42478', '-140.05669', '11.444799', '11.48698', '1630719008206', 0, '2021-09-04 09:30:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38172, 2, 'M10220210318023', '118.80839014914724', '31.830187525587306', '92.94268', '65.34541', '3.9776657', '-11.448149', '66.34743', '8.656255', '8.692652', '1630718752134', 0, '2021-09-04 09:25:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38173, 2, 'M10220210318023', '118.80538687113055', '31.8276470146398', '93.71798', '65.4328', '-2.9285731', '-8.28398', '-139.43767', '11.4547825', '11.473386', '1630719008206', 0, '2021-09-04 09:30:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38174, 2, 'M10220210318023', '118.80847235052397', '31.83021730729241', '93.46621', '65.318085', '2.7448967', '-2.8813717', '66.900375', '8.502902', '8.647913', '1630718752134', 0, '2021-09-04 09:25:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38175, 2, 'M10220210318023', '118.80530853126692', '31.82756913264088', '93.80102', '65.40317', '-3.4478807', '-7.200892', '-138.58076', '11.410866', '11.458465', '1630719010206', 0, '2021-09-04 09:30:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38176, 2, 'M10220210318023', '118.80853587093088', '31.83023850505875', '95.91059', '65.516655', '-0.5840516', '23.831541', '67.157265', '4.260815', '6.388161', '1630718754135', 0, '2021-09-04 09:25:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38177, 2, 'M10220210318023', '118.80522771891206', '31.827489315198484', '93.868774', '65.40394', '-3.160342', '-7.124349', '-138.72067', '11.319688', '11.358609', '1630719010206', 0, '2021-09-04 09:30:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38178, 2, 'M10220210318023', '118.80855621936637', '31.830246413785893', '94.90691', '65.50278', '2.0786676', '4.5101347', '66.10118', '1.1825504', '1.8849138', '1630718754135', 0, '2021-09-04 09:25:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38179, 2, 'M10220210318023', '118.80515092278245', '31.82741269980476', '94.32099', '65.388695', '-2.8326437', '-8.143887', '-138.36086', '11.200785', '11.262015', '1630719012207', 0, '2021-09-04 09:30:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38180, 2, 'M10220210318023', '118.80856119629094', '31.830248944391954', '95.02194', '65.46125', '3.1975284', '-0.064417556', '61.90625', '0.3175156', '0.5376802', '1630718756136', 0, '2021-09-04 09:25:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38181, 2, 'M10220210318023', '118.80507301624196', '31.827336011146556', '95.016624', '65.42812', '-3.3580024', '-7.351728', '-138.78618', '11.11202', '11.190893', '1630719012207', 0, '2021-09-04 09:30:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38182, 2, 'M10220210318023', '118.80856082943377', '31.83024925663993', '95.22774', '65.55846', '4.2615223', '-1.1686548', '56.63872', '0.09827607', '0.11916375', '1630718756136', 0, '2021-09-04 09:25:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38183, 2, 'M10220210318023', '118.80499621769242', '31.827260788600512', '94.8827', '65.58255', '-3.956805', '-8.741058', '-138.35916', '11.065586', '11.080203', '1630719014207', 0, '2021-09-04 09:30:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38184, 2, 'M10220210318023', '118.80856008410488', '31.830248940554053', '94.58473', '65.63168', '4.3991885', '-1.706841', '51.944515', '0.089308284', '0.091104336', '1630718758136', 0, '2021-09-04 09:25:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38185, 2, 'M10220210318023', '118.80491826678711', '31.827186689694532', '94.02349', '65.50513', '-6.5101876', '-6.9029093', '-138.40738', '11.151137', '11.186112', '1630719014207', 0, '2021-09-04 09:30:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38186, 2, 'M10220210318023', '118.80855998214658', '31.830248377466113', '95.15016', '65.569595', '4.702441', '-1.1778364', '44.26032', '0.09204408', '0.14866069', '1630718758136', 0, '2021-09-04 09:25:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38187, 2, 'M10220210318023', '118.80483845885156', '31.827111180258715', '93.92697', '65.38947', '-4.565308', '-5.6077075', '-137.59503', '11.120306', '11.187046', '1630719016208', 0, '2021-09-04 09:30:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38188, 2, 'M10220210318023', '118.80855901741346', '31.830247642491067', '95.67242', '65.58292', '5.8633533', '-2.1357791', '34.12184', '0.09934371', '0.14317821', '1630718760137', 0, '2021-09-04 09:26:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38189, 2, 'M10220210318023', '118.80475805642756', '31.827039000758848', '94.02307', '65.3806', '-4.050563', '-7.189823', '-135.32024', '10.999463', '11.034655', '1630719016208', 0, '2021-09-04 09:30:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38190, 2, 'M10220210318023', '118.80855843050756', '31.83024737684731', '95.51737', '65.61058', '5.352075', '-1.711328', '23.90609', '0.07476835', '0.12409674', '1630718760137', 0, '2021-09-04 09:26:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38191, 2, 'M10220210318023', '118.80467610873697', '31.82696915263229', '93.99398', '65.365425', '-5.9718723', '-7.1217456', '-134.84378', '10.909985', '10.967288', '1630719018208', 0, '2021-09-04 09:30:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38192, 2, 'M10220210318023', '118.80855844664029', '31.830247349158956', '94.55248', '65.59781', '5.4952474', '0.07553439', '12.897414', '0.091103815', '0.18493243', '1630718762137', 0, '2021-09-04 09:26:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38193, 2, 'M10220210318023', '118.80459414233245', '31.826900166065933', '93.47267', '65.364204', '-6.267685', '-7.408822', '-134.89023', '10.858286', '10.917976', '1630719018208', 0, '2021-09-04 09:30:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38194, 2, 'M10220210318023', '118.80855866120463', '31.830247476086754', '94.33223', '65.50589', '5.2214026', '1.9781079', '2.4125326', '0.07704317', '0.19899748', '1630718762137', 0, '2021-09-04 09:26:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38195, 2, 'M10220210318023', '118.80451243146926', '31.826831043319487', '93.55752', '65.351524', '-6.329853', '-6.6284394', '-135.14362', '10.826808', '10.889894', '1630719020209', 0, '2021-09-04 09:30:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38196, 2, 'M10220210318023', '118.80855844954407', '31.830247502130273', '93.71017', '65.45753', '5.714794', '2.2522829', '-5.0239887', '0.028369239', '0.11874342', '1630718764138', 0, '2021-09-04 09:26:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38197, 2, 'M10220210318023', '118.80443167122291', '31.826762472147006', '93.1891', '65.37779', '-5.999355', '-6.677949', '-135.04373', '10.775454', '10.825996', '1630719020209', 0, '2021-09-04 09:30:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38198, 2, 'M10220210318023', '118.80855800331469', '31.830247079677235', '93.311745', '65.44433', '6.070472', '3.0764253', '-11.790589', '0.06187196', '0.094868325', '1630718764138', 0, '2021-09-04 09:26:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38199, 2, 'M10220210318023', '118.8043509519535', '31.826693667885188', '93.24963', '65.36487', '-5.752616', '-6.52179', '-135.25575', '10.737902', '10.790459', '1630719022210', 0, '2021-09-04 09:30:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38200, 2, 'M10220210318023', '118.80855786876842', '31.83024693493019', '93.26395', '65.428055', '4.8882165', '3.608103', '-23.344755', '0.025771823', '0.09949874', '1630718766138', 0, '2021-09-04 09:26:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38201, 2, 'M10220210318023', '118.80426987155458', '31.826624386650316', '93.01751', '65.335754', '-5.0215187', '-6.0862', '-135.04721', '10.714168', '10.762179', '1630719022210', 0, '2021-09-04 09:30:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38202, 2, 'M10220210318023', '118.80855838533618', '31.8302466884764', '92.43744', '65.34486', '2.1004603', '5.888051', '-52.41696', '0.040004045', '0.09055386', '1630718768139', 0, '2021-09-04 09:26:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38203, 2, 'M10220210318023', '118.80418953777504', '31.826556575562588', '93.39688', '65.31262', '-4.3757763', '-5.790095', '-134.13983', '10.658235', '10.705835', '1630719024211', 0, '2021-09-04 09:30:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38204, 2, 'M10220210318023', '118.80855890287197', '31.830246414608403', '92.461525', '65.303535', '1.5202358', '5.814282', '-66.79847', '0.068371885', '0.095393926', '1630718768139', 0, '2021-09-04 09:26:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38205, 2, 'M10220210318023', '118.80410841232563', '31.82649033849192', '93.33429', '65.314224', '-4.1783023', '-5.4019456', '-133.31685', '10.62127', '10.60902', '1630719024211', 0, '2021-09-04 09:30:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38206, 2, 'M10220210318023', '118.80856008281465', '31.83024677455702', '92.60151', '65.18975', '-1.39897', '4.5892215', '-80.75042', '0.12056055', '0.18275668', '1630718770139', 0, '2021-09-04 09:26:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38207, 2, 'M10220210318023', '118.80402680281587', '31.826425818936187', '93.72555', '65.343666', '-3.6664531', '-5.0081563', '-131.98088', '10.566602', '10.586269', '1630719026211', 0, '2021-09-04 09:30:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38208, 2, 'M10220210318023', '118.80856058163617', '31.83024672438903', '92.44659', '65.16065', '-2.112133', '4.659794', '-94.09718', '0.06779427', '0.10198039', '1630718770139', 0, '2021-09-04 09:26:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38209, 2, 'M10220210318023', '118.80394265624403', '31.826361670450044', '93.52744', '65.3675', '-3.764263', '-5.015592', '-131.1231', '10.520595', '10.5609', '1630719026211', 0, '2021-09-04 09:30:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38210, 2, 'M10220210318023', '118.8085604412816', '31.830246128952354', '92.153076', '65.15192', '-2.0177913', '-1.1926842', '-98.83381', '0.13604939', '0.12569804', '1630718772140', 0, '2021-09-04 09:26:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38211, 2, 'M10220210318023', '118.80385886176738', '31.826299238485092', '93.42771', '65.33416', '-4.4485054', '-4.74218', '-130.91487', '10.471001', '10.510856', '1630719028212', 0, '2021-09-04 09:30:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38212, 2, 'M10220210318023', '118.80855291636409', '31.830244643101963', '92.6062', '65.15728', '-2.4836528', '0.8401697', '-98.94608', '1.0890017', '0.80131143', '1630718772140', 0, '2021-09-04 09:26:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38213, 2, 'M10220210318023', '118.80377579380477', '31.82623728227668', '93.56197', '65.339516', '-4.2342257', '-4.717321', '-130.79546', '10.34072', '10.418512', '1630719028212', 0, '2021-09-04 09:30:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38214, 2, 'M10220210318023', '118.80853608064064', '31.83024193101395', '92.96015', '65.21404', '-2.4684513', '-3.4481316', '-99.13607', '1.9584348', '1.6060199', '1630718774140', 0, '2021-09-04 09:26:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38215, 2, 'M10220210318023', '118.80369448724608', '31.826176602251305', '93.82366', '65.30936', '-3.4955754', '-4.3587527', '-130.86862', '10.154848', '10.2472925', '1630719030212', 0, '2021-09-04 09:30:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38216, 2, 'M10220210318023', '118.80850726190236', '31.830237451257457', '92.70375', '65.24089', '-1.7736697', '-5.356048', '-99.239395', '3.3073096', '2.7835228', '1630718774140', 0, '2021-09-04 09:26:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38217, 2, 'M10220210318023', '118.80361357003903', '31.826116343805143', '93.61411', '65.30161', '-4.197214', '-4.0127645', '-130.92813', '10.112525', '10.147606', '1630719030212', 0, '2021-09-04 09:30:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38218, 2, 'M10220210318023', '118.80846490592866', '31.830231151471256', '92.73997', '65.256424', '-2.0102625', '-5.2701497', '-99.00714', '4.5350885', '4.064886', '1630718776141', 0, '2021-09-04 09:26:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38219, 2, 'M10220210318023', '118.80353376800193', '31.82605648195697', '93.90372', '65.311104', '-4.130678', '-2.554302', '-131.07896', '9.9226265', '10.068615', '1630719032213', 0, '2021-09-04 09:30:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38220, 2, 'M10220210318023', '118.8084113035573', '31.83022359995205', '93.24276', '65.272705', '-2.4605627', '-4.870442', '-99.25443', '5.489539', '5.1624894', '1630718776141', 0, '2021-09-04 09:26:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38221, 2, 'M10220210318023', '118.80345787410599', '31.82599957635469', '93.609474', '65.33316', '-4.433963', '21.241627', '-132.71205', '8.940476', '9.538915', '1630719032213', 0, '2021-09-04 09:30:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38222, 2, 'M10220210318023', '118.8083496484089', '31.830214106135884', '92.79519', '65.29391', '-3.0195708', '-5.923518', '-100.64796', '6.286406', '5.9617195', '1630718778141', 0, '2021-09-04 09:26:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38223, 2, 'M10220210318023', '118.80340784561376', '31.825963932085163', '94.09702', '65.38225', '-3.1218436', '20.028866', '-131.47644', '4.222093', '5.710622', '1630719034213', 0, '2021-09-04 09:30:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38224, 2, 'M10220210318023', '118.8082797333399', '31.83020211269175', '92.813576', '65.284706', '-3.5940506', '-5.4094105', '-102.19959', '7.0314493', '6.7837825', '1630718778141', 0, '2021-09-04 09:26:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38225, 2, 'M10220210318023', '118.80338630979283', '31.825950517487733', '93.529465', '65.36424', '-3.071243', '10.597574', '-131.59274', '1.4691566', '2.20751', '1630719034213', 0, '2021-09-04 09:30:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38226, 2, 'M10220210318023', '118.80820257406256', '31.830186641206385', '93.02452', '65.28132', '-4.5282707', '-5.5531673', '-104.8151', '7.685021', '7.4617558', '1630718780142', 0, '2021-09-04 09:26:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38227, 2, 'M10220210318023', '118.8033771849074', '31.82594615012928', '93.36337', '65.35141', '-3.692041', '7.2339015', '-131.63184', '0.6837507', '0.90575933', '1630719036214', 0, '2021-09-04 09:30:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38228, 2, 'M10220210318023', '118.80812105025657', '31.83016692709738', '92.975685', '65.252', '-5.422556', '-4.6711273', '-107.8639', '8.205395', '8.057723', '1630718780142', 0, '2021-09-04 09:26:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38229, 2, 'M10220210318023', '118.80337269052197', '31.825945071208597', '93.22506', '65.31526', '-3.1884925', '5.843873', '-131.25186', '0.3487406', '0.45891175', '1630719036214', 0, '2021-09-04 09:30:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38230, 2, 'M10220210318023', '118.8080371417219', '31.83014171698689', '93.015564', '65.26722', '-6.8953023', '-5.6450353', '-112.16209', '8.496116', '8.415682', '1630718782143', 0, '2021-09-04 09:26:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38231, 2, 'M10220210318023', '118.80336968950343', '31.82594501583188', '93.402824', '65.3099', '-4.017306', '6.0284553', '-131.2146', '0.23654912', '0.29137602', '1630719038214', 0, '2021-09-04 09:30:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38232, 2, 'M10220210318023', '118.80795336450736', '31.83011032935758', '92.61622', '65.30821', '-7.043564', '-5.626019', '-117.04771', '8.769886', '8.706073', '1630718782143', 0, '2021-09-04 09:26:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38233, 2, 'M10220210318023', '118.80336823233215', '31.825944933486436', '93.67688', '65.34963', '-3.6725202', '5.518496', '-131.22331', '0.07948709', '0.15264338', '1630719038214', 0, '2021-09-04 09:30:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38234, 2, 'M10220210318023', '118.80787071916048', '31.830071640226606', '92.923515', '65.28454', '-6.669852', '-5.492747', '-121.461296', '8.999013', '8.933163', '1630718784143', 0, '2021-09-04 09:26:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38235, 2, 'M10220210318023', '118.80336777170379', '31.825945198376264', '93.88668', '65.36262', '-3.500296', '5.555025', '-131.24942', '0.03065974', '0.087749645', '1630719040215', 0, '2021-09-04 09:30:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38236, 2, 'M10220210318023', '118.80778884206342', '31.830025859859106', '93.20101', '65.311775', '-6.5768857', '-6.0659347', '-125.51764', '9.126212', '9.100665', '1630718784143', 0, '2021-09-04 09:26:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38237, 2, 'M10220210318023', '118.80336786222341', '31.82594560396955', '94.080986', '65.42195', '-4.1853843', '4.5793204', '-131.42064', '0.074112475', '0.07348469', '1630719040215', 0, '2021-09-04 09:30:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38238, 2, 'M10220210318023', '118.8077107116017', '31.82997602410857', '92.725555', '65.32047', '-5.6338005', '-7.4388914', '-128.04317', '9.265606', '9.274444', '1630718786144', 0, '2021-09-04 09:26:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38239, 2, 'M10220210318023', '118.80336796268938', '31.825945988625232', '94.06943', '65.43669', '-3.871077', '4.3066235', '-131.33939', '0.09832395', '0.06164414', '1630719042216', 0, '2021-09-04 09:30:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38240, 2, 'M10220210318023', '118.80763535755882', '31.829923739996705', '92.64048', '65.25199', '-5.037783', '-7.099107', '-129.38792', '9.420687', '9.389191', '1630718786144', 0, '2021-09-04 09:26:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38241, 2, 'M10220210318023', '118.80336840750002', '31.825946418891327', '94.29275', '65.437614', '-3.667203', '4.376091', '-131.30693', '0.052360326', '0.051961523', '1630719042216', 0, '2021-09-04 09:30:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38242, 2, 'M10220210318023', '118.8075593653311', '31.82986757704352', '92.64716', '65.24867', '-4.9506636', '-7.5507426', '-131.03844', '9.478456', '9.516764', '1630718788144', 0, '2021-09-04 09:26:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38243, 2, 'M10220210318023', '118.80336863221139', '31.825946802861655', '94.00734', '65.450676', '-3.8384516', '4.6582623', '-131.34824', '0.044023145', '0.03', '1630719044216', 0, '2021-09-04 09:30:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38244, 2, 'M10220210318023', '118.80748461497303', '31.8298102067727', '92.68185', '65.29231', '-4.612885', '-8.2898', '-131.45941', '9.498299', '9.510593', '1630718788144', 0, '2021-09-04 09:26:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38245, 2, 'M10220210318023', '118.80336878903518', '31.82594731451369', '94.313225', '65.47636', '-4.460251', '4.966593', '-131.20712', '0.025273718', '0.05656854', '1630719044216', 0, '2021-09-04 09:30:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38246, 2, 'M10220210318023', '118.80740984429869', '31.829751554336948', '92.45377', '65.25898', '-5.0302963', '-7.5866632', '-132.3129', '9.639745', '9.626645', '1630718790145', 0, '2021-09-04 09:26:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38247, 2, 'M10220210318023', '118.80336891239801', '31.825947771542893', '94.53764', '65.49644', '-4.6197076', '4.584252', '-131.4081', '0.043581918', '0.037416574', '1630719046217', 0, '2021-09-04 09:30:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38248, 2, 'M10220210318023', '118.80733394370348', '31.829690052465462', '92.52676', '65.2295', '-4.3138003', '-6.972404', '-133.3247', '9.707431', '9.69111', '1630718790145', 0, '2021-09-04 09:26:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38249, 2, 'M10220210318023', '118.80336911208764', '31.825947980473465', '94.04488', '65.48743', '-4.627267', '4.9929047', '-131.15329', '0.04268918', '0.03', '1630719046217', 0, '2021-09-04 09:30:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38250, 2, 'M10220210318023', '118.80726043911999', '31.829629001011806', '92.82483', '65.22447', '-4.112756', '-6.910758', '-133.95824', '9.773908', '9.794212', '1630718792145', 0, '2021-09-04 09:26:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38251, 2, 'M10220210318023', '118.8033693875311', '31.82594834542519', '94.13157', '65.46758', '-4.3045683', '4.981691', '-131.17696', '0.033915155', '0.017320508', '1630719048217', 0, '2021-09-04 09:30:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38252, 2, 'M10220210318023', '118.8071884810037', '31.829566879858035', '92.67352', '65.25768', '-5.135777', '-6.4891853', '-136.12286', '9.858289', '9.828958', '1630718792145', 0, '2021-09-04 09:26:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38253, 2, 'M10220210318023', '118.80336992778557', '31.82594853060821', '93.78908', '65.461174', '-4.2121367', '4.8874235', '-131.15314', '0.016798295', '0.03316625', '1630719048217', 0, '2021-09-04 09:30:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38254, 2, 'M10220210318023', '118.80711604633831', '31.82950151779349', '92.65027', '65.279045', '-4.0022125', '-6.4257307', '-136.1055', '9.936423', '9.861622', '1630718794146', 0, '2021-09-04 09:26:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38255, 2, 'M10220210318023', '118.80337017229958', '31.825948692420596', '94.21754', '65.44997', '-4.3013115', '4.773351', '-131.26852', '0.018447526', '0.03316625', '1630719050218', 0, '2021-09-04 09:30:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38256, 2, 'M10220210318023', '118.80704381913891', '31.829435811132207', '92.651886', '65.24702', '-3.7567368', '-5.685256', '-136.33122', '9.982214', '9.996949', '1630718794146', 0, '2021-09-04 09:26:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38257, 2, 'M10220210318023', '118.80337039834774', '31.825949191325016', '94.127235', '65.484245', '-4.1787915', '4.8263955', '-131.2743', '0.030520601', '0.0663325', '1630719050218', 0, '2021-09-04 09:30:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38258, 2, 'M10220210318023', '118.80697109698967', '31.82936998768635', '93.235344', '65.28158', '-4.1076484', '-6.33532', '-136.50244', '9.945121', '9.9892', '1630718796147', 0, '2021-09-04 09:26:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38259, 2, 'M10220210318023', '118.80337057685408', '31.825949343987922', '94.37294', '65.491745', '-3.9507651', '5.179225', '-131.4491', '0.038877804', '0.03162278', '1630719052218', 0, '2021-09-04 09:30:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38260, 2, 'M10220210318023', '118.80689895820575', '31.829302942112356', '93.27343', '65.33492', '-4.9744344', '-6.0874624', '-137.98135', '9.90966', '9.936252', '1630718796147', 0, '2021-09-04 09:26:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38261, 2, 'M10220210318023', '118.80337041576057', '31.825949545790795', '94.5005', '65.53257', '-4.58348', '4.9010477', '-131.18134', '0.04834324', '0.02828427', '1630719052218', 0, '2021-09-04 09:30:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38262, 2, 'M10220210318023', '118.80682927803016', '31.829235850485', '93.08275', '65.30951', '-5.2997775', '-5.945227', '-138.89456', '9.929869', '9.931496', '1630718798147', 0, '2021-09-04 09:26:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38263, 2, 'M10220210318023', '118.80337062037212', '31.82594946217745', '94.061745', '65.50966', '-3.7161717', '5.806196', '-131.29457', '0.05846884', '0.02236068', '1630719054219', 0, '2021-09-04 09:30:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38264, 2, 'M10220210318023', '118.80676009861229', '31.82916667647399', '92.9838', '65.26246', '-3.942034', '-5.7172685', '-139.40056', '9.918829', '9.97366', '1630718798147', 0, '2021-09-04 09:26:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38265, 2, 'M10220210318023', '118.80337059385937', '31.825949389564045', '94.66978', '65.53687', '-4.280164', '4.80897', '-131.5876', '0.07176302', '0.0', '1630719054219', 0, '2021-09-04 09:30:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38266, 2, 'M10220210318023', '118.80669218625331', '31.829098250048556', '93.25017', '65.281204', '-4.6481833', '-4.659011', '-139.55823', '9.861874', '9.906417', '1630718800148', 0, '2021-09-04 09:26:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38267, 2, 'M10220210318023', '118.80337076382571', '31.825949354987873', '94.37303', '65.561714', '-4.8102283', '4.355794', '-131.30672', '0.06912546', '0.057445627', '1630719056219', 0, '2021-09-04 09:30:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38268, 2, 'M10220210318023', '118.80662635500039', '31.829032060625522', '93.41042', '65.28207', '-4.485072', '-5.647742', '-139.36539', '9.726664', '9.812002', '1630718800148', 0, '2021-09-04 09:26:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38269, 2, 'M10220210318023', '118.80337107175536', '31.825949107780204', '94.08172', '65.57449', '-4.2380567', '4.849514', '-131.12648', '0.06659786', '0.045825757', '1630719056219', 0, '2021-09-04 09:30:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38270, 2, 'M10220210318023', '118.80655855235034', '31.828964147117453', '93.00707', '65.24024', '-4.9411383', '-5.518478', '-139.28479', '9.670198', '9.731598', '1630718802148', 0, '2021-09-04 09:26:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38271, 2, 'M10220210318023', '118.80337119769811', '31.8259487684265', '94.771675', '65.52745', '-4.333881', '3.827662', '-135.42853', '0.05348011', '0.06403124', '1630719058220', 0, '2021-09-04 09:30:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38272, 2, 'M10220210318023', '118.80649226229146', '31.828897820620785', '92.689476', '65.22223', '-5.346284', '-4.971023', '-139.63298', '9.632442', '9.659923', '1630718802148', 0, '2021-09-04 09:26:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38273, 2, 'M10220210318023', '118.80337166903252', '31.82594842574884', '94.60015', '65.57004', '-3.923972', '3.195966', '-150.52245', '0.06174162', '0.10630146', '1630719058220', 0, '2021-09-04 09:30:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38274, 2, 'M10220210318023', '118.8064280601212', '31.82883121614401', '93.20506', '65.21933', '-6.2617292', '-5.7573414', '-141.36533', '9.556835', '9.605561', '1630718804149', 0, '2021-09-04 09:26:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38275, 2, 'M10220210318023', '118.80337204931897', '31.825948632657596', '94.96897', '65.566666', '-4.7326674', '1.9034963', '-166.46669', '0.11166247', '0.13892443', '1630719060220', 0, '2021-09-04 09:31:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38276, 2, 'M10220210318023', '118.80636544895363', '31.828764530795294', '93.01713', '65.22388', '-5.573843', '-5.6968627', '-141.9973', '9.488525', '9.5095005', '1630718804149', 0, '2021-09-04 09:26:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38277, 2, 'M10220210318023', '118.80337223655074', '31.82594919317547', '95.25972', '65.59302', '-4.5658855', '-0.19332619', '175.03798', '0.08865951', '0.10198039', '1630719060220', 0, '2021-09-04 09:31:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38278, 2, 'M10220210318023', '118.80630395384331', '31.828697078259818', '92.788864', '65.18353', '-5.1952066', '-5.8647137', '-142.12724', '9.4690075', '9.475796', '1630718806149', 0, '2021-09-04 09:26:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38279, 2, 'M10220210318023', '118.80337175023178', '31.82595000463619', '94.50668', '65.62456', '-3.5213058', '-3.6912677', '151.74297', '0.10784379', '0.15132746', '1630719062221', 0, '2021-09-04 09:31:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38280, 2, 'M10220210318023', '118.80624280558506', '31.828629655468763', '93.11486', '65.174324', '-5.2794657', '-6.4530582', '-142.2507', '9.522924', '9.487287', '1630718806149', 0, '2021-09-04 09:26:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38281, 2, 'M10220210318023', '118.80337218684559', '31.825950229843965', '94.317154', '65.54328', '-0.9633016', '-3.8408592', '128.39342', '0.072413914', '0.16522712', '1630719062221', 0, '2021-09-04 09:31:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38282, 2, 'M10220210318023', '118.80618126965908', '31.82856093310691', '93.00864', '65.22193', '-5.1897526', '-5.959617', '-142.64297', '9.556494', '9.566828', '1630718808150', 0, '2021-09-04 09:26:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38283, 2, 'M10220210318023', '118.80337225207971', '31.825950215896984', '94.21714', '65.56841', '0.8058023', '-4.2757654', '106.20959', '0.062712446', '0.20223749', '1630719064221', 0, '2021-09-04 09:31:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38284, 2, 'M10220210318023', '118.80611955853249', '31.8284915444426', '93.08315', '65.24345', '-5.1415286', '-6.2189274', '-142.92572', '9.53538', '9.576497', '1630718808150', 0, '2021-09-04 09:26:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38285, 2, 'M10220210318023', '118.80337254537628', '31.82595013238645', '94.84927', '65.54072', '1.8829764', '-3.2842336', '84.88145', '0.07412946', '0.21563858', '1630719064221', 0, '2021-09-04 09:31:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38286, 2, 'M10220210318023', '118.80605893716687', '31.828422107803412', '93.01977', '65.20834', '-5.6673164', '-5.6375484', '-143.4232', '9.550496', '9.530262', '1630718810150', 0, '2021-09-04 09:26:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38287, 2, 'M10220210318023', '118.8033722284121', '31.825949754241634', '94.534454', '65.53587', '3.1287882', '-3.0977821', '63.43821', '0.06795703', '0.19748417', '1630719066222', 0, '2021-09-04 09:31:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38288, 2, 'M10220210318023', '118.80599942734142', '31.82835226968307', '92.8408', '65.23653', '-5.460415', '-5.796653', '-144.11453', '9.561108', '9.605186', '1630718810150', 0, '2021-09-04 09:26:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38289, 2, 'M10220210318023', '118.80337192869366', '31.825950119467475', '94.91335', '65.5011', '4.5294414', '-1.3575189', '46.557533', '0.09918992', '0.14899665', '1630719066222', 0, '2021-09-04 09:31:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38290, 2, 'M10220210318023', '118.80594129798752', '31.828281923988563', '93.53794', '65.26974', '-4.7883344', '-5.386854', '-144.92792', '9.513895', '9.57001', '1630718812151', 0, '2021-09-04 09:26:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38291, 2, 'M10220210318023', '118.80337149304664', '31.82595074612214', '95.075645', '65.526726', '4.7382', '-2.9449673', '43.62626', '0.046778865', '0.15588456', '1630719068222', 0, '2021-09-04 09:31:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38292, 2, 'M10220210318023', '118.8058848927307', '31.8282130282318', '92.981094', '65.30398', '-5.3378005', '-5.0027947', '-145.2527', '9.457779', '9.507444', '1630718812151', 0, '2021-09-04 09:26:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38293, 2, 'M10220210318023', '118.80337558553035', '31.82595475946006', '94.937546', '65.51478', '4.794605', '-9.700484', '43.575233', '1.1111916', '0.6041523', '1630719068222', 0, '2021-09-04 09:31:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38294, 2, 'M10220210318023', '118.80582799397587', '31.828143251930474', '94.061424', '65.3617', '-5.6369934', '-6.5748563', '-144.55405', '9.362909', '9.423832', '1630718814151', 0, '2021-09-04 09:26:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38295, 2, 'M10220210318023', '118.80338898633087', '31.825966939937672', '94.621544', '65.47507', '5.00829', '-9.370892', '43.482697', '2.4155345', '1.9117793', '1630719070223', 0, '2021-09-04 09:31:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38296, 2, 'M10220210318023', '118.80577009031778', '31.82807368877468', '93.97414', '65.42141', '-5.762227', '-5.866532', '-144.8013', '9.3791275', '9.388259', '1630718814151', 0, '2021-09-04 09:26:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38297, 2, 'M10220210318023', '118.80341080382708', '31.825986783990203', '93.84602', '65.45225', '4.65147', '-9.977257', '43.496883', '3.4907677', '3.0350287', '1630719070223', 0, '2021-09-04 09:31:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38298, 2, 'M10220210318023', '118.80571249785869', '31.82800473380322', '93.60187', '65.3903', '-6.0200324', '-6.005359', '-144.47798', '9.338743', '9.348637', '1630718816152', 0, '2021-09-04 09:26:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38299, 2, 'M10220210318023', '118.8034399102119', '31.826013145600683', '93.57886', '65.40031', '5.699441', '-9.377959', '43.572395', '4.363044', '4.061453', '1630719072224', 0, '2021-09-04 09:31:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38300, 2, 'M10220210318023', '118.80565503381553', '31.827935419294377', '93.3301', '65.32118', '-5.6557693', '-5.8076353', '-144.77122', '9.461463', '9.394195', '1630718816152', 0, '2021-09-04 09:26:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38301, 2, 'M10220210318023', '118.80347475300437', '31.826044527747477', '93.45533', '65.421906', '5.2204556', '-9.717656', '43.560448', '5.0490255', '4.830714', '1630719072224', 0, '2021-09-04 09:31:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38302, 2, 'M10220210318023', '118.80559674797477', '31.827864458150785', '93.52612', '65.40923', '-5.2932563', '-6.0265193', '-145.02141', '9.620518', '9.58756', '1630718818152', 0, '2021-09-04 09:26:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38303, 2, 'M10220210318023', '118.80351470220161', '31.826079575243188', '93.64201', '65.44716', '5.010172', '-9.776876', '43.780987', '5.462586', '5.318157', '1630719074224', 0, '2021-09-04 09:31:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38304, 3, 'M10220210318023', '118.80553711747697', '31.82779311197454', '93.33541', '65.40662', '-2.8862307', '-6.286822', '-143.03828', '9.729468', '9.718575', '1630718818152', 0, '2021-09-04 09:26:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38305, 3, 'M10220210318023', '118.80355483868645', '31.82611553330203', '93.503586', '65.42592', '5.498194', '-8.119742', '43.728657', '5.6765137', '5.637322', '1630719074224', 0, '2021-09-04 09:31:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38306, 3, 'M10220210318023', '118.80547535843628', '31.827722482268733', '93.327415', '65.371475', '-2.3116708', '-4.675321', '-141.18538', '9.735402', '9.730087', '1630718820153', 0, '2021-09-04 09:27:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38307, 3, 'M10220210318023', '118.80359588062683', '31.826152799841324', '93.63331', '65.40502', '5.991776', '-7.1538186', '43.54855', '5.6347594', '5.681039', '1630719076225', 0, '2021-09-04 09:31:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38308, 3, 'M10220210318023', '118.80541034221199', '31.827653968391925', '93.7124', '65.38748', '-3.5344741', '-4.615133', '-139.43143', '9.693941', '9.757833', '1630718820153', 0, '2021-09-04 09:27:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38309, 3, 'M10220210318023', '118.80363581090106', '31.826189636868428', '94.18783', '65.388', '5.974246', '-6.4861035', '43.666443', '5.5178013', '5.5829206', '1630719076225', 0, '2021-09-04 09:31:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38310, 3, 'M10220210318023', '118.80534352590573', '31.827587945096415', '93.47309', '65.380806', '-2.0997052', '-4.6036463', '-137.20529', '9.60951', '9.622063', '1630718822154', 0, '2021-09-04 09:27:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38311, 3, 'M10220210318023', '118.8036754905948', '31.826225810574417', '94.0263', '65.375145', '5.9637666', '-2.141363', '44.073654', '5.135494', '5.3631053', '1630719078225', 0, '2021-09-04 09:31:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38312, 3, 'M10220210318023', '118.80527481772269', '31.82752429696839', '93.54119', '65.37108', '-3.6936164', '-5.04458', '-136.69269', '9.524778', '9.559837', '1630718822154', 0, '2021-09-04 09:27:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38313, 3, 'M10220210318023', '118.80370870396646', '31.826256443919256', '93.9372', '65.3924', '5.9780455', '-6.5750084', '43.477898', '4.428151', '4.556435', '1630719078225', 0, '2021-09-04 09:31:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38314, 3, 'M10220210318023', '118.8052070589466', '31.827461656107136', '93.36655', '65.40166', '-3.5194044', '-4.7351484', '-136.76485', '9.50118', '9.531049', '1630718824154', 0, '2021-09-04 09:27:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38315, 3, 'M10220210318023', '118.80374011037954', '31.826285517258253', '93.68326', '65.37972', '5.6212835', '13.3618355', '44.374134', '4.225075', '4.3597016', '1630719080226', 0, '2021-09-04 09:31:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38316, 3, 'M10220210318023', '118.80513834898902', '31.82739852350342', '93.54715', '65.37177', '-3.660949', '-3.8751757', '-136.70384', '9.45439', '9.467698', '1630718824154', 0, '2021-09-04 09:27:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38317, 3, 'M10220210318023', '118.80375383977604', '31.82629972295289', '95.248184', '64.94795', '6.269835', '2.695369', '44.298634', '1.4718779', '1.7483134', '1630719080226', 0, '2021-09-04 09:31:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38318, 3, 'M10220210318023', '118.80507068442765', '31.82733674139239', '93.941925', '65.357605', '-4.031261', '-4.462476', '-137.01465', '9.309246', '9.403345', '1630718826155', 0, '2021-09-04 09:27:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38319, 3, 'M10220210318023', '118.80375671451495', '31.826304256415767', '93.82054', '63.807236', '6.29472', '-0.6081751', '44.20707', '1.1911591', '1.1165124', '1630719082226', 0, '2021-09-04 09:31:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38320, 3, 'M10220210318023', '118.80500440711349', '31.827275950716412', '93.80215', '65.306335', '-3.5999932', '-5.480407', '-136.63081', '9.233257', '9.290861', '1630718826155', 0, '2021-09-04 09:27:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38321, 3, 'M10220210318023', '118.803757760375', '31.82630584053757', '92.44525', '62.465973', '5.6237392', '-0.6123291', '44.539883', '1.6284288', '1.300846', '1630719082226', 0, '2021-09-04 09:31:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38322, 3, 'M10220210318023', '118.80493819497534', '31.827214845736478', '93.83687', '65.31144', '-3.5139468', '-5.780193', '-136.87352', '9.257232', '9.24894', '1630718828155', 0, '2021-09-04 09:27:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38323, 3, 'M10220210318023', '118.80375802440611', '31.826305576761456', '91.22039', '60.729218', '5.243566', '-0.9812759', '44.497746', '1.7493263', '1.7000295', '1630719084227', 0, '2021-09-04 09:31:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38324, 3, 'M10220210318023', '118.80865748986653', '31.830300624845087', '92.91923', '65.35772', '3.8968875', '2.2328057', '-26.156483', '0.02918598', '0.095393926', '1630718572085', 0, '2021-09-04 09:22:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38325, 3, 'M10220210318023', '118.80487272768195', '31.827154134972943', '94.1499', '65.32104', '-3.0672367', '-6.0957813', '-136.3073', '9.262023', '9.242754', '1630718828155', 0, '2021-09-04 09:27:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38326, 3, 'M10220210318023', '118.80375802666468', '31.826305143685403', '89.01337', '59.1485', '5.2005486', '-1.4141796', '44.085148', '1.7476344', '1.6011245', '1630719084227', 0, '2021-09-04 09:31:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38327, 3, 'M10220210318023', '118.80865742049612', '31.83030071010329', '93.13006', '65.38389', '3.1940858', '2.448101', '-30.331661', '0.038219366', '0.0678233', '1630718572085', 0, '2021-09-04 09:22:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38328, 3, 'M10220210318023', '118.80480538908093', '31.827092035062673', '93.90453', '65.37896', '-3.0315776', '-6.039836', '-136.53827', '9.353088', '9.3333645', '1630718830156', 0, '2021-09-04 09:27:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38329, 3, 'M10220210318023', '118.80375778739722', '31.826305003324634', '86.87737', '57.345573', '5.540734', '-2.037345', '44.13318', '2.0435302', '1.79081', '1630719086227', 0, '2021-09-04 09:31:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38330, 3, 'M10220210318023', '118.80865753923248', '31.830300531362628', '92.825165', '65.37896', '2.0169895', '3.0619476', '-41.016804', '0.046893083', '0.116619036', '1630718574085', 0, '2021-09-04 09:22:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38331, 3, 'M10220210318023', '118.804737251752', '31.827029705078612', '93.80475', '65.3865', '-3.6053803', '-4.740652', '-136.69762', '9.443319', '9.4448185', '1630718830156', 0, '2021-09-04 09:27:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38332, 3, 'M10220210318023', '118.8037579455376', '31.82630492694178', '84.38768', '55.27353', '5.1394734', '-1.420403', '44.287106', '2.1630337', '2.0500488', '1630719086227', 0, '2021-09-04 09:31:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38333, 3, 'M10220210318023', '118.80865787091996', '31.830300352073667', '92.88273', '65.37742', '1.805253', '3.212204', '-51.163754', '0.06284376', '0.078740075', '1630718574085', 0, '2021-09-04 09:22:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38334, 3, 'M10220210318023', '118.80466917677582', '31.826967714653847', '93.5935', '65.41347', '-3.4175632', '-4.866389', '-136.75758', '9.441998', '9.445258', '1630718832156', 0, '2021-09-04 09:27:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38335, 3, 'M10220210318023', '118.80375807040437', '31.826304766191683', '83.39075', '53.175415', '4.924951', '-1.9774926', '43.98291', '2.0454476', '2.1007617', '1630719088228', 0, '2021-09-04 09:31:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38336, 3, 'M10220210318023', '118.80865824035777', '31.83029952032644', '92.90997', '65.377174', '2.4176722', '1.671675', '-60.593945', '0.07928807', '0.06480741', '1630718576086', 0, '2021-09-04 09:22:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38337, 3, 'M10220210318023', '118.80460130087661', '31.826905447653935', '93.91581', '65.4003', '-3.4194696', '-4.703669', '-136.82275', '9.439309', '9.431108', '1630718832156', 0, '2021-09-04 09:27:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38338, 3, 'M10220210318023', '118.80375711345548', '31.826305845643443', '81.16723', '51.255722', '0.640039', '-1.3428196', '44.454063', '1.8444722', '2.065454', '1630719088228', 0, '2021-09-04 09:31:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38339, 3, 'M10220210318023', '118.80865755504239', '31.830299040303547', '92.765305', '65.35631', '2.8206966', '3.5451663', '-70.451775', '0.09422884', '0.09', '1630718576086', 0, '2021-09-04 09:22:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38340, 3, 'M10220210318023', '118.80453321501089', '31.826843273725263', '94.05565', '65.413765', '-2.3806818', '-4.579619', '-136.0242', '9.434953', '9.431596', '1630718834157', 0, '2021-09-04 09:27:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38341, 3, 'M10220210318023', '118.80375041360311', '31.8263110069345', '79.38638', '49.6621', '-2.271112', '-1.8016042', '44.166187', '2.018324', '1.8942016', '1630719090228', 0, '2021-09-04 09:31:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38342, 3, 'M10220210318023', '118.80865661095926', '31.830298657875268', '93.50574', '65.29753', '2.1524055', '4.484861', '-81.29773', '0.07337005', '0.13928388', '1630718578087', 0, '2021-09-04 09:22:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38343, 3, 'M10220210318023', '118.80446442906849', '31.826782532908865', '93.90896', '65.40163', '-2.5522728', '-4.071976', '-134.82677', '9.4464655', '9.427672', '1630718834157', 0, '2021-09-04 09:27:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38344, 3, 'M10220210318023', '118.80373665750771', '31.82632207340137', '77.36835', '48.175056', '-1.4792722', '-2.053992', '44.328415', '2.6172757', '2.40487', '1630719090228', 0, '2021-09-04 09:31:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38345, 3, 'M10220210318023', '118.80865645060068', '31.83029840621278', '93.39388', '65.29585', '1.2747712', '5.4295526', '-90.74878', '0.06898661', '0.12083046', '1630718578087', 0, '2021-09-04 09:22:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38346, 3, 'M10220210318023', '118.8043926625369', '31.826721903342786', '94.179665', '65.425804', '-2.3618016', '-3.7818317', '-133.77701', '9.474524', '9.454089', '1630718836157', 0, '2021-09-04 09:27:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38347, 3, 'M10220210318023', '118.8037171766176', '31.8263384038342', '75.7955', '46.75937', '-0.80345577', '-2.1237733', '44.06232', '3.1394784', '2.9510846', '1630719092229', 0, '2021-09-04 09:31:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38348, 3, 'M10220210318023', '118.80865658805091', '31.830298518062772', '93.625595', '65.278404', '0.3537223', '2.9593751', '-93.26364', '0.046555344', '0.07', '1630718580087', 0, '2021-09-04 09:23:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38349, 3, 'M10220210318023', '118.8043201639859', '31.826662572233804', '94.122284', '65.44889', '-2.4876966', '-3.0508955', '-133.24278', '9.534532', '9.540802', '1630718836157', 0, '2021-09-04 09:27:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38350, 3, 'M10220210318023', '118.8036938559734', '31.826357676990117', '74.14031', '45.34533', '-0.30855066', '-2.3596835', '44.035965', '3.5886865', '3.4224844', '1630719092229', 0, '2021-09-04 09:31:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38351, 3, 'M10220210318023', '118.80865078029308', '31.830297431363363', '94.096306', '65.32053', '1.1595773', '-3.7541013', '-93.768105', '0.94335586', '0.46162754', '1630718580087', 0, '2021-09-04 09:23:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38352, 3, 'M10220210318023', '118.8042466684367', '31.82660405976462', '93.9974', '65.45454', '-2.1813416', '-2.9013438', '-132.15799', '9.514445', '9.522762', '1630718838158', 0, '2021-09-04 09:27:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38353, 3, 'M10220210318023', '118.80366738276653', '31.82637937521977', '73.170654', '43.566658', '0.20212236', '-1.71343', '44.326797', '4.0300136', '3.8573956', '1630719094229', 0, '2021-09-04 09:31:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38354, 3, 'M10220210318023', '118.8086313146267', '31.83029682112298', '93.01378', '65.37834', '0.491958', '-8.235714', '-92.85391', '2.4539483', '1.7621009', '1630718582088', 0, '2021-09-04 09:23:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38355, 3, 'M10220210318023', '118.80417269471552', '31.826547139864214', '94.25751', '65.4071', '-3.0881977', '-3.0511017', '-131.6437', '9.4813385', '9.493519', '1630718838158', 0, '2021-09-04 09:27:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38356, 3, 'M10220210318023', '118.80363980435082', '31.826401900527067', '71.26161', '41.738365', '-0.3274386', '-4.4441724', '46.167183', '4.0442495', '4.13432', '1630719094229', 0, '2021-09-04 09:31:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38357, 3, 'M10220210318023', '118.80859157440369', '31.830295375023233', '92.356415', '65.34674', '-0.19960602', '-8.959673', '-93.329956', '4.2281356', '3.5836992', '1630718582088', 0, '2021-09-04 09:23:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38358, 3, 'M10220210318023', '118.80409761772216', '31.826490236420913', '94.57126', '65.42196', '-3.74362', '-2.648834', '-131.66653', '9.449564', '9.48463', '1630718840159', 0, '2021-09-04 09:27:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38359, 3, 'M10220210318023', '118.80361345231952', '31.826427821717573', '69.33733', '40.216698', '0.13021277', '-3.0753088', '51.47193', '4.17304', '4.156994', '1630719096230', 0, '2021-09-04 09:31:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38360, 3, 'M10220210318023', '118.80853587962784', '31.830292754224434', '92.66973', '65.3239', '0.2759828', '-6.480996', '-93.19163', '5.6786284', '5.1981826', '1630718584088', 0, '2021-09-04 09:23:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38361, 3, 'M10220210318023', '118.80402337422258', '31.826433593391762', '94.24863', '65.48907', '-2.969551', '-2.8649454', '-131.86601', '9.332737', '9.392444', '1630718840159', 0, '2021-09-04 09:27:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38362, 3, 'M10220210318023', '118.80358959085792', '31.826454240064013', '67.62086', '38.55999', '26.608948', '-1.2491664', '54.6767', '3.7841673', '4.158329', '1630719096230', 0, '2021-09-04 09:31:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38363, 3, 'M10220210318023', '118.80846685056487', '31.830288365757166', '93.55889', '65.31036', '-0.9747471', '-11.225258', '-94.910355', '7.00024', '6.425465', '1630718584088', 0, '2021-09-04 09:23:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38364, 3, 'M10220210318023', '118.80395027630301', '31.826377987826742', '94.32724', '65.53185', '-3.52745', '-2.7305028', '-131.70366', '9.155254', '9.222223', '1630718842159', 0, '2021-09-04 09:27:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38365, 3, 'M10220210318023', '118.80358068165776', '31.826464785016753', '66.235565', '36.5335', '9.947359', '-1.8217514', '54.616783', '2.493813', '2.2629626', '1630719098231', 0, '2021-09-04 09:31:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38366, 3, 'M10220210318023', '118.80838192470348', '31.83028050911778', '93.260414', '65.38359', '-1.3003833', '-11.503212', '-97.35048', '8.563841', '7.987427', '1630718586089', 0, '2021-09-04 09:23:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38367, 3, 'M10220210318023', '118.803878829198', '31.826323272543135', '93.95428', '65.50735', '-2.7871256', '-2.7270615', '-131.71239', '9.039269', '9.050569', '1630718842159', 0, '2021-09-04 09:27:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38368, 3, 'M10220210318023', '118.80357836489718', '31.82646759812629', '63.76543', '34.217667', '5.0406404', '-2.655086', '54.83778', '2.317945', '2.3372848', '1630719098231', 0, '2021-09-04 09:31:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38369, 3, 'M10220210318023', '118.80828397817429', '31.830268057582064', '93.05406', '65.34933', '-2.0543518', '-10.099334', '-99.59626', '9.806402', '9.396047', '1630718586089', 0, '2021-09-04 09:23:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38370, 3, 'M10220210318023', '118.80380856544359', '31.826269923746707', '93.96863', '65.44933', '-3.3483238', '-2.6960132', '-131.80081', '8.945339', '8.980829', '1630718844160', 0, '2021-09-04 09:27:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38371, 3, 'M10220210318023', '118.80357732873685', '31.826469728242827', '61.74831', '31.895464', '1.5610766', '-2.0966516', '54.762318', '2.5243838', '2.3947861', '1630719100231', 0, '2021-09-04 09:31:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38372, 3, 'M10220210318023', '118.80817467296372', '31.83024927802348', '93.00968', '65.34107', '-3.706875', '-9.460006', '-103.82514', '10.753848', '10.45728', '1630718588089', 0, '2021-09-04 09:23:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38373, 3, 'M10220210318023', '118.80373781829424', '31.826215993392015', '94.090096', '65.43849', '-2.9923472', '-2.4310992', '-131.79712', '8.874358', '8.930096', '1630718844160', 0, '2021-09-04 09:27:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38374, 3, 'M10220210318023', '118.80357377169754', '31.82647501692008', '59.07674', '29.513552', '1.2209079', '-2.000946', '55.510254', '2.6547759', '2.5731306', '1630719100231', 0, '2021-09-04 09:31:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38375, 3, 'M10220210318023', '118.8080600404272', '31.83022210642583', '93.04197', '65.36783', '-4.140579', '-9.54623', '-108.23459', '11.4568815', '11.236908', '1630718588089', 0, '2021-09-04 09:23:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38376, 3, 'M10220210318023', '118.80366888590756', '31.826163017137613', '94.0473', '65.452225', '-2.8444357', '-2.904442', '-131.81151', '8.785093', '8.844484', '1630718846160', 0, '2021-09-04 09:27:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38377, 3, 'M10220210318023', '118.80357069595087', '31.826479236479443', '56.966145', '27.123457', '5.41513', '-2.3388884', '54.26311', '2.4357564', '2.5480385', '1630719102232', 0, '2021-09-04 09:31:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38378, 3, 'M10220210318023', '118.80794174384155', '31.830186570751618', '93.040634', '65.42403', '-8.213938', '-11.271325', '-112.09804', '12.008611', '11.84369', '1630718590090', 0, '2021-09-04 09:23:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38379, 3, 'M10220210318023', '118.80359997061147', '31.826110019448727', '94.191864', '65.42415', '-2.853465', '-3.4261398', '-131.79057', '8.716881', '8.751571', '1630718846160', 0, '2021-09-04 09:27:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38380, 3, 'M10220210318023', '118.80357052007464', '31.8264798052216', '54.60586', '24.741537', '4.2225866', '-2.245507', '54.400616', '2.452774', '2.4902008', '1630719102232', 0, '2021-09-04 09:31:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38381, 3, 'M10220210318023', '118.80782157393197', '31.830141281922675', '92.34427', '65.29098', '-9.417726', '-8.881708', '-117.39479', '12.587928', '12.4663515', '1630718590090', 0, '2021-09-04 09:23:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38382, 3, 'M10220210318023', '118.8035319566268', '31.826057572185857', '93.93039', '65.40262', '-2.3901796', '-3.1546118', '-131.8719', '8.682847', '8.687634', '1630718848161', 0, '2021-09-04 09:27:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38383, 3, 'M10220210318023', '118.80357072857917', '31.826479399319897', '52.479073', '22.439589', '3.4114587', '-1.6540754', '54.850628', '2.3161528', '2.4704049', '1630719104232', 0, '2021-09-04 09:31:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38384, 3, 'M10220210318023', '118.80770285047682', '31.830084333554563', '91.963264', '65.24199', '-9.824106', '-8.499633', '-123.04111', '12.947025', '12.895774', '1630718592090', 0, '2021-09-04 09:23:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38385, 3, 'M10220210318023', '118.8034643444713', '31.826005151172083', '94.04242', '65.41768', '-2.4356165', '-3.0756764', '-131.8378', '8.619504', '8.644547', '1630718848161', 0, '2021-09-04 09:27:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38386, 3, 'M10220210318023', '118.80357050881204', '31.826478969229424', '50.47041', '20.75966', '1.0145205', '-3.0358813', '54.419514', '0.79451185', '2.0049937', '1630719104232', 0, '2021-09-04 09:31:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38387, 3, 'M10220210318023', '118.8075887835522', '31.83001671639693', '91.27033', '65.156586', '-10.54244', '-8.270142', '-128.58325', '13.191069', '13.1524935', '1630718592090', 0, '2021-09-04 09:23:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38388, 3, 'M10220210318023', '118.80339745833079', '31.825953727110452', '94.19886', '65.41824', '-2.5742013', '-3.5586345', '-131.66855', '8.52193', '8.53228', '1630718850162', 0, '2021-09-04 09:27:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38389, 3, 'M10220210318023', '118.80356834170705', '31.82648181284582', '49.86449', '20.586386', '1.1091148', '-2.0635169', '54.064106', '0.4672322', '0.6862944', '1630719106233', 0, '2021-09-04 09:31:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38390, 3, 'M10220210318023', '118.80748129100847', '31.829939048640274', '91.65145', '65.097725', '-9.561042', '-8.118126', '-133.71326', '13.384665', '13.424921', '1630718594091', 0, '2021-09-04 09:23:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38391, 3, 'M10220210318023', '118.80333046092034', '31.82590233388983', '94.2475', '65.41978', '-2.6048293', '-3.4394796', '-131.61676', '8.487982', '8.505563', '1630718850162', 0, '2021-09-04 09:27:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38392, 3, 'M10220210318023', '118.80356373775908', '31.82648689733431', '49.493057', '20.224154', '2.1076832', '-1.7309595', '54.351128', '1.2789279', '0.82516664', '1630719106233', 0, '2021-09-04 09:31:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38393, 3, 'M10220210318023', '118.80738070291956', '31.82985432446498', '91.54256', '65.04197', '-9.327308', '-8.801887', '-136.66156', '13.399264', '13.40147', '1630718594091', 0, '2021-09-04 09:23:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38394, 3, 'M10220210318023', '118.80326330548547', '31.825851119684025', '93.96659', '65.42393', '-2.8666544', '-3.334121', '-131.79779', '8.514', '8.51383', '1630718852162', 0, '2021-09-04 09:27:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38395, 3, 'M10220210318023', '118.80355836785266', '31.826491848221366', '48.828655', '19.025816', '7.3042445', '-3.0332148', '54.57552', '1.3421706', '1.4868424', '1630719108233', 0, '2021-09-04 09:31:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38396, 3, 'M10220210318023', '118.80728453679184', '31.829765958311313', '91.16872', '65.0201', '-6.607011', '-9.981789', '-137.11154', '13.36244', '13.375189', '1630718596092', 0, '2021-09-04 09:23:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38397, 3, 'M10220210318023', '118.80319657337154', '31.82579975446017', '93.685844', '65.418755', '-2.4507086', '-3.102498', '-131.68047', '8.541521', '8.518157', '1630718852162', 0, '2021-09-04 09:27:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38398, 3, 'M10220210318023', '118.80355767792446', '31.826492263906527', '47.320023', '18.03412', '3.9330616', '-2.9520164', '54.341057', '0.9395218', '1.120357', '1630719108233', 0, '2021-09-04 09:31:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38399, 3, 'M10220210318023', '118.80718987551833', '31.829677285666715', '91.77179', '65.02448', '-6.2075186', '-9.764406', '-137.16505', '13.309536', '13.316013', '1630718596092', 0, '2021-09-04 09:23:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38400, 3, 'M10220210318023', '118.80312907352459', '31.825747871004875', '93.768265', '65.41406', '-2.9239085', '-2.98907', '-131.8866', '8.560166', '8.567951', '1630718854163', 0, '2021-09-04 09:27:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38401, 3, 'M10220210318023', '118.80355749577161', '31.826492136177702', '46.206207', '16.819681', '3.7342906', '-2.5778697', '54.817497', '1.5897197', '1.2705117', '1630719110234', 0, '2021-09-04 09:31:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38402, 3, 'M10220210318023', '118.8070957301673', '31.829588559838566', '91.92979', '65.03256', '-7.8381157', '-9.658824', '-138.0858', '13.266078', '13.267091', '1630718598092', 0, '2021-09-04 09:23:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38403, 3, 'M10220210318023', '118.80306162344685', '31.825696099947844', '94.06028', '65.46846', '-2.7843916', '-3.0714192', '-131.934', '8.528475', '8.561274', '1630718854163', 0, '2021-09-04 09:27:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38404, 3, 'M10220210318023', '118.80355768282979', '31.82649171099182', '44.540062', '15.2321415', '3.3641574', '-2.768514', '54.941498', '1.7995263', '1.590786', '1630719110234', 0, '2021-09-04 09:31:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38405, 3, 'M10220210318023', '118.80700393276332', '31.829498176272946', '91.76159', '65.02762', '-7.8601713', '-9.503999', '-139.78459', '13.270136', '13.289368', '1630718598092', 0, '2021-09-04 09:23:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38406, 3, 'M10220210318023', '118.80299307461412', '31.825643676501063', '94.159256', '65.46701', '-3.1354399', '-2.6292534', '-131.85078', '8.478006', '8.491461', '1630718856163', 0, '2021-09-04 09:27:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38407, 3, 'M10220210318023', '118.80355855953385', '31.82649159241678', '42.853687', '13.407068', '3.2673829', '-2.425221', '55.03107', '1.8797858', '1.8506755', '1630719112234', 0, '2021-09-04 09:31:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38408, 3, 'M10220210318023', '118.80691472336039', '31.829405986110654', '91.38871', '65.07738', '-6.7720356', '-10.394807', '-141.42468', '13.256603', '13.300037', '1630718600093', 0, '2021-09-04 09:23:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38409, 3, 'M10220210318023', '118.80292724244028', '31.82559392114259', '94.03889', '65.42811', '-3.126513', '-2.6988728', '-131.57988', '8.263555', '8.364383', '1630718856163', 0, '2021-09-04 09:27:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38410, 3, 'M10220210318023', '118.80355899125387', '31.826491617834897', '41.283016', '11.671591', '3.2248456', '-2.2284436', '55.122158', '1.7668067', '1.8803458', '1630719112234', 0, '2021-09-04 09:31:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38411, 3, 'M10220210318023', '118.80682864982342', '31.829310632896398', '91.55108', '65.09356', '-6.131134', '-10.152873', '-142.65358', '13.343514', '13.344673', '1630718600093', 0, '2021-09-04 09:23:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38412, 3, 'M10220210318023', '118.80286405315873', '31.825546093071893', '94.22598', '65.41727', '-3.669733', '-2.1219144', '-131.68964', '8.04777', '8.118553', '1630718858164', 0, '2021-09-04 09:27:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38413, 3, 'M10220210318023', '118.80355912731268', '31.826491957591234', '39.71136', '10.021696', '3.1439323', '-2.5658164', '54.473743', '1.6081525', '1.7703671', '1630719114235', 0, '2021-09-04 09:31:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38414, 3, 'M10220210318023', '118.80674369460206', '31.82921399505205', '91.57999', '65.1032', '-5.9784107', '-10.295429', '-142.36908', '13.362052', '13.384592', '1630718602093', 0, '2021-09-04 09:23:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38415, 3, 'M10220210318023', '118.80280210633373', '31.825499157882078', '94.02119', '65.47762', '-3.7847378', '20.208921', '-133.20007', '7.6895857', '7.9125786', '1630718858164', 0, '2021-09-04 09:27:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38416, 3, 'M10220210318023', '118.80355880625261', '31.826491962675718', '37.820377', '2.8008758E-6', '3.299423', '-2.974982', '54.11712', '1.4941458', '1.6403962', '1630719114235', 0, '2021-09-04 09:31:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38417, 3, 'M10220210318023', '118.80665925433527', '31.82911743835377', '91.87776', '65.07484', '-5.5137753', '-10.776547', '-142.61629', '13.345683', '13.342133', '1630718602093', 0, '2021-09-04 09:23:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38418, 3, 'M10220210318023', '118.80276237716177', '31.825470716320275', '93.71941', '65.43308', '-4.49953', '20.264679', '-133.03404', '3.4337323', '4.8588166', '1630718860164', 0, '2021-09-04 09:27:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38419, 3, 'M10220210318023', '118.80355848139632', '31.826492039384117', '36.679077', '-4.804253E-6', '4.704983', '-2.836797', '54.284508', '1.4930288', '1.5308168', '1630719116236', 0, '2021-09-04 09:31:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38420, 3, 'M10220210318023', '118.80657343181375', '31.82901833816854', '92.09592', '65.18856', '-4.677772', '-8.093257', '-143.22328', '13.41583', '13.451099', '1630718604094', 0, '2021-09-04 09:23:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38421, 3, 'M10220210318023', '118.80274700636797', '31.82546088105972', '93.64525', '65.408615', '-4.0972877', '9.208234', '-136.93187', '1.1773399', '1.7608237', '1630718860164', 0, '2021-09-04 09:27:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38422, 3, 'M10220210318023', '118.80355959851735', '31.82649180622194', '35.13594', '2.3528098E-6', '3.1425092', '-2.3166103', '54.31819', '1.5599091', '1.593926', '1630719116236', 0, '2021-09-04 09:31:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38423, 3, 'M10220210318023', '118.80649186478189', '31.82892346140947', '92.0471', '65.14931', '-4.1214323', '-8.042293', '-142.81688', '13.206738', '13.340938', '1630718604094', 0, '2021-09-04 09:23:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38424, 3, 'M10220210318023', '118.80274083635207', '31.825458256217225', '93.33223', '65.37877', '-4.359947', '5.7588263', '-142.23734', '0.45986918', '0.7037756', '1630718862165', 0, '2021-09-04 09:27:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38425, 3, 'M10220210318023', '118.80356035740768', '31.82649195236541', '33.843437', '1.4480756E-5', '3.5701141', '-1.9862126', '54.21879', '1.2929422', '1.5229576', '1630719118236', 0, '2021-09-04 09:31:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38426, 3, 'M10220210318023', '118.80640992798091', '31.82882827377701', '93.007225', '65.1328', '-3.5801208', '-8.018867', '-143.0538', '13.069928', '13.110686', '1630718606094', 0, '2021-09-04 09:23:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38427, 3, 'M10220210318023', '118.80273822790285', '31.825457815191044', '93.385956', '65.35457', '-4.9602923', '4.0966926', '-152.60107', '0.22410074', '0.36013886', '1630718862165', 0, '2021-09-04 09:27:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38428, 3, 'M10220210318023', '118.80356124410898', '31.826491742059837', '32.443207', '7.589016', '3.8388996', '-0.2744232', '54.002087', '0.44649637', '0.96932966', '1630719118236', 0, '2021-09-04 09:31:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38429, 3, 'M10220210318023', '118.80632600653317', '31.828730928786722', '92.82822', '65.21134', '-4.6192436', '-8.620679', '-143.03006', '13.173948', '13.124717', '1630718606094', 0, '2021-09-04 09:23:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38430, 3, 'M10220210318023', '118.80273718073197', '31.82545800037405', '93.06689', '65.38862', '-4.9791555', '2.1193285', '-165.42271', '0.040755358', '0.20976177', '1630718864166', 0, '2021-09-04 09:27:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38431, 3, 'M10220210318023', '118.80355986949556', '31.82649033060903', '31.997145', '6.90612', '3.8088446', '-0.012589105', '54.347687', '0.7034405', '0.6708204', '1630719120237', 0, '2021-09-04 09:32:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38432, 3, 'M10220210318023', '118.8062428371975', '31.82863532815911', '93.16448', '65.23086', '-4.6016006', '-8.055054', '-142.70059', '13.104914', '13.136492', '1630718608095', 0, '2021-09-04 09:23:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38433, 3, 'M10220210318023', '118.80273721610278', '31.825458337843024', '93.51767', '65.39351', '-4.533419', '1.2980776', '-177.39273', '0.03639111', '0.080622576', '1630718864166', 0, '2021-09-04 09:27:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38434, 3, 'M10220210318023', '118.80355591998388', '31.826487079039122', '31.136547', '6.0174155', '3.2993126', '-1.076536', '54.343643', '0.90813035', '0.90669733', '1630719120237', 0, '2021-09-04 09:32:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38435, 3, 'M10220210318023', '118.80616113803111', '31.828541568807076', '93.01726', '65.19569', '-4.6374254', '-8.933839', '-142.80188', '12.875403', '12.9980545', '1630718608095', 0, '2021-09-04 09:23:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38436, 3, 'M10220210318023', '118.8027376987919', '31.825458580184673', '93.79391', '65.42198', '-3.7831752', '0.58331144', '171.70816', '0.048362643', '0.054772258', '1630718866166', 0, '2021-09-04 09:27:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38437, 3, 'M10220210318023', '118.80355119438558', '31.826483307203127', '30.172934', '4.9736586', '3.1560698', '-0.74591625', '54.76877', '0.94215286', '0.9922701', '1630719122237', 0, '2021-09-04 09:32:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38438, 3, 'M10220210318023', '118.80608253827658', '31.82845043915998', '93.246895', '65.205925', '-4.5061636', '-8.61499', '-142.92807', '12.797872', '12.838587', '1630718610095', 0, '2021-09-04 09:23:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38439, 3, 'M10220210318023', '118.80273806790714', '31.82545858306316', '94.21404', '65.44211', '-4.077279', '-0.419652', '161.02533', '0.01289023', '0.06164414', '1630718866166', 0, '2021-09-04 09:27:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38440, 3, 'M10220210318023', '118.80354672200448', '31.826478700612896', '29.793999', '4.2894115', '2.1121094', '-1.2625579', '54.59606', '0.73415', '0.89280456', '1630719122237', 0, '2021-09-04 09:32:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38441, 3, 'M10220210318023', '118.80600355359068', '31.828356776854392', '93.45813', '65.2631', '-4.779219', '-8.274049', '-144.26431', '12.748249', '12.79945', '1630718610095', 0, '2021-09-04 09:23:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38442, 3, 'M10220210318023', '118.80273779320831', '31.825458747479907', '94.18706', '65.46124', '-4.204676', '-1.6818031', '148.38684', '0.038858965', '0.08544003', '1630718868167', 0, '2021-09-04 09:27:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38443, 3, 'M10220210318023', '118.80354193659437', '31.82647389053853', '29.5509', '4.024956', '2.0191905', '-0.5529921', '54.81654', '0.7182366', '0.7244998', '1630719124238', 0, '2021-09-04 09:32:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38444, 3, 'M10220210318023', '118.80592672164663', '31.828262743223256', '93.609695', '65.29428', '-3.2375891', '-8.77206', '-144.52086', '12.6211405', '12.716953', '1630718612096', 0, '2021-09-04 09:23:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38445, 3, 'M10220210318023', '118.80273778615026', '31.82545921290472', '93.444664', '65.422874', '-2.2360075', '-2.9411726', '133.78065', '0.050387565', '0.050990194', '1630718868167', 0, '2021-09-04 09:27:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38446, 3, 'M10220210318023', '118.8035359817379', '31.826468924879947', '29.774895', '3.8460193', '2.671283', '-1.2892553', '54.32815', '0.85867', '0.824803', '1630719124238', 0, '2021-09-04 09:32:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38447, 3, 'M10220210318023', '118.80584946734533', '31.828167397414386', '93.80748', '65.3666', '-3.1951323', '-9.552501', '-144.35635', '12.5396805', '12.57649', '1630718612096', 0, '2021-09-04 09:23:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38448, 3, 'M10220210318023', '118.80273798901842', '31.825459435850824', '93.51229', '65.427216', '-1.4877125', '-2.6157758', '119.36234', '0.05249345', '0.092736185', '1630718870167', 0, '2021-09-04 09:27:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38449, 3, 'M10220210318023', '118.8035287212932', '31.826463862843262', '29.973185', '3.6750696', '2.6905894', '-0.69852066', '54.16025', '0.9009691', '0.85592055', '1630719126238', 0, '2021-09-04 09:32:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38450, 3, 'M10220210318023', '118.80577384034977', '31.8280742069074', '93.42481', '65.358406', '-3.096778', '-9.17278', '-144.03357', '12.553332', '12.5777025', '1630718614096', 0, '2021-09-04 09:23:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38451, 3, 'M10220210318023', '118.80273847606338', '31.825459583270757', '94.30383', '65.41928', '-1.0199075', '-2.5796204', '103.55677', '0.032234598', '0.1496663', '1630718870167', 0, '2021-09-04 09:27:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38452, 3, 'M10220210318023', '118.80352075556905', '31.826458457783', '29.69605', '3.7162702', '2.752042', '-1.517542', '54.504307', '0.99924654', '0.9466256', '1630719126238', 0, '2021-09-04 09:32:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38453, 3, 'M10220210318023', '118.80569760321714', '31.82798138704053', '93.852066', '65.356094', '-4.036226', '-9.220884', '-144.15237', '12.5200615', '12.550637', '1630718614096', 0, '2021-09-04 09:23:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38454, 3, 'M10220210318023', '118.8027383915686', '31.82546030083779', '94.07214', '65.45485', '0.49898005', '-3.0937564', '88.53661', '0.022774925', '0.045825757', '1630718872168', 0, '2021-09-04 09:27:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38455, 3, 'M10220210318023', '118.80351732882127', '31.82645538201971', '29.254404', '3.6418176', '2.9145412', '-2.8481474', '54.62852', '0.32913446', '0.471911', '1630719128239', 0, '2021-09-04 09:32:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38456, 3, 'M10220210318023', '118.80562095292693', '31.82789010415145', '93.67267', '65.35015', '0.5052673', '-9.068325', '-142.04843', '12.433454', '12.43737', '1630718616097', 0, '2021-09-04 09:23:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38457, 3, 'M10220210318023', '118.80273864509329', '31.825460763726788', '93.92732', '65.41068', '1.5613008', '-2.7711108', '74.661064', '0.047243245', '0.115758374', '1630718872168', 0, '2021-09-04 09:27:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38458, 3, 'M10220210318023', '118.80351675060163', '31.8264546761958', '28.802216', '-0.26685905', '2.8288577', '-2.4631612', '54.28813', '0.7436932', '0.46797436', '1630719128239', 0, '2021-09-04 09:32:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38459, 3, 'M10220210318023', '118.80554031415981', '31.827801359955636', '93.85567', '65.34936', '-3.2565804', '-9.244584', '-140.80652', '12.397639', '12.430595', '1630718616097', 0, '2021-09-04 09:23:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38460, 3, 'M10220210318023', '118.80273874180861', '31.825460584917582', '94.256134', '65.4136', '2.1338856', '-2.9610224', '62.885258', '0.023632415', '0.11489125', '1630718874168', 0, '2021-09-04 09:27:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38461, 3, 'M10220210318023', '118.80351701875662', '31.826454720799596', '28.599651', '-0.9988575', '2.8535204', '-1.0099374', '54.484074', '0.65225154', '0.7003571', '1630719130239', 0, '2021-09-04 09:32:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38462, 3, 'M10220210318023', '118.80545758443888', '31.827714902242327', '93.89415', '65.34167', '-2.1845872', '-8.674135', '-139.41928', '12.411846', '12.419919', '1630718618097', 0, '2021-09-04 09:23:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38463, 3, 'M10220210318023', '118.8027389398772', '31.82546086049895', '94.01929', '65.38931', '1.8752873', '-11.567731', '61.33256', '0.050571874', '0.04472136', '1630718874168', 0, '2021-09-04 09:27:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38464, 3, 'M10220210318023', '118.80351718742358', '31.826454462648723', '28.44458', '-1.5939789', '2.399682', '-1.1916562', '54.56592', '0.5428333', '0.63126856', '1630719130239', 0, '2021-09-04 09:32:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38465, 3, 'M10220210318023', '118.8053726256687', '31.827629839090083', '93.71286', '65.3682', '-3.620325', '-8.6447735', '-138.73524', '12.359934', '12.405185', '1630718618097', 0, '2021-09-04 09:23:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38466, 3, 'M10220210318023', '118.802750182524', '31.825466105454666', '93.77684', '65.36676', '2.1000319', '-16.298626', '60.93561', '1.8619659', '1.0520931', '1630718876169', 0, '2021-09-04 09:27:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38467, 3, 'M10220210318023', '118.80351759244655', '31.82645474890879', '27.05483', '-2.0419579', '2.8666055', '-0.98995477', '54.660534', '0.39487517', '0.5219195', '1630719132240', 0, '2021-09-04 09:32:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38468, 3, 'M10220210318023', '118.80528661730783', '31.827545997652315', '93.73633', '65.37901', '-3.6596458', '-8.4347515', '-138.25006', '12.36164', '12.396863', '1630718620098', 0, '2021-09-04 09:23:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38469, 3, 'M10220210318023', '118.80278009061557', '31.8254802966963', '94.01496', '65.33347', '3.1780589', '-17.914427', '60.851475', '3.8485124', '3.066366', '1630718876169', 0, '2021-09-04 09:27:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38470, 3, 'M10220210318023', '118.80351780282902', '31.826454709476227', '26.25726', '-2.338314', '2.7765765', '-0.77066684', '54.794548', '0.24978358', '0.32124755', '1630719132240', 0, '2021-09-04 09:32:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38471, 3, 'M10220210318023', '118.80520015126348', '31.82746242631306', '93.91764', '65.3564', '-3.0835068', '-8.337841', '-138.09425', '12.268044', '12.317345', '1630718620098', 0, '2021-09-04 09:23:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38472, 3, 'M10220210318023', '118.80282706540567', '31.825502672382903', '93.488', '65.30499', '3.0009935', '-17.267656', '60.916046', '5.6091146', '4.9732385', '1630718878169', 0, '2021-09-04 09:27:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38473, 3, 'M10220210318023', '118.80351770791351', '31.82645447547557', '26.24961', '-2.5311146', '2.042162', '-0.28206506', '54.61306', '0.102110334', '0.24515301', '1630719134241', 0, '2021-09-04 09:32:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38474, 3, 'M10220210318023', '118.80511256480604', '31.827380555340397', '93.420235', '65.343796', '-4.0795374', '-8.090428', '-137.15988', '12.256186', '12.273667', '1630718622099', 0, '2021-09-04 09:23:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38475, 3, 'M10220210318023', '118.80288817764735', '31.825531146704044', '93.8021', '65.32241', '2.3889248', '-17.086414', '61.64293', '6.982425', '6.4944515', '1630718878169', 0, '2021-09-04 09:27:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38476, 3, 'M10220210318023', '118.80351812593588', '31.826454444998674', '26.977955', '-2.5991478', '2.82087', '0.19288896', '54.424507', '0.053854555', '0.115758374', '1630719134241', 0, '2021-09-04 09:32:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38477, 3, 'M10220210318023', '118.80502473635875', '31.82729905089583', '93.34671', '65.32169', '-4.375526', '-7.7436604', '-137.35391', '12.2537365', '12.285932', '1630718622099', 0, '2021-09-04 09:23:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38478, 3, 'M10220210318023', '118.8029599645866', '31.825565368346503', '93.109024', '65.3356', '1.3450583', '-15.713925', '60.001255', '8.09085', '7.7039275', '1630718880170', 0, '2021-09-04 09:28:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38479, 3, 'M10220210318023', '118.80351885475899', '31.826454315016747', '27.190025', '-2.8443508', '2.3574624', '0.32465696', '54.64514', '0.46660575', '0.255147', '1630719136241', 0, '2021-09-04 09:32:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38480, 3, 'M10220210318023', '118.8049370764977', '31.827217618139443', '93.825645', '65.34755', '-4.3980956', '-7.6725264', '-137.45776', '12.231666', '12.271283', '1630718624099', 0, '2021-09-04 09:23:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38481, 3, 'M10220210318023', '118.8030380747817', '31.825604623375682', '93.268936', '65.315674', '2.6083238', '-16.122564', '58.857414', '8.867091', '8.609582', '1630718880170', 0, '2021-09-04 09:28:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38482, 3, 'M10220210318023', '118.80351968692179', '31.826454344829724', '26.4316', '-3.1061077', '-0.5753419', '0.7965639', '54.230278', '0.08793708', '0.2880972', '1630719136241', 0, '2021-09-04 09:32:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38483, 3, 'M10220210318023', '118.80484733116803', '31.82713462276972', '93.60246', '65.38747', '-5.029913', '-8.19466', '-137.29321', '12.210022', '12.270673', '1630718624099', 0, '2021-09-04 09:23:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38484, 3, 'M10220210318023', '118.80312308594311', '31.825649057155413', '93.55764', '65.32474', '0.7525002', '-15.804793', '57.27644', '9.530643', '9.347331', '1630718882170', 0, '2021-09-04 09:28:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38485, 3, 'M10220210318023', '118.80351977959133', '31.8264542092857', '25.472721', '-3.0991783', '-0.42850593', '0.7339458', '54.543694', '0.0103165945', '0.06164414', '1630719138242', 0, '2021-09-04 09:32:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38486, 3, 'M10220210318023', '118.80475926323102', '31.827054450313252', '94.01759', '65.41019', '-5.765418', '-9.228096', '-137.11311', '12.173927', '12.231619', '1630718626100', 0, '2021-09-04 09:23:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38487, 3, 'M10220210318023', '118.80321024621668', '31.825697784617816', '93.19493', '65.29119', '2.1447015', '-15.659576', '55.31377', '10.003635', '9.854922', '1630718882170', 0, '2021-09-04 09:28:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38488, 3, 'M10220210318023', '118.80351985117491', '31.826453938072387', '25.431921', '-3.0841866', '-0.5079612', '0.82606167', '54.55829', '0.013499819', '0.014142135', '1630719138242', 0, '2021-09-04 09:32:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38489, 3, 'M10220210318023', '118.80467213268291', '31.826975839202177', '93.361374', '65.394745', '-3.886161', '-8.4550905', '-136.4428', '12.26549', '12.253044', '1630718626100', 0, '2021-09-04 09:23:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38490, 3, 'M10220210318023', '118.80330148868286', '31.825751778487753', '93.25929', '65.30139', '2.4408958', '-15.776593', '54.580795', '10.413589', '10.266908', '1630718884171', 0, '2021-09-04 09:28:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38491, 3, 'M10220210318023', '118.8035198094191', '31.82645374258334', '25.261074', '-3.33786E-4', '-0.52008575', '0.8873573', '54.57109', '0.005622458', '0.01', '1630719140242', 0, '2021-09-04 09:32:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38492, 3, 'M10220210318023', '118.80458147585806', '31.826895366354456', '93.19651', '65.3784', '-4.434915', '-8.125088', '-135.76398', '12.28986', '12.32015', '1630718628100', 0, '2021-09-04 09:23:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38493, 3, 'M10220210318023', '118.80339056885242', '31.82580613052441', '93.377846', '65.32789', '3.0948515', '-16.702972', '53.87419', '10.598437', '10.537073', '1630718884171', 0, '2021-09-04 09:28:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38494, 3, 'M10220210318023', '118.80351981179614', '31.826453558954157', '25.501524', '-8.201599E-5', '-0.540742', '0.8389148', '54.4842', '0.0034216226', '0.0', '1630719140242', 0, '2021-09-04 09:32:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38495, 3, 'M10220210318023', '118.80449076547275', '31.8268157265904', '93.015495', '65.33977', '-3.3223846', '-7.6283255', '-135.3689', '12.26626', '12.312209', '1630718628100', 0, '2021-09-04 09:23:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38496, 3, 'M10220210318023', '118.80348253774828', '31.82586351436748', '93.43227', '65.32179', '2.8063297', '-16.404123', '53.00889', '10.8550415', '10.752721', '1630718886172', 0, '2021-09-04 09:28:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38497, 3, 'M10220210318023', '118.80351982107743', '31.82645323257402', '25.403759', '-4.5776367E-5', '-0.554585', '0.83571374', '54.427814', '0.0046902876', '0.01', '1630719142243', 0, '2021-09-04 09:32:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38498, 3, 'M10220210318023', '118.80439918069747', '31.82673715687161', '93.27183', '65.30545', '-3.1841877', '-7.1476793', '-134.40959', '12.241439', '12.282626', '1630718630101', 0, '2021-09-04 09:23:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38499, 3, 'M10220210318023', '118.80357626348936', '31.825924614447064', '93.422714', '65.29819', '2.6130006', '-16.142668', '51.55883', '11.063994', '11.010332', '1630718886172', 0, '2021-09-04 09:28:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38500, 3, 'M10220210318023', '118.80351968689405', '31.82645305607147', '25.422255', '-2.861023E-5', '-0.5448856', '0.85239965', '54.369488', '0.0011947318', '0.0', '1630719142243', 0, '2021-09-04 09:32:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38501, 3, 'M10220210318023', '118.80430493879037', '31.826658455475943', '93.4747', '65.37584', '-3.7227366', '-8.538943', '-133.60999', '12.150724', '12.212297', '1630718630101', 0, '2021-09-04 09:23:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38502, 3, 'M10220210318023', '118.80366870824199', '31.825987376753236', '93.143745', '65.34553', '2.416468', '-15.389622', '50.41202', '11.216645', '11.183921', '1630718888172', 0, '2021-09-04 09:28:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38503, 3, 'M10220210318023', '118.8035195626373', '31.82645272214172', '25.562298', '-4.9591064E-5', '-0.58413583', '0.8470201', '54.351276', '0.0019208475', '0.014142135', '1630719144243', 0, '2021-09-04 09:32:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38504, 3, 'M10220210318023', '118.8042120003233', '31.826582621507256', '93.44608', '65.37609', '-3.789189', '-8.096172', '-133.3646', '12.125571', '12.171828', '1630718632101', 0, '2021-09-04 09:23:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38505, 3, 'M10220210318023', '118.80376094578583', '31.826053616243986', '93.331696', '65.33528', '2.2238328', '-15.14269', '48.982304', '11.342016', '11.300694', '1630718888172', 0, '2021-09-04 09:28:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38506, 3, 'M10220210318023', '118.80351975023743', '31.826452680921875', '25.50681', '0.2324961', '-0.5813481', '0.83606', '54.28422', '0.0021982598', '0.02236068', '1630719144243', 0, '2021-09-04 09:32:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38507, 3, 'M10220210318023', '118.80411984747631', '31.826507035195995', '93.52044', '65.34724', '-3.2726555', '-7.3152785', '-133.36215', '12.026294', '12.101492', '1630718632101', 0, '2021-09-04 09:23:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38508, 3, 'M10220210318023', '118.80385093937771', '31.826121202320927', '93.594185', '65.35566', '4.359202', '-17.387423', '47.980537', '11.314306', '11.350827', '1630718890173', 0, '2021-09-04 09:28:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38509, 3, 'M10220210318023', '118.80352001493401', '31.826452591969176', '25.300709', '0.23116012', '-0.57342285', '0.86192805', '54.27414', '2.0264614E-4', '0.024494898', '1630719146244', 0, '2021-09-04 09:32:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38510, 3, 'M10220210318023', '118.80403004822628', '31.826434245575516', '93.42225', '65.364456', '-3.289042', '-6.90243', '-133.28041', '11.914471', '11.9751835', '1630718634102', 0, '2021-09-04 09:23:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38511, 3, 'M10220210318023', '118.80394135106759', '31.82618965701725', '93.529106', '65.36667', '4.5932384', '-18.026741', '47.85427', '11.422537', '11.411284', '1630718890173', 0, '2021-09-04 09:28:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38512, 3, 'M10220210318023', '118.80352011705122', '31.826452502808728', '25.79218', '0.2309936', '-0.57118946', '0.8438728', '54.443428', '0.0012682887', '0.014142135', '1630719146244', 0, '2021-09-04 09:32:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38513, 3, 'M10220210318023', '118.80393730556588', '31.8263591247835', '93.95441', '65.432655', '-2.7665236', '-6.6632295', '-133.4654', '11.754036', '11.862466', '1630718634102', 0, '2021-09-04 09:23:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38514, 3, 'M10220210318023', '118.80403104065967', '31.826257714378816', '93.40393', '65.27649', '3.9446874', '-16.315063', '47.99062', '11.572854', '11.553293', '1630718892173', 0, '2021-09-04 09:28:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38515, 3, 'M10220210318023', '118.80352018250441', '31.826452243539876', '25.416971', '0.22646056', '-0.56898314', '1.0006374', '54.46589', '0.002857489', '0.024494898', '1630719148244', 0, '2021-09-04 09:32:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38516, 3, 'M10220210318023', '118.80384661808854', '31.826287077257398', '93.84606', '65.4525', '-1.2304993', '-8.145736', '-132.04189', '11.574502', '11.675534', '1630718636102', 0, '2021-09-04 09:23:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38517, 3, 'M10220210318023', '118.80412558247129', '31.826329394297396', '92.93771', '65.24035', '3.3940685', '-15.094474', '48.196613', '11.714579', '11.65299', '1630718892173', 0, '2021-09-04 09:28:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38518, 3, 'M10220210318023', '118.80352023348868', '31.82645204828963', '25.411686', '-1.5640259E-4', '-0.5734224', '0.9295467', '54.459263', '0.012206089', '0.017320508', '1630719148244', 0, '2021-09-04 09:32:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38519, 3, 'M10220210318023', '118.80375607691427', '31.826217293665596', '94.199814', '65.46468', '-1.489332', '-7.0364013', '-130.86882', '11.47397', '11.504821', '1630718636102', 0, '2021-09-04 09:23:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38520, 3, 'M10220210318023', '118.80421831851417', '31.826399415861673', '93.08227', '65.23175', '3.8002238', '-14.54839', '48.002453', '11.700202', '11.688777', '1630718894174', 0, '2021-09-04 09:28:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38521, 3, 'M10220210318023', '118.80352035973426', '31.82645198912312', '25.657421', '-1.3160706E-4', '-0.5988117', '0.9188586', '54.479546', '0.007765066', '0.014142135', '1630719150245', 0, '2021-09-04 09:32:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38522, 3, 'M10220210318023', '118.80366514351475', '31.82614935555581', '94.15128', '65.49474', '-1.175888', '-5.913325', '-130.32013', '11.358072', '11.432716', '1630718638103', 0, '2021-09-04 09:23:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38523, 3, 'M10220210318023', '118.80431071871547', '31.826470022813652', '93.46388', '65.247574', '4.333964', '-14.362613', '48.105736', '11.665258', '11.699', '1630718894174', 0, '2021-09-04 09:28:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38524, 3, 'M10220210318023', '118.80352028627019', '31.826452053815313', '25.107819', '-1.8119812E-4', '-0.6172245', '0.9891772', '53.986343', '0.003944082', '0.014142135', '1630719150245', 0, '2021-09-04 09:32:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38525, 3, 'M10220210318023', '118.80357129105194', '31.82608294092239', '94.04343', '65.4067', '-2.3143015', '-7.0093102', '-128.6767', '11.193464', '11.288175', '1630718638103', 0, '2021-09-04 09:23:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38526, 3, 'M10220210318023', '118.80440232994916', '31.826539780327654', '93.784004', '65.28345', '3.8841212', '-15.626141', '47.900047', '11.531221', '11.57344', '1630718896175', 0, '2021-09-04 09:28:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38527, 3, 'M10220210318023', '118.8035203904317', '31.826451936254383', '25.300709', '0.23447788', '-0.6076856', '0.9656959', '53.81777', '0.0019958215', '0.01', '1630719152246', 0, '2021-09-04 09:32:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38528, 3, 'M10220210318023', '118.80348162009395', '31.82602055600707', '94.14472', '65.34714', '-1.9667671', '-5.9973264', '-128.72482', '11.019923', '11.112178', '1630718640104', 0, '2021-09-04 09:24:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38529, 3, 'M10220210318023', '118.8044940750032', '31.82660946911764', '93.73546', '65.31035', '4.696593', '-15.058839', '47.950535', '11.622881', '11.574157', '1630718896175', 0, '2021-09-04 09:28:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38530, 3, 'M10220210318023', '118.80352064730141', '31.82645195842241', '25.070827', '-3.8146973E-5', '-0.59852296', '0.9375499', '53.57985', '7.2604214E-4', '0.01', '1630719152246', 0, '2021-09-04 09:32:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38531, 3, 'M10220210318023', '118.8033933495786', '31.825959375674664', '94.44798', '65.3484', '-1.4644474', '-6.463395', '-128.0425', '10.816889', '10.922898', '1630718640104', 0, '2021-09-04 09:24:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38532, 3, 'M10220210318023', '118.80458629298612', '31.826679251261588', '93.960625', '65.366776', '4.0428786', '-15.676948', '47.888878', '11.624495', '11.652387', '1630718898175', 0, '2021-09-04 09:28:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38533, 3, 'M10220210318023', '118.80352068223367', '31.826451807267294', '25.044403', '-1.373291E-4', '-0.60944027', '0.91534775', '53.433887', '0.002363598', '0.014142135', '1630719154246', 0, '2021-09-04 09:32:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38534, 3, 'M10220210318023', '118.8033024948629', '31.825897220693687', '94.41908', '65.38219', '-2.4069881', '-6.312268', '-127.8678', '10.679961', '10.797949', '1630718642104', 0, '2021-09-04 09:24:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38535, 3, 'M10220210318023', '118.8046777655596', '31.82675027854194', '94.07104', '65.44141', '1.5545908', '-15.6926565', '46.04851', '11.723238', '11.698394', '1630718898175', 0, '2021-09-04 09:28:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38536, 3, 'M10220210318023', '118.80352091490442', '31.82645183870904', '25.195015', '-1.9073486E-6', '-0.57823014', '0.9127884', '53.308895', '0.006769454', '0.01', '1630719154246', 0, '2021-09-04 09:32:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38537, 3, 'M10220210318023', '118.80321458866074', '31.825837495882308', '94.62451', '65.42332', '-2.4823492', '-7.7894163', '-127.99772', '10.513332', '10.582722', '1630718642104', 0, '2021-09-04 09:24:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38538, 3, 'M10220210318023', '118.80476561998128', '31.826824376077123', '93.983246', '65.4706', '3.4313426', '-14.8273945', '43.873013', '11.784149', '11.745305', '1630718900176', 0, '2021-09-04 09:28:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38539, 3, 'M10220210318023', '118.80352098192047', '31.82645185026263', '25.020622', '0.23420186', '-0.6076263', '0.94166553', '53.343636', '0.00379378', '0.017320508', '1630719156247', 0, '2021-09-04 09:32:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38540, 3, 'M10220210318023', '118.80312768297078', '31.82577852934811', '94.38366', '65.40251', '-2.332206', '-6.8578615', '-128.15161', '10.432566', '10.52943', '1630718644105', 0, '2021-09-04 09:24:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38541, 3, 'M10220210318023', '118.80485235084397', '31.82690222493907', '94.009254', '65.40136', '5.0899816', '-14.932803', '42.53067', '11.799051', '11.825772', '1630718900176', 0, '2021-09-04 09:28:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38542, 3, 'M10220210318023', '118.80352090331662', '31.826451841434398', '25.134243', '0.2337978', '-0.6191929', '0.9927212', '53.30563', '0.0038865646', '0.01', '1630719156247', 0, '2021-09-04 09:32:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38543, 3, 'M10220210318023', '118.8030418075224', '31.825719832295622', '94.31565', '65.41062', '-1.4172308', '-6.9169574', '-128.19453', '10.410268', '10.416871', '1630718644105', 0, '2021-09-04 09:24:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38544, 3, 'M10220210318023', '118.8049366665671', '31.82697931970457', '93.63528', '65.421875', '5.352731', '-15.9211', '42.639885', '11.707826', '11.723843', '1630718902176', 0, '2021-09-04 09:28:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38545, 3, 'M10220210318023', '118.80352090786907', '31.826451844052674', '25.192373', '0.23430006', '-0.5868836', '0.9169762', '53.3297', '0.007503029', '0.024494898', '1630719158248', 0, '2021-09-04 09:32:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38546, 3, 'M10220210318023', '118.80295800818543', '31.82566212489614', '95.12724', '65.40963', '-3.5395727', '26.51077', '-130.59698', '9.410378', '10.2358', '1630718646105', 0, '2021-09-04 09:24:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38547, 3, 'M10220210318023', '118.8050209116292', '31.82705643674412', '93.89268', '65.45799', '4.998006', '-14.765685', '42.876755', '11.723469', '11.710581', '1630718902176', 0, '2021-09-04 09:28:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38548, 3, 'M10220210318023', '118.80352093819087', '31.82645223368575', '25.139526', '0.23554891', '-0.63560635', '0.7899205', '53.532417', '0.009363032', '0.02828427', '1630719158248', 0, '2021-09-04 09:32:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38549, 3, 'M10220210318023', '118.80290395777068', '31.82562477015105', '95.33141', '65.40564', '-0.7768361', '23.727625', '-131.96628', '4.3970857', '6.127014', '1630718646105', 0, '2021-09-04 09:24:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38550, 3, 'M10220210318023', '118.80510470594484', '31.827133657854873', '93.70473', '65.433975', '2.8827422', '-15.076182', '41.802925', '11.598228', '11.667223', '1630718904177', 0, '2021-09-04 09:28:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38551, 3, 'M10220210318023', '118.8028821260891', '31.825610390573292', '93.60587', '65.28762', '-3.1797874', '7.482529', '-138.64555', '1.4658374', '2.158356', '1630718648106', 0, '2021-09-04 09:24:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38552, 3, 'M10220210318023', '118.80518447822752', '31.827211879995595', '93.855705', '65.42472', '3.7031102', '-14.638286', '39.466747', '11.535563', '11.585943', '1630718904177', 0, '2021-09-04 09:28:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38553, 3, 'M10220210318023', '118.80287473539559', '31.82560550714225', '93.443756', '65.26052', '-1.8298829', '4.329933', '-146.2016', '0.54688597', '0.8303011', '1630718648106', 0, '2021-09-04 09:24:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38554, 3, 'M10220210318023', '118.8052616186284', '31.8272916899676', '93.973', '65.414055', '4.1589775', '-15.78542', '38.643642', '11.378873', '11.449192', '1630718906177', 0, '2021-09-04 09:28:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38555, 3, 'M10220210318023', '118.80287195178603', '31.82560403191484', '93.77323', '65.35055', '-1.6791872', '2.4241824', '-152.87108', '0.17484273', '0.36510274', '1630718650107', 0, '2021-09-04 09:24:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38556, 3, 'M10220210318023', '118.80533681843188', '31.827372694308337', '93.55469', '65.3721', '3.4361937', '-16.151522', '37.115685', '11.361012', '11.393055', '1630718906177', 0, '2021-09-04 09:28:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38557, 3, 'M10220210318023', '118.80287089110406', '31.825603744476794', '94.01303', '65.41185', '-2.2196233', '2.067534', '-160.90746', '0.028105082', '0.21354157', '1630718650107', 0, '2021-09-04 09:24:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38558, 3, 'M10220210318023', '118.80540884155367', '31.827455712497173', '93.731316', '65.368355', '4.072638', '-15.343825', '34.763294', '11.464132', '11.440036', '1630718908178', 0, '2021-09-04 09:28:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38559, 3, 'M10220210318023', '118.80287087202716', '31.825603495418665', '94.2522', '65.46382', '-2.183087', '1.7830247', '-171.5314', '0.04693232', '0.13416408', '1630718652107', 0, '2021-09-04 09:24:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38560, 3, 'M10220210318023', '118.80547855980265', '31.827540719518705', '93.65931', '65.391716', '5.644721', '-14.643624', '34.59372', '11.526426', '11.535658', '1630718908178', 0, '2021-09-04 09:28:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38561, 3, 'M10220210318023', '118.80287095345675', '31.825603664701436', '94.60698', '65.516624', '-2.3296967', '1.4471701', '178.36255', '0.05457592', '0.086023256', '1630718652107', 0, '2021-09-04 09:24:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38562, 3, 'M10220210318023', '118.80554730234851', '31.82762561564977', '93.81496', '65.47515', '6.112372', '-15.40904', '34.65955', '11.465858', '11.481616', '1630718910178', 0, '2021-09-04 09:28:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38563, 3, 'M10220210318023', '118.80287096478996', '31.82560373782884', '94.38595', '65.5519', '-2.294736', '0.4038129', '167.71307', '0.093473524', '0.06403124', '1630718654108', 0, '2021-09-04 09:24:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38564, 3, 'M10220210318023', '118.80561513436713', '31.82770976371549', '93.66901', '65.44833', '6.474164', '-15.629641', '34.41098', '11.42678', '11.425874', '1630718910178', 0, '2021-09-04 09:28:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38565, 3, 'M10220210318023', '118.80287054033971', '31.825604132799118', '94.66364', '65.567635', '-2.330768', '-0.8605823', '157.35023', '0.089516826', '0.06164414', '1630718654108', 0, '2021-09-04 09:24:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38566, 3, 'M10220210318023', '118.80568396112544', '31.827795371862212', '93.31865', '65.40399', '6.969853', '-15.762328', '34.396923', '11.399463', '11.425874', '1630718912179', 0, '2021-09-04 09:28:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38567, 3, 'M10220210318023', '118.80287008201091', '31.82560424876126', '94.73073', '65.63337', '-2.4077873', '-1.0563751', '147.26363', '0.06965174', '0.041231055', '1630718656108', 0, '2021-09-04 09:24:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38568, 3, 'M10220210318023', '118.80575205707439', '31.827880078903735', '93.75381', '65.36988', '7.1067696', '-15.890558', '34.128117', '11.42564', '11.400391', '1630718912179', 0, '2021-09-04 09:28:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38569, 3, 'M10220210318023', '118.80286964332363', '31.825604399470887', '94.728516', '65.68459', '-1.9502518', '-1.6258515', '136.9503', '0.0815894', '0.042426404', '1630718656108', 0, '2021-09-04 09:24:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38570, 3, 'M10220210318023', '118.80582007203732', '31.827965084623116', '93.33711', '65.31742', '6.835306', '-15.904422', '34.29591', '11.4358635', '11.435952', '1630718914179', 0, '2021-09-04 09:28:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38571, 3, 'M10220210318023', '118.80286943428467', '31.82560466710215', '94.36896', '65.68441', '-1.3262296', '-2.3387067', '126.42018', '0.10085034', '0.057445627', '1630718658109', 0, '2021-09-04 09:24:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38572, 3, 'M10220210318023', '118.80588905834767', '31.82805117964624', '93.04347', '65.232796', '7.7266626', '-14.98285', '34.073532', '11.643502', '11.563585', '1630718914179', 0, '2021-09-04 09:28:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38573, 3, 'M10220210318023', '118.80286998799782', '31.825604836659068', '94.46841', '65.616615', '-1.5653644', '-1.1710339', '115.85662', '0.08514305', '0.115758374', '1630718658109', 0, '2021-09-04 09:24:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38574, 3, 'M10220210318023', '118.8059590376231', '31.828138655112102', '92.59372', '65.1781', '7.1401043', '-16.043652', '34.153366', '11.793079', '11.710684', '1630718916180', 0, '2021-09-04 09:28:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38575, 3, 'M10220210318023', '118.8028703115383', '31.825604657095965', '94.02002', '65.57264', '-0.46780568', '-0.9078619', '105.83303', '0.09630156', '0.12569804', '1630718660109', 0, '2021-09-04 09:24:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38576, 3, 'M10220210318023', '118.80603101073379', '31.828227706209876', '93.02223', '65.186966', '7.7422423', '-14.934224', '34.176983', '12.108988', '11.972451', '1630718916180', 0, '2021-09-04 09:28:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38577, 3, 'M10220210318023', '118.80287050432355', '31.825604814385024', '94.27952', '65.500984', '-0.13759679', '-0.34022695', '95.15945', '0.06615774', '0.12083046', '1630718660109', 0, '2021-09-04 09:24:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38578, 3, 'M10220210318023', '118.80610431204613', '31.828317967096922', '92.58649', '65.21941', '6.7803326', '-14.695596', '34.529118', '12.243062', '12.178284', '1630718918181', 0, '2021-09-04 09:28:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38579, 3, 'M10220210318023', '118.80287046887206', '31.82560514520604', '94.24122', '65.50124', '-0.08650181', '-0.54634464', '85.058', '0.039628472', '0.0728011', '1630718662110', 0, '2021-09-04 09:24:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38580, 3, 'M10220210318023', '118.80617841434493', '31.828408313653394', '92.975266', '65.22702', '6.501315', '-14.233971', '34.52274', '12.279114', '12.262369', '1630718918181', 0, '2021-09-04 09:28:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38581, 3, 'M10220210318023', '118.80287003696048', '31.82560535931106', '94.35185', '65.486664', '0.28206593', '-1.0690656', '74.77582', '0.02991697', '0.02828427', '1630718662110', 0, '2021-09-04 09:24:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38582, 3, 'M10220210318023', '118.80625229514229', '31.82849874245251', '93.37306', '65.28767', '7.5248613', '-13.949741', '34.194187', '12.220357', '12.209284', '1630718920181', 0, '2021-09-04 09:28:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38583, 3, 'M10220210318023', '118.80286953116132', '31.825604980309553', '94.785576', '65.49166', '0.4872032', '-0.8201457', '64.12231', '0.06372317', '0.05385165', '1630718664110', 0, '2021-09-04 09:24:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38584, 3, 'M10220210318023', '118.80632538995654', '31.82858878758972', '93.64231', '65.315544', '7.4423585', '-13.43066', '34.436302', '12.122163', '12.175558', '1630718920181', 0, '2021-09-04 09:28:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38585, 3, 'M10220210318023', '118.80286888690362', '31.825604749687468', '94.452065', '65.50685', '0.83488333', '-4.63475', '61.495304', '0.039087236', '0.054772258', '1630718664110', 0, '2021-09-04 09:24:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38586, 3, 'M10220210318023', '118.80639864900131', '31.82867879558066', '93.62376', '65.34139', '8.56973', '-13.079726', '34.536224', '12.109762', '12.139509', '1630718922182', 0, '2021-09-04 09:28:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38587, 3, 'M10220210318023', '118.80287427166166', '31.825607012113867', '94.33482', '65.457565', '0.49468344', '-12.517748', '61.362686', '1.2632983', '0.6280127', '1630718666111', 0, '2021-09-04 09:24:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38588, 3, 'M10220210318023', '118.8064722084362', '31.82876709127985', '93.583725', '65.35059', '8.519528', '-13.628525', '35.679306', '12.013341', '12.039792', '1630718922182', 0, '2021-09-04 09:28:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38589, 3, 'M10220210318023', '118.80289469967933', '31.82561655692048', '94.53569', '65.429', '0.86810666', '-13.531235', '61.54122', '2.9511774', '2.2935998', '1630718666111', 0, '2021-09-04 09:24:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38590, 3, 'M10220210318023', '118.80654689070407', '31.828854016816646', '93.96698', '65.3604', '9.546202', '-13.841752', '36.64816', '11.896328', '11.946628', '1630718924182', 0, '2021-09-04 09:28:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38591, 3, 'M10220210318023', '118.80292948168912', '31.825632726783038', '94.89233', '65.476654', '1.0161214', '-13.077311', '61.65609', '4.4200606', '3.8761451', '1630718668111', 0, '2021-09-04 09:24:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38592, 3, 'M10220210318023', '118.80662289778583', '31.828939194423175', '93.80712', '65.33542', '7.9567547', '-13.977125', '37.341324', '11.829192', '11.860287', '1630718924182', 0, '2021-09-04 09:28:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38593, 3, 'M10220210318023', '118.80297616048557', '31.825653949222254', '94.94726', '65.53589', '0.97588724', '-14.3458395', '61.531605', '5.544872', '5.1151834', '1630718668111', 0, '2021-09-04 09:24:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38594, 3, 'M10220210318023', '118.80669993251789', '31.82902347202106', '93.76083', '65.362915', '8.849174', '-13.749161', '38.160896', '11.828568', '11.824559', '1630718926183', 0, '2021-09-04 09:28:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38595, 3, 'M10220210318023', '118.80303280672375', '31.825680081135932', '94.754166', '65.56335', '1.3603474', '-13.208982', '61.35892', '6.4925265', '6.202072', '1630718670112', 0, '2021-09-04 09:24:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38596, 3, 'M10220210318023', '118.80677867473051', '31.829106206472872', '93.86886', '65.398964', '7.224463', '-13.997001', '39.308926', '11.837593', '11.787426', '1630718926183', 0, '2021-09-04 09:28:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38597, 3, 'M10220210318023', '118.80309651537587', '31.825709997376208', '94.42482', '65.53379', '1.7635479', '-12.983648', '61.508675', '7.175145', '6.930144', '1630718670112', 0, '2021-09-04 09:24:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38598, 3, 'M10220210318023', '118.80685923444834', '31.829188498185108', '92.9483', '65.38263', '5.848269', '-13.327199', '39.824', '11.86608', '11.834478', '1630718928183', 0, '2021-09-04 09:28:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38599, 3, 'M10220210318023', '118.80316645133485', '31.825742973042722', '94.300766', '65.447624', '0.32852873', '-11.97582', '60.23896', '7.6974077', '7.5333257', '1630718672112', 0, '2021-09-04 09:24:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38600, 3, 'M10220210318023', '118.80694130999065', '31.82926959217038', '93.456924', '65.354', '6.095945', '-13.208654', '40.48216', '11.840852', '11.870467', '1630718928183', 0, '2021-09-04 09:28:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38601, 3, 'M10220210318023', '118.80323822458176', '31.825778782585026', '94.41538', '65.50319', '0.9487529', '-12.359699', '58.308033', '8.034552', '7.945697', '1630718672112', 0, '2021-09-04 09:24:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38602, 3, 'M10220210318023', '118.80702393468864', '31.829348565940375', '93.73538', '65.40966', '6.988831', '-13.71604', '41.26714', '11.785123', '11.8416', '1630718930184', 0, '2021-09-04 09:28:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38603, 3, 'M10220210318023', '118.80331172729001', '31.82581818880363', '94.63298', '65.496254', '2.4373105', '-11.9611635', '57.31199', '8.353196', '8.247993', '1630718674113', 0, '2021-09-04 09:24:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38604, 3, 'M10220210318023', '118.80710859920002', '31.829426991700224', '93.7143', '65.472565', '7.7327194', '-12.190904', '43.554478', '11.857747', '11.791412', '1630718930184', 0, '2021-09-04 09:28:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38605, 3, 'M10220210318023', '118.80338712345682', '31.825859958984168', '94.32843', '65.474976', '1.1723586', '-12.588867', '56.796867', '8.523705', '8.473376', '1630718674113', 0, '2021-09-04 09:24:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38606, 3, 'M10220210318023', '118.80719696615634', '31.829503390179028', '93.8004', '65.36536', '6.3838835', '-12.517', '44.90139', '11.766515', '11.759562', '1630718932185', 0, '2021-09-04 09:28:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38607, 3, 'M10220210318023', '118.8034630702615', '31.825904029525603', '94.55747', '65.483025', '1.1235502', '-12.8810425', '54.70882', '8.717367', '8.665016', '1630718676114', 0, '2021-09-04 09:24:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38608, 3, 'M10220210318023', '118.80728636302149', '31.829576042779678', '93.73288', '65.31982', '6.8503056', '-13.769936', '46.352703', '11.638232', '11.67833', '1630718932185', 0, '2021-09-04 09:28:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38609, 3, 'M10220210318023', '118.80354010692683', '31.82595206930249', '94.25168', '65.47029', '2.195041', '-12.5996065', '53.063103', '8.868195', '8.842522', '1630718676114', 0, '2021-09-04 09:24:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38610, 3, 'M10220210318023', '118.80737783519179', '31.829645800439387', '93.95805', '65.31708', '7.4532757', '-14.663595', '48.160423', '11.580913', '11.591679', '1630718934185', 0, '2021-09-04 09:28:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38611, 3, 'M10220210318023', '118.80361353077164', '31.826000073749356', '94.38992', '65.47529', '3.4867775', '-13.272856', '52.78611', '8.940222', '8.950648', '1630718678114', 0, '2021-09-04 09:24:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38612, 3, 'M10220210318023', '118.80747047504384', '31.829711683374125', '93.48361', '65.31245', '7.6322637', '-16.644089', '50.254105', '11.411212', '11.401697', '1630718934185', 0, '2021-09-04 09:28:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38613, 3, 'M10220210318023', '118.80368991811007', '31.82605045802409', '93.9919', '65.43841', '2.341347', '-12.958651', '52.037373', '9.072315', '9.046927', '1630718678114', 0, '2021-09-04 09:24:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38614, 3, 'M10220210318023', '118.80756819960106', '31.829775682401678', '93.79985', '65.3304', '6.933169', '-16.594393', '52.075348', '11.571167', '11.510282', '1630718936186', 0, '2021-09-04 09:28:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38615, 3, 'M10220210318023', '118.80376685465461', '31.826103494555447', '94.241745', '65.468315', '3.695977', '-13.035528', '51.056744', '9.162474', '9.145622', '1630718680115', 0, '2021-09-04 09:24:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38616, 3, 'M10220210318023', '118.80766686724557', '31.82983587963095', '93.36846', '65.33564', '5.768724', '-15.575245', '54.49654', '11.662357', '11.626082', '1630718936186', 0, '2021-09-04 09:28:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38617, 3, 'M10220210318023', '118.80384071579026', '31.82615535263545', '93.77726', '65.47317', '2.951468', '-12.743282', '50.834988', '9.20413', '9.215058', '1630718680115', 0, '2021-09-04 09:24:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38618, 3, 'M10220210318023', '118.80777072607069', '31.82989383903554', '93.05187', '65.35873', '5.1380777', '-15.917946', '57.062885', '11.723952', '11.701629', '1630718938186', 0, '2021-09-04 09:28:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38619, 3, 'M10220210318023', '118.80391546291135', '31.82620908175266', '94.321', '65.46615', '4.1527915', '-12.868844', '49.940235', '9.218951', '9.25709', '1630718682115', 0, '2021-09-04 09:24:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38620, 3, 'M10220210318023', '118.80787987997313', '31.829948538888143', '93.980865', '65.3673', '3.9458246', '-16.775126', '59.308247', '11.723966', '11.735255', '1630718938186', 0, '2021-09-04 09:28:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38621, 3, 'M10220210318023', '118.80398927845205', '31.82626271529708', '94.20896', '65.460175', '3.2435167', '-13.321817', '49.571304', '9.222808', '9.251086', '1630718682115', 0, '2021-09-04 09:24:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38622, 3, 'M10220210318023', '118.80798622901858', '31.829998067053346', '94.01732', '65.40421', '3.5345926', '-17.13915', '60.986988', '11.657728', '11.708065', '1630718940187', 0, '2021-09-04 09:29:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38623, 3, 'M10220210318023', '118.80406418149522', '31.826318056207292', '94.20427', '65.48038', '3.7715852', '-13.319779', '48.980488', '9.265072', '9.250173', '1630718684116', 0, '2021-09-04 09:24:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38624, 3, 'M10220210318023', '118.80809552616238', '31.830046271384138', '93.88036', '65.3939', '3.3568392', '-16.121378', '61.522423', '11.605232', '11.624019', '1630718940187', 0, '2021-09-04 09:29:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38625, 3, 'M10220210318023', '118.80413814795698', '31.826373302174357', '93.85376', '65.43121', '4.1539035', '-13.134765', '48.793346', '9.308985', '9.299043', '1630718684116', 0, '2021-09-04 09:24:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38626, 3, 'M10220210318023', '118.80820498011568', '31.830094670904092', '93.78789', '65.36277', '4.4667587', '-15.28785', '62.2113', '11.688358', '11.633271', '1630718942187', 0, '2021-09-04 09:29:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38627, 3, 'M10220210318023', '118.80421244542049', '31.82642921013472', '93.95042', '65.456474', '5.2492566', '-14.0341625', '48.765045', '9.414565', '9.3867035', '1630718686116', 0, '2021-09-04 09:24:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38628, 3, 'M10220210318023', '118.80831756188654', '31.83014339582895', '93.93079', '65.390495', '5.3809676', '-15.617938', '62.501915', '11.667544', '11.659031', '1630718942187', 0, '2021-09-04 09:29:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38629, 3, 'M10220210318023', '118.80428755157384', '31.826486310844675', '94.1563', '65.44393', '5.250205', '-12.979108', '48.810097', '9.529353', '9.490464', '1630718686116', 0, '2021-09-04 09:24:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38630, 3, 'M10220210318023', '118.80842551451667', '31.83018901637194', '93.724365', '65.38309', '4.8754597', '-16.294817', '63.294693', '11.628134', '11.65886', '1630718944188', 0, '2021-09-04 09:29:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38631, 3, 'M10220210318023', '118.80436334126787', '31.82654325228665', '93.910065', '65.414566', '4.806504', '-12.975025', '49.043037', '9.537023', '9.551178', '1630718688117', 0, '2021-09-04 09:24:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38632, 3, 'M10220210318023', '118.80853675338727', '31.8302338906982', '93.69598', '65.40536', '2.994927', '-15.422564', '63.70451', '11.703113', '11.674456', '1630718944188', 0, '2021-09-04 09:29:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38633, 3, 'M10220210318023', '118.80443932350524', '31.82660006184482', '93.692444', '65.42825', '3.564802', '-12.37816', '48.609764', '9.566179', '9.566206', '1630718688117', 0, '2021-09-04 09:24:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38634, 3, 'M10220210318023', '118.80865104554351', '31.83027953782942', '93.83898', '65.455986', '2.3111591', '-12.784176', '64.09823', '11.633577', '11.679645', '1630718946188', 0, '2021-09-04 09:29:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38635, 3, 'M10220210318023', '118.80451533099021', '31.826657660786704', '94.00116', '65.44803', '4.2804704', '-12.326771', '48.398476', '9.543689', '9.605967', '1630718690117', 0, '2021-09-04 09:24:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38636, 3, 'M10220210318023', '118.8087546723602', '31.830320086742905', '96.111206', '65.49672', '0.88315916', '22.839193', '64.92303', '10.660081', '11.352396', '1630718946188', 0, '2021-09-04 09:29:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38637, 3, 'M10220210318023', '118.80459053224557', '31.826715073603197', '94.063736', '65.37693', '4.1869774', '-12.273178', '47.60967', '9.531814', '9.567768', '1630718690117', 0, '2021-09-04 09:24:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38638, 3, 'M10220210318023', '118.80882496783147', '31.83034790668718', '99.02791', '65.646484', '-0.38344428', '28.53067', '63.83672', '5.8014255', '7.784221', '1630718948189', 0, '2021-09-04 09:29:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38639, 3, 'M10220210318023', '118.80466457235288', '31.826773343490814', '93.86493', '65.397415', '3.755086', '-12.318866', '46.51372', '9.533092', '9.533274', '1630718692118', 0, '2021-09-04 09:24:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38640, 3, 'M10220210318023', '118.80885139118823', '31.830360618109744', '96.372536', '65.56151', '2.501943', '7.756641', '59.20352', '1.3433478', '2.2698019', '1630718948189', 0, '2021-09-04 09:29:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38641, 3, 'M10220210318023', '118.80473723892575', '31.82683279179553', '93.89484', '65.441864', '5.0507674', '-11.853857', '45.640957', '9.53535', '9.561595', '1630718692118', 0, '2021-09-04 09:24:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38642, 3, 'M10220210318023', '118.80885748158626', '31.830364241172543', '95.55141', '65.577995', '2.5468342', '2.3947794', '52.99102', '0.543068', '0.8657944', '1630718950190', 0, '2021-09-04 09:29:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38643, 3, 'M10220210318023', '118.80480898480782', '31.82689285482974', '94.375984', '65.42613', '4.1474757', '-11.83757', '44.947666', '9.445088', '9.525177', '1630718694119', 0, '2021-09-04 09:24:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38644, 3, 'M10220210318023', '118.80885812495633', '31.830365477005326', '95.193', '65.57898', '3.4531178', '0.81785685', '46.459255', '0.18038312', '0.2679552', '1630718950190', 0, '2021-09-04 09:29:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38645, 3, 'M10220210318023', '118.80487837669311', '31.826953726994446', '94.43123', '65.42712', '5.447115', '-12.263311', '43.7508', '9.357559', '9.419772', '1630718694119', 0, '2021-09-04 09:24:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38646, 3, 'M10220210318023', '118.80885725476077', '31.83036520834606', '95.03431', '65.73096', '2.7647533', '-0.88516915', '39.549267', '0.13569443', '0.14696938', '1630718952190', 0, '2021-09-04 09:29:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38647, 3, 'M10220210318023', '118.80494599124349', '31.827015019281987', '94.28783', '65.43346', '5.090287', '-12.759757', '42.783318', '9.304106', '9.33082', '1630718696119', 0, '2021-09-04 09:24:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38648, 3, 'M10220210318023', '118.80885710859894', '31.83036487827893', '94.74413', '65.718956', '2.4189875', '-0.26069877', '33.303387', '0.11391331', '0.16309507', '1630718952190', 0, '2021-09-04 09:29:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38649, 3, 'M10220210318023', '118.80501238487427', '31.827076824763598', '93.67277', '65.4253', '4.3342066', '-12.095399', '41.92103', '9.272462', '9.302484', '1630718696119', 0, '2021-09-04 09:24:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38650, 3, 'M10220210318023', '118.80885677884743', '31.830364277085224', '94.66981', '65.72398', '2.9122522', '-0.81651944', '25.419407', '0.11929829', '0.17233688', '1630718954191', 0, '2021-09-04 09:29:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38651, 3, 'M10220210318023', '118.80507827613415', '31.827139918850325', '94.0475', '65.41178', '3.7419174', '-12.244579', '40.74885', '9.252229', '9.27205', '1630718698120', 0, '2021-09-04 09:24:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38652, 3, 'M10220210318023', '118.80885687435277', '31.830364127951896', '94.73382', '65.72474', '3.0098763', '-0.39234298', '16.635164', '0.11182453', '0.18411952', '1630718954191', 0, '2021-09-04 09:29:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38653, 3, 'M10220210318023', '118.80514325186567', '31.82720369568805', '93.83044', '65.38896', '4.3906612', '-12.300744', '40.236103', '9.230029', '9.257705', '1630718698120', 0, '2021-09-04 09:24:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38654, 3, 'M10220210318023', '118.80885694146464', '31.830364021036466', '94.325775', '65.68542', '2.8512897', '-0.2811438', '7.547603', '0.12474661', '0.18708286', '1630718956191', 0, '2021-09-04 09:29:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38655, 3, 'M10220210318023', '118.80520602790925', '31.8272654043975', '93.83404', '65.41262', '4.165476', '-12.765865', '40.230156', '9.22097', '9.243614', '1630718700120', 0, '2021-09-04 09:25:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38656, 3, 'M10220210318023', '118.80885740189068', '31.830364567127592', '93.84384', '65.60669', '2.1265185', '1.3613667', '-2.45651', '0.10953991', '0.22583179', '1630718956191', 0, '2021-09-04 09:29:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38657, 3, 'M10220210318023', '118.80526990581343', '31.827328691206144', '93.92745', '65.41458', '3.3145952', '-12.179058', '39.837536', '9.254048', '9.259751', '1630718700120', 0, '2021-09-04 09:25:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38658, 3, 'M10220210318023', '118.80885763032914', '31.830365026041534', '94.06127', '65.53646', '1.4862776', '2.0043805', '-12.076351', '0.07115341', '0.14142136', '1630718958192', 0, '2021-09-04 09:29:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38659, 3, 'M10220210318023', '118.80533220562099', '31.827392238792488', '93.78629', '65.40301', '3.7891166', '-11.775', '38.759903', '9.255417', '9.25067', '1630718702121', 0, '2021-09-04 09:25:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38660, 3, 'M10220210318023', '118.80885762064952', '31.830365138988093', '93.60084', '65.44121', '1.8967015', '2.3839018', '-21.829624', '0.038216513', '0.11357817', '1630718958192', 0, '2021-09-04 09:29:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38661, 3, 'M10220210318023', '118.80539495359378', '31.8274577975541', '93.77704', '65.40955', '4.647394', '-11.675161', '38.313736', '9.250122', '9.267799', '1630718702121', 0, '2021-09-04 09:25:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38662, 3, 'M10220210318023', '118.80885779036508', '31.830365096496067', '93.57816', '65.38673', '2.214652', '2.8466716', '-31.507456', '0.024580685', '0.076811455', '1630718960192', 0, '2021-09-04 09:29:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38663, 3, 'M10220210318023', '118.8054579337155', '31.827524196629906', '93.9829', '65.41545', '4.6614966', '-11.127228', '38.533894', '9.165161', '9.255166', '1630718704121', 0, '2021-09-04 09:25:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38664, 3, 'M10220210318023', '118.80885783134204', '31.830364567401745', '93.43603', '65.3996', '1.6164585', '2.8167992', '-40.404705', '0.03720351', '0.014142135', '1630718960192', 0, '2021-09-04 09:29:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38665, 3, 'M10220210318023', '118.80551856637418', '31.827588080725764', '94.502', '65.46069', '4.408088', '-8.992713', '38.653984', '8.960731', '9.080071', '1630718704121', 0, '2021-09-04 09:25:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38666, 3, 'M10220210318023', '118.80885752546683', '31.830364056400803', '93.26567', '65.41223', '1.7179449', '3.2843847', '-49.177677', '0.021344401', '0.041231055', '1630718962193', 0, '2021-09-04 09:29:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38667, 3, 'M10220210318023', '118.80557514441186', '31.827650403445105', '94.37066', '65.50875', '1.8348259', '-5.7492933', '39.31517', '8.44299', '8.671476', '1630718706122', 0, '2021-09-04 09:25:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38668, 3, 'M10220210318023', '118.80885777552304', '31.830363688227912', '93.11821', '65.39718', '0.7434479', '3.020867', '-57.95191', '0.014283738', '0.054772258', '1630718962193', 0, '2021-09-04 09:29:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38669, 3, 'M10220210318023', '118.80562361514363', '31.827710499924688', '94.67015', '65.52261', '-0.90305007', '-5.2195625', '39.29552', '7.767181', '8.038589', '1630718706122', 0, '2021-09-04 09:25:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38670, 3, 'M10220210318023', '118.80885797298684', '31.830363613935372', '93.41412', '65.38879', '0.33141816', '3.1606047', '-66.98785', '0.04215279', '0.071414284', '1630718964193', 0, '2021-09-04 09:29:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38671, 3, 'M10220210318023', '118.8056613481396', '31.827768970330162', '95.37147', '65.577446', '-2.4136775', '-5.281621', '39.30933', '7.1983695', '7.4014864', '1630718708122', 0, '2021-09-04 09:25:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38672, 3, 'M10220210318023', '118.80885802073942', '31.830363832700815', '94.04385', '65.42062', '-0.62777954', '3.556123', '-75.66666', '0.031075068', '0.09', '1630718964193', 0, '2021-09-04 09:29:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38673, 3, 'M10220210318023', '118.80568875639588', '31.827827339988378', '95.18868', '65.58484', '-2.0013087', '-7.228936', '39.100002', '7.0439296', '7.112721', '1630718708122', 0, '2021-09-04 09:25:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38674, 3, 'M10220210318023', '118.80885799718577', '31.830363876837705', '93.39012', '65.44418', '-0.9333467', '2.6347969', '-84.84163', '0.023427578', '0.09433981', '1630718966194', 0, '2021-09-04 09:29:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38675, 3, 'M10220210318023', '118.80571104237208', '31.827889422079355', '95.24062', '65.58092', '4.0448556', '-13.555197', '38.539455', '7.2821245', '7.1387396', '1630718710123', 0, '2021-09-04 09:25:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38676, 3, 'M10220210318023', '118.80885299122099', '31.830363632028792', '93.70474', '65.46976', '-1.3751653', '-6.9220824', '-92.894806', '1.0981148', '0.5700877', '1630718966194', 0, '2021-09-04 09:29:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38677, 3, 'M10220210318023', '118.80573906254048', '31.827954013256246', '94.471275', '65.55561', '6.219968', '-13.570825', '37.965874', '7.907539', '7.634559', '1630718710123', 0, '2021-09-04 09:25:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38678, 3, 'M10220210318023', '118.80883220848426', '31.830360918844143', '92.88825', '65.41634', '-1.614875', '-9.414808', '-98.49643', '2.8749976', '2.1984768', '1630718968194', 0, '2021-09-04 09:29:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38679, 3, 'M10220210318023', '118.80577654257677', '31.8280202289995', '94.11282', '65.506004', '8.140845', '-12.484099', '38.072598', '8.239525', '8.126684', '1630718712123', 0, '2021-09-04 09:25:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38680, 3, 'M10220210318023', '118.80879290545639', '31.83035473310105', '92.88631', '65.32632', '-1.6404467', '-9.529047', '-100.54344', '4.581624', '3.9705288', '1630718968194', 0, '2021-09-04 09:29:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38681, 3, 'M10220210318023', '118.8058224509588', '31.82808420568688', '93.36264', '65.467575', '7.8563733', '-11.822346', '37.997166', '8.42212', '8.34773', '1630718712123', 0, '2021-09-04 09:25:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38682, 3, 'M10220210318023', '118.80873726262763', '31.830345414735767', '93.50897', '65.31763', '-2.4398546', '-9.716253', '-102.16291', '5.997323', '5.510962', '1630718970195', 0, '2021-09-04 09:29:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38683, 3, 'M10220210318023', '118.8058753002555', '31.828145863268887', '93.5988', '65.42122', '6.0108223', '-10.618664', '38.508873', '8.4495735', '8.462069', '1630718714124', 0, '2021-09-04 09:25:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38684, 3, 'M10220210318023', '118.8086720876569', '31.830332804471745', '93.1882', '65.356026', '-2.976548', '-10.843872', '-103.73447', '7.1967173', '6.7900367', '1630718970195', 0, '2021-09-04 09:29:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38685, 3, 'M10220210318023', '118.80593096857277', '31.828204519954003', '93.52463', '65.43903', '7.883093', '-9.275853', '38.342293', '8.359147', '8.430546', '1630718714124', 0, '2021-09-04 09:25:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38686, 3, 'M10220210318023', '118.80859160118068', '31.83031476482273', '93.44339', '65.30893', '-2.7405086', '-10.782209', '-105.73268', '8.394244', '7.9927278', '1630718972196', 0, '2021-09-04 09:29:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38687, 3, 'M10220210318023', '118.80599115693812', '31.8282607515778', '93.49107', '65.41315', '6.14285', '-7.808188', '38.43171', '8.1848', '8.280108', '1630718716125', 0, '2021-09-04 09:25:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38688, 3, 'M10220210318023', '118.80849806725637', '31.830290749971716', '93.26782', '65.34819', '-2.4836068', '-10.71456', '-107.76025', '9.266749', '9.021873', '1630718972196', 0, '2021-09-04 09:29:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38689, 3, 'M10220210318023', '118.80605145355351', '31.82831229797541', '93.772964', '65.40022', '3.3991454', '-6.4277363', '38.95817', '7.861732', '8.068345', '1630718716125', 0, '2021-09-04 09:25:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38690, 3, 'M10220210318023', '118.80840116451066', '31.83026249112629', '93.03632', '65.3416', '-2.5719078', '-9.911232', '-109.64965', '10.012812', '9.791169', '1630718974196', 0, '2021-09-04 09:29:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38691, 3, 'M10220210318023', '118.80610790382056', '31.828361148047964', '93.98949', '65.39919', '3.8442976', '-8.843881', '38.556545', '7.7101274', '7.742984', '1630718718125', 0, '2021-09-04 09:25:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38692, 3, 'M10220210318023', '118.80830410431045', '31.830231096094842', '93.1271', '65.30564', '-4.9797597', '-9.660767', '-112.50601', '10.52458', '10.398216', '1630718974196', 0, '2021-09-04 09:29:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38693, 3, 'M10220210318023', '118.80616427923214', '31.828412139170577', '93.73978', '65.38847', '3.4078975', '-9.84664', '38.47363', '7.784659', '7.7536445', '1630718718125', 0, '2021-09-04 09:25:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38694, 3, 'M10220210318023', '118.8081997631194', '31.83019102144927', '93.22617', '65.305725', '-4.7063975', '-9.374672', '-116.729126', '10.9170475', '10.85012', '1630718976197', 0, '2021-09-04 09:29:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38695, 3, 'M10220210318023', '118.80622082871508', '31.82846517169263', '93.90128', '65.414696', '3.3505898', '-8.571106', '38.581615', '7.795554', '7.835343', '1630718720126', 0, '2021-09-04 09:25:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38696, 3, 'M10220210318023', '118.80809202342267', '31.830142277332754', '92.834564', '65.27971', '-5.5433826', '-9.10281', '-119.93117', '11.222809', '11.165912', '1630718976197', 0, '2021-09-04 09:29:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38697, 3, 'M10220210318023', '118.80627580558654', '31.82851781383628', '93.81963', '65.43196', '3.2194602', '-9.767471', '38.62974', '7.7746134', '7.798006', '1630718720126', 0, '2021-09-04 09:25:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38698, 3, 'M10220210318023', '118.80798863179993', '31.83009064046837', '92.55341', '65.214226', '-4.6669097', '-7.935014', '-121.191284', '11.418523', '11.350172', '1630718978198', 0, '2021-09-04 09:29:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38699, 3, 'M10220210318023', '118.80633058693023', '31.828571669607143', '93.87161', '65.42346', '3.6293807', '-10.930108', '38.546715', '7.9914546', '7.9152894', '1630718722126', 0, '2021-09-04 09:25:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38700, 3, 'M10220210318023', '118.80788539408283', '31.83003524072905', '92.537346', '65.197815', '-6.0147357', '-8.380176', '-124.05817', '11.624613', '11.588209', '1630718978198', 0, '2021-09-04 09:29:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38701, 3, 'M10220210318023', '118.80638632139133', '31.828627532920866', '94.05909', '65.443665', '3.2568567', '-12.233798', '38.629406', '8.193976', '8.115423', '1630718722126', 0, '2021-09-04 09:25:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38702, 3, 'M10220210318023', '118.80778440913011', '31.829975468148533', '92.56509', '65.19793', '-5.2456613', '-8.150565', '-126.362854', '11.804986', '11.762687', '1630718980198', 0, '2021-09-04 09:29:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38703, 3, 'M10220210318023', '118.80644287087439', '31.828685248201772', '93.73559', '65.39952', '4.4627028', '-13.99906', '38.23663', '8.441307', '8.32015', '1630718724127', 0, '2021-09-04 09:25:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38704, 3, 'M10220210318023', '118.80768200740724', '31.829911115475284', '92.491776', '65.23147', '-4.1549587', '-7.937109', '-126.71734', '11.912088', '11.884533', '1630718980198', 0, '2021-09-04 09:29:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38705, 3, 'M10220210318023', '118.80649991337144', '31.828743739304954', '93.7681', '65.347084', '3.662419', '-12.082368', '38.75866', '8.689786', '8.654167', '1630718724127', 0, '2021-09-04 09:25:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38706, 3, 'M10220210318023', '118.80758169389578', '31.829846260847773', '92.77309', '65.244774', '-4.45799', '-7.9219475', '-127.734566', '11.887474', '11.902378', '1630718982199', 0, '2021-09-04 09:29:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38707, 3, 'M10220210318023', '118.80655918959631', '31.828804682198328', '93.60219', '65.31676', '3.0774271', '-12.530062', '38.63893', '8.869198', '8.791023', '1630718726127', 0, '2021-09-04 09:25:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38708, 3, 'M10220210318023', '118.80748312755107', '31.82977969310606', '92.55939', '65.25001', '-5.2744274', '-7.961302', '-128.53325', '11.911064', '11.913358', '1630718982199', 0, '2021-09-04 09:29:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38709, 3, 'M10220210318023', '118.8066196296311', '31.82886630715734', '93.40219', '65.25163', '3.2530615', '-11.846591', '38.701855', '8.976944', '9.001028', '1630718726127', 0, '2021-09-04 09:25:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38710, 3, 'M10220210318023', '118.80738558950208', '31.829711923525227', '92.721375', '65.22787', '-5.231408', '-8.41071', '-130.13666', '11.914102', '11.919736', '1630718984199', 0, '2021-09-04 09:29:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38711, 3, 'M10220210318023', '118.80668209011993', '31.82893052413026', '93.866844', '65.26028', '2.5707743', '-12.092977', '38.724762', '9.02456', '9.011443', '1630718728128', 0, '2021-09-04 09:25:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38712, 3, 'M10220210318023', '118.80729101340907', '31.82964155891497', '92.694885', '65.21118', '-5.7221932', '-7.968219', '-132.20297', '11.978239', '12.019659', '1630718984199', 0, '2021-09-04 09:29:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38713, 3, 'M10220210318023', '118.80674304607712', '31.828994255871578', '93.87873', '65.33616', '3.5951114', '-11.659872', '38.778694', '9.138384', '9.085973', '1630718728128', 0, '2021-09-04 09:25:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38714, 3, 'M10220210318023', '118.80719781891688', '31.82956717072058', '92.51724', '65.1755', '-6.6126833', '-7.243504', '-134.37695', '12.088357', '12.104995', '1630718986200', 0, '2021-09-04 09:29:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38715, 3, 'M10220210318023', '118.80680461507528', '31.8290590109855', '93.67983', '65.366066', '3.925978', '-11.088728', '38.706554', '9.206331', '9.220916', '1630718730128', 0, '2021-09-04 09:25:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38716, 3, 'M10220210318023', '118.80710708820423', '31.829490008481894', '92.42006', '65.208954', '-5.199296', '-7.828937', '-135.725', '12.065971', '12.113076', '1630718986200', 0, '2021-09-04 09:29:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38717, 3, 'M10220210318023', '118.8068656262061', '31.829123885077127', '93.891594', '65.37319', '4.241692', '-11.117082', '38.69817', '9.201661', '9.194118', '1630718730128', 0, '2021-09-04 09:25:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38718, 3, 'M10220210318023', '118.80701724317434', '31.829411104892326', '92.991806', '65.20737', '-4.705313', '-7.6833644', '-135.98735', '12.0788765', '12.086112', '1630718988200', 0, '2021-09-04 09:29:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38719, 3, 'M10220210318023', '118.80692695644099', '31.82918857631596', '93.53681', '65.384415', '3.0974317', '-10.979848', '38.93919', '9.1936245', '9.177086', '1630718732129', 0, '2021-09-04 09:25:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38720, 3, 'M10220210318023', '118.80692893526408', '31.82933281017244', '92.685875', '65.24244', '-4.6108127', '-7.663142', '-136.10464', '12.083694', '12.072568', '1630718988200', 0, '2021-09-04 09:29:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38721, 3, 'M10220210318023', '118.80698876678366', '31.829252867855548', '93.51992', '65.38042', '3.3502648', '-11.130671', '38.52131', '9.177693', '9.19464', '1630718732129', 0, '2021-09-04 09:25:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38722, 3, 'M10220210318023', '118.80684094452188', '31.829254196351105', '92.741905', '65.24263', '-4.2035117', '-7.6686754', '-136.09776', '12.049909', '12.080762', '1630718990201', 0, '2021-09-04 09:29:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38723, 3, 'M10220210318023', '118.80705012702522', '31.829317520988614', '93.69623', '65.3385', '3.649393', '-9.971938', '38.509583', '9.175085', '9.212964', '1630718734130', 0, '2021-09-04 09:25:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38724, 3, 'M10220210318023', '118.80675399143229', '31.829175071802975', '93.322365', '65.22772', '-5.517058', '-8.938301', '-136.64938', '12.010579', '12.076332', '1630718990201', 0, '2021-09-04 09:29:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38725, 3, 'M10220210318023', '118.80711176636187', '31.82938067319352', '93.7061', '65.43675', '4.2427483', '-10.174933', '40.343815', '9.096151', '9.110022', '1630718734130', 0, '2021-09-04 09:25:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38726, 3, 'M10220210318023', '118.80666957407388', '31.829095470521693', '93.30754', '65.31212', '-5.1271334', '-10.064039', '-138.37625', '11.993266', '12.0203285', '1630718992201', 0, '2021-09-04 09:29:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38727, 3, 'M10220210318023', '118.80717470502272', '31.82944246483098', '94.06554', '65.48965', '3.607507', '-9.713414', '41.372204', '9.082726', '9.107211', '1630718736130', 0, '2021-09-04 09:25:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38728, 3, 'M10220210318023', '118.80658587655476', '31.82901238050762', '93.04752', '65.32355', '-6.964027', '-9.56526', '-140.60683', '12.040748', '12.049605', '1630718992201', 0, '2021-09-04 09:29:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38729, 3, 'M10220210318023', '118.807238374493', '31.829502637110856', '94.38317', '65.55946', '3.4937778', '-10.120605', '42.07444', '9.057821', '9.04375', '1630718736130', 0, '2021-09-04 09:25:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38730, 3, 'M10220210318023', '118.80650722791219', '31.82892669518995', '92.77131', '65.30513', '-4.546154', '-9.617437', '-142.55809', '12.13378', '12.098297', '1630718994202', 0, '2021-09-04 09:29:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38731, 3, 'M10220210318023', '118.80730380661748', '31.829561758055643', '94.080536', '65.54362', '3.636693', '-10.223012', '43.831825', '9.024048', '9.048369', '1630718738131', 0, '2021-09-04 09:25:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38732, 3, 'M10220210318023', '118.80642856958987', '31.828837505239157', '92.98436', '65.2099', '-3.95494', '-8.551432', '-142.421', '12.177632', '12.168039', '1630718994202', 0, '2021-09-04 09:29:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38733, 3, 'M10220210318023', '118.80737169123783', '31.82961939671171', '93.54364', '65.5268', '3.8351467', '-10.132674', '45.638', '8.989791', '8.987625', '1630718738131', 0, '2021-09-04 09:25:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38734, 3, 'M10220210318023', '118.80635246506733', '31.828750021823158', '93.28713', '65.23073', '-4.735971', '-8.2861595', '-143.17256', '12.165913', '12.210348', '1630718996202', 0, '2021-09-04 09:29:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38735, 3, 'M10220210318023', '118.80743985041768', '31.829674225415303', '93.53568', '65.451965', '4.093783', '-9.904869', '47.448788', '8.937105', '8.970496', '1630718740131', 0, '2021-09-04 09:25:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38736, 3, 'M10220210318023', '118.8062776285717', '31.82866346733778', '93.07914', '65.27512', '-4.513907', '-8.239508', '-143.31235', '12.120864', '12.154876', '1630718996202', 0, '2021-09-04 09:29:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38737, 3, 'M10220210318023', '118.80751020268015', '31.829727238473296', '93.92048', '65.438446', '4.1296787', '-9.955536', '48.949707', '8.93093', '8.9615965', '1630718740131', 0, '2021-09-04 09:25:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38738, 3, 'M10220210318023', '118.80620086293284', '31.8285737252647', '93.69943', '65.33672', '-4.691609', '-8.721984', '-143.49217', '11.995246', '12.025439', '1630718998203', 0, '2021-09-04 09:29:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38739, 3, 'M10220210318023', '118.8075816497048', '31.829778711949075', '93.44874', '65.39344', '4.8101153', '-10.204684', '50.61753', '8.83952', '8.869831', '1630718742132', 0, '2021-09-04 09:25:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38740, 3, 'M10220210318023', '118.8061283092083', '31.828487434915274', '93.56366', '65.41009', '-6.3407445', '-9.489721', '-144.75203', '11.865203', '11.936712', '1630718998203', 0, '2021-09-04 09:29:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38741, 3, 'M10220210318023', '118.80765528625385', '31.829827742270133', '94.13638', '65.40033', '3.9397433', '-11.30007', '52.639297', '8.895706', '8.866578', '1630718742132', 0, '2021-09-04 09:25:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38742, 3, 'M10220210318023', '118.8060562547895', '31.82840013695642', '93.46793', '65.42845', '-5.2385597', '-8.493212', '-145.28543', '11.821261', '11.8379135', '1630719000204', 0, '2021-09-04 09:30:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38743, 3, 'M10220210318023', '118.80773308052272', '31.829876411270043', '94.118835', '65.409676', '3.8551834', '-10.655681', '54.4689', '8.904999', '8.9307', '1630718744132', 0, '2021-09-04 09:25:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38744, 3, 'M10220210318023', '118.80598382157585', '31.828311353010115', '93.39673', '65.3941', '-5.3290253', '-9.871763', '-144.61142', '11.72833', '11.775713', '1630719000204', 0, '2021-09-04 09:30:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38745, 3, 'M10220210318023', '118.8078098097025', '31.82992196848445', '94.148636', '65.377144', '3.686212', '-11.163586', '55.794044', '8.853366', '8.827259', '1630718744132', 0, '2021-09-04 09:25:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38746, 3, 'M10220210318023', '118.80591250441947', '31.82822464322321', '93.225716', '65.34004', '-4.2120976', '-8.531851', '-144.38954', '11.754381', '11.746255', '1630719002204', 0, '2021-09-04 09:30:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38747, 3, 'M10220210318023', '118.80788830250452', '31.829966576344578', '94.230286', '65.31997', '5.067947', '-11.5030575', '56.697163', '8.886329', '8.85588', '1630718746133', 0, '2021-09-04 09:25:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38748, 3, 'M10220210318023', '118.80584119968519', '31.82814032518935', '93.46744', '65.32477', '-6.028563', '-8.5029545', '-143.47192', '11.730802', '11.749511', '1630719002204', 0, '2021-09-04 09:30:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38749, 3, 'M10220210318023', '118.80796832242423', '31.83000989135044', '93.61862', '65.39495', '6.0301743', '-11.542506', '58.946594', '8.991841', '8.943635', '1630718746133', 0, '2021-09-04 09:25:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38750, 3, 'M10220210318023', '118.80576680151377', '31.828055552764912', '93.22351', '65.33983', '-4.7025647', '-7.788362', '-142.86723', '11.720097', '11.72603', '1630719004205', 0, '2021-09-04 09:30:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38751, 3, 'M10220210318023', '118.80805035118235', '31.830051080109957', '93.9907', '65.39729', '6.5140285', '-11.716436', '61.691853', '9.027821', '9.012359', '1630718748133', 0, '2021-09-04 09:25:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38752, 3, 'M10220210318023', '118.80569232413102', '31.827972264271843', '93.56914', '65.32833', '-4.2728896', '-7.89258', '-142.02211', '11.65959', '11.672399', '1630719004205', 0, '2021-09-04 09:30:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38753, 3, 'M10220210318023', '118.80813366828083', '31.830088690219483', '93.29115', '65.38277', '5.5566', '-12.006599', '63.860413', '8.95683', '9.0047655', '1630718748133', 0, '2021-09-04 09:25:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38754, 3, 'M10220210318023', '118.8056162943026', '31.827888657910975', '93.54554', '65.305786', '-4.036077', '-8.68153', '-140.99753', '11.557707', '11.607903', '1630719006205', 0, '2021-09-04 09:30:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38755, 3, 'M10220210318023', '118.80822046747912', '31.83012392680356', '93.92153', '65.352455', '4.718829', '-11.883119', '65.54949', '8.885834', '8.92371', '1630718750134', 0, '2021-09-04 09:25:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38756, 3, 'M10220210318023', '118.80554048387839', '31.827806872265104', '93.647285', '65.38107', '-3.4593115', '-8.911732', '-140.52594', '11.510046', '11.566357', '1630719006205', 0, '2021-09-04 09:30:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38757, 3, 'M10220210318023', '118.80830406593027', '31.83015562531178', '93.36296', '65.324394', '4.938855', '-11.2328', '66.020905', '8.743914', '8.836566', '1630718750134', 0, '2021-09-04 09:25:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38758, 3, 'M10220210318023', '118.8054644009735', '31.8277263095673', '93.755806', '65.43093', '-2.979725', '-9.42478', '-140.05669', '11.444799', '11.48698', '1630719008206', 0, '2021-09-04 09:30:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38759, 3, 'M10220210318023', '118.80839014914724', '31.830187525587306', '92.94268', '65.34541', '3.9776657', '-11.448149', '66.34743', '8.656255', '8.692652', '1630718752134', 0, '2021-09-04 09:25:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38760, 3, 'M10220210318023', '118.80538687113055', '31.8276470146398', '93.71798', '65.4328', '-2.9285731', '-8.28398', '-139.43767', '11.4547825', '11.473386', '1630719008206', 0, '2021-09-04 09:30:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38761, 3, 'M10220210318023', '118.80847235052397', '31.83021730729241', '93.46621', '65.318085', '2.7448967', '-2.8813717', '66.900375', '8.502902', '8.647913', '1630718752134', 0, '2021-09-04 09:25:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38762, 3, 'M10220210318023', '118.80530853126692', '31.82756913264088', '93.80102', '65.40317', '-3.4478807', '-7.200892', '-138.58076', '11.410866', '11.458465', '1630719010206', 0, '2021-09-04 09:30:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38763, 3, 'M10220210318023', '118.80853587093088', '31.83023850505875', '95.91059', '65.516655', '-0.5840516', '23.831541', '67.157265', '4.260815', '6.388161', '1630718754135', 0, '2021-09-04 09:25:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38764, 3, 'M10220210318023', '118.80522771891206', '31.827489315198484', '93.868774', '65.40394', '-3.160342', '-7.124349', '-138.72067', '11.319688', '11.358609', '1630719010206', 0, '2021-09-04 09:30:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38765, 3, 'M10220210318023', '118.80855621936637', '31.830246413785893', '94.90691', '65.50278', '2.0786676', '4.5101347', '66.10118', '1.1825504', '1.8849138', '1630718754135', 0, '2021-09-04 09:25:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38766, 3, 'M10220210318023', '118.80515092278245', '31.82741269980476', '94.32099', '65.388695', '-2.8326437', '-8.143887', '-138.36086', '11.200785', '11.262015', '1630719012207', 0, '2021-09-04 09:30:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38767, 3, 'M10220210318023', '118.80856119629094', '31.830248944391954', '95.02194', '65.46125', '3.1975284', '-0.064417556', '61.90625', '0.3175156', '0.5376802', '1630718756136', 0, '2021-09-04 09:25:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38768, 3, 'M10220210318023', '118.80507301624196', '31.827336011146556', '95.016624', '65.42812', '-3.3580024', '-7.351728', '-138.78618', '11.11202', '11.190893', '1630719012207', 0, '2021-09-04 09:30:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38769, 3, 'M10220210318023', '118.80856082943377', '31.83024925663993', '95.22774', '65.55846', '4.2615223', '-1.1686548', '56.63872', '0.09827607', '0.11916375', '1630718756136', 0, '2021-09-04 09:25:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38770, 3, 'M10220210318023', '118.80499621769242', '31.827260788600512', '94.8827', '65.58255', '-3.956805', '-8.741058', '-138.35916', '11.065586', '11.080203', '1630719014207', 0, '2021-09-04 09:30:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38771, 3, 'M10220210318023', '118.80856008410488', '31.830248940554053', '94.58473', '65.63168', '4.3991885', '-1.706841', '51.944515', '0.089308284', '0.091104336', '1630718758136', 0, '2021-09-04 09:25:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38772, 3, 'M10220210318023', '118.80491826678711', '31.827186689694532', '94.02349', '65.50513', '-6.5101876', '-6.9029093', '-138.40738', '11.151137', '11.186112', '1630719014207', 0, '2021-09-04 09:30:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38773, 3, 'M10220210318023', '118.80855998214658', '31.830248377466113', '95.15016', '65.569595', '4.702441', '-1.1778364', '44.26032', '0.09204408', '0.14866069', '1630718758136', 0, '2021-09-04 09:25:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38774, 3, 'M10220210318023', '118.80483845885156', '31.827111180258715', '93.92697', '65.38947', '-4.565308', '-5.6077075', '-137.59503', '11.120306', '11.187046', '1630719016208', 0, '2021-09-04 09:30:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38775, 3, 'M10220210318023', '118.80855901741346', '31.830247642491067', '95.67242', '65.58292', '5.8633533', '-2.1357791', '34.12184', '0.09934371', '0.14317821', '1630718760137', 0, '2021-09-04 09:26:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38776, 3, 'M10220210318023', '118.80475805642756', '31.827039000758848', '94.02307', '65.3806', '-4.050563', '-7.189823', '-135.32024', '10.999463', '11.034655', '1630719016208', 0, '2021-09-04 09:30:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38777, 3, 'M10220210318023', '118.80855843050756', '31.83024737684731', '95.51737', '65.61058', '5.352075', '-1.711328', '23.90609', '0.07476835', '0.12409674', '1630718760137', 0, '2021-09-04 09:26:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38778, 3, 'M10220210318023', '118.80467610873697', '31.82696915263229', '93.99398', '65.365425', '-5.9718723', '-7.1217456', '-134.84378', '10.909985', '10.967288', '1630719018208', 0, '2021-09-04 09:30:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38779, 3, 'M10220210318023', '118.80855844664029', '31.830247349158956', '94.55248', '65.59781', '5.4952474', '0.07553439', '12.897414', '0.091103815', '0.18493243', '1630718762137', 0, '2021-09-04 09:26:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38780, 3, 'M10220210318023', '118.80459414233245', '31.826900166065933', '93.47267', '65.364204', '-6.267685', '-7.408822', '-134.89023', '10.858286', '10.917976', '1630719018208', 0, '2021-09-04 09:30:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38781, 3, 'M10220210318023', '118.80855866120463', '31.830247476086754', '94.33223', '65.50589', '5.2214026', '1.9781079', '2.4125326', '0.07704317', '0.19899748', '1630718762137', 0, '2021-09-04 09:26:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38782, 3, 'M10220210318023', '118.80451243146926', '31.826831043319487', '93.55752', '65.351524', '-6.329853', '-6.6284394', '-135.14362', '10.826808', '10.889894', '1630719020209', 0, '2021-09-04 09:30:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38783, 3, 'M10220210318023', '118.80855844954407', '31.830247502130273', '93.71017', '65.45753', '5.714794', '2.2522829', '-5.0239887', '0.028369239', '0.11874342', '1630718764138', 0, '2021-09-04 09:26:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38784, 3, 'M10220210318023', '118.80443167122291', '31.826762472147006', '93.1891', '65.37779', '-5.999355', '-6.677949', '-135.04373', '10.775454', '10.825996', '1630719020209', 0, '2021-09-04 09:30:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38785, 3, 'M10220210318023', '118.80855800331469', '31.830247079677235', '93.311745', '65.44433', '6.070472', '3.0764253', '-11.790589', '0.06187196', '0.094868325', '1630718764138', 0, '2021-09-04 09:26:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38786, 3, 'M10220210318023', '118.8043509519535', '31.826693667885188', '93.24963', '65.36487', '-5.752616', '-6.52179', '-135.25575', '10.737902', '10.790459', '1630719022210', 0, '2021-09-04 09:30:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38787, 3, 'M10220210318023', '118.80855786876842', '31.83024693493019', '93.26395', '65.428055', '4.8882165', '3.608103', '-23.344755', '0.025771823', '0.09949874', '1630718766138', 0, '2021-09-04 09:26:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38788, 3, 'M10220210318023', '118.80426987155458', '31.826624386650316', '93.01751', '65.335754', '-5.0215187', '-6.0862', '-135.04721', '10.714168', '10.762179', '1630719022210', 0, '2021-09-04 09:30:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38789, 3, 'M10220210318023', '118.80855838533618', '31.8302466884764', '92.43744', '65.34486', '2.1004603', '5.888051', '-52.41696', '0.040004045', '0.09055386', '1630718768139', 0, '2021-09-04 09:26:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38790, 3, 'M10220210318023', '118.80418953777504', '31.826556575562588', '93.39688', '65.31262', '-4.3757763', '-5.790095', '-134.13983', '10.658235', '10.705835', '1630719024211', 0, '2021-09-04 09:30:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38791, 3, 'M10220210318023', '118.80855890287197', '31.830246414608403', '92.461525', '65.303535', '1.5202358', '5.814282', '-66.79847', '0.068371885', '0.095393926', '1630718768139', 0, '2021-09-04 09:26:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38792, 3, 'M10220210318023', '118.80410841232563', '31.82649033849192', '93.33429', '65.314224', '-4.1783023', '-5.4019456', '-133.31685', '10.62127', '10.60902', '1630719024211', 0, '2021-09-04 09:30:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38793, 3, 'M10220210318023', '118.80856008281465', '31.83024677455702', '92.60151', '65.18975', '-1.39897', '4.5892215', '-80.75042', '0.12056055', '0.18275668', '1630718770139', 0, '2021-09-04 09:26:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38794, 3, 'M10220210318023', '118.80402680281587', '31.826425818936187', '93.72555', '65.343666', '-3.6664531', '-5.0081563', '-131.98088', '10.566602', '10.586269', '1630719026211', 0, '2021-09-04 09:30:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38795, 3, 'M10220210318023', '118.80856058163617', '31.83024672438903', '92.44659', '65.16065', '-2.112133', '4.659794', '-94.09718', '0.06779427', '0.10198039', '1630718770139', 0, '2021-09-04 09:26:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38796, 3, 'M10220210318023', '118.80394265624403', '31.826361670450044', '93.52744', '65.3675', '-3.764263', '-5.015592', '-131.1231', '10.520595', '10.5609', '1630719026211', 0, '2021-09-04 09:30:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38797, 3, 'M10220210318023', '118.8085604412816', '31.830246128952354', '92.153076', '65.15192', '-2.0177913', '-1.1926842', '-98.83381', '0.13604939', '0.12569804', '1630718772140', 0, '2021-09-04 09:26:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38798, 3, 'M10220210318023', '118.80385886176738', '31.826299238485092', '93.42771', '65.33416', '-4.4485054', '-4.74218', '-130.91487', '10.471001', '10.510856', '1630719028212', 0, '2021-09-04 09:30:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38799, 3, 'M10220210318023', '118.80855291636409', '31.830244643101963', '92.6062', '65.15728', '-2.4836528', '0.8401697', '-98.94608', '1.0890017', '0.80131143', '1630718772140', 0, '2021-09-04 09:26:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38800, 3, 'M10220210318023', '118.80377579380477', '31.82623728227668', '93.56197', '65.339516', '-4.2342257', '-4.717321', '-130.79546', '10.34072', '10.418512', '1630719028212', 0, '2021-09-04 09:30:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38801, 3, 'M10220210318023', '118.80853608064064', '31.83024193101395', '92.96015', '65.21404', '-2.4684513', '-3.4481316', '-99.13607', '1.9584348', '1.6060199', '1630718774140', 0, '2021-09-04 09:26:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38802, 3, 'M10220210318023', '118.80369448724608', '31.826176602251305', '93.82366', '65.30936', '-3.4955754', '-4.3587527', '-130.86862', '10.154848', '10.2472925', '1630719030212', 0, '2021-09-04 09:30:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38803, 3, 'M10220210318023', '118.80850726190236', '31.830237451257457', '92.70375', '65.24089', '-1.7736697', '-5.356048', '-99.239395', '3.3073096', '2.7835228', '1630718774140', 0, '2021-09-04 09:26:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38804, 3, 'M10220210318023', '118.80361357003903', '31.826116343805143', '93.61411', '65.30161', '-4.197214', '-4.0127645', '-130.92813', '10.112525', '10.147606', '1630719030212', 0, '2021-09-04 09:30:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38805, 3, 'M10220210318023', '118.80846490592866', '31.830231151471256', '92.73997', '65.256424', '-2.0102625', '-5.2701497', '-99.00714', '4.5350885', '4.064886', '1630718776141', 0, '2021-09-04 09:26:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38806, 3, 'M10220210318023', '118.80353376800193', '31.82605648195697', '93.90372', '65.311104', '-4.130678', '-2.554302', '-131.07896', '9.9226265', '10.068615', '1630719032213', 0, '2021-09-04 09:30:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38807, 3, 'M10220210318023', '118.8084113035573', '31.83022359995205', '93.24276', '65.272705', '-2.4605627', '-4.870442', '-99.25443', '5.489539', '5.1624894', '1630718776141', 0, '2021-09-04 09:26:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38808, 3, 'M10220210318023', '118.80345787410599', '31.82599957635469', '93.609474', '65.33316', '-4.433963', '21.241627', '-132.71205', '8.940476', '9.538915', '1630719032213', 0, '2021-09-04 09:30:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38809, 3, 'M10220210318023', '118.8083496484089', '31.830214106135884', '92.79519', '65.29391', '-3.0195708', '-5.923518', '-100.64796', '6.286406', '5.9617195', '1630718778141', 0, '2021-09-04 09:26:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38810, 3, 'M10220210318023', '118.80340784561376', '31.825963932085163', '94.09702', '65.38225', '-3.1218436', '20.028866', '-131.47644', '4.222093', '5.710622', '1630719034213', 0, '2021-09-04 09:30:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38811, 3, 'M10220210318023', '118.8082797333399', '31.83020211269175', '92.813576', '65.284706', '-3.5940506', '-5.4094105', '-102.19959', '7.0314493', '6.7837825', '1630718778141', 0, '2021-09-04 09:26:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38812, 3, 'M10220210318023', '118.80338630979283', '31.825950517487733', '93.529465', '65.36424', '-3.071243', '10.597574', '-131.59274', '1.4691566', '2.20751', '1630719034213', 0, '2021-09-04 09:30:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38813, 3, 'M10220210318023', '118.80820257406256', '31.830186641206385', '93.02452', '65.28132', '-4.5282707', '-5.5531673', '-104.8151', '7.685021', '7.4617558', '1630718780142', 0, '2021-09-04 09:26:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38814, 3, 'M10220210318023', '118.8033771849074', '31.82594615012928', '93.36337', '65.35141', '-3.692041', '7.2339015', '-131.63184', '0.6837507', '0.90575933', '1630719036214', 0, '2021-09-04 09:30:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38815, 3, 'M10220210318023', '118.80812105025657', '31.83016692709738', '92.975685', '65.252', '-5.422556', '-4.6711273', '-107.8639', '8.205395', '8.057723', '1630718780142', 0, '2021-09-04 09:26:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38816, 3, 'M10220210318023', '118.80337269052197', '31.825945071208597', '93.22506', '65.31526', '-3.1884925', '5.843873', '-131.25186', '0.3487406', '0.45891175', '1630719036214', 0, '2021-09-04 09:30:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38817, 3, 'M10220210318023', '118.8080371417219', '31.83014171698689', '93.015564', '65.26722', '-6.8953023', '-5.6450353', '-112.16209', '8.496116', '8.415682', '1630718782143', 0, '2021-09-04 09:26:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38818, 3, 'M10220210318023', '118.80336968950343', '31.82594501583188', '93.402824', '65.3099', '-4.017306', '6.0284553', '-131.2146', '0.23654912', '0.29137602', '1630719038214', 0, '2021-09-04 09:30:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38819, 3, 'M10220210318023', '118.80795336450736', '31.83011032935758', '92.61622', '65.30821', '-7.043564', '-5.626019', '-117.04771', '8.769886', '8.706073', '1630718782143', 0, '2021-09-04 09:26:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38820, 3, 'M10220210318023', '118.80336823233215', '31.825944933486436', '93.67688', '65.34963', '-3.6725202', '5.518496', '-131.22331', '0.07948709', '0.15264338', '1630719038214', 0, '2021-09-04 09:30:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38821, 3, 'M10220210318023', '118.80787071916048', '31.830071640226606', '92.923515', '65.28454', '-6.669852', '-5.492747', '-121.461296', '8.999013', '8.933163', '1630718784143', 0, '2021-09-04 09:26:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38822, 3, 'M10220210318023', '118.80336777170379', '31.825945198376264', '93.88668', '65.36262', '-3.500296', '5.555025', '-131.24942', '0.03065974', '0.087749645', '1630719040215', 0, '2021-09-04 09:30:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38823, 3, 'M10220210318023', '118.80778884206342', '31.830025859859106', '93.20101', '65.311775', '-6.5768857', '-6.0659347', '-125.51764', '9.126212', '9.100665', '1630718784143', 0, '2021-09-04 09:26:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38824, 3, 'M10220210318023', '118.80336786222341', '31.82594560396955', '94.080986', '65.42195', '-4.1853843', '4.5793204', '-131.42064', '0.074112475', '0.07348469', '1630719040215', 0, '2021-09-04 09:30:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38825, 3, 'M10220210318023', '118.8077107116017', '31.82997602410857', '92.725555', '65.32047', '-5.6338005', '-7.4388914', '-128.04317', '9.265606', '9.274444', '1630718786144', 0, '2021-09-04 09:26:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38826, 3, 'M10220210318023', '118.80336796268938', '31.825945988625232', '94.06943', '65.43669', '-3.871077', '4.3066235', '-131.33939', '0.09832395', '0.06164414', '1630719042216', 0, '2021-09-04 09:30:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38827, 3, 'M10220210318023', '118.80763535755882', '31.829923739996705', '92.64048', '65.25199', '-5.037783', '-7.099107', '-129.38792', '9.420687', '9.389191', '1630718786144', 0, '2021-09-04 09:26:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38828, 3, 'M10220210318023', '118.80336840750002', '31.825946418891327', '94.29275', '65.437614', '-3.667203', '4.376091', '-131.30693', '0.052360326', '0.051961523', '1630719042216', 0, '2021-09-04 09:30:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38829, 3, 'M10220210318023', '118.8075593653311', '31.82986757704352', '92.64716', '65.24867', '-4.9506636', '-7.5507426', '-131.03844', '9.478456', '9.516764', '1630718788144', 0, '2021-09-04 09:26:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38830, 3, 'M10220210318023', '118.80336863221139', '31.825946802861655', '94.00734', '65.450676', '-3.8384516', '4.6582623', '-131.34824', '0.044023145', '0.03', '1630719044216', 0, '2021-09-04 09:30:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38831, 3, 'M10220210318023', '118.80748461497303', '31.8298102067727', '92.68185', '65.29231', '-4.612885', '-8.2898', '-131.45941', '9.498299', '9.510593', '1630718788144', 0, '2021-09-04 09:26:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38832, 3, 'M10220210318023', '118.80336878903518', '31.82594731451369', '94.313225', '65.47636', '-4.460251', '4.966593', '-131.20712', '0.025273718', '0.05656854', '1630719044216', 0, '2021-09-04 09:30:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38833, 3, 'M10220210318023', '118.80740984429869', '31.829751554336948', '92.45377', '65.25898', '-5.0302963', '-7.5866632', '-132.3129', '9.639745', '9.626645', '1630718790145', 0, '2021-09-04 09:26:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38834, 3, 'M10220210318023', '118.80336891239801', '31.825947771542893', '94.53764', '65.49644', '-4.6197076', '4.584252', '-131.4081', '0.043581918', '0.037416574', '1630719046217', 0, '2021-09-04 09:30:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38835, 3, 'M10220210318023', '118.80733394370348', '31.829690052465462', '92.52676', '65.2295', '-4.3138003', '-6.972404', '-133.3247', '9.707431', '9.69111', '1630718790145', 0, '2021-09-04 09:26:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38836, 3, 'M10220210318023', '118.80336911208764', '31.825947980473465', '94.04488', '65.48743', '-4.627267', '4.9929047', '-131.15329', '0.04268918', '0.03', '1630719046217', 0, '2021-09-04 09:30:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38837, 3, 'M10220210318023', '118.80726043911999', '31.829629001011806', '92.82483', '65.22447', '-4.112756', '-6.910758', '-133.95824', '9.773908', '9.794212', '1630718792145', 0, '2021-09-04 09:26:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38838, 3, 'M10220210318023', '118.8033693875311', '31.82594834542519', '94.13157', '65.46758', '-4.3045683', '4.981691', '-131.17696', '0.033915155', '0.017320508', '1630719048217', 0, '2021-09-04 09:30:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38839, 3, 'M10220210318023', '118.8071884810037', '31.829566879858035', '92.67352', '65.25768', '-5.135777', '-6.4891853', '-136.12286', '9.858289', '9.828958', '1630718792145', 0, '2021-09-04 09:26:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38840, 3, 'M10220210318023', '118.80336992778557', '31.82594853060821', '93.78908', '65.461174', '-4.2121367', '4.8874235', '-131.15314', '0.016798295', '0.03316625', '1630719048217', 0, '2021-09-04 09:30:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38841, 3, 'M10220210318023', '118.80711604633831', '31.82950151779349', '92.65027', '65.279045', '-4.0022125', '-6.4257307', '-136.1055', '9.936423', '9.861622', '1630718794146', 0, '2021-09-04 09:26:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38842, 3, 'M10220210318023', '118.80337017229958', '31.825948692420596', '94.21754', '65.44997', '-4.3013115', '4.773351', '-131.26852', '0.018447526', '0.03316625', '1630719050218', 0, '2021-09-04 09:30:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38843, 3, 'M10220210318023', '118.80704381913891', '31.829435811132207', '92.651886', '65.24702', '-3.7567368', '-5.685256', '-136.33122', '9.982214', '9.996949', '1630718794146', 0, '2021-09-04 09:26:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38844, 3, 'M10220210318023', '118.80337039834774', '31.825949191325016', '94.127235', '65.484245', '-4.1787915', '4.8263955', '-131.2743', '0.030520601', '0.0663325', '1630719050218', 0, '2021-09-04 09:30:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38845, 3, 'M10220210318023', '118.80697109698967', '31.82936998768635', '93.235344', '65.28158', '-4.1076484', '-6.33532', '-136.50244', '9.945121', '9.9892', '1630718796147', 0, '2021-09-04 09:26:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38846, 3, 'M10220210318023', '118.80337057685408', '31.825949343987922', '94.37294', '65.491745', '-3.9507651', '5.179225', '-131.4491', '0.038877804', '0.03162278', '1630719052218', 0, '2021-09-04 09:30:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38847, 3, 'M10220210318023', '118.80689895820575', '31.829302942112356', '93.27343', '65.33492', '-4.9744344', '-6.0874624', '-137.98135', '9.90966', '9.936252', '1630718796147', 0, '2021-09-04 09:26:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38848, 3, 'M10220210318023', '118.80337041576057', '31.825949545790795', '94.5005', '65.53257', '-4.58348', '4.9010477', '-131.18134', '0.04834324', '0.02828427', '1630719052218', 0, '2021-09-04 09:30:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38849, 3, 'M10220210318023', '118.80682927803016', '31.829235850485', '93.08275', '65.30951', '-5.2997775', '-5.945227', '-138.89456', '9.929869', '9.931496', '1630718798147', 0, '2021-09-04 09:26:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38850, 3, 'M10220210318023', '118.80337062037212', '31.82594946217745', '94.061745', '65.50966', '-3.7161717', '5.806196', '-131.29457', '0.05846884', '0.02236068', '1630719054219', 0, '2021-09-04 09:30:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38851, 3, 'M10220210318023', '118.80676009861229', '31.82916667647399', '92.9838', '65.26246', '-3.942034', '-5.7172685', '-139.40056', '9.918829', '9.97366', '1630718798147', 0, '2021-09-04 09:26:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38852, 3, 'M10220210318023', '118.80337059385937', '31.825949389564045', '94.66978', '65.53687', '-4.280164', '4.80897', '-131.5876', '0.07176302', '0.0', '1630719054219', 0, '2021-09-04 09:30:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38853, 3, 'M10220210318023', '118.80669218625331', '31.829098250048556', '93.25017', '65.281204', '-4.6481833', '-4.659011', '-139.55823', '9.861874', '9.906417', '1630718800148', 0, '2021-09-04 09:26:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38854, 3, 'M10220210318023', '118.80337076382571', '31.825949354987873', '94.37303', '65.561714', '-4.8102283', '4.355794', '-131.30672', '0.06912546', '0.057445627', '1630719056219', 0, '2021-09-04 09:30:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38855, 3, 'M10220210318023', '118.80662635500039', '31.829032060625522', '93.41042', '65.28207', '-4.485072', '-5.647742', '-139.36539', '9.726664', '9.812002', '1630718800148', 0, '2021-09-04 09:26:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38856, 3, 'M10220210318023', '118.80337107175536', '31.825949107780204', '94.08172', '65.57449', '-4.2380567', '4.849514', '-131.12648', '0.06659786', '0.045825757', '1630719056219', 0, '2021-09-04 09:30:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38857, 3, 'M10220210318023', '118.80655855235034', '31.828964147117453', '93.00707', '65.24024', '-4.9411383', '-5.518478', '-139.28479', '9.670198', '9.731598', '1630718802148', 0, '2021-09-04 09:26:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38858, 3, 'M10220210318023', '118.80337119769811', '31.8259487684265', '94.771675', '65.52745', '-4.333881', '3.827662', '-135.42853', '0.05348011', '0.06403124', '1630719058220', 0, '2021-09-04 09:30:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38859, 3, 'M10220210318023', '118.80649226229146', '31.828897820620785', '92.689476', '65.22223', '-5.346284', '-4.971023', '-139.63298', '9.632442', '9.659923', '1630718802148', 0, '2021-09-04 09:26:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38860, 3, 'M10220210318023', '118.80337166903252', '31.82594842574884', '94.60015', '65.57004', '-3.923972', '3.195966', '-150.52245', '0.06174162', '0.10630146', '1630719058220', 0, '2021-09-04 09:30:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38861, 3, 'M10220210318023', '118.8064280601212', '31.82883121614401', '93.20506', '65.21933', '-6.2617292', '-5.7573414', '-141.36533', '9.556835', '9.605561', '1630718804149', 0, '2021-09-04 09:26:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38862, 3, 'M10220210318023', '118.80337204931897', '31.825948632657596', '94.96897', '65.566666', '-4.7326674', '1.9034963', '-166.46669', '0.11166247', '0.13892443', '1630719060220', 0, '2021-09-04 09:31:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38863, 3, 'M10220210318023', '118.80636544895363', '31.828764530795294', '93.01713', '65.22388', '-5.573843', '-5.6968627', '-141.9973', '9.488525', '9.5095005', '1630718804149', 0, '2021-09-04 09:26:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38864, 3, 'M10220210318023', '118.80337223655074', '31.82594919317547', '95.25972', '65.59302', '-4.5658855', '-0.19332619', '175.03798', '0.08865951', '0.10198039', '1630719060220', 0, '2021-09-04 09:31:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38865, 3, 'M10220210318023', '118.80630395384331', '31.828697078259818', '92.788864', '65.18353', '-5.1952066', '-5.8647137', '-142.12724', '9.4690075', '9.475796', '1630718806149', 0, '2021-09-04 09:26:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38866, 3, 'M10220210318023', '118.80337175023178', '31.82595000463619', '94.50668', '65.62456', '-3.5213058', '-3.6912677', '151.74297', '0.10784379', '0.15132746', '1630719062221', 0, '2021-09-04 09:31:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38867, 3, 'M10220210318023', '118.80624280558506', '31.828629655468763', '93.11486', '65.174324', '-5.2794657', '-6.4530582', '-142.2507', '9.522924', '9.487287', '1630718806149', 0, '2021-09-04 09:26:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38868, 3, 'M10220210318023', '118.80337218684559', '31.825950229843965', '94.317154', '65.54328', '-0.9633016', '-3.8408592', '128.39342', '0.072413914', '0.16522712', '1630719062221', 0, '2021-09-04 09:31:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38869, 3, 'M10220210318023', '118.80618126965908', '31.82856093310691', '93.00864', '65.22193', '-5.1897526', '-5.959617', '-142.64297', '9.556494', '9.566828', '1630718808150', 0, '2021-09-04 09:26:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38870, 3, 'M10220210318023', '118.80337225207971', '31.825950215896984', '94.21714', '65.56841', '0.8058023', '-4.2757654', '106.20959', '0.062712446', '0.20223749', '1630719064221', 0, '2021-09-04 09:31:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38871, 3, 'M10220210318023', '118.80611955853249', '31.8284915444426', '93.08315', '65.24345', '-5.1415286', '-6.2189274', '-142.92572', '9.53538', '9.576497', '1630718808150', 0, '2021-09-04 09:26:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38872, 3, 'M10220210318023', '118.80337254537628', '31.82595013238645', '94.84927', '65.54072', '1.8829764', '-3.2842336', '84.88145', '0.07412946', '0.21563858', '1630719064221', 0, '2021-09-04 09:31:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38873, 3, 'M10220210318023', '118.80605893716687', '31.828422107803412', '93.01977', '65.20834', '-5.6673164', '-5.6375484', '-143.4232', '9.550496', '9.530262', '1630718810150', 0, '2021-09-04 09:26:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38874, 3, 'M10220210318023', '118.8033722284121', '31.825949754241634', '94.534454', '65.53587', '3.1287882', '-3.0977821', '63.43821', '0.06795703', '0.19748417', '1630719066222', 0, '2021-09-04 09:31:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38875, 3, 'M10220210318023', '118.80599942734142', '31.82835226968307', '92.8408', '65.23653', '-5.460415', '-5.796653', '-144.11453', '9.561108', '9.605186', '1630718810150', 0, '2021-09-04 09:26:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38876, 3, 'M10220210318023', '118.80337192869366', '31.825950119467475', '94.91335', '65.5011', '4.5294414', '-1.3575189', '46.557533', '0.09918992', '0.14899665', '1630719066222', 0, '2021-09-04 09:31:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38877, 3, 'M10220210318023', '118.80594129798752', '31.828281923988563', '93.53794', '65.26974', '-4.7883344', '-5.386854', '-144.92792', '9.513895', '9.57001', '1630718812151', 0, '2021-09-04 09:26:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38878, 3, 'M10220210318023', '118.80337149304664', '31.82595074612214', '95.075645', '65.526726', '4.7382', '-2.9449673', '43.62626', '0.046778865', '0.15588456', '1630719068222', 0, '2021-09-04 09:31:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38879, 3, 'M10220210318023', '118.8058848927307', '31.8282130282318', '92.981094', '65.30398', '-5.3378005', '-5.0027947', '-145.2527', '9.457779', '9.507444', '1630718812151', 0, '2021-09-04 09:26:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38880, 3, 'M10220210318023', '118.80337558553035', '31.82595475946006', '94.937546', '65.51478', '4.794605', '-9.700484', '43.575233', '1.1111916', '0.6041523', '1630719068222', 0, '2021-09-04 09:31:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38881, 3, 'M10220210318023', '118.80582799397587', '31.828143251930474', '94.061424', '65.3617', '-5.6369934', '-6.5748563', '-144.55405', '9.362909', '9.423832', '1630718814151', 0, '2021-09-04 09:26:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38882, 3, 'M10220210318023', '118.80338898633087', '31.825966939937672', '94.621544', '65.47507', '5.00829', '-9.370892', '43.482697', '2.4155345', '1.9117793', '1630719070223', 0, '2021-09-04 09:31:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38883, 3, 'M10220210318023', '118.80577009031778', '31.82807368877468', '93.97414', '65.42141', '-5.762227', '-5.866532', '-144.8013', '9.3791275', '9.388259', '1630718814151', 0, '2021-09-04 09:26:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38884, 3, 'M10220210318023', '118.80341080382708', '31.825986783990203', '93.84602', '65.45225', '4.65147', '-9.977257', '43.496883', '3.4907677', '3.0350287', '1630719070223', 0, '2021-09-04 09:31:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38885, 3, 'M10220210318023', '118.80571249785869', '31.82800473380322', '93.60187', '65.3903', '-6.0200324', '-6.005359', '-144.47798', '9.338743', '9.348637', '1630718816152', 0, '2021-09-04 09:26:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38886, 3, 'M10220210318023', '118.8034399102119', '31.826013145600683', '93.57886', '65.40031', '5.699441', '-9.377959', '43.572395', '4.363044', '4.061453', '1630719072224', 0, '2021-09-04 09:31:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38887, 3, 'M10220210318023', '118.80565503381553', '31.827935419294377', '93.3301', '65.32118', '-5.6557693', '-5.8076353', '-144.77122', '9.461463', '9.394195', '1630718816152', 0, '2021-09-04 09:26:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38888, 3, 'M10220210318023', '118.80347475300437', '31.826044527747477', '93.45533', '65.421906', '5.2204556', '-9.717656', '43.560448', '5.0490255', '4.830714', '1630719072224', 0, '2021-09-04 09:31:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38889, 3, 'M10220210318023', '118.80559674797477', '31.827864458150785', '93.52612', '65.40923', '-5.2932563', '-6.0265193', '-145.02141', '9.620518', '9.58756', '1630718818152', 0, '2021-09-04 09:26:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data` VALUES (38890, 3, 'M10220210318023', '118.80351470220161', '31.826079575243188', '93.64201', '65.44716', '5.010172', '-9.776876', '43.780987', '5.462586', '5.318157', '1630719074224', 0, '2021-09-04 09:31:14', 0, '2022-12-15 15:05:10', 1, 20);

-- ----------------------------
-- Table structure for th_flight_data_record
-- ----------------------------
DROP TABLE IF EXISTS `th_flight_data_record`;
CREATE TABLE `th_flight_data_record`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `host_ip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `inspection_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '巡检任务ID',
  `lng` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '经度',
  `lat` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '纬度',
  `altitude` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '海拔高度',
  `ultrasonic` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相对高度',
  `pitch` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '俯仰角',
  `roll` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '横滚角',
  `yaw` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '航向角',
  `airspeed` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '空速',
  `velocity` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地速',
  `fly_time` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `timestamp` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '时间戳',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` int UNSIGNED NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 117752 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '云盒遥测数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_flight_data_record
-- ----------------------------

-- ----------------------------
-- Table structure for th_flight_data_task
-- ----------------------------
DROP TABLE IF EXISTS `th_flight_data_task`;
CREATE TABLE `th_flight_data_task`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `host_ip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `inspection_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '巡检任务ID',
  `lng` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '经度',
  `lat` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '纬度',
  `altitude` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '海拔高度',
  `ultrasonic` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相对高度',
  `pitch` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '俯仰角',
  `roll` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '横滚角',
  `yaw` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '航向角',
  `airspeed` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '空速',
  `velocity` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地速',
  `fly_time` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `timestamp` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '时间戳',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` int UNSIGNED NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标识',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 117752 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '云盒遥测数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_flight_data_task
-- ----------------------------
INSERT INTO `th_flight_data_task` VALUES (57455, '123456789', 12, '113.147935', '27.7890377', '0.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800251426', 0, '2022-10-15 10:17:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57456, '123456789', 12, '113.1479328', '27.7890397', '1.375', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800253110', 0, '2022-10-15 10:17:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57457, '123456789', 12, '113.147936', '27.7890358', '6.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800255298', 0, '2022-10-15 10:17:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57458, '123456789', 12, '113.1479364', '27.7890372', '11.773', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800257527', 0, '2022-10-15 10:17:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57459, '123456789', 12, '113.1479349', '27.7890384', '16.722', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800259167', 0, '2022-10-15 10:17:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57460, '123456789', 12, '113.147934', '27.7890378', '21.543', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800261390', 0, '2022-10-15 10:17:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57461, '123456789', 12, '113.1479348', '27.7890371', '26.756', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800263468', 0, '2022-10-15 10:17:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57462, '123456789', 12, '113.1479354', '27.7890373', '31.693', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800265150', 0, '2022-10-15 10:17:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57463, '123456789', 12, '113.1479344', '27.789037', '36.658', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800267329', 0, '2022-10-15 10:17:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57464, '123456789', 12, '113.1479343', '27.7890378', '40.427', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800269011', 0, '2022-10-15 10:17:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57465, '123456789', 12, '113.1479341', '27.7890373', '46.675', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800271193', 0, '2022-10-15 10:17:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57466, '123456789', 12, '113.1479349', '27.7890373', '51.849', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800273432', 0, '2022-10-15 10:17:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57467, '123456789', 12, '113.147935', '27.7890379', '56.593', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800275560', 0, '2022-10-15 10:17:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57468, '123456789', 12, '113.147936', '27.7890377', '61.686', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800277245', 0, '2022-10-15 10:17:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57469, '123456789', 12, '113.1479351', '27.7890372', '66.748', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800279308', 0, '2022-10-15 10:17:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57470, '123456789', 12, '113.1479335', '27.7890374', '71.761', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800281541', 0, '2022-10-15 10:18:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57471, '123456789', 12, '113.1479351', '27.789037', '76.626', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800283160', 0, '2022-10-15 10:18:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57472, '123456789', 12, '113.1479354', '27.7890362', '81.805', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800285331', 0, '2022-10-15 10:18:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57473, '123456789', 12, '113.1479356', '27.7890367', '85.429', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800287012', 0, '2022-10-15 10:18:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57474, '123456789', 12, '113.1479337', '27.7890391', '91.618', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800289205', 0, '2022-10-15 10:18:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57475, '123456789', 12, '113.147935', '27.7890368', '96.753', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800291317', 0, '2022-10-15 10:18:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57476, '123456789', 12, '113.1479356', '27.7890373', '101.645', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800293556', 0, '2022-10-15 10:18:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57477, '123456789', 12, '113.1479348', '27.7890378', '106.693', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800295235', 0, '2022-10-15 10:18:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57478, '123456789', 12, '113.1479349', '27.7890371', '111.705', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800297466', 0, '2022-10-15 10:18:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57479, '123456789', 12, '113.1479344', '27.7890377', '116.68', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800299147', 0, '2022-10-15 10:18:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57480, '123456789', 12, '113.147935', '27.7890375', '121.729', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800301385', 0, '2022-10-15 10:18:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57481, '123456789', 12, '113.1479345', '27.789038', '125.404', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800303011', 0, '2022-10-15 10:18:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57482, '123456789', 12, '113.1479349', '27.7890381', '131.627', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800305192', 0, '2022-10-15 10:18:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57483, '123456789', 12, '113.1479346', '27.7890376', '136.737', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800307371', 0, '2022-10-15 10:18:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57484, '123456789', 12, '113.1479348', '27.7890376', '140.379', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800309049', 0, '2022-10-15 10:18:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57485, '123456789', 12, '113.1479351', '27.7890379', '146.607', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800311286', 0, '2022-10-15 10:18:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57486, '123456789', 12, '113.1479353', '27.7890377', '149.429', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800313521', 0, '2022-10-15 10:18:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57487, '123456789', 12, '113.1479358', '27.7890375', '150.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800315203', 0, '2022-10-15 10:18:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57488, '123456789', 12, '113.1479681', '27.7890402', '150.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800317441', 0, '2022-10-15 10:18:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57489, '123456789', 12, '113.1480822', '27.7890493', '149.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800319110', 0, '2022-10-15 10:18:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57490, '123456789', 12, '113.1482622', '27.7890763', '149.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800321344', 0, '2022-10-15 10:18:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57491, '123456789', 12, '113.1484598', '27.7890961', '149.879', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800323521', 0, '2022-10-15 10:18:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57492, '123456789', 12, '113.1486597', '27.7891177', '149.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800325202', 0, '2022-10-15 10:18:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57493, '123456789', 12, '113.1488595', '27.789139', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800327432', 0, '2022-10-15 10:18:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57494, '123456789', 12, '113.1490109', '27.7891565', '149.886', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800329043', 0, '2022-10-15 10:18:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57495, '123456789', 12, '113.1492617', '27.7891839', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800331160', 0, '2022-10-15 10:18:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57496, '123456789', 12, '113.1494641', '27.7892064', '149.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800333338', 0, '2022-10-15 10:18:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57497, '123456789', 12, '113.1496659', '27.7892276', '149.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800335480', 0, '2022-10-15 10:18:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57498, '123456789', 12, '113.1498668', '27.7892498', '149.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800337153', 0, '2022-10-15 10:18:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57499, '123456789', 12, '113.1500698', '27.7892722', '149.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800339392', 0, '2022-10-15 10:18:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57500, '123456789', 12, '113.1502204', '27.7892873', '149.684', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800341010', 0, '2022-10-15 10:19:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57501, '123456789', 12, '113.1504725', '27.789316', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800343164', 0, '2022-10-15 10:19:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57502, '123456789', 12, '113.1506729', '27.789338', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800345396', 0, '2022-10-15 10:19:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57503, '123456789', 12, '113.1508234', '27.7893541', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800347017', 0, '2022-10-15 10:19:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57504, '123456789', 12, '113.1510767', '27.7893813', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800349255', 0, '2022-10-15 10:19:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57505, '123456789', 12, '113.1512781', '27.7894039', '149.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800351470', 0, '2022-10-15 10:19:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57506, '123456789', 12, '113.1514799', '27.789426', '150.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800353146', 0, '2022-10-15 10:19:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57507, '123456789', 12, '113.1516802', '27.7894471', '149.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800355326', 0, '2022-10-15 10:19:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57508, '123456789', 12, '113.1518306', '27.7894639', '149.849', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800357020', 0, '2022-10-15 10:19:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57509, '123456789', 12, '113.152084', '27.7894921', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800359202', 0, '2022-10-15 10:19:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57510, '123456789', 12, '113.1522856', '27.7895146', '149.882', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800361383', 0, '2022-10-15 10:19:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57511, '123456789', 12, '113.1524359', '27.7895305', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800363002', 0, '2022-10-15 10:19:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57512, '123456789', 12, '113.1526885', '27.789558', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800365244', 0, '2022-10-15 10:19:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57513, '123456789', 12, '113.1528895', '27.7895807', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800367444', 0, '2022-10-15 10:19:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57514, '123456789', 12, '113.1530911', '27.7896027', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800369132', 0, '2022-10-15 10:19:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57515, '123456789', 12, '113.1532919', '27.7896233', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800371371', 0, '2022-10-15 10:19:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57516, '123456789', 12, '113.1534431', '27.7896405', '150.211', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800373001', 0, '2022-10-15 10:19:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57517, '123456789', 12, '113.1536949', '27.7896683', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800375193', 0, '2022-10-15 10:19:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57518, '123456789', 12, '113.1538965', '27.7896908', '149.828', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800377422', 0, '2022-10-15 10:19:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57519, '123456789', 12, '113.1540471', '27.7897072', '149.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800379057', 0, '2022-10-15 10:19:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57520, '123456789', 12, '113.1542998', '27.789735', '150.152', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800381292', 0, '2022-10-15 10:19:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57521, '123456789', 12, '113.1545014', '27.7897569', '149.783', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800383488', 0, '2022-10-15 10:19:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57522, '123456789', 12, '113.1547037', '27.7897787', '150.112', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800385171', 0, '2022-10-15 10:19:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57523, '123456789', 12, '113.1549051', '27.7898004', '150.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800387298', 0, '2022-10-15 10:19:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57524, '123456789', 12, '113.1551062', '27.7898226', '150.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800389475', 0, '2022-10-15 10:19:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57525, '123456789', 12, '113.155309', '27.789845', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800391107', 0, '2022-10-15 10:19:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57526, '123456789', 12, '113.1555096', '27.7898674', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800393349', 0, '2022-10-15 10:19:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57527, '123456789', 12, '113.1556621', '27.7898838', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800395029', 0, '2022-10-15 10:19:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57528, '123456789', 12, '113.1559138', '27.7899108', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800397155', 0, '2022-10-15 10:19:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57529, '123456789', 12, '113.156115', '27.7899333', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800399399', 0, '2022-10-15 10:19:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57530, '123456789', 12, '113.1562666', '27.7899495', '149.857', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800401027', 0, '2022-10-15 10:20:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57531, '123456789', 12, '113.1565193', '27.7899774', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800403213', 0, '2022-10-15 10:20:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57532, '123456789', 12, '113.1567211', '27.7899997', '149.859', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800405392', 0, '2022-10-15 10:20:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57533, '123456789', 12, '113.156872', '27.7900161', '149.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800407006', 0, '2022-10-15 10:20:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57534, '123456789', 12, '113.1571236', '27.7900437', '150.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800409196', 0, '2022-10-15 10:20:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57535, '123456789', 12, '113.1573247', '27.7900653', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800411334', 0, '2022-10-15 10:20:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57536, '123456789', 12, '113.1575288', '27.7900872', '150.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800413496', 0, '2022-10-15 10:20:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57537, '123456789', 12, '113.1576801', '27.7901046', '149.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800415055', 0, '2022-10-15 10:20:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57538, '123456789', 12, '113.1579319', '27.7901317', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800417259', 0, '2022-10-15 10:20:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57539, '123456789', 12, '113.1581329', '27.790154', '149.657', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800419495', 0, '2022-10-15 10:20:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57540, '123456789', 12, '113.1583347', '27.7901761', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800421165', 0, '2022-10-15 10:20:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57541, '123456789', 12, '113.1585368', '27.7901981', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800423373', 0, '2022-10-15 10:20:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57542, '123456789', 12, '113.1587385', '27.7902203', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800425551', 0, '2022-10-15 10:20:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57543, '123456789', 12, '113.1588901', '27.790237', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800427072', 0, '2022-10-15 10:20:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57544, '123456789', 12, '113.1591419', '27.7902643', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800429302', 0, '2022-10-15 10:20:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57545, '123456789', 12, '113.1593436', '27.7902864', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800431422', 0, '2022-10-15 10:20:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57546, '123456789', 12, '113.1594945', '27.7903032', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800433051', 0, '2022-10-15 10:20:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57547, '123456789', 12, '113.1597467', '27.7903297', '150.054', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800435233', 0, '2022-10-15 10:20:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57548, '123456789', 12, '113.1599481', '27.790352', '150.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800437468', 0, '2022-10-15 10:20:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57549, '123456789', 12, '113.1601505', '27.7903743', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800439148', 0, '2022-10-15 10:20:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57550, '123456789', 12, '113.1603515', '27.7903963', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800441291', 0, '2022-10-15 10:20:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57551, '123456789', 12, '113.1605535', '27.7904183', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800443417', 0, '2022-10-15 10:20:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57552, '123456789', 12, '113.1607558', '27.7904408', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800445532', 0, '2022-10-15 10:20:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57553, '123456789', 12, '113.1609575', '27.7904626', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800447148', 0, '2022-10-15 10:20:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57554, '123456789', 12, '113.1611592', '27.790485', '150.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800449324', 0, '2022-10-15 10:20:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57555, '123456789', 12, '113.1613606', '27.7905076', '149.936', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800451452', 0, '2022-10-15 10:20:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57556, '123456789', 12, '113.1615124', '27.7905237', '149.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800453076', 0, '2022-10-15 10:20:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57557, '123456789', 12, '113.161765', '27.7905514', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800455195', 0, '2022-10-15 10:20:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57558, '123456789', 12, '113.1619664', '27.7905736', '150.054', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800457380', 0, '2022-10-15 10:20:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57559, '123456789', 12, '113.1621175', '27.79059', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800459010', 0, '2022-10-15 10:20:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57560, '123456789', 12, '113.1623693', '27.7906174', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800461191', 0, '2022-10-15 10:21:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57561, '123456789', 12, '113.1625716', '27.7906394', '150.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800463381', 0, '2022-10-15 10:21:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57562, '123456789', 12, '113.1627227', '27.7906558', '150.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800465006', 0, '2022-10-15 10:21:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57563, '123456789', 12, '113.162975', '27.7906837', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800467198', 0, '2022-10-15 10:21:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57564, '123456789', 12, '113.1631764', '27.7907064', '150.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800469440', 0, '2022-10-15 10:21:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57565, '123456789', 12, '113.1633284', '27.7907227', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800471056', 0, '2022-10-15 10:21:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57566, '123456789', 12, '113.1635799', '27.7907499', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800473288', 0, '2022-10-15 10:21:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57567, '123456789', 12, '113.1637821', '27.7907722', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800475471', 0, '2022-10-15 10:21:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57568, '123456789', 12, '113.1639333', '27.7907885', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800477040', 0, '2022-10-15 10:21:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57569, '123456789', 12, '113.1641848', '27.7908165', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800479224', 0, '2022-10-15 10:21:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57570, '123456789', 12, '113.1643872', '27.7908384', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800481414', 0, '2022-10-15 10:21:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57571, '123456789', 12, '113.1645391', '27.7908547', '150.058', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800483084', 0, '2022-10-15 10:21:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57572, '123456789', 12, '113.1647909', '27.7908828', '150.115', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800485164', 0, '2022-10-15 10:21:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57573, '123456789', 12, '113.1649918', '27.7909042', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800487294', 0, '2022-10-15 10:21:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57574, '123456789', 12, '113.1651942', '27.7909265', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800489490', 0, '2022-10-15 10:21:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57575, '123456789', 12, '113.1653974', '27.790948', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800491133', 0, '2022-10-15 10:21:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57576, '123456789', 12, '113.165596', '27.7909692', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800493308', 0, '2022-10-15 10:21:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57577, '123456789', 12, '113.1657987', '27.7909917', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800495496', 0, '2022-10-15 10:21:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57578, '123456789', 12, '113.1660021', '27.7910153', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800497129', 0, '2022-10-15 10:21:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57579, '123456789', 12, '113.1662031', '27.7910373', '149.849', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800499256', 0, '2022-10-15 10:21:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57580, '123456789', 12, '113.1664053', '27.791059', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800501425', 0, '2022-10-15 10:21:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57581, '123456789', 12, '113.1665561', '27.7910755', '149.86', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800503049', 0, '2022-10-15 10:21:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57582, '123456789', 12, '113.1668081', '27.7911024', '150.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800505227', 0, '2022-10-15 10:21:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57583, '123456789', 12, '113.1670095', '27.7911252', '150.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800507408', 0, '2022-10-15 10:21:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57584, '123456789', 12, '113.1671614', '27.7911419', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800509092', 0, '2022-10-15 10:21:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57585, '123456789', 12, '113.167414', '27.7911693', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800511293', 0, '2022-10-15 10:21:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57586, '123456789', 12, '113.1676153', '27.7911917', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800513493', 0, '2022-10-15 10:21:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57587, '123456789', 12, '113.1678165', '27.7912133', '149.863', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800515112', 0, '2022-10-15 10:21:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57588, '123456789', 12, '113.1680175', '27.7912349', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800517252', 0, '2022-10-15 10:21:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57589, '123456789', 12, '113.1682206', '27.7912573', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800519419', 0, '2022-10-15 10:21:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57590, '123456789', 12, '113.168372', '27.7912735', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800521013', 0, '2022-10-15 10:22:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57591, '123456789', 12, '113.1686239', '27.7913015', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800523101', 0, '2022-10-15 10:22:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57592, '123456789', 12, '113.1688258', '27.7913231', '150.102', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800525210', 0, '2022-10-15 10:22:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57593, '123456789', 12, '113.1690281', '27.7913456', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800527329', 0, '2022-10-15 10:22:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57594, '123456789', 12, '113.1692292', '27.7913677', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800529513', 0, '2022-10-15 10:22:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57595, '123456789', 12, '113.1693806', '27.7913845', '149.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800531075', 0, '2022-10-15 10:22:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57596, '123456789', 12, '113.1696325', '27.7914125', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800533195', 0, '2022-10-15 10:22:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57597, '123456789', 12, '113.1698343', '27.7914344', '150.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800535310', 0, '2022-10-15 10:22:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57598, '123456789', 12, '113.1700364', '27.7914563', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800537408', 0, '2022-10-15 10:22:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57599, '123456789', 12, '113.1701878', '27.7914729', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800539060', 0, '2022-10-15 10:22:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57600, '123456789', 12, '113.1704398', '27.7915004', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800541231', 0, '2022-10-15 10:22:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57601, '123456789', 12, '113.1706417', '27.7915227', '150.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800543468', 0, '2022-10-15 10:22:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57602, '123456789', 12, '113.1708435', '27.7915445', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800545100', 0, '2022-10-15 10:22:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57603, '123456789', 12, '113.1710456', '27.7915664', '150.066', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800547287', 0, '2022-10-15 10:22:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57604, '123456789', 12, '113.1712466', '27.7915886', '149.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800549531', 0, '2022-10-15 10:22:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57605, '123456789', 12, '113.1713976', '27.791605', '150.158', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800551050', 0, '2022-10-15 10:22:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57606, '123456789', 12, '113.1716508', '27.791632', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800553248', 0, '2022-10-15 10:22:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57607, '123456789', 12, '113.171852', '27.7916552', '149.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800555329', 0, '2022-10-15 10:22:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57608, '123456789', 12, '113.1720027', '27.7916713', '149.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800557015', 0, '2022-10-15 10:22:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57609, '123456789', 12, '113.172255', '27.791699', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800559205', 0, '2022-10-15 10:22:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57610, '123456789', 12, '113.1724568', '27.7917208', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800561341', 0, '2022-10-15 10:22:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57611, '123456789', 12, '113.1726591', '27.7917427', '150.074', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800563473', 0, '2022-10-15 10:22:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57612, '123456789', 12, '113.1728103', '27.7917598', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800565047', 0, '2022-10-15 10:22:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57613, '123456789', 12, '113.1730633', '27.7917834', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800567210', 0, '2022-10-15 10:22:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57614, '123456789', 12, '113.1732655', '27.7917943', '149.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800569447', 0, '2022-10-15 10:22:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57615, '123456789', 12, '113.1734694', '27.7918019', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800571130', 0, '2022-10-15 10:22:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57616, '123456789', 12, '113.1736713', '27.7918093', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800573265', 0, '2022-10-15 10:22:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57617, '123456789', 12, '113.1738581', '27.7918168', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800575350', 0, '2022-10-15 10:22:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57618, '123456789', 12, '113.1739602', '27.7918116', '149.807', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800577530', 0, '2022-10-15 10:22:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57619, '123456789', 12, '113.173977', '27.7917664', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800579094', 0, '2022-10-15 10:22:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57620, '123456789', 12, '113.1739654', '27.7916463', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800581164', 0, '2022-10-15 10:23:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57621, '123456789', 12, '113.1739539', '27.7915492', '150.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800583410', 0, '2022-10-15 10:23:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57622, '123456789', 12, '113.1739459', '27.7915336', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800585090', 0, '2022-10-15 10:23:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57623, '123456789', 12, '113.1739459', '27.7915336', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800587334', 0, '2022-10-15 10:23:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57624, '123456789', 12, '113.1739146', '27.7915191', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800589512', 0, '2022-10-15 10:23:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57625, '123456789', 12, '113.1738927', '27.7915185', '150.126', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800591100', 0, '2022-10-15 10:23:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57626, '123456789', 12, '113.1738927', '27.7915185', '150.126', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800593249', 0, '2022-10-15 10:23:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57627, '123456789', 12, '113.1738663', '27.7915186', '150.134', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800595368', 0, '2022-10-15 10:23:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57628, '123456789', 12, '113.1738663', '27.7915186', '150.134', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800597426', 0, '2022-10-15 10:23:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57629, '123456789', 12, '113.1738332', '27.791519', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800599005', 0, '2022-10-15 10:23:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57630, '123456789', 12, '113.1738332', '27.791519', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800601172', 0, '2022-10-15 10:23:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57631, '123456789', 12, '113.1738332', '27.791519', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800603289', 0, '2022-10-15 10:23:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57632, '123456789', 12, '113.1738332', '27.791519', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800605489', 0, '2022-10-15 10:23:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57633, '123456789', 12, '113.1738332', '27.791519', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800607113', 0, '2022-10-15 10:23:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57634, '123456789', 12, '113.1738332', '27.791519', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800609306', 0, '2022-10-15 10:23:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57635, '123456789', 12, '113.1738332', '27.791519', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800611432', 0, '2022-10-15 10:23:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57636, '123456789', 12, '113.1738332', '27.791519', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800613090', 0, '2022-10-15 10:23:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57637, '123456789', 12, '113.1738332', '27.791519', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800615262', 0, '2022-10-15 10:23:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57638, '123456789', 12, '113.1738332', '27.791519', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800617363', 0, '2022-10-15 10:23:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57639, '123456789', 12, '113.1737007', '27.7915195', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800619015', 0, '2022-10-15 10:23:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57640, '123456789', 12, '113.1737007', '27.7915195', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800621224', 0, '2022-10-15 10:23:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57641, '123456789', 12, '113.1737007', '27.7915195', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800623393', 0, '2022-10-15 10:23:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57642, '123456789', 12, '113.1737007', '27.7915195', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800625010', 0, '2022-10-15 10:23:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57643, '123456789', 12, '113.1735988', '27.7915193', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800627129', 0, '2022-10-15 10:23:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57644, '123456789', 12, '113.1735475', '27.7915193', '150.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800629210', 0, '2022-10-15 10:23:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57645, '123456789', 12, '113.1735475', '27.7915193', '150.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800631450', 0, '2022-10-15 10:23:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57646, '123456789', 12, '113.1734963', '27.7915195', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800633112', 0, '2022-10-15 10:23:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57647, '123456789', 12, '113.1734963', '27.7915195', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800635237', 0, '2022-10-15 10:23:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57648, '123456789', 12, '113.1734963', '27.7915195', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800637382', 0, '2022-10-15 10:23:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57649, '123456789', 12, '113.1734455', '27.7915197', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800639498', 0, '2022-10-15 10:23:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57650, '123456789', 12, '113.1734455', '27.7915197', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800641078', 0, '2022-10-15 10:24:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57651, '123456789', 12, '113.1733952', '27.7915199', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800643211', 0, '2022-10-15 10:24:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57652, '123456789', 12, '113.1733952', '27.7915199', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800645408', 0, '2022-10-15 10:24:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57653, '123456789', 12, '113.1733952', '27.7915199', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800647087', 0, '2022-10-15 10:24:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57654, '123456789', 12, '113.1733952', '27.7915199', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800649251', 0, '2022-10-15 10:24:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57655, '123456789', 12, '113.1733952', '27.7915199', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800651411', 0, '2022-10-15 10:24:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57656, '123456789', 12, '113.1732947', '27.7915201', '149.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800653503', 0, '2022-10-15 10:24:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57657, '123456789', 12, '113.1732442', '27.7915196', '149.833', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800655101', 0, '2022-10-15 10:24:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57658, '123456789', 12, '113.1731933', '27.7915187', '149.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800657222', 0, '2022-10-15 10:24:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57659, '123456789', 12, '113.1730912', '27.7915155', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800659351', 0, '2022-10-15 10:24:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57660, '123456789', 12, '113.1729898', '27.7915102', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800661443', 0, '2022-10-15 10:24:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57661, '123456789', 12, '113.1729898', '27.7915102', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800663026', 0, '2022-10-15 10:24:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57662, '123456789', 12, '113.1729393', '27.7915068', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800665132', 0, '2022-10-15 10:24:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57663, '123456789', 12, '113.172838', '27.7914986', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800667287', 0, '2022-10-15 10:24:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57664, '123456789', 12, '113.1727876', '27.7914942', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800669459', 0, '2022-10-15 10:24:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57665, '123456789', 12, '113.1727876', '27.7914942', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800671150', 0, '2022-10-15 10:24:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57666, '123456789', 12, '113.1727373', '27.7914897', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800673221', 0, '2022-10-15 10:24:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57667, '123456789', 12, '113.172687', '27.7914852', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800675409', 0, '2022-10-15 10:24:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57668, '123456789', 12, '113.1726364', '27.7914808', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800677028', 0, '2022-10-15 10:24:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57669, '123456789', 12, '113.1725858', '27.7914765', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800679211', 0, '2022-10-15 10:24:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57670, '123456789', 12, '113.1725354', '27.7914721', '149.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800681392', 0, '2022-10-15 10:24:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57671, '123456789', 12, '113.1724852', '27.7914676', '149.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800683070', 0, '2022-10-15 10:24:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57672, '123456789', 12, '113.172435', '27.791463', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800685250', 0, '2022-10-15 10:24:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57673, '123456789', 12, '113.172435', '27.791463', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800687447', 0, '2022-10-15 10:24:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57674, '123456789', 12, '113.172435', '27.791463', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800689020', 0, '2022-10-15 10:24:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57675, '123456789', 12, '113.172435', '27.791463', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800691186', 0, '2022-10-15 10:24:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57676, '123456789', 12, '113.172435', '27.791463', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800693366', 0, '2022-10-15 10:24:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57677, '123456789', 12, '113.172435', '27.791463', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800695064', 0, '2022-10-15 10:24:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57678, '123456789', 12, '113.172435', '27.791463', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800697192', 0, '2022-10-15 10:24:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57679, '123456789', 12, '113.172435', '27.791463', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800699368', 0, '2022-10-15 10:24:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57680, '123456789', 12, '113.172435', '27.791463', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800701493', 0, '2022-10-15 10:25:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57681, '123456789', 12, '113.1721823', '27.7914422', '149.887', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800703170', 0, '2022-10-15 10:25:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57682, '123456789', 12, '113.1721823', '27.7914422', '149.887', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800705324', 0, '2022-10-15 10:25:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57683, '123456789', 12, '113.1721319', '27.7914381', '149.84', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800707526', 0, '2022-10-15 10:25:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57684, '123456789', 12, '113.1721319', '27.7914381', '149.84', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800709147', 0, '2022-10-15 10:25:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57685, '123456789', 12, '113.1720815', '27.7914334', '149.828', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800711287', 0, '2022-10-15 10:25:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57686, '123456789', 12, '113.17198', '27.7914239', '149.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800713486', 0, '2022-10-15 10:25:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57687, '123456789', 12, '113.1719296', '27.7914195', '149.886', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800715165', 0, '2022-10-15 10:25:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57688, '123456789', 12, '113.1718793', '27.7914152', '149.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800717387', 0, '2022-10-15 10:25:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57689, '123456789', 12, '113.1718793', '27.7914152', '149.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800719471', 0, '2022-10-15 10:25:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57690, '123456789', 12, '113.1718288', '27.7914107', '149.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800721085', 0, '2022-10-15 10:25:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57691, '123456789', 12, '113.1714246', '27.7913747', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800723286', 0, '2022-10-15 10:25:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57692, '123456789', 12, '113.1714246', '27.7913747', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800725405', 0, '2022-10-15 10:25:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57693, '123456789', 12, '113.1714246', '27.7913747', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800727523', 0, '2022-10-15 10:25:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57694, '123456789', 12, '113.1714246', '27.7913747', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800729099', 0, '2022-10-15 10:25:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57695, '123456789', 12, '113.1703125', '27.7912778', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800731288', 0, '2022-10-15 10:25:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57696, '123456789', 12, '113.1703125', '27.7912778', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800733447', 0, '2022-10-15 10:25:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57697, '123456789', 12, '113.1703125', '27.7912778', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800735008', 0, '2022-10-15 10:25:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57698, '123456789', 12, '113.1692019', '27.7911806', '149.799', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800737145', 0, '2022-10-15 10:25:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57699, '123456789', 12, '113.1692019', '27.7911806', '149.799', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800739249', 0, '2022-10-15 10:25:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57700, '123456789', 12, '113.1679893', '27.7910742', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800741371', 0, '2022-10-15 10:25:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57701, '123456789', 12, '113.1679893', '27.7910742', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800743010', 0, '2022-10-15 10:25:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57702, '123456789', 12, '113.1669804', '27.7909857', '149.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800745180', 0, '2022-10-15 10:25:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57703, '123456789', 12, '113.1664235', '27.7909374', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800747316', 0, '2022-10-15 10:25:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57704, '123456789', 12, '113.1664235', '27.7909374', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800749487', 0, '2022-10-15 10:25:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57705, '123456789', 12, '113.1664235', '27.7909374', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800751071', 0, '2022-10-15 10:25:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57706, '123456789', 12, '113.1652616', '27.7908346', '149.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800753256', 0, '2022-10-15 10:25:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57707, '123456789', 12, '113.1652616', '27.7908346', '149.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800755489', 0, '2022-10-15 10:25:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57708, '123456789', 12, '113.1652616', '27.7908346', '149.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800757168', 0, '2022-10-15 10:25:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57709, '123456789', 12, '113.1643502', '27.7907549', '149.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800759302', 0, '2022-10-15 10:25:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57710, '123456789', 12, '113.1641476', '27.7907373', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800761432', 0, '2022-10-15 10:26:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57711, '123456789', 12, '113.1641476', '27.7907373', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800763057', 0, '2022-10-15 10:26:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57712, '123456789', 12, '113.1630355', '27.7906399', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800765289', 0, '2022-10-15 10:26:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57713, '123456789', 12, '113.16167', '27.7905204', '149.893', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800767528', 0, '2022-10-15 10:26:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57714, '123456789', 12, '113.1612151', '27.7904803', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800769191', 0, '2022-10-15 10:26:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57715, '123456789', 12, '113.1607092', '27.7904361', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800771336', 0, '2022-10-15 10:26:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57716, '123456789', 12, '113.1600011', '27.7903738', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800773007', 0, '2022-10-15 10:26:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57717, '123456789', 12, '113.1591917', '27.7903028', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800775092', 0, '2022-10-15 10:26:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57718, '123456789', 12, '113.1585856', '27.7902499', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800777140', 0, '2022-10-15 10:26:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57719, '123456789', 12, '113.1581785', '27.7902153', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800779326', 0, '2022-10-15 10:26:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57720, '123456789', 12, '113.1578261', '27.7901825', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800781007', 0, '2022-10-15 10:26:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57721, '123456789', 12, '113.1575744', '27.7901628', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800783130', 0, '2022-10-15 10:26:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57722, '123456789', 12, '113.1573223', '27.7901399', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800785209', 0, '2022-10-15 10:26:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57723, '123456789', 12, '113.1570683', '27.7901176', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800787253', 0, '2022-10-15 10:26:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57724, '123456789', 12, '113.1563596', '27.7900541', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800789458', 0, '2022-10-15 10:26:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57725, '123456789', 12, '113.1558033', '27.7900062', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800791010', 0, '2022-10-15 10:26:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57726, '123456789', 12, '113.1551966', '27.7899525', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800793207', 0, '2022-10-15 10:26:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57727, '123456789', 12, '113.1545901', '27.7898992', '150.129', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800795364', 0, '2022-10-15 10:26:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57728, '123456789', 12, '113.1540335', '27.7898509', '149.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800797524', 0, '2022-10-15 10:26:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57729, '123456789', 12, '113.1535279', '27.7898067', '150.131', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800799209', 0, '2022-10-15 10:26:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57730, '123456789', 12, '113.1529716', '27.7897569', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800801331', 0, '2022-10-15 10:26:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57731, '123456789', 12, '113.1524654', '27.7897133', '150.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800803537', 0, '2022-10-15 10:26:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57732, '123456789', 12, '113.1521113', '27.7896822', '149.804', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800805171', 0, '2022-10-15 10:26:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57733, '123456789', 12, '113.1516047', '27.7896376', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800807294', 0, '2022-10-15 10:26:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57734, '123456789', 12, '113.1513031', '27.789611', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800809376', 0, '2022-10-15 10:26:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57735, '123456789', 12, '113.1511009', '27.7895938', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800811472', 0, '2022-10-15 10:26:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57736, '123456789', 12, '113.1509488', '27.7895808', '150.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800813091', 0, '2022-10-15 10:26:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57737, '123456789', 12, '113.1506941', '27.7895578', '149.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800815206', 0, '2022-10-15 10:26:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57738, '123456789', 12, '113.1504936', '27.7895407', '150.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800817367', 0, '2022-10-15 10:26:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57739, '123456789', 12, '113.1502931', '27.7895224', '150.137', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800819469', 0, '2022-10-15 10:26:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57740, '123456789', 12, '113.1501401', '27.7895088', '150.066', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800821009', 0, '2022-10-15 10:27:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57741, '123456789', 12, '113.1498865', '27.789487', '150.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800823251', 0, '2022-10-15 10:27:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57742, '123456789', 12, '113.1496847', '27.7894697', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800825473', 0, '2022-10-15 10:27:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57743, '123456789', 12, '113.1495329', '27.7894561', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800827082', 0, '2022-10-15 10:27:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57744, '123456789', 12, '113.1492797', '27.7894341', '149.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800829289', 0, '2022-10-15 10:27:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57745, '123456789', 12, '113.1490829', '27.7894165', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800831386', 0, '2022-10-15 10:27:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57746, '123456789', 12, '113.1489724', '27.7894076', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800833020', 0, '2022-10-15 10:27:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57747, '123456789', 12, '113.1489122', '27.7894006', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800835229', 0, '2022-10-15 10:27:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57748, '123456789', 12, '113.1489099', '27.7894024', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800837428', 0, '2022-10-15 10:27:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57749, '123456789', 12, '113.1489084', '27.789402', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800839057', 0, '2022-10-15 10:27:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57750, '123456789', 12, '113.1488697', '27.7893866', '150.081', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800841211', 0, '2022-10-15 10:27:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57751, '123456789', 12, '113.1487714', '27.7893507', '150.154', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800843442', 0, '2022-10-15 10:27:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57752, '123456789', 12, '113.148653', '27.789306', '150.141', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800845004', 0, '2022-10-15 10:27:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57753, '123456789', 12, '113.1484285', '27.7892204', '149.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800847169', 0, '2022-10-15 10:27:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57754, '123456789', 12, '113.1482432', '27.7891524', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800849348', 0, '2022-10-15 10:27:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57755, '123456789', 12, '113.1480684', '27.7890885', '150.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800851494', 0, '2022-10-15 10:27:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57756, '123456789', 12, '113.1479603', '27.7890458', '149.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800853135', 0, '2022-10-15 10:27:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57757, '123456789', 12, '113.1479312', '27.7890365', '150.21', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800855272', 0, '2022-10-15 10:27:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57758, '123456789', 12, '113.1479336', '27.7890394', '150.084', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800857526', 0, '2022-10-15 10:27:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57759, '123456789', 12, '113.1479441', '27.7890368', '149.903', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800859142', 0, '2022-10-15 10:27:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57760, '123456789', 12, '113.1479362', '27.7890383', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800861290', 0, '2022-10-15 10:27:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57761, '123456789', 12, '113.1479341', '27.7890392', '147.811', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800863404', 0, '2022-10-15 10:27:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57762, '123456789', 12, '113.1479347', '27.7890382', '145.575', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800865035', 0, '2022-10-15 10:27:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57763, '123456789', 12, '113.1479355', '27.7890386', '141.885', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800867220', 0, '2022-10-15 10:27:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57764, '123456789', 12, '113.1479342', '27.7890369', '138.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800869286', 0, '2022-10-15 10:27:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57765, '123456789', 12, '113.1479342', '27.7890372', '135.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800871427', 0, '2022-10-15 10:27:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57766, '123456789', 12, '113.1479349', '27.7890374', '133.729', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800873044', 0, '2022-10-15 10:27:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57767, '123456789', 12, '113.1479345', '27.7890377', '129.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800875185', 0, '2022-10-15 10:27:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57768, '123456789', 12, '113.1479349', '27.7890375', '126.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800877369', 0, '2022-10-15 10:27:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57769, '123456789', 12, '113.1479348', '27.7890378', '124.689', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800879056', 0, '2022-10-15 10:27:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57770, '123456789', 12, '113.1479351', '27.7890376', '120.81', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800881223', 0, '2022-10-15 10:28:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57771, '123456789', 12, '113.1479357', '27.7890387', '118.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800883425', 0, '2022-10-15 10:28:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57772, '123456789', 12, '113.1479345', '27.7890371', '115.582', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800885007', 0, '2022-10-15 10:28:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57773, '123456789', 12, '113.147935', '27.7890365', '111.769', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800887244', 0, '2022-10-15 10:28:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57774, '123456789', 12, '113.1479346', '27.7890376', '108.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800889428', 0, '2022-10-15 10:28:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57775, '123456789', 12, '113.1479368', '27.7890364', '105.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800891502', 0, '2022-10-15 10:28:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57776, '123456789', 12, '113.147934', '27.7890377', '102.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800893125', 0, '2022-10-15 10:28:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57777, '123456789', 12, '113.1479327', '27.7890382', '99.8', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800895347', 0, '2022-10-15 10:28:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57778, '123456789', 12, '113.1479379', '27.7890372', '96.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800897551', 0, '2022-10-15 10:28:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57779, '123456789', 12, '113.1479353', '27.7890376', '93.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800899175', 0, '2022-10-15 10:28:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57780, '123456789', 12, '113.1479344', '27.7890369', '90.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800901404', 0, '2022-10-15 10:28:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57781, '123456789', 12, '113.147935', '27.7890376', '87.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800903529', 0, '2022-10-15 10:28:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57782, '123456789', 12, '113.1479341', '27.7890379', '84.858', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800905166', 0, '2022-10-15 10:28:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57783, '123456789', 12, '113.1479358', '27.7890372', '81.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800907382', 0, '2022-10-15 10:28:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57784, '123456789', 12, '113.1479349', '27.7890376', '79.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800909485', 0, '2022-10-15 10:28:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57785, '123456789', 12, '113.1479356', '27.7890371', '75.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800911126', 0, '2022-10-15 10:28:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57786, '123456789', 12, '113.1479333', '27.7890386', '72.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800913206', 0, '2022-10-15 10:28:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57787, '123456789', 12, '113.1479352', '27.7890371', '69.907', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800915393', 0, '2022-10-15 10:28:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57788, '123456789', 12, '113.1479349', '27.7890366', '66.906', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800917523', 0, '2022-10-15 10:28:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57789, '123456789', 12, '113.1479352', '27.7890376', '63.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800919196', 0, '2022-10-15 10:28:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57790, '123456789', 12, '113.1479353', '27.7890381', '60.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800921403', 0, '2022-10-15 10:28:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57791, '123456789', 12, '113.1479343', '27.7890376', '58.546', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800923068', 0, '2022-10-15 10:28:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57792, '123456789', 12, '113.1479351', '27.7890373', '54.876', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800925203', 0, '2022-10-15 10:28:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57793, '123456789', 12, '113.1479345', '27.7890373', '51.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800927431', 0, '2022-10-15 10:28:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57794, '123456789', 12, '113.1479351', '27.7890373', '49.811', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800929072', 0, '2022-10-15 10:28:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57795, '123456789', 12, '113.1479354', '27.7890372', '45.829', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800931138', 0, '2022-10-15 10:28:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57796, '123456789', 12, '113.1479342', '27.7890376', '42.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800933363', 0, '2022-10-15 10:28:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57797, '123456789', 12, '113.147935', '27.7890373', '39.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800935526', 0, '2022-10-15 10:28:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57798, '123456789', 12, '113.1479349', '27.7890369', '36.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800937178', 0, '2022-10-15 10:28:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57799, '123456789', 12, '113.147935', '27.7890373', '33.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800939254', 0, '2022-10-15 10:28:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57800, '123456789', 12, '113.1479352', '27.7890372', '30.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800941443', 0, '2022-10-15 10:29:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57801, '123456789', 12, '113.1479351', '27.7890378', '28.56', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800943044', 0, '2022-10-15 10:29:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57802, '123456789', 12, '113.1479352', '27.789038', '24.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800945295', 0, '2022-10-15 10:29:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57803, '123456789', 12, '113.1479351', '27.7890375', '21.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800947471', 0, '2022-10-15 10:29:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57804, '123456789', 12, '113.1479354', '27.7890372', '19.697', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800949096', 0, '2022-10-15 10:29:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57805, '123456789', 12, '113.1479353', '27.7890376', '15.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800951347', 0, '2022-10-15 10:29:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57806, '123456789', 12, '113.1479343', '27.7890392', '15.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800953503', 0, '2022-10-15 10:29:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57807, '123456789', 12, '113.1479349', '27.7890382', '14.507', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800955076', 0, '2022-10-15 10:29:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57808, '123456789', 12, '113.1479355', '27.7890375', '13.787', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800957283', 0, '2022-10-15 10:29:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57809, '123456789', 12, '113.147935', '27.7890379', '13.17', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800959451', 0, '2022-10-15 10:29:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57810, '123456789', 12, '113.147935', '27.789038', '12.72', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800961026', 0, '2022-10-15 10:29:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57811, '123456789', 12, '113.1479347', '27.7890379', '11.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800963179', 0, '2022-10-15 10:29:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57812, '123456789', 12, '113.1479355', '27.7890377', '11.382', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800965330', 0, '2022-10-15 10:29:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57813, '123456789', 12, '113.1479356', '27.7890378', '10.797', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800967487', 0, '2022-10-15 10:29:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57814, '123456789', 12, '113.1479349', '27.7890378', '10.2', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800969164', 0, '2022-10-15 10:29:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57815, '123456789', 12, '113.1479351', '27.7890378', '9.594', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800971404', 0, '2022-10-15 10:29:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57816, '123456789', 12, '113.1479351', '27.7890378', '9.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800973033', 0, '2022-10-15 10:29:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57817, '123456789', 12, '113.1479351', '27.7890381', '8.365', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800975127', 0, '2022-10-15 10:29:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57818, '123456789', 12, '113.1479352', '27.7890387', '7.775', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800977365', 0, '2022-10-15 10:29:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57819, '123456789', 12, '113.1479351', '27.7890381', '7.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800979508', 0, '2022-10-15 10:29:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57820, '123456789', 12, '113.1479347', '27.7890376', '6.544', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800981172', 0, '2022-10-15 10:29:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57821, '123456789', 12, '113.1479354', '27.7890382', '5.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800983326', 0, '2022-10-15 10:29:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57822, '123456789', 12, '113.1479348', '27.7890383', '5.357', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800985549', 0, '2022-10-15 10:29:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57823, '123456789', 12, '113.1479349', '27.7890386', '4.825', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800987178', 0, '2022-10-15 10:29:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57824, '123456789', 12, '113.147934', '27.7890385', '4.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800989328', 0, '2022-10-15 10:29:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57825, '123456789', 12, '113.1479349', '27.7890386', '3.693', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800991003', 0, '2022-10-15 10:29:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57826, '123456789', 12, '113.1479348', '27.7890384', '2.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800993207', 0, '2022-10-15 10:29:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57827, '123456789', 12, '113.1479338', '27.7890382', '2.358', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800995308', 0, '2022-10-15 10:29:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57828, '123456789', 12, '113.1479356', '27.7890394', '1.791', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800997532', 0, '2022-10-15 10:29:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57829, '123456789', 12, '113.1479368', '27.7890383', '1.374', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665800999167', 0, '2022-10-15 10:29:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (57830, '123456789', 12, '113.1479364', '27.7890387', '1.167', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665801001349', 0, '2022-10-15 10:30:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59218, '123456789', 14, '113.1479349', '27.7890377', '0.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819868868', 0, '2022-10-15 15:44:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59219, '123456789', 14, '113.147935', '27.7890376', '0.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819870430', 0, '2022-10-15 15:44:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59220, '123456789', 14, '113.1479347', '27.7890379', '0.106', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819872553', 0, '2022-10-15 15:44:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59221, '123456789', 14, '113.1479357', '27.7890361', '4.836', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819874167', 0, '2022-10-15 15:44:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59222, '123456789', 14, '113.1479369', '27.7890368', '9.678', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819876327', 0, '2022-10-15 15:44:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59223, '123456789', 14, '113.1479354', '27.7890377', '14.701', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819878549', 0, '2022-10-15 15:44:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59224, '123456789', 14, '113.1479359', '27.7890362', '19.716', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819880213', 0, '2022-10-15 15:44:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59225, '123456789', 14, '113.1479353', '27.7890365', '24.732', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819882428', 0, '2022-10-15 15:44:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59226, '123456789', 14, '113.1479345', '27.7890367', '28.406', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819884095', 0, '2022-10-15 15:44:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59227, '123456789', 14, '113.147934', '27.7890367', '34.586', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819886319', 0, '2022-10-15 15:44:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59228, '123456789', 14, '113.1479349', '27.7890365', '39.6', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819888492', 0, '2022-10-15 15:44:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59229, '123456789', 14, '113.1479347', '27.7890376', '44.567', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819890155', 0, '2022-10-15 15:44:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59230, '123456789', 14, '113.1479342', '27.7890374', '49.57', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819892385', 0, '2022-10-15 15:44:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59231, '123456789', 14, '113.1479349', '27.7890367', '53.349', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819894056', 0, '2022-10-15 15:44:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59232, '123456789', 14, '113.1479347', '27.7890373', '59.617', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819896285', 0, '2022-10-15 15:44:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59233, '123456789', 14, '113.147935', '27.7890374', '64.606', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819898516', 0, '2022-10-15 15:44:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59234, '123456789', 14, '113.1479347', '27.7890375', '69.654', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819900181', 0, '2022-10-15 15:45:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59235, '123456789', 14, '113.1479352', '27.7890372', '74.687', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819902418', 0, '2022-10-15 15:45:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59236, '123456789', 14, '113.147936', '27.7890365', '78.364', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819904085', 0, '2022-10-15 15:45:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59237, '123456789', 14, '113.1479348', '27.7890375', '84.731', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819906310', 0, '2022-10-15 15:45:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59238, '123456789', 14, '113.1479343', '27.7890367', '89.662', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819908554', 0, '2022-10-15 15:45:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59239, '123456789', 14, '113.1479356', '27.7890377', '94.626', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819910175', 0, '2022-10-15 15:45:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59240, '123456789', 14, '113.1479351', '27.7890384', '99.701', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819912407', 0, '2022-10-15 15:45:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59241, '123456789', 14, '113.1479347', '27.7890372', '103.423', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819914071', 0, '2022-10-15 15:45:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59242, '123456789', 14, '113.1479351', '27.789037', '109.671', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819916302', 0, '2022-10-15 15:45:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59243, '123456789', 14, '113.1479353', '27.7890376', '114.694', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819918466', 0, '2022-10-15 15:45:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59244, '123456789', 14, '113.1479351', '27.7890371', '119.744', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819920136', 0, '2022-10-15 15:45:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59245, '123456789', 14, '113.1479349', '27.7890373', '124.543', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819922365', 0, '2022-10-15 15:45:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59246, '123456789', 14, '113.1479351', '27.7890379', '128.499', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819924030', 0, '2022-10-15 15:45:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59247, '123456789', 14, '113.1479352', '27.7890375', '134.698', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819926257', 0, '2022-10-15 15:45:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59248, '123456789', 14, '113.1479348', '27.7890368', '139.647', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819928483', 0, '2022-10-15 15:45:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59249, '123456789', 14, '113.1479356', '27.7890368', '143.486', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819930146', 0, '2022-10-15 15:45:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59250, '123456789', 14, '113.1479349', '27.7890374', '149.701', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819932382', 0, '2022-10-15 15:45:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59251, '123456789', 14, '113.1479351', '27.7890375', '153.438', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819934054', 0, '2022-10-15 15:45:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59252, '123456789', 14, '113.1479352', '27.7890373', '158.474', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819936281', 0, '2022-10-15 15:45:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59253, '123456789', 14, '113.1479354', '27.7890373', '160.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819938525', 0, '2022-10-15 15:45:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59254, '123456789', 14, '113.1479322', '27.7890458', '159.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819940148', 0, '2022-10-15 15:45:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59255, '123456789', 14, '113.1479085', '27.7891057', '159.871', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819942371', 0, '2022-10-15 15:45:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59256, '123456789', 14, '113.1478646', '27.7891986', '159.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819944038', 0, '2022-10-15 15:45:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59257, '123456789', 14, '113.1477751', '27.7894001', '159.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819946252', 0, '2022-10-15 15:45:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59258, '123456789', 14, '113.1477007', '27.7895676', '159.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819948469', 0, '2022-10-15 15:45:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59259, '123456789', 14, '113.147627', '27.7897345', '159.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819950131', 0, '2022-10-15 15:45:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59260, '123456789', 14, '113.1475528', '27.7899013', '159.684', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819952349', 0, '2022-10-15 15:45:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59261, '123456789', 14, '113.1474959', '27.7900264', '159.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819954013', 0, '2022-10-15 15:45:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59262, '123456789', 14, '113.1474042', '27.7902357', '159.693', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819956241', 0, '2022-10-15 15:45:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59263, '123456789', 14, '113.1473301', '27.7904017', '159.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819958455', 0, '2022-10-15 15:45:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59264, '123456789', 14, '113.1472748', '27.7905281', '159.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819960116', 0, '2022-10-15 15:46:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59265, '123456789', 14, '113.1471822', '27.7907368', '159.811', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819962346', 0, '2022-10-15 15:46:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59266, '123456789', 14, '113.1471267', '27.7908621', '159.825', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819964015', 0, '2022-10-15 15:46:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59267, '123456789', 14, '113.1470339', '27.7910711', '159.816', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819966250', 0, '2022-10-15 15:46:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59268, '123456789', 14, '113.1469596', '27.7912388', '159.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819968415', 0, '2022-10-15 15:46:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59269, '123456789', 14, '113.1469043', '27.7913642', '159.787', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819970096', 0, '2022-10-15 15:46:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59270, '123456789', 14, '113.1468114', '27.7915726', '159.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819972260', 0, '2022-10-15 15:46:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59271, '123456789', 14, '113.1467369', '27.7917399', '159.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819974494', 0, '2022-10-15 15:46:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59272, '123456789', 14, '113.1466627', '27.7919083', '159.818', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819976163', 0, '2022-10-15 15:46:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59273, '123456789', 14, '113.1465882', '27.7920764', '159.742', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819978387', 0, '2022-10-15 15:46:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59274, '123456789', 14, '113.1465332', '27.7922024', '159.784', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819980060', 0, '2022-10-15 15:46:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59275, '123456789', 14, '113.1464403', '27.7924102', '159.824', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819982296', 0, '2022-10-15 15:46:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59276, '123456789', 14, '113.1463676', '27.7925762', '159.84', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819984530', 0, '2022-10-15 15:46:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59277, '123456789', 14, '113.146293', '27.7927433', '159.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819986203', 0, '2022-10-15 15:46:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59278, '123456789', 14, '113.1462193', '27.7929102', '159.896', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819988434', 0, '2022-10-15 15:46:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59279, '123456789', 14, '113.146164', '27.7930367', '159.893', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819990102', 0, '2022-10-15 15:46:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59280, '123456789', 14, '113.1460713', '27.7932454', '159.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819992271', 0, '2022-10-15 15:46:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59281, '123456789', 14, '113.1459969', '27.7934134', '159.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819994500', 0, '2022-10-15 15:46:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59282, '123456789', 14, '113.1459224', '27.7935812', '159.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819996176', 0, '2022-10-15 15:46:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59283, '123456789', 14, '113.145848', '27.7937476', '159.735', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665819998418', 0, '2022-10-15 15:46:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59284, '123456789', 14, '113.145792', '27.7938724', '159.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820000085', 0, '2022-10-15 15:46:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59285, '123456789', 14, '113.1457', '27.7940798', '159.893', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820002313', 0, '2022-10-15 15:46:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59286, '123456789', 14, '113.1456269', '27.7942489', '160.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820004533', 0, '2022-10-15 15:46:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59287, '123456789', 14, '113.145553', '27.794416', '159.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820006197', 0, '2022-10-15 15:46:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59288, '123456789', 14, '113.145477', '27.7945835', '159.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820008414', 0, '2022-10-15 15:46:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59289, '123456789', 14, '113.1454215', '27.7947086', '159.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820010085', 0, '2022-10-15 15:46:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59290, '123456789', 14, '113.1453297', '27.7949172', '159.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820012317', 0, '2022-10-15 15:46:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59291, '123456789', 14, '113.1452546', '27.795086', '159.847', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820014534', 0, '2022-10-15 15:46:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59292, '123456789', 14, '113.1451806', '27.7952536', '159.863', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820016205', 0, '2022-10-15 15:46:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59293, '123456789', 14, '113.1451069', '27.7954199', '159.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820018431', 0, '2022-10-15 15:46:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59294, '123456789', 14, '113.1450505', '27.7955463', '159.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820020101', 0, '2022-10-15 15:47:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59295, '123456789', 14, '113.144958', '27.7957562', '159.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820022341', 0, '2022-10-15 15:47:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59296, '123456789', 14, '113.1449028', '27.7958813', '159.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820024001', 0, '2022-10-15 15:47:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59297, '123456789', 14, '113.1448101', '27.7960903', '159.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820026215', 0, '2022-10-15 15:47:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59298, '123456789', 14, '113.1447364', '27.7962571', '159.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820028445', 0, '2022-10-15 15:47:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59299, '123456789', 14, '113.1446802', '27.7963834', '159.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820030113', 0, '2022-10-15 15:47:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59300, '123456789', 14, '113.1445878', '27.7965925', '159.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820032334', 0, '2022-10-15 15:47:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59301, '123456789', 14, '113.1445129', '27.7967606', '159.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820034551', 0, '2022-10-15 15:47:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59302, '123456789', 14, '113.1444387', '27.7969273', '159.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820036218', 0, '2022-10-15 15:47:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59303, '123456789', 14, '113.1443642', '27.7970946', '159.839', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820038444', 0, '2022-10-15 15:47:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59304, '123456789', 14, '113.1443089', '27.7972201', '159.831', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820040114', 0, '2022-10-15 15:47:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59305, '123456789', 14, '113.1442159', '27.7974295', '159.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820042341', 0, '2022-10-15 15:47:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59306, '123456789', 14, '113.1441602', '27.7975557', '159.886', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820044012', 0, '2022-10-15 15:47:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59307, '123456789', 14, '113.1440681', '27.7977643', '159.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820046247', 0, '2022-10-15 15:47:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59308, '123456789', 14, '113.1439937', '27.7979319', '160.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820048469', 0, '2022-10-15 15:47:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59309, '123456789', 14, '113.1439373', '27.7980581', '160.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820050132', 0, '2022-10-15 15:47:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59310, '123456789', 14, '113.143845', '27.7982674', '159.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820052353', 0, '2022-10-15 15:47:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59311, '123456789', 14, '113.1437895', '27.7983928', '160.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820054011', 0, '2022-10-15 15:47:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59312, '123456789', 14, '113.1436974', '27.7986015', '159.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820056239', 0, '2022-10-15 15:47:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59313, '123456789', 14, '113.1436228', '27.79877', '159.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820058460', 0, '2022-10-15 15:47:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59314, '123456789', 14, '113.1435662', '27.7988955', '159.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820060130', 0, '2022-10-15 15:47:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59315, '123456789', 14, '113.1434739', '27.7991048', '160.055', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820062351', 0, '2022-10-15 15:47:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59316, '123456789', 14, '113.1434182', '27.7992302', '159.851', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820064015', 0, '2022-10-15 15:47:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59317, '123456789', 14, '113.1433254', '27.799439', '159.801', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820066244', 0, '2022-10-15 15:47:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59318, '123456789', 14, '113.1432515', '27.7996064', '159.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820068469', 0, '2022-10-15 15:47:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59319, '123456789', 14, '113.1431779', '27.799774', '160.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820070137', 0, '2022-10-15 15:47:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59320, '123456789', 14, '113.1431031', '27.7999412', '160.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820072370', 0, '2022-10-15 15:47:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59321, '123456789', 14, '113.1430476', '27.8000664', '160.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820074039', 0, '2022-10-15 15:47:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59322, '123456789', 14, '113.1429542', '27.8002756', '160.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820076214', 0, '2022-10-15 15:47:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59323, '123456789', 14, '113.1428809', '27.8004438', '159.894', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820078446', 0, '2022-10-15 15:47:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59324, '123456789', 14, '113.142806', '27.8006116', '159.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820080127', 0, '2022-10-15 15:48:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59325, '123456789', 14, '113.1427323', '27.8007787', '160.176', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820082364', 0, '2022-10-15 15:48:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59326, '123456789', 14, '113.142676', '27.8009036', '159.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820084042', 0, '2022-10-15 15:48:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59327, '123456789', 14, '113.1425839', '27.8011136', '159.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820086285', 0, '2022-10-15 15:48:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59328, '123456789', 14, '113.1425091', '27.8012808', '159.857', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820088390', 0, '2022-10-15 15:48:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59329, '123456789', 14, '113.1424352', '27.8014482', '159.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820090513', 0, '2022-10-15 15:48:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59330, '123456789', 14, '113.1423793', '27.8015742', '160.076', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820092131', 0, '2022-10-15 15:48:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59331, '123456789', 14, '113.1422863', '27.801783', '159.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820094372', 0, '2022-10-15 15:48:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59332, '123456789', 14, '113.1422192', '27.8019406', '159.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820096556', 0, '2022-10-15 15:48:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59333, '123456789', 14, '113.1421902', '27.8020819', '159.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820098239', 0, '2022-10-15 15:48:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59334, '123456789', 14, '113.1422032', '27.8022354', '159.875', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820100473', 0, '2022-10-15 15:48:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59335, '123456789', 14, '113.1422288', '27.8024106', '160.131', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820102144', 0, '2022-10-15 15:48:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59336, '123456789', 14, '113.1422582', '27.8025896', '160.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820104378', 0, '2022-10-15 15:48:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59337, '123456789', 14, '113.1422795', '27.8027233', '160.132', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820106053', 0, '2022-10-15 15:48:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59338, '123456789', 14, '113.1423134', '27.8029457', '159.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820108282', 0, '2022-10-15 15:48:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59339, '123456789', 14, '113.1423397', '27.8031229', '160.107', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820110522', 0, '2022-10-15 15:48:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59340, '123456789', 14, '113.1423676', '27.803302', '160.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820112192', 0, '2022-10-15 15:48:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59341, '123456789', 14, '113.1423947', '27.8034801', '160.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820114433', 0, '2022-10-15 15:48:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59342, '123456789', 14, '113.1424148', '27.8036154', '159.872', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820116112', 0, '2022-10-15 15:48:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59343, '123456789', 14, '113.1424481', '27.8038378', '159.858', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820118345', 0, '2022-10-15 15:48:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59344, '123456789', 14, '113.1424695', '27.8039708', '159.843', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820120015', 0, '2022-10-15 15:48:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59345, '123456789', 14, '113.1425044', '27.8041937', '159.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820122255', 0, '2022-10-15 15:48:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59346, '123456789', 14, '113.1425308', '27.8043706', '159.863', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820124480', 0, '2022-10-15 15:48:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59347, '123456789', 14, '113.1425511', '27.8045038', '159.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820126148', 0, '2022-10-15 15:48:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59348, '123456789', 14, '113.1425861', '27.8047264', '159.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820128333', 0, '2022-10-15 15:48:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59349, '123456789', 14, '113.1426062', '27.8048601', '160.058', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820130011', 0, '2022-10-15 15:48:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59350, '123456789', 14, '113.1426404', '27.8050838', '160.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820132246', 0, '2022-10-15 15:48:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59351, '123456789', 14, '113.1426689', '27.805261', '159.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820134428', 0, '2022-10-15 15:48:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59352, '123456789', 14, '113.1426892', '27.8053941', '159.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820136108', 0, '2022-10-15 15:48:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59353, '123456789', 14, '113.1427231', '27.8056169', '159.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820138345', 0, '2022-10-15 15:48:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59354, '123456789', 14, '113.1427433', '27.8057504', '159.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820140020', 0, '2022-10-15 15:49:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59355, '123456789', 14, '113.1427773', '27.8059732', '159.833', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820142247', 0, '2022-10-15 15:49:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59356, '123456789', 14, '113.1428051', '27.8061509', '159.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820144483', 0, '2022-10-15 15:49:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59357, '123456789', 14, '113.1428322', '27.8063282', '159.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820146165', 0, '2022-10-15 15:49:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59358, '123456789', 14, '113.1428596', '27.8065059', '160', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820148340', 0, '2022-10-15 15:49:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59359, '123456789', 14, '113.1428802', '27.8066396', '160.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820150020', 0, '2022-10-15 15:49:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59360, '123456789', 14, '113.1429141', '27.8068624', '160.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820152253', 0, '2022-10-15 15:49:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59361, '123456789', 14, '113.1429414', '27.8070405', '159.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820154425', 0, '2022-10-15 15:49:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59362, '123456789', 14, '113.1429618', '27.8071737', '159.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820156105', 0, '2022-10-15 15:49:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59363, '123456789', 14, '113.1429971', '27.8073957', '160.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820158346', 0, '2022-10-15 15:49:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59364, '123456789', 14, '113.1430174', '27.8075292', '160.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820160021', 0, '2022-10-15 15:49:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59365, '123456789', 14, '113.143051', '27.8077527', '159.913', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820162254', 0, '2022-10-15 15:49:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59366, '123456789', 14, '113.143078', '27.8079303', '159.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820164484', 0, '2022-10-15 15:49:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59367, '123456789', 14, '113.143098', '27.8080635', '160.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820166099', 0, '2022-10-15 15:49:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59368, '123456789', 14, '113.143133', '27.8082872', '159.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820168339', 0, '2022-10-15 15:49:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59369, '123456789', 14, '113.1431537', '27.8084201', '159.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820170012', 0, '2022-10-15 15:49:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59370, '123456789', 14, '113.1431872', '27.8086434', '159.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820172252', 0, '2022-10-15 15:49:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59371, '123456789', 14, '113.1432152', '27.8088216', '159.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820174368', 0, '2022-10-15 15:49:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59372, '123456789', 14, '113.1432361', '27.8089552', '159.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820176042', 0, '2022-10-15 15:49:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59373, '123456789', 14, '113.1432701', '27.8091776', '159.884', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820178275', 0, '2022-10-15 15:49:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59374, '123456789', 14, '113.1432978', '27.8093561', '160.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820180507', 0, '2022-10-15 15:49:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59375, '123456789', 14, '113.1433257', '27.8095345', '159.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820182189', 0, '2022-10-15 15:49:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59376, '123456789', 14, '113.1433519', '27.8097129', '159.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820184366', 0, '2022-10-15 15:49:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59377, '123456789', 14, '113.1433721', '27.8098468', '159.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820186046', 0, '2022-10-15 15:49:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59378, '123456789', 14, '113.1434067', '27.8100691', '159.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820188223', 0, '2022-10-15 15:49:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59379, '123456789', 14, '113.1434347', '27.8102469', '159.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820190393', 0, '2022-10-15 15:49:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59380, '123456789', 14, '113.143455', '27.8103807', '159.867', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820192071', 0, '2022-10-15 15:49:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59381, '123456789', 14, '113.1434891', '27.8106034', '159.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820194247', 0, '2022-10-15 15:49:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59382, '123456789', 14, '113.1435166', '27.8107815', '160.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820196485', 0, '2022-10-15 15:49:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59383, '123456789', 14, '113.143537', '27.8109153', '160.156', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820198172', 0, '2022-10-15 15:49:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59384, '123456789', 14, '113.1435712', '27.8111381', '159.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820200389', 0, '2022-10-15 15:50:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59385, '123456789', 14, '113.143592', '27.8112717', '159.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820202069', 0, '2022-10-15 15:50:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59386, '123456789', 14, '113.1436257', '27.8114949', '159.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820204307', 0, '2022-10-15 15:50:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59387, '123456789', 14, '113.1436533', '27.8116725', '159.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820206533', 0, '2022-10-15 15:50:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59388, '123456789', 14, '113.1436806', '27.811851', '159.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820208157', 0, '2022-10-15 15:50:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59389, '123456789', 14, '113.1437074', '27.812029', '160.09', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820210389', 0, '2022-10-15 15:50:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59390, '123456789', 14, '113.1437284', '27.8121628', '160.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820212067', 0, '2022-10-15 15:50:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59391, '123456789', 14, '113.1437624', '27.8123853', '159.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820214251', 0, '2022-10-15 15:50:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59392, '123456789', 14, '113.1437898', '27.8125638', '159.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820216489', 0, '2022-10-15 15:50:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59393, '123456789', 14, '113.1438104', '27.8126974', '159.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820218164', 0, '2022-10-15 15:50:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59394, '123456789', 14, '113.1438447', '27.8129203', '160.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820220402', 0, '2022-10-15 15:50:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59395, '123456789', 14, '113.143865', '27.8130539', '160.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820222070', 0, '2022-10-15 15:50:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59396, '123456789', 14, '113.1439002', '27.8132766', '160.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820224304', 0, '2022-10-15 15:50:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59397, '123456789', 14, '113.1439281', '27.8134547', '159.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820226483', 0, '2022-10-15 15:50:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59398, '123456789', 14, '113.1439482', '27.8135887', '159.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820228153', 0, '2022-10-15 15:50:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59399, '123456789', 14, '113.1439824', '27.8138111', '160.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820230324', 0, '2022-10-15 15:50:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59400, '123456789', 14, '113.1440097', '27.8139885', '159.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820232556', 0, '2022-10-15 15:50:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59401, '123456789', 14, '113.1440301', '27.8141227', '159.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820234228', 0, '2022-10-15 15:50:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59402, '123456789', 14, '113.1440634', '27.8143456', '160.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820236414', 0, '2022-10-15 15:50:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59403, '123456789', 14, '113.1440825', '27.8144795', '159.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820238085', 0, '2022-10-15 15:50:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59404, '123456789', 14, '113.1441136', '27.814702', '159.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820240319', 0, '2022-10-15 15:50:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59405, '123456789', 14, '113.1441394', '27.8148796', '160.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820242551', 0, '2022-10-15 15:50:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59406, '123456789', 14, '113.1441641', '27.8150582', '159.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820244224', 0, '2022-10-15 15:50:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59407, '123456789', 14, '113.1441897', '27.815237', '160.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820246458', 0, '2022-10-15 15:50:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59408, '123456789', 14, '113.1442087', '27.8153719', '159.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820248131', 0, '2022-10-15 15:50:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59409, '123456789', 14, '113.1442395', '27.8155935', '159.888', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820250376', 0, '2022-10-15 15:50:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59410, '123456789', 14, '113.1442575', '27.8157269', '159.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820252057', 0, '2022-10-15 15:50:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59411, '123456789', 14, '113.1442887', '27.8159506', '159.915', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820254289', 0, '2022-10-15 15:50:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59412, '123456789', 14, '113.1443149', '27.816129', '159.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820256463', 0, '2022-10-15 15:50:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59413, '123456789', 14, '113.1443332', '27.8162619', '159.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820258081', 0, '2022-10-15 15:50:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59414, '123456789', 14, '113.1443644', '27.8164858', '159.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820260318', 0, '2022-10-15 15:51:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59415, '123456789', 14, '113.1443893', '27.8166629', '159.852', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820262548', 0, '2022-10-15 15:51:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59416, '123456789', 14, '113.1444155', '27.8168404', '159.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820264224', 0, '2022-10-15 15:51:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59417, '123456789', 14, '113.1444401', '27.8170211', '159.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820266459', 0, '2022-10-15 15:51:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59418, '123456789', 14, '113.1444592', '27.817154', '159.896', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820268131', 0, '2022-10-15 15:51:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59419, '123456789', 14, '113.1444891', '27.8173756', '159.842', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820270361', 0, '2022-10-15 15:51:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59420, '123456789', 14, '113.1445079', '27.8175104', '159.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820272038', 0, '2022-10-15 15:51:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59421, '123456789', 14, '113.1445396', '27.8177345', '159.787', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820274267', 0, '2022-10-15 15:51:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59422, '123456789', 14, '113.1445642', '27.8179113', '159.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820276493', 0, '2022-10-15 15:51:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59423, '123456789', 14, '113.1445838', '27.8180445', '160.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820278112', 0, '2022-10-15 15:51:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59424, '123456789', 14, '113.1446161', '27.818267', '160.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820280347', 0, '2022-10-15 15:51:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59425, '123456789', 14, '113.1446341', '27.8184001', '159.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820282017', 0, '2022-10-15 15:51:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59426, '123456789', 14, '113.1446648', '27.8186229', '159.875', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820284254', 0, '2022-10-15 15:51:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59427, '123456789', 14, '113.1446899', '27.8188018', '159.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820286430', 0, '2022-10-15 15:51:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59428, '123456789', 14, '113.1447094', '27.8189356', '159.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820288089', 0, '2022-10-15 15:51:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59429, '123456789', 14, '113.1447402', '27.8191578', '159.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820290309', 0, '2022-10-15 15:51:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59430, '123456789', 14, '113.1447649', '27.8193371', '159.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820292482', 0, '2022-10-15 15:51:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59431, '123456789', 14, '113.1447843', '27.8194706', '159.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820294159', 0, '2022-10-15 15:51:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59432, '123456789', 14, '113.1448151', '27.8196928', '160.146', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820296276', 0, '2022-10-15 15:51:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59433, '123456789', 14, '113.14484', '27.8198713', '159.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820298508', 0, '2022-10-15 15:51:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59434, '123456789', 14, '113.1448591', '27.8200048', '159.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820300122', 0, '2022-10-15 15:51:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59435, '123456789', 14, '113.1448905', '27.8202282', '159.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820302338', 0, '2022-10-15 15:51:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59436, '123456789', 14, '113.1449151', '27.8204062', '160.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820304460', 0, '2022-10-15 15:51:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59437, '123456789', 14, '113.1449339', '27.8205409', '160.068', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820306082', 0, '2022-10-15 15:51:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59438, '123456789', 14, '113.1449663', '27.8207633', '159.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820308318', 0, '2022-10-15 15:51:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59439, '123456789', 14, '113.144991', '27.8209413', '160.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820310488', 0, '2022-10-15 15:51:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59440, '123456789', 14, '113.1450159', '27.8211202', '159.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820312170', 0, '2022-10-15 15:51:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59441, '123456789', 14, '113.1450407', '27.8212988', '159.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820314397', 0, '2022-10-15 15:51:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59442, '123456789', 14, '113.1450594', '27.8214324', '159.913', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820316066', 0, '2022-10-15 15:51:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59443, '123456789', 14, '113.145091', '27.8216563', '159.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820318252', 0, '2022-10-15 15:51:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59444, '123456789', 14, '113.145116', '27.8218343', '159.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820320487', 0, '2022-10-15 15:52:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59445, '123456789', 14, '113.1451418', '27.822013', '159.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820322160', 0, '2022-10-15 15:52:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59446, '123456789', 14, '113.1451668', '27.8221913', '159.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820324394', 0, '2022-10-15 15:52:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59447, '123456789', 14, '113.1451855', '27.822325', '159.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820326074', 0, '2022-10-15 15:52:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59448, '123456789', 14, '113.1452169', '27.8225478', '159.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820328305', 0, '2022-10-15 15:52:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59449, '123456789', 14, '113.1452412', '27.8227268', '160.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820330538', 0, '2022-10-15 15:52:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59450, '123456789', 14, '113.145266', '27.8229052', '160.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820332217', 0, '2022-10-15 15:52:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59451, '123456789', 14, '113.1452909', '27.8230838', '159.695', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820334450', 0, '2022-10-15 15:52:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59452, '123456789', 14, '113.1453097', '27.8232176', '159.868', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820336121', 0, '2022-10-15 15:52:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59453, '123456789', 14, '113.1453409', '27.8234402', '160.17', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820338356', 0, '2022-10-15 15:52:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59454, '123456789', 14, '113.1453605', '27.8235749', '159.766', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820340025', 0, '2022-10-15 15:52:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59455, '123456789', 14, '113.1453911', '27.8237963', '160.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820342266', 0, '2022-10-15 15:52:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59456, '123456789', 14, '113.1454171', '27.8239751', '160.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820344496', 0, '2022-10-15 15:52:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59457, '123456789', 14, '113.1454414', '27.8241553', '160.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820346172', 0, '2022-10-15 15:52:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59458, '123456789', 14, '113.1454671', '27.8243335', '160.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820348395', 0, '2022-10-15 15:52:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59459, '123456789', 14, '113.1454863', '27.8244673', '160.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820350058', 0, '2022-10-15 15:52:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59460, '123456789', 14, '113.1455174', '27.8246918', '160.141', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820352292', 0, '2022-10-15 15:52:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59461, '123456789', 14, '113.1455416', '27.8248693', '159.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820354533', 0, '2022-10-15 15:52:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59462, '123456789', 14, '113.1455609', '27.8250016', '159.862', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820356203', 0, '2022-10-15 15:52:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59463, '123456789', 14, '113.1455936', '27.8252246', '159.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820358437', 0, '2022-10-15 15:52:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59464, '123456789', 14, '113.1456121', '27.8253577', '160.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820360109', 0, '2022-10-15 15:52:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59465, '123456789', 14, '113.1456389', '27.8255818', '159.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820362344', 0, '2022-10-15 15:52:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59466, '123456789', 14, '113.145649', '27.8257163', '159.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820364014', 0, '2022-10-15 15:52:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59467, '123456789', 14, '113.1456531', '27.825941', '160.076', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820366190', 0, '2022-10-15 15:52:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59468, '123456789', 14, '113.1456509', '27.8261211', '160', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820368424', 0, '2022-10-15 15:52:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59469, '123456789', 14, '113.1456504', '27.8262564', '159.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820370109', 0, '2022-10-15 15:52:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59470, '123456789', 14, '113.1456496', '27.8264812', '160.152', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820372338', 0, '2022-10-15 15:52:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59471, '123456789', 14, '113.1456485', '27.8266151', '160.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820374012', 0, '2022-10-15 15:52:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59472, '123456789', 14, '113.1456471', '27.8267941', '159.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820376188', 0, '2022-10-15 15:52:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59473, '123456789', 14, '113.1456455', '27.8270192', '159.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820378423', 0, '2022-10-15 15:52:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59474, '123456789', 14, '113.1456446', '27.8271541', '160.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820380103', 0, '2022-10-15 15:53:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59475, '123456789', 14, '113.1456445', '27.8273804', '160.159', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820382275', 0, '2022-10-15 15:53:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59476, '123456789', 14, '113.145643', '27.8275587', '160.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820384448', 0, '2022-10-15 15:53:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59477, '123456789', 14, '113.1456414', '27.8276931', '159.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820386112', 0, '2022-10-15 15:53:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59478, '123456789', 14, '113.1456408', '27.8279171', '159.831', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820388289', 0, '2022-10-15 15:53:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59479, '123456789', 14, '113.1456401', '27.8280964', '160.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820390519', 0, '2022-10-15 15:53:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59480, '123456789', 14, '113.1456395', '27.8282763', '160.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820392200', 0, '2022-10-15 15:53:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59481, '123456789', 14, '113.1456379', '27.8284576', '160.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820394432', 0, '2022-10-15 15:53:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59482, '123456789', 14, '113.1456377', '27.8285913', '160.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820396112', 0, '2022-10-15 15:53:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59483, '123456789', 14, '113.1456363', '27.8288163', '160.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820398353', 0, '2022-10-15 15:53:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59484, '123456789', 14, '113.1456352', '27.8289507', '160.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820400017', 0, '2022-10-15 15:53:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59485, '123456789', 14, '113.1456338', '27.8291755', '160.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820402252', 0, '2022-10-15 15:53:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59486, '123456789', 14, '113.145633', '27.8293546', '160.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820404486', 0, '2022-10-15 15:53:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59487, '123456789', 14, '113.1456323', '27.8294795', '160.129', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820406167', 0, '2022-10-15 15:53:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59488, '123456789', 14, '113.1456371', '27.8295822', '159.893', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820408391', 0, '2022-10-15 15:53:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59489, '123456789', 14, '113.1457074', '27.8296031', '160.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820410065', 0, '2022-10-15 15:53:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59490, '123456789', 14, '113.1459072', '27.8295987', '160.122', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820412291', 0, '2022-10-15 15:53:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59491, '123456789', 14, '113.1460591', '27.8295912', '160.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820414519', 0, '2022-10-15 15:53:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59492, '123456789', 14, '113.146212', '27.8295831', '160.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820416193', 0, '2022-10-15 15:53:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59493, '123456789', 14, '113.1463136', '27.829579', '159.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820418417', 0, '2022-10-15 15:53:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59494, '123456789', 14, '113.1464141', '27.8295743', '159.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820420089', 0, '2022-10-15 15:53:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59495, '123456789', 14, '113.1465651', '27.8295685', '159.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820422254', 0, '2022-10-15 15:53:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59496, '123456789', 14, '113.1468172', '27.8295586', '159.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820424476', 0, '2022-10-15 15:53:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59497, '123456789', 14, '113.1471233', '27.8295451', '160.068', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820426142', 0, '2022-10-15 15:53:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59498, '123456789', 14, '113.1474771', '27.8295246', '159.812', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820428370', 0, '2022-10-15 15:53:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59499, '123456789', 14, '113.1476282', '27.8295103', '160.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820430035', 0, '2022-10-15 15:53:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59500, '123456789', 14, '113.1478822', '27.8294819', '160.149', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820432249', 0, '2022-10-15 15:53:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59501, '123456789', 14, '113.1481334', '27.8294519', '160.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820434475', 0, '2022-10-15 15:53:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59502, '123456789', 14, '113.1482842', '27.829434', '159.807', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820436138', 0, '2022-10-15 15:53:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59503, '123456789', 14, '113.1485361', '27.8294056', '159.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820438346', 0, '2022-10-15 15:53:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59504, '123456789', 14, '113.1486872', '27.8293877', '160.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820440011', 0, '2022-10-15 15:54:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59505, '123456789', 14, '113.1489393', '27.8293606', '159.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820442237', 0, '2022-10-15 15:54:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59506, '123456789', 14, '113.1491409', '27.8293359', '160.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820444445', 0, '2022-10-15 15:54:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59507, '123456789', 14, '113.1492917', '27.8293197', '159.927', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820446107', 0, '2022-10-15 15:54:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59508, '123456789', 14, '113.1495441', '27.8292899', '159.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820448334', 0, '2022-10-15 15:54:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59509, '123456789', 14, '113.1496952', '27.8292729', '160.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820450007', 0, '2022-10-15 15:54:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59510, '123456789', 14, '113.1499482', '27.8292653', '160.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820452238', 0, '2022-10-15 15:54:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59511, '123456789', 14, '113.1501509', '27.829277', '160.209', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820454459', 0, '2022-10-15 15:54:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59512, '123456789', 14, '113.1502523', '27.8292862', '160.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820456071', 0, '2022-10-15 15:54:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59513, '123456789', 14, '113.1505049', '27.8293083', '160.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820458242', 0, '2022-10-15 15:54:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59514, '123456789', 14, '113.1507071', '27.8293262', '159.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820460468', 0, '2022-10-15 15:54:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59515, '123456789', 14, '113.1509098', '27.829344', '159.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820462130', 0, '2022-10-15 15:54:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59516, '123456789', 14, '113.1511624', '27.8293661', '160.098', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820464359', 0, '2022-10-15 15:54:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59517, '123456789', 14, '113.1513145', '27.8293797', '159.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820466025', 0, '2022-10-15 15:54:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59518, '123456789', 14, '113.1515661', '27.8294011', '159.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820468264', 0, '2022-10-15 15:54:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59519, '123456789', 14, '113.1517681', '27.8294189', '159.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820470481', 0, '2022-10-15 15:54:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59520, '123456789', 14, '113.1519196', '27.8294321', '159.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820472088', 0, '2022-10-15 15:54:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59521, '123456789', 14, '113.1521742', '27.8294545', '159.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820474320', 0, '2022-10-15 15:54:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59522, '123456789', 14, '113.1523244', '27.8294705', '160.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820476548', 0, '2022-10-15 15:54:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59523, '123456789', 14, '113.1525233', '27.8295082', '160.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820478211', 0, '2022-10-15 15:54:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59524, '123456789', 14, '113.152718', '27.82956', '159.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820480434', 0, '2022-10-15 15:54:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59525, '123456789', 14, '113.1529109', '27.8296155', '159.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820482109', 0, '2022-10-15 15:54:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59526, '123456789', 14, '113.1531531', '27.8296847', '159.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820484327', 0, '2022-10-15 15:54:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59527, '123456789', 14, '113.1533462', '27.82974', '159.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820486552', 0, '2022-10-15 15:54:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59528, '123456789', 14, '113.1534909', '27.8297814', '160.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820488211', 0, '2022-10-15 15:54:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59529, '123456789', 14, '113.1537327', '27.8298498', '159.884', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820490436', 0, '2022-10-15 15:54:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59530, '123456789', 14, '113.1538788', '27.8298904', '159.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820492103', 0, '2022-10-15 15:54:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59531, '123456789', 14, '113.1541198', '27.8299597', '159.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820494321', 0, '2022-10-15 15:54:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59532, '123456789', 14, '113.1543133', '27.8300146', '160.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820496539', 0, '2022-10-15 15:54:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59533, '123456789', 14, '113.1544579', '27.8300562', '160.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820498206', 0, '2022-10-15 15:54:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59534, '123456789', 14, '113.1547004', '27.8301256', '160.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820500422', 0, '2022-10-15 15:55:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59535, '123456789', 14, '113.154845', '27.8301661', '160.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820502093', 0, '2022-10-15 15:55:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59536, '123456789', 14, '113.1550373', '27.8302215', '159.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820504313', 0, '2022-10-15 15:55:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59537, '123456789', 14, '113.1552791', '27.8302895', '159.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820506537', 0, '2022-10-15 15:55:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59538, '123456789', 14, '113.155424', '27.8303312', '160.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820508203', 0, '2022-10-15 15:55:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59539, '123456789', 14, '113.1555689', '27.8303749', '160.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820510425', 0, '2022-10-15 15:55:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59540, '123456789', 14, '113.1555689', '27.8303749', '160.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820512086', 0, '2022-10-15 15:55:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59541, '123456789', 14, '113.1556645', '27.8304054', '160.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820514306', 0, '2022-10-15 15:55:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59542, '123456789', 14, '113.1558541', '27.8304697', '159.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820516531', 0, '2022-10-15 15:55:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59543, '123456789', 14, '113.1559013', '27.8304858', '159.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820518190', 0, '2022-10-15 15:55:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59544, '123456789', 14, '113.1560421', '27.8305368', '160.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820520417', 0, '2022-10-15 15:55:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59545, '123456789', 14, '113.1561364', '27.8305708', '160.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820522082', 0, '2022-10-15 15:55:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59546, '123456789', 14, '113.1562305', '27.8306042', '159.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820524310', 0, '2022-10-15 15:55:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59547, '123456789', 14, '113.1563259', '27.8306379', '160.146', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820526541', 0, '2022-10-15 15:55:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59548, '123456789', 14, '113.1565135', '27.8307045', '159.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820528202', 0, '2022-10-15 15:55:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59549, '123456789', 14, '113.1567966', '27.8308053', '159.891', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820530430', 0, '2022-10-15 15:55:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59550, '123456789', 14, '113.1570329', '27.8308879', '159.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820532101', 0, '2022-10-15 15:55:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59551, '123456789', 14, '113.1572685', '27.8309721', '159.837', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820534326', 0, '2022-10-15 15:55:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59552, '123456789', 14, '113.1574564', '27.8310395', '160.155', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820536536', 0, '2022-10-15 15:55:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59553, '123456789', 14, '113.1576453', '27.831107', '159.887', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820538202', 0, '2022-10-15 15:55:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59554, '123456789', 14, '113.1577866', '27.8311568', '159.909', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820540426', 0, '2022-10-15 15:55:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59555, '123456789', 14, '113.1579282', '27.8312068', '160.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820542094', 0, '2022-10-15 15:55:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59556, '123456789', 14, '113.1580694', '27.8312574', '159.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820544315', 0, '2022-10-15 15:55:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59557, '123456789', 14, '113.1582108', '27.8313076', '159.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820546539', 0, '2022-10-15 15:55:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59558, '123456789', 14, '113.158399', '27.8313746', '160.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820548150', 0, '2022-10-15 15:55:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59559, '123456789', 14, '113.1586805', '27.8314746', '159.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820550380', 0, '2022-10-15 15:55:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59560, '123456789', 14, '113.1589164', '27.8315586', '159.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820552005', 0, '2022-10-15 15:55:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59561, '123456789', 14, '113.1591037', '27.8316246', '159.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820554231', 0, '2022-10-15 15:55:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59562, '123456789', 14, '113.1591307', '27.8316366', '159.854', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820556459', 0, '2022-10-15 15:55:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59563, '123456789', 14, '113.1589949', '27.8316082', '160.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820558135', 0, '2022-10-15 15:55:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59564, '123456789', 14, '113.1587626', '27.8315736', '159.883', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820560362', 0, '2022-10-15 15:56:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59565, '123456789', 14, '113.1585142', '27.8315273', '160.162', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820562034', 0, '2022-10-15 15:56:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59566, '123456789', 14, '113.1581679', '27.8314654', '160.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820564260', 0, '2022-10-15 15:56:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59567, '123456789', 14, '113.1577695', '27.8313947', '160.164', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820566480', 0, '2022-10-15 15:56:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59568, '123456789', 14, '113.1575219', '27.8313515', '160.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820568143', 0, '2022-10-15 15:56:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59569, '123456789', 14, '113.1573712', '27.8313244', '160.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820570366', 0, '2022-10-15 15:56:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59570, '123456789', 14, '113.1572707', '27.8313054', '159.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820572036', 0, '2022-10-15 15:56:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59571, '123456789', 14, '113.1571227', '27.8312783', '159.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820574248', 0, '2022-10-15 15:56:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59572, '123456789', 14, '113.1569734', '27.8312526', '160.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820576471', 0, '2022-10-15 15:56:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59573, '123456789', 14, '113.1567741', '27.831217', '160.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820578133', 0, '2022-10-15 15:56:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59574, '123456789', 14, '113.156575', '27.8311822', '160.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820580367', 0, '2022-10-15 15:56:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59575, '123456789', 14, '113.1564756', '27.8311645', '160.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820582027', 0, '2022-10-15 15:56:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59576, '123456789', 14, '113.1563769', '27.8311464', '160.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820584246', 0, '2022-10-15 15:56:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59577, '123456789', 14, '113.156277', '27.8311278', '160.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820586459', 0, '2022-10-15 15:56:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59578, '123456789', 14, '113.1559789', '27.8310747', '159.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820588120', 0, '2022-10-15 15:56:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59579, '123456789', 14, '113.1557294', '27.8310305', '159.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820590337', 0, '2022-10-15 15:56:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59580, '123456789', 14, '113.15553', '27.8309949', '159.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820592000', 0, '2022-10-15 15:56:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59581, '123456789', 14, '113.1553313', '27.8309599', '160.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820594230', 0, '2022-10-15 15:56:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59582, '123456789', 14, '113.1550827', '27.8309156', '159.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820596450', 0, '2022-10-15 15:56:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59583, '123456789', 14, '113.1548333', '27.8308705', '159.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820598117', 0, '2022-10-15 15:56:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59584, '123456789', 14, '113.1544854', '27.8308083', '160.104', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820600331', 0, '2022-10-15 15:56:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59585, '123456789', 14, '113.1541875', '27.8307549', '159.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820602000', 0, '2022-10-15 15:56:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59586, '123456789', 14, '113.1537895', '27.8306845', '159.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820604229', 0, '2022-10-15 15:56:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59587, '123456789', 14, '113.1535905', '27.8306473', '160.081', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820606448', 0, '2022-10-15 15:56:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59588, '123456789', 14, '113.1534403', '27.8306217', '160.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820608115', 0, '2022-10-15 15:56:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59589, '123456789', 14, '113.1532418', '27.8305859', '159.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820610336', 0, '2022-10-15 15:56:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59590, '123456789', 14, '113.1530429', '27.8305503', '159.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820612005', 0, '2022-10-15 15:56:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59591, '123456789', 14, '113.1528433', '27.8305148', '159.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820614217', 0, '2022-10-15 15:56:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59592, '123456789', 14, '113.1526938', '27.8304876', '159.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820616437', 0, '2022-10-15 15:56:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59593, '123456789', 14, '113.1525449', '27.8304613', '159.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820618107', 0, '2022-10-15 15:56:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59594, '123456789', 14, '113.1522956', '27.830418', '160.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820620325', 0, '2022-10-15 15:57:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59595, '123456789', 14, '113.1520466', '27.8303723', '159.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820622010', 0, '2022-10-15 15:57:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59596, '123456789', 14, '113.1518469', '27.8303366', '159.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820624228', 0, '2022-10-15 15:57:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59597, '123456789', 14, '113.1515979', '27.8302926', '160.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820626453', 0, '2022-10-15 15:57:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59598, '123456789', 14, '113.1514477', '27.8302654', '159.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820628123', 0, '2022-10-15 15:57:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59599, '123456789', 14, '113.1512012', '27.8302206', '159.821', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820630363', 0, '2022-10-15 15:57:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59600, '123456789', 14, '113.1510505', '27.8301942', '160.106', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820632031', 0, '2022-10-15 15:57:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59601, '123456789', 14, '113.1508505', '27.8301584', '160.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820634260', 0, '2022-10-15 15:57:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59602, '123456789', 14, '113.1506516', '27.8301229', '159.782', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820636446', 0, '2022-10-15 15:57:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59603, '123456789', 14, '113.1504521', '27.8300872', '160.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820638112', 0, '2022-10-15 15:57:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59604, '123456789', 14, '113.150253', '27.8300517', '160.171', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820640338', 0, '2022-10-15 15:57:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59605, '123456789', 14, '113.1500532', '27.8300161', '160.053', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820642010', 0, '2022-10-15 15:57:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59606, '123456789', 14, '113.1498046', '27.8299718', '159.858', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820644236', 0, '2022-10-15 15:57:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59607, '123456789', 14, '113.1496052', '27.8299363', '159.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820646465', 0, '2022-10-15 15:57:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59608, '123456789', 14, '113.1494556', '27.8299098', '159.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820648140', 0, '2022-10-15 15:57:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59609, '123456789', 14, '113.1492566', '27.8298749', '159.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820650361', 0, '2022-10-15 15:57:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59610, '123456789', 14, '113.1490561', '27.8298393', '159.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820652022', 0, '2022-10-15 15:57:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59611, '123456789', 14, '113.1488568', '27.8298033', '159.877', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820654242', 0, '2022-10-15 15:57:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59612, '123456789', 14, '113.1486078', '27.829757', '160.12', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820656462', 0, '2022-10-15 15:57:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59613, '123456789', 14, '113.1484591', '27.8297313', '160.088', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820658126', 0, '2022-10-15 15:57:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59614, '123456789', 14, '113.1482098', '27.8296864', '160.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820660343', 0, '2022-10-15 15:57:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59615, '123456789', 14, '113.1480602', '27.8296598', '160.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820662014', 0, '2022-10-15 15:57:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59616, '123456789', 14, '113.1478627', '27.8296241', '160.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820664245', 0, '2022-10-15 15:57:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59617, '123456789', 14, '113.1476623', '27.8295888', '160.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820666471', 0, '2022-10-15 15:57:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59618, '123456789', 14, '113.1474616', '27.8295533', '159.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820668147', 0, '2022-10-15 15:57:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59619, '123456789', 14, '113.1472149', '27.8295089', '159.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820670379', 0, '2022-10-15 15:57:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59620, '123456789', 14, '113.147065', '27.8294823', '159.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820672057', 0, '2022-10-15 15:57:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59621, '123456789', 14, '113.1468654', '27.8294467', '159.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820674239', 0, '2022-10-15 15:57:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59622, '123456789', 14, '113.1466152', '27.829402', '159.927', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820676484', 0, '2022-10-15 15:57:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59623, '123456789', 14, '113.1465161', '27.8293842', '159.795', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820678152', 0, '2022-10-15 15:57:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59624, '123456789', 14, '113.1462663', '27.8293397', '160.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820680392', 0, '2022-10-15 15:58:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59625, '123456789', 14, '113.1460691', '27.8293041', '159.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820682073', 0, '2022-10-15 15:58:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59626, '123456789', 14, '113.1459106', '27.8292761', '160.107', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820684242', 0, '2022-10-15 15:58:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59627, '123456789', 14, '113.1458501', '27.8292291', '159.713', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820686358', 0, '2022-10-15 15:58:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59628, '123456789', 14, '113.1458357', '27.8291523', '160.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820688034', 0, '2022-10-15 15:58:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59629, '123456789', 14, '113.1458197', '27.828994', '160.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820690269', 0, '2022-10-15 15:58:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59630, '123456789', 14, '113.1458053', '27.8288126', '159.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820692495', 0, '2022-10-15 15:58:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59631, '123456789', 14, '113.1457846', '27.8285895', '159.871', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820694173', 0, '2022-10-15 15:58:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59632, '123456789', 14, '113.1457639', '27.8283672', '160.084', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820696412', 0, '2022-10-15 15:58:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59633, '123456789', 14, '113.1457518', '27.8282334', '159.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820698078', 0, '2022-10-15 15:58:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59634, '123456789', 14, '113.1457352', '27.8280537', '160.147', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820700310', 0, '2022-10-15 15:58:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59635, '123456789', 14, '113.1457149', '27.8278311', '159.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820702535', 0, '2022-10-15 15:58:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59636, '123456789', 14, '113.1457029', '27.8276954', '160.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820704205', 0, '2022-10-15 15:58:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59637, '123456789', 14, '113.1456821', '27.8274721', '159.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820706427', 0, '2022-10-15 15:58:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59638, '123456789', 14, '113.1456698', '27.8273374', '160.155', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820708102', 0, '2022-10-15 15:58:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59639, '123456789', 14, '113.1456577', '27.827203', '160.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820710327', 0, '2022-10-15 15:58:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59640, '123456789', 14, '113.1456372', '27.8269792', '160.208', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820712549', 0, '2022-10-15 15:58:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59641, '123456789', 14, '113.1456251', '27.8268457', '159.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820714217', 0, '2022-10-15 15:58:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59642, '123456789', 14, '113.1456091', '27.8266663', '159.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820716456', 0, '2022-10-15 15:58:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59643, '123456789', 14, '113.1455923', '27.8264867', '160.104', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820718123', 0, '2022-10-15 15:58:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59644, '123456789', 14, '113.1455755', '27.826308', '160.084', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820720291', 0, '2022-10-15 15:58:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59645, '123456789', 14, '113.1455591', '27.826129', '160.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820722528', 0, '2022-10-15 15:58:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59646, '123456789', 14, '113.1455471', '27.8259944', '159.824', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820724206', 0, '2022-10-15 15:58:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59647, '123456789', 14, '113.1455267', '27.8257701', '160.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820726432', 0, '2022-10-15 15:58:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59648, '123456789', 14, '113.1455104', '27.8255917', '159.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820728111', 0, '2022-10-15 15:58:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59649, '123456789', 14, '113.1454892', '27.8253674', '160.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820730333', 0, '2022-10-15 15:58:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59650, '123456789', 14, '113.1454773', '27.825234', '160.138', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820732007', 0, '2022-10-15 15:58:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59651, '123456789', 14, '113.145465', '27.8251001', '160.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820734148', 0, '2022-10-15 15:58:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59652, '123456789', 14, '113.1454445', '27.8248759', '159.826', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820736406', 0, '2022-10-15 15:58:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59653, '123456789', 14, '113.1454277', '27.8246962', '160.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820738529', 0, '2022-10-15 15:58:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59654, '123456789', 14, '113.1454076', '27.8244728', '160.153', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820740146', 0, '2022-10-15 15:59:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59655, '123456789', 14, '113.1453871', '27.8242503', '160.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820742367', 0, '2022-10-15 15:59:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59656, '123456789', 14, '113.145379', '27.8241602', '160.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820744019', 0, '2022-10-15 15:59:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59657, '123456789', 14, '113.1453586', '27.8239361', '159.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820746128', 0, '2022-10-15 15:59:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59658, '123456789', 14, '113.1453423', '27.8237572', '160.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820748330', 0, '2022-10-15 15:59:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59659, '123456789', 14, '113.1453298', '27.8236233', '159.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820750010', 0, '2022-10-15 15:59:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59660, '123456789', 14, '113.1453094', '27.8233981', '160.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820752184', 0, '2022-10-15 15:59:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59661, '123456789', 14, '113.1452932', '27.8232191', '160.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820754347', 0, '2022-10-15 15:59:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59662, '123456789', 14, '113.1452764', '27.823041', '160.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820756484', 0, '2022-10-15 15:59:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59663, '123456789', 14, '113.1452597', '27.8228604', '160.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820758134', 0, '2022-10-15 15:59:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59664, '123456789', 14, '113.1452434', '27.8226812', '160.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820760357', 0, '2022-10-15 15:59:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59665, '123456789', 14, '113.1452233', '27.8224575', '159.855', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820762524', 0, '2022-10-15 15:59:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59666, '123456789', 14, '113.1452111', '27.822323', '159.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820764111', 0, '2022-10-15 15:59:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59667, '123456789', 14, '113.1451948', '27.8221431', '160.169', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820766291', 0, '2022-10-15 15:59:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59668, '123456789', 14, '113.1451742', '27.8219198', '160.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820768470', 0, '2022-10-15 15:59:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59669, '123456789', 14, '113.1451619', '27.8217846', '160.158', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820770129', 0, '2022-10-15 15:59:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59670, '123456789', 14, '113.1451455', '27.8216068', '160.083', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820772349', 0, '2022-10-15 15:59:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59671, '123456789', 14, '113.1451289', '27.8214269', '159.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820774483', 0, '2022-10-15 15:59:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59672, '123456789', 14, '113.1451124', '27.8212479', '160.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820776085', 0, '2022-10-15 15:59:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59673, '123456789', 14, '113.1450922', '27.8210229', '159.84', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820778262', 0, '2022-10-15 15:59:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59674, '123456789', 14, '113.145076', '27.8208435', '160.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820780420', 0, '2022-10-15 15:59:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59675, '123456789', 14, '113.1450637', '27.8207098', '159.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820782083', 0, '2022-10-15 15:59:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59676, '123456789', 14, '113.1450427', '27.8204848', '160.115', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820784276', 0, '2022-10-15 15:59:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59677, '123456789', 14, '113.1450265', '27.8203067', '159.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820786447', 0, '2022-10-15 15:59:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59678, '123456789', 14, '113.1450137', '27.8201723', '160.148', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820788125', 0, '2022-10-15 15:59:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59679, '123456789', 14, '113.1449937', '27.8199481', '159.851', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820790244', 0, '2022-10-15 15:59:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59680, '123456789', 14, '113.144977', '27.8197678', '160.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820792395', 0, '2022-10-15 15:59:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59681, '123456789', 14, '113.144965', '27.8196346', '160.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820794035', 0, '2022-10-15 15:59:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59682, '123456789', 14, '113.1449486', '27.819455', '160.09', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820796254', 0, '2022-10-15 15:59:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59683, '123456789', 14, '113.1449281', '27.8192308', '160.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820798443', 0, '2022-10-15 15:59:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59684, '123456789', 14, '113.1449153', '27.8190964', '159.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820800011', 0, '2022-10-15 16:00:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59685, '123456789', 14, '113.1448994', '27.8189175', '160.133', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820802192', 0, '2022-10-15 16:00:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59686, '123456789', 14, '113.1448826', '27.818738', '159.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820804367', 0, '2022-10-15 16:00:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59687, '123456789', 14, '113.1448665', '27.8185586', '159.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820806046', 0, '2022-10-15 16:00:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59688, '123456789', 14, '113.14485', '27.818379', '159.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820808232', 0, '2022-10-15 16:00:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59689, '123456789', 14, '113.1448335', '27.8182004', '160.142', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820810370', 0, '2022-10-15 16:00:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59690, '123456789', 14, '113.1448128', '27.8179763', '159.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820812541', 0, '2022-10-15 16:00:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59691, '123456789', 14, '113.1448007', '27.8178415', '160.114', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820814211', 0, '2022-10-15 16:00:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59692, '123456789', 14, '113.1447845', '27.8176624', '159.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820816397', 0, '2022-10-15 16:00:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59693, '123456789', 14, '113.1447679', '27.8174832', '159.884', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820818015', 0, '2022-10-15 16:00:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59694, '123456789', 14, '113.1447521', '27.8173039', '159.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820820137', 0, '2022-10-15 16:00:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59695, '123456789', 14, '113.1447314', '27.8170798', '160.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820822294', 0, '2022-10-15 16:00:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59696, '123456789', 14, '113.1447149', '27.8169007', '159.886', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820824450', 0, '2022-10-15 16:00:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59697, '123456789', 14, '113.1447024', '27.8167662', '160.244', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820826062', 0, '2022-10-15 16:00:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59698, '123456789', 14, '113.1446819', '27.8165425', '159.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820828281', 0, '2022-10-15 16:00:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59699, '123456789', 14, '113.1446652', '27.8163623', '160.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820830477', 0, '2022-10-15 16:00:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59700, '123456789', 14, '113.1446533', '27.8162284', '159.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820832085', 0, '2022-10-15 16:00:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59701, '123456789', 14, '113.1446327', '27.8160039', '160.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820834319', 0, '2022-10-15 16:00:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59702, '123456789', 14, '113.1446161', '27.8158247', '160.058', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820836438', 0, '2022-10-15 16:00:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59703, '123456789', 14, '113.1446038', '27.8156908', '160.132', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820838010', 0, '2022-10-15 16:00:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59704, '123456789', 14, '113.1445874', '27.8155117', '159.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820840172', 0, '2022-10-15 16:00:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59705, '123456789', 14, '113.1445668', '27.8152869', '160.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820842365', 0, '2022-10-15 16:00:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59706, '123456789', 14, '113.1445549', '27.8151529', '159.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820844013', 0, '2022-10-15 16:00:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59707, '123456789', 14, '113.144534', '27.8149287', '160.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820846172', 0, '2022-10-15 16:00:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59708, '123456789', 14, '113.1445177', '27.8147494', '160.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820848369', 0, '2022-10-15 16:00:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59709, '123456789', 14, '113.1445012', '27.8145698', '160.081', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820850425', 0, '2022-10-15 16:00:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59710, '123456789', 14, '113.1444883', '27.8144356', '160.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820852078', 0, '2022-10-15 16:00:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59711, '123456789', 14, '113.1444684', '27.8142119', '160.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820854289', 0, '2022-10-15 16:00:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59712, '123456789', 14, '113.1444518', '27.8140322', '160.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820856474', 0, '2022-10-15 16:00:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59713, '123456789', 14, '113.1444399', '27.8138985', '159.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820858097', 0, '2022-10-15 16:00:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59714, '123456789', 14, '113.1444183', '27.813674', '159.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820860290', 0, '2022-10-15 16:01:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59715, '123456789', 14, '113.1443972', '27.8134952', '160.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820862421', 0, '2022-10-15 16:01:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59716, '123456789', 14, '113.1443764', '27.8133616', '159.812', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820864021', 0, '2022-10-15 16:01:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59717, '123456789', 14, '113.1443458', '27.813184', '160.053', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820866138', 0, '2022-10-15 16:01:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59718, '123456789', 14, '113.1443081', '27.8129628', '160.102', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820868273', 0, '2022-10-15 16:01:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59719, '123456789', 14, '113.144277', '27.8127845', '159.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820870384', 0, '2022-10-15 16:01:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59720, '123456789', 14, '113.1442475', '27.8126062', '160.074', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820872463', 0, '2022-10-15 16:01:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59721, '123456789', 14, '113.144225', '27.8124736', '160.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820874064', 0, '2022-10-15 16:01:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59722, '123456789', 14, '113.1441951', '27.8122957', '160.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820876164', 0, '2022-10-15 16:01:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59723, '123456789', 14, '113.1441572', '27.8120739', '159.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820878409', 0, '2022-10-15 16:01:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59724, '123456789', 14, '113.1441266', '27.8118954', '160.153', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820880502', 0, '2022-10-15 16:01:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59725, '123456789', 14, '113.1441041', '27.8117629', '160.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820882080', 0, '2022-10-15 16:01:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59726, '123456789', 14, '113.1440663', '27.8115402', '160.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820884243', 0, '2022-10-15 16:01:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59727, '123456789', 14, '113.1440358', '27.8113624', '160.098', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820886309', 0, '2022-10-15 16:01:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59728, '123456789', 14, '113.1440062', '27.8111858', '159.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820888511', 0, '2022-10-15 16:01:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59729, '123456789', 14, '113.1439827', '27.8110523', '159.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820890125', 0, '2022-10-15 16:01:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59730, '123456789', 14, '113.1439451', '27.8108294', '160.058', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820892339', 0, '2022-10-15 16:01:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59731, '123456789', 14, '113.1439223', '27.8106971', '160.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820894002', 0, '2022-10-15 16:01:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59732, '123456789', 14, '113.1438916', '27.8105192', '160.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820896181', 0, '2022-10-15 16:01:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59733, '123456789', 14, '113.1438542', '27.8102969', '160.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820898348', 0, '2022-10-15 16:01:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59734, '123456789', 14, '113.1438245', '27.8101198', '159.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820900525', 0, '2022-10-15 16:01:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59735, '123456789', 14, '113.1438012', '27.8099867', '160.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820902145', 0, '2022-10-15 16:01:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59736, '123456789', 14, '113.1437633', '27.8097648', '159.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820904365', 0, '2022-10-15 16:01:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59737, '123456789', 14, '113.1437413', '27.8096311', '160.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820906001', 0, '2022-10-15 16:01:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59738, '123456789', 14, '113.1437107', '27.809454', '160.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820908242', 0, '2022-10-15 16:01:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59739, '123456789', 14, '113.1436734', '27.8092317', '159.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820910452', 0, '2022-10-15 16:01:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59740, '123456789', 14, '113.1436507', '27.8090984', '160.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820912127', 0, '2022-10-15 16:01:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59741, '123456789', 14, '113.1436126', '27.8088765', '160.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820914345', 0, '2022-10-15 16:01:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59742, '123456789', 14, '113.1435819', '27.808699', '159.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820916474', 0, '2022-10-15 16:01:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59743, '123456789', 14, '113.1435591', '27.8085664', '160.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820918081', 0, '2022-10-15 16:01:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59744, '123456789', 14, '113.1435301', '27.8083885', '160.075', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820920321', 0, '2022-10-15 16:02:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59745, '123456789', 14, '113.1434916', '27.8081666', '159.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820922492', 0, '2022-10-15 16:02:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59746, '123456789', 14, '113.1434683', '27.808033', '159.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820924185', 0, '2022-10-15 16:02:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59747, '123456789', 14, '113.1434311', '27.8078108', '159.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820926323', 0, '2022-10-15 16:02:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59748, '123456789', 14, '113.1434006', '27.8076331', '160.158', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820928448', 0, '2022-10-15 16:02:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59749, '123456789', 14, '113.143378', '27.8074994', '159.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820930113', 0, '2022-10-15 16:02:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59750, '123456789', 14, '113.14334', '27.8072773', '160.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820932338', 0, '2022-10-15 16:02:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59751, '123456789', 14, '113.1433174', '27.8071439', '159.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820934010', 0, '2022-10-15 16:02:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59752, '123456789', 14, '113.1432873', '27.8069663', '160.077', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820936179', 0, '2022-10-15 16:02:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59753, '123456789', 14, '113.1432494', '27.8067441', '160.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820938251', 0, '2022-10-15 16:02:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59754, '123456789', 14, '113.1432189', '27.8065659', '159.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820940422', 0, '2022-10-15 16:02:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59755, '123456789', 14, '113.1431961', '27.8064327', '160.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820942089', 0, '2022-10-15 16:02:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59756, '123456789', 14, '113.1431661', '27.806255', '159.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820944178', 0, '2022-10-15 16:02:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59757, '123456789', 14, '113.1431282', '27.8060325', '160.117', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820946345', 0, '2022-10-15 16:02:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59758, '123456789', 14, '113.1430976', '27.8058546', '159.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820948499', 0, '2022-10-15 16:02:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59759, '123456789', 14, '113.1430745', '27.805721', '159.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820950113', 0, '2022-10-15 16:02:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59760, '123456789', 14, '113.1430371', '27.8054993', '160.228', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820952295', 0, '2022-10-15 16:02:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59761, '123456789', 14, '113.1430073', '27.8053214', '160.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820954379', 0, '2022-10-15 16:02:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59762, '123456789', 14, '113.1429842', '27.8051875', '160.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820956007', 0, '2022-10-15 16:02:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59763, '123456789', 14, '113.142954', '27.8050101', '160.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820958179', 0, '2022-10-15 16:02:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59764, '123456789', 14, '113.1429165', '27.8047879', '160.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820960403', 0, '2022-10-15 16:02:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59765, '123456789', 14, '113.1428935', '27.8046543', '159.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820962006', 0, '2022-10-15 16:02:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59766, '123456789', 14, '113.1428558', '27.8044321', '160.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820964242', 0, '2022-10-15 16:02:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59767, '123456789', 14, '113.1428253', '27.8042541', '160.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820966363', 0, '2022-10-15 16:02:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59768, '123456789', 14, '113.1427946', '27.8040762', '159.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820968445', 0, '2022-10-15 16:02:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59769, '123456789', 14, '113.1427724', '27.8039429', '159.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820970108', 0, '2022-10-15 16:02:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59770, '123456789', 14, '113.1427423', '27.8037651', '159.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820972221', 0, '2022-10-15 16:02:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59771, '123456789', 14, '113.1427039', '27.8035426', '159.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820974409', 0, '2022-10-15 16:02:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59772, '123456789', 14, '113.1426814', '27.8034095', '160.165', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820976046', 0, '2022-10-15 16:02:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59773, '123456789', 14, '113.1426441', '27.8031872', '160.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820978216', 0, '2022-10-15 16:02:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59774, '123456789', 14, '113.1426129', '27.8030093', '160.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820980409', 0, '2022-10-15 16:03:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59775, '123456789', 14, '113.1425906', '27.8028762', '160.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820982059', 0, '2022-10-15 16:03:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59776, '123456789', 14, '113.1425525', '27.8026536', '160.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820984186', 0, '2022-10-15 16:03:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59777, '123456789', 14, '113.1425225', '27.8024752', '159.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820986379', 0, '2022-10-15 16:03:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59778, '123456789', 14, '113.1425005', '27.8023473', '160.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820988038', 0, '2022-10-15 16:03:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59779, '123456789', 14, '113.1424921', '27.8021981', '159.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820990167', 0, '2022-10-15 16:03:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59780, '123456789', 14, '113.1425482', '27.802019', '159.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820992292', 0, '2022-10-15 16:03:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59781, '123456789', 14, '113.142621', '27.8018518', '160.169', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820994412', 0, '2022-10-15 16:03:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59782, '123456789', 14, '113.1426741', '27.8017235', '160.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820996096', 0, '2022-10-15 16:03:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59783, '123456789', 14, '113.142745', '27.8015552', '160.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665820998208', 0, '2022-10-15 16:03:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59784, '123456789', 14, '113.1428342', '27.8013454', '159.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821000383', 0, '2022-10-15 16:03:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59785, '123456789', 14, '113.1428886', '27.801221', '159.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821002013', 0, '2022-10-15 16:03:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59786, '123456789', 14, '113.1429781', '27.8010113', '159.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821004240', 0, '2022-10-15 16:03:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59787, '123456789', 14, '113.1430499', '27.8008428', '160.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821006432', 0, '2022-10-15 16:03:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59788, '123456789', 14, '113.1431031', '27.8007161', '160.228', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821008019', 0, '2022-10-15 16:03:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59789, '123456789', 14, '113.1431745', '27.8005476', '159.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821010099', 0, '2022-10-15 16:03:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59790, '123456789', 14, '113.1432649', '27.800338', '160.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821012286', 0, '2022-10-15 16:03:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59791, '123456789', 14, '113.1433362', '27.8001701', '160.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821014441', 0, '2022-10-15 16:03:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59792, '123456789', 14, '113.14339', '27.8000438', '160.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821016054', 0, '2022-10-15 16:03:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59793, '123456789', 14, '113.1434806', '27.7998338', '159.862', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821018276', 0, '2022-10-15 16:03:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59794, '123456789', 14, '113.1435521', '27.7996652', '160.075', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821020415', 0, '2022-10-15 16:03:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59795, '123456789', 14, '113.1436056', '27.7995399', '159.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821022063', 0, '2022-10-15 16:03:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59796, '123456789', 14, '113.1436779', '27.7993721', '160.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821024215', 0, '2022-10-15 16:03:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59797, '123456789', 14, '113.1437679', '27.7991616', '159.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821026323', 0, '2022-10-15 16:03:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59798, '123456789', 14, '113.1438391', '27.7989938', '159.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821028448', 0, '2022-10-15 16:03:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59799, '123456789', 14, '113.1438927', '27.7988679', '160.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821030145', 0, '2022-10-15 16:03:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59800, '123456789', 14, '113.1439826', '27.7986574', '159.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821032292', 0, '2022-10-15 16:03:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59801, '123456789', 14, '113.1440544', '27.7984899', '160.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821034455', 0, '2022-10-15 16:03:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59802, '123456789', 14, '113.1441082', '27.7983639', '160.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821036081', 0, '2022-10-15 16:03:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59803, '123456789', 14, '113.1441795', '27.7981957', '159.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821038165', 0, '2022-10-15 16:03:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59804, '123456789', 14, '113.1442692', '27.7979858', '160.081', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821040363', 0, '2022-10-15 16:04:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59805, '123456789', 14, '113.1443405', '27.7978181', '159.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821042439', 0, '2022-10-15 16:04:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59806, '123456789', 14, '113.1443947', '27.7976921', '160.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821044052', 0, '2022-10-15 16:04:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59807, '123456789', 14, '113.1444665', '27.797524', '159.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821046221', 0, '2022-10-15 16:04:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59808, '123456789', 14, '113.1445559', '27.7973135', '159.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821048449', 0, '2022-10-15 16:04:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59809, '123456789', 14, '113.1446098', '27.7971879', '160.088', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821050128', 0, '2022-10-15 16:04:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59810, '123456789', 14, '113.1446996', '27.7969778', '160.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821052357', 0, '2022-10-15 16:04:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59811, '123456789', 14, '113.1447712', '27.7968093', '159.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821054469', 0, '2022-10-15 16:04:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59812, '123456789', 14, '113.1448253', '27.7966834', '160.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821056032', 0, '2022-10-15 16:04:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59813, '123456789', 14, '113.144897', '27.7965149', '160.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821058186', 0, '2022-10-15 16:04:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59814, '123456789', 14, '113.1449866', '27.7963049', '160.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821060326', 0, '2022-10-15 16:04:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59815, '123456789', 14, '113.1450589', '27.7961362', '160.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821062525', 0, '2022-10-15 16:04:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59816, '123456789', 14, '113.1451126', '27.7960104', '159.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821064161', 0, '2022-10-15 16:04:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59817, '123456789', 14, '113.1452021', '27.7958001', '160.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821066326', 0, '2022-10-15 16:04:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59818, '123456789', 14, '113.1452738', '27.7956317', '160.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821068516', 0, '2022-10-15 16:04:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59819, '123456789', 14, '113.1453277', '27.7955051', '159.835', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821070141', 0, '2022-10-15 16:04:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59820, '123456789', 14, '113.1453995', '27.795337', '160.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821072219', 0, '2022-10-15 16:04:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59821, '123456789', 14, '113.1454893', '27.795127', '160', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821074399', 0, '2022-10-15 16:04:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59822, '123456789', 14, '113.1455436', '27.7950006', '160.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821076051', 0, '2022-10-15 16:04:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59823, '123456789', 14, '113.1456149', '27.7948332', '159.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821078218', 0, '2022-10-15 16:04:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59824, '123456789', 14, '113.1457049', '27.7946219', '160.18', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821080367', 0, '2022-10-15 16:04:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59825, '123456789', 14, '113.1457765', '27.7944545', '160.088', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821082498', 0, '2022-10-15 16:04:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59826, '123456789', 14, '113.1458305', '27.7943277', '160.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821084171', 0, '2022-10-15 16:04:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59827, '123456789', 14, '113.1459209', '27.7941176', '160.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821086340', 0, '2022-10-15 16:04:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59828, '123456789', 14, '113.145992', '27.7939495', '159.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821088540', 0, '2022-10-15 16:04:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59829, '123456789', 14, '113.1460455', '27.7938235', '160.09', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821090164', 0, '2022-10-15 16:04:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59830, '123456789', 14, '113.1461357', '27.7936134', '160.113', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821092400', 0, '2022-10-15 16:04:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59831, '123456789', 14, '113.1461894', '27.7934869', '159.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821094035', 0, '2022-10-15 16:04:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59832, '123456789', 14, '113.1462613', '27.7933186', '160.055', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821096199', 0, '2022-10-15 16:04:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59833, '123456789', 14, '113.1463509', '27.7931082', '160.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821098365', 0, '2022-10-15 16:04:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59834, '123456789', 14, '113.1464228', '27.7929399', '159.866', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821100483', 0, '2022-10-15 16:05:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59835, '123456789', 14, '113.1464771', '27.792814', '160.154', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821102062', 0, '2022-10-15 16:05:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59836, '123456789', 14, '113.1465664', '27.7926033', '160.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821104209', 0, '2022-10-15 16:05:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59837, '123456789', 14, '113.1466378', '27.7924352', '159.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821106338', 0, '2022-10-15 16:05:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59838, '123456789', 14, '113.1467104', '27.7922659', '159.851', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821108505', 0, '2022-10-15 16:05:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59839, '123456789', 14, '113.1467649', '27.7921403', '159.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821110132', 0, '2022-10-15 16:05:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59840, '123456789', 14, '113.1468539', '27.7919312', '159.78', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821112326', 0, '2022-10-15 16:05:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59841, '123456789', 14, '113.1469256', '27.7917618', '159.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821114526', 0, '2022-10-15 16:05:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59842, '123456789', 14, '113.1469792', '27.7916364', '160.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821116178', 0, '2022-10-15 16:05:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59843, '123456789', 14, '113.1470695', '27.7914259', '160.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821118307', 0, '2022-10-15 16:05:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59844, '123456789', 14, '113.1471411', '27.7912574', '160.198', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821120444', 0, '2022-10-15 16:05:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59845, '123456789', 14, '113.1471948', '27.7911312', '159.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821122068', 0, '2022-10-15 16:05:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59846, '123456789', 14, '113.1472656', '27.790966', '160.165', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821124214', 0, '2022-10-15 16:05:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59847, '123456789', 14, '113.1473231', '27.7908273', '159.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821126440', 0, '2022-10-15 16:05:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59848, '123456789', 14, '113.1473327', '27.7908052', '160.16', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821128095', 0, '2022-10-15 16:05:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59849, '123456789', 14, '113.1473321', '27.7908102', '160.098', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821130205', 0, '2022-10-15 16:05:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59850, '123456789', 14, '113.1473381', '27.7907976', '160.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821132359', 0, '2022-10-15 16:05:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59851, '123456789', 14, '113.147359', '27.7907376', '160.148', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821134486', 0, '2022-10-15 16:05:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59852, '123456789', 14, '113.1473898', '27.7906477', '160.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821136148', 0, '2022-10-15 16:05:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59853, '123456789', 14, '113.1474571', '27.7904448', '160.279', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821138321', 0, '2022-10-15 16:05:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59854, '123456789', 14, '113.147513', '27.7902746', '160.209', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821140487', 0, '2022-10-15 16:05:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59855, '123456789', 14, '113.1475563', '27.7901477', '160.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821142108', 0, '2022-10-15 16:05:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59856, '123456789', 14, '113.1476291', '27.7899356', '160.243', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821144331', 0, '2022-10-15 16:05:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59857, '123456789', 14, '113.1476878', '27.7897641', '160.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821146477', 0, '2022-10-15 16:05:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59858, '123456789', 14, '113.1477317', '27.7896353', '160.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821148135', 0, '2022-10-15 16:05:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59859, '123456789', 14, '113.1478047', '27.7894207', '160.217', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821150349', 0, '2022-10-15 16:05:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59860, '123456789', 14, '113.1478484', '27.7892917', '160.269', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821152010', 0, '2022-10-15 16:05:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59861, '123456789', 14, '113.1479009', '27.7891353', '160.138', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821154123', 0, '2022-10-15 16:05:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59862, '123456789', 14, '113.1479336', '27.7890374', '160.186', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821156252', 0, '2022-10-15 16:05:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59863, '123456789', 14, '113.1479344', '27.7890386', '160.208', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821158416', 0, '2022-10-15 16:05:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59864, '123456789', 14, '113.1479337', '27.7890391', '160.164', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821160067', 0, '2022-10-15 16:06:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59865, '123456789', 14, '113.1479413', '27.7890363', '159.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821162285', 0, '2022-10-15 16:06:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59866, '123456789', 14, '113.1479322', '27.7890437', '160.211', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821164447', 0, '2022-10-15 16:06:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59867, '123456789', 14, '113.1479315', '27.789042', '159.896', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821166115', 0, '2022-10-15 16:06:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59868, '123456789', 14, '113.1479334', '27.7890394', '159.478', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821168231', 0, '2022-10-15 16:06:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59869, '123456789', 14, '113.1479342', '27.7890371', '155.568', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821170305', 0, '2022-10-15 16:06:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59870, '123456789', 14, '113.1479331', '27.7890376', '152.463', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821172486', 0, '2022-10-15 16:06:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59871, '123456789', 14, '113.1479352', '27.7890371', '150.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821174044', 0, '2022-10-15 16:06:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59872, '123456789', 14, '113.1479358', '27.7890357', '147.255', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821176137', 0, '2022-10-15 16:06:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59873, '123456789', 14, '113.1479341', '27.7890376', '143.583', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821178244', 0, '2022-10-15 16:06:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59874, '123456789', 14, '113.1479329', '27.7890364', '140.428', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821180435', 0, '2022-10-15 16:06:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59875, '123456789', 14, '113.147935', '27.789036', '138.373', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821182005', 0, '2022-10-15 16:06:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59876, '123456789', 14, '113.1479361', '27.7890373', '135.299', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821184179', 0, '2022-10-15 16:06:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59877, '123456789', 14, '113.1479351', '27.7890364', '131.404', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821186322', 0, '2022-10-15 16:06:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59878, '123456789', 14, '113.1479341', '27.7890359', '128.422', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821188484', 0, '2022-10-15 16:06:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59879, '123456789', 14, '113.1479334', '27.7890363', '126.29', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821190154', 0, '2022-10-15 16:06:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59880, '123456789', 14, '113.1479349', '27.7890367', '122.5', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821192295', 0, '2022-10-15 16:06:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59881, '123456789', 14, '113.1479351', '27.7890362', '119.482', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821194448', 0, '2022-10-15 16:06:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59882, '123456789', 14, '113.1479344', '27.7890365', '117.252', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821196133', 0, '2022-10-15 16:06:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59883, '123456789', 14, '113.1479351', '27.7890364', '113.491', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821198346', 0, '2022-10-15 16:06:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59884, '123456789', 14, '113.1479352', '27.7890368', '111.226', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821200030', 0, '2022-10-15 16:06:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59885, '123456789', 14, '113.1479346', '27.7890365', '108.216', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821202192', 0, '2022-10-15 16:06:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59886, '123456789', 14, '113.1479348', '27.7890365', '104.493', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821204387', 0, '2022-10-15 16:06:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59887, '123456789', 14, '113.1479349', '27.7890369', '102.258', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821206049', 0, '2022-10-15 16:06:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59888, '123456789', 14, '113.1479349', '27.7890368', '99.251', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821208178', 0, '2022-10-15 16:06:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59889, '123456789', 14, '113.147935', '27.7890372', '95.493', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821210408', 0, '2022-10-15 16:06:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59890, '123456789', 14, '113.1479353', '27.789037', '93.25', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821212028', 0, '2022-10-15 16:06:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59891, '123456789', 14, '113.1479353', '27.789037', '89.476', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821214207', 0, '2022-10-15 16:06:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59892, '123456789', 14, '113.1479349', '27.7890368', '86.494', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821216283', 0, '2022-10-15 16:06:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59893, '123456789', 14, '113.1479352', '27.7890368', '83.512', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821218488', 0, '2022-10-15 16:06:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59894, '123456789', 14, '113.1479351', '27.7890369', '81.254', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821220121', 0, '2022-10-15 16:07:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59895, '123456789', 14, '113.1479343', '27.7890365', '77.556', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821222245', 0, '2022-10-15 16:07:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59896, '123456789', 14, '113.1479349', '27.7890375', '74.401', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821224411', 0, '2022-10-15 16:07:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59897, '123456789', 14, '113.1479362', '27.7890361', '72.209', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821226057', 0, '2022-10-15 16:07:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59898, '123456789', 14, '113.1479341', '27.7890373', '68.518', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821228277', 0, '2022-10-15 16:07:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59899, '123456789', 14, '113.1479345', '27.7890366', '65.535', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821230456', 0, '2022-10-15 16:07:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59900, '123456789', 14, '113.1479344', '27.789037', '63.283', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821232064', 0, '2022-10-15 16:07:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59901, '123456789', 14, '113.1479338', '27.7890375', '59.46', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821234274', 0, '2022-10-15 16:07:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59902, '123456789', 14, '113.147936', '27.7890364', '56.448', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821236484', 0, '2022-10-15 16:07:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59903, '123456789', 14, '113.1479355', '27.7890367', '54.246', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821238101', 0, '2022-10-15 16:07:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59904, '123456789', 14, '113.1479342', '27.7890365', '50.563', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821240262', 0, '2022-10-15 16:07:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59905, '123456789', 14, '113.1479361', '27.7890367', '47.41', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821242425', 0, '2022-10-15 16:07:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59906, '123456789', 14, '113.1479352', '27.7890369', '45.249', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821244042', 0, '2022-10-15 16:07:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59907, '123456789', 14, '113.1479347', '27.789037', '41.522', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821246201', 0, '2022-10-15 16:07:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59908, '123456789', 14, '113.1479346', '27.7890373', '38.493', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821248332', 0, '2022-10-15 16:07:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59909, '123456789', 14, '113.1479348', '27.7890371', '35.504', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821250496', 0, '2022-10-15 16:07:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59910, '123456789', 14, '113.1479346', '27.7890369', '33.217', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821252121', 0, '2022-10-15 16:07:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59911, '123456789', 14, '113.1479348', '27.7890373', '29.479', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821254264', 0, '2022-10-15 16:07:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59912, '123456789', 14, '113.1479346', '27.7890372', '26.468', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821256325', 0, '2022-10-15 16:07:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59913, '123456789', 14, '113.147935', '27.789037', '23.501', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821258484', 0, '2022-10-15 16:07:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59914, '123456789', 14, '113.1479348', '27.7890371', '21.261', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821260161', 0, '2022-10-15 16:07:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59915, '123456789', 14, '113.1479352', '27.789037', '17.497', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821262330', 0, '2022-10-15 16:07:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59916, '123456789', 14, '113.1479353', '27.7890368', '15.21', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821264530', 0, '2022-10-15 16:07:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59917, '123456789', 14, '113.1479347', '27.7890377', '14.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821266095', 0, '2022-10-15 16:07:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59918, '123456789', 14, '113.1479341', '27.7890375', '14.135', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821268208', 0, '2022-10-15 16:07:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59919, '123456789', 14, '113.147935', '27.7890374', '13.522', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821270373', 0, '2022-10-15 16:07:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59920, '123456789', 14, '113.1479349', '27.7890374', '12.873', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821272442', 0, '2022-10-15 16:07:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59921, '123456789', 14, '113.1479344', '27.7890377', '12.385', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821274123', 0, '2022-10-15 16:07:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59922, '123456789', 14, '113.1479361', '27.7890374', '11.617', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821276278', 0, '2022-10-15 16:07:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59923, '123456789', 14, '113.1479347', '27.7890382', '11.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821278465', 0, '2022-10-15 16:07:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59924, '123456789', 14, '113.1479338', '27.789038', '10.588', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821280120', 0, '2022-10-15 16:08:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59925, '123456789', 14, '113.1479343', '27.7890378', '9.875', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821282290', 0, '2022-10-15 16:08:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59926, '123456789', 14, '113.1479351', '27.7890384', '9.337', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821284479', 0, '2022-10-15 16:08:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59927, '123456789', 14, '113.1479349', '27.7890381', '8.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821286084', 0, '2022-10-15 16:08:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59928, '123456789', 14, '113.1479355', '27.7890376', '8.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821288277', 0, '2022-10-15 16:08:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59929, '123456789', 14, '113.1479352', '27.7890375', '7.507', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821290318', 0, '2022-10-15 16:08:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59930, '123456789', 14, '113.1479341', '27.789039', '6.882', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821292397', 0, '2022-10-15 16:08:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59931, '123456789', 14, '113.1479339', '27.7890396', '6.514', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821294063', 0, '2022-10-15 16:08:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59932, '123456789', 14, '113.1479328', '27.7890388', '5.83', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821296160', 0, '2022-10-15 16:08:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59933, '123456789', 14, '113.1479359', '27.7890389', '5.165', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821298405', 0, '2022-10-15 16:08:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59934, '123456789', 14, '113.1479372', '27.7890363', '4.507', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821300505', 0, '2022-10-15 16:08:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59935, '123456789', 14, '113.1479334', '27.7890376', '4.134', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821302126', 0, '2022-10-15 16:08:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59936, '123456789', 14, '113.1479347', '27.7890403', '3.352', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821304338', 0, '2022-10-15 16:08:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59937, '123456789', 14, '113.1479366', '27.7890375', '2.846', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821306459', 0, '2022-10-15 16:08:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (59938, '123456789', 14, '113.1479363', '27.7890377', '2.644', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665821308130', 0, '2022-10-15 16:08:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60618, '123456789', 16, '113.1479349', '27.7890377', '0.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879460245', 0, '2022-10-16 08:17:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60619, '123456789', 16, '113.1479332', '27.7890391', '1.331', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879462465', 0, '2022-10-16 08:17:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60620, '123456789', 16, '113.1479355', '27.7890363', '6.784', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879464123', 0, '2022-10-16 08:17:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60621, '123456789', 16, '113.1479352', '27.7890381', '11.683', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879466317', 0, '2022-10-16 08:17:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60622, '123456789', 16, '113.147934', '27.7890376', '16.618', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879468501', 0, '2022-10-16 08:17:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60623, '123456789', 16, '113.1479346', '27.7890373', '21.559', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879470151', 0, '2022-10-16 08:17:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60624, '123456789', 16, '113.1479344', '27.7890371', '26.63', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879472342', 0, '2022-10-16 08:17:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60625, '123456789', 16, '113.1479345', '27.7890371', '32.866', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879474536', 0, '2022-10-16 08:17:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60626, '123456789', 16, '113.1479346', '27.789037', '36.577', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879476187', 0, '2022-10-16 08:17:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60627, '123456789', 16, '113.147935', '27.7890371', '41.595', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879478385', 0, '2022-10-16 08:17:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60628, '123456789', 16, '113.1479341', '27.7890379', '46.422', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879480041', 0, '2022-10-16 08:18:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60629, '123456789', 16, '113.1479339', '27.7890371', '49.309', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879482231', 0, '2022-10-16 08:18:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60630, '123456789', 16, '113.1479347', '27.7890376', '49.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879484431', 0, '2022-10-16 08:18:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60631, '123456789', 16, '113.1479332', '27.7890612', '50.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879486086', 0, '2022-10-16 08:18:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60632, '123456789', 16, '113.1479039', '27.7891475', '49.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879488262', 0, '2022-10-16 08:18:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60633, '123456789', 16, '113.1478571', '27.789303', '49.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879490489', 0, '2022-10-16 08:18:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60634, '123456789', 16, '113.1478068', '27.7894746', '49.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879492103', 0, '2022-10-16 08:18:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60635, '123456789', 16, '113.1477555', '27.7896475', '49.887', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879494299', 0, '2022-10-16 08:18:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60636, '123456789', 16, '113.147704', '27.7898199', '49.71', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879496492', 0, '2022-10-16 08:18:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60637, '123456789', 16, '113.1476523', '27.7899934', '49.727', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879498137', 0, '2022-10-16 08:18:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60638, '123456789', 16, '113.1476064', '27.7901504', '49.757', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879500330', 0, '2022-10-16 08:18:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60639, '123456789', 16, '113.1475611', '27.7903274', '49.863', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879502524', 0, '2022-10-16 08:18:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60640, '123456789', 16, '113.1475365', '27.790433', '49.868', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879504168', 0, '2022-10-16 08:18:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60641, '123456789', 16, '113.1475067', '27.7905659', '49.885', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879506314', 0, '2022-10-16 08:18:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60642, '123456789', 16, '113.1475004', '27.7906347', '49.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879508483', 0, '2022-10-16 08:18:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60643, '123456789', 16, '113.147571', '27.7906023', '49.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879510124', 0, '2022-10-16 08:18:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60644, '123456789', 16, '113.1477116', '27.7905246', '49.927', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879512324', 0, '2022-10-16 08:18:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60645, '123456789', 16, '113.1478841', '27.7904301', '49.869', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879514419', 0, '2022-10-16 08:18:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60646, '123456789', 16, '113.1480553', '27.790337', '50', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879516034', 0, '2022-10-16 08:18:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60647, '123456789', 16, '113.148179', '27.7902691', '49.825', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879518167', 0, '2022-10-16 08:18:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60648, '123456789', 16, '113.1482279', '27.790243', '50.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879520253', 0, '2022-10-16 08:18:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60649, '123456789', 16, '113.1482275', '27.790246', '49.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879522377', 0, '2022-10-16 08:18:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60650, '123456789', 16, '113.1482246', '27.7902494', '49.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879524569', 0, '2022-10-16 08:18:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60651, '123456789', 16, '113.1482251', '27.7902485', '49.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879526164', 0, '2022-10-16 08:18:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60652, '123456789', 16, '113.1482255', '27.790247', '50.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879528349', 0, '2022-10-16 08:18:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60653, '123456789', 16, '113.1482253', '27.7902462', '50.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879530481', 0, '2022-10-16 08:18:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60654, '123456789', 16, '113.1482255', '27.7902462', '50.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879532134', 0, '2022-10-16 08:18:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60655, '123456789', 16, '113.1482459', '27.7902428', '49.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879534332', 0, '2022-10-16 08:18:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60656, '123456789', 16, '113.1483714', '27.7902134', '50.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879536525', 0, '2022-10-16 08:18:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60657, '123456789', 16, '113.1485032', '27.7901814', '50.187', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879538166', 0, '2022-10-16 08:18:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60658, '123456789', 16, '113.1486957', '27.7901347', '50.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879540347', 0, '2022-10-16 08:19:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60659, '123456789', 16, '113.1489106', '27.7900825', '49.746', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879542537', 0, '2022-10-16 08:19:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60660, '123456789', 16, '113.1489834', '27.7900654', '49.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879544185', 0, '2022-10-16 08:19:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60661, '123456789', 16, '113.1490103', '27.7900604', '50.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879546377', 0, '2022-10-16 08:19:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60662, '123456789', 16, '113.1490066', '27.7900622', '49.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879548011', 0, '2022-10-16 08:19:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60663, '123456789', 16, '113.1489911', '27.7900492', '50.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879550217', 0, '2022-10-16 08:19:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60664, '123456789', 16, '113.1489264', '27.7899895', '49.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879552410', 0, '2022-10-16 08:19:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60665, '123456789', 16, '113.1488373', '27.7899039', '50.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879554019', 0, '2022-10-16 08:19:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60666, '123456789', 16, '113.1486664', '27.78974', '49.849', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879556224', 0, '2022-10-16 08:19:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60667, '123456789', 16, '113.1485307', '27.7896089', '49.707', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879558345', 0, '2022-10-16 08:19:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60668, '123456789', 16, '113.1483948', '27.7894768', '50.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879560508', 0, '2022-10-16 08:19:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60669, '123456789', 16, '113.1482577', '27.7893454', '49.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879562047', 0, '2022-10-16 08:19:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60670, '123456789', 16, '113.1481207', '27.7892141', '49.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879564165', 0, '2022-10-16 08:19:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60671, '123456789', 16, '113.1480011', '27.7891005', '49.893', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879566301', 0, '2022-10-16 08:19:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60672, '123456789', 16, '113.1479397', '27.7890429', '49.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879568495', 0, '2022-10-16 08:19:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60673, '123456789', 16, '113.1479309', '27.7890345', '49.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879570093', 0, '2022-10-16 08:19:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60674, '123456789', 16, '113.1479363', '27.7890415', '49.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879572185', 0, '2022-10-16 08:19:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60675, '123456789', 16, '113.1479389', '27.7890391', '50.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879574331', 0, '2022-10-16 08:19:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60676, '123456789', 16, '113.1479355', '27.7890389', '49.715', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879576435', 0, '2022-10-16 08:19:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60677, '123456789', 16, '113.1479343', '27.7890387', '46.688', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879578488', 0, '2022-10-16 08:19:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60678, '123456789', 16, '113.1479335', '27.7890382', '43.701', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879580094', 0, '2022-10-16 08:19:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60679, '123456789', 16, '113.1479334', '27.789037', '40.736', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879582263', 0, '2022-10-16 08:19:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60680, '123456789', 16, '113.1479338', '27.7890359', '37.764', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879584453', 0, '2022-10-16 08:19:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60681, '123456789', 16, '113.147935', '27.7890367', '35.495', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879586062', 0, '2022-10-16 08:19:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60682, '123456789', 16, '113.1479343', '27.7890372', '31.743', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879588185', 0, '2022-10-16 08:19:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60683, '123456789', 16, '113.1479343', '27.7890369', '28.677', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879590328', 0, '2022-10-16 08:19:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60684, '123456789', 16, '113.1479337', '27.7890373', '24.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879592544', 0, '2022-10-16 08:19:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60685, '123456789', 16, '113.1479338', '27.7890367', '22.707', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879594171', 0, '2022-10-16 08:19:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60686, '123456789', 16, '113.1479344', '27.7890369', '19.736', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879596298', 0, '2022-10-16 08:19:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60687, '123456789', 16, '113.1479342', '27.7890372', '16.703', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879598364', 0, '2022-10-16 08:19:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60688, '123456789', 16, '113.1479354', '27.7890377', '15.203', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879600433', 0, '2022-10-16 08:20:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60689, '123456789', 16, '113.1479351', '27.7890375', '14.743', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879602058', 0, '2022-10-16 08:20:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60690, '123456789', 16, '113.1479349', '27.7890374', '13.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879604173', 0, '2022-10-16 08:20:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60691, '123456789', 16, '113.1479348', '27.7890378', '13.388', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879606303', 0, '2022-10-16 08:20:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60692, '123456789', 16, '113.1479346', '27.7890375', '12.806', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879608470', 0, '2022-10-16 08:20:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60693, '123456789', 16, '113.1479346', '27.7890374', '12.197', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879610057', 0, '2022-10-16 08:20:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60694, '123456789', 16, '113.1479348', '27.7890375', '11.579', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879612188', 0, '2022-10-16 08:20:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60695, '123456789', 16, '113.147935', '27.7890377', '10.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879614330', 0, '2022-10-16 08:20:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60696, '123456789', 16, '113.1479345', '27.7890375', '10.405', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879616468', 0, '2022-10-16 08:20:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60697, '123456789', 16, '113.1479345', '27.7890373', '9.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879618026', 0, '2022-10-16 08:20:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60698, '123456789', 16, '113.147935', '27.7890377', '9.209', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879620138', 0, '2022-10-16 08:20:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60699, '123456789', 16, '113.1479354', '27.7890378', '8.595', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879622234', 0, '2022-10-16 08:20:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60700, '123456789', 16, '113.1479349', '27.7890377', '7.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879624438', 0, '2022-10-16 08:20:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60701, '123456789', 16, '113.1479347', '27.7890378', '7.376', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879626081', 0, '2022-10-16 08:20:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60702, '123456789', 16, '113.1479348', '27.7890375', '6.786', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879628188', 0, '2022-10-16 08:20:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60703, '123456789', 16, '113.1479354', '27.7890377', '6.173', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879630327', 0, '2022-10-16 08:20:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60704, '123456789', 16, '113.1479349', '27.7890377', '5.582', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879632490', 0, '2022-10-16 08:20:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60705, '123456789', 16, '113.1479347', '27.7890377', '4.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879634112', 0, '2022-10-16 08:20:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60706, '123456789', 16, '113.1479347', '27.7890376', '4.37', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879636253', 0, '2022-10-16 08:20:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60707, '123456789', 16, '113.1479348', '27.7890381', '3.769', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879638457', 0, '2022-10-16 08:20:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60708, '123456789', 16, '113.1479343', '27.7890379', '3.204', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879640059', 0, '2022-10-16 08:20:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60709, '123456789', 16, '113.147935', '27.7890383', '2.566', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879642233', 0, '2022-10-16 08:20:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60710, '123456789', 16, '113.1479354', '27.7890383', '1.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879644399', 0, '2022-10-16 08:20:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60711, '123456789', 16, '113.1479352', '27.7890372', '1.503', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879646013', 0, '2022-10-16 08:20:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60712, '123456789', 16, '113.1479354', '27.7890389', '0.789', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879648214', 0, '2022-10-16 08:20:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60713, '123456789', 16, '113.1479349', '27.7890385', '0.622', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665879650426', 0, '2022-10-16 08:20:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60714, '123456789', 18, '113.1479347', '27.7890376', '0.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665885990445', 0, '2022-10-16 10:06:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60715, '123456789', 18, '113.1479338', '27.7890386', '0.365', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665885992108', 0, '2022-10-16 10:06:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60716, '123456789', 18, '113.1479362', '27.7890369', '5.723', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665885994296', 0, '2022-10-16 10:06:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60717, '123456789', 18, '113.1479352', '27.7890347', '11.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665885996509', 0, '2022-10-16 10:06:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60718, '123456789', 18, '113.1479342', '27.789038', '15.6', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665885998160', 0, '2022-10-16 10:06:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60719, '123456789', 18, '113.1479343', '27.7890387', '20.384', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886000282', 0, '2022-10-16 10:06:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60720, '123456789', 18, '113.1479344', '27.7890376', '26.708', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886002436', 0, '2022-10-16 10:06:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60721, '123456789', 18, '113.1479343', '27.7890372', '30.474', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886004079', 0, '2022-10-16 10:06:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60722, '123456789', 18, '113.1479344', '27.7890372', '35.484', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886006195', 0, '2022-10-16 10:06:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60723, '123456789', 18, '113.1479341', '27.789037', '41.77', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886008361', 0, '2022-10-16 10:06:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60724, '123456789', 18, '113.147934', '27.7890368', '45.56', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886010013', 0, '2022-10-16 10:06:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60725, '123456789', 18, '113.1479339', '27.7890369', '50.576', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886012170', 0, '2022-10-16 10:06:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60726, '123456789', 18, '113.147934', '27.7890382', '55.464', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886014307', 0, '2022-10-16 10:06:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60727, '123456789', 18, '113.1479345', '27.7890369', '61.77', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886016434', 0, '2022-10-16 10:06:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60728, '123456789', 18, '113.1479349', '27.7890376', '65.487', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886018121', 0, '2022-10-16 10:06:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60729, '123456789', 18, '113.1479348', '27.789037', '70.466', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886020240', 0, '2022-10-16 10:07:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60730, '123456789', 18, '113.1479341', '27.7890374', '76.779', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886022395', 0, '2022-10-16 10:07:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60731, '123456789', 18, '113.1479348', '27.7890375', '80.492', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886024017', 0, '2022-10-16 10:07:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60732, '123456789', 18, '113.1479347', '27.7890374', '85.457', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886026142', 0, '2022-10-16 10:07:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60733, '123456789', 18, '113.1479342', '27.7890377', '90.57', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886028284', 0, '2022-10-16 10:07:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60734, '123456789', 18, '113.1479348', '27.7890371', '96.785', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886030449', 0, '2022-10-16 10:07:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60735, '123456789', 18, '113.1479346', '27.7890375', '100.593', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886032028', 0, '2022-10-16 10:07:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60736, '123456789', 18, '113.1479342', '27.7890367', '105.557', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886034131', 0, '2022-10-16 10:07:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60737, '123456789', 18, '113.1479349', '27.7890381', '111.747', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886036285', 0, '2022-10-16 10:07:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60738, '123456789', 18, '113.1479345', '27.7890374', '116.733', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886038447', 0, '2022-10-16 10:07:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60739, '123456789', 18, '113.147934', '27.7890373', '120.517', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886040080', 0, '2022-10-16 10:07:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60740, '123456789', 18, '113.1479345', '27.7890375', '125.528', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886042192', 0, '2022-10-16 10:07:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60741, '123456789', 18, '113.1479343', '27.7890368', '130.619', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886044227', 0, '2022-10-16 10:07:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60742, '123456789', 18, '113.1479343', '27.7890373', '136.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886046340', 0, '2022-10-16 10:07:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60743, '123456789', 18, '113.1479351', '27.7890374', '141.696', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886048441', 0, '2022-10-16 10:07:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60744, '123456789', 18, '113.1479343', '27.7890377', '145.368', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886050103', 0, '2022-10-16 10:07:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60745, '123456789', 18, '113.1479349', '27.7890365', '148.909', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886052243', 0, '2022-10-16 10:07:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60746, '123456789', 18, '113.1479351', '27.7890372', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886054404', 0, '2022-10-16 10:07:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60747, '123456789', 18, '113.1479535', '27.7890396', '149.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886056009', 0, '2022-10-16 10:07:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60748, '123456789', 18, '113.1480495', '27.7890501', '149.831', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886058184', 0, '2022-10-16 10:07:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60749, '123456789', 18, '113.1482672', '27.7890944', '149.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886060364', 0, '2022-10-16 10:07:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60750, '123456789', 18, '113.1484149', '27.7891165', '149.677', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886062022', 0, '2022-10-16 10:07:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60751, '123456789', 18, '113.1486152', '27.789149', '149.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886064185', 0, '2022-10-16 10:07:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60752, '123456789', 18, '113.1488146', '27.7891828', '149.534', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886066317', 0, '2022-10-16 10:07:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60753, '123456789', 18, '113.1490626', '27.7892226', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886068488', 0, '2022-10-16 10:07:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60754, '123456789', 18, '113.1492118', '27.7892478', '149.869', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886070090', 0, '2022-10-16 10:07:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60755, '123456789', 18, '113.1494115', '27.7892796', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886072261', 0, '2022-10-16 10:07:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60756, '123456789', 18, '113.1496609', '27.7893203', '149.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886074419', 0, '2022-10-16 10:07:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60757, '123456789', 18, '113.1498103', '27.7893449', '149.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886076057', 0, '2022-10-16 10:07:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60758, '123456789', 18, '113.1500102', '27.7893778', '149.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886078258', 0, '2022-10-16 10:07:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60759, '123456789', 18, '113.1502597', '27.7894195', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886080409', 0, '2022-10-16 10:08:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60760, '123456789', 18, '113.1504606', '27.7894529', '149.707', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886082556', 0, '2022-10-16 10:08:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60761, '123456789', 18, '113.150611', '27.7894772', '149.747', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886084146', 0, '2022-10-16 10:08:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60762, '123456789', 18, '113.1508121', '27.7895073', '149.834', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886086278', 0, '2022-10-16 10:08:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60763, '123456789', 18, '113.1510587', '27.7895506', '149.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886088486', 0, '2022-10-16 10:08:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60764, '123456789', 18, '113.1512076', '27.7895755', '149.712', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886090062', 0, '2022-10-16 10:08:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60765, '123456789', 18, '113.1514076', '27.7896068', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886092165', 0, '2022-10-16 10:08:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60766, '123456789', 18, '113.1516075', '27.7896415', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886094324', 0, '2022-10-16 10:08:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60767, '123456789', 18, '113.1518574', '27.7896815', '149.791', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886096531', 0, '2022-10-16 10:08:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60768, '123456789', 18, '113.1520056', '27.7897069', '149.706', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886098163', 0, '2022-10-16 10:08:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60769, '123456789', 18, '113.1522575', '27.7897462', '149.883', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886100356', 0, '2022-10-16 10:08:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60770, '123456789', 18, '113.1524569', '27.7897791', '149.854', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886102459', 0, '2022-10-16 10:08:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60771, '123456789', 18, '113.1526064', '27.7898028', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886104084', 0, '2022-10-16 10:08:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60772, '123456789', 18, '113.1528057', '27.7898356', '150.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886106154', 0, '2022-10-16 10:08:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60773, '123456789', 18, '113.1530552', '27.7898772', '149.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886108358', 0, '2022-10-16 10:08:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60774, '123456789', 18, '113.1532548', '27.789909', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886110479', 0, '2022-10-16 10:08:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60775, '123456789', 18, '113.1534045', '27.7899331', '149.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886112119', 0, '2022-10-16 10:08:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60776, '123456789', 18, '113.1536035', '27.7899661', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886114257', 0, '2022-10-16 10:08:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60777, '123456789', 18, '113.1538533', '27.7900078', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886116423', 0, '2022-10-16 10:08:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60778, '123456789', 18, '113.1540524', '27.7900404', '149.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886118516', 0, '2022-10-16 10:08:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60779, '123456789', 18, '113.1542031', '27.7900651', '149.812', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886120095', 0, '2022-10-16 10:08:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60780, '123456789', 18, '113.1544042', '27.790098', '149.873', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886122144', 0, '2022-10-16 10:08:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60781, '123456789', 18, '113.154604', '27.790131', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886124326', 0, '2022-10-16 10:08:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60782, '123456789', 18, '113.1548531', '27.7901719', '149.838', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886126448', 0, '2022-10-16 10:08:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60783, '123456789', 18, '113.1550032', '27.7901958', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886128084', 0, '2022-10-16 10:08:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60784, '123456789', 18, '113.1552023', '27.7902286', '149.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886130197', 0, '2022-10-16 10:08:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60785, '123456789', 18, '113.1554021', '27.7902618', '149.872', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886132361', 0, '2022-10-16 10:08:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60786, '123456789', 18, '113.1556514', '27.7903034', '149.854', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886134563', 0, '2022-10-16 10:08:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60787, '123456789', 18, '113.1558013', '27.7903286', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886136214', 0, '2022-10-16 10:08:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60788, '123456789', 18, '113.1560518', '27.7903681', '149.858', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886138407', 0, '2022-10-16 10:08:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60789, '123456789', 18, '113.1562023', '27.7903928', '149.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886140084', 0, '2022-10-16 10:09:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60790, '123456789', 18, '113.1564017', '27.7904254', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886142196', 0, '2022-10-16 10:09:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60791, '123456789', 18, '113.1566013', '27.7904578', '149.857', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886144338', 0, '2022-10-16 10:09:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60792, '123456789', 18, '113.1568524', '27.7904993', '150.231', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886146557', 0, '2022-10-16 10:09:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60793, '123456789', 18, '113.1570021', '27.7905244', '150.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886148181', 0, '2022-10-16 10:09:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60794, '123456789', 18, '113.1572022', '27.7905563', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886150276', 0, '2022-10-16 10:09:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60795, '123456789', 18, '113.1574501', '27.7905964', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886152419', 0, '2022-10-16 10:09:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60796, '123456789', 18, '113.157601', '27.7906207', '150.17', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886154017', 0, '2022-10-16 10:09:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60797, '123456789', 18, '113.1578', '27.7906538', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886156091', 0, '2022-10-16 10:09:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60798, '123456789', 18, '113.1580014', '27.7906875', '150.076', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886158262', 0, '2022-10-16 10:09:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60799, '123456789', 18, '113.1581504', '27.7907121', '149.77', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886160328', 0, '2022-10-16 10:09:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60800, '123456789', 18, '113.1584508', '27.7907633', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886162481', 0, '2022-10-16 10:09:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60801, '123456789', 18, '113.1586004', '27.790787', '149.764', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886164082', 0, '2022-10-16 10:09:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60802, '123456789', 18, '113.1588016', '27.7908176', '150.131', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886166201', 0, '2022-10-16 10:09:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60803, '123456789', 18, '113.1589999', '27.7908513', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886168321', 0, '2022-10-16 10:09:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60804, '123456789', 18, '113.1592501', '27.7908908', '150.117', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886170517', 0, '2022-10-16 10:09:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60805, '123456789', 18, '113.1593997', '27.7909156', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886172158', 0, '2022-10-16 10:09:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60806, '123456789', 18, '113.1595988', '27.7909497', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886174331', 0, '2022-10-16 10:09:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60807, '123456789', 18, '113.1598488', '27.790991', '149.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886176422', 0, '2022-10-16 10:09:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60808, '123456789', 18, '113.1600494', '27.7910234', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886178556', 0, '2022-10-16 10:09:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60809, '123456789', 18, '113.1601996', '27.7910477', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886180155', 0, '2022-10-16 10:09:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60810, '123456789', 18, '113.1603998', '27.7910812', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886182276', 0, '2022-10-16 10:09:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60811, '123456789', 18, '113.1606001', '27.7911134', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886184364', 0, '2022-10-16 10:09:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60812, '123456789', 18, '113.160799', '27.7911465', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886186481', 0, '2022-10-16 10:09:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60813, '123456789', 18, '113.161', '27.7911786', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886188107', 0, '2022-10-16 10:09:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60814, '123456789', 18, '113.1611985', '27.7912128', '149.915', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886190318', 0, '2022-10-16 10:09:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60815, '123456789', 18, '113.1614501', '27.7912522', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886192401', 0, '2022-10-16 10:09:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60816, '123456789', 18, '113.1615979', '27.7912764', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886194039', 0, '2022-10-16 10:09:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60817, '123456789', 18, '113.1617978', '27.7913094', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886196197', 0, '2022-10-16 10:09:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60818, '123456789', 18, '113.1619978', '27.791342', '150.063', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886198339', 0, '2022-10-16 10:09:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60819, '123456789', 18, '113.1621987', '27.7913756', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886200036', 0, '2022-10-16 10:10:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60820, '123456789', 18, '113.1623981', '27.7914076', '150.174', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886202179', 0, '2022-10-16 10:10:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60821, '123456789', 18, '113.1625976', '27.7914415', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886204314', 0, '2022-10-16 10:10:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60822, '123456789', 18, '113.162848', '27.7914817', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886206453', 0, '2022-10-16 10:10:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60823, '123456789', 18, '113.1629974', '27.7915066', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886208005', 0, '2022-10-16 10:10:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60824, '123456789', 18, '113.1631978', '27.7915392', '149.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886210176', 0, '2022-10-16 10:10:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60825, '123456789', 18, '113.1633977', '27.7915719', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886212399', 0, '2022-10-16 10:10:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60826, '123456789', 18, '113.1635481', '27.7915963', '150.225', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886214512', 0, '2022-10-16 10:10:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60827, '123456789', 18, '113.1636985', '27.7916217', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886216128', 0, '2022-10-16 10:10:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60828, '123456789', 18, '113.1639475', '27.7916619', '150.066', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886218289', 0, '2022-10-16 10:10:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60829, '123456789', 18, '113.1640973', '27.7916865', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886220425', 0, '2022-10-16 10:10:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60830, '123456789', 18, '113.1642467', '27.7917107', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886222033', 0, '2022-10-16 10:10:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60831, '123456789', 18, '113.1644476', '27.7917438', '150.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886224197', 0, '2022-10-16 10:10:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60832, '123456789', 18, '113.1645974', '27.7917685', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886226284', 0, '2022-10-16 10:10:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60833, '123456789', 18, '113.1646968', '27.7917846', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886228401', 0, '2022-10-16 10:10:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60834, '123456789', 18, '113.1647967', '27.7918009', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886230021', 0, '2022-10-16 10:10:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60835, '123456789', 18, '113.1649963', '27.7918338', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886232229', 0, '2022-10-16 10:10:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60836, '123456789', 18, '113.1651973', '27.7918665', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886234362', 0, '2022-10-16 10:10:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60837, '123456789', 18, '113.1653968', '27.7918988', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886236476', 0, '2022-10-16 10:10:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60838, '123456789', 18, '113.165645', '27.7919397', '150.174', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886238123', 0, '2022-10-16 10:10:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60839, '123456789', 18, '113.1658963', '27.7919823', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886240332', 0, '2022-10-16 10:10:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60840, '123456789', 18, '113.1660464', '27.7920061', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886242486', 0, '2022-10-16 10:10:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60841, '123456789', 18, '113.166146', '27.7920226', '150.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886244102', 0, '2022-10-16 10:10:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60842, '123456789', 18, '113.1663464', '27.7920563', '149.811', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886246278', 0, '2022-10-16 10:10:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60843, '123456789', 18, '113.1664955', '27.7920798', '149.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886248439', 0, '2022-10-16 10:10:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60844, '123456789', 18, '113.1666453', '27.7921045', '150.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886250060', 0, '2022-10-16 10:10:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60845, '123456789', 18, '113.1667462', '27.792121', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886252291', 0, '2022-10-16 10:10:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60846, '123456789', 18, '113.1668458', '27.7921372', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886254411', 0, '2022-10-16 10:10:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60847, '123456789', 18, '113.1669456', '27.792153', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886256084', 0, '2022-10-16 10:10:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60848, '123456789', 18, '113.1670452', '27.79217', '149.883', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886258198', 0, '2022-10-16 10:10:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60849, '123456789', 18, '113.167095', '27.7921784', '149.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886260283', 0, '2022-10-16 10:11:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60850, '123456789', 18, '113.1671955', '27.7921948', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886262509', 0, '2022-10-16 10:11:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60851, '123456789', 18, '113.1672958', '27.7922106', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886264082', 0, '2022-10-16 10:11:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60852, '123456789', 18, '113.1674452', '27.7922348', '150.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886266250', 0, '2022-10-16 10:11:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60853, '123456789', 18, '113.1676458', '27.7922666', '150.144', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886268431', 0, '2022-10-16 10:11:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60854, '123456789', 18, '113.1677964', '27.7922939', '150.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886270016', 0, '2022-10-16 10:11:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60855, '123456789', 18, '113.167847', '27.7923025', '150.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886272184', 0, '2022-10-16 10:11:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60856, '123456789', 18, '113.1679451', '27.7923192', '149.81', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886274275', 0, '2022-10-16 10:11:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60857, '123456789', 18, '113.1680938', '27.7923421', '149.855', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886276396', 0, '2022-10-16 10:11:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60858, '123456789', 18, '113.1681438', '27.79235', '149.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886278068', 0, '2022-10-16 10:11:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60859, '123456789', 18, '113.1682449', '27.7923662', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886280296', 0, '2022-10-16 10:11:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60860, '123456789', 18, '113.1683949', '27.7923897', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886282425', 0, '2022-10-16 10:11:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60861, '123456789', 18, '113.1684449', '27.7923976', '150.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886284078', 0, '2022-10-16 10:11:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60862, '123456789', 18, '113.1685953', '27.7924231', '150.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886286304', 0, '2022-10-16 10:11:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60863, '123456789', 18, '113.168744', '27.7924486', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886288516', 0, '2022-10-16 10:11:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60864, '123456789', 18, '113.1688441', '27.7924649', '149.884', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886290114', 0, '2022-10-16 10:11:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60865, '123456789', 18, '113.1690447', '27.7924969', '150.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886292330', 0, '2022-10-16 10:11:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60866, '123456789', 18, '113.1691941', '27.7925219', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886294015', 0, '2022-10-16 10:11:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60867, '123456789', 18, '113.1693435', '27.7925472', '150.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886296200', 0, '2022-10-16 10:11:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60868, '123456789', 18, '113.1695941', '27.7925881', '149.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886298364', 0, '2022-10-16 10:11:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60869, '123456789', 18, '113.169694', '27.7926041', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886300020', 0, '2022-10-16 10:11:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60870, '123456789', 18, '113.1698449', '27.7926284', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886302243', 0, '2022-10-16 10:11:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60871, '123456789', 18, '113.1698953', '27.7926366', '150.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886304467', 0, '2022-10-16 10:11:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60872, '123456789', 18, '113.1699453', '27.7926448', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886306090', 0, '2022-10-16 10:11:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60873, '123456789', 18, '113.1699951', '27.7926528', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886308201', 0, '2022-10-16 10:11:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60874, '123456789', 18, '113.1700939', '27.7926685', '150.053', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886310372', 0, '2022-10-16 10:11:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60875, '123456789', 18, '113.1701435', '27.7926771', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886312493', 0, '2022-10-16 10:11:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60876, '123456789', 18, '113.1701931', '27.7926858', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886314159', 0, '2022-10-16 10:11:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60877, '123456789', 18, '113.1703938', '27.7927187', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886316249', 0, '2022-10-16 10:11:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60878, '123456789', 18, '113.1706436', '27.7927604', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886318436', 0, '2022-10-16 10:11:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60879, '123456789', 18, '113.1708435', '27.7927927', '149.913', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886320047', 0, '2022-10-16 10:12:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60880, '123456789', 18, '113.1709933', '27.792817', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886322115', 0, '2022-10-16 10:12:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60881, '123456789', 18, '113.1711432', '27.7928415', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886324271', 0, '2022-10-16 10:12:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60882, '123456789', 18, '113.1711933', '27.7928497', '149.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886326434', 0, '2022-10-16 10:12:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60883, '123456789', 18, '113.1713435', '27.7928745', '150.066', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886328096', 0, '2022-10-16 10:12:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60884, '123456789', 18, '113.1714443', '27.7928915', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886330233', 0, '2022-10-16 10:12:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60885, '123456789', 18, '113.1715454', '27.7929078', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886332422', 0, '2022-10-16 10:12:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60886, '123456789', 18, '113.1716936', '27.7929313', '149.862', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886334043', 0, '2022-10-16 10:12:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60887, '123456789', 18, '113.1717925', '27.7929471', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886336221', 0, '2022-10-16 10:12:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60888, '123456789', 18, '113.1718926', '27.7929635', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886338410', 0, '2022-10-16 10:12:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60889, '123456789', 18, '113.1719923', '27.7929801', '150.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886340556', 0, '2022-10-16 10:12:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60890, '123456789', 18, '113.1720422', '27.7929885', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886342132', 0, '2022-10-16 10:12:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60891, '123456789', 18, '113.1721423', '27.7930051', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886344249', 0, '2022-10-16 10:12:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60892, '123456789', 18, '113.1722894', '27.7930292', '150.21', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886346414', 0, '2022-10-16 10:12:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60893, '123456789', 18, '113.1724389', '27.793051', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886348498', 0, '2022-10-16 10:12:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60894, '123456789', 18, '113.1725336', '27.7929961', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886350111', 0, '2022-10-16 10:12:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60895, '123456789', 18, '113.1726828', '27.7927726', '150.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886352325', 0, '2022-10-16 10:12:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60896, '123456789', 18, '113.1728169', '27.7925726', '149.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886354466', 0, '2022-10-16 10:12:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60897, '123456789', 18, '113.1728169', '27.7925726', '149.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886356000', 0, '2022-10-16 10:12:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60898, '123456789', 18, '113.1728301', '27.7925561', '150.16', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886358139', 0, '2022-10-16 10:12:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60899, '123456789', 18, '113.1728293', '27.7925567', '150.144', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886360317', 0, '2022-10-16 10:12:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60900, '123456789', 18, '113.1728304', '27.7925568', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886362514', 0, '2022-10-16 10:12:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60901, '123456789', 18, '113.17283', '27.7925569', '150.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886364130', 0, '2022-10-16 10:12:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60902, '123456789', 18, '113.1728299', '27.7925557', '150.081', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886366361', 0, '2022-10-16 10:12:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60903, '123456789', 18, '113.1728309', '27.7925557', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886368515', 0, '2022-10-16 10:12:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60904, '123456789', 18, '113.1728301', '27.7925552', '150.148', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886370136', 0, '2022-10-16 10:12:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60905, '123456789', 18, '113.1728304', '27.792555', '150.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886372313', 0, '2022-10-16 10:12:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60906, '123456789', 18, '113.1728313', '27.7925556', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886374480', 0, '2022-10-16 10:12:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60907, '123456789', 18, '113.1728305', '27.7925568', '150.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886376055', 0, '2022-10-16 10:12:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60908, '123456789', 18, '113.1728281', '27.7925546', '150.139', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886378190', 0, '2022-10-16 10:12:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60909, '123456789', 18, '113.1728298', '27.792555', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886380394', 0, '2022-10-16 10:13:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60910, '123456789', 18, '113.1728315', '27.7925521', '150.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886382023', 0, '2022-10-16 10:13:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60911, '123456789', 18, '113.1728274', '27.7925563', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886384092', 0, '2022-10-16 10:13:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60912, '123456789', 18, '113.1728288', '27.7925576', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886386228', 0, '2022-10-16 10:13:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60913, '123456789', 18, '113.17283', '27.7925578', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886388418', 0, '2022-10-16 10:13:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60914, '123456789', 18, '113.172826', '27.7925518', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886390548', 0, '2022-10-16 10:13:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60915, '123456789', 18, '113.1728293', '27.7925541', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886392141', 0, '2022-10-16 10:13:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60916, '123456789', 18, '113.1728307', '27.792556', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886394368', 0, '2022-10-16 10:13:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60917, '123456789', 18, '113.1728292', '27.7925564', '150.138', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886396010', 0, '2022-10-16 10:13:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60918, '123456789', 18, '113.1728308', '27.7925548', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886398206', 0, '2022-10-16 10:13:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60919, '123456789', 18, '113.1728297', '27.7925566', '150.067', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886400319', 0, '2022-10-16 10:13:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60920, '123456789', 18, '113.1728288', '27.7925569', '150.242', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886402475', 0, '2022-10-16 10:13:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60921, '123456789', 18, '113.1728312', '27.7925541', '150.123', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886404051', 0, '2022-10-16 10:13:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60922, '123456789', 18, '113.1728254', '27.7925599', '149.843', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886406200', 0, '2022-10-16 10:13:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60923, '123456789', 18, '113.1728275', '27.7925564', '149.893', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886408318', 0, '2022-10-16 10:13:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60924, '123456789', 18, '113.172825', '27.792559', '150.285', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886410457', 0, '2022-10-16 10:13:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60925, '123456789', 18, '113.1728267', '27.7925573', '149.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886412045', 0, '2022-10-16 10:13:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60926, '123456789', 18, '113.1728323', '27.7925572', '150.17', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886414228', 0, '2022-10-16 10:13:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60927, '123456789', 18, '113.1728299', '27.7925563', '149.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886416338', 0, '2022-10-16 10:13:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60928, '123456789', 18, '113.1728275', '27.7925528', '150.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886418560', 0, '2022-10-16 10:13:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60929, '123456789', 18, '113.172829', '27.7925545', '150.097', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886420217', 0, '2022-10-16 10:13:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60930, '123456789', 18, '113.172831', '27.792554', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886422373', 0, '2022-10-16 10:13:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60931, '123456789', 18, '113.1728295', '27.7925566', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886424517', 0, '2022-10-16 10:13:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60932, '123456789', 18, '113.1728285', '27.7925564', '149.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886426136', 0, '2022-10-16 10:13:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60933, '123456789', 18, '113.1728324', '27.792553', '149.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886428247', 0, '2022-10-16 10:13:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60934, '123456789', 18, '113.1728294', '27.7925544', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886430457', 0, '2022-10-16 10:13:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60935, '123456789', 18, '113.1728284', '27.7925551', '149.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886432073', 0, '2022-10-16 10:13:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60936, '123456789', 18, '113.1728301', '27.7925553', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886434278', 0, '2022-10-16 10:13:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60937, '123456789', 18, '113.172831', '27.792555', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886436452', 0, '2022-10-16 10:13:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60938, '123456789', 18, '113.172831', '27.792555', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886438020', 0, '2022-10-16 10:13:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60939, '123456789', 18, '113.1728303', '27.792555', '150.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886440155', 0, '2022-10-16 10:14:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60940, '123456789', 18, '113.1728301', '27.792555', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886442229', 0, '2022-10-16 10:14:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60941, '123456789', 18, '113.1728305', '27.7925545', '149.882', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886444316', 0, '2022-10-16 10:14:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60942, '123456789', 18, '113.1728309', '27.7925552', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886446521', 0, '2022-10-16 10:14:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60943, '123456789', 18, '113.1728274', '27.7925587', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886448138', 0, '2022-10-16 10:14:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60944, '123456789', 18, '113.1728282', '27.7925579', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886450266', 0, '2022-10-16 10:14:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60945, '123456789', 18, '113.1728295', '27.7925563', '150.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886452490', 0, '2022-10-16 10:14:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60946, '123456789', 18, '113.1728308', '27.7925541', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886454017', 0, '2022-10-16 10:14:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60947, '123456789', 18, '113.1728305', '27.7925551', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886456119', 0, '2022-10-16 10:14:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60948, '123456789', 18, '113.1728299', '27.7925551', '150.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886458275', 0, '2022-10-16 10:14:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60949, '123456789', 18, '113.1728292', '27.7925555', '150.142', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886460449', 0, '2022-10-16 10:14:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60950, '123456789', 18, '113.1728296', '27.7925553', '150.106', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886462084', 0, '2022-10-16 10:14:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60951, '123456789', 18, '113.1728299', '27.7925554', '150.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886464248', 0, '2022-10-16 10:14:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60952, '123456789', 18, '113.1728294', '27.7925548', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886466474', 0, '2022-10-16 10:14:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60953, '123456789', 18, '113.1728294', '27.7925548', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886468145', 0, '2022-10-16 10:14:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60954, '123456789', 18, '113.1728307', '27.7925563', '150.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886470368', 0, '2022-10-16 10:14:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60955, '123456789', 18, '113.1728295', '27.7925557', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886472554', 0, '2022-10-16 10:14:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60956, '123456789', 18, '113.172829', '27.7925555', '150.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886474159', 0, '2022-10-16 10:14:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60957, '123456789', 18, '113.1728289', '27.7925553', '150.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886476306', 0, '2022-10-16 10:14:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60958, '123456789', 18, '113.1728292', '27.7925545', '150.112', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886478426', 0, '2022-10-16 10:14:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60959, '123456789', 18, '113.1728286', '27.7925544', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886480077', 0, '2022-10-16 10:14:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60960, '123456789', 18, '113.1728288', '27.792555', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886482207', 0, '2022-10-16 10:14:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60961, '123456789', 18, '113.17283', '27.7925548', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886484370', 0, '2022-10-16 10:14:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60962, '123456789', 18, '113.1728295', '27.7925554', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886486473', 0, '2022-10-16 10:14:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60963, '123456789', 18, '113.1728302', '27.7925545', '150.243', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886488027', 0, '2022-10-16 10:14:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60964, '123456789', 18, '113.1728299', '27.7925555', '150.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886490114', 0, '2022-10-16 10:14:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60965, '123456789', 18, '113.1728297', '27.7925554', '150.098', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886492337', 0, '2022-10-16 10:14:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60966, '123456789', 18, '113.17283', '27.7925553', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886494000', 0, '2022-10-16 10:14:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60967, '123456789', 18, '113.1728305', '27.7925548', '149.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886496184', 0, '2022-10-16 10:14:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60968, '123456789', 18, '113.1728297', '27.7925551', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886498352', 0, '2022-10-16 10:14:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60969, '123456789', 18, '113.1728301', '27.7925544', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886500510', 0, '2022-10-16 10:15:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60970, '123456789', 18, '113.17283', '27.7925549', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886502115', 0, '2022-10-16 10:15:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60971, '123456789', 18, '113.1728291', '27.7925562', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886504243', 0, '2022-10-16 10:15:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60972, '123456789', 18, '113.1728304', '27.7925551', '150.066', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886506351', 0, '2022-10-16 10:15:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60973, '123456789', 18, '113.1728309', '27.7925546', '150.058', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886508006', 0, '2022-10-16 10:15:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60974, '123456789', 18, '113.1728309', '27.7925546', '150.058', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886510227', 0, '2022-10-16 10:15:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60975, '123456789', 18, '113.1728287', '27.792556', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886512302', 0, '2022-10-16 10:15:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60976, '123456789', 18, '113.1728278', '27.7925574', '150.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886514464', 0, '2022-10-16 10:15:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60977, '123456789', 18, '113.1728278', '27.7925574', '150.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886516111', 0, '2022-10-16 10:15:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60978, '123456789', 18, '113.1728302', '27.7925537', '150.151', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886518325', 0, '2022-10-16 10:15:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60979, '123456789', 18, '113.1728288', '27.7925543', '150.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886520538', 0, '2022-10-16 10:15:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60980, '123456789', 18, '113.1728289', '27.7925552', '150.171', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886522207', 0, '2022-10-16 10:15:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60981, '123456789', 18, '113.1728291', '27.7925556', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886524409', 0, '2022-10-16 10:15:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60982, '123456789', 18, '113.1728291', '27.7925556', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886526070', 0, '2022-10-16 10:15:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60983, '123456789', 18, '113.17283', '27.7925555', '150.142', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886528282', 0, '2022-10-16 10:15:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60984, '123456789', 18, '113.17283', '27.7925549', '150.129', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886530498', 0, '2022-10-16 10:15:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60985, '123456789', 18, '113.1728301', '27.7925548', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886532155', 0, '2022-10-16 10:15:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60986, '123456789', 18, '113.1728299', '27.7925542', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886534370', 0, '2022-10-16 10:15:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60987, '123456789', 18, '113.1728283', '27.7925572', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886536020', 0, '2022-10-16 10:15:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60988, '123456789', 18, '113.1728283', '27.7925572', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886538226', 0, '2022-10-16 10:15:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60989, '123456789', 18, '113.172829', '27.7925571', '149.903', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886540416', 0, '2022-10-16 10:15:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60990, '123456789', 18, '113.1728297', '27.7925549', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886542067', 0, '2022-10-16 10:15:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60991, '123456789', 18, '113.1728297', '27.7925549', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886544279', 0, '2022-10-16 10:15:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60992, '123456789', 18, '113.1728299', '27.7925552', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886546484', 0, '2022-10-16 10:15:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60993, '123456789', 18, '113.1728297', '27.7925552', '150.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886548148', 0, '2022-10-16 10:15:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60994, '123456789', 18, '113.1728298', '27.7925549', '150.13', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886550372', 0, '2022-10-16 10:15:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60995, '123456789', 18, '113.1728298', '27.7925545', '150.187', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886552033', 0, '2022-10-16 10:15:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60996, '123456789', 18, '113.1728295', '27.7925544', '150.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886554246', 0, '2022-10-16 10:15:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60997, '123456789', 18, '113.1728294', '27.7925544', '150.068', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886556455', 0, '2022-10-16 10:15:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60998, '123456789', 18, '113.1728295', '27.7925549', '150.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886558119', 0, '2022-10-16 10:15:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (60999, '123456789', 18, '113.1728299', '27.7925548', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886560336', 0, '2022-10-16 10:16:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61000, '123456789', 18, '113.1728299', '27.7925548', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886562555', 0, '2022-10-16 10:16:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61001, '123456789', 18, '113.1728302', '27.7925549', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886564201', 0, '2022-10-16 10:16:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61002, '123456789', 18, '113.1728295', '27.7925555', '149.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886566405', 0, '2022-10-16 10:16:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61003, '123456789', 18, '113.1728308', '27.7925557', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886568064', 0, '2022-10-16 10:16:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61004, '123456789', 18, '113.1728306', '27.7925557', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886570276', 0, '2022-10-16 10:16:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61005, '123456789', 18, '113.1728306', '27.7925557', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886572489', 0, '2022-10-16 10:16:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61006, '123456789', 18, '113.1728289', '27.7925552', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886574150', 0, '2022-10-16 10:16:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61007, '123456789', 18, '113.17283', '27.792555', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886576371', 0, '2022-10-16 10:16:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61008, '123456789', 18, '113.1728298', '27.7925555', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886578018', 0, '2022-10-16 10:16:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61009, '123456789', 18, '113.1728299', '27.7925556', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886580212', 0, '2022-10-16 10:16:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61010, '123456789', 18, '113.1728294', '27.7925553', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886582422', 0, '2022-10-16 10:16:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61011, '123456789', 18, '113.1728295', '27.7925553', '150.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886584078', 0, '2022-10-16 10:16:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61012, '123456789', 18, '113.1728297', '27.7925551', '150.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886586282', 0, '2022-10-16 10:16:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61013, '123456789', 18, '113.17283', '27.7925548', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886588482', 0, '2022-10-16 10:16:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61014, '123456789', 18, '113.17283', '27.7925548', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886590133', 0, '2022-10-16 10:16:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61015, '123456789', 18, '113.1728295', '27.7925559', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886592304', 0, '2022-10-16 10:16:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61016, '123456789', 18, '113.1728295', '27.7925559', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886594513', 0, '2022-10-16 10:16:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61017, '123456789', 18, '113.1728295', '27.7925559', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886596169', 0, '2022-10-16 10:16:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61018, '123456789', 18, '113.1728302', '27.7925558', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886598391', 0, '2022-10-16 10:16:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61019, '123456789', 18, '113.1728298', '27.7925562', '150.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886600040', 0, '2022-10-16 10:16:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61020, '123456789', 18, '113.1728304', '27.7925555', '150.067', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886602255', 0, '2022-10-16 10:16:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61021, '123456789', 18, '113.1728306', '27.792556', '150.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886604473', 0, '2022-10-16 10:16:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61022, '123456789', 18, '113.1728283', '27.7925544', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886606127', 0, '2022-10-16 10:16:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61023, '123456789', 18, '113.1728289', '27.7925552', '150.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886608348', 0, '2022-10-16 10:16:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61024, '123456789', 18, '113.1728296', '27.792555', '150.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886610004', 0, '2022-10-16 10:16:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61025, '123456789', 18, '113.1728296', '27.792555', '150.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886612223', 0, '2022-10-16 10:16:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61026, '123456789', 18, '113.1728289', '27.7925556', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886614436', 0, '2022-10-16 10:16:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61027, '123456789', 18, '113.1728298', '27.7925553', '150.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886616096', 0, '2022-10-16 10:16:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61028, '123456789', 18, '113.1728295', '27.7925549', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886618306', 0, '2022-10-16 10:16:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61029, '123456789', 18, '113.1728315', '27.7925555', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886620515', 0, '2022-10-16 10:17:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61030, '123456789', 18, '113.1728304', '27.7925555', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886622171', 0, '2022-10-16 10:17:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61031, '123456789', 18, '113.1728304', '27.7925555', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886624374', 0, '2022-10-16 10:17:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61032, '123456789', 18, '113.1728295', '27.7925554', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886626032', 0, '2022-10-16 10:17:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61033, '123456789', 18, '113.1728288', '27.7925555', '150.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886628245', 0, '2022-10-16 10:17:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61034, '123456789', 18, '113.1728283', '27.792555', '150.107', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886630451', 0, '2022-10-16 10:17:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61035, '123456789', 18, '113.1728283', '27.792555', '150.107', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886632109', 0, '2022-10-16 10:17:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61036, '123456789', 18, '113.1728289', '27.7925554', '150.083', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886634323', 0, '2022-10-16 10:17:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61037, '123456789', 18, '113.172829', '27.7925551', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886636447', 0, '2022-10-16 10:17:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61038, '123456789', 18, '113.172829', '27.7925551', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886638092', 0, '2022-10-16 10:17:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61039, '123456789', 18, '113.1728296', '27.7925553', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886640232', 0, '2022-10-16 10:17:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61040, '123456789', 18, '113.1728296', '27.7925553', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886642433', 0, '2022-10-16 10:17:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61041, '123456789', 18, '113.1728296', '27.7925553', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886644088', 0, '2022-10-16 10:17:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61042, '123456789', 18, '113.1728296', '27.7925553', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886646255', 0, '2022-10-16 10:17:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61043, '123456789', 18, '113.1728306', '27.7925555', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886648435', 0, '2022-10-16 10:17:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61044, '123456789', 18, '113.1728306', '27.7925555', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886650105', 0, '2022-10-16 10:17:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61045, '123456789', 18, '113.1728306', '27.7925555', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886652307', 0, '2022-10-16 10:17:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61046, '123456789', 18, '113.1728306', '27.7925555', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886654469', 0, '2022-10-16 10:17:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61047, '123456789', 18, '113.1728306', '27.7925555', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886656086', 0, '2022-10-16 10:17:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61048, '123456789', 18, '113.1728305', '27.7925555', '150.053', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886658268', 0, '2022-10-16 10:17:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61049, '123456789', 18, '113.1728308', '27.7925554', '150.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886660479', 0, '2022-10-16 10:17:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61050, '123456789', 18, '113.1728308', '27.7925554', '150.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886662154', 0, '2022-10-16 10:17:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61051, '123456789', 18, '113.1728308', '27.7925554', '150.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886664278', 0, '2022-10-16 10:17:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61052, '123456789', 18, '113.1728297', '27.7925553', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886666477', 0, '2022-10-16 10:17:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61053, '123456789', 18, '113.1728297', '27.7925553', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886668141', 0, '2022-10-16 10:17:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61054, '123456789', 18, '113.1728288', '27.7925552', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886670298', 0, '2022-10-16 10:17:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61055, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886672393', 0, '2022-10-16 10:17:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61056, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886674013', 0, '2022-10-16 10:17:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61057, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886676154', 0, '2022-10-16 10:17:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61058, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886678233', 0, '2022-10-16 10:17:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61059, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886680356', 0, '2022-10-16 10:18:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61060, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886682024', 0, '2022-10-16 10:18:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61061, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886684251', 0, '2022-10-16 10:18:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61062, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886686383', 0, '2022-10-16 10:18:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61063, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886688001', 0, '2022-10-16 10:18:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61064, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886690168', 0, '2022-10-16 10:18:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61065, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886692347', 0, '2022-10-16 10:18:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61066, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886694501', 0, '2022-10-16 10:18:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61067, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886696167', 0, '2022-10-16 10:18:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61068, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886698190', 0, '2022-10-16 10:18:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61069, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886700378', 0, '2022-10-16 10:18:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61070, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886702456', 0, '2022-10-16 10:18:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61071, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886704071', 0, '2022-10-16 10:18:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61072, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886706235', 0, '2022-10-16 10:18:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61073, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886708410', 0, '2022-10-16 10:18:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61074, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886710544', 0, '2022-10-16 10:18:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61075, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886712156', 0, '2022-10-16 10:18:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61076, '123456789', 18, '113.1728283', '27.7925554', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886714332', 0, '2022-10-16 10:18:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61077, '123456789', 18, '113.1728293', '27.7925555', '150.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886716421', 0, '2022-10-16 10:18:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61078, '123456789', 18, '113.1728293', '27.7925555', '150.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886718512', 0, '2022-10-16 10:18:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61079, '123456789', 18, '113.1728294', '27.7925551', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886720196', 0, '2022-10-16 10:18:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61080, '123456789', 18, '113.1728294', '27.7925551', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886722426', 0, '2022-10-16 10:18:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61081, '123456789', 18, '113.1728294', '27.7925551', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886724049', 0, '2022-10-16 10:18:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61082, '123456789', 18, '113.1728295', '27.7925549', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886726187', 0, '2022-10-16 10:18:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61083, '123456789', 18, '113.1728295', '27.7925549', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886728357', 0, '2022-10-16 10:18:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61084, '123456789', 18, '113.1728298', '27.792555', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886730464', 0, '2022-10-16 10:18:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61085, '123456789', 18, '113.1728298', '27.792555', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886732082', 0, '2022-10-16 10:18:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61086, '123456789', 18, '113.1728302', '27.7925554', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886734247', 0, '2022-10-16 10:18:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61087, '123456789', 18, '113.1728302', '27.7925554', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886736315', 0, '2022-10-16 10:18:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61088, '123456789', 18, '113.1728302', '27.7925554', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886738383', 0, '2022-10-16 10:18:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61089, '123456789', 18, '113.1728302', '27.7925554', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886740515', 0, '2022-10-16 10:19:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61090, '123456789', 18, '113.1728304', '27.7925559', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886742142', 0, '2022-10-16 10:19:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61091, '123456789', 18, '113.1728304', '27.7925559', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886744383', 0, '2022-10-16 10:19:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61092, '123456789', 18, '113.1728304', '27.7925559', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886746068', 0, '2022-10-16 10:19:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61093, '123456789', 18, '113.1728304', '27.7925559', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886748181', 0, '2022-10-16 10:19:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61094, '123456789', 18, '113.1728304', '27.7925559', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886750367', 0, '2022-10-16 10:19:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61095, '123456789', 18, '113.1728266', '27.7925524', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886752007', 0, '2022-10-16 10:19:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61096, '123456789', 18, '113.1728266', '27.7925524', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886754223', 0, '2022-10-16 10:19:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61097, '123456789', 18, '113.1728266', '27.7925524', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886756437', 0, '2022-10-16 10:19:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61098, '123456789', 18, '113.1728294', '27.792555', '149.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886758081', 0, '2022-10-16 10:19:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61099, '123456789', 18, '113.1728302', '27.7925553', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886760283', 0, '2022-10-16 10:19:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61100, '123456789', 18, '113.1728299', '27.7925552', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886762502', 0, '2022-10-16 10:19:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61101, '123456789', 18, '113.17283', '27.792555', '149.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886764161', 0, '2022-10-16 10:19:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61102, '123456789', 18, '113.172832', '27.7925545', '150.074', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886766364', 0, '2022-10-16 10:19:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61103, '123456789', 18, '113.172832', '27.7925545', '150.074', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886768018', 0, '2022-10-16 10:19:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61104, '123456789', 18, '113.1728309', '27.7925554', '149.827', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886770212', 0, '2022-10-16 10:19:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61105, '123456789', 18, '113.1728309', '27.7925554', '149.827', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886772408', 0, '2022-10-16 10:19:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61106, '123456789', 18, '113.1728273', '27.7925543', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886774068', 0, '2022-10-16 10:19:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61107, '123456789', 18, '113.1728273', '27.7925543', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886776281', 0, '2022-10-16 10:19:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61108, '123456789', 18, '113.172827', '27.7925566', '150.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886778515', 0, '2022-10-16 10:19:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61109, '123456789', 18, '113.172827', '27.7925566', '150.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886780184', 0, '2022-10-16 10:19:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61110, '123456789', 18, '113.1728289', '27.7925554', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886782404', 0, '2022-10-16 10:19:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61111, '123456789', 18, '113.1728289', '27.7925554', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886784022', 0, '2022-10-16 10:19:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61112, '123456789', 18, '113.1728309', '27.7925548', '149.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886786249', 0, '2022-10-16 10:19:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61113, '123456789', 18, '113.1728301', '27.7925554', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886788456', 0, '2022-10-16 10:19:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61114, '123456789', 18, '113.1728293', '27.7925544', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886790117', 0, '2022-10-16 10:19:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61115, '123456789', 18, '113.1728301', '27.7925542', '150.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886792318', 0, '2022-10-16 10:19:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61116, '123456789', 18, '113.1728311', '27.7925545', '150.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886794527', 0, '2022-10-16 10:19:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61117, '123456789', 18, '113.1728322', '27.7925529', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886796190', 0, '2022-10-16 10:19:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61118, '123456789', 18, '113.1728322', '27.7925529', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886798409', 0, '2022-10-16 10:19:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61119, '123456789', 18, '113.1728444', '27.792531', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886800069', 0, '2022-10-16 10:20:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61120, '123456789', 18, '113.1729029', '27.7924357', '150.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886802288', 0, '2022-10-16 10:20:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61121, '123456789', 18, '113.1729277', '27.7923958', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886804503', 0, '2022-10-16 10:20:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61122, '123456789', 18, '113.1729277', '27.7923958', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886806162', 0, '2022-10-16 10:20:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61123, '123456789', 18, '113.1729646', '27.7923363', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886808375', 0, '2022-10-16 10:20:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61124, '123456789', 18, '113.1729636', '27.7923372', '150.081', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886810015', 0, '2022-10-16 10:20:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61125, '123456789', 18, '113.1729636', '27.7923377', '149.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886812231', 0, '2022-10-16 10:20:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61126, '123456789', 18, '113.1729639', '27.7923371', '150.09', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886814456', 0, '2022-10-16 10:20:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61127, '123456789', 18, '113.1729639', '27.7923371', '150.09', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886816109', 0, '2022-10-16 10:20:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61128, '123456789', 18, '113.1729646', '27.7923366', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886818307', 0, '2022-10-16 10:20:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61129, '123456789', 18, '113.1729519', '27.7923352', '150.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886820511', 0, '2022-10-16 10:20:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61130, '123456789', 18, '113.1684884', '27.7917474', '149.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886822160', 0, '2022-10-16 10:20:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61131, '123456789', 18, '113.1657792', '27.7913888', '149.759', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886824363', 0, '2022-10-16 10:20:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61132, '123456789', 18, '113.165226', '27.7913159', '149.701', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886826002', 0, '2022-10-16 10:20:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61133, '123456789', 18, '113.1647227', '27.7912499', '149.859', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886828210', 0, '2022-10-16 10:20:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61134, '123456789', 18, '113.1645717', '27.7912311', '149.663', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886830403', 0, '2022-10-16 10:20:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61135, '123456789', 18, '113.1642204', '27.7911832', '149.8', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886832054', 0, '2022-10-16 10:20:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61136, '123456789', 18, '113.1638175', '27.7911324', '149.785', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886834256', 0, '2022-10-16 10:20:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61137, '123456789', 18, '113.1630143', '27.7910245', '149.751', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886836457', 0, '2022-10-16 10:20:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61138, '123456789', 18, '113.162209', '27.790918', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886838098', 0, '2022-10-16 10:20:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61139, '123456789', 18, '113.1619574', '27.7908865', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886840309', 0, '2022-10-16 10:20:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61140, '123456789', 18, '113.161255', '27.7907936', '149.891', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886842500', 0, '2022-10-16 10:20:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61141, '123456789', 18, '113.1605005', '27.7906934', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886844144', 0, '2022-10-16 10:20:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61142, '123456789', 18, '113.1601988', '27.7906544', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886846340', 0, '2022-10-16 10:20:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61143, '123456789', 18, '113.1592949', '27.7905353', '149.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886848537', 0, '2022-10-16 10:20:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61144, '123456789', 18, '113.1589917', '27.7904955', '150.066', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886850183', 0, '2022-10-16 10:20:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61145, '123456789', 18, '113.1582385', '27.790395', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886852383', 0, '2022-10-16 10:20:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61146, '123456789', 18, '113.1580878', '27.7903748', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886854024', 0, '2022-10-16 10:20:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61147, '123456789', 18, '113.157736', '27.7903285', '150.13', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886856218', 0, '2022-10-16 10:20:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61148, '123456789', 18, '113.1575348', '27.7903024', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886858408', 0, '2022-10-16 10:20:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61149, '123456789', 18, '113.1573845', '27.7902846', '149.745', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886860052', 0, '2022-10-16 10:21:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61150, '123456789', 18, '113.1573845', '27.7902846', '149.745', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886862247', 0, '2022-10-16 10:21:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61151, '123456789', 18, '113.1566812', '27.79019', '149.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886864453', 0, '2022-10-16 10:21:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61152, '123456789', 18, '113.1565805', '27.7901761', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886866098', 0, '2022-10-16 10:21:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61153, '123456789', 18, '113.1560772', '27.7901119', '149.835', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886868291', 0, '2022-10-16 10:21:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61154, '123456789', 18, '113.1555746', '27.7900447', '149.786', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886870490', 0, '2022-10-16 10:21:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61155, '123456789', 18, '113.1551722', '27.7899912', '149.851', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886872140', 0, '2022-10-16 10:21:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61156, '123456789', 18, '113.1545692', '27.7899125', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886874323', 0, '2022-10-16 10:21:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61157, '123456789', 18, '113.1538653', '27.7898197', '150.172', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886876521', 0, '2022-10-16 10:21:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61158, '123456789', 18, '113.1534629', '27.7897681', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886878183', 0, '2022-10-16 10:21:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61159, '123456789', 18, '113.1529595', '27.7896998', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886880384', 0, '2022-10-16 10:21:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61160, '123456789', 18, '113.1525589', '27.7896456', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886882024', 0, '2022-10-16 10:21:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61161, '123456789', 18, '113.1520563', '27.7895802', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886884228', 0, '2022-10-16 10:21:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61162, '123456789', 18, '113.1516527', '27.7895285', '149.689', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886886422', 0, '2022-10-16 10:21:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61163, '123456789', 18, '113.1514021', '27.7894941', '149.885', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886888070', 0, '2022-10-16 10:21:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61164, '123456789', 18, '113.1512002', '27.789468', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886890274', 0, '2022-10-16 10:21:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61165, '123456789', 18, '113.1509503', '27.7894341', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886892474', 0, '2022-10-16 10:21:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61166, '123456789', 18, '113.1507991', '27.7894154', '149.936', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886894110', 0, '2022-10-16 10:21:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61167, '123456789', 18, '113.1505491', '27.7893835', '149.846', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886896309', 0, '2022-10-16 10:21:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61168, '123456789', 18, '113.1503441', '27.789357', '149.862', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886898506', 0, '2022-10-16 10:21:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61169, '123456789', 18, '113.1501947', '27.7893349', '149.766', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886900153', 0, '2022-10-16 10:21:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61170, '123456789', 18, '113.1499451', '27.7893038', '149.731', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886902361', 0, '2022-10-16 10:21:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61171, '123456789', 18, '113.1497945', '27.7892833', '149.871', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886904004', 0, '2022-10-16 10:21:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61172, '123456789', 18, '113.1495912', '27.7892561', '149.828', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886906201', 0, '2022-10-16 10:21:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61173, '123456789', 18, '113.149341', '27.7892226', '149.717', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886908398', 0, '2022-10-16 10:21:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61174, '123456789', 18, '113.1491909', '27.789203', '149.876', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886910051', 0, '2022-10-16 10:21:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61175, '123456789', 18, '113.1489898', '27.7891765', '149.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886912243', 0, '2022-10-16 10:21:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61176, '123456789', 18, '113.1487373', '27.789144', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886914445', 0, '2022-10-16 10:21:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61177, '123456789', 18, '113.1485859', '27.7891232', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886916093', 0, '2022-10-16 10:21:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61178, '123456789', 18, '113.1483872', '27.7890973', '149.755', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886918296', 0, '2022-10-16 10:21:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61179, '123456789', 18, '113.1481371', '27.7890648', '150.235', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886920496', 0, '2022-10-16 10:22:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61180, '123456789', 18, '113.1480133', '27.7890492', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886922140', 0, '2022-10-16 10:22:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61181, '123456789', 18, '113.1479437', '27.7890353', '149.833', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886924331', 0, '2022-10-16 10:22:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61182, '123456789', 18, '113.1479347', '27.7890394', '150.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886926520', 0, '2022-10-16 10:22:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61183, '123456789', 18, '113.1479397', '27.7890424', '150.136', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886928172', 0, '2022-10-16 10:22:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61184, '123456789', 18, '113.1479376', '27.7890368', '150.114', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886930362', 0, '2022-10-16 10:22:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61185, '123456789', 18, '113.1479344', '27.7890392', '149.505', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886932020', 0, '2022-10-16 10:22:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61186, '123456789', 18, '113.147933', '27.7890384', '146.267', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886934218', 0, '2022-10-16 10:22:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61187, '123456789', 18, '113.1479346', '27.7890399', '142.655', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886936423', 0, '2022-10-16 10:22:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61188, '123456789', 18, '113.1479332', '27.7890385', '140.461', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886938076', 0, '2022-10-16 10:22:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61189, '123456789', 18, '113.1479342', '27.7890365', '137.467', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886940274', 0, '2022-10-16 10:22:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61190, '123456789', 18, '113.1479344', '27.7890376', '133.759', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886942485', 0, '2022-10-16 10:22:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61191, '123456789', 18, '113.1479352', '27.789037', '131.223', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886944144', 0, '2022-10-16 10:22:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61192, '123456789', 18, '113.1479337', '27.7890367', '127.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886946340', 0, '2022-10-16 10:22:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61193, '123456789', 18, '113.1479333', '27.7890371', '124.549', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886948530', 0, '2022-10-16 10:22:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61194, '123456789', 18, '113.1479345', '27.7890367', '122.537', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886950152', 0, '2022-10-16 10:22:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61195, '123456789', 18, '113.1479335', '27.7890371', '118.822', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886952316', 0, '2022-10-16 10:22:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61196, '123456789', 18, '113.1479335', '27.7890364', '115.673', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886954413', 0, '2022-10-16 10:22:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61197, '123456789', 18, '113.1479352', '27.7890372', '112.738', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886956552', 0, '2022-10-16 10:22:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61198, '123456789', 18, '113.1479343', '27.789037', '110.403', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886958199', 0, '2022-10-16 10:22:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61199, '123456789', 18, '113.1479343', '27.7890375', '106.734', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886960352', 0, '2022-10-16 10:22:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61200, '123456789', 18, '113.1479352', '27.7890371', '103.635', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886962445', 0, '2022-10-16 10:22:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61201, '123456789', 18, '113.1479354', '27.7890368', '101.289', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886964038', 0, '2022-10-16 10:22:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61202, '123456789', 18, '113.1479351', '27.7890375', '98.433', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886966252', 0, '2022-10-16 10:22:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61203, '123456789', 18, '113.1479356', '27.7890374', '95.323', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886968307', 0, '2022-10-16 10:22:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61204, '123456789', 18, '113.1479338', '27.7890386', '91.616', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886970470', 0, '2022-10-16 10:22:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61205, '123456789', 18, '113.1479344', '27.7890384', '89.494', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886972065', 0, '2022-10-16 10:22:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61206, '123456789', 18, '113.1479349', '27.7890372', '86.456', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886974255', 0, '2022-10-16 10:22:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61207, '123456789', 18, '113.1479347', '27.7890378', '82.734', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886976469', 0, '2022-10-16 10:22:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61208, '123456789', 18, '113.1479352', '27.7890371', '80.346', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886978027', 0, '2022-10-16 10:22:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61209, '123456789', 18, '113.1479342', '27.7890378', '77.37', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886980073', 0, '2022-10-16 10:23:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61210, '123456789', 18, '113.1479331', '27.7890374', '74.476', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886982235', 0, '2022-10-16 10:23:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61211, '123456789', 18, '113.1479355', '27.7890364', '70.631', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886984408', 0, '2022-10-16 10:23:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61212, '123456789', 18, '113.147935', '27.7890375', '67.79', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886986532', 0, '2022-10-16 10:23:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61213, '123456789', 18, '113.1479343', '27.7890376', '65.507', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886988186', 0, '2022-10-16 10:23:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61214, '123456789', 18, '113.1479356', '27.7890369', '62.313', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886990309', 0, '2022-10-16 10:23:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61215, '123456789', 18, '113.1479321', '27.7890384', '58.656', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886992477', 0, '2022-10-16 10:23:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61216, '123456789', 18, '113.1479348', '27.7890375', '56.367', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886994038', 0, '2022-10-16 10:23:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61217, '123456789', 18, '113.1479341', '27.7890373', '53.438', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886996139', 0, '2022-10-16 10:23:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61218, '123456789', 18, '113.1479367', '27.7890375', '50.519', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665886998324', 0, '2022-10-16 10:23:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61219, '123456789', 18, '113.1479355', '27.7890376', '47.295', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887000002', 0, '2022-10-16 10:23:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61220, '123456789', 18, '113.1479348', '27.7890372', '44.336', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887002205', 0, '2022-10-16 10:23:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61221, '123456789', 18, '113.1479342', '27.7890372', '41.501', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887004346', 0, '2022-10-16 10:23:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61222, '123456789', 18, '113.1479348', '27.789037', '37.67', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887006484', 0, '2022-10-16 10:23:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61223, '123456789', 18, '113.1479348', '27.7890375', '35.471', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887008092', 0, '2022-10-16 10:23:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61224, '123456789', 18, '113.1479348', '27.7890375', '32.491', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887010153', 0, '2022-10-16 10:23:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61225, '123456789', 18, '113.1479322', '27.7890378', '29.405', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887012290', 0, '2022-10-16 10:23:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61226, '123456789', 18, '113.1479361', '27.7890375', '25.634', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887014472', 0, '2022-10-16 10:23:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61227, '123456789', 18, '113.1479358', '27.7890376', '23.394', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887016107', 0, '2022-10-16 10:23:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61228, '123456789', 18, '113.1479352', '27.789038', '20.455', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887018208', 0, '2022-10-16 10:23:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61229, '123456789', 18, '113.1479308', '27.7890385', '17.392', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887020289', 0, '2022-10-16 10:23:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61230, '123456789', 18, '113.1479371', '27.7890376', '14.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887022352', 0, '2022-10-16 10:23:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61231, '123456789', 18, '113.1479352', '27.789038', '14.539', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887024473', 0, '2022-10-16 10:23:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61232, '123456789', 18, '113.1479317', '27.7890381', '13.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887026072', 0, '2022-10-16 10:23:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61233, '123456789', 18, '113.1479348', '27.789038', '13.351', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887028216', 0, '2022-10-16 10:23:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61234, '123456789', 18, '113.147935', '27.7890378', '12.72', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887030433', 0, '2022-10-16 10:23:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61235, '123456789', 18, '113.147935', '27.7890383', '12.13', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887032510', 0, '2022-10-16 10:23:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61236, '123456789', 18, '113.1479341', '27.7890377', '11.674', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887034074', 0, '2022-10-16 10:23:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61237, '123456789', 18, '113.1479342', '27.789038', '11.097', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887036237', 0, '2022-10-16 10:23:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61238, '123456789', 18, '113.1479358', '27.7890383', '10.392', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887038428', 0, '2022-10-16 10:23:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61239, '123456789', 18, '113.147936', '27.7890374', '9.63', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887040472', 0, '2022-10-16 10:24:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61240, '123456789', 18, '113.1479353', '27.7890358', '9.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887042069', 0, '2022-10-16 10:24:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61241, '123456789', 18, '113.147935', '27.7890378', '8.596', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887044185', 0, '2022-10-16 10:24:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61242, '123456789', 18, '113.1479328', '27.7890425', '8.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887046272', 0, '2022-10-16 10:24:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61243, '123456789', 18, '113.1479351', '27.7890382', '7.392', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887048335', 0, '2022-10-16 10:24:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61244, '123456789', 18, '113.1479357', '27.7890373', '6.756', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887050548', 0, '2022-10-16 10:24:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61245, '123456789', 18, '113.147934', '27.7890401', '6.375', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887052110', 0, '2022-10-16 10:24:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61246, '123456789', 18, '113.1479351', '27.78904', '5.759', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887054215', 0, '2022-10-16 10:24:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61247, '123456789', 18, '113.147936', '27.7890385', '4.882', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887056332', 0, '2022-10-16 10:24:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61248, '123456789', 18, '113.1479354', '27.7890389', '4.23', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887058530', 0, '2022-10-16 10:24:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61249, '123456789', 18, '113.1479363', '27.7890373', '3.797', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887060105', 0, '2022-10-16 10:24:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61250, '123456789', 18, '113.1479333', '27.7890378', '3.266', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887062139', 0, '2022-10-16 10:24:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61251, '123456789', 18, '113.1479334', '27.7890385', '2.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887064210', 0, '2022-10-16 10:24:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (61252, '123456789', 18, '113.1479331', '27.7890388', '2.648', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1665887066315', 0, '2022-10-16 10:24:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66540, '123456789', 21, '113.1479546', '27.7890994', '0.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231653167', 0, '2022-10-20 10:07:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66541, '123456789', 21, '113.1479546', '27.7890995', '0.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231655348', 0, '2022-10-20 10:07:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66542, '123456789', 21, '113.1479527', '27.7891022', '1.261', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231657526', 0, '2022-10-20 10:07:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66543, '123456789', 21, '113.1479549', '27.7891006', '5.741', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231659185', 0, '2022-10-20 10:07:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66544, '123456789', 21, '113.1479539', '27.7890989', '11.711', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231661380', 0, '2022-10-20 10:07:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66545, '123456789', 21, '113.1479545', '27.789099', '15.431', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231663037', 0, '2022-10-20 10:07:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66546, '123456789', 21, '113.1479543', '27.7890992', '20.441', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231665245', 0, '2022-10-20 10:07:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66547, '123456789', 21, '113.1479542', '27.7890989', '26.681', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231667465', 0, '2022-10-20 10:07:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66548, '123456789', 21, '113.1479543', '27.7890992', '30.417', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231669091', 0, '2022-10-20 10:07:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66549, '123456789', 21, '113.1479541', '27.7890992', '36.65', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231671310', 0, '2022-10-20 10:07:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66550, '123456789', 21, '113.147954', '27.7890991', '41.796', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231673537', 0, '2022-10-20 10:07:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66551, '123456789', 21, '113.1479543', '27.7890995', '45.243', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231675203', 0, '2022-10-20 10:07:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66552, '123456789', 21, '113.1479546', '27.7890994', '51.67', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231677415', 0, '2022-10-20 10:07:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66553, '123456789', 21, '113.1479543', '27.7890992', '55.509', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231679076', 0, '2022-10-20 10:07:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66554, '123456789', 21, '113.1479543', '27.7890993', '60.438', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231681244', 0, '2022-10-20 10:08:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66555, '123456789', 21, '113.1479542', '27.7890996', '66.627', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231683465', 0, '2022-10-20 10:08:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66556, '123456789', 21, '113.1479542', '27.7890994', '70.406', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231685076', 0, '2022-10-20 10:08:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66557, '123456789', 21, '113.1479547', '27.7890995', '75.48', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231687301', 0, '2022-10-20 10:08:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66558, '123456789', 21, '113.1479541', '27.7890994', '81.704', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231689528', 0, '2022-10-20 10:08:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66559, '123456789', 21, '113.1479542', '27.7890992', '85.452', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231691183', 0, '2022-10-20 10:08:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66560, '123456789', 21, '113.1479544', '27.7890993', '91.714', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231693396', 0, '2022-10-20 10:08:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66561, '123456789', 21, '113.1479549', '27.7890992', '95.338', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231695066', 0, '2022-10-20 10:08:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66562, '123456789', 21, '113.1479548', '27.7890994', '100.511', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231697242', 0, '2022-10-20 10:08:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66563, '123456789', 21, '113.1479547', '27.7890998', '106.545', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231699466', 0, '2022-10-20 10:08:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66564, '123456789', 21, '113.1479545', '27.7890995', '110.527', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231701136', 0, '2022-10-20 10:08:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66565, '123456789', 21, '113.1479544', '27.7890996', '116.702', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231703358', 0, '2022-10-20 10:08:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66566, '123456789', 21, '113.1479546', '27.7890995', '120.49', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231705031', 0, '2022-10-20 10:08:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66567, '123456789', 21, '113.1479547', '27.7890992', '125.424', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231707244', 0, '2022-10-20 10:08:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66568, '123456789', 21, '113.1479551', '27.7890992', '131.627', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231709462', 0, '2022-10-20 10:08:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66569, '123456789', 21, '113.1479541', '27.7890994', '135.409', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231711120', 0, '2022-10-20 10:08:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66570, '123456789', 21, '113.1479545', '27.7890994', '141.744', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231713345', 0, '2022-10-20 10:08:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66571, '123456789', 21, '113.1479547', '27.7890995', '145.415', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231715018', 0, '2022-10-20 10:08:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66572, '123456789', 21, '113.1479548', '27.7890996', '148.838', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231717241', 0, '2022-10-20 10:08:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66573, '123456789', 21, '113.1479544', '27.7891', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231719470', 0, '2022-10-20 10:08:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66574, '123456789', 21, '113.1479492', '27.7891143', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231721084', 0, '2022-10-20 10:08:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66575, '123456789', 21, '113.147912', '27.7891863', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231723297', 0, '2022-10-20 10:08:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66576, '123456789', 21, '113.1478199', '27.7893692', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231725519', 0, '2022-10-20 10:08:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66577, '123456789', 21, '113.147759', '27.7894909', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231727182', 0, '2022-10-20 10:08:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66578, '123456789', 21, '113.1476566', '27.7896946', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231729394', 0, '2022-10-20 10:08:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66579, '123456789', 21, '113.1475951', '27.789817', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231731056', 0, '2022-10-20 10:08:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66580, '123456789', 21, '113.1475134', '27.789981', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231733270', 0, '2022-10-20 10:08:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66581, '123456789', 21, '113.1474116', '27.7901858', '149.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231735484', 0, '2022-10-20 10:08:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66582, '123456789', 21, '113.1473499', '27.7903092', '149.896', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231737148', 0, '2022-10-20 10:08:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66583, '123456789', 21, '113.1472468', '27.7905141', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231739359', 0, '2022-10-20 10:08:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66584, '123456789', 21, '113.1471849', '27.7906374', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231741016', 0, '2022-10-20 10:09:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66585, '123456789', 21, '113.1471023', '27.7908016', '149.781', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231743235', 0, '2022-10-20 10:09:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66586, '123456789', 21, '113.1469999', '27.7910075', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231745451', 0, '2022-10-20 10:09:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66587, '123456789', 21, '113.146939', '27.7911302', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231747121', 0, '2022-10-20 10:09:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66588, '123456789', 21, '113.146836', '27.7913363', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231749338', 0, '2022-10-20 10:09:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66589, '123456789', 21, '113.1467744', '27.7914592', '149.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231751018', 0, '2022-10-20 10:09:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66590, '123456789', 21, '113.146692', '27.7916229', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231753209', 0, '2022-10-20 10:09:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66591, '123456789', 21, '113.1465896', '27.7918284', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231755425', 0, '2022-10-20 10:09:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66592, '123456789', 21, '113.1465279', '27.7919513', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231757088', 0, '2022-10-20 10:09:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66593, '123456789', 21, '113.1464249', '27.7921569', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231759303', 0, '2022-10-20 10:09:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66594, '123456789', 21, '113.1463438', '27.7923209', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231761520', 0, '2022-10-20 10:09:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66595, '123456789', 21, '113.1462815', '27.7924444', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231763178', 0, '2022-10-20 10:09:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66596, '123456789', 21, '113.1461785', '27.7926495', '149.811', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231765393', 0, '2022-10-20 10:09:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66597, '123456789', 21, '113.1461173', '27.7927728', '149.789', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231767050', 0, '2022-10-20 10:09:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66598, '123456789', 21, '113.1460351', '27.7929375', '150.169', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231769264', 0, '2022-10-20 10:09:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66599, '123456789', 21, '113.1459322', '27.7931423', '150.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231771484', 0, '2022-10-20 10:09:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66600, '123456789', 21, '113.1458706', '27.7932653', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231773149', 0, '2022-10-20 10:09:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66601, '123456789', 21, '113.145768', '27.793472', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231775363', 0, '2022-10-20 10:09:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66602, '123456789', 21, '113.1457062', '27.7935933', '150.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231777028', 0, '2022-10-20 10:09:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66603, '123456789', 21, '113.1456244', '27.7937578', '149.846', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231779235', 0, '2022-10-20 10:09:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66604, '123456789', 21, '113.145522', '27.7939643', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231781440', 0, '2022-10-20 10:09:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66605, '123456789', 21, '113.1454606', '27.7940871', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231783098', 0, '2022-10-20 10:09:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66606, '123456789', 21, '113.1453779', '27.7942511', '149.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231785304', 0, '2022-10-20 10:09:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66607, '123456789', 21, '113.1452757', '27.7944566', '150.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231787506', 0, '2022-10-20 10:09:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66608, '123456789', 21, '113.1452133', '27.7945792', '149.816', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231789163', 0, '2022-10-20 10:09:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66609, '123456789', 21, '113.1451105', '27.7947854', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231791373', 0, '2022-10-20 10:09:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66610, '123456789', 21, '113.1450485', '27.7949089', '150.142', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231793024', 0, '2022-10-20 10:09:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66611, '123456789', 21, '113.144966', '27.7950733', '149.772', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231795233', 0, '2022-10-20 10:09:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66612, '123456789', 21, '113.1448638', '27.795279', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231797437', 0, '2022-10-20 10:09:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66613, '123456789', 21, '113.1448018', '27.7954023', '149.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231799098', 0, '2022-10-20 10:09:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66614, '123456789', 21, '113.1447193', '27.795567', '149.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231801315', 0, '2022-10-20 10:10:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66615, '123456789', 21, '113.1446169', '27.7957726', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231803530', 0, '2022-10-20 10:10:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66616, '123456789', 21, '113.1445556', '27.7958963', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231805192', 0, '2022-10-20 10:10:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66617, '123456789', 21, '113.1444523', '27.7961004', '149.927', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231807403', 0, '2022-10-20 10:10:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66618, '123456789', 21, '113.1443906', '27.7962243', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231809074', 0, '2022-10-20 10:10:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66619, '123456789', 21, '113.1442875', '27.7964307', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231811303', 0, '2022-10-20 10:10:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66620, '123456789', 21, '113.1442052', '27.7965946', '149.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231813510', 0, '2022-10-20 10:10:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66621, '123456789', 21, '113.1441437', '27.7967175', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231815179', 0, '2022-10-20 10:10:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66622, '123456789', 21, '113.1440412', '27.7969235', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231817390', 0, '2022-10-20 10:10:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66623, '123456789', 21, '113.1439789', '27.7970473', '150.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231819052', 0, '2022-10-20 10:10:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66624, '123456789', 21, '113.1438962', '27.7972108', '149.936', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231821269', 0, '2022-10-20 10:10:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66625, '123456789', 21, '113.1437949', '27.7974171', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231823479', 0, '2022-10-20 10:10:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66626, '123456789', 21, '113.1437334', '27.7975403', '150.09', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231825149', 0, '2022-10-20 10:10:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66627, '123456789', 21, '113.1436303', '27.7977455', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231827362', 0, '2022-10-20 10:10:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66628, '123456789', 21, '113.1435686', '27.7978692', '150.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231829021', 0, '2022-10-20 10:10:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66629, '123456789', 21, '113.1434856', '27.7980336', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231831257', 0, '2022-10-20 10:10:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66630, '123456789', 21, '113.1433826', '27.7982383', '149.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231833448', 0, '2022-10-20 10:10:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66631, '123456789', 21, '113.143321', '27.798362', '149.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231835103', 0, '2022-10-20 10:10:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66632, '123456789', 21, '113.1432389', '27.7985277', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231837336', 0, '2022-10-20 10:10:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66633, '123456789', 21, '113.1431355', '27.7987336', '149.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231839546', 0, '2022-10-20 10:10:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66634, '123456789', 21, '113.1430738', '27.7988548', '149.768', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231841194', 0, '2022-10-20 10:10:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66635, '123456789', 21, '113.1429722', '27.7990619', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231843415', 0, '2022-10-20 10:10:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66636, '123456789', 21, '113.1429096', '27.799186', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231845089', 0, '2022-10-20 10:10:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66637, '123456789', 21, '113.1428264', '27.7993492', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231847308', 0, '2022-10-20 10:10:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66638, '123456789', 21, '113.1427252', '27.7995548', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231849534', 0, '2022-10-20 10:10:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66639, '123456789', 21, '113.1426632', '27.7996789', '150.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231851190', 0, '2022-10-20 10:10:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66640, '123456789', 21, '113.1425594', '27.7998842', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231853410', 0, '2022-10-20 10:10:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66641, '123456789', 21, '113.1424977', '27.8000066', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231855078', 0, '2022-10-20 10:10:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66642, '123456789', 21, '113.1424161', '27.8001716', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231857296', 0, '2022-10-20 10:10:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66643, '123456789', 21, '113.1423131', '27.800378', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231859515', 0, '2022-10-20 10:11:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66644, '123456789', 21, '113.1422512', '27.8005007', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231861171', 0, '2022-10-20 10:11:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66645, '123456789', 21, '113.142149', '27.8007059', '150.106', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231863391', 0, '2022-10-20 10:11:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66646, '123456789', 21, '113.1420872', '27.8008296', '149.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231865056', 0, '2022-10-20 10:11:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66647, '123456789', 21, '113.1420048', '27.8009939', '150.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231867306', 0, '2022-10-20 10:11:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66648, '123456789', 21, '113.141902', '27.8011996', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231869438', 0, '2022-10-20 10:11:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66649, '123456789', 21, '113.1418408', '27.8013222', '150.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231871104', 0, '2022-10-20 10:11:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66650, '123456789', 21, '113.1417676', '27.8014567', '149.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231873321', 0, '2022-10-20 10:11:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66651, '123456789', 21, '113.1417792', '27.8015757', '149.587', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231875510', 0, '2022-10-20 10:11:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66652, '123456789', 21, '113.1418377', '27.8016914', '149.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231877142', 0, '2022-10-20 10:11:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66653, '123456789', 21, '113.1418952', '27.801871', '149.797', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231879354', 0, '2022-10-20 10:11:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66654, '123456789', 21, '113.1419588', '27.8020321', '149.745', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231881022', 0, '2022-10-20 10:11:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66655, '123456789', 21, '113.1420342', '27.8021981', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231883235', 0, '2022-10-20 10:11:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66656, '123456789', 21, '113.1421251', '27.8024079', '149.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231885451', 0, '2022-10-20 10:11:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66657, '123456789', 21, '113.1421791', '27.8025336', '149.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231887106', 0, '2022-10-20 10:11:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66658, '123456789', 21, '113.1422516', '27.8027008', '150.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231889316', 0, '2022-10-20 10:11:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66659, '123456789', 21, '113.1423414', '27.8029111', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231891528', 0, '2022-10-20 10:11:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66660, '123456789', 21, '113.1423957', '27.8030366', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231893189', 0, '2022-10-20 10:11:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66661, '123456789', 21, '113.1424822', '27.8032393', '150.2', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231895403', 0, '2022-10-20 10:11:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66662, '123456789', 21, '113.1425168', '27.8033246', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231897074', 0, '2022-10-20 10:11:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66663, '123456789', 21, '113.1425483', '27.8033493', '149.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231899298', 0, '2022-10-20 10:11:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66664, '123456789', 21, '113.1426014', '27.8032189', '150.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231901517', 0, '2022-10-20 10:11:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66665, '123456789', 21, '113.1426614', '27.8030992', '150.084', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231903184', 0, '2022-10-20 10:11:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66666, '123456789', 21, '113.1427575', '27.8028885', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231905397', 0, '2022-10-20 10:11:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66667, '123456789', 21, '113.1428141', '27.8027641', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231907062', 0, '2022-10-20 10:11:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66668, '123456789', 21, '113.1428911', '27.8025989', '149.86', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231909272', 0, '2022-10-20 10:11:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66669, '123456789', 21, '113.1429876', '27.8023915', '149.894', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231911487', 0, '2022-10-20 10:11:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66670, '123456789', 21, '113.1430452', '27.8022668', '150.084', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231913147', 0, '2022-10-20 10:11:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66671, '123456789', 21, '113.1431399', '27.8020589', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231915353', 0, '2022-10-20 10:11:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66672, '123456789', 21, '113.1431968', '27.8019342', '150.068', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231917018', 0, '2022-10-20 10:11:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66673, '123456789', 21, '113.1432732', '27.8017669', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231919220', 0, '2022-10-20 10:11:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66674, '123456789', 21, '113.1433565', '27.8015713', '149.695', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231921434', 0, '2022-10-20 10:12:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66675, '123456789', 21, '113.1433785', '27.8014673', '149.744', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231923092', 0, '2022-10-20 10:12:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66676, '123456789', 21, '113.1433716', '27.8013188', '150.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231925304', 0, '2022-10-20 10:12:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66677, '123456789', 21, '113.1433373', '27.8011031', '150.161', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231927512', 0, '2022-10-20 10:12:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66678, '123456789', 21, '113.1433131', '27.8009704', '150.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231929160', 0, '2022-10-20 10:12:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66679, '123456789', 21, '113.1432765', '27.8007476', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231931384', 0, '2022-10-20 10:12:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66680, '123456789', 21, '113.143257', '27.8006217', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231933049', 0, '2022-10-20 10:12:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66681, '123456789', 21, '113.1432603', '27.8004779', '149.83', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231935274', 0, '2022-10-20 10:12:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66682, '123456789', 21, '113.1433316', '27.8002894', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231937483', 0, '2022-10-20 10:12:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66683, '123456789', 21, '113.143385', '27.8001611', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231939148', 0, '2022-10-20 10:12:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66684, '123456789', 21, '113.1434532', '27.7999919', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231941369', 0, '2022-10-20 10:12:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66685, '123456789', 21, '113.1435235', '27.7998245', '149.827', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231943024', 0, '2022-10-20 10:12:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66686, '123456789', 21, '113.1435947', '27.7996571', '149.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231945245', 0, '2022-10-20 10:12:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66687, '123456789', 21, '113.1436831', '27.7994465', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231947455', 0, '2022-10-20 10:12:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66688, '123456789', 21, '113.1437365', '27.7993205', '149.882', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231949119', 0, '2022-10-20 10:12:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66689, '123456789', 21, '113.143808', '27.7991518', '149.745', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231951334', 0, '2022-10-20 10:12:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66690, '123456789', 21, '113.1438973', '27.7989417', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231953550', 0, '2022-10-20 10:12:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66691, '123456789', 21, '113.1439509', '27.7988153', '150.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231955213', 0, '2022-10-20 10:12:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66692, '123456789', 21, '113.1440391', '27.798605', '149.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231957437', 0, '2022-10-20 10:12:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66693, '123456789', 21, '113.144092', '27.7984794', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231959098', 0, '2022-10-20 10:12:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66694, '123456789', 21, '113.1441806', '27.7982681', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231961312', 0, '2022-10-20 10:12:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66695, '123456789', 21, '113.1442508', '27.7980993', '149.655', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231963534', 0, '2022-10-20 10:12:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66696, '123456789', 21, '113.1443014', '27.797972', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231965196', 0, '2022-10-20 10:12:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66697, '123456789', 21, '113.1443851', '27.7977601', '149.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231967412', 0, '2022-10-20 10:12:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66698, '123456789', 21, '113.1444359', '27.7976327', '149.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231969068', 0, '2022-10-20 10:12:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66699, '123456789', 21, '113.1445003', '27.7974633', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231971293', 0, '2022-10-20 10:12:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66700, '123456789', 21, '113.1445835', '27.7972507', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231973517', 0, '2022-10-20 10:12:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66701, '123456789', 21, '113.1446321', '27.7971237', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231975175', 0, '2022-10-20 10:12:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66702, '123456789', 21, '113.1447156', '27.7969106', '149.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231977389', 0, '2022-10-20 10:12:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66703, '123456789', 21, '113.1447647', '27.796783', '149.855', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231979050', 0, '2022-10-20 10:12:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66704, '123456789', 21, '113.1448305', '27.7966139', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231981268', 0, '2022-10-20 10:13:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66705, '123456789', 21, '113.1449139', '27.7964016', '149.855', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231983481', 0, '2022-10-20 10:13:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66706, '123456789', 21, '113.1449642', '27.7962737', '150.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231985136', 0, '2022-10-20 10:13:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66707, '123456789', 21, '113.145046', '27.7960607', '149.886', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231987347', 0, '2022-10-20 10:13:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66708, '123456789', 21, '113.1450956', '27.7959336', '149.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231989017', 0, '2022-10-20 10:13:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66709, '123456789', 21, '113.1451618', '27.7957639', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231991226', 0, '2022-10-20 10:13:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66710, '123456789', 21, '113.1452442', '27.7955516', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231993436', 0, '2022-10-20 10:13:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66711, '123456789', 21, '113.145294', '27.7954245', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231995095', 0, '2022-10-20 10:13:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66712, '123456789', 21, '113.145359', '27.795254', '150.112', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231997304', 0, '2022-10-20 10:13:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66713, '123456789', 21, '113.1454387', '27.7950403', '149.848', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666231999524', 0, '2022-10-20 10:13:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66714, '123456789', 21, '113.1454858', '27.7949119', '149.798', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232001179', 0, '2022-10-20 10:13:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66715, '123456789', 21, '113.1455634', '27.7946992', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232003396', 0, '2022-10-20 10:13:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66716, '123456789', 21, '113.1456111', '27.7945714', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232005060', 0, '2022-10-20 10:13:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66717, '123456789', 21, '113.1456901', '27.7943572', '149.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232007272', 0, '2022-10-20 10:13:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66718, '123456789', 21, '113.1457533', '27.7941864', '149.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232009477', 0, '2022-10-20 10:13:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66719, '123456789', 21, '113.1458002', '27.7940585', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232011148', 0, '2022-10-20 10:13:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66720, '123456789', 21, '113.1458792', '27.793845', '149.824', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232013360', 0, '2022-10-20 10:13:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66721, '123456789', 21, '113.1459273', '27.7937169', '149.872', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232015025', 0, '2022-10-20 10:13:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66722, '123456789', 21, '113.1459901', '27.7935459', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232017237', 0, '2022-10-20 10:13:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66723, '123456789', 21, '113.1460682', '27.7933324', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232019453', 0, '2022-10-20 10:13:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66724, '123456789', 21, '113.1461162', '27.7932046', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232021118', 0, '2022-10-20 10:13:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66725, '123456789', 21, '113.1461954', '27.7929913', '149.864', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232023326', 0, '2022-10-20 10:13:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66726, '123456789', 21, '113.1462652', '27.7928223', '150.085', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232025545', 0, '2022-10-20 10:13:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66727, '123456789', 21, '113.1463255', '27.7926985', '150.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232027218', 0, '2022-10-20 10:13:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66728, '123456789', 21, '113.1464342', '27.7924952', '149.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232029433', 0, '2022-10-20 10:13:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66729, '123456789', 21, '113.1465003', '27.7923737', '149.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232031102', 0, '2022-10-20 10:13:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66730, '123456789', 21, '113.1466104', '27.7921715', '149.834', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232033316', 0, '2022-10-20 10:13:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66731, '123456789', 21, '113.146698', '27.7920098', '149.869', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232035527', 0, '2022-10-20 10:13:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66732, '123456789', 21, '113.1467645', '27.7918883', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232037189', 0, '2022-10-20 10:13:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66733, '123456789', 21, '113.1468745', '27.7916858', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232039390', 0, '2022-10-20 10:13:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66734, '123456789', 21, '113.14694', '27.7915649', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232041054', 0, '2022-10-20 10:14:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66735, '123456789', 21, '113.1470291', '27.7914026', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232043271', 0, '2022-10-20 10:14:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66736, '123456789', 21, '113.147139', '27.7912004', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232045481', 0, '2022-10-20 10:14:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66737, '123456789', 21, '113.147205', '27.7910793', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232047145', 0, '2022-10-20 10:14:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66738, '123456789', 21, '113.147315', '27.7908771', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232049360', 0, '2022-10-20 10:14:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66739, '123456789', 21, '113.147375', '27.7907676', '149.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232051013', 0, '2022-10-20 10:14:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66740, '123456789', 21, '113.1474622', '27.7906626', '149.795', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232053222', 0, '2022-10-20 10:14:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66741, '123456789', 21, '113.1476384', '27.7905668', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232055450', 0, '2022-10-20 10:14:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66742, '123456789', 21, '113.1477698', '27.7905018', '150.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232057105', 0, '2022-10-20 10:14:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66743, '123456789', 21, '113.1479916', '27.7903914', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232059320', 0, '2022-10-20 10:14:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66744, '123456789', 21, '113.1481711', '27.7903074', '150.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232061531', 0, '2022-10-20 10:14:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66745, '123456789', 21, '113.1483108', '27.7902566', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232063182', 0, '2022-10-20 10:14:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66746, '123456789', 21, '113.1485556', '27.7901944', '150.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232065392', 0, '2022-10-20 10:14:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66747, '123456789', 21, '113.1487046', '27.7901627', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232067052', 0, '2022-10-20 10:14:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66748, '123456789', 21, '113.1489014', '27.7901185', '149.885', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232069272', 0, '2022-10-20 10:14:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66749, '123456789', 21, '113.1491339', '27.7900728', '149.859', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232071497', 0, '2022-10-20 10:14:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66750, '123456789', 21, '113.1492624', '27.7900668', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232073152', 0, '2022-10-20 10:14:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66751, '123456789', 21, '113.1494409', '27.7900912', '149.827', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232075314', 0, '2022-10-20 10:14:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66752, '123456789', 21, '113.149686', '27.7901401', '150.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232077530', 0, '2022-10-20 10:14:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66753, '123456789', 21, '113.1498345', '27.7901695', '150.18', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232079196', 0, '2022-10-20 10:14:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66754, '123456789', 21, '113.1500803', '27.7902257', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232081429', 0, '2022-10-20 10:14:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66755, '123456789', 21, '113.1502232', '27.7902729', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232083103', 0, '2022-10-20 10:14:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66756, '123456789', 21, '113.1504088', '27.7903473', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232085331', 0, '2022-10-20 10:14:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66757, '123456789', 21, '113.1506382', '27.7904434', '149.894', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232087549', 0, '2022-10-20 10:14:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66758, '123456789', 21, '113.1507764', '27.7905008', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232089225', 0, '2022-10-20 10:14:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66759, '123456789', 21, '113.151005', '27.7905974', '150.058', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232091440', 0, '2022-10-20 10:14:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66760, '123456789', 21, '113.1511428', '27.7906546', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232093117', 0, '2022-10-20 10:14:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66761, '123456789', 21, '113.1513719', '27.7907518', '149.885', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232095332', 0, '2022-10-20 10:14:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66762, '123456789', 21, '113.1515097', '27.7908094', '149.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232097000', 0, '2022-10-20 10:14:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66763, '123456789', 21, '113.151694', '27.7908864', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232099231', 0, '2022-10-20 10:14:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66764, '123456789', 21, '113.151923', '27.7909827', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232101438', 0, '2022-10-20 10:15:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66765, '123456789', 21, '113.1520602', '27.7910407', '149.84', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232103102', 0, '2022-10-20 10:15:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66766, '123456789', 21, '113.1522435', '27.7911177', '149.847', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232105326', 0, '2022-10-20 10:15:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66767, '123456789', 21, '113.152473', '27.7912149', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232107544', 0, '2022-10-20 10:15:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66768, '123456789', 21, '113.1526104', '27.7912726', '150.185', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232109213', 0, '2022-10-20 10:15:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66769, '123456789', 21, '113.1528374', '27.7913734', '149.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232111420', 0, '2022-10-20 10:15:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66770, '123456789', 21, '113.1529702', '27.7914393', '149.871', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232113089', 0, '2022-10-20 10:15:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66771, '123456789', 21, '113.1531438', '27.7915327', '150.219', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232115305', 0, '2022-10-20 10:15:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66772, '123456789', 21, '113.1533599', '27.7916508', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232117514', 0, '2022-10-20 10:15:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66773, '123456789', 21, '113.1534902', '27.7917211', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232119185', 0, '2022-10-20 10:15:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66774, '123456789', 21, '113.1537053', '27.7918391', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232121406', 0, '2022-10-20 10:15:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66775, '123456789', 21, '113.1538332', '27.7919112', '149.781', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232123072', 0, '2022-10-20 10:15:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66776, '123456789', 21, '113.1539986', '27.7920162', '149.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232125297', 0, '2022-10-20 10:15:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66777, '123456789', 21, '113.1541891', '27.7921658', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232127510', 0, '2022-10-20 10:15:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66778, '123456789', 21, '113.1543002', '27.7922581', '150.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232129178', 0, '2022-10-20 10:15:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66779, '123456789', 21, '113.1544845', '27.7924123', '149.799', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232131400', 0, '2022-10-20 10:15:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66780, '123456789', 21, '113.1545961', '27.7925044', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232133061', 0, '2022-10-20 10:15:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66781, '123456789', 21, '113.154736', '27.7926214', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232135294', 0, '2022-10-20 10:15:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66782, '123456789', 21, '113.1548604', '27.7927799', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232137510', 0, '2022-10-20 10:15:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66783, '123456789', 21, '113.1549136', '27.792894', '150.216', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232139175', 0, '2022-10-20 10:15:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66784, '123456789', 21, '113.1550014', '27.7931023', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232141389', 0, '2022-10-20 10:15:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66785, '123456789', 21, '113.1550551', '27.7932281', '150.085', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232143045', 0, '2022-10-20 10:15:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66786, '123456789', 21, '113.1551276', '27.7933967', '150.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232145265', 0, '2022-10-20 10:15:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66787, '123456789', 21, '113.1552167', '27.7936067', '149.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232147474', 0, '2022-10-20 10:15:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66788, '123456789', 21, '113.1552705', '27.7937323', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232149140', 0, '2022-10-20 10:15:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66789, '123456789', 21, '113.1553607', '27.793942', '150.085', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232151364', 0, '2022-10-20 10:15:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66790, '123456789', 21, '113.155412', '27.7940653', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232153024', 0, '2022-10-20 10:15:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66791, '123456789', 21, '113.155456', '27.7942219', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232155240', 0, '2022-10-20 10:15:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66792, '123456789', 21, '113.1554569', '27.7944274', '150.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232157442', 0, '2022-10-20 10:15:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66793, '123456789', 21, '113.1554465', '27.794561', '149.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232159106', 0, '2022-10-20 10:15:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66794, '123456789', 21, '113.1554281', '27.7947837', '150.175', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232161323', 0, '2022-10-20 10:16:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66795, '123456789', 21, '113.1554151', '27.7949628', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232163540', 0, '2022-10-20 10:16:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66796, '123456789', 21, '113.1554042', '27.7950973', '150.126', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232165192', 0, '2022-10-20 10:16:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66797, '123456789', 21, '113.155386', '27.7953218', '149.786', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232167420', 0, '2022-10-20 10:16:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66798, '123456789', 21, '113.1553759', '27.7954563', '150.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232169081', 0, '2022-10-20 10:16:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66799, '123456789', 21, '113.1553633', '27.7956276', '150.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232171298', 0, '2022-10-20 10:16:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66800, '123456789', 21, '113.155386', '27.7958089', '150.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232173509', 0, '2022-10-20 10:16:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66801, '123456789', 21, '113.1554346', '27.7959161', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232175178', 0, '2022-10-20 10:16:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66802, '123456789', 21, '113.1555387', '27.7961153', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232177390', 0, '2022-10-20 10:16:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66803, '123456789', 21, '113.1556029', '27.7962382', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232179055', 0, '2022-10-20 10:16:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66804, '123456789', 21, '113.1556893', '27.7964015', '149.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232181289', 0, '2022-10-20 10:16:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66805, '123456789', 21, '113.155796', '27.796606', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232183512', 0, '2022-10-20 10:16:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66806, '123456789', 21, '113.1558593', '27.7967284', '150.117', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232185168', 0, '2022-10-20 10:16:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66807, '123456789', 21, '113.1559658', '27.7969319', '149.842', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232187378', 0, '2022-10-20 10:16:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66808, '123456789', 21, '113.1560306', '27.7970542', '150.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232189039', 0, '2022-10-20 10:16:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66809, '123456789', 21, '113.1561176', '27.7972162', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232191254', 0, '2022-10-20 10:16:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66810, '123456789', 21, '113.1562479', '27.7974094', '149.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232193459', 0, '2022-10-20 10:16:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66811, '123456789', 21, '113.1563412', '27.797516', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232195118', 0, '2022-10-20 10:16:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66812, '123456789', 21, '113.1565046', '27.7976885', '150.158', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232197337', 0, '2022-10-20 10:16:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66813, '123456789', 21, '113.156635', '27.7978263', '149.877', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232199552', 0, '2022-10-20 10:16:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66814, '123456789', 21, '113.1567328', '27.7979297', '149.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232201229', 0, '2022-10-20 10:16:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66815, '123456789', 21, '113.1568952', '27.7981023', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232203435', 0, '2022-10-20 10:16:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66816, '123456789', 21, '113.1569928', '27.7982051', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232205101', 0, '2022-10-20 10:16:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66817, '123456789', 21, '113.1571235', '27.798343', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232207306', 0, '2022-10-20 10:16:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66818, '123456789', 21, '113.1572862', '27.7985153', '150.176', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232209521', 0, '2022-10-20 10:16:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66819, '123456789', 21, '113.1573765', '27.7986092', '150.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232211182', 0, '2022-10-20 10:16:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66820, '123456789', 21, '113.1574947', '27.7986974', '149.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232213397', 0, '2022-10-20 10:16:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66821, '123456789', 21, '113.157587', '27.7986998', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232215067', 0, '2022-10-20 10:16:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66822, '123456789', 21, '113.1577669', '27.7986905', '150.16', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232217282', 0, '2022-10-20 10:16:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66823, '123456789', 21, '113.1580214', '27.7986802', '150.097', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232219487', 0, '2022-10-20 10:16:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66824, '123456789', 21, '113.1581515', '27.7986736', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232221138', 0, '2022-10-20 10:17:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66825, '123456789', 21, '113.1582644', '27.7986381', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232223356', 0, '2022-10-20 10:17:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66826, '123456789', 21, '113.1582867', '27.7985646', '149.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232225010', 0, '2022-10-20 10:17:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66827, '123456789', 21, '113.1583299', '27.7984108', '150.115', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232227222', 0, '2022-10-20 10:17:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66828, '123456789', 21, '113.1583929', '27.798191', '150.068', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232229438', 0, '2022-10-20 10:17:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66829, '123456789', 21, '113.1584312', '27.7980593', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232231095', 0, '2022-10-20 10:17:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66830, '123456789', 21, '113.1584828', '27.7978849', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232233310', 0, '2022-10-20 10:17:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66831, '123456789', 21, '113.1585362', '27.7977113', '150.16', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232235005', 0, '2022-10-20 10:17:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66832, '123456789', 21, '113.1585923', '27.7975391', '149.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232237206', 0, '2022-10-20 10:17:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66833, '123456789', 21, '113.1586648', '27.7973239', '149.869', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232239415', 0, '2022-10-20 10:17:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66834, '123456789', 21, '113.1587159', '27.7971969', '149.847', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232241073', 0, '2022-10-20 10:17:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66835, '123456789', 21, '113.1588103', '27.7970379', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232243235', 0, '2022-10-20 10:17:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66836, '123456789', 21, '113.1589564', '27.7968525', '150.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232245449', 0, '2022-10-20 10:17:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66837, '123456789', 21, '113.1590455', '27.7967434', '149.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232247105', 0, '2022-10-20 10:17:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66838, '123456789', 21, '113.159164', '27.7965979', '150.112', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232249326', 0, '2022-10-20 10:17:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66839, '123456789', 21, '113.1593121', '27.7964162', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232251536', 0, '2022-10-20 10:17:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66840, '123456789', 21, '113.1594011', '27.7963071', '149.797', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232253198', 0, '2022-10-20 10:17:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66841, '123456789', 21, '113.1595445', '27.7961306', '150.149', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232255418', 0, '2022-10-20 10:17:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66842, '123456789', 21, '113.1596123', '27.7960548', '149.885', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232257079', 0, '2022-10-20 10:17:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66843, '123456789', 21, '113.1597187', '27.7960076', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232259296', 0, '2022-10-20 10:17:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66844, '123456789', 21, '113.1599354', '27.7959835', '150.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232261510', 0, '2022-10-20 10:17:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66845, '123456789', 21, '113.1600863', '27.7959647', '149.855', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232263180', 0, '2022-10-20 10:17:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66846, '123456789', 21, '113.1603383', '27.7959342', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232265392', 0, '2022-10-20 10:17:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66847, '123456789', 21, '113.1604775', '27.795918', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232267069', 0, '2022-10-20 10:17:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66848, '123456789', 21, '113.1606334', '27.7959224', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232269273', 0, '2022-10-20 10:17:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66849, '123456789', 21, '113.1608317', '27.7959903', '150.077', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232271433', 0, '2022-10-20 10:17:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66850, '123456789', 21, '113.1609694', '27.7960457', '150.063', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232273096', 0, '2022-10-20 10:17:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66851, '123456789', 21, '113.1611504', '27.7961173', '149.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232275308', 0, '2022-10-20 10:17:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66852, '123456789', 21, '113.1613006', '27.796168', '149.903', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232277512', 0, '2022-10-20 10:17:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66853, '123456789', 21, '113.1613523', '27.7961389', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232279163', 0, '2022-10-20 10:17:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66854, '123456789', 21, '113.1614624', '27.7960019', '150.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232281369', 0, '2022-10-20 10:18:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66855, '123456789', 21, '113.1615528', '27.7958942', '150.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232283033', 0, '2022-10-20 10:18:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66856, '123456789', 21, '113.161675', '27.7957485', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232285251', 0, '2022-10-20 10:18:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66857, '123456789', 21, '113.1618268', '27.7955685', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232287468', 0, '2022-10-20 10:18:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66858, '123456789', 21, '113.1619176', '27.7954606', '150.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232289119', 0, '2022-10-20 10:18:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66859, '123456789', 21, '113.1620686', '27.7952804', '150.163', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232291349', 0, '2022-10-20 10:18:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66860, '123456789', 21, '113.1621566', '27.795174', '150.054', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232293011', 0, '2022-10-20 10:18:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66861, '123456789', 21, '113.1622514', '27.7950688', '149.817', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232295231', 0, '2022-10-20 10:18:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66862, '123456789', 21, '113.1623967', '27.7950198', '149.906', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232297449', 0, '2022-10-20 10:18:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66863, '123456789', 21, '113.1625296', '27.795005', '150.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232299111', 0, '2022-10-20 10:18:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66864, '123456789', 21, '113.162781', '27.7949765', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232301326', 0, '2022-10-20 10:18:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66865, '123456789', 21, '113.1629831', '27.7949526', '150.054', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232303543', 0, '2022-10-20 10:18:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66866, '123456789', 21, '113.1631332', '27.7949353', '149.7', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232305202', 0, '2022-10-20 10:18:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66867, '123456789', 21, '113.1633849', '27.7949066', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232307424', 0, '2022-10-20 10:18:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66868, '123456789', 21, '113.1635357', '27.7948924', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232309090', 0, '2022-10-20 10:18:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66869, '123456789', 21, '113.1637386', '27.794882', '149.768', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232311307', 0, '2022-10-20 10:18:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66870, '123456789', 21, '113.1639924', '27.7948786', '149.852', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232313523', 0, '2022-10-20 10:18:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66871, '123456789', 21, '113.1641444', '27.7948769', '150.139', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232315184', 0, '2022-10-20 10:18:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66872, '123456789', 21, '113.1643992', '27.794874', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232317398', 0, '2022-10-20 10:18:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66873, '123456789', 21, '113.1645511', '27.794873', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232319067', 0, '2022-10-20 10:18:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66874, '123456789', 21, '113.164754', '27.7948711', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232321298', 0, '2022-10-20 10:18:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66875, '123456789', 21, '113.1650009', '27.794868', '150.055', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232323506', 0, '2022-10-20 10:18:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66876, '123456789', 21, '113.1651162', '27.7948722', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232325112', 0, '2022-10-20 10:18:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66877, '123456789', 21, '113.1652668', '27.794939', '149.876', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232327334', 0, '2022-10-20 10:18:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66878, '123456789', 21, '113.1654081', '27.7950444', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232329542', 0, '2022-10-20 10:18:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66879, '123456789', 21, '113.1655237', '27.7951306', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232331208', 0, '2022-10-20 10:18:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66880, '123456789', 21, '113.1657208', '27.795275', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232333426', 0, '2022-10-20 10:18:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66881, '123456789', 21, '113.1658372', '27.7953615', '149.887', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232335096', 0, '2022-10-20 10:18:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66882, '123456789', 21, '113.1659929', '27.7954766', '150.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232337314', 0, '2022-10-20 10:18:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66883, '123456789', 21, '113.1661864', '27.7956209', '149.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232339525', 0, '2022-10-20 10:19:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66884, '123456789', 21, '113.1663037', '27.7957067', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232341183', 0, '2022-10-20 10:19:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66885, '123456789', 21, '113.1664984', '27.7958528', '150.149', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232343398', 0, '2022-10-20 10:19:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66886, '123456789', 21, '113.1666145', '27.7959387', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232345053', 0, '2022-10-20 10:19:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66887, '123456789', 21, '113.1667697', '27.7960541', '150.053', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232347270', 0, '2022-10-20 10:19:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66888, '123456789', 21, '113.1669639', '27.7961987', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232349489', 0, '2022-10-20 10:19:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66889, '123456789', 21, '113.1670815', '27.7962858', '150.156', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232351147', 0, '2022-10-20 10:19:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66890, '123456789', 21, '113.1672584', '27.7964173', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232353365', 0, '2022-10-20 10:19:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66891, '123456789', 21, '113.1673236', '27.79646', '149.839', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232355028', 0, '2022-10-20 10:19:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66892, '123456789', 21, '113.1673853', '27.7964284', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232357242', 0, '2022-10-20 10:19:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66893, '123456789', 21, '113.1675082', '27.7962881', '150.112', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232359454', 0, '2022-10-20 10:19:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66894, '123456789', 21, '113.1676037', '27.7961822', '150.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232361118', 0, '2022-10-20 10:19:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66895, '123456789', 21, '113.167763', '27.7960054', '150.124', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232363338', 0, '2022-10-20 10:19:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66896, '123456789', 21, '113.1678582', '27.7959008', '149.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232365001', 0, '2022-10-20 10:19:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66897, '123456789', 21, '113.1679848', '27.7957607', '149.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232367222', 0, '2022-10-20 10:19:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66898, '123456789', 21, '113.1681422', '27.7955843', '150.067', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232369435', 0, '2022-10-20 10:19:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66899, '123456789', 21, '113.1682364', '27.7954785', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232371101', 0, '2022-10-20 10:19:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66900, '123456789', 21, '113.168362', '27.7953374', '149.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232373325', 0, '2022-10-20 10:19:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66901, '123456789', 21, '113.1685177', '27.7951602', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232375533', 0, '2022-10-20 10:19:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66902, '123456789', 21, '113.1686068', '27.7950508', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232377189', 0, '2022-10-20 10:19:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66903, '123456789', 21, '113.1687457', '27.7948629', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232379410', 0, '2022-10-20 10:19:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66904, '123456789', 21, '113.1688265', '27.7947486', '149.846', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232381072', 0, '2022-10-20 10:19:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66905, '123456789', 21, '113.1689349', '27.7945968', '150.104', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232383292', 0, '2022-10-20 10:19:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66906, '123456789', 21, '113.1690704', '27.7944068', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232385512', 0, '2022-10-20 10:19:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66907, '123456789', 21, '113.169152', '27.7942929', '149.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232387186', 0, '2022-10-20 10:19:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66908, '123456789', 21, '113.1692884', '27.7941031', '150.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232389406', 0, '2022-10-20 10:19:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66909, '123456789', 21, '113.1693759', '27.7939933', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232391069', 0, '2022-10-20 10:19:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66910, '123456789', 21, '113.1694703', '27.7938876', '149.885', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232393295', 0, '2022-10-20 10:19:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66911, '123456789', 21, '113.1695358', '27.7938183', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232395510', 0, '2022-10-20 10:19:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66912, '123456789', 21, '113.1696343', '27.7937158', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232397076', 0, '2022-10-20 10:19:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66913, '123456789', 21, '113.1697004', '27.7936473', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232399142', 0, '2022-10-20 10:19:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66914, '123456789', 21, '113.1697004', '27.7936473', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232401318', 0, '2022-10-20 10:20:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66915, '123456789', 21, '113.1697334', '27.7936131', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232403001', 0, '2022-10-20 10:20:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66916, '123456789', 21, '113.1697665', '27.7935788', '149.834', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232405181', 0, '2022-10-20 10:20:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66917, '123456789', 21, '113.1698326', '27.7935108', '149.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232407398', 0, '2022-10-20 10:20:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66918, '123456789', 21, '113.1698986', '27.7934424', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232409094', 0, '2022-10-20 10:20:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66919, '123456789', 21, '113.169997', '27.79334', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232411279', 0, '2022-10-20 10:20:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66920, '123456789', 21, '113.1700299', '27.7933062', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232413520', 0, '2022-10-20 10:20:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66921, '123456789', 21, '113.1700957', '27.7932381', '150.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232415096', 0, '2022-10-20 10:20:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66922, '123456789', 21, '113.1701288', '27.793204', '150.131', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232417335', 0, '2022-10-20 10:20:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66923, '123456789', 21, '113.1701288', '27.793204', '150.131', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232419014', 0, '2022-10-20 10:20:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66924, '123456789', 21, '113.1701925', '27.7931377', '150.176', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232421150', 0, '2022-10-20 10:20:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66925, '123456789', 21, '113.1701925', '27.7931377', '150.176', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232423163', 0, '2022-10-20 10:20:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66926, '123456789', 21, '113.1702211', '27.7931078', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232425248', 0, '2022-10-20 10:20:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66927, '123456789', 21, '113.1702464', '27.7930812', '149.824', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232427341', 0, '2022-10-20 10:20:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66928, '123456789', 21, '113.1702683', '27.793059', '149.722', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232429457', 0, '2022-10-20 10:20:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66929, '123456789', 21, '113.170289', '27.793041', '149.774', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232431131', 0, '2022-10-20 10:20:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66930, '123456789', 21, '113.170289', '27.793041', '149.774', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232433304', 0, '2022-10-20 10:20:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66931, '123456789', 21, '113.1703097', '27.7930276', '149.873', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232435477', 0, '2022-10-20 10:20:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66932, '123456789', 21, '113.1703542', '27.793018', '149.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232437089', 0, '2022-10-20 10:20:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66933, '123456789', 21, '113.170607', '27.7930719', '150.066', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232439302', 0, '2022-10-20 10:20:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66934, '123456789', 21, '113.1708439', '27.7931122', '149.781', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232441404', 0, '2022-10-20 10:20:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66935, '123456789', 21, '113.1709814', '27.7929591', '150.193', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232443024', 0, '2022-10-20 10:20:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66936, '123456789', 21, '113.171324', '27.7925131', '150.151', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232445133', 0, '2022-10-20 10:20:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66937, '123456789', 21, '113.1722211', '27.7914843', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232447261', 0, '2022-10-20 10:20:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66938, '123456789', 21, '113.1724578', '27.7912498', '150.085', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232449444', 0, '2022-10-20 10:20:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66939, '123456789', 21, '113.1727297', '27.7909827', '150.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232451121', 0, '2022-10-20 10:20:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66940, '123456789', 21, '113.1729834', '27.7908192', '149.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232453348', 0, '2022-10-20 10:20:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66941, '123456789', 21, '113.173323', '27.7909137', '150.146', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232455022', 0, '2022-10-20 10:20:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66942, '123456789', 21, '113.1735607', '27.7909751', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232457147', 0, '2022-10-20 10:20:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66943, '123456789', 21, '113.1737905', '27.7909941', '149.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232459359', 0, '2022-10-20 10:20:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66944, '123456789', 21, '113.1739855', '27.7909792', '149.891', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232461473', 0, '2022-10-20 10:21:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66945, '123456789', 21, '113.1741359', '27.7909658', '149.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232463045', 0, '2022-10-20 10:21:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66946, '123456789', 21, '113.1743038', '27.7909513', '149.871', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232465256', 0, '2022-10-20 10:21:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66947, '123456789', 21, '113.1743991', '27.7909834', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232467384', 0, '2022-10-20 10:21:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66948, '123456789', 21, '113.1744336', '27.7910991', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232469540', 0, '2022-10-20 10:21:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66949, '123456789', 21, '113.1744708', '27.7912225', '150.129', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232471141', 0, '2022-10-20 10:21:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66950, '123456789', 21, '113.1745222', '27.7913963', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232473232', 0, '2022-10-20 10:21:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66951, '123456789', 21, '113.174586', '27.7916061', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232475384', 0, '2022-10-20 10:21:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66952, '123456789', 21, '113.1746256', '27.7917022', '149.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232477452', 0, '2022-10-20 10:21:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66953, '123456789', 21, '113.1746896', '27.7917785', '149.797', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232479062', 0, '2022-10-20 10:21:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66954, '123456789', 21, '113.1747837', '27.7918514', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232481261', 0, '2022-10-20 10:21:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66955, '123456789', 21, '113.1748964', '27.791935', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232483391', 0, '2022-10-20 10:21:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66956, '123456789', 21, '113.1750134', '27.7920224', '150.113', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232485409', 0, '2022-10-20 10:21:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66957, '123456789', 21, '113.1750527', '27.7920518', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232487032', 0, '2022-10-20 10:21:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66958, '123456789', 21, '113.1751313', '27.7921104', '149.825', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232489047', 0, '2022-10-20 10:21:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66959, '123456789', 21, '113.1751704', '27.7921392', '149.882', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232491168', 0, '2022-10-20 10:21:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66960, '123456789', 21, '113.1758316', '27.7926285', '150.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232512681', 0, '2022-10-20 10:21:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66961, '123456789', 21, '113.1758316', '27.7926285', '150.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232514242', 0, '2022-10-20 10:21:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66962, '123456789', 21, '113.1758702', '27.7926572', '150.067', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232516368', 0, '2022-10-20 10:21:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66963, '123456789', 21, '113.1759483', '27.7927148', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232518547', 0, '2022-10-20 10:21:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66964, '123456789', 21, '113.1760265', '27.7927726', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232520113', 0, '2022-10-20 10:22:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66965, '123456789', 21, '113.1760265', '27.7927726', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232522239', 0, '2022-10-20 10:22:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66966, '123456789', 21, '113.1760265', '27.7927726', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232524366', 0, '2022-10-20 10:22:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66967, '123456789', 21, '113.1760659', '27.7928017', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232526488', 0, '2022-10-20 10:22:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66968, '123456789', 21, '113.1761439', '27.7928594', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232528174', 0, '2022-10-20 10:22:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66969, '123456789', 21, '113.1761827', '27.7928878', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232530410', 0, '2022-10-20 10:22:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66970, '123456789', 21, '113.1762616', '27.792944', '149.871', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232532040', 0, '2022-10-20 10:22:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66971, '123456789', 21, '113.1763835', '27.7930253', '149.904', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232534165', 0, '2022-10-20 10:22:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66972, '123456789', 21, '113.1764669', '27.7930763', '149.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232536293', 0, '2022-10-20 10:22:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66973, '123456789', 21, '113.1765091', '27.793101', '149.841', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232538489', 0, '2022-10-20 10:22:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66974, '123456789', 21, '113.176594', '27.7931498', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232540157', 0, '2022-10-20 10:22:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66975, '123456789', 21, '113.1766791', '27.7931986', '150.093', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232542283', 0, '2022-10-20 10:22:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66976, '123456789', 21, '113.1768068', '27.7932717', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232544465', 0, '2022-10-20 10:22:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66977, '123456789', 21, '113.1768926', '27.7933209', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232546142', 0, '2022-10-20 10:22:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66978, '123456789', 21, '113.1771056', '27.7934435', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232548362', 0, '2022-10-20 10:22:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66979, '123456789', 21, '113.1772972', '27.7935767', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232550028', 0, '2022-10-20 10:22:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66980, '123456789', 21, '113.1780476', '27.7947278', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232552245', 0, '2022-10-20 10:22:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66981, '123456789', 21, '113.1782196', '27.7954592', '149.835', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232554462', 0, '2022-10-20 10:22:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66982, '123456789', 21, '113.1787009', '27.7960126', '150.076', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232556077', 0, '2022-10-20 10:22:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66983, '123456789', 21, '113.1790692', '27.7963837', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232558296', 0, '2022-10-20 10:22:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66984, '123456789', 21, '113.1793398', '27.7966161', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232560506', 0, '2022-10-20 10:22:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66985, '123456789', 21, '113.1796877', '27.7967674', '149.717', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232562174', 0, '2022-10-20 10:22:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66986, '123456789', 21, '113.1801046', '27.7969345', '150.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232564396', 0, '2022-10-20 10:22:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66987, '123456789', 21, '113.1803667', '27.7970403', '150.174', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232566054', 0, '2022-10-20 10:22:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66988, '123456789', 21, '113.1805302', '27.7971678', '149.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232568279', 0, '2022-10-20 10:22:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66989, '123456789', 21, '113.1806509', '27.7973462', '150.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232570488', 0, '2022-10-20 10:22:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66990, '123456789', 21, '113.180726', '27.7974605', '149.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232572148', 0, '2022-10-20 10:22:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66991, '123456789', 21, '113.1808535', '27.7976553', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232574368', 0, '2022-10-20 10:22:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66992, '123456789', 21, '113.1809288', '27.7977719', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232576023', 0, '2022-10-20 10:22:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66993, '123456789', 21, '113.181033', '27.7979258', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232578244', 0, '2022-10-20 10:22:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66994, '123456789', 21, '113.18116', '27.7981211', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232580450', 0, '2022-10-20 10:23:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66995, '123456789', 21, '113.1812359', '27.7982365', '150.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232582120', 0, '2022-10-20 10:23:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66996, '123456789', 21, '113.1813386', '27.7983923', '149.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232584337', 0, '2022-10-20 10:23:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66997, '123456789', 21, '113.1814382', '27.798544', '149.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232586007', 0, '2022-10-20 10:23:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66998, '123456789', 21, '113.1815245', '27.7986546', '149.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232588168', 0, '2022-10-20 10:23:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (66999, '123456789', 21, '113.1816772', '27.7987273', '149.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232590386', 0, '2022-10-20 10:23:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67000, '123456789', 21, '113.1818084', '27.7987677', '150.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232592048', 0, '2022-10-20 10:23:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67001, '123456789', 21, '113.1820003', '27.7988275', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232594270', 0, '2022-10-20 10:23:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67002, '123456789', 21, '113.1822424', '27.7989019', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232596493', 0, '2022-10-20 10:23:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67003, '123456789', 21, '113.1823861', '27.798946', '150.074', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232598150', 0, '2022-10-20 10:23:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67004, '123456789', 21, '113.1826254', '27.79902', '149.832', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232600375', 0, '2022-10-20 10:23:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67005, '123456789', 21, '113.1827701', '27.799064', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232602029', 0, '2022-10-20 10:23:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67006, '123456789', 21, '113.1829613', '27.7991228', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232604249', 0, '2022-10-20 10:23:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67007, '123456789', 21, '113.1831951', '27.7992116', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232606455', 0, '2022-10-20 10:23:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67008, '123456789', 21, '113.183326', '27.7992805', '150.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232608118', 0, '2022-10-20 10:23:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67009, '123456789', 21, '113.183492', '27.7993836', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232610321', 0, '2022-10-20 10:23:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67010, '123456789', 21, '113.1837002', '27.7995152', '149.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232612542', 0, '2022-10-20 10:23:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67011, '123456789', 21, '113.183823', '27.799593', '150.113', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232614213', 0, '2022-10-20 10:23:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67012, '123456789', 21, '113.1839876', '27.7996971', '149.867', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232616420', 0, '2022-10-20 10:23:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67013, '123456789', 21, '113.18415', '27.799806', '150.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232618080', 0, '2022-10-20 10:23:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67014, '123456789', 21, '113.184298', '27.7999292', '150.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232620304', 0, '2022-10-20 10:23:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67015, '123456789', 21, '113.1844688', '27.8000961', '149.835', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232622521', 0, '2022-10-20 10:23:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67016, '123456789', 21, '113.1845701', '27.8001981', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232624185', 0, '2022-10-20 10:23:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67017, '123456789', 21, '113.1847019', '27.8003325', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232626406', 0, '2022-10-20 10:23:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67018, '123456789', 21, '113.1848334', '27.8004666', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232628060', 0, '2022-10-20 10:23:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67019, '123456789', 21, '113.1849698', '27.8006042', '150.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232630276', 0, '2022-10-20 10:23:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67020, '123456789', 21, '113.1851407', '27.8007687', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232632495', 0, '2022-10-20 10:23:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67021, '123456789', 21, '113.1852523', '27.8008612', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232634160', 0, '2022-10-20 10:23:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67022, '123456789', 21, '113.1854099', '27.800974', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232636322', 0, '2022-10-20 10:23:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67023, '123456789', 21, '113.1856108', '27.8011105', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232638542', 0, '2022-10-20 10:23:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67024, '123456789', 21, '113.1857323', '27.8011926', '149.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232640196', 0, '2022-10-20 10:24:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67025, '123456789', 21, '113.1858938', '27.8013019', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232642416', 0, '2022-10-20 10:24:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67026, '123456789', 21, '113.1860545', '27.8014105', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232644084', 0, '2022-10-20 10:24:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67027, '123456789', 21, '113.1862166', '27.8015198', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232646304', 0, '2022-10-20 10:24:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67028, '123456789', 21, '113.1864183', '27.8016562', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232648525', 0, '2022-10-20 10:24:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67029, '123456789', 21, '113.1865393', '27.8017375', '150.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232650138', 0, '2022-10-20 10:24:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67030, '123456789', 21, '113.186741', '27.8018743', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232652363', 0, '2022-10-20 10:24:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67031, '123456789', 21, '113.1868624', '27.8019565', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232654028', 0, '2022-10-20 10:24:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67032, '123456789', 21, '113.1870223', '27.8020669', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232656237', 0, '2022-10-20 10:24:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67033, '123456789', 21, '113.187215', '27.8022131', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232658461', 0, '2022-10-20 10:24:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67034, '123456789', 21, '113.1873283', '27.8023032', '149.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232660126', 0, '2022-10-20 10:24:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67035, '123456789', 21, '113.1874779', '27.8024247', '150.096', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232662342', 0, '2022-10-20 10:24:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67036, '123456789', 21, '113.1876665', '27.8025738', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232664553', 0, '2022-10-20 10:24:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67037, '123456789', 21, '113.187771', '27.8026575', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232666221', 0, '2022-10-20 10:24:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67038, '123456789', 21, '113.1879278', '27.8027381', '150.228', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232668436', 0, '2022-10-20 10:24:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67039, '123456789', 21, '113.1880431', '27.8027535', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232670100', 0, '2022-10-20 10:24:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67040, '123456789', 21, '113.188237', '27.8027708', '150.167', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232672328', 0, '2022-10-20 10:24:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67041, '123456789', 21, '113.1884913', '27.8027937', '150.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232674537', 0, '2022-10-20 10:24:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67042, '123456789', 21, '113.1886361', '27.8028069', '149.793', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232676198', 0, '2022-10-20 10:24:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67043, '123456789', 21, '113.1887812', '27.8028194', '150.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232678412', 0, '2022-10-20 10:24:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67044, '123456789', 21, '113.1887829', '27.8028083', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232680073', 0, '2022-10-20 10:24:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67045, '123456789', 21, '113.188676', '27.8027845', '150.163', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232682295', 0, '2022-10-20 10:24:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67046, '123456789', 21, '113.1886434', '27.8027744', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232684504', 0, '2022-10-20 10:24:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67047, '123456789', 21, '113.1885688', '27.8027464', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232686174', 0, '2022-10-20 10:24:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67048, '123456789', 21, '113.1884369', '27.8027003', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232688409', 0, '2022-10-20 10:24:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67049, '123456789', 21, '113.1883477', '27.8026697', '149.668', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232690072', 0, '2022-10-20 10:24:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67050, '123456789', 21, '113.1882086', '27.8026225', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232692271', 0, '2022-10-20 10:24:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67051, '123456789', 21, '113.1880704', '27.8025761', '150.077', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232694484', 0, '2022-10-20 10:24:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67052, '123456789', 21, '113.1880245', '27.8025605', '150.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232696166', 0, '2022-10-20 10:24:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67053, '123456789', 21, '113.1878847', '27.8025128', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232698374', 0, '2022-10-20 10:24:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67054, '123456789', 21, '113.1878377', '27.8024971', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232700040', 0, '2022-10-20 10:25:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67055, '123456789', 21, '113.1877431', '27.8024656', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232702264', 0, '2022-10-20 10:25:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67056, '123456789', 21, '113.1876958', '27.8024499', '150.132', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232704475', 0, '2022-10-20 10:25:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67057, '123456789', 21, '113.1876486', '27.8024343', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232706141', 0, '2022-10-20 10:25:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67058, '123456789', 21, '113.1875544', '27.8024027', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232708363', 0, '2022-10-20 10:25:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67059, '123456789', 21, '113.1874587', '27.8023703', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232710025', 0, '2022-10-20 10:25:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67060, '123456789', 21, '113.1874111', '27.802354', '150.075', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232712236', 0, '2022-10-20 10:25:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67061, '123456789', 21, '113.1872214', '27.8022902', '149.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232714457', 0, '2022-10-20 10:25:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67062, '123456789', 21, '113.1871736', '27.8022744', '149.927', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232716104', 0, '2022-10-20 10:25:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67063, '123456789', 21, '113.1870778', '27.802243', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232718308', 0, '2022-10-20 10:25:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67064, '123456789', 21, '113.1869834', '27.8022116', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232720513', 0, '2022-10-20 10:25:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67065, '123456789', 21, '113.1868891', '27.8021805', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232722178', 0, '2022-10-20 10:25:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67066, '123456789', 21, '113.1867938', '27.8021487', '149.742', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232724391', 0, '2022-10-20 10:25:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67067, '123456789', 21, '113.1866994', '27.8021164', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232726551', 0, '2022-10-20 10:25:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67068, '123456789', 21, '113.1866519', '27.8021004', '150.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232728205', 0, '2022-10-20 10:25:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67069, '123456789', 21, '113.186509', '27.8020532', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232730423', 0, '2022-10-20 10:25:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67070, '123456789', 21, '113.1864621', '27.8020377', '150.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232732087', 0, '2022-10-20 10:25:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67071, '123456789', 21, '113.1863663', '27.8020055', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232734300', 0, '2022-10-20 10:25:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67072, '123456789', 21, '113.1862709', '27.8019735', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232736470', 0, '2022-10-20 10:25:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67073, '123456789', 21, '113.1861762', '27.8019418', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232738133', 0, '2022-10-20 10:25:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67074, '123456789', 21, '113.1860344', '27.8018946', '150.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232740365', 0, '2022-10-20 10:25:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67075, '123456789', 21, '113.185987', '27.8018785', '149.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232742021', 0, '2022-10-20 10:25:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67076, '123456789', 21, '113.1858922', '27.8018468', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232744245', 0, '2022-10-20 10:25:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67077, '123456789', 21, '113.1857962', '27.8018147', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232746463', 0, '2022-10-20 10:25:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67078, '123456789', 21, '113.1856541', '27.8017672', '149.772', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232748117', 0, '2022-10-20 10:25:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67079, '123456789', 21, '113.1854645', '27.8017031', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232750323', 0, '2022-10-20 10:25:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67080, '123456789', 21, '113.185274', '27.8016397', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232752524', 0, '2022-10-20 10:25:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67081, '123456789', 21, '113.1849901', '27.8015448', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232754181', 0, '2022-10-20 10:25:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67082, '123456789', 21, '113.1847994', '27.8014813', '150.166', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232756389', 0, '2022-10-20 10:25:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67083, '123456789', 21, '113.1844195', '27.8013542', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232758041', 0, '2022-10-20 10:25:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67084, '123456789', 21, '113.1841356', '27.8012588', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232760259', 0, '2022-10-20 10:26:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67085, '123456789', 21, '113.1838499', '27.8011637', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232762471', 0, '2022-10-20 10:26:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67086, '123456789', 21, '113.1837551', '27.8011317', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232764132', 0, '2022-10-20 10:26:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67087, '123456789', 21, '113.1834231', '27.8010206', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232766342', 0, '2022-10-20 10:26:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67088, '123456789', 21, '113.1832807', '27.800973', '149.904', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232768008', 0, '2022-10-20 10:26:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67089, '123456789', 21, '113.1829484', '27.8008612', '150.096', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232770232', 0, '2022-10-20 10:26:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67090, '123456789', 21, '113.1827108', '27.800782', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232772473', 0, '2022-10-20 10:26:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67091, '123456789', 21, '113.1825681', '27.8007343', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232774142', 0, '2022-10-20 10:26:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67092, '123456789', 21, '113.1824263', '27.8006865', '149.913', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232776376', 0, '2022-10-20 10:26:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67093, '123456789', 21, '113.1822834', '27.8006387', '150.178', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232778047', 0, '2022-10-20 10:26:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67094, '123456789', 21, '113.1821407', '27.8005908', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232780273', 0, '2022-10-20 10:26:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67095, '123456789', 21, '113.181902', '27.8005112', '150.142', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232782499', 0, '2022-10-20 10:26:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67096, '123456789', 21, '113.1816647', '27.8004322', '149.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232784172', 0, '2022-10-20 10:26:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67097, '123456789', 21, '113.1814752', '27.8003675', '149.843', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232786402', 0, '2022-10-20 10:26:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67098, '123456789', 21, '113.1813801', '27.8003362', '150.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232788080', 0, '2022-10-20 10:26:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67099, '123456789', 21, '113.1811902', '27.8002727', '149.812', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232790308', 0, '2022-10-20 10:26:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67100, '123456789', 21, '113.1809997', '27.8002086', '150.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232792544', 0, '2022-10-20 10:26:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67101, '123456789', 21, '113.1808571', '27.8001608', '150.106', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232794222', 0, '2022-10-20 10:26:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67102, '123456789', 21, '113.1806196', '27.8000819', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232796404', 0, '2022-10-20 10:26:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67103, '123456789', 21, '113.1803814', '27.8000025', '150.131', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232798082', 0, '2022-10-20 10:26:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67104, '123456789', 21, '113.1799538', '27.799859', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232800323', 0, '2022-10-20 10:26:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67105, '123456789', 21, '113.1796684', '27.7997632', '149.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232802551', 0, '2022-10-20 10:26:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67106, '123456789', 21, '113.1793828', '27.7996678', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232804171', 0, '2022-10-20 10:26:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67107, '123456789', 21, '113.1791918', '27.799604', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232806243', 0, '2022-10-20 10:26:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67108, '123456789', 21, '113.1788129', '27.7994767', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232808372', 0, '2022-10-20 10:26:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67109, '123456789', 21, '113.1784315', '27.7993486', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232810385', 0, '2022-10-20 10:26:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67110, '123456789', 21, '113.1781011', '27.7992386', '149.846', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232812464', 0, '2022-10-20 10:26:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67111, '123456789', 21, '113.177815', '27.7991434', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232814477', 0, '2022-10-20 10:26:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67112, '123456789', 21, '113.1776718', '27.7990948', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232816047', 0, '2022-10-20 10:26:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67113, '123456789', 21, '113.1773871', '27.7989995', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232818067', 0, '2022-10-20 10:26:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67114, '123456789', 21, '113.1771495', '27.7989206', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232820074', 0, '2022-10-20 10:27:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67115, '123456789', 21, '113.1768642', '27.7988245', '150.102', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232822094', 0, '2022-10-20 10:27:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67116, '123456789', 21, '113.1765313', '27.7987129', '149.762', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232824107', 0, '2022-10-20 10:27:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67117, '123456789', 21, '113.1763415', '27.7986494', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232826177', 0, '2022-10-20 10:27:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67118, '123456789', 21, '113.1761035', '27.7985701', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232828194', 0, '2022-10-20 10:27:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67119, '123456789', 21, '113.1758183', '27.7984745', '149.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232830260', 0, '2022-10-20 10:27:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67120, '123456789', 21, '113.1756279', '27.7984111', '150.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232832277', 0, '2022-10-20 10:27:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67121, '123456789', 21, '113.1752956', '27.798299', '150.137', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232834351', 0, '2022-10-20 10:27:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67122, '123456789', 21, '113.1750099', '27.7982038', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232836417', 0, '2022-10-20 10:27:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67123, '123456789', 21, '113.1746771', '27.7980931', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232838488', 0, '2022-10-20 10:27:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67124, '123456789', 21, '113.1744403', '27.7980129', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232840002', 0, '2022-10-20 10:27:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67125, '123456789', 21, '113.1741071', '27.7979013', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232842009', 0, '2022-10-20 10:27:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67126, '123456789', 21, '113.1737745', '27.79779', '150.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232844084', 0, '2022-10-20 10:27:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67127, '123456789', 21, '113.1734891', '27.7976946', '150.123', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232846150', 0, '2022-10-20 10:27:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67128, '123456789', 21, '113.1732035', '27.7975995', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232848160', 0, '2022-10-20 10:27:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67129, '123456789', 21, '113.1729184', '27.7975037', '150.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232850179', 0, '2022-10-20 10:27:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67130, '123456789', 21, '113.1725863', '27.7973922', '150.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232852314', 0, '2022-10-20 10:27:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67131, '123456789', 21, '113.1723957', '27.797329', '150.159', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232854329', 0, '2022-10-20 10:27:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67132, '123456789', 21, '113.1722059', '27.797265', '150.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232856398', 0, '2022-10-20 10:27:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67133, '123456789', 21, '113.1719686', '27.7971853', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232858412', 0, '2022-10-20 10:27:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67134, '123456789', 21, '113.1717775', '27.797122', '149.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232860490', 0, '2022-10-20 10:27:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67135, '123456789', 21, '113.1716348', '27.7970744', '150.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232862011', 0, '2022-10-20 10:27:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67136, '123456789', 21, '113.1714458', '27.7970102', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232864083', 0, '2022-10-20 10:27:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67137, '123456789', 21, '113.1712555', '27.7969468', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232866089', 0, '2022-10-20 10:27:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67138, '123456789', 21, '113.171065', '27.7968827', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232868159', 0, '2022-10-20 10:27:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67139, '123456789', 21, '113.170875', '27.7968188', '149.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232870226', 0, '2022-10-20 10:27:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67140, '123456789', 21, '113.1706843', '27.7967551', '149.873', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232872296', 0, '2022-10-20 10:27:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67141, '123456789', 21, '113.1704468', '27.7966764', '149.805', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232874431', 0, '2022-10-20 10:27:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67142, '123456789', 21, '113.1702571', '27.796613', '150.114', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232876438', 0, '2022-10-20 10:27:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67143, '123456789', 21, '113.1700669', '27.7965488', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232878453', 0, '2022-10-20 10:27:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67144, '123456789', 21, '113.1698759', '27.7964849', '150.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232880461', 0, '2022-10-20 10:28:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67145, '123456789', 21, '113.1696865', '27.7964215', '149.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232882467', 0, '2022-10-20 10:28:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67146, '123456789', 21, '113.1694959', '27.7963574', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232884533', 0, '2022-10-20 10:28:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67147, '123456789', 21, '113.1693538', '27.7963101', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232886107', 0, '2022-10-20 10:28:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67148, '123456789', 21, '113.1691637', '27.7962463', '149.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232888232', 0, '2022-10-20 10:28:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67149, '123456789', 21, '113.1689732', '27.7961833', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232890250', 0, '2022-10-20 10:28:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67150, '123456789', 21, '113.1687835', '27.7961193', '150.132', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232892376', 0, '2022-10-20 10:28:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67151, '123456789', 21, '113.1685932', '27.7960555', '149.841', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232894384', 0, '2022-10-20 10:28:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67152, '123456789', 21, '113.1683552', '27.7959757', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232896445', 0, '2022-10-20 10:28:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67153, '123456789', 21, '113.168213', '27.7959278', '150.13', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232898012', 0, '2022-10-20 10:28:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67154, '123456789', 21, '113.1680225', '27.7958646', '149.906', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232900085', 0, '2022-10-20 10:28:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67155, '123456789', 21, '113.1678323', '27.7958005', '150.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232902158', 0, '2022-10-20 10:28:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67156, '123456789', 21, '113.1676425', '27.795737', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232904230', 0, '2022-10-20 10:28:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67157, '123456789', 21, '113.1674527', '27.7956732', '149.833', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232906240', 0, '2022-10-20 10:28:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67158, '123456789', 21, '113.1672624', '27.79561', '149.738', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232908252', 0, '2022-10-20 10:28:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67159, '123456789', 21, '113.1670723', '27.7955466', '150.124', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232910330', 0, '2022-10-20 10:28:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67160, '123456789', 21, '113.1668348', '27.7954669', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232912405', 0, '2022-10-20 10:28:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67161, '123456789', 21, '113.1666441', '27.7954024', '149.782', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232914413', 0, '2022-10-20 10:28:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67162, '123456789', 21, '113.166454', '27.7953395', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232916423', 0, '2022-10-20 10:28:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67163, '123456789', 21, '113.1662635', '27.7952755', '150.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232918431', 0, '2022-10-20 10:28:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67164, '123456789', 21, '113.1661215', '27.7952277', '150.139', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232920447', 0, '2022-10-20 10:28:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67165, '123456789', 21, '113.1658846', '27.7951484', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232922457', 0, '2022-10-20 10:28:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67166, '123456789', 21, '113.1656937', '27.7950849', '149.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232924470', 0, '2022-10-20 10:28:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67167, '123456789', 21, '113.1655494', '27.7950373', '149.936', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232926033', 0, '2022-10-20 10:28:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67168, '123456789', 21, '113.1653604', '27.7949731', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232928103', 0, '2022-10-20 10:28:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67169, '123456789', 21, '113.1651707', '27.7949102', '150.153', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232930161', 0, '2022-10-20 10:28:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67170, '123456789', 21, '113.1649812', '27.7948464', '149.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232932221', 0, '2022-10-20 10:28:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67171, '123456789', 21, '113.1647896', '27.7947818', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232934349', 0, '2022-10-20 10:28:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67172, '123456789', 21, '113.1645535', '27.7947031', '150.104', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232936472', 0, '2022-10-20 10:28:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67173, '123456789', 21, '113.1644096', '27.7946557', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232938045', 0, '2022-10-20 10:28:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67174, '123456789', 21, '113.1642206', '27.7945903', '149.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232940108', 0, '2022-10-20 10:29:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67175, '123456789', 21, '113.1640301', '27.7945271', '150.068', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232942233', 0, '2022-10-20 10:29:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67176, '123456789', 21, '113.1638401', '27.7944638', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232944303', 0, '2022-10-20 10:29:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67177, '123456789', 21, '113.163602', '27.7943844', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232946364', 0, '2022-10-20 10:29:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67178, '123456789', 21, '113.1634123', '27.7943206', '150.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232948488', 0, '2022-10-20 10:29:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67179, '123456789', 21, '113.1633178', '27.7942892', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232969322', 0, '2022-10-20 10:29:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67180, '123456789', 21, '113.1612725', '27.7936043', '150.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232971243', 0, '2022-10-20 10:29:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67181, '123456789', 21, '113.1610353', '27.7935249', '150.106', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232973372', 0, '2022-10-20 10:29:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67182, '123456789', 21, '113.1608459', '27.793462', '150.138', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232975440', 0, '2022-10-20 10:29:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67183, '123456789', 21, '113.1607035', '27.7934141', '150.054', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232977063', 0, '2022-10-20 10:29:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67184, '123456789', 21, '113.1605122', '27.7933503', '149.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232979136', 0, '2022-10-20 10:29:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67185, '123456789', 21, '113.1603218', '27.7932862', '150.149', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232981208', 0, '2022-10-20 10:29:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67186, '123456789', 21, '113.1601325', '27.7932224', '149.762', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232983330', 0, '2022-10-20 10:29:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67187, '123456789', 21, '113.1599416', '27.7931578', '150.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232985015', 0, '2022-10-20 10:29:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67188, '123456789', 21, '113.1597522', '27.7930951', '149.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232987144', 0, '2022-10-20 10:29:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67189, '123456789', 21, '113.1595614', '27.7930313', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232989219', 0, '2022-10-20 10:29:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67190, '123456789', 21, '113.1593721', '27.7929678', '150.122', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232991294', 0, '2022-10-20 10:29:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67191, '123456789', 21, '113.1591332', '27.7928876', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232993363', 0, '2022-10-20 10:29:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67192, '123456789', 21, '113.1589414', '27.7928246', '149.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232995487', 0, '2022-10-20 10:29:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67193, '123456789', 21, '113.1588036', '27.7927787', '149.891', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232997052', 0, '2022-10-20 10:29:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67194, '123456789', 21, '113.1586116', '27.7927139', '149.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666232999174', 0, '2022-10-20 10:29:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67195, '123456789', 21, '113.1584202', '27.7926485', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233001185', 0, '2022-10-20 10:30:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67196, '123456789', 21, '113.1582316', '27.7925862', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233003195', 0, '2022-10-20 10:30:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67197, '123456789', 21, '113.1580399', '27.7925228', '149.797', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233005202', 0, '2022-10-20 10:30:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67198, '123456789', 21, '113.1578495', '27.7924579', '150.12', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233007273', 0, '2022-10-20 10:30:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67199, '123456789', 21, '113.1576616', '27.7923949', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233009336', 0, '2022-10-20 10:30:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67200, '123456789', 21, '113.1574224', '27.792316', '149.788', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233011410', 0, '2022-10-20 10:30:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67201, '123456789', 21, '113.1572326', '27.7922517', '150.147', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233013481', 0, '2022-10-20 10:30:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67202, '123456789', 21, '113.1570899', '27.792203', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233015048', 0, '2022-10-20 10:30:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67203, '123456789', 21, '113.1568992', '27.7921412', '150.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233017123', 0, '2022-10-20 10:30:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67204, '123456789', 21, '113.1567099', '27.7920762', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233019135', 0, '2022-10-20 10:30:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67205, '123456789', 21, '113.1565197', '27.7920137', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233021201', 0, '2022-10-20 10:30:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67206, '123456789', 21, '113.1563296', '27.7919506', '150.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233023330', 0, '2022-10-20 10:30:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67207, '123456789', 21, '113.1561396', '27.791885', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233025341', 0, '2022-10-20 10:30:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67208, '123456789', 21, '113.1559019', '27.7918063', '150.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233027357', 0, '2022-10-20 10:30:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67209, '123456789', 21, '113.1557124', '27.7917422', '149.867', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233029371', 0, '2022-10-20 10:30:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67210, '123456789', 21, '113.1555218', '27.791679', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233031441', 0, '2022-10-20 10:30:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67211, '123456789', 21, '113.1553322', '27.7916159', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233033453', 0, '2022-10-20 10:30:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67212, '123456789', 21, '113.155141', '27.7915518', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233035473', 0, '2022-10-20 10:30:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67213, '123456789', 21, '113.1549993', '27.7915043', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233037091', 0, '2022-10-20 10:30:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67214, '123456789', 21, '113.154808', '27.7914401', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233039104', 0, '2022-10-20 10:30:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67215, '123456789', 21, '113.1546184', '27.7913766', '149.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233041112', 0, '2022-10-20 10:30:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67216, '123456789', 21, '113.154429', '27.7913128', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233043131', 0, '2022-10-20 10:30:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67217, '123456789', 21, '113.1542384', '27.7912487', '149.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233045256', 0, '2022-10-20 10:30:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67218, '123456789', 21, '113.154', '27.79117', '149.877', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233047387', 0, '2022-10-20 10:30:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67219, '123456789', 21, '113.1538098', '27.7911056', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233049398', 0, '2022-10-20 10:30:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67220, '123456789', 21, '113.1536201', '27.7910425', '150.221', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233051412', 0, '2022-10-20 10:30:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67221, '123456789', 21, '113.1534314', '27.790979', '150.132', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233053426', 0, '2022-10-20 10:30:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67222, '123456789', 21, '113.1532409', '27.790914', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233055442', 0, '2022-10-20 10:30:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67223, '123456789', 21, '113.1530494', '27.7908514', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233057457', 0, '2022-10-20 10:30:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67224, '123456789', 21, '113.1528584', '27.7907881', '150.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233059474', 0, '2022-10-20 10:30:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67225, '123456789', 21, '113.152718', '27.7907399', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233061039', 0, '2022-10-20 10:31:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67226, '123456789', 21, '113.1525269', '27.7906759', '149.831', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233063053', 0, '2022-10-20 10:31:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67227, '123456789', 21, '113.1523366', '27.7906123', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233065122', 0, '2022-10-20 10:31:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67228, '123456789', 21, '113.1521466', '27.7905491', '150.158', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233067137', 0, '2022-10-20 10:31:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67229, '123456789', 21, '113.151957', '27.7904853', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233069210', 0, '2022-10-20 10:31:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67230, '123456789', 21, '113.1517674', '27.7904214', '150.114', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233071225', 0, '2022-10-20 10:31:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67231, '123456789', 21, '113.1515766', '27.7903581', '149.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233073299', 0, '2022-10-20 10:31:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67232, '123456789', 21, '113.1513854', '27.7902946', '150.199', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233075316', 0, '2022-10-20 10:31:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67233, '123456789', 21, '113.1511489', '27.7902149', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233077386', 0, '2022-10-20 10:31:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67234, '123456789', 21, '113.1509584', '27.7901508', '150.144', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233079455', 0, '2022-10-20 10:31:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67235, '123456789', 21, '113.1507691', '27.790087', '149.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233081474', 0, '2022-10-20 10:31:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67236, '123456789', 21, '113.1505791', '27.7900235', '150.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233083489', 0, '2022-10-20 10:31:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67237, '123456789', 21, '113.1504364', '27.7899763', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233085063', 0, '2022-10-20 10:31:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67238, '123456789', 21, '113.1502456', '27.7899117', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233087132', 0, '2022-10-20 10:31:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67239, '123456789', 21, '113.1500552', '27.7898485', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233089141', 0, '2022-10-20 10:31:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67240, '123456789', 21, '113.1498653', '27.7897848', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233091157', 0, '2022-10-20 10:31:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67241, '123456789', 21, '113.1496754', '27.7897216', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233093172', 0, '2022-10-20 10:31:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67242, '123456789', 21, '113.1494851', '27.7896572', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233095242', 0, '2022-10-20 10:31:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67243, '123456789', 21, '113.149295', '27.789594', '149.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233097257', 0, '2022-10-20 10:31:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67244, '123456789', 21, '113.1490573', '27.7895147', '149.904', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233099334', 0, '2022-10-20 10:31:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67245, '123456789', 21, '113.1488748', '27.7894533', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233101344', 0, '2022-10-20 10:31:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67246, '123456789', 21, '113.1487534', '27.7894126', '149.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233103358', 0, '2022-10-20 10:31:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67247, '123456789', 21, '113.1487113', '27.7894003', '150.118', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233105371', 0, '2022-10-20 10:31:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67248, '123456789', 21, '113.148716', '27.7894022', '150.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233107439', 0, '2022-10-20 10:31:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67249, '123456789', 21, '113.1487142', '27.7893989', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233109452', 0, '2022-10-20 10:31:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67250, '123456789', 21, '113.1486901', '27.7893883', '150.174', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233111083', 0, '2022-10-20 10:31:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67251, '123456789', 21, '113.1486101', '27.7893577', '150.241', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233113311', 0, '2022-10-20 10:31:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67252, '123456789', 21, '113.1484161', '27.7892824', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233115485', 0, '2022-10-20 10:31:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67253, '123456789', 21, '113.1482839', '27.7892295', '150.198', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233117137', 0, '2022-10-20 10:31:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67254, '123456789', 21, '113.14811', '27.7891616', '150.102', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233119311', 0, '2022-10-20 10:31:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67255, '123456789', 21, '113.1479723', '27.7891065', '150.12', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233121534', 0, '2022-10-20 10:32:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67256, '123456789', 21, '113.1479458', '27.7890964', '150.139', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233123207', 0, '2022-10-20 10:32:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67257, '123456789', 21, '113.1479545', '27.7891028', '150.168', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233125443', 0, '2022-10-20 10:32:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67258, '123456789', 21, '113.147962', '27.7891023', '150.112', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233127102', 0, '2022-10-20 10:32:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67259, '123456789', 21, '113.1479585', '27.7891014', '150.179', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233129267', 0, '2022-10-20 10:32:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67260, '123456789', 21, '113.1479539', '27.7891015', '147.515', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233131459', 0, '2022-10-20 10:32:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67261, '123456789', 21, '113.1479527', '27.7891015', '145.315', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233133078', 0, '2022-10-20 10:32:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67262, '123456789', 21, '113.1479542', '27.7890988', '142.308', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233135308', 0, '2022-10-20 10:32:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67263, '123456789', 21, '113.1479553', '27.7890975', '138.561', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233137486', 0, '2022-10-20 10:32:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67264, '123456789', 21, '113.1479539', '27.7890983', '136.403', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233139160', 0, '2022-10-20 10:32:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67265, '123456789', 21, '113.1479545', '27.7890994', '132.532', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233141386', 0, '2022-10-20 10:32:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67266, '123456789', 21, '113.147956', '27.7890993', '129.575', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233143516', 0, '2022-10-20 10:32:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67267, '123456789', 21, '113.1479546', '27.7890999', '127.293', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233145089', 0, '2022-10-20 10:32:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67268, '123456789', 21, '113.1479513', '27.7890993', '124.248', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233147313', 0, '2022-10-20 10:32:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67269, '123456789', 21, '113.1479529', '27.7890986', '120.524', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233149531', 0, '2022-10-20 10:32:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67270, '123456789', 21, '113.1479546', '27.7890997', '118.295', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233151145', 0, '2022-10-20 10:32:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67271, '123456789', 21, '113.1479543', '27.7890998', '115.24', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233153267', 0, '2022-10-20 10:32:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67272, '123456789', 21, '113.1479533', '27.789099', '111.479', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233155383', 0, '2022-10-20 10:32:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67273, '123456789', 21, '113.1479536', '27.7890991', '109.384', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233157003', 0, '2022-10-20 10:32:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67274, '123456789', 21, '113.1479542', '27.7891003', '106.39', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233159117', 0, '2022-10-20 10:32:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67275, '123456789', 21, '113.1479528', '27.7890976', '103.381', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233161286', 0, '2022-10-20 10:32:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67276, '123456789', 21, '113.1479555', '27.7890986', '99.657', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233163477', 0, '2022-10-20 10:32:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67277, '123456789', 21, '113.1479557', '27.7890996', '97.203', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233165144', 0, '2022-10-20 10:32:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67278, '123456789', 21, '113.1479541', '27.7891001', '93.565', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233167332', 0, '2022-10-20 10:32:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67279, '123456789', 21, '113.1479546', '27.7890992', '90.584', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233169486', 0, '2022-10-20 10:32:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67280, '123456789', 21, '113.1479552', '27.7890998', '88.28', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233171109', 0, '2022-10-20 10:32:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67281, '123456789', 21, '113.1479554', '27.7890996', '85.277', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233173250', 0, '2022-10-20 10:32:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67282, '123456789', 21, '113.1479551', '27.7891003', '81.576', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233175379', 0, '2022-10-20 10:32:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67283, '123456789', 21, '113.1479539', '27.7890994', '78.489', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233177533', 0, '2022-10-20 10:32:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67284, '123456789', 21, '113.1479536', '27.7890984', '76.215', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233179151', 0, '2022-10-20 10:32:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67285, '123456789', 21, '113.1479546', '27.7890988', '73.303', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233181294', 0, '2022-10-20 10:33:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67286, '123456789', 21, '113.1479545', '27.7890986', '69.507', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233183511', 0, '2022-10-20 10:33:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67287, '123456789', 21, '113.1479547', '27.789099', '67.28', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233185089', 0, '2022-10-20 10:33:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67288, '123456789', 21, '113.1479546', '27.7890998', '64.344', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233187192', 0, '2022-10-20 10:33:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67289, '123456789', 21, '113.1479542', '27.7890995', '61.351', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233189337', 0, '2022-10-20 10:33:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67290, '123456789', 21, '113.1479547', '27.7890987', '58.298', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233191017', 0, '2022-10-20 10:33:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67291, '123456789', 21, '113.1479544', '27.7890971', '55.255', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233193148', 0, '2022-10-20 10:33:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67292, '123456789', 21, '113.1479556', '27.7891014', '51.591', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233195348', 0, '2022-10-20 10:33:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67293, '123456789', 21, '113.1479542', '27.789099', '48.559', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233197473', 0, '2022-10-20 10:33:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67294, '123456789', 21, '113.1479541', '27.7890988', '46.258', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233199087', 0, '2022-10-20 10:33:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67295, '123456789', 21, '113.1479538', '27.789099', '43.276', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233201213', 0, '2022-10-20 10:33:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67296, '123456789', 21, '113.1479537', '27.7891009', '39.524', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233203409', 0, '2022-10-20 10:33:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67297, '123456789', 21, '113.1479547', '27.7891', '37.139', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233205092', 0, '2022-10-20 10:33:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67298, '123456789', 21, '113.1479546', '27.7890983', '34.315', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233207295', 0, '2022-10-20 10:33:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67299, '123456789', 21, '113.1479547', '27.7891', '30.533', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233209466', 0, '2022-10-20 10:33:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67300, '123456789', 21, '113.1479533', '27.7891007', '28.167', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233211059', 0, '2022-10-20 10:33:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67301, '123456789', 21, '113.1479547', '27.789101', '25.272', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233213242', 0, '2022-10-20 10:33:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67302, '123456789', 21, '113.1479564', '27.7890977', '21.525', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233215381', 0, '2022-10-20 10:33:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67303, '123456789', 21, '113.1479543', '27.7890986', '19.304', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233217054', 0, '2022-10-20 10:33:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67304, '123456789', 21, '113.1479532', '27.7891002', '16.231', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233219249', 0, '2022-10-20 10:33:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67305, '123456789', 21, '113.1479545', '27.7890994', '15.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233221404', 0, '2022-10-20 10:33:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67306, '123456789', 21, '113.1479547', '27.7891003', '14.408', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233223006', 0, '2022-10-20 10:33:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67307, '123456789', 21, '113.1479549', '27.7890994', '13.863', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233225249', 0, '2022-10-20 10:33:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67308, '123456789', 21, '113.1479538', '27.7891001', '13.142', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233227412', 0, '2022-10-20 10:33:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67309, '123456789', 21, '113.1479542', '27.7891003', '12.519', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233229537', 0, '2022-10-20 10:33:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67310, '123456789', 21, '113.1479552', '27.7890997', '12.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233231205', 0, '2022-10-20 10:33:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67311, '123456789', 21, '113.1479549', '27.7890994', '11.336', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233233420', 0, '2022-10-20 10:33:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67312, '123456789', 21, '113.1479536', '27.7890995', '10.876', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233235030', 0, '2022-10-20 10:33:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67313, '123456789', 21, '113.1479549', '27.7891', '10.291', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233237154', 0, '2022-10-20 10:33:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67314, '123456789', 21, '113.1479554', '27.7890996', '9.523', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233239315', 0, '2022-10-20 10:33:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67315, '123456789', 21, '113.1479545', '27.7891', '8.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233241453', 0, '2022-10-20 10:34:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67316, '123456789', 21, '113.1479547', '27.7891003', '8.435', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233243056', 0, '2022-10-20 10:34:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67317, '123456789', 21, '113.1479541', '27.7890994', '7.875', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233245279', 0, '2022-10-20 10:34:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67318, '123456789', 21, '113.1479548', '27.7891001', '7.156', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233247423', 0, '2022-10-20 10:34:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67319, '123456789', 21, '113.1479548', '27.7891003', '6.689', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233249050', 0, '2022-10-20 10:34:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67320, '123456789', 21, '113.1479548', '27.7890995', '6.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233251153', 0, '2022-10-20 10:34:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67321, '123456789', 21, '113.1479541', '27.7890999', '5.457', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233253266', 0, '2022-10-20 10:34:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67322, '123456789', 21, '113.1479549', '27.7891006', '4.647', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233255405', 0, '2022-10-20 10:34:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67323, '123456789', 21, '113.1479547', '27.7891', '4.236', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233257058', 0, '2022-10-20 10:34:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67324, '123456789', 21, '113.1479545', '27.7890999', '3.824', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233259285', 0, '2022-10-20 10:34:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (67325, '123456789', 21, '113.1479543', '27.7891001', '3.503', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666233261350', 0, '2022-10-20 10:34:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68918, '123456789', 20, '113.1425575', '27.8015842', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259385189', 0, '2022-10-20 17:49:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68919, '123456789', 20, '113.1425571', '27.8015847', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259387376', 0, '2022-10-20 17:49:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68920, '123456789', 20, '113.1425527', '27.8015972', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259389003', 0, '2022-10-20 17:49:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68921, '123456789', 20, '113.1425238', '27.8016674', '149.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259391154', 0, '2022-10-20 17:49:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68922, '123456789', 20, '113.142441', '27.801848', '150.083', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259393354', 0, '2022-10-20 17:49:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68923, '123456789', 20, '113.1423645', '27.802012', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259395471', 0, '2022-10-20 17:49:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68924, '123456789', 20, '113.1423084', '27.8021366', '149.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259397081', 0, '2022-10-20 17:49:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68925, '123456789', 20, '113.1422436', '27.8022867', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259399268', 0, '2022-10-20 17:49:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68926, '123456789', 20, '113.142228', '27.8024499', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259401433', 0, '2022-10-20 17:50:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68927, '123456789', 20, '113.1422535', '27.8025618', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259403021', 0, '2022-10-20 17:50:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68928, '123456789', 20, '113.1422978', '27.8027356', '150.096', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259405180', 0, '2022-10-20 17:50:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68929, '123456789', 20, '113.1423529', '27.8029556', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259407392', 0, '2022-10-20 17:50:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68930, '123456789', 20, '113.1423966', '27.8031302', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259409511', 0, '2022-10-20 17:50:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68931, '123456789', 20, '113.1424299', '27.8032616', '150.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259411129', 0, '2022-10-20 17:50:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68932, '123456789', 20, '113.1424741', '27.8034365', '149.816', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259413227', 0, '2022-10-20 17:50:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68933, '123456789', 20, '113.1425292', '27.8036559', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259415373', 0, '2022-10-20 17:50:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68934, '123456789', 20, '113.1425733', '27.8038312', '149.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259417454', 0, '2022-10-20 17:50:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68935, '123456789', 20, '113.1426063', '27.8039632', '150.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259419026', 0, '2022-10-20 17:50:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68936, '123456789', 20, '113.1426505', '27.8041381', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259421158', 0, '2022-10-20 17:50:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68937, '123456789', 20, '113.142695', '27.8043137', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259423345', 0, '2022-10-20 17:50:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68938, '123456789', 20, '113.1427503', '27.8045328', '149.793', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259425408', 0, '2022-10-20 17:50:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68939, '123456789', 20, '113.1427837', '27.8046646', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259427033', 0, '2022-10-20 17:50:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68940, '123456789', 20, '113.1428277', '27.8048396', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259429159', 0, '2022-10-20 17:50:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68941, '123456789', 20, '113.1428722', '27.8050152', '150.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259431284', 0, '2022-10-20 17:50:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68942, '123456789', 20, '113.1429278', '27.8052345', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259433400', 0, '2022-10-20 17:50:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68943, '123456789', 20, '113.1429713', '27.8054096', '149.784', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259435489', 0, '2022-10-20 17:50:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68944, '123456789', 20, '113.1430043', '27.8055409', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259437023', 0, '2022-10-20 17:50:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68945, '123456789', 20, '113.1430488', '27.8057164', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259439184', 0, '2022-10-20 17:50:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68946, '123456789', 20, '113.1431031', '27.8059355', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259441321', 0, '2022-10-20 17:50:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68947, '123456789', 20, '113.1431479', '27.8061109', '149.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259443386', 0, '2022-10-20 17:50:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68948, '123456789', 20, '113.143181', '27.8062424', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259445018', 0, '2022-10-20 17:50:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68949, '123456789', 20, '113.1432172', '27.8064192', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259447147', 0, '2022-10-20 17:50:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68950, '123456789', 20, '113.1432311', '27.8066428', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259449386', 0, '2022-10-20 17:50:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68951, '123456789', 20, '113.1432278', '27.8068227', '150.135', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259451521', 0, '2022-10-20 17:50:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68952, '123456789', 20, '113.1432247', '27.8069572', '150.075', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259453146', 0, '2022-10-20 17:50:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68953, '123456789', 20, '113.1432195', '27.8071372', '149.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259455267', 0, '2022-10-20 17:50:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68954, '123456789', 20, '113.1432127', '27.8073617', '149.794', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259457379', 0, '2022-10-20 17:50:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68955, '123456789', 20, '113.1432085', '27.807542', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259459501', 0, '2022-10-20 17:51:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68956, '123456789', 20, '113.143205', '27.8076767', '150.179', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259461182', 0, '2022-10-20 17:51:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68957, '123456789', 20, '113.1432006', '27.8078557', '149.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259463300', 0, '2022-10-20 17:51:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68958, '123456789', 20, '113.1431949', '27.8080809', '150.129', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259465535', 0, '2022-10-20 17:51:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68959, '123456789', 20, '113.1431914', '27.8082152', '149.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259467100', 0, '2022-10-20 17:51:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68960, '123456789', 20, '113.1431883', '27.8084401', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259469342', 0, '2022-10-20 17:51:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68961, '123456789', 20, '113.143195', '27.8086197', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259471437', 0, '2022-10-20 17:51:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68962, '123456789', 20, '113.1432096', '27.8087545', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259473067', 0, '2022-10-20 17:51:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68963, '123456789', 20, '113.1432331', '27.8089331', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259475227', 0, '2022-10-20 17:51:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68964, '123456789', 20, '113.1432632', '27.8091561', '150.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259477464', 0, '2022-10-20 17:51:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68965, '123456789', 20, '113.1432806', '27.8092891', '150.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259479036', 0, '2022-10-20 17:51:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68966, '123456789', 20, '113.1433044', '27.8094678', '149.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259481211', 0, '2022-10-20 17:51:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68967, '123456789', 20, '113.143328', '27.8096461', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259483357', 0, '2022-10-20 17:51:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68968, '123456789', 20, '113.1433516', '27.8098241', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259485025', 0, '2022-10-20 17:51:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68969, '123456789', 20, '113.1433758', '27.810003', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259487182', 0, '2022-10-20 17:51:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68970, '123456789', 20, '113.1434057', '27.8102254', '150.081', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259489420', 0, '2022-10-20 17:51:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68971, '123456789', 20, '113.1434241', '27.8103594', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259491102', 0, '2022-10-20 17:51:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68972, '123456789', 20, '113.1434498', '27.8105376', '150.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259493240', 0, '2022-10-20 17:51:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68973, '123456789', 20, '113.1434751', '27.8107158', '149.863', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259495418', 0, '2022-10-20 17:51:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68974, '123456789', 20, '113.1434941', '27.8108501', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259497047', 0, '2022-10-20 17:51:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68975, '123456789', 20, '113.1435254', '27.8110726', '150.198', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259499223', 0, '2022-10-20 17:51:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68976, '123456789', 20, '113.1435571', '27.8112951', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259501460', 0, '2022-10-20 17:51:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68977, '123456789', 20, '113.1435766', '27.8114291', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259503132', 0, '2022-10-20 17:51:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68978, '123456789', 20, '113.1436015', '27.8116073', '149.742', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259505308', 0, '2022-10-20 17:51:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68979, '123456789', 20, '113.1436343', '27.8118303', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259507487', 0, '2022-10-20 17:51:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68980, '123456789', 20, '113.1436552', '27.8119637', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259509157', 0, '2022-10-20 17:51:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68981, '123456789', 20, '113.1436918', '27.8121862', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259511346', 0, '2022-10-20 17:51:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68982, '123456789', 20, '113.1437212', '27.8123639', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259513480', 0, '2022-10-20 17:51:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68983, '123456789', 20, '113.1437434', '27.8124973', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259515105', 0, '2022-10-20 17:51:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68984, '123456789', 20, '113.1437731', '27.8126748', '150.123', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259517302', 0, '2022-10-20 17:51:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68985, '123456789', 20, '113.1438098', '27.8128967', '149.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259519442', 0, '2022-10-20 17:51:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68986, '123456789', 20, '113.1438322', '27.8130304', '149.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259521073', 0, '2022-10-20 17:52:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68987, '123456789', 20, '113.143862', '27.8132079', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259523254', 0, '2022-10-20 17:52:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68988, '123456789', 20, '113.1438987', '27.8134303', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259525436', 0, '2022-10-20 17:52:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68989, '123456789', 20, '113.1439206', '27.8135634', '149.893', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259527061', 0, '2022-10-20 17:52:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68990, '123456789', 20, '113.1439504', '27.8137415', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259529246', 0, '2022-10-20 17:52:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68991, '123456789', 20, '113.1439866', '27.8139635', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259531486', 0, '2022-10-20 17:52:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68992, '123456789', 20, '113.1440088', '27.8140969', '149.876', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259533060', 0, '2022-10-20 17:52:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68993, '123456789', 20, '113.1440389', '27.8142751', '150.113', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259535143', 0, '2022-10-20 17:52:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68994, '123456789', 20, '113.1440749', '27.8144968', '149.859', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259537345', 0, '2022-10-20 17:52:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68995, '123456789', 20, '113.1440987', '27.8146756', '150.066', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259539482', 0, '2022-10-20 17:52:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68996, '123456789', 20, '113.1441078', '27.8148095', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259541113', 0, '2022-10-20 17:52:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68997, '123456789', 20, '113.1441136', '27.8149895', '150.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259543305', 0, '2022-10-20 17:52:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68998, '123456789', 20, '113.144118', '27.8152135', '149.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259545527', 0, '2022-10-20 17:52:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (68999, '123456789', 20, '113.1441207', '27.8153489', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259547151', 0, '2022-10-20 17:52:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69000, '123456789', 20, '113.1441253', '27.8155735', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259549330', 0, '2022-10-20 17:52:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69001, '123456789', 20, '113.1441292', '27.8157534', '150.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259551510', 0, '2022-10-20 17:52:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69002, '123456789', 20, '113.1441324', '27.8158877', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259553137', 0, '2022-10-20 17:52:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69003, '123456789', 20, '113.1441375', '27.8161125', '150.113', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259555330', 0, '2022-10-20 17:52:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69004, '123456789', 20, '113.1441413', '27.8162923', '149.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259557461', 0, '2022-10-20 17:52:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69005, '123456789', 20, '113.1441444', '27.8164271', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259559106', 0, '2022-10-20 17:52:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69006, '123456789', 20, '113.1441483', '27.8166065', '150.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259561302', 0, '2022-10-20 17:52:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69007, '123456789', 20, '113.1441558', '27.8168314', '149.859', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259563547', 0, '2022-10-20 17:52:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69008, '123456789', 20, '113.1441699', '27.8169661', '150.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259565225', 0, '2022-10-20 17:52:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69009, '123456789', 20, '113.144211', '27.8171879', '149.83', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259567425', 0, '2022-10-20 17:52:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69010, '123456789', 20, '113.1442496', '27.8173645', '149.876', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259569543', 0, '2022-10-20 17:52:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69011, '123456789', 20, '113.1442791', '27.8174966', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259571108', 0, '2022-10-20 17:52:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69012, '123456789', 20, '113.1443176', '27.8176725', '150.162', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259573287', 0, '2022-10-20 17:52:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69013, '123456789', 20, '113.1443662', '27.8178921', '149.927', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259575464', 0, '2022-10-20 17:52:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69014, '123456789', 20, '113.1443959', '27.8180248', '150.075', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259577143', 0, '2022-10-20 17:52:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69015, '123456789', 20, '113.1444434', '27.8182449', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259579352', 0, '2022-10-20 17:52:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69016, '123456789', 20, '113.1444726', '27.8183777', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259581031', 0, '2022-10-20 17:53:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69017, '123456789', 20, '113.1445117', '27.818554', '149.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259583211', 0, '2022-10-20 17:53:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69018, '123456789', 20, '113.1445597', '27.8187742', '150.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259585391', 0, '2022-10-20 17:53:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69019, '123456789', 20, '113.1445888', '27.8189067', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259587071', 0, '2022-10-20 17:53:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69020, '123456789', 20, '113.1446281', '27.819083', '149.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259589304', 0, '2022-10-20 17:53:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69021, '123456789', 20, '113.1446765', '27.8193038', '149.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259591393', 0, '2022-10-20 17:53:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69022, '123456789', 20, '113.1447041', '27.819436', '149.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259593021', 0, '2022-10-20 17:53:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69023, '123456789', 20, '113.1447372', '27.8196135', '150.194', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259595268', 0, '2022-10-20 17:53:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69024, '123456789', 20, '113.1447737', '27.8198356', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259597423', 0, '2022-10-20 17:53:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69025, '123456789', 20, '113.1447956', '27.819969', '149.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259599104', 0, '2022-10-20 17:53:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69026, '123456789', 20, '113.144825', '27.8201464', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259601263', 0, '2022-10-20 17:53:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69027, '123456789', 20, '113.1448537', '27.8203247', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259603391', 0, '2022-10-20 17:53:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69028, '123456789', 20, '113.1448828', '27.8205024', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259605002', 0, '2022-10-20 17:53:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69029, '123456789', 20, '113.1449118', '27.8206805', '150.098', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259607183', 0, '2022-10-20 17:53:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69030, '123456789', 20, '113.1449483', '27.8209026', '149.85', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259609412', 0, '2022-10-20 17:53:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69031, '123456789', 20, '113.1449686', '27.8210362', '149.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259611082', 0, '2022-10-20 17:53:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69032, '123456789', 20, '113.1449918', '27.8212145', '149.875', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259613253', 0, '2022-10-20 17:53:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69033, '123456789', 20, '113.1450191', '27.8214375', '150.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259615434', 0, '2022-10-20 17:53:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69034, '123456789', 20, '113.1450347', '27.8215717', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259617101', 0, '2022-10-20 17:53:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69035, '123456789', 20, '113.1450561', '27.8217506', '150.108', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259619284', 0, '2022-10-20 17:53:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69036, '123456789', 20, '113.1450829', '27.8219739', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259621512', 0, '2022-10-20 17:53:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69037, '123456789', 20, '113.145099', '27.8221082', '149.854', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259623193', 0, '2022-10-20 17:53:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69038, '123456789', 20, '113.1451254', '27.8223313', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259625391', 0, '2022-10-20 17:53:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69039, '123456789', 20, '113.145141', '27.8224655', '150.156', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259627040', 0, '2022-10-20 17:53:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69040, '123456789', 20, '113.1451623', '27.8226437', '149.936', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259629187', 0, '2022-10-20 17:53:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69041, '123456789', 20, '113.145189', '27.8228673', '149.907', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259631386', 0, '2022-10-20 17:53:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69042, '123456789', 20, '113.1452049', '27.8230014', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259633064', 0, '2022-10-20 17:53:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69043, '123456789', 20, '113.1452262', '27.8231804', '150.093', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259635288', 0, '2022-10-20 17:53:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69044, '123456789', 20, '113.1452531', '27.8234036', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259637419', 0, '2022-10-20 17:53:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69045, '123456789', 20, '113.145269', '27.8235375', '149.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259639042', 0, '2022-10-20 17:53:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69046, '123456789', 20, '113.1452896', '27.823716', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259641179', 0, '2022-10-20 17:54:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69047, '123456789', 20, '113.1453158', '27.8239395', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259643420', 0, '2022-10-20 17:54:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69048, '123456789', 20, '113.145332', '27.8240737', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259645102', 0, '2022-10-20 17:54:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69049, '123456789', 20, '113.145359', '27.8242967', '149.8', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259647326', 0, '2022-10-20 17:54:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69050, '123456789', 20, '113.14538', '27.8244754', '150.185', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259649511', 0, '2022-10-20 17:54:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69051, '123456789', 20, '113.1453953', '27.824609', '150.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259651128', 0, '2022-10-20 17:54:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69052, '123456789', 20, '113.1454219', '27.8248323', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259653368', 0, '2022-10-20 17:54:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69053, '123456789', 20, '113.1454401', '27.8249812', '149.845', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259655537', 0, '2022-10-20 17:54:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69054, '123456789', 20, '113.145447', '27.8250415', '149.888', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259657155', 0, '2022-10-20 17:54:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69055, '123456789', 20, '113.145439', '27.825035', '149.866', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259659353', 0, '2022-10-20 17:54:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69056, '123456789', 20, '113.1454416', '27.8249263', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259661527', 0, '2022-10-20 17:54:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69057, '123456789', 20, '113.1454193', '27.8247946', '149.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259663157', 0, '2022-10-20 17:54:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69058, '123456789', 20, '113.1453933', '27.8246757', '150.123', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259665389', 0, '2022-10-20 17:54:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69059, '123456789', 20, '113.1453693', '27.8245503', '149.883', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259667023', 0, '2022-10-20 17:54:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69060, '123456789', 20, '113.1453468', '27.8244205', '149.907', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259669174', 0, '2022-10-20 17:54:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69061, '123456789', 20, '113.1453241', '27.8242894', '149.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259671426', 0, '2022-10-20 17:54:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69062, '123456789', 20, '113.1453018', '27.8241577', '149.856', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259673099', 0, '2022-10-20 17:54:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69063, '123456789', 20, '113.14528', '27.8240248', '150.096', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259675341', 0, '2022-10-20 17:54:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69064, '123456789', 20, '113.1452443', '27.8238032', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259677016', 0, '2022-10-20 17:54:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69065, '123456789', 20, '113.1452162', '27.8236253', '149.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259679199', 0, '2022-10-20 17:54:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69066, '123456789', 20, '113.1451864', '27.8234477', '150.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259681355', 0, '2022-10-20 17:54:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69067, '123456789', 20, '113.1451649', '27.8233146', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259683522', 0, '2022-10-20 17:54:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69068, '123456789', 20, '113.1451432', '27.8231815', '149.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259685146', 0, '2022-10-20 17:54:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69069, '123456789', 20, '113.1451215', '27.8230478', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259687326', 0, '2022-10-20 17:54:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69070, '123456789', 20, '113.1451072', '27.8229591', '149.842', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259689005', 0, '2022-10-20 17:54:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69071, '123456789', 20, '113.1450929', '27.8228706', '149.839', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259691071', 0, '2022-10-20 17:54:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69072, '123456789', 20, '113.1450857', '27.8228261', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259693155', 0, '2022-10-20 17:54:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69073, '123456789', 20, '113.145071', '27.8227365', '149.718', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259695279', 0, '2022-10-20 17:54:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69074, '123456789', 20, '113.1450496', '27.8226036', '149.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259697499', 0, '2022-10-20 17:54:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69075, '123456789', 20, '113.145028', '27.8224703', '150.186', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259699150', 0, '2022-10-20 17:54:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69076, '123456789', 20, '113.1450135', '27.8223812', '150.232', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259701347', 0, '2022-10-20 17:55:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69077, '123456789', 20, '113.1449917', '27.8222481', '150.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259703500', 0, '2022-10-20 17:55:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69078, '123456789', 20, '113.1449625', '27.8220704', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259705065', 0, '2022-10-20 17:55:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69079, '123456789', 20, '113.1449338', '27.8218924', '149.791', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259707241', 0, '2022-10-20 17:55:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69080, '123456789', 20, '113.1449121', '27.8217594', '149.796', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259709431', 0, '2022-10-20 17:55:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69081, '123456789', 20, '113.1448902', '27.821626', '149.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259711107', 0, '2022-10-20 17:55:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69082, '123456789', 20, '113.1448543', '27.8214039', '150.063', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259713335', 0, '2022-10-20 17:55:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69083, '123456789', 20, '113.1448253', '27.8212259', '150.112', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259715007', 0, '2022-10-20 17:55:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69084, '123456789', 20, '113.1447817', '27.8209596', '149.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259717116', 0, '2022-10-20 17:55:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69085, '123456789', 20, '113.1447456', '27.8207375', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259719295', 0, '2022-10-20 17:55:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69086, '123456789', 20, '113.1447026', '27.8204702', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259721522', 0, '2022-10-20 17:55:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69087, '123456789', 20, '113.1446595', '27.8202039', '150.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259723195', 0, '2022-10-20 17:55:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69088, '123456789', 20, '113.1446232', '27.8199821', '149.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259725375', 0, '2022-10-20 17:55:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69089, '123456789', 20, '113.1445941', '27.8198041', '149.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259727552', 0, '2022-10-20 17:55:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69090, '123456789', 20, '113.1445725', '27.8196711', '149.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259729219', 0, '2022-10-20 17:55:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69091, '123456789', 20, '113.1445508', '27.8195371', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259731452', 0, '2022-10-20 17:55:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69092, '123456789', 20, '113.1445218', '27.8193596', '150.097', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259733121', 0, '2022-10-20 17:55:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69093, '123456789', 20, '113.1445002', '27.8192261', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259735356', 0, '2022-10-20 17:55:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69094, '123456789', 20, '113.1444783', '27.8190921', '150.063', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259737021', 0, '2022-10-20 17:55:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69095, '123456789', 20, '113.1444424', '27.8188701', '150.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259739190', 0, '2022-10-20 17:55:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69096, '123456789', 20, '113.1444062', '27.8186476', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259741308', 0, '2022-10-20 17:55:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69097, '123456789', 20, '113.1443767', '27.8184697', '149.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259743440', 0, '2022-10-20 17:55:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69098, '123456789', 20, '113.144355', '27.818336', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259745100', 0, '2022-10-20 17:55:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69099, '123456789', 20, '113.144319', '27.8181135', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259747151', 0, '2022-10-20 17:55:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69100, '123456789', 20, '113.1442828', '27.8178912', '150.158', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259749383', 0, '2022-10-20 17:55:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69101, '123456789', 20, '113.1442685', '27.817802', '150.093', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259751018', 0, '2022-10-20 17:55:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69102, '123456789', 20, '113.1442539', '27.817713', '150.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259753256', 0, '2022-10-20 17:55:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69103, '123456789', 20, '113.1442393', '27.8176241', '149.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259755459', 0, '2022-10-20 17:55:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69104, '123456789', 20, '113.1442249', '27.8175352', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259757116', 0, '2022-10-20 17:55:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69105, '123456789', 20, '113.1442029', '27.8174012', '150.067', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259759280', 0, '2022-10-20 17:55:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69106, '123456789', 20, '113.1441957', '27.8173566', '150.124', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259761466', 0, '2022-10-20 17:56:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69107, '123456789', 20, '113.1441885', '27.817312', '150.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259763040', 0, '2022-10-20 17:56:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69108, '123456789', 20, '113.1441744', '27.8172235', '149.767', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259765115', 0, '2022-10-20 17:56:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69109, '123456789', 20, '113.1441389', '27.8170006', '150.132', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259767298', 0, '2022-10-20 17:56:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69110, '123456789', 20, '113.1441144', '27.8167776', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259769497', 0, '2022-10-20 17:56:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69111, '123456789', 20, '113.1441079', '27.8166426', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259771052', 0, '2022-10-20 17:56:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69112, '123456789', 20, '113.1441034', '27.8164637', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259773149', 0, '2022-10-20 17:56:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69113, '123456789', 20, '113.1441001', '27.8162835', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259775351', 0, '2022-10-20 17:56:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69114, '123456789', 20, '113.1440959', '27.8160589', '149.884', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259777511', 0, '2022-10-20 17:56:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69115, '123456789', 20, '113.1440915', '27.8158787', '150.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259779131', 0, '2022-10-20 17:56:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69116, '123456789', 20, '113.1440865', '27.8156547', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259781252', 0, '2022-10-20 17:56:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69117, '123456789', 20, '113.14408', '27.8153404', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259783485', 0, '2022-10-20 17:56:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69118, '123456789', 20, '113.1440753', '27.815116', '150.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259785164', 0, '2022-10-20 17:56:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69119, '123456789', 20, '113.1440689', '27.8148013', '150.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259787345', 0, '2022-10-20 17:56:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69120, '123456789', 20, '113.1440545', '27.8145321', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259789022', 0, '2022-10-20 17:56:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69121, '123456789', 20, '113.1440251', '27.814309', '149.894', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259791261', 0, '2022-10-20 17:56:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69122, '123456789', 20, '113.1439906', '27.8140862', '149.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259793445', 0, '2022-10-20 17:56:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69123, '123456789', 20, '113.1439628', '27.8139087', '150.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259795018', 0, '2022-10-20 17:56:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69124, '123456789', 20, '113.1439287', '27.8136864', '150.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259797191', 0, '2022-10-20 17:56:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69125, '123456789', 20, '113.1438939', '27.8134638', '149.79', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259799372', 0, '2022-10-20 17:56:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69126, '123456789', 20, '113.1438517', '27.8131965', '150.153', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259801543', 0, '2022-10-20 17:56:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69127, '123456789', 20, '113.1438177', '27.8129741', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259803221', 0, '2022-10-20 17:56:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69128, '123456789', 20, '113.1437901', '27.8127957', '150.139', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259805342', 0, '2022-10-20 17:56:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69129, '123456789', 20, '113.1437692', '27.8126626', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259807015', 0, '2022-10-20 17:56:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69130, '123456789', 20, '113.1437344', '27.8124402', '149.842', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259809153', 0, '2022-10-20 17:56:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69131, '123456789', 20, '113.1436997', '27.8122174', '150.112', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259811231', 0, '2022-10-20 17:56:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69132, '123456789', 20, '113.1436719', '27.8120397', '150.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259813412', 0, '2022-10-20 17:56:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69133, '123456789', 20, '113.1436236', '27.8117282', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259815548', 0, '2022-10-20 17:56:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69134, '123456789', 20, '113.1435893', '27.8115059', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259817182', 0, '2022-10-20 17:56:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69135, '123456789', 20, '113.1435616', '27.8113278', '149.903', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259819421', 0, '2022-10-20 17:56:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69136, '123456789', 20, '113.1435406', '27.8111944', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259821098', 0, '2022-10-20 17:57:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69137, '123456789', 20, '113.1435057', '27.8109722', '150.145', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259823344', 0, '2022-10-20 17:57:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69138, '123456789', 20, '113.1434713', '27.8107496', '150.147', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259825546', 0, '2022-10-20 17:57:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69139, '123456789', 20, '113.1434508', '27.8106163', '150.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259827143', 0, '2022-10-20 17:57:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69140, '123456789', 20, '113.1434245', '27.8104384', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259829227', 0, '2022-10-20 17:57:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69141, '123456789', 20, '113.1433979', '27.8102149', '149.761', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259831420', 0, '2022-10-20 17:57:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69142, '123456789', 20, '113.1433788', '27.8100358', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259833059', 0, '2022-10-20 17:57:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69143, '123456789', 20, '113.143352', '27.8097677', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259835221', 0, '2022-10-20 17:57:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69144, '123456789', 20, '113.1433343', '27.8095877', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259837446', 0, '2022-10-20 17:57:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69145, '123456789', 20, '113.1433108', '27.809365', '150.102', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259839040', 0, '2022-10-20 17:57:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69146, '123456789', 20, '113.1432879', '27.8091415', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259841230', 0, '2022-10-20 17:57:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69147, '123456789', 20, '113.1432653', '27.8089176', '149.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259843280', 0, '2022-10-20 17:57:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69148, '123456789', 20, '113.1432386', '27.8086495', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259845344', 0, '2022-10-20 17:57:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69149, '123456789', 20, '113.1432206', '27.8084695', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259847016', 0, '2022-10-20 17:57:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69150, '123456789', 20, '113.1432072', '27.8082456', '150.142', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259849191', 0, '2022-10-20 17:57:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69151, '123456789', 20, '113.1432055', '27.8080661', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259851397', 0, '2022-10-20 17:57:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69152, '123456789', 20, '113.1432065', '27.8078861', '149.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259853033', 0, '2022-10-20 17:57:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69153, '123456789', 20, '113.1432074', '27.8077064', '149.886', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259855117', 0, '2022-10-20 17:57:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69154, '123456789', 20, '113.1432079', '27.8074817', '150.192', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259857346', 0, '2022-10-20 17:57:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69155, '123456789', 20, '113.1432092', '27.8073024', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259859483', 0, '2022-10-20 17:57:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69156, '123456789', 20, '113.1432098', '27.8071676', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259861033', 0, '2022-10-20 17:57:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69157, '123456789', 20, '113.1432108', '27.8069879', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259863229', 0, '2022-10-20 17:57:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69158, '123456789', 20, '113.1432113', '27.8067636', '149.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259865390', 0, '2022-10-20 17:57:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69159, '123456789', 20, '113.1432121', '27.8065834', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259867523', 0, '2022-10-20 17:57:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69160, '123456789', 20, '113.1432129', '27.8064489', '150.166', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259869104', 0, '2022-10-20 17:57:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69161, '123456789', 20, '113.1432138', '27.8062692', '150.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259871242', 0, '2022-10-20 17:57:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69162, '123456789', 20, '113.1432138', '27.8060445', '149.751', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259873410', 0, '2022-10-20 17:57:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69163, '123456789', 20, '113.1432078', '27.8059095', '149.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259875019', 0, '2022-10-20 17:57:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69164, '123456789', 20, '113.1431793', '27.8057312', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259877139', 0, '2022-10-20 17:57:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69165, '123456789', 20, '113.1431323', '27.805556', '150.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259879207', 0, '2022-10-20 17:57:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69166, '123456789', 20, '113.1430704', '27.8053388', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259881380', 0, '2022-10-20 17:58:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69167, '123456789', 20, '113.1430332', '27.8052084', '150.112', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259883016', 0, '2022-10-20 17:58:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69168, '123456789', 20, '113.1429837', '27.8050346', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259885179', 0, '2022-10-20 17:58:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69169, '123456789', 20, '113.1429344', '27.8048604', '149.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259887261', 0, '2022-10-20 17:58:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69170, '123456789', 20, '113.1428721', '27.8046423', '149.774', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259889461', 0, '2022-10-20 17:58:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69171, '123456789', 20, '113.1428348', '27.8045117', '149.863', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259891112', 0, '2022-10-20 17:58:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69172, '123456789', 20, '113.1427849', '27.8043374', '150.068', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259893264', 0, '2022-10-20 17:58:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69173, '123456789', 20, '113.1427226', '27.8041197', '150.242', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259895430', 0, '2022-10-20 17:58:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69174, '123456789', 20, '113.1426856', '27.8039888', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259897063', 0, '2022-10-20 17:58:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69175, '123456789', 20, '113.1426357', '27.8038145', '150.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259899207', 0, '2022-10-20 17:58:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69176, '123456789', 20, '113.1425858', '27.8036406', '150.13', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259901345', 0, '2022-10-20 17:58:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69177, '123456789', 20, '113.1425237', '27.8034226', '150.053', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259903382', 0, '2022-10-20 17:58:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69178, '123456789', 20, '113.142474', '27.8032488', '149.775', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259905480', 0, '2022-10-20 17:58:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69179, '123456789', 20, '113.1424365', '27.8031176', '149.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259907141', 0, '2022-10-20 17:58:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69180, '123456789', 20, '113.1423871', '27.8029437', '149.728', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259909246', 0, '2022-10-20 17:58:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69181, '123456789', 20, '113.1423374', '27.8027697', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259911338', 0, '2022-10-20 17:58:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69182, '123456789', 20, '113.1422868', '27.802578', '150.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259913469', 0, '2022-10-20 17:58:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69183, '123456789', 20, '113.1422883', '27.8024823', '149.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259915048', 0, '2022-10-20 17:58:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69184, '123456789', 20, '113.1423379', '27.8023461', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259917194', 0, '2022-10-20 17:58:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69185, '123456789', 20, '113.1424097', '27.8021823', '150.096', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259919287', 0, '2022-10-20 17:58:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69186, '123456789', 20, '113.1425006', '27.8019708', '149.887', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259921464', 0, '2022-10-20 17:58:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69187, '123456789', 20, '113.1425553', '27.8018441', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259923103', 0, '2022-10-20 17:58:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69188, '123456789', 20, '113.1426274', '27.8016762', '149.875', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259925319', 0, '2022-10-20 17:58:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69189, '123456789', 20, '113.1427182', '27.8014668', '149.886', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259927401', 0, '2022-10-20 17:58:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69190, '123456789', 20, '113.142791', '27.8012992', '150.171', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259929464', 0, '2022-10-20 17:58:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69191, '123456789', 20, '113.1428638', '27.8011316', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259931548', 0, '2022-10-20 17:58:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69192, '123456789', 20, '113.1429184', '27.8010056', '149.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259933128', 0, '2022-10-20 17:58:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69193, '123456789', 20, '113.1430092', '27.8007959', '149.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259935354', 0, '2022-10-20 17:58:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69194, '123456789', 20, '113.1430824', '27.8006282', '149.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259937533', 0, '2022-10-20 17:58:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69195, '123456789', 20, '113.1431368', '27.8005024', '149.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259939088', 0, '2022-10-20 17:58:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69196, '123456789', 20, '113.1432097', '27.8003348', '149.819', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259941192', 0, '2022-10-20 17:59:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69197, '123456789', 20, '113.1433008', '27.800125', '150.122', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259943373', 0, '2022-10-20 17:59:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69198, '123456789', 20, '113.1433737', '27.7999573', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259945508', 0, '2022-10-20 17:59:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69199, '123456789', 20, '113.1434282', '27.7998315', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259947144', 0, '2022-10-20 17:59:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69200, '123456789', 20, '113.1435008', '27.7996638', '150.115', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259949296', 0, '2022-10-20 17:59:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69201, '123456789', 20, '113.1435919', '27.7994545', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259951505', 0, '2022-10-20 17:59:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69202, '123456789', 20, '113.1436459', '27.7993287', '150.179', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259953072', 0, '2022-10-20 17:59:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69203, '123456789', 20, '113.1437183', '27.799161', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259955237', 0, '2022-10-20 17:59:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69204, '123456789', 20, '113.1438099', '27.798951', '149.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259957383', 0, '2022-10-20 17:59:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69205, '123456789', 20, '113.1438828', '27.7987836', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259959448', 0, '2022-10-20 17:59:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69206, '123456789', 20, '113.143937', '27.7986581', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259961103', 0, '2022-10-20 17:59:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69207, '123456789', 20, '113.1440098', '27.7984902', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259963221', 0, '2022-10-20 17:59:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69208, '123456789', 20, '113.1441005', '27.7982809', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259965363', 0, '2022-10-20 17:59:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69209, '123456789', 20, '113.1441734', '27.7981135', '150.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259967529', 0, '2022-10-20 17:59:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69210, '123456789', 20, '113.1442276', '27.7979876', '149.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259969199', 0, '2022-10-20 17:59:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69211, '123456789', 20, '113.1442999', '27.7978198', '149.737', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259971300', 0, '2022-10-20 17:59:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69212, '123456789', 20, '113.1443917', '27.7976102', '150.132', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259973481', 0, '2022-10-20 17:59:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69213, '123456789', 20, '113.144446', '27.7974849', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259975148', 0, '2022-10-20 17:59:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69214, '123456789', 20, '113.1445371', '27.797275', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259977335', 0, '2022-10-20 17:59:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69215, '123456789', 20, '113.14461', '27.7971069', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259979446', 0, '2022-10-20 17:59:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69216, '123456789', 20, '113.1446645', '27.7969812', '149.797', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259981045', 0, '2022-10-20 17:59:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69217, '123456789', 20, '113.1447373', '27.7968129', '150.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259983234', 0, '2022-10-20 17:59:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69218, '123456789', 20, '113.1448283', '27.7966032', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259985352', 0, '2022-10-20 17:59:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69219, '123456789', 20, '113.1449013', '27.7964355', '150.165', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259987428', 0, '2022-10-20 17:59:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69220, '123456789', 20, '113.1449555', '27.7963099', '149.798', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259989107', 0, '2022-10-20 17:59:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69221, '123456789', 20, '113.1450466', '27.7960993', '150.129', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259991341', 0, '2022-10-20 17:59:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69222, '123456789', 20, '113.1451013', '27.7959736', '150.114', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259993007', 0, '2022-10-20 17:59:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69223, '123456789', 20, '113.1451746', '27.7958057', '150.077', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259995200', 0, '2022-10-20 17:59:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69224, '123456789', 20, '113.1452653', '27.795596', '149.84', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259997381', 0, '2022-10-20 17:59:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69225, '123456789', 20, '113.1453382', '27.7954277', '150.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666259999498', 0, '2022-10-20 17:59:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69226, '123456789', 20, '113.1453926', '27.7953025', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260001154', 0, '2022-10-20 18:00:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69227, '123456789', 20, '113.1454656', '27.7951341', '150.088', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260003351', 0, '2022-10-20 18:00:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69228, '123456789', 20, '113.1455569', '27.7949246', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260005500', 0, '2022-10-20 18:00:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69229, '123456789', 20, '113.1456113', '27.7947983', '150.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260007114', 0, '2022-10-20 18:00:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69230, '123456789', 20, '113.1456843', '27.7946306', '149.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260009301', 0, '2022-10-20 18:00:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69231, '123456789', 20, '113.1457753', '27.7944205', '150.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260011462', 0, '2022-10-20 18:00:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69232, '123456789', 20, '113.14583', '27.7942949', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260013063', 0, '2022-10-20 18:00:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69233, '123456789', 20, '113.1459028', '27.7941269', '150.16', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260015278', 0, '2022-10-20 18:00:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69234, '123456789', 20, '113.1459935', '27.793917', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260017348', 0, '2022-10-20 18:00:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69235, '123456789', 20, '113.1460665', '27.7937485', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260019523', 0, '2022-10-20 18:00:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69236, '123456789', 20, '113.146121', '27.7936229', '149.891', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260021135', 0, '2022-10-20 18:00:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69237, '123456789', 20, '113.1461941', '27.7934551', '149.829', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260023239', 0, '2022-10-20 18:00:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69238, '123456789', 20, '113.1462849', '27.7932453', '149.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260025400', 0, '2022-10-20 18:00:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69239, '123456789', 20, '113.1463394', '27.7931194', '150.139', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260027006', 0, '2022-10-20 18:00:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69240, '123456789', 20, '113.1464125', '27.7929515', '150.177', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260029135', 0, '2022-10-20 18:00:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69241, '123456789', 20, '113.1464856', '27.7927835', '149.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260031245', 0, '2022-10-20 18:00:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69242, '123456789', 20, '113.1465581', '27.7926154', '149.828', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260033330', 0, '2022-10-20 18:00:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69243, '123456789', 20, '113.1466488', '27.7924054', '150.147', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260035465', 0, '2022-10-20 18:00:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69244, '123456789', 20, '113.1467035', '27.7922801', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260037088', 0, '2022-10-20 18:00:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69245, '123456789', 20, '113.1467764', '27.7921121', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260039181', 0, '2022-10-20 18:00:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69246, '123456789', 20, '113.1468496', '27.7919441', '149.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260041326', 0, '2022-10-20 18:00:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69247, '123456789', 20, '113.1469408', '27.7917341', '150.155', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260043462', 0, '2022-10-20 18:00:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69248, '123456789', 20, '113.1469955', '27.7916083', '149.857', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260045043', 0, '2022-10-20 18:00:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69249, '123456789', 20, '113.1470679', '27.7914399', '150.169', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260047137', 0, '2022-10-20 18:00:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69250, '123456789', 20, '113.1471406', '27.7912728', '149.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260049285', 0, '2022-10-20 18:00:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69251, '123456789', 20, '113.1472319', '27.7910627', '150.141', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260051452', 0, '2022-10-20 18:00:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69252, '123456789', 20, '113.1472863', '27.7909373', '149.894', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260053075', 0, '2022-10-20 18:00:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69253, '123456789', 20, '113.1473593', '27.7907686', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260055204', 0, '2022-10-20 18:00:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69254, '123456789', 20, '113.1474503', '27.7905586', '149.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260057322', 0, '2022-10-20 18:00:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69255, '123456789', 20, '113.1475126', '27.7904145', '149.913', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260059500', 0, '2022-10-20 18:01:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69256, '123456789', 20, '113.1475387', '27.7903516', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260061060', 0, '2022-10-20 18:01:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69257, '123456789', 20, '113.1475488', '27.7903276', '150.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260063188', 0, '2022-10-20 18:01:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69258, '123456789', 20, '113.147548', '27.7903349', '150.149', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260065324', 0, '2022-10-20 18:01:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69259, '123456789', 20, '113.1475514', '27.7903249', '150.084', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260067494', 0, '2022-10-20 18:01:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69260, '123456789', 20, '113.1475582', '27.7903022', '150.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260069120', 0, '2022-10-20 18:01:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69261, '123456789', 20, '113.1475815', '27.7902228', '150.157', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260071191', 0, '2022-10-20 18:01:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69262, '123456789', 20, '113.1476235', '27.7900791', '150.176', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260073304', 0, '2022-10-20 18:01:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69263, '123456789', 20, '113.1476839', '27.7898699', '150.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260075512', 0, '2022-10-20 18:01:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69264, '123456789', 20, '113.1477213', '27.7897421', '150.083', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260077119', 0, '2022-10-20 18:01:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69265, '123456789', 20, '113.1477718', '27.7895705', '150.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260079266', 0, '2022-10-20 18:01:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69266, '123456789', 20, '113.1478361', '27.7893546', '150.232', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260081446', 0, '2022-10-20 18:01:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69267, '123456789', 20, '113.1478732', '27.7892264', '150.253', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260083039', 0, '2022-10-20 18:01:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69268, '123456789', 20, '113.1479109', '27.7890971', '149.838', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260085225', 0, '2022-10-20 18:01:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69269, '123456789', 20, '113.1479286', '27.7890375', '150.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260087416', 0, '2022-10-20 18:01:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69270, '123456789', 20, '113.1479277', '27.7890414', '150.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260089054', 0, '2022-10-20 18:01:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69271, '123456789', 20, '113.1479251', '27.7890508', '150.081', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260091214', 0, '2022-10-20 18:01:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69272, '123456789', 20, '113.1479224', '27.7890441', '150.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260093370', 0, '2022-10-20 18:01:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69273, '123456789', 20, '113.1479208', '27.7890442', '148.158', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260095449', 0, '2022-10-20 18:01:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69274, '123456789', 20, '113.1479232', '27.7890451', '146.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260097070', 0, '2022-10-20 18:01:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69275, '123456789', 20, '113.1479253', '27.789045', '142.894', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260099249', 0, '2022-10-20 18:01:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69276, '123456789', 20, '113.1479271', '27.7890441', '139.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260101422', 0, '2022-10-20 18:01:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69277, '123456789', 20, '113.147927', '27.7890437', '136.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260103030', 0, '2022-10-20 18:01:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69278, '123456789', 20, '113.1479281', '27.7890429', '133.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260105181', 0, '2022-10-20 18:01:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69279, '123456789', 20, '113.147927', '27.7890427', '130.291', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260107403', 0, '2022-10-20 18:01:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69280, '123456789', 20, '113.1479264', '27.7890438', '127.833', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260109074', 0, '2022-10-20 18:01:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69281, '123456789', 20, '113.1479275', '27.7890432', '124.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260111286', 0, '2022-10-20 18:01:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69282, '123456789', 20, '113.1479274', '27.789044', '121.169', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260113509', 0, '2022-10-20 18:01:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69283, '123456789', 20, '113.1479272', '27.789044', '118.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260115145', 0, '2022-10-20 18:01:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69284, '123456789', 20, '113.1479271', '27.7890437', '115.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260117266', 0, '2022-10-20 18:01:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69285, '123456789', 20, '113.1479275', '27.789044', '112.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260119375', 0, '2022-10-20 18:01:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69286, '123456789', 20, '113.1479276', '27.7890441', '109.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260121040', 0, '2022-10-20 18:02:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69287, '123456789', 20, '113.1479274', '27.7890445', '106.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260123151', 0, '2022-10-20 18:02:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69288, '123456789', 20, '113.1479271', '27.7890434', '103.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260125264', 0, '2022-10-20 18:02:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69289, '123456789', 20, '113.1479275', '27.7890443', '100.135', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260127383', 0, '2022-10-20 18:02:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69290, '123456789', 20, '113.1479269', '27.789044', '97.259', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260129543', 0, '2022-10-20 18:02:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69291, '123456789', 20, '113.1479277', '27.7890439', '94.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260131125', 0, '2022-10-20 18:02:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69292, '123456789', 20, '113.1479271', '27.7890434', '91.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260133239', 0, '2022-10-20 18:02:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69293, '123456789', 20, '113.1479277', '27.789044', '88.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260135308', 0, '2022-10-20 18:02:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69294, '123456789', 20, '113.1479274', '27.7890447', '85.144', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260137459', 0, '2022-10-20 18:02:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69295, '123456789', 20, '113.1479268', '27.7890446', '82.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260139008', 0, '2022-10-20 18:02:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69296, '123456789', 20, '113.147927', '27.7890437', '79.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260141084', 0, '2022-10-20 18:02:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69297, '123456789', 20, '113.1479273', '27.7890436', '76.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260143198', 0, '2022-10-20 18:02:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69298, '123456789', 20, '113.1479273', '27.7890439', '73.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260145306', 0, '2022-10-20 18:02:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69299, '123456789', 20, '113.1479282', '27.789045', '70.142', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260147461', 0, '2022-10-20 18:02:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69300, '123456789', 20, '113.1479278', '27.7890447', '67.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260149025', 0, '2022-10-20 18:02:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69301, '123456789', 20, '113.1479276', '27.7890443', '66.466', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260169600', 0, '2022-10-20 18:02:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69302, '123456789', 20, '113.1479271', '27.7890444', '34.745', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260171124', 0, '2022-10-20 18:02:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69303, '123456789', 20, '113.1479266', '27.7890443', '31.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260173259', 0, '2022-10-20 18:02:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69304, '123456789', 20, '113.1479276', '27.7890443', '28.172', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260175397', 0, '2022-10-20 18:02:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69305, '123456789', 20, '113.1479275', '27.7890448', '25.184', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260177505', 0, '2022-10-20 18:02:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69306, '123456789', 20, '113.147927', '27.7890443', '22.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260179104', 0, '2022-10-20 18:02:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69307, '123456789', 20, '113.1479273', '27.7890445', '19.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260181258', 0, '2022-10-20 18:03:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69308, '123456789', 20, '113.1479265', '27.7890441', '16.166', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260183461', 0, '2022-10-20 18:03:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69309, '123456789', 20, '113.1479265', '27.7890442', '15.136', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260185087', 0, '2022-10-20 18:03:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69310, '123456789', 20, '113.1479267', '27.7890446', '14.54', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260187171', 0, '2022-10-20 18:03:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69311, '123456789', 20, '113.1479282', '27.7890453', '13.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260189225', 0, '2022-10-20 18:03:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69312, '123456789', 20, '113.1479274', '27.7890451', '13.22', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260191386', 0, '2022-10-20 18:03:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69313, '123456789', 20, '113.1479273', '27.7890446', '12.643', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260193501', 0, '2022-10-20 18:03:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69314, '123456789', 20, '113.1479276', '27.7890444', '12.196', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260195100', 0, '2022-10-20 18:03:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69315, '123456789', 20, '113.1479273', '27.7890449', '11.595', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260197171', 0, '2022-10-20 18:03:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69316, '123456789', 20, '113.1479275', '27.7890447', '11.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260199218', 0, '2022-10-20 18:03:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69317, '123456789', 20, '113.1479268', '27.7890446', '10.381', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260201286', 0, '2022-10-20 18:03:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69318, '123456789', 20, '113.1479272', '27.7890448', '9.649', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260203498', 0, '2022-10-20 18:03:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69319, '123456789', 20, '113.1479272', '27.7890447', '9.2', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260205109', 0, '2022-10-20 18:03:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69320, '123456789', 20, '113.1479277', '27.789045', '8.601', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260207232', 0, '2022-10-20 18:03:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69321, '123456789', 20, '113.1479273', '27.789045', '7.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260209378', 0, '2022-10-20 18:03:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69322, '123456789', 20, '113.1479272', '27.7890449', '7.396', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260211025', 0, '2022-10-20 18:03:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69323, '123456789', 20, '113.1479272', '27.7890446', '6.792', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260213159', 0, '2022-10-20 18:03:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69324, '123456789', 20, '113.1479274', '27.7890447', '6.186', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260215307', 0, '2022-10-20 18:03:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69325, '123456789', 20, '113.1479279', '27.7890456', '5.491', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260217442', 0, '2022-10-20 18:03:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69326, '123456789', 20, '113.1479272', '27.7890452', '5.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260219023', 0, '2022-10-20 18:03:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69327, '123456789', 20, '113.1479268', '27.7890448', '4.379', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260221090', 0, '2022-10-20 18:03:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69328, '123456789', 20, '113.1479278', '27.7890447', '3.824', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260223160', 0, '2022-10-20 18:03:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69329, '123456789', 20, '113.147927', '27.7890446', '3.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260225348', 0, '2022-10-20 18:03:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69330, '123456789', 20, '113.1479272', '27.789045', '2.604', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260227016', 0, '2022-10-20 18:03:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69331, '123456789', 20, '113.1479272', '27.7890449', '1.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260229178', 0, '2022-10-20 18:03:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69332, '123456789', 20, '113.147927', '27.7890449', '1.19', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260231420', 0, '2022-10-20 18:03:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69333, '123456789', 20, '113.1479271', '27.789045', '0.796', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260233100', 0, '2022-10-20 18:03:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69334, '123456789', 20, '113.1479273', '27.7890449', '0.13', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260235252', 0, '2022-10-20 18:03:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69335, '123456789', 20, '113.147927', '27.7890452', '-0.5', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260237450', 0, '2022-10-20 18:03:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69336, '123456789', 20, '113.1479268', '27.7890454', '-0.667', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666260239033', 0, '2022-10-20 18:03:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69337, '123456789', 13, '113.1479274', '27.7890447', '-0.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261589978', 0, '2022-10-20 18:26:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69338, '123456789', 13, '113.1479274', '27.7890447', '-0.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261591090', 0, '2022-10-20 18:26:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69339, '123456789', 13, '113.1479271', '27.7890453', '0.129', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261593321', 0, '2022-10-20 18:26:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69340, '123456789', 13, '113.1479286', '27.789045', '5.333', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261595536', 0, '2022-10-20 18:26:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69341, '123456789', 13, '113.1479286', '27.7890443', '10.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261597206', 0, '2022-10-20 18:26:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69342, '123456789', 13, '113.1479265', '27.7890442', '15.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261599412', 0, '2022-10-20 18:26:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69343, '123456789', 13, '113.1479269', '27.7890444', '20.141', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261601072', 0, '2022-10-20 18:26:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69344, '123456789', 13, '113.1479268', '27.7890443', '24.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261603293', 0, '2022-10-20 18:26:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69345, '123456789', 13, '113.1479268', '27.7890442', '30.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261605511', 0, '2022-10-20 18:26:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69346, '123456789', 13, '113.147927', '27.7890443', '35.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261607180', 0, '2022-10-20 18:26:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69347, '123456789', 13, '113.1479271', '27.7890443', '40.12', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261609414', 0, '2022-10-20 18:26:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69348, '123456789', 13, '113.147927', '27.7890444', '45.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261611093', 0, '2022-10-20 18:26:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69349, '123456789', 13, '113.1479272', '27.7890443', '50.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261613329', 0, '2022-10-20 18:26:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69350, '123456789', 13, '113.1479272', '27.7890444', '53.827', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261615003', 0, '2022-10-20 18:26:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69351, '123456789', 13, '113.1479273', '27.7890444', '60.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261617241', 0, '2022-10-20 18:26:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69352, '123456789', 13, '113.1479272', '27.7890445', '65.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261619480', 0, '2022-10-20 18:26:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69353, '123456789', 13, '113.1479274', '27.7890444', '70.077', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261621079', 0, '2022-10-20 18:27:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69354, '123456789', 13, '113.1479272', '27.7890444', '75.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261623302', 0, '2022-10-20 18:27:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69355, '123456789', 13, '113.1479273', '27.7890445', '80.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261625472', 0, '2022-10-20 18:27:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69356, '123456789', 13, '113.1479275', '27.7890443', '85.104', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261627340', 0, '2022-10-20 18:27:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69357, '123456789', 13, '113.1479274', '27.7890443', '90.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261629461', 0, '2022-10-20 18:27:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69358, '123456789', 13, '113.1479275', '27.7890445', '95.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261631138', 0, '2022-10-20 18:27:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69359, '123456789', 13, '113.1479273', '27.7890445', '100.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261633383', 0, '2022-10-20 18:27:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69360, '123456789', 13, '113.1479275', '27.7890445', '103.823', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261635003', 0, '2022-10-20 18:27:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69361, '123456789', 13, '113.1479274', '27.7890445', '110.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261637229', 0, '2022-10-20 18:27:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69362, '123456789', 13, '113.1479274', '27.7890445', '115.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261639359', 0, '2022-10-20 18:27:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69363, '123456789', 13, '113.1479275', '27.7890444', '120.093', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261641508', 0, '2022-10-20 18:27:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69364, '123456789', 13, '113.1479273', '27.7890444', '123.824', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261643099', 0, '2022-10-20 18:27:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69365, '123456789', 13, '113.1479275', '27.7890446', '130.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261645153', 0, '2022-10-20 18:27:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69366, '123456789', 13, '113.1479276', '27.7890446', '135.107', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261647325', 0, '2022-10-20 18:27:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69367, '123456789', 13, '113.1479276', '27.7890445', '140.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261649445', 0, '2022-10-20 18:27:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69368, '123456789', 13, '113.1479275', '27.7890447', '143.799', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261651048', 0, '2022-10-20 18:27:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69369, '123456789', 13, '113.1479272', '27.7890446', '148.643', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261653202', 0, '2022-10-20 18:27:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69370, '123456789', 13, '113.1479276', '27.7890445', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261655450', 0, '2022-10-20 18:27:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69371, '123456789', 13, '113.1479187', '27.7890496', '149.882', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261657081', 0, '2022-10-20 18:27:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69372, '123456789', 13, '113.1478638', '27.789084', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261659174', 0, '2022-10-20 18:27:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69373, '123456789', 13, '113.1477381', '27.7891644', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261661347', 0, '2022-10-20 18:27:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69374, '123456789', 13, '113.1476188', '27.7892401', '149.793', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261663018', 0, '2022-10-20 18:27:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69375, '123456789', 13, '113.1474131', '27.7893694', '150.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261665212', 0, '2022-10-20 18:27:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69376, '123456789', 13, '113.1472625', '27.7894629', '149.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261667402', 0, '2022-10-20 18:27:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69377, '123456789', 13, '113.1471633', '27.7895056', '149.672', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261669016', 0, '2022-10-20 18:27:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69378, '123456789', 13, '113.1469679', '27.7895225', '149.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261671184', 0, '2022-10-20 18:27:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69379, '123456789', 13, '113.1467702', '27.7895238', '149.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261673345', 0, '2022-10-20 18:27:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69380, '123456789', 13, '113.1466171', '27.7895243', '149.664', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261675018', 0, '2022-10-20 18:27:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69381, '123456789', 13, '113.1463617', '27.7895259', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261677160', 0, '2022-10-20 18:27:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69382, '123456789', 13, '113.1461584', '27.7895274', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261679308', 0, '2022-10-20 18:27:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69383, '123456789', 13, '113.1459558', '27.789528', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261681469', 0, '2022-10-20 18:28:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69384, '123456789', 13, '113.1457528', '27.7895291', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261683146', 0, '2022-10-20 18:28:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69385, '123456789', 13, '113.14555', '27.7895303', '149.688', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261685330', 0, '2022-10-20 18:28:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69386, '123456789', 13, '113.1453976', '27.7895313', '149.632', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261687004', 0, '2022-10-20 18:28:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69387, '123456789', 13, '113.1451434', '27.7895322', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261689201', 0, '2022-10-20 18:28:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69388, '123456789', 13, '113.1449405', '27.7895333', '149.773', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261691421', 0, '2022-10-20 18:28:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69389, '123456789', 13, '113.1447881', '27.7895346', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261693035', 0, '2022-10-20 18:28:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69390, '123456789', 13, '113.1445341', '27.7895355', '149.829', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261695256', 0, '2022-10-20 18:28:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69391, '123456789', 13, '113.1443308', '27.7895363', '149.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261697443', 0, '2022-10-20 18:28:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69392, '123456789', 13, '113.1441789', '27.7895372', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261699071', 0, '2022-10-20 18:28:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69393, '123456789', 13, '113.1439252', '27.7895386', '149.845', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261701290', 0, '2022-10-20 18:28:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69394, '123456789', 13, '113.1437218', '27.7895395', '149.807', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261703526', 0, '2022-10-20 18:28:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69395, '123456789', 13, '113.1435193', '27.7895406', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261705202', 0, '2022-10-20 18:28:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69396, '123456789', 13, '113.1433161', '27.7895413', '149.795', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261707440', 0, '2022-10-20 18:28:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69397, '123456789', 13, '113.1431638', '27.7895423', '149.796', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261709057', 0, '2022-10-20 18:28:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69398, '123456789', 13, '113.1429098', '27.7895436', '149.823', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261711178', 0, '2022-10-20 18:28:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69399, '123456789', 13, '113.1427069', '27.7895446', '150.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261713359', 0, '2022-10-20 18:28:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69400, '123456789', 13, '113.1425546', '27.7895453', '149.875', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261715037', 0, '2022-10-20 18:28:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69401, '123456789', 13, '113.1423009', '27.7895468', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261717280', 0, '2022-10-20 18:28:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69402, '123456789', 13, '113.1420981', '27.7895479', '150.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261719420', 0, '2022-10-20 18:28:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69403, '123456789', 13, '113.1418952', '27.7895488', '149.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261721098', 0, '2022-10-20 18:28:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69404, '123456789', 13, '113.1416922', '27.7895497', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261723332', 0, '2022-10-20 18:28:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69405, '123456789', 13, '113.1414893', '27.7895508', '149.626', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261725504', 0, '2022-10-20 18:28:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69406, '123456789', 13, '113.1413371', '27.7895514', '149.815', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261727087', 0, '2022-10-20 18:28:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69407, '123456789', 13, '113.1410834', '27.7895529', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261729285', 0, '2022-10-20 18:28:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69408, '123456789', 13, '113.1408803', '27.7895539', '149.815', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261731439', 0, '2022-10-20 18:28:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69409, '123456789', 13, '113.1407277', '27.7895546', '149.824', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261733052', 0, '2022-10-20 18:28:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69410, '123456789', 13, '113.1404736', '27.7895556', '150.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261735243', 0, '2022-10-20 18:28:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69411, '123456789', 13, '113.1402706', '27.789557', '149.792', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261737425', 0, '2022-10-20 18:28:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69412, '123456789', 13, '113.1401179', '27.7895577', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261739003', 0, '2022-10-20 18:28:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69413, '123456789', 13, '113.1398642', '27.7895589', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261741234', 0, '2022-10-20 18:29:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69414, '123456789', 13, '113.1396605', '27.7895602', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261743425', 0, '2022-10-20 18:29:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69415, '123456789', 13, '113.139508', '27.789564', '149.872', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261745040', 0, '2022-10-20 18:29:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69416, '123456789', 13, '113.1392548', '27.7895859', '150.068', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261747218', 0, '2022-10-20 18:29:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69417, '123456789', 13, '113.1390543', '27.7896133', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261749386', 0, '2022-10-20 18:29:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69418, '123456789', 13, '113.1388544', '27.7896415', '149.857', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261751522', 0, '2022-10-20 18:29:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69419, '123456789', 13, '113.1386537', '27.78967', '149.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261753163', 0, '2022-10-20 18:29:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69420, '123456789', 13, '113.1384534', '27.789698', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261755398', 0, '2022-10-20 18:29:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69421, '123456789', 13, '113.1383028', '27.7897192', '149.799', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261757022', 0, '2022-10-20 18:29:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69422, '123456789', 13, '113.1381022', '27.7897476', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261759084', 0, '2022-10-20 18:29:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69423, '123456789', 13, '113.1378518', '27.7897829', '149.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261761280', 0, '2022-10-20 18:29:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69424, '123456789', 13, '113.137651', '27.7898107', '149.729', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261763503', 0, '2022-10-20 18:29:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69425, '123456789', 13, '113.1374503', '27.7898394', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261765081', 0, '2022-10-20 18:29:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69426, '123456789', 13, '113.13725', '27.7898678', '150.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261767322', 0, '2022-10-20 18:29:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69427, '123456789', 13, '113.1370493', '27.7898961', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261769564', 0, '2022-10-20 18:29:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69428, '123456789', 13, '113.1368486', '27.7899244', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261771202', 0, '2022-10-20 18:29:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69429, '123456789', 13, '113.136648', '27.7899528', '149.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261773371', 0, '2022-10-20 18:29:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69430, '123456789', 13, '113.1364478', '27.7899809', '149.784', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261775479', 0, '2022-10-20 18:29:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69431, '123456789', 13, '113.136247', '27.7900095', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261777165', 0, '2022-10-20 18:29:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69432, '123456789', 13, '113.1360464', '27.7900379', '150.135', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261779361', 0, '2022-10-20 18:29:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69433, '123456789', 13, '113.1358964', '27.790059', '149.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261781012', 0, '2022-10-20 18:29:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69434, '123456789', 13, '113.1356455', '27.7900945', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261783152', 0, '2022-10-20 18:29:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69435, '123456789', 13, '113.1354453', '27.7901226', '149.77', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261785357', 0, '2022-10-20 18:29:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69436, '123456789', 13, '113.1352447', '27.790151', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261787476', 0, '2022-10-20 18:29:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69437, '123456789', 13, '113.1350442', '27.7901792', '150.096', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261789097', 0, '2022-10-20 18:29:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69438, '123456789', 13, '113.1348442', '27.7902073', '149.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261791332', 0, '2022-10-20 18:29:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69439, '123456789', 13, '113.1346936', '27.7902288', '149.792', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261793009', 0, '2022-10-20 18:29:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69440, '123456789', 13, '113.134443', '27.7902643', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261795086', 0, '2022-10-20 18:29:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69441, '123456789', 13, '113.1342428', '27.7902925', '149.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261797205', 0, '2022-10-20 18:29:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69442, '123456789', 13, '113.1340416', '27.7903206', '150.054', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261799389', 0, '2022-10-20 18:29:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69443, '123456789', 13, '113.1338917', '27.7903419', '149.822', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261801012', 0, '2022-10-20 18:30:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69444, '123456789', 13, '113.1336409', '27.7903774', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261803139', 0, '2022-10-20 18:30:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69445, '123456789', 13, '113.1334403', '27.7904054', '149.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261805156', 0, '2022-10-20 18:30:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69446, '123456789', 13, '113.1332401', '27.7904338', '150.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261807283', 0, '2022-10-20 18:30:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69447, '123456789', 13, '113.1330399', '27.790462', '150.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261809459', 0, '2022-10-20 18:30:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69448, '123456789', 13, '113.1328887', '27.7904831', '149.784', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261811026', 0, '2022-10-20 18:30:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69449, '123456789', 13, '113.1326381', '27.7905187', '149.858', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261813216', 0, '2022-10-20 18:30:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69450, '123456789', 13, '113.1324373', '27.7905471', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261815460', 0, '2022-10-20 18:30:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69451, '123456789', 13, '113.1322367', '27.7905754', '149.774', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261817467', 0, '2022-10-20 18:30:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69452, '123456789', 13, '113.1320864', '27.7905967', '150.128', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261819032', 0, '2022-10-20 18:30:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69453, '123456789', 13, '113.1318858', '27.7906249', '149.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261821045', 0, '2022-10-20 18:30:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69454, '123456789', 13, '113.1316844', '27.7906533', '149.833', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261823057', 0, '2022-10-20 18:30:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69455, '123456789', 13, '113.1314836', '27.7906816', '150.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261825068', 0, '2022-10-20 18:30:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69456, '123456789', 13, '113.1312329', '27.7907168', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261827198', 0, '2022-10-20 18:30:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69457, '123456789', 13, '113.1310323', '27.7907454', '149.74', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261829438', 0, '2022-10-20 18:30:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69458, '123456789', 13, '113.1308313', '27.7907739', '149.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261831120', 0, '2022-10-20 18:30:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69459, '123456789', 13, '113.1306304', '27.7908025', '150.074', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261833306', 0, '2022-10-20 18:30:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69460, '123456789', 13, '113.1304301', '27.7908307', '149.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261835362', 0, '2022-10-20 18:30:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69461, '123456789', 13, '113.130229', '27.7908588', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261837559', 0, '2022-10-20 18:30:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69462, '123456789', 13, '113.1300323', '27.7908864', '149.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261839244', 0, '2022-10-20 18:30:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69463, '123456789', 13, '113.1298895', '27.7909082', '149.838', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261841468', 0, '2022-10-20 18:30:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69464, '123456789', 13, '113.1298475', '27.7909558', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261843090', 0, '2022-10-20 18:30:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69465, '123456789', 13, '113.1298677', '27.791068', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261845294', 0, '2022-10-20 18:30:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69466, '123456789', 13, '113.1299006', '27.7912382', '150.098', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261847425', 0, '2022-10-20 18:30:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69467, '123456789', 13, '113.1299373', '27.7914161', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261849117', 0, '2022-10-20 18:30:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69468, '123456789', 13, '113.1299721', '27.7915932', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261851240', 0, '2022-10-20 18:30:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69469, '123456789', 13, '113.1300056', '27.7917696', '150.12', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261853476', 0, '2022-10-20 18:30:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69470, '123456789', 13, '113.1300398', '27.7919465', '149.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261855114', 0, '2022-10-20 18:30:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69471, '123456789', 13, '113.130074', '27.7921238', '150.068', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261857287', 0, '2022-10-20 18:30:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69472, '123456789', 13, '113.1301088', '27.7923007', '149.806', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261859478', 0, '2022-10-20 18:30:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69473, '123456789', 13, '113.1301432', '27.7924781', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261861161', 0, '2022-10-20 18:31:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69474, '123456789', 13, '113.1301779', '27.792655', '150.162', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261863237', 0, '2022-10-20 18:31:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69475, '123456789', 13, '113.1302129', '27.7928318', '149.799', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261865419', 0, '2022-10-20 18:31:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69476, '123456789', 13, '113.1302476', '27.7930093', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261867544', 0, '2022-10-20 18:31:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69477, '123456789', 13, '113.1302814', '27.7931864', '149.825', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261869164', 0, '2022-10-20 18:31:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69478, '123456789', 13, '113.1303163', '27.7933636', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261871244', 0, '2022-10-20 18:31:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69479, '123456789', 13, '113.130351', '27.7935403', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261873442', 0, '2022-10-20 18:31:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69480, '123456789', 13, '113.1303771', '27.7936738', '150.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261875063', 0, '2022-10-20 18:31:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69481, '123456789', 13, '113.1304204', '27.7938947', '150.138', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261877239', 0, '2022-10-20 18:31:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69482, '123456789', 13, '113.1304549', '27.794071', '149.86', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261879485', 0, '2022-10-20 18:31:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69483, '123456789', 13, '113.1304894', '27.7942481', '149.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261881118', 0, '2022-10-20 18:31:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69484, '123456789', 13, '113.1305238', '27.7944253', '149.876', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261883318', 0, '2022-10-20 18:31:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69485, '123456789', 13, '113.1305584', '27.7946023', '149.805', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261885493', 0, '2022-10-20 18:31:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69486, '123456789', 13, '113.1305927', '27.7947795', '150.189', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261887166', 0, '2022-10-20 18:31:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69487, '123456789', 13, '113.1306275', '27.7949559', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261889320', 0, '2022-10-20 18:31:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69488, '123456789', 13, '113.1306625', '27.795133', '149.909', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261891571', 0, '2022-10-20 18:31:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69489, '123456789', 13, '113.1306968', '27.7953102', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261893203', 0, '2022-10-20 18:31:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69490, '123456789', 13, '113.1307314', '27.795487', '149.846', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261895398', 0, '2022-10-20 18:31:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69491, '123456789', 13, '113.130766', '27.7956642', '149.884', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261897528', 0, '2022-10-20 18:31:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69492, '123456789', 13, '113.1308003', '27.7958407', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261899150', 0, '2022-10-20 18:31:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69493, '123456789', 13, '113.1308351', '27.7960177', '150.17', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261901317', 0, '2022-10-20 18:31:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69494, '123456789', 13, '113.1308691', '27.796193', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261903402', 0, '2022-10-20 18:31:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69495, '123456789', 13, '113.1308915', '27.7963029', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261905017', 0, '2022-10-20 18:31:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69496, '123456789', 13, '113.1309513', '27.7963909', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261907195', 0, '2022-10-20 18:31:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69497, '123456789', 13, '113.1310784', '27.7964076', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261909278', 0, '2022-10-20 18:31:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69498, '123456789', 13, '113.1312701', '27.7964279', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261911517', 0, '2022-10-20 18:31:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69499, '123456789', 13, '113.1314735', '27.7964484', '150.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261913145', 0, '2022-10-20 18:31:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69500, '123456789', 13, '113.1316755', '27.7964704', '150.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261915238', 0, '2022-10-20 18:31:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69501, '123456789', 13, '113.1318766', '27.7964925', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261917477', 0, '2022-10-20 18:31:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69502, '123456789', 13, '113.1320778', '27.7965142', '149.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261919160', 0, '2022-10-20 18:31:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69503, '123456789', 13, '113.1322795', '27.7965358', '149.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261921362', 0, '2022-10-20 18:32:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69504, '123456789', 13, '113.1324301', '27.7965525', '150.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261923041', 0, '2022-10-20 18:32:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69505, '123456789', 13, '113.1326802', '27.7965935', '150.164', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261925281', 0, '2022-10-20 18:32:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69506, '123456789', 13, '113.1328762', '27.7966408', '150.115', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261927521', 0, '2022-10-20 18:32:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69507, '123456789', 13, '113.1330709', '27.7966925', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261929201', 0, '2022-10-20 18:32:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69508, '123456789', 13, '113.1332653', '27.7967437', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261931381', 0, '2022-10-20 18:32:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69509, '123456789', 13, '113.1334601', '27.7967951', '149.752', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261933478', 0, '2022-10-20 18:32:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69510, '123456789', 13, '113.1336545', '27.7968465', '149.858', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261935144', 0, '2022-10-20 18:32:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69511, '123456789', 13, '113.1338484', '27.7969014', '150.126', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261937326', 0, '2022-10-20 18:32:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69512, '123456789', 13, '113.1339918', '27.7969456', '149.927', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261939001', 0, '2022-10-20 18:32:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69513, '123456789', 13, '113.1342306', '27.7970228', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261941143', 0, '2022-10-20 18:32:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69514, '123456789', 13, '113.1344209', '27.7970845', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261943236', 0, '2022-10-20 18:32:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69515, '123456789', 13, '113.134612', '27.7971462', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261945434', 0, '2022-10-20 18:32:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69516, '123456789', 13, '113.1348028', '27.7972079', '150.159', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261947556', 0, '2022-10-20 18:32:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69517, '123456789', 13, '113.1349932', '27.7972699', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261949204', 0, '2022-10-20 18:32:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69518, '123456789', 13, '113.1351838', '27.7973319', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261951446', 0, '2022-10-20 18:32:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69519, '123456789', 13, '113.135374', '27.7973938', '149.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261953127', 0, '2022-10-20 18:32:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69520, '123456789', 13, '113.1355656', '27.797456', '149.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261955306', 0, '2022-10-20 18:32:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69521, '123456789', 13, '113.1357557', '27.7975175', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261957478', 0, '2022-10-20 18:32:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69522, '123456789', 13, '113.1359468', '27.7975794', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261959116', 0, '2022-10-20 18:32:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69523, '123456789', 13, '113.1361374', '27.7976416', '150.145', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261961355', 0, '2022-10-20 18:32:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69524, '123456789', 13, '113.1363278', '27.797704', '150.134', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261963547', 0, '2022-10-20 18:32:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69525, '123456789', 13, '113.1365153', '27.7977739', '150.108', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261965133', 0, '2022-10-20 18:32:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69526, '123456789', 13, '113.1366962', '27.7978551', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261967318', 0, '2022-10-20 18:32:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69527, '123456789', 13, '113.1368743', '27.797942', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261969443', 0, '2022-10-20 18:32:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69528, '123456789', 13, '113.137007', '27.7980073', '149.758', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261971076', 0, '2022-10-20 18:32:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69529, '123456789', 13, '113.1372295', '27.7981161', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261973280', 0, '2022-10-20 18:32:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69530, '123456789', 13, '113.137407', '27.7982028', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261975404', 0, '2022-10-20 18:32:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69531, '123456789', 13, '113.1375849', '27.7982898', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261977505', 0, '2022-10-20 18:32:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69532, '123456789', 13, '113.1377625', '27.7983766', '149.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261979128', 0, '2022-10-20 18:32:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69533, '123456789', 13, '113.1379401', '27.7984637', '150.117', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261981272', 0, '2022-10-20 18:33:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69534, '123456789', 13, '113.1381178', '27.7985507', '149.851', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261983453', 0, '2022-10-20 18:33:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69535, '123456789', 13, '113.1382961', '27.7986379', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261985135', 0, '2022-10-20 18:33:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69536, '123456789', 13, '113.1384734', '27.7987246', '149.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261987380', 0, '2022-10-20 18:33:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69537, '123456789', 13, '113.138607', '27.79879', '150.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261989055', 0, '2022-10-20 18:33:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69538, '123456789', 13, '113.1388286', '27.7988986', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261991298', 0, '2022-10-20 18:33:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69539, '123456789', 13, '113.1390066', '27.7989858', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261993420', 0, '2022-10-20 18:33:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69540, '123456789', 13, '113.1391398', '27.7990508', '150.066', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261995047', 0, '2022-10-20 18:33:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69541, '123456789', 13, '113.1393565', '27.7991684', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261997168', 0, '2022-10-20 18:33:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69542, '123456789', 13, '113.1395168', '27.7992786', '149.904', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666261999352', 0, '2022-10-20 18:33:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69543, '123456789', 13, '113.1396694', '27.799398', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262001534', 0, '2022-10-20 18:33:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69544, '123456789', 13, '113.1398204', '27.7995179', '150.067', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262003148', 0, '2022-10-20 18:33:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69545, '123456789', 13, '113.1399713', '27.7996378', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262005384', 0, '2022-10-20 18:33:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69546, '123456789', 13, '113.1400849', '27.7997281', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262007064', 0, '2022-10-20 18:33:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69547, '123456789', 13, '113.1402739', '27.7998775', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262009244', 0, '2022-10-20 18:33:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69548, '123456789', 13, '113.1404247', '27.7999978', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262011486', 0, '2022-10-20 18:33:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69549, '123456789', 13, '113.140576', '27.8001177', '149.852', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262013106', 0, '2022-10-20 18:33:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69550, '123456789', 13, '113.1407278', '27.8002376', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262015344', 0, '2022-10-20 18:33:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69551, '123456789', 13, '113.1408407', '27.8003276', '149.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262017026', 0, '2022-10-20 18:33:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69552, '123456789', 13, '113.14103', '27.800478', '149.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262019161', 0, '2022-10-20 18:33:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69553, '123456789', 13, '113.1411812', '27.8005978', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262021394', 0, '2022-10-20 18:33:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69554, '123456789', 13, '113.141332', '27.8007178', '149.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262023519', 0, '2022-10-20 18:33:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69555, '123456789', 13, '113.1414832', '27.800838', '150.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262025199', 0, '2022-10-20 18:33:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69556, '123456789', 13, '113.1416339', '27.8009579', '150.14', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262027417', 0, '2022-10-20 18:33:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69557, '123456789', 13, '113.1417476', '27.8010477', '149.887', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262029033', 0, '2022-10-20 18:33:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69558, '123456789', 13, '113.141937', '27.8011974', '150.164', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262031273', 0, '2022-10-20 18:33:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69559, '123456789', 13, '113.1420871', '27.8013173', '149.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262033517', 0, '2022-10-20 18:33:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69560, '123456789', 13, '113.1422186', '27.8014213', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262035202', 0, '2022-10-20 18:33:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69561, '123456789', 13, '113.1422939', '27.8014619', '149.885', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262037439', 0, '2022-10-20 18:33:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69562, '123456789', 13, '113.1423348', '27.8014214', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262039076', 0, '2022-10-20 18:33:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69563, '123456789', 13, '113.1424139', '27.8013093', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262041266', 0, '2022-10-20 18:34:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69564, '123456789', 13, '113.1425503', '27.8011212', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262043509', 0, '2022-10-20 18:34:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69565, '123456789', 13, '113.1426608', '27.8009703', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262045202', 0, '2022-10-20 18:34:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69566, '123456789', 13, '113.1427709', '27.8008208', '149.857', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262047426', 0, '2022-10-20 18:34:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69567, '123456789', 13, '113.1428532', '27.8007082', '150.137', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262049082', 0, '2022-10-20 18:34:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69568, '123456789', 13, '113.1429902', '27.8005199', '150.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262051265', 0, '2022-10-20 18:34:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69569, '123456789', 13, '113.1431001', '27.8003687', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262053391', 0, '2022-10-20 18:34:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69570, '123456789', 13, '113.1432102', '27.8002177', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262055476', 0, '2022-10-20 18:34:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69571, '123456789', 13, '113.1432926', '27.8001046', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262057097', 0, '2022-10-20 18:34:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69572, '123456789', 13, '113.1434302', '27.7999156', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262059237', 0, '2022-10-20 18:34:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69573, '123456789', 13, '113.1435397', '27.7997642', '150.096', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262061471', 0, '2022-10-20 18:34:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69574, '123456789', 13, '113.1436492', '27.7996128', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262063137', 0, '2022-10-20 18:34:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69575, '123456789', 13, '113.143748', '27.7994552', '150.074', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262065282', 0, '2022-10-20 18:34:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69576, '123456789', 13, '113.143825', '27.7992889', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262067459', 0, '2022-10-20 18:34:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69577, '123456789', 13, '113.1438738', '27.7991609', '149.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262069079', 0, '2022-10-20 18:34:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69578, '123456789', 13, '113.1439533', '27.7989478', '150.221', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262071318', 0, '2022-10-20 18:34:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69579, '123456789', 13, '113.1440008', '27.7988202', '150.108', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262073004', 0, '2022-10-20 18:34:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69580, '123456789', 13, '113.1440807', '27.7986067', '150.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262075234', 0, '2022-10-20 18:34:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69581, '123456789', 13, '113.1441445', '27.7984363', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262077476', 0, '2022-10-20 18:34:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69582, '123456789', 13, '113.1442077', '27.7982655', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262079138', 0, '2022-10-20 18:34:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69583, '123456789', 13, '113.1442711', '27.7980946', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262081318', 0, '2022-10-20 18:34:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69584, '123456789', 13, '113.1443348', '27.7979241', '150.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262083557', 0, '2022-10-20 18:34:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69585, '123456789', 13, '113.1443987', '27.7977537', '150.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262085243', 0, '2022-10-20 18:34:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69586, '123456789', 13, '113.1444627', '27.7975828', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262087444', 0, '2022-10-20 18:34:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69587, '123456789', 13, '113.1445102', '27.7974549', '150.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262089022', 0, '2022-10-20 18:34:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69588, '123456789', 13, '113.1445836', '27.7972397', '150.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262091185', 0, '2022-10-20 18:34:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69589, '123456789', 13, '113.1446321', '27.7970653', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262093324', 0, '2022-10-20 18:34:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69590, '123456789', 13, '113.1446758', '27.7968895', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262095478', 0, '2022-10-20 18:34:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69591, '123456789', 13, '113.1447196', '27.7967144', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262097104', 0, '2022-10-20 18:34:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69592, '123456789', 13, '113.1447635', '27.7965383', '150.207', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262099246', 0, '2022-10-20 18:34:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69593, '123456789', 13, '113.1448086', '27.7963637', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262101425', 0, '2022-10-20 18:35:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69594, '123456789', 13, '113.1448703', '27.7961923', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262103104', 0, '2022-10-20 18:35:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69595, '123456789', 13, '113.1449553', '27.796029', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262105241', 0, '2022-10-20 18:35:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69596, '123456789', 13, '113.1450496', '27.7958691', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262107422', 0, '2022-10-20 18:35:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69597, '123456789', 13, '113.1451204', '27.7957496', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262109058', 0, '2022-10-20 18:35:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69598, '123456789', 13, '113.1452374', '27.7955513', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262111240', 0, '2022-10-20 18:35:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69599, '123456789', 13, '113.1453313', '27.795391', '150.21', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262113473', 0, '2022-10-20 18:35:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69600, '123456789', 13, '113.1454145', '27.7952277', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262115503', 0, '2022-10-20 18:35:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69601, '123456789', 13, '113.1454823', '27.7950578', '150.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262117124', 0, '2022-10-20 18:35:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69602, '123456789', 13, '113.1455415', '27.7948862', '149.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262119251', 0, '2022-10-20 18:35:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69603, '123456789', 13, '113.1456004', '27.7947137', '150.093', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262121435', 0, '2022-10-20 18:35:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69604, '123456789', 13, '113.1456442', '27.7945854', '150.12', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262123106', 0, '2022-10-20 18:35:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69605, '123456789', 13, '113.1457182', '27.7943703', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262125291', 0, '2022-10-20 18:35:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69606, '123456789', 13, '113.1457773', '27.7941985', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262127480', 0, '2022-10-20 18:35:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69607, '123456789', 13, '113.1458361', '27.7940265', '149.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262129159', 0, '2022-10-20 18:35:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69608, '123456789', 13, '113.1458949', '27.7938544', '150.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262131396', 0, '2022-10-20 18:35:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69609, '123456789', 13, '113.1459537', '27.7936825', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262133075', 0, '2022-10-20 18:35:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69610, '123456789', 13, '113.1460125', '27.7935106', '150.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262135313', 0, '2022-10-20 18:35:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69611, '123456789', 13, '113.1460712', '27.7933384', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262137556', 0, '2022-10-20 18:35:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69612, '123456789', 13, '113.1461302', '27.7931664', '149.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262139236', 0, '2022-10-20 18:35:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69613, '123456789', 13, '113.1461892', '27.7929942', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262141412', 0, '2022-10-20 18:35:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69614, '123456789', 13, '113.1462555', '27.7928248', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262143486', 0, '2022-10-20 18:35:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69615, '123456789', 13, '113.1463375', '27.7926603', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262145095', 0, '2022-10-20 18:35:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69616, '123456789', 13, '113.1464278', '27.7924993', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262147157', 0, '2022-10-20 18:35:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69617, '123456789', 13, '113.1465187', '27.7923385', '149.915', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262149396', 0, '2022-10-20 18:35:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69618, '123456789', 13, '113.1466098', '27.7921772', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262151083', 0, '2022-10-20 18:35:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69619, '123456789', 13, '113.1466999', '27.792017', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262153238', 0, '2022-10-20 18:35:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69620, '123456789', 13, '113.1467902', '27.791856', '150.18', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262155345', 0, '2022-10-20 18:35:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69621, '123456789', 13, '113.146858', '27.7917357', '149.915', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262157036', 0, '2022-10-20 18:35:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69622, '123456789', 13, '113.1469716', '27.7915341', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262159219', 0, '2022-10-20 18:35:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69623, '123456789', 13, '113.1470621', '27.7913736', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262161399', 0, '2022-10-20 18:36:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69624, '123456789', 13, '113.1471302', '27.791253', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262163009', 0, '2022-10-20 18:36:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69625, '123456789', 13, '113.1472433', '27.7910518', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262165190', 0, '2022-10-20 18:36:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69626, '123456789', 13, '113.1473263', '27.7908877', '150.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262167363', 0, '2022-10-20 18:36:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69627, '123456789', 13, '113.147397', '27.7907191', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262169485', 0, '2022-10-20 18:36:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69628, '123456789', 13, '113.1474606', '27.7905489', '149.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262171083', 0, '2022-10-20 18:36:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69629, '123456789', 13, '113.1475242', '27.7903781', '150.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262173277', 0, '2022-10-20 18:36:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69630, '123456789', 13, '113.1475881', '27.7902077', '150.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262175415', 0, '2022-10-20 18:36:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69631, '123456789', 13, '113.1476513', '27.7900368', '150.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262177554', 0, '2022-10-20 18:36:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69632, '123456789', 13, '113.1477148', '27.7898663', '149.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262179173', 0, '2022-10-20 18:36:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69633, '123456789', 13, '113.1477778', '27.7896963', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262181242', 0, '2022-10-20 18:36:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69634, '123456789', 13, '113.1478289', '27.7895581', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262183418', 0, '2022-10-20 18:36:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69635, '123456789', 13, '113.1478507', '27.789499', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262185033', 0, '2022-10-20 18:36:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69636, '123456789', 13, '113.147855', '27.7894858', '150.075', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262187207', 0, '2022-10-20 18:36:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69637, '123456789', 13, '113.1478533', '27.789492', '150.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262189274', 0, '2022-10-20 18:36:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69638, '123456789', 13, '113.1478554', '27.7894785', '150.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262191520', 0, '2022-10-20 18:36:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69639, '123456789', 13, '113.1478629', '27.7894344', '150.165', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262193142', 0, '2022-10-20 18:36:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69640, '123456789', 13, '113.14788', '27.7893331', '150.209', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262195394', 0, '2022-10-20 18:36:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69641, '123456789', 13, '113.1478963', '27.7892323', '150.2', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262197075', 0, '2022-10-20 18:36:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69642, '123456789', 13, '113.1479208', '27.7890846', '150.177', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262199253', 0, '2022-10-20 18:36:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69643, '123456789', 13, '113.1479273', '27.7890395', '150.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262201485', 0, '2022-10-20 18:36:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69644, '123456789', 13, '113.1479274', '27.7890432', '150.132', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262203111', 0, '2022-10-20 18:36:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69645, '123456789', 13, '113.1479284', '27.7890512', '150.096', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262205291', 0, '2022-10-20 18:36:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69646, '123456789', 13, '113.1479258', '27.789049', '150.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262207478', 0, '2022-10-20 18:36:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69647, '123456789', 13, '113.1479232', '27.7890477', '148.78', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262209156', 0, '2022-10-20 18:36:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69648, '123456789', 13, '113.1479251', '27.7890463', '145.802', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262211354', 0, '2022-10-20 18:36:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69649, '123456789', 13, '113.1479256', '27.789046', '143.427', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262213021', 0, '2022-10-20 18:36:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69650, '123456789', 13, '113.1479257', '27.7890444', '139.721', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262215204', 0, '2022-10-20 18:36:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69651, '123456789', 13, '113.1479264', '27.7890436', '136.568', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262217395', 0, '2022-10-20 18:36:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69652, '123456789', 13, '113.1479268', '27.7890437', '133.524', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262219479', 0, '2022-10-20 18:36:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69653, '123456789', 13, '113.147927', '27.7890437', '130.707', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262221160', 0, '2022-10-20 18:37:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69654, '123456789', 13, '113.1479268', '27.7890437', '127.696', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262223353', 0, '2022-10-20 18:37:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69655, '123456789', 13, '113.147927', '27.7890436', '125.331', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262225033', 0, '2022-10-20 18:37:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69656, '123456789', 13, '113.1479268', '27.7890439', '121.678', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262227171', 0, '2022-10-20 18:37:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69657, '123456789', 13, '113.1479272', '27.7890439', '118.602', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262229356', 0, '2022-10-20 18:37:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69658, '123456789', 13, '113.1479275', '27.7890442', '115.565', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262231377', 0, '2022-10-20 18:37:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69659, '123456789', 13, '113.1479271', '27.7890442', '113.447', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262233023', 0, '2022-10-20 18:37:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69660, '123456789', 13, '113.1479269', '27.789044', '109.591', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262235160', 0, '2022-10-20 18:37:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69661, '123456789', 13, '113.1479275', '27.7890441', '106.569', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262237360', 0, '2022-10-20 18:37:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69662, '123456789', 13, '113.1479275', '27.7890442', '103.49', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262239500', 0, '2022-10-20 18:37:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69663, '123456789', 13, '113.1479272', '27.789044', '100.641', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262241174', 0, '2022-10-20 18:37:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69664, '123456789', 13, '113.1479274', '27.7890444', '97.654', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262243267', 0, '2022-10-20 18:37:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69665, '123456789', 13, '113.1479271', '27.7890444', '94.592', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262245502', 0, '2022-10-20 18:37:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69666, '123456789', 13, '113.1479271', '27.7890443', '91.679', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262247133', 0, '2022-10-20 18:37:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69667, '123456789', 13, '113.1479271', '27.7890443', '88.689', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262249317', 0, '2022-10-20 18:37:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69668, '123456789', 13, '113.1479274', '27.7890443', '85.602', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262251552', 0, '2022-10-20 18:37:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69669, '123456789', 13, '113.1479275', '27.789044', '82.549', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262253238', 0, '2022-10-20 18:37:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69670, '123456789', 13, '113.1479273', '27.7890441', '79.645', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262255342', 0, '2022-10-20 18:37:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69671, '123456789', 13, '113.1479273', '27.7890442', '77.33', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262257017', 0, '2022-10-20 18:37:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69672, '123456789', 13, '113.1479272', '27.7890445', '73.664', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262259196', 0, '2022-10-20 18:37:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69673, '123456789', 13, '113.1479276', '27.7890436', '70.604', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262261392', 0, '2022-10-20 18:37:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69674, '123456789', 13, '113.1479271', '27.789044', '68.421', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262263023', 0, '2022-10-20 18:37:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69675, '123456789', 13, '113.1479271', '27.7890446', '64.706', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262265264', 0, '2022-10-20 18:37:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69676, '123456789', 13, '113.1479271', '27.7890447', '61.615', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262267493', 0, '2022-10-20 18:37:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69677, '123456789', 13, '113.1479272', '27.7890445', '58.659', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262269173', 0, '2022-10-20 18:37:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69678, '123456789', 13, '113.1479276', '27.7890439', '55.59', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262271354', 0, '2022-10-20 18:37:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69679, '123456789', 13, '113.1479277', '27.7890445', '53.473', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262273034', 0, '2022-10-20 18:37:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69680, '123456789', 13, '113.1479269', '27.7890446', '49.641', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262275234', 0, '2022-10-20 18:37:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69681, '123456789', 13, '113.1479269', '27.7890443', '46.651', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262277422', 0, '2022-10-20 18:37:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69682, '123456789', 13, '113.1479275', '27.7890441', '44.385', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262279045', 0, '2022-10-20 18:37:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69683, '123456789', 13, '113.1479271', '27.7890445', '40.694', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262281225', 0, '2022-10-20 18:38:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69684, '123456789', 13, '113.1479273', '27.7890439', '37.609', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262283365', 0, '2022-10-20 18:38:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69685, '123456789', 13, '113.1479272', '27.7890446', '34.471', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262285502', 0, '2022-10-20 18:38:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69686, '123456789', 13, '113.1479271', '27.789045', '31.55', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262287124', 0, '2022-10-20 18:38:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69687, '123456789', 13, '113.1479279', '27.7890441', '28.724', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262289199', 0, '2022-10-20 18:38:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69688, '123456789', 13, '113.1479274', '27.7890444', '25.574', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262291277', 0, '2022-10-20 18:38:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69689, '123456789', 13, '113.1479269', '27.7890446', '22.818', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262293356', 0, '2022-10-20 18:38:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69690, '123456789', 13, '113.1479266', '27.789044', '19.639', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262295555', 0, '2022-10-20 18:38:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69691, '123456789', 13, '113.1479275', '27.7890448', '16.595', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262297127', 0, '2022-10-20 18:38:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69692, '123456789', 13, '113.1479272', '27.7890461', '15.148', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262299275', 0, '2022-10-20 18:38:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69693, '123456789', 13, '113.1479275', '27.7890451', '14.468', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262301520', 0, '2022-10-20 18:38:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69694, '123456789', 13, '113.1479277', '27.7890442', '13.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262303158', 0, '2022-10-20 18:38:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69695, '123456789', 13, '113.1479277', '27.7890445', '13.336', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262305356', 0, '2022-10-20 18:38:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69696, '123456789', 13, '113.1479275', '27.7890449', '12.735', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262307537', 0, '2022-10-20 18:38:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69697, '123456789', 13, '113.1479273', '27.789045', '12.157', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262309197', 0, '2022-10-20 18:38:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69698, '123456789', 13, '113.1479275', '27.789045', '11.551', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262311433', 0, '2022-10-20 18:38:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69699, '123456789', 13, '113.1479277', '27.7890449', '10.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262313102', 0, '2022-10-20 18:38:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69700, '123456789', 13, '113.1479272', '27.7890448', '10.351', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262315291', 0, '2022-10-20 18:38:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69701, '123456789', 13, '113.1479271', '27.7890449', '9.764', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262317471', 0, '2022-10-20 18:38:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69702, '123456789', 13, '113.1479273', '27.7890449', '9.148', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262319154', 0, '2022-10-20 18:38:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69703, '123456789', 13, '113.1479275', '27.789045', '8.595', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262321395', 0, '2022-10-20 18:38:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69704, '123456789', 13, '113.1479276', '27.7890451', '7.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262323495', 0, '2022-10-20 18:38:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69705, '123456789', 13, '113.1479275', '27.7890448', '7.365', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262325117', 0, '2022-10-20 18:38:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69706, '123456789', 13, '113.1479277', '27.7890451', '6.734', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262327276', 0, '2022-10-20 18:38:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69707, '123456789', 13, '113.1479272', '27.7890452', '6.138', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262329390', 0, '2022-10-20 18:38:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69708, '123456789', 13, '113.1479271', '27.7890449', '5.556', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262331516', 0, '2022-10-20 18:38:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69709, '123456789', 13, '113.1479275', '27.7890448', '5.102', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262333047', 0, '2022-10-20 18:38:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69710, '123456789', 13, '113.1479279', '27.7890453', '4.387', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262335158', 0, '2022-10-20 18:38:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69711, '123456789', 13, '113.1479266', '27.789045', '3.748', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262337260', 0, '2022-10-20 18:38:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69712, '123456789', 13, '113.1479276', '27.789045', '3.131', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262339435', 0, '2022-10-20 18:38:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69713, '123456789', 13, '113.1479276', '27.7890451', '2.694', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262341000', 0, '2022-10-20 18:39:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69714, '123456789', 13, '113.1479275', '27.7890449', '1.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262343193', 0, '2022-10-20 18:39:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69715, '123456789', 13, '113.1479276', '27.789045', '1.35', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262345273', 0, '2022-10-20 18:39:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69716, '123456789', 13, '113.1479274', '27.789045', '0.762', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262347457', 0, '2022-10-20 18:39:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69717, '123456789', 13, '113.1479274', '27.789045', '0.297', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262349020', 0, '2022-10-20 18:39:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69718, '123456789', 13, '113.1479273', '27.7890456', '-0.426', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262351213', 0, '2022-10-20 18:39:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (69719, '123456789', 13, '113.147927', '27.7890456', '-0.68', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666262353346', 0, '2022-10-20 18:39:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72385, '123456789', 15, '113.1479315', '27.7890536', '0.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761809543', 0, '2022-10-26 13:23:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72386, '123456789', 15, '113.1479314', '27.7890537', '0.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761811140', 0, '2022-10-26 13:23:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72387, '123456789', 15, '113.1479308', '27.7890542', '0.245', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761813254', 0, '2022-10-26 13:23:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72388, '123456789', 15, '113.1479329', '27.7890519', '6.834', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761815475', 0, '2022-10-26 13:23:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72389, '123456789', 15, '113.1479333', '27.7890509', '10.523', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761817103', 0, '2022-10-26 13:23:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72390, '123456789', 15, '113.1479311', '27.7890541', '15.54', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761819225', 0, '2022-10-26 13:23:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72391, '123456789', 15, '113.1479313', '27.7890549', '21.622', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761821457', 0, '2022-10-26 13:23:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72392, '123456789', 15, '113.147931', '27.7890544', '25.476', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761823071', 0, '2022-10-26 13:23:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72393, '123456789', 15, '113.1479314', '27.7890532', '30.475', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761825189', 0, '2022-10-26 13:23:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72394, '123456789', 15, '113.147932', '27.7890536', '36.787', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761827356', 0, '2022-10-26 13:23:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72395, '123456789', 15, '113.1479315', '27.7890536', '41.697', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761829527', 0, '2022-10-26 13:23:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72396, '123456789', 15, '113.1479319', '27.7890536', '45.586', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761831081', 0, '2022-10-26 13:23:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72397, '123456789', 15, '113.1479313', '27.7890538', '50.515', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761833197', 0, '2022-10-26 13:23:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72398, '123456789', 15, '113.1479311', '27.7890537', '55.49', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761835354', 0, '2022-10-26 13:23:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72399, '123456789', 15, '113.147931', '27.7890541', '61.789', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761837524', 0, '2022-10-26 13:23:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72400, '123456789', 15, '113.1479315', '27.7890537', '65.482', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761839164', 0, '2022-10-26 13:23:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72401, '123456789', 15, '113.1479305', '27.7890536', '70.475', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761841263', 0, '2022-10-26 13:24:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72402, '123456789', 15, '113.1479318', '27.7890531', '76.738', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761843367', 0, '2022-10-26 13:24:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72403, '123456789', 15, '113.147932', '27.7890543', '81.686', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761845485', 0, '2022-10-26 13:24:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72404, '123456789', 15, '113.1479309', '27.7890539', '85.426', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761847135', 0, '2022-10-26 13:24:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72405, '123456789', 15, '113.1479319', '27.7890529', '90.451', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761849293', 0, '2022-10-26 13:24:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72406, '123456789', 15, '113.1479315', '27.7890538', '96.802', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761851425', 0, '2022-10-26 13:24:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72407, '123456789', 15, '113.1479309', '27.7890538', '100.502', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761853044', 0, '2022-10-26 13:24:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72408, '123456789', 15, '113.1479308', '27.7890539', '105.577', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761855162', 0, '2022-10-26 13:24:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72409, '123456789', 15, '113.1479314', '27.7890536', '110.575', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761857239', 0, '2022-10-26 13:24:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72410, '123456789', 15, '113.1479315', '27.7890538', '116.847', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761859373', 0, '2022-10-26 13:24:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72411, '123456789', 15, '113.1479312', '27.7890537', '121.705', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761861500', 0, '2022-10-26 13:24:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72412, '123456789', 15, '113.1479314', '27.7890535', '125.563', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761863020', 0, '2022-10-26 13:24:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72413, '123456789', 15, '113.147932', '27.7890533', '130.539', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761865170', 0, '2022-10-26 13:24:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72414, '123456789', 15, '113.1479316', '27.7890532', '135.499', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761867319', 0, '2022-10-26 13:24:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72415, '123456789', 15, '113.1479322', '27.7890538', '141.81', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761869400', 0, '2022-10-26 13:24:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72416, '123456789', 15, '113.1479323', '27.7890533', '145.364', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761871081', 0, '2022-10-26 13:24:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72417, '123456789', 15, '113.1479316', '27.7890532', '148.882', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761873283', 0, '2022-10-26 13:24:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72418, '123456789', 15, '113.1479313', '27.789053', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761875465', 0, '2022-10-26 13:24:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72419, '123456789', 15, '113.1479224', '27.7890423', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761877003', 0, '2022-10-26 13:24:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72420, '123456789', 15, '113.1478739', '27.7889886', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761879198', 0, '2022-10-26 13:24:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72421, '123456789', 15, '113.1477751', '27.7888743', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761881305', 0, '2022-10-26 13:24:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72422, '123456789', 15, '113.1476253', '27.7887008', '149.903', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761883489', 0, '2022-10-26 13:24:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72423, '123456789', 15, '113.1475322', '27.7885948', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761885181', 0, '2022-10-26 13:24:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72424, '123456789', 15, '113.147409', '27.7884538', '149.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761887316', 0, '2022-10-26 13:24:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72425, '123456789', 15, '113.1472556', '27.788277', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761889440', 0, '2022-10-26 13:24:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72426, '123456789', 15, '113.1471629', '27.7881703', '149.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761891011', 0, '2022-10-26 13:24:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72427, '123456789', 15, '113.1470386', '27.788028', '149.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761893077', 0, '2022-10-26 13:24:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72428, '123456789', 15, '113.1469149', '27.7878856', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761895215', 0, '2022-10-26 13:24:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72429, '123456789', 15, '113.1467603', '27.7877077', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761897428', 0, '2022-10-26 13:24:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72430, '123456789', 15, '113.1466672', '27.7876008', '149.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761899024', 0, '2022-10-26 13:24:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72431, '123456789', 15, '113.1465427', '27.7874581', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761901173', 0, '2022-10-26 13:25:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72432, '123456789', 15, '113.146419', '27.7873159', '149.809', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761903344', 0, '2022-10-26 13:25:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72433, '123456789', 15, '113.1462644', '27.7871378', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761905519', 0, '2022-10-26 13:25:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72434, '123456789', 15, '113.1461715', '27.7870309', '149.915', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761907123', 0, '2022-10-26 13:25:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72435, '123456789', 15, '113.1460475', '27.7868885', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761909272', 0, '2022-10-26 13:25:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72436, '123456789', 15, '113.1458934', '27.786711', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761911429', 0, '2022-10-26 13:25:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72437, '123456789', 15, '113.1458007', '27.7866042', '149.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761913073', 0, '2022-10-26 13:25:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72438, '123456789', 15, '113.1456767', '27.7864614', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761915243', 0, '2022-10-26 13:25:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72439, '123456789', 15, '113.145522', '27.7862835', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761917389', 0, '2022-10-26 13:25:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72440, '123456789', 15, '113.1453982', '27.7861411', '149.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761919532', 0, '2022-10-26 13:25:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72441, '123456789', 15, '113.1453052', '27.7860344', '149.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761921072', 0, '2022-10-26 13:25:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72442, '123456789', 15, '113.1451811', '27.7858921', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761923197', 0, '2022-10-26 13:25:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72443, '123456789', 15, '113.145057', '27.7857502', '149.927', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761925269', 0, '2022-10-26 13:25:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72444, '123456789', 15, '113.1449024', '27.7855719', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761927408', 0, '2022-10-26 13:25:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72445, '123456789', 15, '113.1448101', '27.7854651', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761929041', 0, '2022-10-26 13:25:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72446, '123456789', 15, '113.1446865', '27.785323', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761931261', 0, '2022-10-26 13:25:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72447, '123456789', 15, '113.1445627', '27.7851803', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761933370', 0, '2022-10-26 13:25:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72448, '123456789', 15, '113.1444062', '27.7850053', '149.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761935557', 0, '2022-10-26 13:25:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72449, '123456789', 15, '113.1443061', '27.7849012', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761937127', 0, '2022-10-26 13:25:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72450, '123456789', 15, '113.1441694', '27.7847683', '149.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761939333', 0, '2022-10-26 13:25:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72451, '123456789', 15, '113.1439963', '27.7846055', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761941471', 0, '2022-10-26 13:25:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72452, '123456789', 15, '113.1438923', '27.7845077', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761943040', 0, '2022-10-26 13:25:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72453, '123456789', 15, '113.1437522', '27.7843758', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761945240', 0, '2022-10-26 13:25:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72454, '123456789', 15, '113.1435795', '27.7842121', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761947392', 0, '2022-10-26 13:25:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72455, '123456789', 15, '113.1434755', '27.7841148', '149.864', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761949032', 0, '2022-10-26 13:25:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72456, '123456789', 15, '113.143335', '27.7839818', '149.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761951207', 0, '2022-10-26 13:25:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72457, '123456789', 15, '113.1431619', '27.7838186', '149.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761953389', 0, '2022-10-26 13:25:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72458, '123456789', 15, '113.1430579', '27.7837211', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761955064', 0, '2022-10-26 13:25:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72459, '123456789', 15, '113.1429193', '27.7835903', '149.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761957200', 0, '2022-10-26 13:25:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72460, '123456789', 15, '113.1427449', '27.7834262', '149.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761959389', 0, '2022-10-26 13:25:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72461, '123456789', 15, '113.1426406', '27.7833282', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761961029', 0, '2022-10-26 13:26:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72462, '123456789', 15, '113.1425014', '27.7831965', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761963150', 0, '2022-10-26 13:26:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72463, '123456789', 15, '113.1423281', '27.7830322', '150.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761965351', 0, '2022-10-26 13:26:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72464, '123456789', 15, '113.1422244', '27.7829344', '149.671', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761967031', 0, '2022-10-26 13:26:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72465, '123456789', 15, '113.1420849', '27.7828036', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761969273', 0, '2022-10-26 13:26:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72466, '123456789', 15, '113.1419113', '27.7826398', '149.836', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761971484', 0, '2022-10-26 13:26:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72467, '123456789', 15, '113.1418073', '27.7825415', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761973142', 0, '2022-10-26 13:26:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72468, '123456789', 15, '113.1416342', '27.782378', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761975356', 0, '2022-10-26 13:26:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72469, '123456789', 15, '113.1415299', '27.7822799', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761977028', 0, '2022-10-26 13:26:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72470, '123456789', 15, '113.1413904', '27.7821489', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761979251', 0, '2022-10-26 13:26:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72471, '123456789', 15, '113.1412167', '27.7819856', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761981462', 0, '2022-10-26 13:26:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72472, '123456789', 15, '113.1411121', '27.7818869', '149.873', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761983124', 0, '2022-10-26 13:26:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72473, '123456789', 15, '113.1409385', '27.7817233', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761985345', 0, '2022-10-26 13:26:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72474, '123456789', 15, '113.1408003', '27.7815924', '149.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761987553', 0, '2022-10-26 13:26:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72475, '123456789', 15, '113.1406975', '27.7814941', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761989216', 0, '2022-10-26 13:26:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72476, '123456789', 15, '113.1405219', '27.7813308', '149.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761991424', 0, '2022-10-26 13:26:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72477, '123456789', 15, '113.1404177', '27.781232', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761993075', 0, '2022-10-26 13:26:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72478, '123456789', 15, '113.14028', '27.7811015', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761995285', 0, '2022-10-26 13:26:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72479, '123456789', 15, '113.1401068', '27.7809376', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761997501', 0, '2022-10-26 13:26:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72480, '123456789', 15, '113.1400026', '27.7808392', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666761999164', 0, '2022-10-26 13:26:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72481, '123456789', 15, '113.1398288', '27.7806749', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762001385', 0, '2022-10-26 13:26:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72482, '123456789', 15, '113.1397244', '27.780577', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762003056', 0, '2022-10-26 13:26:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72483, '123456789', 15, '113.1395846', '27.7804457', '149.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762005265', 0, '2022-10-26 13:26:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72484, '123456789', 15, '113.1394107', '27.780282', '149.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762007482', 0, '2022-10-26 13:26:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72485, '123456789', 15, '113.1393061', '27.7801831', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762009144', 0, '2022-10-26 13:26:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72486, '123456789', 15, '113.1391332', '27.7800204', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762011358', 0, '2022-10-26 13:26:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72487, '123456789', 15, '113.1390287', '27.7799218', '149.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762013026', 0, '2022-10-26 13:26:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72488, '123456789', 15, '113.138889', '27.7797894', '149.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762015227', 0, '2022-10-26 13:26:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72489, '123456789', 15, '113.1387155', '27.7796268', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762017436', 0, '2022-10-26 13:26:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72490, '123456789', 15, '113.1386111', '27.7795287', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762019107', 0, '2022-10-26 13:26:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72491, '123456789', 15, '113.1384718', '27.779397', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762021303', 0, '2022-10-26 13:27:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72492, '123456789', 15, '113.1382972', '27.7792316', '149.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762023523', 0, '2022-10-26 13:27:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72493, '123456789', 15, '113.1381941', '27.7791339', '150.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762025178', 0, '2022-10-26 13:27:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72494, '123456789', 15, '113.1380197', '27.7789711', '149.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762027386', 0, '2022-10-26 13:27:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72495, '123456789', 15, '113.1379142', '27.7788711', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762029029', 0, '2022-10-26 13:27:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72496, '123456789', 15, '113.1377773', '27.7787408', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762031235', 0, '2022-10-26 13:27:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72497, '123456789', 15, '113.1376026', '27.7785769', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762033445', 0, '2022-10-26 13:27:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72498, '123456789', 15, '113.1374984', '27.7784775', '150.114', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762035108', 0, '2022-10-26 13:27:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72499, '123456789', 15, '113.1373593', '27.7783468', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762037315', 0, '2022-10-26 13:27:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72500, '123456789', 15, '113.1371858', '27.7781834', '149.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762039474', 0, '2022-10-26 13:27:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72501, '123456789', 15, '113.1370817', '27.7780855', '149.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762041142', 0, '2022-10-26 13:27:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72502, '123456789', 15, '113.1369423', '27.777954', '149.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762043360', 0, '2022-10-26 13:27:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72503, '123456789', 15, '113.1368026', '27.7778224', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762045013', 0, '2022-10-26 13:27:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72504, '123456789', 15, '113.136664', '27.7776914', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762047196', 0, '2022-10-26 13:27:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72505, '123456789', 15, '113.1365254', '27.7775607', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762049270', 0, '2022-10-26 13:27:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72506, '123456789', 15, '113.1363514', '27.7773962', '149.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762051446', 0, '2022-10-26 13:27:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72507, '123456789', 15, '113.1362471', '27.7772981', '149.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762053102', 0, '2022-10-26 13:27:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72508, '123456789', 15, '113.1361078', '27.7771671', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762055273', 0, '2022-10-26 13:27:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72509, '123456789', 15, '113.135934', '27.7770027', '150.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762057510', 0, '2022-10-26 13:27:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72510, '123456789', 15, '113.1358291', '27.7769044', '149.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762059190', 0, '2022-10-26 13:27:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72511, '123456789', 15, '113.1356904', '27.7767733', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762061296', 0, '2022-10-26 13:27:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72512, '123456789', 15, '113.1355165', '27.7766093', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762063419', 0, '2022-10-26 13:27:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72513, '123456789', 15, '113.1354122', '27.7765111', '149.871', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762065080', 0, '2022-10-26 13:27:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72514, '123456789', 15, '113.1352735', '27.7763799', '150.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762067156', 0, '2022-10-26 13:27:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72515, '123456789', 15, '113.1351341', '27.7762486', '149.741', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762069237', 0, '2022-10-26 13:27:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72516, '123456789', 15, '113.1349603', '27.7760848', '150.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762071469', 0, '2022-10-26 13:27:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72517, '123456789', 15, '113.1348563', '27.7759872', '150.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762073069', 0, '2022-10-26 13:27:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72518, '123456789', 15, '113.1347166', '27.7758557', '149.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762075276', 0, '2022-10-26 13:27:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72519, '123456789', 15, '113.1345431', '27.7756912', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762077485', 0, '2022-10-26 13:27:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72520, '123456789', 15, '113.1344388', '27.7755932', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762079145', 0, '2022-10-26 13:27:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72521, '123456789', 15, '113.1342999', '27.7754619', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762081356', 0, '2022-10-26 13:28:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72522, '123456789', 15, '113.134161', '27.7753306', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762083015', 0, '2022-10-26 13:28:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72523, '123456789', 15, '113.1340216', '27.7752001', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762085229', 0, '2022-10-26 13:28:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72524, '123456789', 15, '113.1338479', '27.7750353', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762087438', 0, '2022-10-26 13:28:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72525, '123456789', 15, '113.1337443', '27.7749374', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762089098', 0, '2022-10-26 13:28:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72526, '123456789', 15, '113.1336055', '27.7748071', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762091300', 0, '2022-10-26 13:28:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72527, '123456789', 15, '113.1334293', '27.7746413', '149.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762093505', 0, '2022-10-26 13:28:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72528, '123456789', 15, '113.1333253', '27.7745425', '149.876', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762095175', 0, '2022-10-26 13:28:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72529, '123456789', 15, '113.1331526', '27.77438', '150.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762097386', 0, '2022-10-26 13:28:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72530, '123456789', 15, '113.1330489', '27.7742823', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762099045', 0, '2022-10-26 13:28:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72531, '123456789', 15, '113.1329087', '27.7741509', '149.873', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762101254', 0, '2022-10-26 13:28:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72532, '123456789', 15, '113.132734', '27.7739847', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762103468', 0, '2022-10-26 13:28:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72533, '123456789', 15, '113.1326307', '27.7738877', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762105126', 0, '2022-10-26 13:28:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72534, '123456789', 15, '113.1324914', '27.7737571', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762107331', 0, '2022-10-26 13:28:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72535, '123456789', 15, '113.1323182', '27.7735934', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762109542', 0, '2022-10-26 13:28:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72536, '123456789', 15, '113.1322136', '27.7734946', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762111202', 0, '2022-10-26 13:28:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72537, '123456789', 15, '113.1320395', '27.7733307', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762113417', 0, '2022-10-26 13:28:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72538, '123456789', 15, '113.1319361', '27.773233', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762115082', 0, '2022-10-26 13:28:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72539, '123456789', 15, '113.1317954', '27.7731011', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762117296', 0, '2022-10-26 13:28:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72540, '123456789', 15, '113.1316223', '27.772937', '149.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762119506', 0, '2022-10-26 13:28:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72541, '123456789', 15, '113.1315186', '27.7728383', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762121162', 0, '2022-10-26 13:28:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72542, '123456789', 15, '113.1313451', '27.7726758', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762123376', 0, '2022-10-26 13:28:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72543, '123456789', 15, '113.1312399', '27.7725768', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762125042', 0, '2022-10-26 13:28:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72544, '123456789', 15, '113.1311013', '27.7724442', '150.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762127246', 0, '2022-10-26 13:28:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72545, '123456789', 15, '113.1309278', '27.7722815', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762129464', 0, '2022-10-26 13:28:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72546, '123456789', 15, '113.1308237', '27.7721837', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762131116', 0, '2022-10-26 13:28:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72547, '123456789', 15, '113.1306841', '27.772052', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762133333', 0, '2022-10-26 13:28:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72548, '123456789', 15, '113.1305448', '27.7719205', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762135000', 0, '2022-10-26 13:28:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72549, '123456789', 15, '113.1304063', '27.7717898', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762137223', 0, '2022-10-26 13:28:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72550, '123456789', 15, '113.1302309', '27.7716248', '149.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762139435', 0, '2022-10-26 13:28:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72551, '123456789', 15, '113.1301269', '27.7715269', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762141101', 0, '2022-10-26 13:29:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72552, '123456789', 15, '113.1299891', '27.7713961', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762143310', 0, '2022-10-26 13:29:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72553, '123456789', 15, '113.1298495', '27.7712651', '149.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762145522', 0, '2022-10-26 13:29:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72554, '123456789', 15, '113.1297101', '27.771134', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762147184', 0, '2022-10-26 13:29:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72555, '123456789', 15, '113.1295362', '27.7709698', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762149394', 0, '2022-10-26 13:29:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72556, '123456789', 15, '113.1294323', '27.7708718', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762151051', 0, '2022-10-26 13:29:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72557, '123456789', 15, '113.1292938', '27.7707407', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762153265', 0, '2022-10-26 13:29:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72558, '123456789', 15, '113.1291189', '27.7705763', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762155480', 0, '2022-10-26 13:29:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72559, '123456789', 15, '113.1290148', '27.7704782', '149.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762157142', 0, '2022-10-26 13:29:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72560, '123456789', 15, '113.1288758', '27.7703473', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762159351', 0, '2022-10-26 13:29:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72561, '123456789', 15, '113.128772', '27.7702484', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762161009', 0, '2022-10-26 13:29:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72562, '123456789', 15, '113.1285983', '27.770084', '150.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762163213', 0, '2022-10-26 13:29:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72563, '123456789', 15, '113.1284597', '27.7699537', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762165435', 0, '2022-10-26 13:29:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72564, '123456789', 15, '113.1283199', '27.7698225', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762167097', 0, '2022-10-26 13:29:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72565, '123456789', 15, '113.1281807', '27.7696923', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762169314', 0, '2022-10-26 13:29:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72566, '123456789', 15, '113.128006', '27.7695274', '149.876', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762171529', 0, '2022-10-26 13:29:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72567, '123456789', 15, '113.127902', '27.7694287', '149.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762173192', 0, '2022-10-26 13:29:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72568, '123456789', 15, '113.1277632', '27.7692966', '150.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762175402', 0, '2022-10-26 13:29:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72569, '123456789', 15, '113.1276243', '27.7691672', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762177056', 0, '2022-10-26 13:29:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72570, '123456789', 15, '113.1274856', '27.7690352', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762179273', 0, '2022-10-26 13:29:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72571, '123456789', 15, '113.127312', '27.7688717', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762181494', 0, '2022-10-26 13:29:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72572, '123456789', 15, '113.1272075', '27.7687731', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762183158', 0, '2022-10-26 13:29:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72573, '123456789', 15, '113.1270683', '27.7686423', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762185385', 0, '2022-10-26 13:29:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72574, '123456789', 15, '113.1269289', '27.7685109', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762187055', 0, '2022-10-26 13:29:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72575, '123456789', 15, '113.1267899', '27.7683796', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762189285', 0, '2022-10-26 13:29:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72576, '123456789', 15, '113.126616', '27.7682154', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762191505', 0, '2022-10-26 13:29:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72577, '123456789', 15, '113.126512', '27.7681171', '150.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762193159', 0, '2022-10-26 13:29:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72578, '123456789', 15, '113.1263727', '27.7679865', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762195369', 0, '2022-10-26 13:29:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72579, '123456789', 15, '113.1262684', '27.7678883', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762197030', 0, '2022-10-26 13:29:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72580, '123456789', 15, '113.1261639', '27.7677898', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762199238', 0, '2022-10-26 13:29:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72581, '123456789', 15, '113.1260252', '27.7676583', '149.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762201449', 0, '2022-10-26 13:30:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72582, '123456789', 15, '113.1259213', '27.7675595', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762203109', 0, '2022-10-26 13:30:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72583, '123456789', 15, '113.1257476', '27.7673955', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762205328', 0, '2022-10-26 13:30:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72584, '123456789', 15, '113.1256085', '27.7672646', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762207537', 0, '2022-10-26 13:30:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72585, '123456789', 15, '113.1255041', '27.7671666', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762209200', 0, '2022-10-26 13:30:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72586, '123456789', 15, '113.1253299', '27.767003', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762211403', 0, '2022-10-26 13:30:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72587, '123456789', 15, '113.125225', '27.7669049', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762213066', 0, '2022-10-26 13:30:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72588, '123456789', 15, '113.1250863', '27.766772', '149.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762215270', 0, '2022-10-26 13:30:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72589, '123456789', 15, '113.1249472', '27.7666413', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762217488', 0, '2022-10-26 13:30:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72590, '123456789', 15, '113.1248086', '27.7665109', '150.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762219144', 0, '2022-10-26 13:30:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72591, '123456789', 15, '113.1246696', '27.7663802', '150.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762221357', 0, '2022-10-26 13:30:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72592, '123456789', 15, '113.1245992', '27.7663136', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762223011', 0, '2022-10-26 13:30:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72593, '123456789', 15, '113.1244943', '27.7662138', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762225215', 0, '2022-10-26 13:30:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72594, '123456789', 15, '113.1244256', '27.7661494', '149.886', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762227438', 0, '2022-10-26 13:30:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72595, '123456789', 15, '113.1243224', '27.7660521', '150.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762229085', 0, '2022-10-26 13:30:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72596, '123456789', 15, '113.1242527', '27.7659865', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762231305', 0, '2022-10-26 13:30:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72597, '123456789', 15, '113.1241834', '27.7659211', '150.066', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762233505', 0, '2022-10-26 13:30:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72598, '123456789', 15, '113.1241139', '27.7658559', '150.184', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762235161', 0, '2022-10-26 13:30:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72599, '123456789', 15, '113.1240436', '27.7657902', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762237378', 0, '2022-10-26 13:30:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72600, '123456789', 15, '113.1240086', '27.765757', '149.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762239025', 0, '2022-10-26 13:30:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72601, '123456789', 15, '113.123904', '27.7656578', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762241233', 0, '2022-10-26 13:30:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72602, '123456789', 15, '113.1238004', '27.7655606', '149.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762243441', 0, '2022-10-26 13:30:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72603, '123456789', 15, '113.1237301', '27.7654956', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762245094', 0, '2022-10-26 13:30:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72604, '123456789', 15, '113.1236262', '27.7653967', '149.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762247307', 0, '2022-10-26 13:30:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72605, '123456789', 15, '113.1235568', '27.7653307', '149.839', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762249518', 0, '2022-10-26 13:30:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72606, '123456789', 15, '113.1235216', '27.7652973', '149.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762251175', 0, '2022-10-26 13:30:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72607, '123456789', 15, '113.1234524', '27.7652315', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762253384', 0, '2022-10-26 13:30:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72608, '123456789', 15, '113.123383', '27.7651657', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762255037', 0, '2022-10-26 13:30:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72609, '123456789', 15, '113.1232782', '27.7650666', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762257247', 0, '2022-10-26 13:30:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72610, '123456789', 15, '113.1232087', '27.7650018', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762259464', 0, '2022-10-26 13:30:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72611, '123456789', 15, '113.1231739', '27.7649694', '150.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762261121', 0, '2022-10-26 13:31:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72612, '123456789', 15, '113.123105', '27.7649045', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762263328', 0, '2022-10-26 13:31:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72613, '123456789', 15, '113.1230702', '27.7648712', '150.055', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762265525', 0, '2022-10-26 13:31:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72614, '123456789', 15, '113.1230006', '27.7648052', '150.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762267174', 0, '2022-10-26 13:31:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72615, '123456789', 15, '113.1229656', '27.7647722', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762269381', 0, '2022-10-26 13:31:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72616, '123456789', 15, '113.1229306', '27.7647394', '149.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762271044', 0, '2022-10-26 13:31:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72617, '123456789', 15, '113.1228612', '27.7646749', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762273251', 0, '2022-10-26 13:31:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72618, '123456789', 15, '113.1227921', '27.76461', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762275469', 0, '2022-10-26 13:31:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72619, '123456789', 15, '113.1227573', '27.7645767', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762277129', 0, '2022-10-26 13:31:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72620, '123456789', 15, '113.1226876', '27.76451', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762279341', 0, '2022-10-26 13:31:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72621, '123456789', 15, '113.1226527', '27.7644771', '150.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762281002', 0, '2022-10-26 13:31:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72622, '123456789', 15, '113.1225835', '27.7644123', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762283202', 0, '2022-10-26 13:31:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72623, '123456789', 15, '113.1225139', '27.7643475', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762285425', 0, '2022-10-26 13:31:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72624, '123456789', 15, '113.1224791', '27.7643146', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762287094', 0, '2022-10-26 13:31:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72625, '123456789', 15, '113.1224444', '27.7642814', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762289287', 0, '2022-10-26 13:31:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72626, '123456789', 15, '113.1223748', '27.7642151', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762291500', 0, '2022-10-26 13:31:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72627, '123456789', 15, '113.1223748', '27.7642151', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762293162', 0, '2022-10-26 13:31:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72628, '123456789', 15, '113.1222012', '27.7640515', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762295363', 0, '2022-10-26 13:31:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72629, '123456789', 15, '113.1221665', '27.7640189', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762297018', 0, '2022-10-26 13:31:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72630, '123456789', 15, '113.1220619', '27.7639207', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762299245', 0, '2022-10-26 13:31:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72631, '123456789', 15, '113.1220271', '27.7638875', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762301470', 0, '2022-10-26 13:31:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72632, '123456789', 15, '113.121888', '27.7637567', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762303127', 0, '2022-10-26 13:31:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72633, '123456789', 15, '113.1217483', '27.7636255', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762305334', 0, '2022-10-26 13:31:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72634, '123456789', 15, '113.1215406', '27.7634282', '149.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762307558', 0, '2022-10-26 13:31:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72635, '123456789', 15, '113.1214709', '27.7633627', '149.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762309194', 0, '2022-10-26 13:31:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72636, '123456789', 15, '113.1212629', '27.7631659', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762311410', 0, '2022-10-26 13:31:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72637, '123456789', 15, '113.1210538', '27.7629692', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762313071', 0, '2022-10-26 13:31:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72638, '123456789', 15, '113.1208802', '27.7628057', '149.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762315278', 0, '2022-10-26 13:31:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72639, '123456789', 15, '113.1207757', '27.7627074', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762317499', 0, '2022-10-26 13:31:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72640, '123456789', 15, '113.1204977', '27.7624455', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762319158', 0, '2022-10-26 13:31:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72641, '123456789', 15, '113.120219', '27.7621826', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762321373', 0, '2022-10-26 13:32:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72642, '123456789', 15, '113.1200109', '27.761986', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762323099', 0, '2022-10-26 13:32:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72643, '123456789', 15, '113.1192457', '27.7612642', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762325231', 0, '2022-10-26 13:32:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72644, '123456789', 15, '113.1187599', '27.7608056', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762327459', 0, '2022-10-26 13:32:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72645, '123456789', 15, '113.118655', '27.760707', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762329107', 0, '2022-10-26 13:32:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72646, '123456789', 15, '113.1185854', '27.7606414', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762331323', 0, '2022-10-26 13:32:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72647, '123456789', 15, '113.1185507', '27.7606085', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762333532', 0, '2022-10-26 13:32:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72648, '123456789', 15, '113.1182739', '27.7603475', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762335189', 0, '2022-10-26 13:32:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72649, '123456789', 15, '113.1181137', '27.7602091', '150.063', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762337404', 0, '2022-10-26 13:32:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72650, '123456789', 15, '113.1180004', '27.7604453', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762339059', 0, '2022-10-26 13:32:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72651, '123456789', 15, '113.1178462', '27.760778', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762341211', 0, '2022-10-26 13:32:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72652, '123456789', 15, '113.1176935', '27.7611096', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762343392', 0, '2022-10-26 13:32:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72653, '123456789', 15, '113.1175401', '27.7614429', '149.854', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762345079', 0, '2022-10-26 13:32:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72654, '123456789', 15, '113.1173505', '27.76186', '149.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762347364', 0, '2022-10-26 13:32:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72655, '123456789', 15, '113.1172756', '27.7620259', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762349000', 0, '2022-10-26 13:32:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72656, '123456789', 15, '113.1171798', '27.7622335', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762351214', 0, '2022-10-26 13:32:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72657, '123456789', 15, '113.1170847', '27.7624415', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762353412', 0, '2022-10-26 13:32:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72658, '123456789', 15, '113.1169899', '27.7626504', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762355029', 0, '2022-10-26 13:32:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72659, '123456789', 15, '113.1169321', '27.7627764', '149.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762357247', 0, '2022-10-26 13:32:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72660, '123456789', 15, '113.1168565', '27.7629425', '149.903', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762359427', 0, '2022-10-26 13:32:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72661, '123456789', 15, '113.116799', '27.7630669', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762361087', 0, '2022-10-26 13:32:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72662, '123456789', 15, '113.1167234', '27.7632329', '149.877', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762363253', 0, '2022-10-26 13:32:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72663, '123456789', 15, '113.1166471', '27.7633995', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762365393', 0, '2022-10-26 13:32:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72664, '123456789', 15, '113.1165903', '27.7635241', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762367008', 0, '2022-10-26 13:32:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72665, '123456789', 15, '113.1165143', '27.7636908', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762369230', 0, '2022-10-26 13:32:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72666, '123456789', 15, '113.1164762', '27.7637745', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762371403', 0, '2022-10-26 13:32:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72667, '123456789', 15, '113.1164573', '27.763816', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762373045', 0, '2022-10-26 13:32:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72668, '123456789', 15, '113.1164385', '27.7638572', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762375091', 0, '2022-10-26 13:32:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72669, '123456789', 15, '113.1164005', '27.7639407', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762377178', 0, '2022-10-26 13:32:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72670, '123456789', 15, '113.1163623', '27.7640236', '149.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762379386', 0, '2022-10-26 13:32:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72671, '123456789', 15, '113.1163046', '27.7641489', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762381038', 0, '2022-10-26 13:33:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72672, '123456789', 15, '113.116229', '27.7643153', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762383247', 0, '2022-10-26 13:33:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72673, '123456789', 15, '113.1160964', '27.7646058', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762385467', 0, '2022-10-26 13:33:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72674, '123456789', 15, '113.1159622', '27.764898', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762387142', 0, '2022-10-26 13:33:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72675, '123456789', 15, '113.1157913', '27.7652727', '149.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762389343', 0, '2022-10-26 13:33:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72676, '123456789', 15, '113.1156388', '27.765606', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762391001', 0, '2022-10-26 13:33:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72677, '123456789', 15, '113.1154674', '27.7659817', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762393223', 0, '2022-10-26 13:33:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72678, '123456789', 15, '113.1153525', '27.7662308', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762395491', 0, '2022-10-26 13:33:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72679, '123456789', 15, '113.1152579', '27.7664395', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762397138', 0, '2022-10-26 13:33:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72680, '123456789', 15, '113.1151249', '27.7667312', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762399327', 0, '2022-10-26 13:33:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72681, '123456789', 15, '113.1150099', '27.7669814', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762401547', 0, '2022-10-26 13:33:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72682, '123456789', 15, '113.1149145', '27.7671898', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762403223', 0, '2022-10-26 13:33:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72683, '123456789', 15, '113.1148003', '27.7674395', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762405445', 0, '2022-10-26 13:33:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72684, '123456789', 15, '113.1147051', '27.7676487', '149.877', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762407117', 0, '2022-10-26 13:33:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72685, '123456789', 15, '113.1145911', '27.7678987', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762409339', 0, '2022-10-26 13:33:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72686, '123456789', 15, '113.1145148', '27.7680657', '150.118', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762411013', 0, '2022-10-26 13:33:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72687, '123456789', 15, '113.1144387', '27.7682321', '149.826', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762413148', 0, '2022-10-26 13:33:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72688, '123456789', 15, '113.1143623', '27.7683987', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762415370', 0, '2022-10-26 13:33:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72689, '123456789', 15, '113.1142861', '27.7685655', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762417046', 0, '2022-10-26 13:33:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72690, '123456789', 15, '113.1142098', '27.7687324', '149.877', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762419222', 0, '2022-10-26 13:33:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72691, '123456789', 15, '113.1141141', '27.7689407', '149.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762421460', 0, '2022-10-26 13:33:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72692, '123456789', 15, '113.1140572', '27.7690656', '149.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762423133', 0, '2022-10-26 13:33:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72693, '123456789', 15, '113.1139618', '27.7692739', '149.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762425371', 0, '2022-10-26 13:33:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72694, '123456789', 15, '113.1139046', '27.769399', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762427047', 0, '2022-10-26 13:33:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72695, '123456789', 15, '113.1138282', '27.7695662', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762429284', 0, '2022-10-26 13:33:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72696, '123456789', 15, '113.1137397', '27.7697764', '149.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762431515', 0, '2022-10-26 13:33:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72697, '123456789', 15, '113.1136903', '27.7699029', '149.879', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762433194', 0, '2022-10-26 13:33:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72698, '123456789', 15, '113.1136084', '27.7701167', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762435425', 0, '2022-10-26 13:33:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72699, '123456789', 15, '113.1135591', '27.7702437', '149.896', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762437108', 0, '2022-10-26 13:33:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72700, '123456789', 15, '113.1134937', '27.7704138', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762439327', 0, '2022-10-26 13:33:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72701, '123456789', 15, '113.113429', '27.7705844', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762441006', 0, '2022-10-26 13:34:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72702, '123456789', 15, '113.1133639', '27.7707545', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762443222', 0, '2022-10-26 13:34:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72703, '123456789', 15, '113.1132827', '27.7709671', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762445453', 0, '2022-10-26 13:34:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72704, '123456789', 15, '113.1132336', '27.7710951', '150.144', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762447127', 0, '2022-10-26 13:34:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72705, '123456789', 15, '113.1131679', '27.7712648', '150.055', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762449297', 0, '2022-10-26 13:34:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72706, '123456789', 15, '113.113086', '27.7714772', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762451472', 0, '2022-10-26 13:34:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72707, '123456789', 15, '113.1130365', '27.7716047', '149.745', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762453086', 0, '2022-10-26 13:34:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72708, '123456789', 15, '113.1129711', '27.7717755', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762455305', 0, '2022-10-26 13:34:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72709, '123456789', 15, '113.1128899', '27.7719876', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762457533', 0, '2022-10-26 13:34:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72710, '123456789', 15, '113.1128402', '27.7721154', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762459209', 0, '2022-10-26 13:34:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72711, '123456789', 15, '113.1127594', '27.7723283', '149.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762461408', 0, '2022-10-26 13:34:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72712, '123456789', 15, '113.11271', '27.7724553', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762463071', 0, '2022-10-26 13:34:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72713, '123456789', 15, '113.1126452', '27.7726258', '149.849', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762465277', 0, '2022-10-26 13:34:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72714, '123456789', 15, '113.1125642', '27.7728381', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762467486', 0, '2022-10-26 13:34:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72715, '123456789', 15, '113.1125155', '27.7729661', '150.076', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762469141', 0, '2022-10-26 13:34:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72716, '123456789', 15, '113.1124495', '27.7731361', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762471359', 0, '2022-10-26 13:34:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72717, '123456789', 15, '113.1123842', '27.773306', '149.775', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762473019', 0, '2022-10-26 13:34:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72718, '123456789', 15, '113.1123192', '27.7734759', '150.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762475227', 0, '2022-10-26 13:34:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72719, '123456789', 15, '113.112237', '27.7736881', '150.068', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762477445', 0, '2022-10-26 13:34:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72720, '123456789', 15, '113.1121877', '27.7738157', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762479109', 0, '2022-10-26 13:34:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72721, '123456789', 15, '113.1121065', '27.7740284', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762481327', 0, '2022-10-26 13:34:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72722, '123456789', 15, '113.1120406', '27.7741983', '150.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762483548', 0, '2022-10-26 13:34:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72723, '123456789', 15, '113.111992', '27.7743258', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762485218', 0, '2022-10-26 13:34:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72724, '123456789', 15, '113.1119109', '27.7745388', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762487434', 0, '2022-10-26 13:34:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72725, '123456789', 15, '113.1118622', '27.774666', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762489104', 0, '2022-10-26 13:34:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72726, '123456789', 15, '113.1117968', '27.7748358', '149.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762491331', 0, '2022-10-26 13:34:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72727, '123456789', 15, '113.111731', '27.7750052', '149.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762493008', 0, '2022-10-26 13:34:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72728, '123456789', 15, '113.1116656', '27.7751762', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762495246', 0, '2022-10-26 13:34:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72729, '123456789', 15, '113.1115837', '27.7753899', '149.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762497473', 0, '2022-10-26 13:34:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72730, '123456789', 15, '113.1115349', '27.7755175', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762499150', 0, '2022-10-26 13:34:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72731, '123456789', 15, '113.1114702', '27.7756883', '149.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762501369', 0, '2022-10-26 13:35:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72732, '123456789', 15, '113.1114052', '27.7758583', '149.825', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762503040', 0, '2022-10-26 13:35:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72733, '123456789', 15, '113.1113459', '27.7760305', '150.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762505251', 0, '2022-10-26 13:35:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72734, '123456789', 15, '113.1112998', '27.7762515', '149.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762507462', 0, '2022-10-26 13:35:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72735, '123456789', 15, '113.1112817', '27.7763852', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762509120', 0, '2022-10-26 13:35:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72736, '123456789', 15, '113.111258', '27.7765628', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762511327', 0, '2022-10-26 13:35:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72737, '123456789', 15, '113.1112273', '27.7767867', '149.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762513542', 0, '2022-10-26 13:35:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72738, '123456789', 15, '113.111209', '27.7769201', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762515203', 0, '2022-10-26 13:35:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72739, '123456789', 15, '113.1111782', '27.7771431', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762517414', 0, '2022-10-26 13:35:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72740, '123456789', 15, '113.1111601', '27.7772769', '149.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762519078', 0, '2022-10-26 13:35:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72741, '123456789', 15, '113.1111359', '27.7774555', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762521300', 0, '2022-10-26 13:35:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72742, '123456789', 15, '113.111106', '27.7776785', '150.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762523510', 0, '2022-10-26 13:35:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72743, '123456789', 15, '113.1110878', '27.7778123', '149.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762525168', 0, '2022-10-26 13:35:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72744, '123456789', 15, '113.1110569', '27.7780346', '150.053', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762527388', 0, '2022-10-26 13:35:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72745, '123456789', 15, '113.1110397', '27.7781685', '149.913', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762529050', 0, '2022-10-26 13:35:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72746, '123456789', 15, '113.1110155', '27.7783475', '150.096', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762531283', 0, '2022-10-26 13:35:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72747, '123456789', 15, '113.1109843', '27.7785699', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762533449', 0, '2022-10-26 13:35:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72748, '123456789', 15, '113.1109658', '27.7787043', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762535115', 0, '2022-10-26 13:35:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72749, '123456789', 15, '113.1109419', '27.7788822', '150.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762537340', 0, '2022-10-26 13:35:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72750, '123456789', 15, '113.110918', '27.7790598', '150.191', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762539006', 0, '2022-10-26 13:35:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72751, '123456789', 15, '113.1108936', '27.779239', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762541223', 0, '2022-10-26 13:35:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72752, '123456789', 15, '113.110864', '27.7794615', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762543450', 0, '2022-10-26 13:35:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72753, '123456789', 15, '113.1108463', '27.7795957', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762545125', 0, '2022-10-26 13:35:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72754, '123456789', 15, '113.1108217', '27.7797741', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762547349', 0, '2022-10-26 13:35:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72755, '123456789', 15, '113.1107972', '27.7799518', '149.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762549019', 0, '2022-10-26 13:35:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72756, '123456789', 15, '113.1107724', '27.7801309', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762551251', 0, '2022-10-26 13:35:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72757, '123456789', 15, '113.1107424', '27.7803533', '150.081', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762553479', 0, '2022-10-26 13:35:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72758, '123456789', 15, '113.1107245', '27.7804868', '150.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762555150', 0, '2022-10-26 13:35:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72759, '123456789', 15, '113.1106944', '27.7807098', '150.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762557367', 0, '2022-10-26 13:35:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72760, '123456789', 15, '113.1106761', '27.7808432', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762559033', 0, '2022-10-26 13:35:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72761, '123456789', 15, '113.1106522', '27.7810221', '149.822', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762561250', 0, '2022-10-26 13:36:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72762, '123456789', 15, '113.1106207', '27.7812448', '149.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762563479', 0, '2022-10-26 13:36:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72763, '123456789', 15, '113.1106027', '27.781378', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762565153', 0, '2022-10-26 13:36:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72764, '123456789', 15, '113.1105739', '27.7816015', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762567377', 0, '2022-10-26 13:36:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72765, '123456789', 15, '113.1105644', '27.7817369', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762569076', 0, '2022-10-26 13:36:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72766, '123456789', 15, '113.1105698', '27.7819163', '149.887', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762571233', 0, '2022-10-26 13:36:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72767, '123456789', 15, '113.1105925', '27.7821395', '149.856', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762573459', 0, '2022-10-26 13:36:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72768, '123456789', 15, '113.1106072', '27.7822735', '149.851', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762575125', 0, '2022-10-26 13:36:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72769, '123456789', 15, '113.1106275', '27.7824527', '150.13', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762577352', 0, '2022-10-26 13:36:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72770, '123456789', 15, '113.1106476', '27.7826315', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762579018', 0, '2022-10-26 13:36:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72771, '123456789', 15, '113.1106674', '27.7828106', '150.113', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762581237', 0, '2022-10-26 13:36:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72772, '123456789', 15, '113.1106922', '27.7830339', '150.134', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762583449', 0, '2022-10-26 13:36:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72773, '123456789', 15, '113.1107064', '27.7831677', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762585107', 0, '2022-10-26 13:36:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72774, '123456789', 15, '113.110726', '27.7833465', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762587323', 0, '2022-10-26 13:36:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72775, '123456789', 15, '113.1107505', '27.78357', '149.882', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762589545', 0, '2022-10-26 13:36:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72776, '123456789', 15, '113.1107646', '27.783704', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762591216', 0, '2022-10-26 13:36:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72777, '123456789', 15, '113.110789', '27.7839287', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762593432', 0, '2022-10-26 13:36:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72778, '123456789', 15, '113.1108041', '27.7840627', '149.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762595105', 0, '2022-10-26 13:36:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72779, '123456789', 15, '113.1108234', '27.7842408', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762597324', 0, '2022-10-26 13:36:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72780, '123456789', 15, '113.1108492', '27.7844643', '150.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762599552', 0, '2022-10-26 13:36:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72781, '123456789', 15, '113.1108643', '27.7845986', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762601232', 0, '2022-10-26 13:36:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72782, '123456789', 15, '113.1108883', '27.7848228', '149.725', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762603450', 0, '2022-10-26 13:36:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72783, '123456789', 15, '113.1109032', '27.7849568', '150.144', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762605060', 0, '2022-10-26 13:36:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72784, '123456789', 15, '113.1109222', '27.7851343', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762607282', 0, '2022-10-26 13:36:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72785, '123456789', 15, '113.1109464', '27.7853579', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762609501', 0, '2022-10-26 13:36:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72786, '123456789', 15, '113.1109625', '27.7854913', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762611165', 0, '2022-10-26 13:36:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72787, '123456789', 15, '113.110986', '27.7857158', '150.155', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762613392', 0, '2022-10-26 13:36:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72788, '123456789', 15, '113.1110006', '27.7858483', '150.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762615064', 0, '2022-10-26 13:36:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72789, '123456789', 15, '113.1110184', '27.7859924', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762617298', 0, '2022-10-26 13:36:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72790, '123456789', 15, '113.1110778', '27.7860481', '149.749', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762619522', 0, '2022-10-26 13:37:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72791, '123456789', 15, '113.1111733', '27.7860517', '150.217', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762621185', 0, '2022-10-26 13:37:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72792, '123456789', 15, '113.111411', '27.7860523', '150.169', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762623402', 0, '2022-10-26 13:37:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72793, '123456789', 15, '113.1115645', '27.7860505', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762625063', 0, '2022-10-26 13:37:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72794, '123456789', 15, '113.1117683', '27.7860503', '150.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762627267', 0, '2022-10-26 13:37:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72795, '123456789', 15, '113.1120212', '27.786051', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762629474', 0, '2022-10-26 13:37:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72796, '123456789', 15, '113.1121728', '27.7860515', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762631137', 0, '2022-10-26 13:37:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72797, '123456789', 15, '113.1123763', '27.7860514', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762633351', 0, '2022-10-26 13:37:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72798, '123456789', 15, '113.11258', '27.786051', '150.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762635006', 0, '2022-10-26 13:37:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72799, '123456789', 15, '113.1127825', '27.7860509', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762637226', 0, '2022-10-26 13:37:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72800, '123456789', 15, '113.1130363', '27.7860502', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762639439', 0, '2022-10-26 13:37:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72801, '123456789', 15, '113.1131885', '27.7860504', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762641105', 0, '2022-10-26 13:37:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72802, '123456789', 15, '113.1133916', '27.7860504', '150.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762643325', 0, '2022-10-26 13:37:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72803, '123456789', 15, '113.1136471', '27.7860493', '150.144', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762645533', 0, '2022-10-26 13:37:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72804, '123456789', 15, '113.1137993', '27.786049', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762647198', 0, '2022-10-26 13:37:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72805, '123456789', 15, '113.1140012', '27.7860498', '150.077', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762649416', 0, '2022-10-26 13:37:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72806, '123456789', 15, '113.1142042', '27.7860494', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762651072', 0, '2022-10-26 13:37:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72807, '123456789', 15, '113.1144076', '27.7860491', '150.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762653288', 0, '2022-10-26 13:37:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72808, '123456789', 15, '113.1146608', '27.7860489', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762655492', 0, '2022-10-26 13:37:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72809, '123456789', 15, '113.1148124', '27.7860489', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762657144', 0, '2022-10-26 13:37:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72810, '123456789', 15, '113.1150164', '27.7860481', '150.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762659351', 0, '2022-10-26 13:37:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72811, '123456789', 15, '113.1152193', '27.7860476', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762661015', 0, '2022-10-26 13:37:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72812, '123456789', 15, '113.115422', '27.7860482', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762663229', 0, '2022-10-26 13:37:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72813, '123456789', 15, '113.1156767', '27.7860472', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762665443', 0, '2022-10-26 13:37:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72814, '123456789', 15, '113.1158283', '27.7860475', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762667096', 0, '2022-10-26 13:37:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72815, '123456789', 15, '113.1160308', '27.7860472', '150.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762669310', 0, '2022-10-26 13:37:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72816, '123456789', 15, '113.1162845', '27.7860468', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762671526', 0, '2022-10-26 13:37:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72817, '123456789', 15, '113.1164368', '27.7860467', '150.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762673186', 0, '2022-10-26 13:37:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72818, '123456789', 15, '113.1166917', '27.7860459', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762675399', 0, '2022-10-26 13:37:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72819, '123456789', 15, '113.1168435', '27.7860458', '149.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762677056', 0, '2022-10-26 13:37:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72820, '123456789', 15, '113.1170457', '27.7860466', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762679276', 0, '2022-10-26 13:37:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72821, '123456789', 15, '113.1172996', '27.7860463', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762681488', 0, '2022-10-26 13:38:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72822, '123456789', 15, '113.117452', '27.7860461', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762683149', 0, '2022-10-26 13:38:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72823, '123456789', 15, '113.1176561', '27.7860453', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762685353', 0, '2022-10-26 13:38:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72824, '123456789', 15, '113.1178591', '27.786045', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762687024', 0, '2022-10-26 13:38:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72825, '123456789', 15, '113.1180624', '27.7860454', '150.058', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762689226', 0, '2022-10-26 13:38:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72826, '123456789', 15, '113.1183161', '27.7860449', '149.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762691445', 0, '2022-10-26 13:38:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72827, '123456789', 15, '113.1184686', '27.7860446', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762693106', 0, '2022-10-26 13:38:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72828, '123456789', 15, '113.1186717', '27.7860446', '150.181', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762695317', 0, '2022-10-26 13:38:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72829, '123456789', 15, '113.1189255', '27.7860446', '149.81', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762697522', 0, '2022-10-26 13:38:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72830, '123456789', 15, '113.1190787', '27.786044', '150.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762699193', 0, '2022-10-26 13:38:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72831, '123456789', 15, '113.1192819', '27.786044', '150.163', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762701396', 0, '2022-10-26 13:38:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72832, '123456789', 15, '113.1194851', '27.786044', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762703042', 0, '2022-10-26 13:38:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72833, '123456789', 15, '113.1196884', '27.7860437', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762705254', 0, '2022-10-26 13:38:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72834, '123456789', 15, '113.1199425', '27.7860433', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762707470', 0, '2022-10-26 13:38:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72835, '123456789', 15, '113.1200955', '27.7860424', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762709126', 0, '2022-10-26 13:38:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72836, '123456789', 15, '113.1202973', '27.7860425', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762711338', 0, '2022-10-26 13:38:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72837, '123456789', 15, '113.1205529', '27.7860422', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762713545', 0, '2022-10-26 13:38:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72838, '123456789', 15, '113.1207047', '27.7860422', '150.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762715211', 0, '2022-10-26 13:38:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72839, '123456789', 15, '113.1209073', '27.786042', '150.063', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762717424', 0, '2022-10-26 13:38:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72840, '123456789', 15, '113.1211109', '27.7860417', '150.088', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762719080', 0, '2022-10-26 13:38:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72841, '123456789', 15, '113.1213146', '27.7860415', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762721295', 0, '2022-10-26 13:38:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72842, '123456789', 15, '113.1215689', '27.7860413', '150.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762723517', 0, '2022-10-26 13:38:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72843, '123456789', 15, '113.1217216', '27.7860413', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762725172', 0, '2022-10-26 13:38:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72844, '123456789', 15, '113.121924', '27.7860409', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762727379', 0, '2022-10-26 13:38:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72845, '123456789', 15, '113.122127', '27.786041', '150.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762729051', 0, '2022-10-26 13:38:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72846, '123456789', 15, '113.1223308', '27.7860407', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762731276', 0, '2022-10-26 13:38:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72847, '123456789', 15, '113.1225851', '27.7860404', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762733497', 0, '2022-10-26 13:38:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72848, '123456789', 15, '113.1227375', '27.7860405', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762735167', 0, '2022-10-26 13:38:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72849, '123456789', 15, '113.122992', '27.7860403', '149.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762737397', 0, '2022-10-26 13:38:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72850, '123456789', 15, '113.1231444', '27.78604', '150.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762739066', 0, '2022-10-26 13:38:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72851, '123456789', 15, '113.1233481', '27.7860396', '150.133', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762741285', 0, '2022-10-26 13:39:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72852, '123456789', 15, '113.1236022', '27.786039', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762743504', 0, '2022-10-26 13:39:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72853, '123456789', 15, '113.1237547', '27.7860392', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762745165', 0, '2022-10-26 13:39:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72854, '123456789', 15, '113.124008', '27.786039', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762747382', 0, '2022-10-26 13:39:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72855, '123456789', 15, '113.12416', '27.7860388', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762749041', 0, '2022-10-26 13:39:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72856, '123456789', 15, '113.124363', '27.786039', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762751246', 0, '2022-10-26 13:39:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72857, '123456789', 15, '113.1246181', '27.7860384', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762753465', 0, '2022-10-26 13:39:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72858, '123456789', 15, '113.124771', '27.7860383', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762755127', 0, '2022-10-26 13:39:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72859, '123456789', 15, '113.1250247', '27.7860376', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762757352', 0, '2022-10-26 13:39:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72860, '123456789', 15, '113.1251772', '27.7860379', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762759020', 0, '2022-10-26 13:39:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72861, '123456789', 15, '113.1253796', '27.7860383', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762761238', 0, '2022-10-26 13:39:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72862, '123456789', 15, '113.1256352', '27.786037', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762763461', 0, '2022-10-26 13:39:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72863, '123456789', 15, '113.1257875', '27.7860374', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762765115', 0, '2022-10-26 13:39:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72864, '123456789', 15, '113.1259896', '27.786037', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762767325', 0, '2022-10-26 13:39:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72865, '123456789', 15, '113.1262437', '27.7860367', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762769529', 0, '2022-10-26 13:39:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72866, '123456789', 15, '113.1263963', '27.7860364', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762771182', 0, '2022-10-26 13:39:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72867, '123456789', 15, '113.1266511', '27.7860362', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762773407', 0, '2022-10-26 13:39:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72868, '123456789', 15, '113.1268039', '27.786036', '150.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762775074', 0, '2022-10-26 13:39:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72869, '123456789', 15, '113.1270061', '27.7860351', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762777291', 0, '2022-10-26 13:39:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72870, '123456789', 15, '113.1272603', '27.7860359', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762779508', 0, '2022-10-26 13:39:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72871, '123456789', 15, '113.1274128', '27.7860352', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762781177', 0, '2022-10-26 13:39:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72872, '123456789', 15, '113.1276673', '27.7860354', '149.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762783395', 0, '2022-10-26 13:39:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72873, '123456789', 15, '113.1278192', '27.7860352', '150.091', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762785057', 0, '2022-10-26 13:39:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72874, '123456789', 15, '113.1280236', '27.7860349', '150.077', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762787277', 0, '2022-10-26 13:39:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72875, '123456789', 15, '113.1282775', '27.7860345', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762789496', 0, '2022-10-26 13:39:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72876, '123456789', 15, '113.1284293', '27.7860349', '149.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762791152', 0, '2022-10-26 13:39:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72877, '123456789', 15, '113.128633', '27.7860344', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762793352', 0, '2022-10-26 13:39:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72878, '123456789', 15, '113.1288369', '27.7860339', '150.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762795021', 0, '2022-10-26 13:39:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72879, '123456789', 15, '113.1290401', '27.7860336', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762797235', 0, '2022-10-26 13:39:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72880, '123456789', 15, '113.1292932', '27.7860341', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762799445', 0, '2022-10-26 13:39:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72881, '123456789', 15, '113.1294456', '27.7860337', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762801102', 0, '2022-10-26 13:40:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72882, '123456789', 15, '113.1297001', '27.7860326', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762803368', 0, '2022-10-26 13:40:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72883, '123456789', 15, '113.1299038', '27.7860329', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762805532', 0, '2022-10-26 13:40:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72884, '123456789', 15, '113.1300554', '27.7860327', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762807195', 0, '2022-10-26 13:40:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72885, '123456789', 15, '113.1303095', '27.7860329', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762809419', 0, '2022-10-26 13:40:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72886, '123456789', 15, '113.1304619', '27.7860323', '149.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762811085', 0, '2022-10-26 13:40:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72887, '123456789', 15, '113.1306662', '27.7860313', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762813292', 0, '2022-10-26 13:40:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72888, '123456789', 15, '113.1309199', '27.7860311', '150.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762815510', 0, '2022-10-26 13:40:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72889, '123456789', 15, '113.1310711', '27.7860319', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762817173', 0, '2022-10-26 13:40:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72890, '123456789', 15, '113.1313257', '27.7860314', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762819383', 0, '2022-10-26 13:40:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72891, '123456789', 15, '113.1314781', '27.7860308', '149.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762821043', 0, '2022-10-26 13:40:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72892, '123456789', 15, '113.1316819', '27.7860309', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762823270', 0, '2022-10-26 13:40:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72893, '123456789', 15, '113.1319354', '27.7860309', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762825434', 0, '2022-10-26 13:40:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72894, '123456789', 15, '113.1320893', '27.7860309', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762827105', 0, '2022-10-26 13:40:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72895, '123456789', 15, '113.1322922', '27.7860308', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762829320', 0, '2022-10-26 13:40:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72896, '123456789', 15, '113.1324955', '27.78603', '149.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762831004', 0, '2022-10-26 13:40:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72897, '123456789', 15, '113.1326981', '27.7860299', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762833229', 0, '2022-10-26 13:40:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72898, '123456789', 15, '113.132953', '27.7860301', '150.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762835408', 0, '2022-10-26 13:40:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72899, '123456789', 15, '113.1331052', '27.7860297', '149.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762837027', 0, '2022-10-26 13:40:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72900, '123456789', 15, '113.1333081', '27.7860299', '149.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762839256', 0, '2022-10-26 13:40:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72901, '123456789', 15, '113.1335624', '27.7860291', '150.115', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762841476', 0, '2022-10-26 13:40:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72902, '123456789', 15, '113.1337142', '27.786029', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762843148', 0, '2022-10-26 13:40:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72903, '123456789', 15, '113.1339696', '27.7860283', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762845375', 0, '2022-10-26 13:40:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72904, '123456789', 15, '113.1341211', '27.7860291', '149.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762847042', 0, '2022-10-26 13:40:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72905, '123456789', 15, '113.1343244', '27.7860282', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762849264', 0, '2022-10-26 13:40:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72906, '123456789', 15, '113.134579', '27.7860288', '150.088', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762851503', 0, '2022-10-26 13:40:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72907, '123456789', 15, '113.134731', '27.7860285', '149.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762853167', 0, '2022-10-26 13:40:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72908, '123456789', 15, '113.1349358', '27.7860277', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762855244', 0, '2022-10-26 13:40:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72909, '123456789', 15, '113.1351386', '27.7860277', '149.851', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762857261', 0, '2022-10-26 13:40:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72910, '123456789', 15, '113.1353408', '27.7860276', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762859332', 0, '2022-10-26 13:40:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72911, '123456789', 15, '113.1355951', '27.786027', '150.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762861407', 0, '2022-10-26 13:41:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72912, '123456789', 15, '113.1357995', '27.7860267', '150.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762863475', 0, '2022-10-26 13:41:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72913, '123456789', 15, '113.1360015', '27.7860264', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762865494', 0, '2022-10-26 13:41:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72914, '123456789', 15, '113.1361539', '27.7860264', '150.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762867006', 0, '2022-10-26 13:41:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72915, '123456789', 15, '113.1363573', '27.7860268', '149.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762869140', 0, '2022-10-26 13:41:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72916, '123456789', 15, '113.1365612', '27.786026', '149.768', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762871218', 0, '2022-10-26 13:41:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72917, '123456789', 15, '113.1367637', '27.7860265', '149.863', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762873233', 0, '2022-10-26 13:41:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72918, '123456789', 15, '113.1370183', '27.7860252', '150.118', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762875367', 0, '2022-10-26 13:41:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72919, '123456789', 15, '113.1372216', '27.786025', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762877384', 0, '2022-10-26 13:41:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72920, '123456789', 15, '113.1374241', '27.7860255', '150.102', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762879459', 0, '2022-10-26 13:41:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72921, '123456789', 15, '113.1376282', '27.7860252', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762881475', 0, '2022-10-26 13:41:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72922, '123456789', 15, '113.1378319', '27.7860251', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762883498', 0, '2022-10-26 13:41:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72923, '123456789', 15, '113.1379836', '27.7860251', '149.849', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762885006', 0, '2022-10-26 13:41:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72924, '123456789', 15, '113.1381861', '27.7860249', '150.148', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762887023', 0, '2022-10-26 13:41:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72925, '123456789', 15, '113.1383896', '27.7860245', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762889040', 0, '2022-10-26 13:41:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72926, '123456789', 15, '113.1385941', '27.7860241', '150.067', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762891113', 0, '2022-10-26 13:41:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72927, '123456789', 15, '113.138797', '27.7860237', '150.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762893131', 0, '2022-10-26 13:41:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72928, '123456789', 15, '113.1390001', '27.7860238', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762895201', 0, '2022-10-26 13:41:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72929, '123456789', 15, '113.139203', '27.7860237', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762897282', 0, '2022-10-26 13:41:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72930, '123456789', 15, '113.1394065', '27.7860235', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762899297', 0, '2022-10-26 13:41:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72931, '123456789', 15, '113.1396604', '27.7860233', '150.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762901371', 0, '2022-10-26 13:41:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72932, '123456789', 15, '113.1398645', '27.7860226', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762903448', 0, '2022-10-26 13:41:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72933, '123456789', 15, '113.1400168', '27.7860227', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762905108', 0, '2022-10-26 13:41:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72934, '123456789', 15, '113.1402198', '27.7860227', '150.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762907315', 0, '2022-10-26 13:41:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72935, '123456789', 15, '113.1404746', '27.7860221', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762909530', 0, '2022-10-26 13:41:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72936, '123456789', 15, '113.1406264', '27.7860217', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762911191', 0, '2022-10-26 13:41:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72937, '123456789', 15, '113.1408807', '27.7860218', '150.084', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762913409', 0, '2022-10-26 13:41:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72938, '123456789', 15, '113.1410334', '27.7860214', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762915064', 0, '2022-10-26 13:41:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72939, '123456789', 15, '113.1412362', '27.786021', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762917283', 0, '2022-10-26 13:41:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72940, '123456789', 15, '113.1414898', '27.7860215', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762919494', 0, '2022-10-26 13:41:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72941, '123456789', 15, '113.1416422', '27.7860215', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762921153', 0, '2022-10-26 13:42:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72942, '123456789', 15, '113.1418469', '27.7860211', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762923358', 0, '2022-10-26 13:42:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72943, '123456789', 15, '113.1420506', '27.7860199', '149.884', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762925012', 0, '2022-10-26 13:42:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72944, '123456789', 15, '113.1422531', '27.7860198', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762927231', 0, '2022-10-26 13:42:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72945, '123456789', 15, '113.142508', '27.7860203', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762929461', 0, '2022-10-26 13:42:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72946, '123456789', 15, '113.1426588', '27.7860202', '149.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762931118', 0, '2022-10-26 13:42:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72947, '123456789', 15, '113.1428619', '27.7860204', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762933340', 0, '2022-10-26 13:42:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72948, '123456789', 15, '113.1430658', '27.7860192', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762935008', 0, '2022-10-26 13:42:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72949, '123456789', 15, '113.1432687', '27.7860186', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762937212', 0, '2022-10-26 13:42:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72950, '123456789', 15, '113.1435224', '27.7860189', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762939425', 0, '2022-10-26 13:42:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72951, '123456789', 15, '113.1436751', '27.786019', '149.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762941089', 0, '2022-10-26 13:42:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72952, '123456789', 15, '113.1438764', '27.786019', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762943299', 0, '2022-10-26 13:42:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72953, '123456789', 15, '113.1440601', '27.7860273', '149.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762945527', 0, '2022-10-26 13:42:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72954, '123456789', 15, '113.144129', '27.786069', '149.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762947186', 0, '2022-10-26 13:42:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72955, '123456789', 15, '113.1442667', '27.7862118', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762949393', 0, '2022-10-26 13:42:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72956, '123456789', 15, '113.144363', '27.7863149', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762951058', 0, '2022-10-26 13:42:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72957, '123456789', 15, '113.144493', '27.7864537', '150.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762953274', 0, '2022-10-26 13:42:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72958, '123456789', 15, '113.1446548', '27.7866266', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762955492', 0, '2022-10-26 13:42:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72959, '123456789', 15, '113.1447511', '27.7867298', '149.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762957154', 0, '2022-10-26 13:42:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72960, '123456789', 15, '113.1449123', '27.7869037', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762959376', 0, '2022-10-26 13:42:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72961, '123456789', 15, '113.145009', '27.7870073', '149.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762961033', 0, '2022-10-26 13:42:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72962, '123456789', 15, '113.1451381', '27.7871464', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762963250', 0, '2022-10-26 13:42:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72963, '123456789', 15, '113.1452995', '27.7873192', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762965413', 0, '2022-10-26 13:42:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72964, '123456789', 15, '113.145396', '27.7874227', '149.829', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762967070', 0, '2022-10-26 13:42:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72965, '123456789', 15, '113.1455262', '27.7875624', '150.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762969285', 0, '2022-10-26 13:42:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72966, '123456789', 15, '113.1456872', '27.7877359', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762971496', 0, '2022-10-26 13:42:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72967, '123456789', 15, '113.1457829', '27.7878397', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762973157', 0, '2022-10-26 13:42:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72968, '123456789', 15, '113.1459125', '27.7879786', '149.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762975361', 0, '2022-10-26 13:42:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72969, '123456789', 15, '113.1460417', '27.7881163', '150.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762977015', 0, '2022-10-26 13:42:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72970, '123456789', 15, '113.1461697', '27.7882541', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762979122', 0, '2022-10-26 13:42:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72971, '123456789', 15, '113.1462677', '27.7883587', '149.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762981269', 0, '2022-10-26 13:43:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72972, '123456789', 15, '113.1463035', '27.7883957', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762983445', 0, '2022-10-26 13:43:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72973, '123456789', 15, '113.146305', '27.7883987', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762985130', 0, '2022-10-26 13:43:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72974, '123456789', 15, '113.1463029', '27.7883981', '150.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762987238', 0, '2022-10-26 13:43:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72975, '123456789', 15, '113.1463304', '27.7884072', '150.22', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762989475', 0, '2022-10-26 13:43:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72976, '123456789', 15, '113.1463775', '27.7884286', '150.239', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762991140', 0, '2022-10-26 13:43:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72977, '123456789', 15, '113.1465058', '27.7884812', '150.13', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762993230', 0, '2022-10-26 13:43:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72978, '123456789', 15, '113.1467234', '27.7885676', '150.205', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762995404', 0, '2022-10-26 13:43:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72979, '123456789', 15, '113.1468606', '27.7886225', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762997026', 0, '2022-10-26 13:43:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72980, '123456789', 15, '113.1470433', '27.7886967', '149.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666762999326', 0, '2022-10-26 13:43:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72981, '123456789', 15, '113.1472731', '27.7887895', '150.148', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763001476', 0, '2022-10-26 13:43:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72982, '123456789', 15, '113.1474115', '27.788845', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763003022', 0, '2022-10-26 13:43:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72983, '123456789', 15, '113.1475958', '27.7889186', '149.885', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763005101', 0, '2022-10-26 13:43:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72984, '123456789', 15, '113.1477748', '27.7889907', '150.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763007312', 0, '2022-10-26 13:43:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72985, '123456789', 15, '113.1479133', '27.7890455', '149.74', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763009522', 0, '2022-10-26 13:43:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72986, '123456789', 15, '113.1479351', '27.7890548', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763011182', 0, '2022-10-26 13:43:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72987, '123456789', 15, '113.1479281', '27.789055', '150.122', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763013390', 0, '2022-10-26 13:43:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72988, '123456789', 15, '113.1479261', '27.789054', '150.188', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763015049', 0, '2022-10-26 13:43:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72989, '123456789', 15, '113.1479315', '27.7890564', '150.209', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763017262', 0, '2022-10-26 13:43:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72990, '123456789', 15, '113.1479303', '27.7890538', '147.552', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763019473', 0, '2022-10-26 13:43:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72991, '123456789', 15, '113.14793', '27.7890533', '145.385', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763021136', 0, '2022-10-26 13:43:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72992, '123456789', 15, '113.1479314', '27.789054', '142.377', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763023349', 0, '2022-10-26 13:43:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72993, '123456789', 15, '113.1479323', '27.7890538', '139.36', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763025009', 0, '2022-10-26 13:43:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72994, '123456789', 15, '113.147932', '27.7890536', '136.335', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763027235', 0, '2022-10-26 13:43:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72995, '123456789', 15, '113.1479319', '27.789053', '132.604', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763029455', 0, '2022-10-26 13:43:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72996, '123456789', 15, '113.1479322', '27.7890528', '130.343', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763031120', 0, '2022-10-26 13:43:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72997, '123456789', 15, '113.147932', '27.7890533', '127.368', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763033340', 0, '2022-10-26 13:43:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72998, '123456789', 15, '113.1479318', '27.7890536', '123.571', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763035555', 0, '2022-10-26 13:43:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (72999, '123456789', 15, '113.1479318', '27.7890535', '121.322', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763037220', 0, '2022-10-26 13:43:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73000, '123456789', 15, '113.1479315', '27.7890534', '117.611', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763039432', 0, '2022-10-26 13:43:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73001, '123456789', 15, '113.1479313', '27.7890536', '115.326', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763041104', 0, '2022-10-26 13:44:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73002, '123456789', 15, '113.1479322', '27.7890531', '112.239', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763043321', 0, '2022-10-26 13:44:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73003, '123456789', 15, '113.1479315', '27.7890535', '108.599', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763045533', 0, '2022-10-26 13:44:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73004, '123456789', 15, '113.1479316', '27.7890533', '106.358', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763047195', 0, '2022-10-26 13:44:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73005, '123456789', 15, '113.1479319', '27.7890533', '102.55', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763049409', 0, '2022-10-26 13:44:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73006, '123456789', 15, '113.1479311', '27.7890534', '100.315', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763051072', 0, '2022-10-26 13:44:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73007, '123456789', 15, '113.1479315', '27.7890537', '97.322', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763053276', 0, '2022-10-26 13:44:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73008, '123456789', 15, '113.1479316', '27.7890537', '93.586', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763055497', 0, '2022-10-26 13:44:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73009, '123456789', 15, '113.1479317', '27.7890537', '91.328', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763057155', 0, '2022-10-26 13:44:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73010, '123456789', 15, '113.147932', '27.7890534', '87.567', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763059375', 0, '2022-10-26 13:44:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73011, '123456789', 15, '113.1479317', '27.7890531', '85.31', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763061040', 0, '2022-10-26 13:44:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73012, '123456789', 15, '113.1479314', '27.7890538', '82.336', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763063253', 0, '2022-10-26 13:44:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73013, '123456789', 15, '113.1479314', '27.7890534', '78.598', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763065469', 0, '2022-10-26 13:44:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73014, '123456789', 15, '113.1479314', '27.7890538', '76.321', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763067134', 0, '2022-10-26 13:44:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73015, '123456789', 15, '113.1479316', '27.7890536', '73.364', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763069349', 0, '2022-10-26 13:44:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73016, '123456789', 15, '113.1479315', '27.7890534', '70.349', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763071008', 0, '2022-10-26 13:44:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73017, '123456789', 15, '113.1479315', '27.7890532', '67.313', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763073224', 0, '2022-10-26 13:44:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73018, '123456789', 15, '113.1479315', '27.7890537', '63.569', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763075438', 0, '2022-10-26 13:44:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73019, '123456789', 15, '113.1479316', '27.789054', '61.296', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763077137', 0, '2022-10-26 13:44:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73020, '123456789', 15, '113.1479314', '27.7890533', '58.287', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763079314', 0, '2022-10-26 13:44:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73021, '123456789', 15, '113.1479311', '27.7890529', '54.586', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763081531', 0, '2022-10-26 13:44:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73022, '123456789', 15, '113.1479324', '27.7890544', '52.333', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763083190', 0, '2022-10-26 13:44:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73023, '123456789', 15, '113.1479318', '27.7890539', '48.571', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763085399', 0, '2022-10-26 13:44:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73024, '123456789', 15, '113.1479315', '27.7890533', '46.321', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763087064', 0, '2022-10-26 13:44:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73025, '123456789', 15, '113.1479315', '27.7890536', '43.329', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763089281', 0, '2022-10-26 13:44:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73026, '123456789', 15, '113.1479315', '27.7890538', '39.567', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763091509', 0, '2022-10-26 13:44:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73027, '123456789', 15, '113.1479312', '27.7890537', '37.313', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763093159', 0, '2022-10-26 13:44:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73028, '123456789', 15, '113.1479314', '27.7890536', '33.576', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763095371', 0, '2022-10-26 13:44:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73029, '123456789', 15, '113.1479315', '27.789054', '31.315', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763097034', 0, '2022-10-26 13:44:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73030, '123456789', 15, '113.1479316', '27.7890541', '28.297', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763099259', 0, '2022-10-26 13:44:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73031, '123456789', 15, '113.1479313', '27.7890536', '24.563', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763101462', 0, '2022-10-26 13:45:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73032, '123456789', 15, '113.147932', '27.7890533', '22.328', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763103125', 0, '2022-10-26 13:45:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73033, '123456789', 15, '113.1479314', '27.7890537', '19.338', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763105353', 0, '2022-10-26 13:45:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73034, '123456789', 15, '113.1479318', '27.7890536', '16.339', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763107024', 0, '2022-10-26 13:45:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73035, '123456789', 15, '113.1479311', '27.7890546', '15.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763109236', 0, '2022-10-26 13:45:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73036, '123456789', 15, '113.1479308', '27.789054', '14.258', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763111461', 0, '2022-10-26 13:45:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73037, '123456789', 15, '113.1479317', '27.789054', '13.85', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763113125', 0, '2022-10-26 13:45:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73038, '123456789', 15, '113.1479319', '27.7890537', '13.271', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763115351', 0, '2022-10-26 13:45:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73039, '123456789', 15, '113.147931', '27.7890538', '12.661', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763117017', 0, '2022-10-26 13:45:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73040, '123456789', 15, '113.1479314', '27.7890538', '12.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763119233', 0, '2022-10-26 13:45:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73041, '123456789', 15, '113.1479316', '27.789055', '12.31', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763121449', 0, '2022-10-26 13:45:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73042, '123456789', 15, '113.1479309', '27.7890556', '13.664', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763123119', 0, '2022-10-26 13:45:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73043, '123456789', 15, '113.1479307', '27.7890535', '14.403', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763125335', 0, '2022-10-26 13:45:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73044, '123456789', 15, '113.147932', '27.7890535', '14.403', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763127556', 0, '2022-10-26 13:45:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73045, '123456789', 15, '113.1479317', '27.7890539', '14.449', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763129161', 0, '2022-10-26 13:45:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73046, '123456789', 15, '113.1479316', '27.7890538', '14.44', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763131392', 0, '2022-10-26 13:45:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73047, '123456789', 15, '113.147931', '27.7890539', '13.888', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763133072', 0, '2022-10-26 13:45:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73048, '123456789', 15, '113.1479308', '27.7890542', '13.334', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763135289', 0, '2022-10-26 13:45:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73049, '123456789', 15, '113.1479324', '27.7890539', '12.581', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763137502', 0, '2022-10-26 13:45:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73050, '123456789', 15, '113.1479315', '27.7890542', '12.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763139160', 0, '2022-10-26 13:45:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73051, '123456789', 15, '113.1479302', '27.7890543', '11.351', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763141387', 0, '2022-10-26 13:45:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73052, '123456789', 15, '113.1479317', '27.7890549', '10.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763143045', 0, '2022-10-26 13:45:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73053, '123456789', 15, '113.1479326', '27.7890541', '10.288', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763145257', 0, '2022-10-26 13:45:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73054, '123456789', 15, '113.1479322', '27.7890547', '9.577', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763147472', 0, '2022-10-26 13:45:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73055, '123456789', 15, '113.1479315', '27.7890541', '9.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763149177', 0, '2022-10-26 13:45:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73056, '123456789', 15, '113.1479301', '27.7890535', '8.332', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763151358', 0, '2022-10-26 13:45:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73057, '123456789', 15, '113.147932', '27.7890549', '7.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763153024', 0, '2022-10-26 13:45:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73058, '123456789', 15, '113.1479325', '27.7890541', '7.291', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763155235', 0, '2022-10-26 13:45:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73059, '123456789', 15, '113.1479314', '27.7890538', '6.551', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763157467', 0, '2022-10-26 13:45:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73060, '123456789', 15, '113.147931', '27.7890535', '6.108', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763159131', 0, '2022-10-26 13:45:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73061, '123456789', 15, '113.1479307', '27.7890533', '5.47', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763161352', 0, '2022-10-26 13:46:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73062, '123456789', 15, '113.1479316', '27.7890551', '4.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763163016', 0, '2022-10-26 13:46:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73063, '123456789', 15, '113.1479316', '27.7890553', '4.624', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666763165192', 0, '2022-10-26 13:46:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73679, '123456789', 19, '113.1479317', '27.7890535', '0.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774649990', 0, '2022-10-26 16:57:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73680, '123456789', 19, '113.1479317', '27.7890538', '0.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774651501', 0, '2022-10-26 16:57:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73681, '123456789', 19, '113.1479317', '27.7890538', '0.12', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774653071', 0, '2022-10-26 16:57:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73682, '123456789', 19, '113.1479323', '27.7890525', '4.438', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774655249', 0, '2022-10-26 16:57:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73683, '123456789', 19, '113.1479358', '27.7890519', '9.432', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774657472', 0, '2022-10-26 16:57:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73684, '123456789', 19, '113.1479342', '27.7890553', '13.186', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774659130', 0, '2022-10-26 16:57:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73685, '123456789', 19, '113.14793', '27.7890538', '19.276', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774661336', 0, '2022-10-26 16:57:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73686, '123456789', 19, '113.1479313', '27.7890536', '24.426', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774663548', 0, '2022-10-26 16:57:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73687, '123456789', 19, '113.1479316', '27.7890539', '29.282', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774665209', 0, '2022-10-26 16:57:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73688, '123456789', 19, '113.1479309', '27.7890532', '34.499', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774667416', 0, '2022-10-26 16:57:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73689, '123456789', 19, '113.1479315', '27.7890532', '38.148', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774669079', 0, '2022-10-26 16:57:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73690, '123456789', 19, '113.147931', '27.789054', '44.376', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774671298', 0, '2022-10-26 16:57:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73691, '123456789', 19, '113.1479298', '27.7890535', '49.388', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774673502', 0, '2022-10-26 16:57:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73692, '123456789', 19, '113.147932', '27.7890543', '53.15', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774675164', 0, '2022-10-26 16:57:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73693, '123456789', 19, '113.1479316', '27.7890539', '59.448', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774677382', 0, '2022-10-26 16:57:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73694, '123456789', 19, '113.1479317', '27.7890536', '63.268', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774679040', 0, '2022-10-26 16:57:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73695, '123456789', 19, '113.1479321', '27.7890538', '69.355', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774681261', 0, '2022-10-26 16:58:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73696, '123456789', 19, '113.1479313', '27.7890535', '74.436', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774683482', 0, '2022-10-26 16:58:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73697, '123456789', 19, '113.1479312', '27.789054', '78.233', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774685139', 0, '2022-10-26 16:58:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73698, '123456789', 19, '113.1479317', '27.7890543', '84.347', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774687348', 0, '2022-10-26 16:58:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73699, '123456789', 19, '113.147931', '27.7890544', '88.098', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774689011', 0, '2022-10-26 16:58:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73700, '123456789', 19, '113.1479316', '27.7890533', '94.438', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774691221', 0, '2022-10-26 16:58:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73701, '123456789', 19, '113.1479314', '27.789054', '99.427', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774693433', 0, '2022-10-26 16:58:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73702, '123456789', 19, '113.1479315', '27.7890538', '103.164', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774695102', 0, '2022-10-26 16:58:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73703, '123456789', 19, '113.1479317', '27.7890538', '109.358', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774697324', 0, '2022-10-26 16:58:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73704, '123456789', 19, '113.1479311', '27.789053', '114.439', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774699534', 0, '2022-10-26 16:58:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73705, '123456789', 19, '113.1479312', '27.7890542', '119.376', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774701198', 0, '2022-10-26 16:58:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73706, '123456789', 19, '113.1479324', '27.7890534', '124.397', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774703366', 0, '2022-10-26 16:58:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73707, '123456789', 19, '113.1479316', '27.7890536', '128.239', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774705024', 0, '2022-10-26 16:58:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73708, '123456789', 19, '113.1479318', '27.7890539', '134.612', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774707243', 0, '2022-10-26 16:58:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73709, '123456789', 19, '113.1479319', '27.7890539', '139.343', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774709458', 0, '2022-10-26 16:58:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73710, '123456789', 19, '113.1479307', '27.7890542', '143.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774711117', 0, '2022-10-26 16:58:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73711, '123456789', 19, '113.1479316', '27.7890541', '148.348', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774713322', 0, '2022-10-26 16:58:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73712, '123456789', 19, '113.1479307', '27.789053', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774715548', 0, '2022-10-26 16:58:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73713, '123456789', 19, '113.1479252', '27.7890475', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774717214', 0, '2022-10-26 16:58:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73714, '123456789', 19, '113.1478751', '27.7890039', '150.175', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774719419', 0, '2022-10-26 16:58:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73715, '123456789', 19, '113.147798', '27.7889418', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774721079', 0, '2022-10-26 16:58:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73716, '123456789', 19, '113.1476267', '27.7887912', '150.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774723307', 0, '2022-10-26 16:58:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73717, '123456789', 19, '113.1474819', '27.7886655', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774725527', 0, '2022-10-26 16:58:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73718, '123456789', 19, '113.1473353', '27.7885417', '149.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774727196', 0, '2022-10-26 16:58:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73719, '123456789', 19, '113.1471919', '27.7884175', '149.868', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774729416', 0, '2022-10-26 16:58:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73720, '123456789', 19, '113.1470829', '27.7883247', '149.816', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774731072', 0, '2022-10-26 16:58:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73721, '123456789', 19, '113.1469004', '27.7881674', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774733290', 0, '2022-10-26 16:58:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73722, '123456789', 19, '113.1467548', '27.7880422', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774735500', 0, '2022-10-26 16:58:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73723, '123456789', 19, '113.1466454', '27.7879485', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774737167', 0, '2022-10-26 16:58:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73724, '123456789', 19, '113.1464636', '27.787791', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774739381', 0, '2022-10-26 16:58:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73725, '123456789', 19, '113.1463542', '27.7876979', '149.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774741044', 0, '2022-10-26 16:59:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73726, '123456789', 19, '113.1461721', '27.7875413', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774743260', 0, '2022-10-26 16:59:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73727, '123456789', 19, '113.1460268', '27.787415', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774745476', 0, '2022-10-26 16:59:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73728, '123456789', 19, '113.1459174', '27.7873215', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774747110', 0, '2022-10-26 16:59:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73729, '123456789', 19, '113.1457351', '27.7871655', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774749264', 0, '2022-10-26 16:59:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73730, '123456789', 19, '113.1455893', '27.7870401', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774751452', 0, '2022-10-26 16:59:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73731, '123456789', 19, '113.1454805', '27.7869467', '150.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774753102', 0, '2022-10-26 16:59:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73732, '123456789', 19, '113.1452989', '27.7867898', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774755321', 0, '2022-10-26 16:59:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73733, '123456789', 19, '113.1451528', '27.7866644', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774757533', 0, '2022-10-26 16:59:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73734, '123456789', 19, '113.1450078', '27.7865394', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774759196', 0, '2022-10-26 16:59:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73735, '123456789', 19, '113.1448632', '27.7864141', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774761424', 0, '2022-10-26 16:59:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73736, '123456789', 19, '113.1447598', '27.7863257', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774763087', 0, '2022-10-26 16:59:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73737, '123456789', 19, '113.1446205', '27.7862387', '150.084', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774765308', 0, '2022-10-26 16:59:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73738, '123456789', 19, '113.1444815', '27.7862288', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774767541', 0, '2022-10-26 16:59:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73739, '123456789', 19, '113.1442864', '27.7862274', '150.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774769196', 0, '2022-10-26 16:59:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73740, '123456789', 19, '113.1440822', '27.7862273', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774771417', 0, '2022-10-26 16:59:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73741, '123456789', 19, '113.1439296', '27.7862278', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774773083', 0, '2022-10-26 16:59:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73742, '123456789', 19, '113.1436744', '27.7862284', '149.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774775301', 0, '2022-10-26 16:59:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73743, '123456789', 19, '113.1434726', '27.7862271', '149.906', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774777537', 0, '2022-10-26 16:59:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73744, '123456789', 19, '113.1432697', '27.7862273', '149.854', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774779207', 0, '2022-10-26 16:59:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73745, '123456789', 19, '113.1430662', '27.786227', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774781419', 0, '2022-10-26 16:59:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73746, '123456789', 19, '113.142914', '27.7862273', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774783081', 0, '2022-10-26 16:59:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73747, '123456789', 19, '113.14266', '27.7862274', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774785300', 0, '2022-10-26 16:59:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73748, '123456789', 19, '113.1424573', '27.7862274', '149.882', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774787526', 0, '2022-10-26 16:59:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73749, '123456789', 19, '113.1422545', '27.7862269', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774789191', 0, '2022-10-26 16:59:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73750, '123456789', 19, '113.1420518', '27.7862268', '149.876', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774791419', 0, '2022-10-26 16:59:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73751, '123456789', 19, '113.1418999', '27.786227', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774793083', 0, '2022-10-26 16:59:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73752, '123456789', 19, '113.1416435', '27.7862279', '149.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774795246', 0, '2022-10-26 16:59:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73753, '123456789', 19, '113.1414398', '27.7862269', '149.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774797468', 0, '2022-10-26 16:59:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73754, '123456789', 19, '113.141289', '27.7862267', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774799130', 0, '2022-10-26 16:59:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73755, '123456789', 19, '113.1410357', '27.7862265', '149.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774801358', 0, '2022-10-26 17:00:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73756, '123456789', 19, '113.1408326', '27.7862268', '149.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774803475', 0, '2022-10-26 17:00:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73757, '123456789', 19, '113.1406808', '27.7862264', '149.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774805072', 0, '2022-10-26 17:00:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73758, '123456789', 19, '113.140428', '27.7862269', '150.118', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774807201', 0, '2022-10-26 17:00:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73759, '123456789', 19, '113.140224', '27.7862262', '149.872', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774809353', 0, '2022-10-26 17:00:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73760, '123456789', 19, '113.1400197', '27.7862262', '149.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774811440', 0, '2022-10-26 17:00:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73761, '123456789', 19, '113.1398679', '27.7862269', '149.885', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774813064', 0, '2022-10-26 17:00:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73762, '123456789', 19, '113.139613', '27.7862269', '149.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774815194', 0, '2022-10-26 17:00:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73763, '123456789', 19, '113.13941', '27.7862256', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774817411', 0, '2022-10-26 17:00:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73764, '123456789', 19, '113.1392598', '27.7862256', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774819005', 0, '2022-10-26 17:00:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73765, '123456789', 19, '113.1390577', '27.7862254', '149.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774821134', 0, '2022-10-26 17:00:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73766, '123456789', 19, '113.1388045', '27.7862267', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774823355', 0, '2022-10-26 17:00:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73767, '123456789', 19, '113.1385989', '27.7862263', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774825491', 0, '2022-10-26 17:00:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73768, '123456789', 19, '113.1383971', '27.7862266', '149.909', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774827172', 0, '2022-10-26 17:00:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73769, '123456789', 19, '113.1381921', '27.7862261', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774829356', 0, '2022-10-26 17:00:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73770, '123456789', 19, '113.1379894', '27.7862255', '149.847', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774831461', 0, '2022-10-26 17:00:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73771, '123456789', 19, '113.1378382', '27.7862257', '149.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774833136', 0, '2022-10-26 17:00:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73772, '123456789', 19, '113.1375836', '27.7862255', '149.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774835289', 0, '2022-10-26 17:00:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73773, '123456789', 19, '113.13738', '27.7862258', '149.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774837433', 0, '2022-10-26 17:00:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73774, '123456789', 19, '113.1372284', '27.7862252', '150.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774839057', 0, '2022-10-26 17:00:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73775, '123456789', 19, '113.1369731', '27.7862249', '149.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774841227', 0, '2022-10-26 17:00:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73776, '123456789', 19, '113.1367698', '27.7862252', '149.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774843271', 0, '2022-10-26 17:00:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73777, '123456789', 19, '113.1365674', '27.7862255', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774845428', 0, '2022-10-26 17:00:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73778, '123456789', 19, '113.1363647', '27.786226', '149.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774847529', 0, '2022-10-26 17:00:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73779, '123456789', 19, '113.136213', '27.7862253', '149.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774849142', 0, '2022-10-26 17:00:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73780, '123456789', 19, '113.1359577', '27.7862255', '149.835', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774851311', 0, '2022-10-26 17:00:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73781, '123456789', 19, '113.1357535', '27.7862256', '149.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774853509', 0, '2022-10-26 17:00:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73782, '123456789', 19, '113.1356008', '27.7862254', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774855074', 0, '2022-10-26 17:00:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73783, '123456789', 19, '113.135347', '27.786226', '149.927', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774857305', 0, '2022-10-26 17:00:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73784, '123456789', 19, '113.1351435', '27.7862251', '150.096', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774859475', 0, '2022-10-26 17:00:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73785, '123456789', 19, '113.1349922', '27.7862254', '149.799', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774861146', 0, '2022-10-26 17:01:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73786, '123456789', 19, '113.1347383', '27.7862244', '149.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774863260', 0, '2022-10-26 17:01:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73787, '123456789', 19, '113.1345357', '27.7862241', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774865408', 0, '2022-10-26 17:01:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73788, '123456789', 19, '113.1343827', '27.7862241', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774867090', 0, '2022-10-26 17:01:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73789, '123456789', 19, '113.1341288', '27.7862234', '150.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774869215', 0, '2022-10-26 17:01:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73790, '123456789', 19, '113.133926', '27.7862244', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774871388', 0, '2022-10-26 17:01:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73791, '123456789', 19, '113.1337737', '27.7862245', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774873025', 0, '2022-10-26 17:01:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73792, '123456789', 19, '113.133569', '27.7862226', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774875223', 0, '2022-10-26 17:01:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73793, '123456789', 19, '113.1333154', '27.7862238', '149.77', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774877336', 0, '2022-10-26 17:01:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73794, '123456789', 19, '113.133111', '27.7862235', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774879495', 0, '2022-10-26 17:01:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73795, '123456789', 19, '113.1329587', '27.786224', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774881177', 0, '2022-10-26 17:01:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73796, '123456789', 19, '113.1327047', '27.7862237', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774883400', 0, '2022-10-26 17:01:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73797, '123456789', 19, '113.1325517', '27.7862243', '150.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774885039', 0, '2022-10-26 17:01:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73798, '123456789', 19, '113.1323492', '27.7862239', '149.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774887167', 0, '2022-10-26 17:01:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73799, '123456789', 19, '113.1320944', '27.7862243', '149.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774889348', 0, '2022-10-26 17:01:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73800, '123456789', 19, '113.1318908', '27.7862244', '150.093', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774891486', 0, '2022-10-26 17:01:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73801, '123456789', 19, '113.1317382', '27.7862238', '150.088', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774893048', 0, '2022-10-26 17:01:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73802, '123456789', 19, '113.1314861', '27.7862238', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774895239', 0, '2022-10-26 17:01:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73803, '123456789', 19, '113.1312821', '27.7862232', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774897314', 0, '2022-10-26 17:01:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73804, '123456789', 19, '113.1310788', '27.7862247', '150.107', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774899538', 0, '2022-10-26 17:01:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73805, '123456789', 19, '113.1308745', '27.7862235', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774901189', 0, '2022-10-26 17:01:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73806, '123456789', 19, '113.1306735', '27.7862226', '149.915', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774903302', 0, '2022-10-26 17:01:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73807, '123456789', 19, '113.1304704', '27.7862221', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774905377', 0, '2022-10-26 17:01:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73808, '123456789', 19, '113.1302652', '27.7862244', '149.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774907501', 0, '2022-10-26 17:01:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73809, '123456789', 19, '113.130112', '27.7862241', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774909144', 0, '2022-10-26 17:01:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73810, '123456789', 19, '113.1298584', '27.7862231', '150.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774911349', 0, '2022-10-26 17:01:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73811, '123456789', 19, '113.1296565', '27.7862226', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774913456', 0, '2022-10-26 17:01:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73812, '123456789', 19, '113.1295045', '27.7862227', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774915043', 0, '2022-10-26 17:01:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73813, '123456789', 19, '113.1292989', '27.7862221', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774917143', 0, '2022-10-26 17:01:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73814, '123456789', 19, '113.1290458', '27.7862236', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774919343', 0, '2022-10-26 17:01:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73815, '123456789', 19, '113.1288952', '27.7862228', '150.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774921019', 0, '2022-10-26 17:02:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73816, '123456789', 19, '113.1286384', '27.7862208', '149.862', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774923213', 0, '2022-10-26 17:02:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73817, '123456789', 19, '113.1284362', '27.7862181', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774925328', 0, '2022-10-26 17:02:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73818, '123456789', 19, '113.1282333', '27.7862161', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774927486', 0, '2022-10-26 17:02:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73819, '123456789', 19, '113.1280817', '27.7862147', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774929089', 0, '2022-10-26 17:02:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73820, '123456789', 19, '113.1278275', '27.7862117', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774931262', 0, '2022-10-26 17:02:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73821, '123456789', 19, '113.1276238', '27.7862094', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774933426', 0, '2022-10-26 17:02:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73822, '123456789', 19, '113.1274725', '27.786208', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774935051', 0, '2022-10-26 17:02:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73823, '123456789', 19, '113.1272707', '27.7862056', '150.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774937140', 0, '2022-10-26 17:02:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73824, '123456789', 19, '113.1270157', '27.7862014', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774939303', 0, '2022-10-26 17:02:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73825, '123456789', 19, '113.1268127', '27.7861991', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774941455', 0, '2022-10-26 17:02:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73826, '123456789', 19, '113.1266605', '27.7861972', '149.869', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774943059', 0, '2022-10-26 17:02:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73827, '123456789', 19, '113.1264055', '27.7861932', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774945272', 0, '2022-10-26 17:02:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73828, '123456789', 19, '113.126203', '27.7861916', '149.803', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774947342', 0, '2022-10-26 17:02:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73829, '123456789', 19, '113.1259981', '27.7861883', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774949469', 0, '2022-10-26 17:02:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73830, '123456789', 19, '113.1258452', '27.7861872', '150.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774951086', 0, '2022-10-26 17:02:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73831, '123456789', 19, '113.1255934', '27.7861839', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774953307', 0, '2022-10-26 17:02:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73832, '123456789', 19, '113.1253912', '27.786182', '149.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774955475', 0, '2022-10-26 17:02:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73833, '123456789', 19, '113.1252375', '27.7861803', '149.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774957112', 0, '2022-10-26 17:02:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73834, '123456789', 19, '113.1249825', '27.7861764', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774959221', 0, '2022-10-26 17:02:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73835, '123456789', 19, '113.1247806', '27.7861739', '149.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774961341', 0, '2022-10-26 17:02:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73836, '123456789', 19, '113.1245776', '27.7861714', '149.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774963463', 0, '2022-10-26 17:02:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73837, '123456789', 19, '113.1244248', '27.7861693', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774965141', 0, '2022-10-26 17:02:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73838, '123456789', 19, '113.1241728', '27.7861664', '149.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774967303', 0, '2022-10-26 17:02:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73839, '123456789', 19, '113.1239714', '27.7861635', '149.852', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774969467', 0, '2022-10-26 17:02:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73840, '123456789', 19, '113.1238179', '27.7861617', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774971089', 0, '2022-10-26 17:02:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73841, '123456789', 19, '113.1235584', '27.7861585', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774973251', 0, '2022-10-26 17:02:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73842, '123456789', 19, '113.1233576', '27.7861559', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774975459', 0, '2022-10-26 17:02:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73843, '123456789', 19, '113.123207', '27.7861538', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774977090', 0, '2022-10-26 17:02:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73844, '123456789', 19, '113.1229574', '27.7861505', '149.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774979297', 0, '2022-10-26 17:02:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73845, '123456789', 19, '113.1227537', '27.7861492', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774981445', 0, '2022-10-26 17:03:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73846, '123456789', 19, '113.1226003', '27.7861474', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774983106', 0, '2022-10-26 17:03:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73847, '123456789', 19, '113.1223456', '27.7861439', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774985305', 0, '2022-10-26 17:03:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73848, '123456789', 19, '113.1221435', '27.7861414', '149.829', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774987495', 0, '2022-10-26 17:03:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73849, '123456789', 19, '113.1219908', '27.7861401', '150.104', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774989021', 0, '2022-10-26 17:03:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73850, '123456789', 19, '113.1217881', '27.7861369', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774991258', 0, '2022-10-26 17:03:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73851, '123456789', 19, '113.1215345', '27.7861338', '150.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774993438', 0, '2022-10-26 17:03:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73852, '123456789', 19, '113.1213821', '27.7861323', '150.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774995056', 0, '2022-10-26 17:03:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73853, '123456789', 19, '113.1211272', '27.7861278', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774997254', 0, '2022-10-26 17:03:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73854, '123456789', 19, '113.120924', '27.7861261', '149.927', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666774999385', 0, '2022-10-26 17:03:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73855, '123456789', 19, '113.1207202', '27.7861226', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775001464', 0, '2022-10-26 17:03:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73856, '123456789', 19, '113.1205673', '27.7861203', '150.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775003107', 0, '2022-10-26 17:03:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73857, '123456789', 19, '113.1203148', '27.7861179', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775005230', 0, '2022-10-26 17:03:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73858, '123456789', 19, '113.1201106', '27.7861164', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775007440', 0, '2022-10-26 17:03:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73859, '123456789', 19, '113.1199576', '27.7861141', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775009025', 0, '2022-10-26 17:03:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73860, '123456789', 19, '113.1197045', '27.7861109', '149.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775011222', 0, '2022-10-26 17:03:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73861, '123456789', 19, '113.1195021', '27.7861085', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775013415', 0, '2022-10-26 17:03:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73862, '123456789', 19, '113.1192972', '27.7861054', '150.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775015498', 0, '2022-10-26 17:03:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73863, '123456789', 19, '113.1191446', '27.7861037', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775017144', 0, '2022-10-26 17:03:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73864, '123456789', 19, '113.1188908', '27.7861005', '150.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775019340', 0, '2022-10-26 17:03:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73865, '123456789', 19, '113.1186878', '27.7860982', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775021501', 0, '2022-10-26 17:03:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73866, '123456789', 19, '113.118484', '27.7860963', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775023178', 0, '2022-10-26 17:03:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73867, '123456789', 19, '113.1182805', '27.7860935', '150.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775025379', 0, '2022-10-26 17:03:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73868, '123456789', 19, '113.1181282', '27.7860915', '150.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775027015', 0, '2022-10-26 17:03:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73869, '123456789', 19, '113.1178745', '27.7860876', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775029200', 0, '2022-10-26 17:03:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73870, '123456789', 19, '113.1176714', '27.7860851', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775031291', 0, '2022-10-26 17:03:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73871, '123456789', 19, '113.1174673', '27.7860829', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775033409', 0, '2022-10-26 17:03:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73872, '123456789', 19, '113.117316', '27.7860811', '149.831', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775035079', 0, '2022-10-26 17:03:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73873, '123456789', 19, '113.1170672', '27.786078', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775037228', 0, '2022-10-26 17:03:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73874, '123456789', 19, '113.1168961', '27.7860982', '149.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775039427', 0, '2022-10-26 17:03:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73875, '123456789', 19, '113.1167749', '27.7861359', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775041106', 0, '2022-10-26 17:04:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73876, '123456789', 19, '113.1165513', '27.7862284', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775043347', 0, '2022-10-26 17:04:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73877, '123456789', 19, '113.1163686', '27.7863077', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775045466', 0, '2022-10-26 17:04:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73878, '123456789', 19, '113.1162311', '27.7863682', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775047120', 0, '2022-10-26 17:04:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73879, '123456789', 19, '113.1160023', '27.7864661', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775049240', 0, '2022-10-26 17:04:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73880, '123456789', 19, '113.115821', '27.7865446', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775051346', 0, '2022-10-26 17:04:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73881, '123456789', 19, '113.1156386', '27.7866235', '149.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775053488', 0, '2022-10-26 17:04:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73882, '123456789', 19, '113.1155021', '27.7866828', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775055067', 0, '2022-10-26 17:04:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73883, '123456789', 19, '113.1152735', '27.786781', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775057257', 0, '2022-10-26 17:04:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73884, '123456789', 19, '113.1150899', '27.7868603', '150.088', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775059337', 0, '2022-10-26 17:04:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73885, '123456789', 19, '113.1149083', '27.7869396', '149.848', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775061483', 0, '2022-10-26 17:04:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73886, '123456789', 19, '113.1147708', '27.7869983', '149.811', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775063165', 0, '2022-10-26 17:04:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73887, '123456789', 19, '113.1145434', '27.7870973', '149.915', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775065417', 0, '2022-10-26 17:04:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73888, '123456789', 19, '113.1143612', '27.7871748', '149.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775067520', 0, '2022-10-26 17:04:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73889, '123456789', 19, '113.1142236', '27.7872338', '149.891', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775069128', 0, '2022-10-26 17:04:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73890, '123456789', 19, '113.1139961', '27.7873321', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775071356', 0, '2022-10-26 17:04:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73891, '123456789', 19, '113.1138131', '27.7874114', '150.2', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775073516', 0, '2022-10-26 17:04:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73892, '123456789', 19, '113.1136755', '27.7874702', '150.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775075184', 0, '2022-10-26 17:04:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73893, '123456789', 19, '113.1134936', '27.7875486', '149.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775077305', 0, '2022-10-26 17:04:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73894, '123456789', 19, '113.113266', '27.7876472', '150.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775079500', 0, '2022-10-26 17:04:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73895, '123456789', 19, '113.1131299', '27.787707', '149.936', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775081108', 0, '2022-10-26 17:04:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73896, '123456789', 19, '113.112948', '27.7877847', '149.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775083233', 0, '2022-10-26 17:04:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73897, '123456789', 19, '113.1127648', '27.7878645', '149.815', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775085359', 0, '2022-10-26 17:04:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73898, '123456789', 19, '113.1125813', '27.787943', '150.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775087530', 0, '2022-10-26 17:04:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73899, '123456789', 19, '113.1123991', '27.7880218', '149.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775089093', 0, '2022-10-26 17:04:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73900, '123456789', 19, '113.1122175', '27.7881002', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775091331', 0, '2022-10-26 17:04:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73901, '123456789', 19, '113.1121268', '27.788139', '149.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775093010', 0, '2022-10-26 17:04:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73902, '123456789', 19, '113.1119497', '27.788218', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775095131', 0, '2022-10-26 17:04:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73903, '123456789', 19, '113.1119485', '27.7883129', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775097372', 0, '2022-10-26 17:04:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73904, '123456789', 19, '113.1120173', '27.7884426', '150.327', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775099536', 0, '2022-10-26 17:05:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73905, '123456789', 19, '113.112086', '27.7885626', '150.293', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775101155', 0, '2022-10-26 17:05:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73906, '123456789', 19, '113.1122028', '27.7887648', '149.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775103315', 0, '2022-10-26 17:05:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73907, '123456789', 19, '113.1122929', '27.7889245', '149.859', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775105410', 0, '2022-10-26 17:05:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73908, '123456789', 19, '113.1123608', '27.7890443', '149.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775107069', 0, '2022-10-26 17:05:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73909, '123456789', 19, '113.1124736', '27.789244', '150.108', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775109255', 0, '2022-10-26 17:05:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73910, '123456789', 19, '113.1125641', '27.7894047', '150.146', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775111447', 0, '2022-10-26 17:05:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73911, '123456789', 19, '113.1126312', '27.7895255', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775113060', 0, '2022-10-26 17:05:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73912, '123456789', 19, '113.1127445', '27.789726', '149.768', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775115289', 0, '2022-10-26 17:05:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73913, '123456789', 19, '113.112837', '27.7898868', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775117413', 0, '2022-10-26 17:05:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73914, '123456789', 19, '113.1129051', '27.790009', '149.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775119073', 0, '2022-10-26 17:05:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73915, '123456789', 19, '113.112999', '27.7901739', '150.108', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775121188', 0, '2022-10-26 17:05:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73916, '123456789', 19, '113.1131129', '27.7903779', '149.896', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775123256', 0, '2022-10-26 17:05:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73917, '123456789', 19, '113.1132025', '27.7905346', '149.748', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775125501', 0, '2022-10-26 17:05:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73918, '123456789', 19, '113.1132687', '27.7906529', '150.09', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775127057', 0, '2022-10-26 17:05:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73919, '123456789', 19, '113.1133589', '27.7908129', '149.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775129191', 0, '2022-10-26 17:05:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73920, '123456789', 19, '113.1134717', '27.7910124', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775131328', 0, '2022-10-26 17:05:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73921, '123456789', 19, '113.1135629', '27.7911718', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775133497', 0, '2022-10-26 17:05:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73922, '123456789', 19, '113.1136301', '27.7912913', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775135116', 0, '2022-10-26 17:05:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73923, '123456789', 19, '113.1137214', '27.7914538', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775137252', 0, '2022-10-26 17:05:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73924, '123456789', 19, '113.1138353', '27.7916539', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775139484', 0, '2022-10-26 17:05:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73925, '123456789', 19, '113.1139035', '27.7917747', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775141105', 0, '2022-10-26 17:05:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73926, '123456789', 19, '113.114014', '27.7919703', '150.253', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775143292', 0, '2022-10-26 17:05:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73927, '123456789', 19, '113.1141069', '27.792089', '149.891', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775145472', 0, '2022-10-26 17:05:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73928, '123456789', 19, '113.1141989', '27.7921586', '150.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775147089', 0, '2022-10-26 17:05:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73929, '123456789', 19, '113.1143995', '27.7922774', '150.24', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775149252', 0, '2022-10-26 17:05:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73930, '123456789', 19, '113.1145695', '27.7923736', '149.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775151453', 0, '2022-10-26 17:05:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73931, '123456789', 19, '113.1146974', '27.792446', '150.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775153054', 0, '2022-10-26 17:05:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73932, '123456789', 19, '113.1149114', '27.7925711', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775155215', 0, '2022-10-26 17:05:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73933, '123456789', 19, '113.1150819', '27.7926684', '150.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775157447', 0, '2022-10-26 17:05:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73934, '123456789', 19, '113.115209', '27.7927421', '150.076', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775159050', 0, '2022-10-26 17:05:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73935, '123456789', 19, '113.1153777', '27.7928404', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775161209', 0, '2022-10-26 17:06:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73936, '123456789', 19, '113.1155926', '27.7929649', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775163373', 0, '2022-10-26 17:06:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73937, '123456789', 19, '113.1157186', '27.7930377', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775165015', 0, '2022-10-26 17:06:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73938, '123456789', 19, '113.1159299', '27.7931599', '150.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775167204', 0, '2022-10-26 17:06:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73939, '123456789', 19, '113.1161013', '27.7932587', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775169329', 0, '2022-10-26 17:06:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73940, '123456789', 19, '113.116229', '27.793332', '150.113', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775171006', 0, '2022-10-26 17:06:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73941, '123456789', 19, '113.1163982', '27.7934307', '150.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775173077', 0, '2022-10-26 17:06:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73942, '123456789', 19, '113.1165688', '27.7935292', '150.104', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775175253', 0, '2022-10-26 17:06:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73943, '123456789', 19, '113.1167813', '27.7936519', '150.075', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775177429', 0, '2022-10-26 17:06:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73944, '123456789', 19, '113.1169085', '27.7937255', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775179047', 0, '2022-10-26 17:06:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73945, '123456789', 19, '113.1171208', '27.7938481', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775181287', 0, '2022-10-26 17:06:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73946, '123456789', 19, '113.1172907', '27.7939465', '150.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775183451', 0, '2022-10-26 17:06:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73947, '123456789', 19, '113.1174188', '27.7940199', '150.138', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775185119', 0, '2022-10-26 17:06:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73948, '123456789', 19, '113.1176309', '27.7941428', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775187354', 0, '2022-10-26 17:06:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73949, '123456789', 19, '113.1177581', '27.7942163', '150.053', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775189046', 0, '2022-10-26 17:06:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73950, '123456789', 19, '113.1179278', '27.7943147', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775191251', 0, '2022-10-26 17:06:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73951, '123456789', 19, '113.1181472', '27.7944261', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775193558', 0, '2022-10-26 17:06:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73952, '123456789', 19, '113.1182888', '27.7944726', '149.913', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775195127', 0, '2022-10-26 17:06:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73953, '123456789', 19, '113.1185314', '27.7945241', '149.82', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775197261', 0, '2022-10-26 17:06:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73954, '123456789', 19, '113.1187298', '27.7945628', '150.146', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775199488', 0, '2022-10-26 17:06:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73955, '123456789', 19, '113.1188782', '27.7945941', '150.291', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775201138', 0, '2022-10-26 17:06:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73956, '123456789', 19, '113.1191272', '27.7946436', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775203295', 0, '2022-10-26 17:06:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73957, '123456789', 19, '113.1193235', '27.7946814', '150.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775205513', 0, '2022-10-26 17:06:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73958, '123456789', 19, '113.1194745', '27.7947117', '150.112', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775207134', 0, '2022-10-26 17:06:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73959, '123456789', 19, '113.1197204', '27.7947608', '150.053', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775209241', 0, '2022-10-26 17:06:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73960, '123456789', 19, '113.1199199', '27.794799', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775211411', 0, '2022-10-26 17:06:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73961, '123456789', 19, '113.1200677', '27.7948294', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775213051', 0, '2022-10-26 17:06:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73962, '123456789', 19, '113.1203148', '27.7948791', '150.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775215182', 0, '2022-10-26 17:06:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73963, '123456789', 19, '113.1205138', '27.7949187', '150.188', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775217351', 0, '2022-10-26 17:06:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73964, '123456789', 19, '113.1207116', '27.7949584', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775219474', 0, '2022-10-26 17:06:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73965, '123456789', 19, '113.1208609', '27.7949877', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775221023', 0, '2022-10-26 17:07:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73966, '123456789', 19, '113.1211078', '27.7950372', '150.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775223223', 0, '2022-10-26 17:07:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73967, '123456789', 19, '113.1213071', '27.7950764', '150.144', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775225370', 0, '2022-10-26 17:07:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73968, '123456789', 19, '113.1214555', '27.7951056', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775227051', 0, '2022-10-26 17:07:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73969, '123456789', 19, '113.121702', '27.7951557', '150.101', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775229269', 0, '2022-10-26 17:07:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73970, '123456789', 19, '113.1219', '27.7951948', '149.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775231436', 0, '2022-10-26 17:07:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73971, '123456789', 19, '113.1220492', '27.7952241', '150.147', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775233121', 0, '2022-10-26 17:07:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73972, '123456789', 19, '113.122295', '27.795274', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775235293', 0, '2022-10-26 17:07:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73973, '123456789', 19, '113.1224922', '27.7953133', '150.218', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775237513', 0, '2022-10-26 17:07:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73974, '123456789', 19, '113.1226916', '27.7953523', '150.161', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775239205', 0, '2022-10-26 17:07:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73975, '123456789', 19, '113.122891', '27.7953915', '149.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775241381', 0, '2022-10-26 17:07:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73976, '123456789', 19, '113.1230395', '27.7954218', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775243048', 0, '2022-10-26 17:07:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73977, '123456789', 19, '113.1232374', '27.795461', '149.855', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775245174', 0, '2022-10-26 17:07:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73978, '123456789', 19, '113.1234852', '27.7955098', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775247389', 0, '2022-10-26 17:07:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73979, '123456789', 19, '113.1236805', '27.7955502', '150.228', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775249514', 0, '2022-10-26 17:07:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73980, '123456789', 19, '113.1238299', '27.7955788', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775251193', 0, '2022-10-26 17:07:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73981, '123456789', 19, '113.1240785', '27.7956284', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775253380', 0, '2022-10-26 17:07:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73982, '123456789', 19, '113.124227', '27.7956574', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775255046', 0, '2022-10-26 17:07:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73983, '123456789', 19, '113.1244254', '27.7956978', '150.085', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775257080', 0, '2022-10-26 17:07:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73984, '123456789', 19, '113.124626', '27.7957339', '149.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775259215', 0, '2022-10-26 17:07:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73985, '123456789', 19, '113.1248757', '27.7957657', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775261418', 0, '2022-10-26 17:07:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73986, '123456789', 19, '113.1250272', '27.7957807', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775263037', 0, '2022-10-26 17:07:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73987, '123456789', 19, '113.125227', '27.7958011', '150.143', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775265159', 0, '2022-10-26 17:07:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73988, '123456789', 19, '113.125431', '27.7958178', '150.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775267243', 0, '2022-10-26 17:07:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73989, '123456789', 19, '113.1256831', '27.7958418', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775269437', 0, '2022-10-26 17:07:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73990, '123456789', 19, '113.1258344', '27.7958567', '150.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775271024', 0, '2022-10-26 17:07:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73991, '123456789', 19, '113.126037', '27.7958741', '149.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775273259', 0, '2022-10-26 17:07:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73992, '123456789', 19, '113.1262875', '27.7958981', '150.053', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775275436', 0, '2022-10-26 17:07:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73993, '123456789', 19, '113.1264407', '27.7959119', '150.152', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775277016', 0, '2022-10-26 17:07:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73994, '123456789', 19, '113.1266425', '27.7959323', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775279206', 0, '2022-10-26 17:07:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73995, '123456789', 19, '113.1268964', '27.7959548', '149.778', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775281447', 0, '2022-10-26 17:08:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73996, '123456789', 19, '113.1270472', '27.7959687', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775283114', 0, '2022-10-26 17:08:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73997, '123456789', 19, '113.1272999', '27.7959917', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775285241', 0, '2022-10-26 17:08:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73998, '123456789', 19, '113.1275015', '27.7960107', '150.14', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775287403', 0, '2022-10-26 17:08:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (73999, '123456789', 19, '113.1276525', '27.7960246', '150.115', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775289009', 0, '2022-10-26 17:08:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74000, '123456789', 19, '113.1278552', '27.7960441', '150.2', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775291251', 0, '2022-10-26 17:08:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74001, '123456789', 19, '113.1281074', '27.7960677', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775293454', 0, '2022-10-26 17:08:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74002, '123456789', 19, '113.1282581', '27.7960818', '149.774', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775295117', 0, '2022-10-26 17:08:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74003, '123456789', 19, '113.1285109', '27.7961052', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775297309', 0, '2022-10-26 17:08:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74004, '123456789', 19, '113.1287131', '27.7961232', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775299493', 0, '2022-10-26 17:08:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74005, '123456789', 19, '113.1288636', '27.7961376', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775301111', 0, '2022-10-26 17:08:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74006, '123456789', 19, '113.1291175', '27.7961621', '149.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775303258', 0, '2022-10-26 17:08:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74007, '123456789', 19, '113.1293189', '27.796181', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775305445', 0, '2022-10-26 17:08:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74008, '123456789', 19, '113.1294706', '27.7961944', '149.913', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775307068', 0, '2022-10-26 17:08:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74009, '123456789', 19, '113.1296737', '27.7962112', '150.201', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775309249', 0, '2022-10-26 17:08:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74010, '123456789', 19, '113.1299235', '27.7962359', '150.139', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775311412', 0, '2022-10-26 17:08:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74011, '123456789', 19, '113.1300756', '27.79625', '150.148', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775313091', 0, '2022-10-26 17:08:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74012, '123456789', 19, '113.1303264', '27.79628', '150.147', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775315249', 0, '2022-10-26 17:08:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74013, '123456789', 19, '113.1305278', '27.7963099', '150.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775317493', 0, '2022-10-26 17:08:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74014, '123456789', 19, '113.1306783', '27.7963341', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775319174', 0, '2022-10-26 17:08:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74015, '123456789', 19, '113.1309263', '27.7963747', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775321351', 0, '2022-10-26 17:08:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74016, '123456789', 19, '113.1311276', '27.7964052', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775323531', 0, '2022-10-26 17:08:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74017, '123456789', 19, '113.1312785', '27.7964291', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775325161', 0, '2022-10-26 17:08:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74018, '123456789', 19, '113.1315258', '27.7964702', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775327286', 0, '2022-10-26 17:08:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74019, '123456789', 19, '113.1317262', '27.7965016', '150.174', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775329411', 0, '2022-10-26 17:08:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74020, '123456789', 19, '113.1318765', '27.7965258', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775331008', 0, '2022-10-26 17:08:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74021, '123456789', 19, '113.1321259', '27.7965656', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775333220', 0, '2022-10-26 17:08:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74022, '123456789', 19, '113.1323261', '27.7965974', '149.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775335317', 0, '2022-10-26 17:08:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74023, '123456789', 19, '113.1324756', '27.7966217', '150.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775337026', 0, '2022-10-26 17:08:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74024, '123456789', 19, '113.1326772', '27.7966539', '150.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775339146', 0, '2022-10-26 17:08:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74025, '123456789', 19, '113.1329266', '27.7966945', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775341277', 0, '2022-10-26 17:09:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74026, '123456789', 19, '113.1331257', '27.7967258', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775343512', 0, '2022-10-26 17:09:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74027, '123456789', 19, '113.1332747', '27.7967522', '150.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775345150', 0, '2022-10-26 17:09:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74028, '123456789', 19, '113.1335197', '27.7968121', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775347372', 0, '2022-10-26 17:09:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74029, '123456789', 19, '113.1337109', '27.7968727', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775349552', 0, '2022-10-26 17:09:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74030, '123456789', 19, '113.1338537', '27.7969193', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775351172', 0, '2022-10-26 17:09:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74031, '123456789', 19, '113.1340922', '27.7969969', '150.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775353352', 0, '2022-10-26 17:09:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74032, '123456789', 19, '113.1342825', '27.7970595', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775355451', 0, '2022-10-26 17:09:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74033, '123456789', 19, '113.1344254', '27.7971056', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775357113', 0, '2022-10-26 17:09:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74034, '123456789', 19, '113.1346645', '27.797184', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775359297', 0, '2022-10-26 17:09:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74035, '123456789', 19, '113.1348547', '27.7972456', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775361542', 0, '2022-10-26 17:09:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74036, '123456789', 19, '113.135045', '27.7973075', '149.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775363216', 0, '2022-10-26 17:09:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74037, '123456789', 19, '113.135235', '27.7973695', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775365408', 0, '2022-10-26 17:09:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74038, '123456789', 19, '113.1354262', '27.7974318', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775367493', 0, '2022-10-26 17:09:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74039, '123456789', 19, '113.1355691', '27.7974782', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775369174', 0, '2022-10-26 17:09:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74040, '123456789', 19, '113.1358074', '27.7975556', '150.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775371364', 0, '2022-10-26 17:09:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74041, '123456789', 19, '113.1359985', '27.7976181', '150.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775373520', 0, '2022-10-26 17:09:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74042, '123456789', 19, '113.1361415', '27.7976647', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775375207', 0, '2022-10-26 17:09:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74043, '123456789', 19, '113.1363789', '27.7977423', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775377407', 0, '2022-10-26 17:09:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74044, '123456789', 19, '113.136569', '27.7978049', '149.934', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775379480', 0, '2022-10-26 17:09:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74045, '123456789', 19, '113.1367083', '27.7978583', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775381064', 0, '2022-10-26 17:09:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74046, '123456789', 19, '113.13689', '27.7979406', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775383201', 0, '2022-10-26 17:09:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74047, '123456789', 19, '113.1371143', '27.7980492', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775385431', 0, '2022-10-26 17:09:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74048, '123456789', 19, '113.1372465', '27.7981149', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775387050', 0, '2022-10-26 17:09:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74049, '123456789', 19, '113.1374232', '27.7982011', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775389282', 0, '2022-10-26 17:09:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74050, '123456789', 19, '113.137646', '27.79831', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775391536', 0, '2022-10-26 17:09:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74051, '123456789', 19, '113.1377798', '27.7983746', '150.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775393095', 0, '2022-10-26 17:09:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74052, '123456789', 19, '113.1380018', '27.7984832', '150.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775395250', 0, '2022-10-26 17:09:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74053, '123456789', 19, '113.1381784', '27.7985708', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775397393', 0, '2022-10-26 17:09:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74054, '123456789', 19, '113.1383121', '27.798636', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775399014', 0, '2022-10-26 17:09:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74055, '123456789', 19, '113.1384904', '27.7987234', '149.907', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775401134', 0, '2022-10-26 17:10:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74056, '123456789', 19, '113.1387118', '27.7988319', '149.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775403384', 0, '2022-10-26 17:10:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74057, '123456789', 19, '113.1388464', '27.7988966', '150.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775405050', 0, '2022-10-26 17:10:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74058, '123456789', 19, '113.1390253', '27.7989824', '150.138', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775407235', 0, '2022-10-26 17:10:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74059, '123456789', 19, '113.139241', '27.7990982', '150.189', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775409416', 0, '2022-10-26 17:10:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74060, '123456789', 19, '113.1393617', '27.7991806', '150.131', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775411053', 0, '2022-10-26 17:10:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74061, '123456789', 19, '113.1395461', '27.7993387', '149.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775413274', 0, '2022-10-26 17:10:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74062, '123456789', 19, '113.1396877', '27.7994665', '149.819', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775415387', 0, '2022-10-26 17:10:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74063, '123456789', 19, '113.1398285', '27.7995934', '149.841', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775417511', 0, '2022-10-26 17:10:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74064, '123456789', 19, '113.1399362', '27.7996906', '150.16', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775419181', 0, '2022-10-26 17:10:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74065, '123456789', 19, '113.1401133', '27.7998504', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775421412', 0, '2022-10-26 17:10:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74066, '123456789', 19, '113.1402201', '27.7999465', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775423095', 0, '2022-10-26 17:10:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74067, '123456789', 19, '113.1403622', '27.8000757', '149.906', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775425174', 0, '2022-10-26 17:10:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74068, '123456789', 19, '113.1405412', '27.8002357', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775427408', 0, '2022-10-26 17:10:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74069, '123456789', 19, '113.1406466', '27.8003307', '149.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775429089', 0, '2022-10-26 17:10:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74070, '123456789', 19, '113.1408229', '27.8004907', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775431332', 0, '2022-10-26 17:10:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74071, '123456789', 19, '113.1409665', '27.8006199', '149.882', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775433520', 0, '2022-10-26 17:10:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74072, '123456789', 19, '113.1410731', '27.8007179', '150.09', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775435087', 0, '2022-10-26 17:10:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74073, '123456789', 19, '113.1412511', '27.8008781', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775437328', 0, '2022-10-26 17:10:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74074, '123456789', 19, '113.1413934', '27.8010054', '150.112', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775439447', 0, '2022-10-26 17:10:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74075, '123456789', 19, '113.1414993', '27.8011015', '149.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775441136', 0, '2022-10-26 17:10:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74076, '123456789', 19, '113.1416775', '27.8012621', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775443339', 0, '2022-10-26 17:10:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74077, '123456789', 19, '113.1417835', '27.8013597', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775445498', 0, '2022-10-26 17:10:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74078, '123456789', 19, '113.1419056', '27.8014706', '149.794', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775447129', 0, '2022-10-26 17:10:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74079, '123456789', 19, '113.1419893', '27.8014996', '149.545', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775449355', 0, '2022-10-26 17:10:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74080, '123456789', 19, '113.1420539', '27.8014225', '149.831', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775451496', 0, '2022-10-26 17:10:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74081, '123456789', 19, '113.1421282', '27.8013258', '150.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775453126', 0, '2022-10-26 17:10:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74082, '123456789', 19, '113.1422735', '27.8011427', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775455230', 0, '2022-10-26 17:10:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74083, '123456789', 19, '113.1423932', '27.8009945', '150.115', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775457349', 0, '2022-10-26 17:10:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74084, '123456789', 19, '113.1425084', '27.8008477', '150.171', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775459399', 0, '2022-10-26 17:10:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74085, '123456789', 19, '113.1425907', '27.8007385', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775461017', 0, '2022-10-26 17:11:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74086, '123456789', 19, '113.1427134', '27.8005942', '149.942', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775463099', 0, '2022-10-26 17:11:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74087, '123456789', 19, '113.1428612', '27.8004087', '150.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775465287', 0, '2022-10-26 17:11:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74088, '123456789', 19, '113.1429764', '27.800264', '150.083', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775467539', 0, '2022-10-26 17:11:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74089, '123456789', 19, '113.1430631', '27.8001542', '149.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775469214', 0, '2022-10-26 17:11:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74090, '123456789', 19, '113.1432094', '27.7999704', '150.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775471363', 0, '2022-10-26 17:11:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74091, '123456789', 19, '113.1433255', '27.7998234', '150.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775473485', 0, '2022-10-26 17:11:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74092, '123456789', 19, '113.1434128', '27.7997131', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775475120', 0, '2022-10-26 17:11:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74093, '123456789', 19, '113.1435594', '27.7995265', '150.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775477201', 0, '2022-10-26 17:11:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74094, '123456789', 19, '113.1436549', '27.7993695', '149.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775479304', 0, '2022-10-26 17:11:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74095, '123456789', 19, '113.1437303', '27.7992042', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775481444', 0, '2022-10-26 17:11:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74096, '123456789', 19, '113.1437819', '27.7990762', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775483009', 0, '2022-10-26 17:11:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74097, '123456789', 19, '113.1438651', '27.7988628', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775485229', 0, '2022-10-26 17:11:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74098, '123456789', 19, '113.1439327', '27.7986939', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775487419', 0, '2022-10-26 17:11:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74099, '123456789', 19, '113.1439824', '27.7985665', '149.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775489056', 0, '2022-10-26 17:11:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74100, '123456789', 19, '113.1440483', '27.7983972', '150.09', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775491216', 0, '2022-10-26 17:11:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74101, '123456789', 19, '113.1441323', '27.7981847', '150.081', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775493331', 0, '2022-10-26 17:11:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74102, '123456789', 19, '113.1441816', '27.7980578', '149.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775495033', 0, '2022-10-26 17:11:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74103, '123456789', 19, '113.1442481', '27.7978876', '150.117', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775497165', 0, '2022-10-26 17:11:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74104, '123456789', 19, '113.144331', '27.7976755', '149.857', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775499290', 0, '2022-10-26 17:11:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74105, '123456789', 19, '113.1443955', '27.7975071', '149.85', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775501500', 0, '2022-10-26 17:11:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74106, '123456789', 19, '113.1444478', '27.797378', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775503131', 0, '2022-10-26 17:11:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74107, '123456789', 19, '113.1445337', '27.7971668', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775505336', 0, '2022-10-26 17:11:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74108, '123456789', 19, '113.1445807', '27.7970396', '150.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775507021', 0, '2022-10-26 17:11:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74109, '123456789', 19, '113.1446472', '27.7968688', '149.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775509193', 0, '2022-10-26 17:11:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74110, '123456789', 19, '113.1447333', '27.7966559', '150.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775511296', 0, '2022-10-26 17:11:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74111, '123456789', 19, '113.1447997', '27.7964903', '150.243', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775513483', 0, '2022-10-26 17:11:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74112, '123456789', 19, '113.1448479', '27.7963604', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775515159', 0, '2022-10-26 17:11:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74113, '123456789', 19, '113.144929', '27.7961458', '149.869', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775517372', 0, '2022-10-26 17:11:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74114, '123456789', 19, '113.1449816', '27.7960204', '149.826', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775519011', 0, '2022-10-26 17:11:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74115, '123456789', 19, '113.1450494', '27.7958507', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775521191', 0, '2022-10-26 17:12:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74116, '123456789', 19, '113.1451162', '27.7956818', '149.86', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775523250', 0, '2022-10-26 17:12:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74117, '123456789', 19, '113.145204', '27.7954713', '150.152', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775525453', 0, '2022-10-26 17:12:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74118, '123456789', 19, '113.1452579', '27.7953467', '150.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775527118', 0, '2022-10-26 17:12:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74119, '123456789', 19, '113.1453507', '27.7951367', '150.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775529329', 0, '2022-10-26 17:12:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74120, '123456789', 19, '113.1454236', '27.794968', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775531550', 0, '2022-10-26 17:12:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74121, '123456789', 19, '113.1454787', '27.7948422', '150.104', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775533218', 0, '2022-10-26 17:12:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74122, '123456789', 19, '113.1455694', '27.7946336', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775535448', 0, '2022-10-26 17:12:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74123, '123456789', 19, '113.1456231', '27.7945074', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775537098', 0, '2022-10-26 17:12:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74124, '123456789', 19, '113.1457153', '27.7942978', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775539327', 0, '2022-10-26 17:12:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74125, '123456789', 19, '113.1457878', '27.7941314', '149.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775541538', 0, '2022-10-26 17:12:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74126, '123456789', 19, '113.1458431', '27.794004', '149.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775543205', 0, '2022-10-26 17:12:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74127, '123456789', 19, '113.1459361', '27.7937947', '150.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775545426', 0, '2022-10-26 17:12:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74128, '123456789', 19, '113.1459896', '27.7936703', '150.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775547091', 0, '2022-10-26 17:12:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74129, '123456789', 19, '113.1460802', '27.7934597', '149.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775549316', 0, '2022-10-26 17:12:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74130, '123456789', 19, '113.1461551', '27.7932922', '150.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775551528', 0, '2022-10-26 17:12:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74131, '123456789', 19, '113.1462094', '27.7931664', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775553189', 0, '2022-10-26 17:12:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74132, '123456789', 19, '113.1463007', '27.7929569', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775555406', 0, '2022-10-26 17:12:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74133, '123456789', 19, '113.1463553', '27.7928311', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775557061', 0, '2022-10-26 17:12:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74134, '123456789', 19, '113.1464464', '27.7926223', '150.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775559266', 0, '2022-10-26 17:12:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74135, '123456789', 19, '113.1465199', '27.792454', '150.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775561434', 0, '2022-10-26 17:12:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74136, '123456789', 19, '113.1465745', '27.7923285', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775563093', 0, '2022-10-26 17:12:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74137, '123456789', 19, '113.1466654', '27.7921198', '150.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775565310', 0, '2022-10-26 17:12:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74138, '123456789', 19, '113.146739', '27.7919516', '149.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775567511', 0, '2022-10-26 17:12:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74139, '123456789', 19, '113.1467943', '27.7918247', '150.12', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775569174', 0, '2022-10-26 17:12:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74140, '123456789', 19, '113.1468841', '27.7916151', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775571385', 0, '2022-10-26 17:12:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74141, '123456789', 19, '113.1469397', '27.7914899', '149.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775573045', 0, '2022-10-26 17:12:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74142, '123456789', 19, '113.1470139', '27.7913224', '149.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775575257', 0, '2022-10-26 17:12:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74143, '123456789', 19, '113.1471047', '27.7911141', '150.137', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775577454', 0, '2022-10-26 17:12:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74144, '123456789', 19, '113.1471591', '27.7909888', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775579119', 0, '2022-10-26 17:12:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74145, '123456789', 19, '113.1472508', '27.790779', '149.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775581325', 0, '2022-10-26 17:13:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74146, '123456789', 19, '113.1473211', '27.7906173', '150.055', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775583546', 0, '2022-10-26 17:13:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74147, '123456789', 19, '113.1473628', '27.7905219', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775585218', 0, '2022-10-26 17:13:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74148, '123456789', 19, '113.1473876', '27.7904658', '150.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775587447', 0, '2022-10-26 17:13:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74149, '123456789', 19, '113.1473868', '27.790467', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775589118', 0, '2022-10-26 17:13:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74150, '123456789', 19, '113.1473869', '27.7904664', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775591341', 0, '2022-10-26 17:13:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74151, '123456789', 19, '113.1473953', '27.7904448', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775593004', 0, '2022-10-26 17:13:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74152, '123456789', 19, '113.1474208', '27.7903772', '150.219', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775595215', 0, '2022-10-26 17:13:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74153, '123456789', 19, '113.1474866', '27.7902066', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775597421', 0, '2022-10-26 17:13:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74154, '123456789', 19, '113.1475338', '27.7900845', '150.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775599083', 0, '2022-10-26 17:13:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74155, '123456789', 19, '113.1476099', '27.7898822', '150.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775601298', 0, '2022-10-26 17:13:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74156, '123456789', 19, '113.1476772', '27.7897128', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775603511', 0, '2022-10-26 17:13:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74157, '123456789', 19, '113.1477256', '27.7895892', '150.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775605161', 0, '2022-10-26 17:13:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74158, '123456789', 19, '113.1478052', '27.7893802', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775607375', 0, '2022-10-26 17:13:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74159, '123456789', 19, '113.1478541', '27.7892537', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775609033', 0, '2022-10-26 17:13:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74160, '123456789', 19, '113.1479075', '27.7891147', '149.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775611245', 0, '2022-10-26 17:13:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74161, '123456789', 19, '113.147933', '27.7890518', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775613454', 0, '2022-10-26 17:13:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74162, '123456789', 19, '113.1479322', '27.7890534', '149.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775615110', 0, '2022-10-26 17:13:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74163, '123456789', 19, '113.1479359', '27.7890549', '150.181', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775617308', 0, '2022-10-26 17:13:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74164, '123456789', 19, '113.1479353', '27.7890506', '149.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775619506', 0, '2022-10-26 17:13:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74165, '123456789', 19, '113.1479281', '27.78906', '149.35', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775621166', 0, '2022-10-26 17:13:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74166, '123456789', 19, '113.1479286', '27.789057', '145.493', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775623366', 0, '2022-10-26 17:13:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74167, '123456789', 19, '113.1479309', '27.7890536', '143.24', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775625018', 0, '2022-10-26 17:13:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74168, '123456789', 19, '113.1479308', '27.7890542', '139.627', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775627235', 0, '2022-10-26 17:13:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74169, '123456789', 19, '113.1479315', '27.7890523', '136.503', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775629441', 0, '2022-10-26 17:13:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74170, '123456789', 19, '113.1479321', '27.7890529', '134.287', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775631096', 0, '2022-10-26 17:13:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74171, '123456789', 19, '113.1479308', '27.7890554', '130.569', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775633303', 0, '2022-10-26 17:13:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74172, '123456789', 19, '113.1479295', '27.7890514', '127.402', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775635513', 0, '2022-10-26 17:13:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74173, '123456789', 19, '113.1479307', '27.7890518', '125.132', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775637169', 0, '2022-10-26 17:13:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74174, '123456789', 19, '113.147932', '27.7890529', '121.585', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775639387', 0, '2022-10-26 17:13:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74175, '123456789', 19, '113.1479323', '27.7890523', '119.221', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775641045', 0, '2022-10-26 17:14:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74176, '123456789', 19, '113.1479315', '27.7890528', '115.516', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775643259', 0, '2022-10-26 17:14:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74177, '123456789', 19, '113.1479318', '27.7890526', '112.584', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775645477', 0, '2022-10-26 17:14:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74178, '123456789', 19, '113.147932', '27.7890529', '110.207', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775647142', 0, '2022-10-26 17:14:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74179, '123456789', 19, '113.1479332', '27.7890533', '106.733', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775649360', 0, '2022-10-26 17:14:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74180, '123456789', 19, '113.1479332', '27.7890525', '104.345', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775651028', 0, '2022-10-26 17:14:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74181, '123456789', 19, '113.1479314', '27.7890532', '101.243', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775653250', 0, '2022-10-26 17:14:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74182, '123456789', 19, '113.1479316', '27.7890528', '97.513', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775655466', 0, '2022-10-26 17:14:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74183, '123456789', 19, '113.1479315', '27.7890517', '95.155', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775657127', 0, '2022-10-26 17:14:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74184, '123456789', 19, '113.1479306', '27.7890525', '91.403', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775659333', 0, '2022-10-26 17:14:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74185, '123456789', 19, '113.1479321', '27.7890535', '89.218', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775661007', 0, '2022-10-26 17:14:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74186, '123456789', 19, '113.1479327', '27.7890523', '86.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775663236', 0, '2022-10-26 17:14:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74187, '123456789', 19, '113.1479321', '27.7890525', '82.635', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775665448', 0, '2022-10-26 17:14:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74188, '123456789', 19, '113.1479309', '27.7890535', '80.341', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775667111', 0, '2022-10-26 17:14:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74189, '123456789', 19, '113.1479322', '27.789053', '76.517', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775669329', 0, '2022-10-26 17:14:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74190, '123456789', 19, '113.1479319', '27.7890522', '73.573', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775671541', 0, '2022-10-26 17:14:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74191, '123456789', 19, '113.1479312', '27.7890536', '71.354', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775673208', 0, '2022-10-26 17:14:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74192, '123456789', 19, '113.1479316', '27.7890525', '67.467', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775675418', 0, '2022-10-26 17:14:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74193, '123456789', 19, '113.1479316', '27.7890531', '65.243', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775677086', 0, '2022-10-26 17:14:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74194, '123456789', 19, '113.1479316', '27.7890533', '61.54', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775679300', 0, '2022-10-26 17:14:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74195, '123456789', 19, '113.1479316', '27.7890519', '58.41', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775681507', 0, '2022-10-26 17:14:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74196, '123456789', 19, '113.1479305', '27.7890534', '56.248', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775683173', 0, '2022-10-26 17:14:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74197, '123456789', 19, '113.1479313', '27.7890548', '52.539', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775685385', 0, '2022-10-26 17:14:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74198, '123456789', 19, '113.1479321', '27.7890541', '50.308', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775687052', 0, '2022-10-26 17:14:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74199, '123456789', 19, '113.1479302', '27.7890547', '46.539', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775689262', 0, '2022-10-26 17:14:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74200, '123456789', 19, '113.1479324', '27.7890517', '43.46', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775691487', 0, '2022-10-26 17:14:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74201, '123456789', 19, '113.1479334', '27.7890521', '41.286', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775693145', 0, '2022-10-26 17:14:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74202, '123456789', 19, '113.1479302', '27.7890534', '37.499', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775695362', 0, '2022-10-26 17:14:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74203, '123456789', 19, '113.1479318', '27.7890546', '35.264', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775697005', 0, '2022-10-26 17:14:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74204, '123456789', 19, '113.1479325', '27.7890538', '32.408', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775699219', 0, '2022-10-26 17:14:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74205, '123456789', 19, '113.147931', '27.7890513', '28.32', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775701436', 0, '2022-10-26 17:15:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74206, '123456789', 19, '113.1479326', '27.78905', '26.247', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775703097', 0, '2022-10-26 17:15:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74207, '123456789', 19, '113.1479317', '27.7890547', '22.505', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775705301', 0, '2022-10-26 17:15:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74208, '123456789', 19, '113.1479319', '27.7890535', '19.557', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775707520', 0, '2022-10-26 17:15:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74209, '123456789', 19, '113.1479314', '27.7890533', '17.115', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775709190', 0, '2022-10-26 17:15:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74210, '123456789', 19, '113.1479319', '27.789054', '15.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775711407', 0, '2022-10-26 17:15:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74211, '123456789', 19, '113.1479315', '27.7890541', '14.655', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775713073', 0, '2022-10-26 17:15:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74212, '123456789', 19, '113.1479321', '27.789053', '13.872', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775715304', 0, '2022-10-26 17:15:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74213, '123456789', 19, '113.1479311', '27.7890532', '13.281', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775717526', 0, '2022-10-26 17:15:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74214, '123456789', 19, '113.1479321', '27.7890529', '12.798', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775719204', 0, '2022-10-26 17:15:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74215, '123456789', 19, '113.1479319', '27.7890541', '12.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775721420', 0, '2022-10-26 17:15:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74216, '123456789', 19, '113.1479314', '27.7890539', '11.58', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775723100', 0, '2022-10-26 17:15:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74217, '123456789', 19, '113.147932', '27.7890541', '10.784', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775725326', 0, '2022-10-26 17:15:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74218, '123456789', 19, '113.1479316', '27.7890528', '10.243', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775727542', 0, '2022-10-26 17:15:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74219, '123456789', 19, '113.147931', '27.7890532', '9.757', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775729210', 0, '2022-10-26 17:15:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74220, '123456789', 19, '113.1479317', '27.7890535', '8.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775731421', 0, '2022-10-26 17:15:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74221, '123456789', 19, '113.147932', '27.7890548', '8.619', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775733088', 0, '2022-10-26 17:15:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74222, '123456789', 19, '113.1479315', '27.7890531', '7.852', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775735313', 0, '2022-10-26 17:15:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74223, '123456789', 19, '113.1479313', '27.7890537', '7.294', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775737530', 0, '2022-10-26 17:15:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74224, '123456789', 19, '113.1479315', '27.7890535', '6.773', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775739187', 0, '2022-10-26 17:15:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74225, '123456789', 19, '113.147931', '27.7890558', '6.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775741414', 0, '2022-10-26 17:15:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74226, '123456789', 19, '113.1479317', '27.7890554', '5.643', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775743079', 0, '2022-10-26 17:15:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74227, '123456789', 19, '113.147932', '27.7890527', '4.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775745298', 0, '2022-10-26 17:15:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74228, '123456789', 19, '113.1479311', '27.7890538', '4.234', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775747512', 0, '2022-10-26 17:15:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74229, '123456789', 19, '113.1479318', '27.7890547', '3.765', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775749182', 0, '2022-10-26 17:15:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74230, '123456789', 19, '113.1479317', '27.7890534', '3.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775751405', 0, '2022-10-26 17:15:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74231, '123456789', 19, '113.1479333', '27.7890549', '2.604', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775753069', 0, '2022-10-26 17:15:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74232, '123456789', 19, '113.1479309', '27.7890509', '1.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775755288', 0, '2022-10-26 17:15:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74233, '123456789', 19, '113.1479319', '27.7890531', '1.208', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775757499', 0, '2022-10-26 17:15:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74234, '123456789', 19, '113.1479324', '27.7890549', '0.877', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775759165', 0, '2022-10-26 17:15:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74235, '123456789', 19, '113.1479309', '27.7890552', '0.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775761378', 0, '2022-10-26 17:16:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74236, '123456789', 19, '113.1479303', '27.7890544', '-0.378', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775763044', 0, '2022-10-26 17:16:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74237, '123456789', 19, '113.1479322', '27.7890545', '-1.088', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775765268', 0, '2022-10-26 17:16:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74238, '123456789', 19, '113.1479316', '27.7890548', '-1.785', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775767428', 0, '2022-10-26 17:16:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74239, '123456789', 19, '113.1479306', '27.7890546', '-1.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775769104', 0, '2022-10-26 17:16:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (74240, '123456789', 19, '113.1479305', '27.789055', '-2.181', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1666775771169', 0, '2022-10-26 17:16:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76624, '123456789', 22, '113.1479224', '27.7890332', '-0.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268751486', 0, '2022-11-01 10:12:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76625, '123456789', 22, '113.1479223', '27.7890331', '-0.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268753495', 0, '2022-11-01 10:12:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76626, '123456789', 22, '113.1479215', '27.7890339', '0.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268755134', 0, '2022-11-01 10:12:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76627, '123456789', 22, '113.1479241', '27.7890307', '6.766', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268757186', 0, '2022-11-01 10:12:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76628, '123456789', 22, '113.1479245', '27.7890315', '11.696', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268759364', 0, '2022-11-01 10:12:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76629, '123456789', 22, '113.1479227', '27.7890329', '15.439', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268761019', 0, '2022-11-01 10:12:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76630, '123456789', 22, '113.1479229', '27.7890326', '20.227', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268763233', 0, '2022-11-01 10:12:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76631, '123456789', 22, '113.1479227', '27.7890329', '26.687', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268765427', 0, '2022-11-01 10:12:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76632, '123456789', 22, '113.1479229', '27.7890323', '31.678', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268767462', 0, '2022-11-01 10:12:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76633, '123456789', 22, '113.1479227', '27.7890327', '35.29', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268769082', 0, '2022-11-01 10:12:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76634, '123456789', 22, '113.1479225', '27.7890325', '41.639', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268771293', 0, '2022-11-01 10:12:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76635, '123456789', 22, '113.1479226', '27.7890323', '46.656', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268773514', 0, '2022-11-01 10:12:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76636, '123456789', 22, '113.1479226', '27.7890325', '51.668', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268775333', 0, '2022-11-01 10:12:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76637, '123456789', 22, '113.1479222', '27.7890325', '55.522', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268777027', 0, '2022-11-01 10:12:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76638, '123456789', 22, '113.147923', '27.7890315', '60.457', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268779123', 0, '2022-11-01 10:12:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76639, '123456789', 22, '113.1479233', '27.7890322', '65.346', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268781119', 0, '2022-11-01 10:13:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76640, '123456789', 22, '113.1479231', '27.7890322', '71.717', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268783268', 0, '2022-11-01 10:13:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76641, '123456789', 22, '113.1479229', '27.7890325', '76.625', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268785499', 0, '2022-11-01 10:13:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76642, '123456789', 22, '113.1479225', '27.7890333', '80.339', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268787095', 0, '2022-11-01 10:13:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76643, '123456789', 22, '113.1479223', '27.7890328', '86.62', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268789253', 0, '2022-11-01 10:13:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76644, '123456789', 22, '113.1479222', '27.7890324', '91.586', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268791346', 0, '2022-11-01 10:13:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76645, '123456789', 22, '113.1479226', '27.7890323', '96.538', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268793543', 0, '2022-11-01 10:13:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76646, '123456789', 22, '113.1479229', '27.7890316', '99.313', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268795222', 0, '2022-11-01 10:13:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76647, '123456789', 22, '113.1479223', '27.789033', '99.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268797388', 0, '2022-11-01 10:13:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76648, '123456789', 22, '113.1479132', '27.7890572', '99.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268799410', 0, '2022-11-01 10:13:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76649, '123456789', 22, '113.1478888', '27.7891149', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268801062', 0, '2022-11-01 10:13:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76650, '123456789', 22, '113.1478158', '27.789295', '100.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268803158', 0, '2022-11-01 10:13:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76651, '123456789', 22, '113.1477472', '27.7894642', '99.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268805282', 0, '2022-11-01 10:13:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76652, '123456789', 22, '113.1476796', '27.7896331', '99.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268807471', 0, '2022-11-01 10:13:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76653, '123456789', 22, '113.147628', '27.7897591', '99.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268809008', 0, '2022-11-01 10:13:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76654, '123456789', 22, '113.1475592', '27.7899282', '99.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268811096', 0, '2022-11-01 10:13:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76655, '123456789', 22, '113.1474907', '27.7900966', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268813161', 0, '2022-11-01 10:13:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76656, '123456789', 22, '113.1474046', '27.7903075', '99.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268815405', 0, '2022-11-01 10:13:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76657, '123456789', 22, '113.1473359', '27.7904765', '99.846', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268817547', 0, '2022-11-01 10:13:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76658, '123456789', 22, '113.1472838', '27.7906032', '100.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268819059', 0, '2022-11-01 10:13:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76659, '123456789', 22, '113.1472151', '27.7907726', '99.773', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268821122', 0, '2022-11-01 10:13:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76660, '123456789', 22, '113.1471469', '27.7909424', '99.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268823170', 0, '2022-11-01 10:13:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76661, '123456789', 22, '113.1470613', '27.7911534', '99.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268825265', 0, '2022-11-01 10:13:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76662, '123456789', 22, '113.1469906', '27.7913194', '100.156', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268827393', 0, '2022-11-01 10:13:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76663, '123456789', 22, '113.1469265', '27.7914783', '100.115', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268829550', 0, '2022-11-01 10:13:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76664, '123456789', 22, '113.1468749', '27.7916077', '100.316', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268831137', 0, '2022-11-01 10:13:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76665, '123456789', 22, '113.1467958', '27.7918117', '99.571', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268833340', 0, '2022-11-01 10:13:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76666, '123456789', 22, '113.1467288', '27.791982', '99.871', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268835369', 0, '2022-11-01 10:13:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76667, '123456789', 22, '113.1466534', '27.792151', '100.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268837521', 0, '2022-11-01 10:13:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76668, '123456789', 22, '113.1466067', '27.79227', '99.255', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268839154', 0, '2022-11-01 10:13:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76669, '123456789', 22, '113.1465218', '27.7924846', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268841310', 0, '2022-11-01 10:14:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76670, '123456789', 22, '113.146449', '27.7926541', '100.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268843418', 0, '2022-11-01 10:14:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76671, '123456789', 22, '113.1464362', '27.7927261', '98.848', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268845507', 0, '2022-11-01 10:14:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76672, '123456789', 22, '113.1464299', '27.7927158', '93.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268847547', 0, '2022-11-01 10:14:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76673, '123456789', 22, '113.1464346', '27.7927041', '89.307', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268849159', 0, '2022-11-01 10:14:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76674, '123456789', 22, '113.1464224', '27.7927073', '81.613', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268851302', 0, '2022-11-01 10:14:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76675, '123456789', 22, '113.1464213', '27.7927121', '75.452', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268853422', 0, '2022-11-01 10:14:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76676, '123456789', 22, '113.1464217', '27.7927106', '71.167', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268855176', 0, '2022-11-01 10:14:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76677, '123456789', 22, '113.1464341', '27.7927036', '63.72', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268857335', 0, '2022-11-01 10:14:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76678, '123456789', 22, '113.1464337', '27.7927092', '57.737', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268859414', 0, '2022-11-01 10:14:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76679, '123456789', 22, '113.1464257', '27.7927169', '51.618', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268861463', 0, '2022-11-01 10:14:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76680, '123456789', 22, '113.1464281', '27.7927186', '47.126', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268863128', 0, '2022-11-01 10:14:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76681, '123456789', 22, '113.1464262', '27.7927085', '39.649', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268865182', 0, '2022-11-01 10:14:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76682, '123456789', 22, '113.1464287', '27.7927024', '33.748', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268867226', 0, '2022-11-01 10:14:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76683, '123456789', 22, '113.1464281', '27.7927065', '27.608', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268869472', 0, '2022-11-01 10:14:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76684, '123456789', 22, '113.1464232', '27.7927093', '23.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268871011', 0, '2022-11-01 10:14:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76685, '123456789', 22, '113.146431', '27.792709', '15.638', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268873216', 0, '2022-11-01 10:14:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76686, '123456789', 22, '113.1464191', '27.7927055', '14.763', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268875465', 0, '2022-11-01 10:14:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76687, '123456789', 22, '113.1464172', '27.792723', '14.446', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268877456', 0, '2022-11-01 10:14:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76688, '123456789', 22, '113.146417', '27.7927193', '14.605', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268879099', 0, '2022-11-01 10:14:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76689, '123456789', 22, '113.1464208', '27.7927155', '14.558', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268881139', 0, '2022-11-01 10:14:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76690, '123456789', 22, '113.1464263', '27.7927169', '14.579', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268883434', 0, '2022-11-01 10:14:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76691, '123456789', 22, '113.1464266', '27.7927174', '15.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268885066', 0, '2022-11-01 10:14:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76692, '123456789', 22, '113.1464255', '27.7927182', '18.831', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268887249', 0, '2022-11-01 10:14:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76693, '123456789', 22, '113.1464242', '27.7927171', '22.326', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268889522', 0, '2022-11-01 10:14:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76694, '123456789', 22, '113.1464246', '27.7927164', '24.84', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268891059', 0, '2022-11-01 10:14:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76695, '123456789', 22, '113.1464254', '27.7927176', '28.829', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268893280', 0, '2022-11-01 10:14:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76696, '123456789', 22, '113.1464242', '27.7927173', '32.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268895378', 0, '2022-11-01 10:14:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76697, '123456789', 22, '113.1464244', '27.792717', '35.217', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268897476', 0, '2022-11-01 10:14:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76698, '123456789', 22, '113.1464246', '27.7927171', '37.728', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268899048', 0, '2022-11-01 10:14:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76699, '123456789', 22, '113.1464244', '27.7927171', '41.777', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268901206', 0, '2022-11-01 10:15:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76700, '123456789', 22, '113.1464242', '27.7927174', '44.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268903291', 0, '2022-11-01 10:15:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76701, '123456789', 22, '113.1464231', '27.7927175', '48.27', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268905354', 0, '2022-11-01 10:15:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76702, '123456789', 22, '113.1464243', '27.7927169', '51.513', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268907416', 0, '2022-11-01 10:15:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76703, '123456789', 22, '113.1464243', '27.7927174', '54.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268909083', 0, '2022-11-01 10:15:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76704, '123456789', 22, '113.146425', '27.7927165', '57.247', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268911166', 0, '2022-11-01 10:15:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76705, '123456789', 22, '113.1464235', '27.7927174', '61.363', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268913222', 0, '2022-11-01 10:15:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76706, '123456789', 22, '113.1464238', '27.7927173', '64.594', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268915308', 0, '2022-11-01 10:15:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76707, '123456789', 22, '113.1464234', '27.7927176', '67.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268917404', 0, '2022-11-01 10:15:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76708, '123456789', 22, '113.1464235', '27.7927172', '71.115', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268919582', 0, '2022-11-01 10:15:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76709, '123456789', 22, '113.1464243', '27.792717', '73.44', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268921190', 0, '2022-11-01 10:15:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76710, '123456789', 22, '113.1464238', '27.7927171', '77.485', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268923402', 0, '2022-11-01 10:15:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76711, '123456789', 22, '113.1464239', '27.7927167', '77.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268925429', 0, '2022-11-01 10:15:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76712, '123456789', 22, '113.1464236', '27.7927168', '78.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268927037', 0, '2022-11-01 10:15:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76713, '123456789', 22, '113.1464236', '27.7927173', '78.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268929307', 0, '2022-11-01 10:15:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76714, '123456789', 22, '113.1464252', '27.7927173', '77.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268931342', 0, '2022-11-01 10:15:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76715, '123456789', 22, '113.1464247', '27.7927172', '77.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268933094', 0, '2022-11-01 10:15:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76716, '123456789', 22, '113.1464242', '27.792717', '77.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268935155', 0, '2022-11-01 10:15:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76717, '123456789', 22, '113.1464246', '27.7927169', '77.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268937106', 0, '2022-11-01 10:15:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76718, '123456789', 22, '113.1464243', '27.7927172', '77.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268939234', 0, '2022-11-01 10:15:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76719, '123456789', 22, '113.1464245', '27.7927168', '78.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268941461', 0, '2022-11-01 10:15:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76720, '123456789', 22, '113.1464232', '27.7927161', '77.907', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268943537', 0, '2022-11-01 10:15:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76721, '123456789', 22, '113.1464239', '27.7927173', '77.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268945095', 0, '2022-11-01 10:15:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76722, '123456789', 22, '113.1464232', '27.7927175', '77.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268947140', 0, '2022-11-01 10:15:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76723, '123456789', 22, '113.1464243', '27.7927168', '78.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268949303', 0, '2022-11-01 10:15:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76724, '123456789', 22, '113.1464241', '27.7927169', '77.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268951415', 0, '2022-11-01 10:15:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76725, '123456789', 22, '113.1464245', '27.7927169', '78.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268953094', 0, '2022-11-01 10:15:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76726, '123456789', 22, '113.1464241', '27.7927174', '77.825', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268955111', 0, '2022-11-01 10:15:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76727, '123456789', 22, '113.1464234', '27.7927169', '77.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268957297', 0, '2022-11-01 10:15:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76728, '123456789', 22, '113.1464242', '27.7927167', '77.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268959396', 0, '2022-11-01 10:15:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76729, '123456789', 22, '113.1464241', '27.7927171', '77.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268961476', 0, '2022-11-01 10:16:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76730, '123456789', 22, '113.1464243', '27.7927168', '77.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268963533', 0, '2022-11-01 10:16:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76731, '123456789', 22, '113.1464243', '27.7927165', '77.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268965038', 0, '2022-11-01 10:16:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76732, '123456789', 22, '113.1464235', '27.7927171', '77.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268967221', 0, '2022-11-01 10:16:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76733, '123456789', 22, '113.1464237', '27.792717', '78.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268969290', 0, '2022-11-01 10:16:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76734, '123456789', 22, '113.1464233', '27.7927173', '77.936', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268971357', 0, '2022-11-01 10:16:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76735, '123456789', 22, '113.1464242', '27.7927173', '77.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268973483', 0, '2022-11-01 10:16:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76736, '123456789', 22, '113.1464238', '27.7927171', '77.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268975116', 0, '2022-11-01 10:16:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76737, '123456789', 22, '113.1464242', '27.7927171', '77.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268977292', 0, '2022-11-01 10:16:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76738, '123456789', 22, '113.1464249', '27.7927168', '77.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268979300', 0, '2022-11-01 10:16:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76739, '123456789', 22, '113.1464244', '27.7927168', '78.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268981423', 0, '2022-11-01 10:16:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76740, '123456789', 22, '113.1464242', '27.792717', '77.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268983045', 0, '2022-11-01 10:16:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76741, '123456789', 22, '113.1464238', '27.7927173', '77.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268985106', 0, '2022-11-01 10:16:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76742, '123456789', 22, '113.1464236', '27.7927174', '77.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268987172', 0, '2022-11-01 10:16:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76743, '123456789', 22, '113.1464243', '27.7927166', '77.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268989261', 0, '2022-11-01 10:16:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76744, '123456789', 22, '113.1464239', '27.7927173', '77.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268991246', 0, '2022-11-01 10:16:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76745, '123456789', 22, '113.1464237', '27.7927175', '77.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268993374', 0, '2022-11-01 10:16:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76746, '123456789', 22, '113.1464241', '27.7927168', '78.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268995434', 0, '2022-11-01 10:16:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76747, '123456789', 22, '113.1464241', '27.7927167', '78.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268997057', 0, '2022-11-01 10:16:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76748, '123456789', 22, '113.1464237', '27.7927172', '77.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667268999193', 0, '2022-11-01 10:16:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76749, '123456789', 22, '113.1464244', '27.7927171', '77.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269001255', 0, '2022-11-01 10:16:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76750, '123456789', 22, '113.1464247', '27.7927169', '77.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269003263', 0, '2022-11-01 10:16:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76751, '123456789', 22, '113.1464238', '27.7927173', '77.82', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269005454', 0, '2022-11-01 10:16:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76752, '123456789', 22, '113.1464236', '27.7927177', '77.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269007019', 0, '2022-11-01 10:16:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76753, '123456789', 22, '113.1464235', '27.7927172', '77.776', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269009200', 0, '2022-11-01 10:16:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76754, '123456789', 22, '113.1464237', '27.7927171', '78.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269011272', 0, '2022-11-01 10:16:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76755, '123456789', 22, '113.1464241', '27.7927173', '77.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269013427', 0, '2022-11-01 10:16:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76756, '123456789', 22, '113.1464241', '27.7927176', '77.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269015469', 0, '2022-11-01 10:16:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76757, '123456789', 22, '113.1464244', '27.7927171', '77.887', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269017488', 0, '2022-11-01 10:16:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76758, '123456789', 22, '113.1464233', '27.7927174', '78.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269019494', 0, '2022-11-01 10:16:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76759, '123456789', 22, '113.1464224', '27.7927177', '77.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269021006', 0, '2022-11-01 10:17:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76760, '123456789', 22, '113.1464234', '27.7927173', '77.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269023040', 0, '2022-11-01 10:17:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76761, '123456789', 22, '113.1464237', '27.7927173', '77.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269025089', 0, '2022-11-01 10:17:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76762, '123456789', 22, '113.1464239', '27.7927172', '78.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269027164', 0, '2022-11-01 10:17:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76763, '123456789', 22, '113.1464244', '27.792717', '77.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269029174', 0, '2022-11-01 10:17:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76764, '123456789', 22, '113.1464244', '27.7927166', '78.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269031192', 0, '2022-11-01 10:17:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76765, '123456789', 22, '113.1464239', '27.7927169', '77.851', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269033267', 0, '2022-11-01 10:17:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76766, '123456789', 22, '113.1464236', '27.7927171', '77.854', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269035323', 0, '2022-11-01 10:17:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76767, '123456789', 22, '113.1464235', '27.792717', '78.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269037451', 0, '2022-11-01 10:17:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76768, '123456789', 22, '113.1464234', '27.7927174', '78.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269039031', 0, '2022-11-01 10:17:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76769, '123456789', 22, '113.1464236', '27.7927174', '77.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269041035', 0, '2022-11-01 10:17:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76770, '123456789', 22, '113.146424', '27.792717', '77.886', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269043053', 0, '2022-11-01 10:17:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76771, '123456789', 22, '113.146424', '27.7927168', '79.214', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269045223', 0, '2022-11-01 10:17:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76772, '123456789', 22, '113.1464253', '27.7927173', '82.423', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269047238', 0, '2022-11-01 10:17:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76773, '123456789', 22, '113.1464245', '27.7927172', '85.646', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269049364', 0, '2022-11-01 10:17:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76774, '123456789', 22, '113.1464238', '27.7927168', '89.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269051493', 0, '2022-11-01 10:17:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76775, '123456789', 22, '113.1464237', '27.7927168', '92.227', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269053497', 0, '2022-11-01 10:17:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76776, '123456789', 22, '113.1464228', '27.792717', '94.677', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269055116', 0, '2022-11-01 10:17:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76777, '123456789', 22, '113.1464229', '27.7927172', '98.723', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269057189', 0, '2022-11-01 10:17:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76778, '123456789', 22, '113.1464236', '27.7927171', '101.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269059373', 0, '2022-11-01 10:17:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76779, '123456789', 22, '113.146424', '27.792717', '105.265', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269061434', 0, '2022-11-01 10:17:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76780, '123456789', 22, '113.1464242', '27.7927173', '107.666', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269063061', 0, '2022-11-01 10:17:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76781, '123456789', 22, '113.1464243', '27.7927174', '110.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269065122', 0, '2022-11-01 10:17:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76782, '123456789', 22, '113.1464234', '27.7927164', '112.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269067199', 0, '2022-11-01 10:17:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76783, '123456789', 22, '113.1464238', '27.7927173', '112.163', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269069316', 0, '2022-11-01 10:17:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76784, '123456789', 22, '113.1464241', '27.7927179', '112.124', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269071414', 0, '2022-11-01 10:17:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76785, '123456789', 22, '113.1464242', '27.7927175', '112.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269073522', 0, '2022-11-01 10:17:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76786, '123456789', 22, '113.1464237', '27.7927171', '112.117', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269075147', 0, '2022-11-01 10:17:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76787, '123456789', 22, '113.146424', '27.792717', '112.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269077186', 0, '2022-11-01 10:17:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76788, '123456789', 22, '113.1464239', '27.7927169', '112.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269079225', 0, '2022-11-01 10:17:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76789, '123456789', 22, '113.1464238', '27.792717', '112.114', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269081409', 0, '2022-11-01 10:18:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76790, '123456789', 22, '113.1464238', '27.792717', '111.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269083473', 0, '2022-11-01 10:18:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76791, '123456789', 22, '113.146424', '27.7927172', '112.104', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269085097', 0, '2022-11-01 10:18:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76792, '123456789', 22, '113.1464237', '27.7927171', '112.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269087237', 0, '2022-11-01 10:18:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76793, '123456789', 22, '113.1464242', '27.7927175', '112.109', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269089287', 0, '2022-11-01 10:18:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76794, '123456789', 22, '113.1464239', '27.7927172', '112.173', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269091425', 0, '2022-11-01 10:18:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76795, '123456789', 22, '113.146424', '27.7927167', '112.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269093495', 0, '2022-11-01 10:18:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76796, '123456789', 22, '113.146424', '27.7927177', '112.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269095064', 0, '2022-11-01 10:18:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76797, '123456789', 22, '113.146423', '27.792718', '111.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269097191', 0, '2022-11-01 10:18:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76798, '123456789', 22, '113.1464238', '27.7927172', '112.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269099256', 0, '2022-11-01 10:18:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76799, '123456789', 22, '113.1464245', '27.7927163', '112.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269101328', 0, '2022-11-01 10:18:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76800, '123456789', 22, '113.1464233', '27.7927176', '112.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269103429', 0, '2022-11-01 10:18:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76801, '123456789', 22, '113.146427', '27.7927145', '112.283', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269105521', 0, '2022-11-01 10:18:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76802, '123456789', 22, '113.1464681', '27.7926821', '112.356', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269107064', 0, '2022-11-01 10:18:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76803, '123456789', 22, '113.14655', '27.7926291', '112.522', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269109089', 0, '2022-11-01 10:18:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76804, '123456789', 22, '113.1466552', '27.7925569', '112.745', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269111154', 0, '2022-11-01 10:18:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76805, '123456789', 22, '113.1467295', '27.7924986', '112.79', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269113378', 0, '2022-11-01 10:18:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76806, '123456789', 22, '113.1467843', '27.7924559', '112.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269115027', 0, '2022-11-01 10:18:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76807, '123456789', 22, '113.1468596', '27.7923983', '113.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269117106', 0, '2022-11-01 10:18:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76808, '123456789', 22, '113.1469571', '27.7923262', '113.349', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269119336', 0, '2022-11-01 10:18:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76809, '123456789', 22, '113.1470351', '27.7922686', '113.473', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269121467', 0, '2022-11-01 10:18:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76810, '123456789', 22, '113.1470938', '27.7922257', '113.564', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269123083', 0, '2022-11-01 10:18:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76811, '123456789', 22, '113.1471721', '27.7921687', '113.721', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269125232', 0, '2022-11-01 10:18:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76812, '123456789', 22, '113.1472707', '27.7920967', '113.847', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269127255', 0, '2022-11-01 10:18:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76813, '123456789', 22, '113.1473482', '27.7920395', '114.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269129368', 0, '2022-11-01 10:18:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76814, '123456789', 22, '113.1474265', '27.7919821', '114.158', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269131549', 0, '2022-11-01 10:18:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76815, '123456789', 22, '113.1474847', '27.7919391', '114.267', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269133037', 0, '2022-11-01 10:18:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76816, '123456789', 22, '113.1475637', '27.7918816', '114.431', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269135151', 0, '2022-11-01 10:18:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76817, '123456789', 22, '113.1476615', '27.7918101', '114.61', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269137162', 0, '2022-11-01 10:18:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76818, '123456789', 22, '113.1477393', '27.7917532', '114.719', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269139219', 0, '2022-11-01 10:18:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76819, '123456789', 22, '113.1478135', '27.7916986', '114.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269141371', 0, '2022-11-01 10:19:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76820, '123456789', 22, '113.1478518', '27.7916695', '114.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269143425', 0, '2022-11-01 10:19:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76821, '123456789', 22, '113.1478516', '27.791669', '115.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269145078', 0, '2022-11-01 10:19:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76822, '123456789', 22, '113.1478499', '27.7916728', '115.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269147209', 0, '2022-11-01 10:19:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76823, '123456789', 22, '113.1478498', '27.7916726', '115.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269149324', 0, '2022-11-01 10:19:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76824, '123456789', 22, '113.1478503', '27.7916721', '115.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269151355', 0, '2022-11-01 10:19:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76825, '123456789', 22, '113.1478497', '27.7916722', '115.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269153424', 0, '2022-11-01 10:19:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76826, '123456789', 22, '113.1478506', '27.7916718', '115.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269155425', 0, '2022-11-01 10:19:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76827, '123456789', 22, '113.1478514', '27.7916714', '115.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269157007', 0, '2022-11-01 10:19:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76828, '123456789', 22, '113.1478501', '27.7916719', '115.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269159228', 0, '2022-11-01 10:19:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76829, '123456789', 22, '113.1478493', '27.7916723', '115.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269161257', 0, '2022-11-01 10:19:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76830, '123456789', 22, '113.1478481', '27.7916728', '115.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269163376', 0, '2022-11-01 10:19:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76831, '123456789', 22, '113.1478489', '27.7916728', '115.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269165097', 0, '2022-11-01 10:19:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76832, '123456789', 22, '113.1478499', '27.7916726', '114.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269167090', 0, '2022-11-01 10:19:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76833, '123456789', 22, '113.1478506', '27.7916718', '115.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269169127', 0, '2022-11-01 10:19:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76834, '123456789', 22, '113.1478515', '27.791672', '115.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269171306', 0, '2022-11-01 10:19:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76835, '123456789', 22, '113.1478495', '27.7916719', '114.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269173256', 0, '2022-11-01 10:19:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76836, '123456789', 22, '113.1478498', '27.7916725', '115.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269175529', 0, '2022-11-01 10:19:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76837, '123456789', 22, '113.1478503', '27.7916723', '115.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269177128', 0, '2022-11-01 10:19:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76838, '123456789', 22, '113.14785', '27.7916725', '114.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269179263', 0, '2022-11-01 10:19:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76839, '123456789', 22, '113.1478497', '27.7916725', '114.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269181512', 0, '2022-11-01 10:19:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76840, '123456789', 22, '113.1478499', '27.7916726', '115.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269183158', 0, '2022-11-01 10:19:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76841, '123456789', 22, '113.1478495', '27.7916719', '115.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269185253', 0, '2022-11-01 10:19:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76842, '123456789', 22, '113.1478494', '27.7916719', '115.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269187253', 0, '2022-11-01 10:19:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76843, '123456789', 22, '113.1478496', '27.7916715', '115.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269189260', 0, '2022-11-01 10:19:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76844, '123456789', 22, '113.1478507', '27.7916716', '115.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269191275', 0, '2022-11-01 10:19:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76845, '123456789', 22, '113.1478498', '27.7916719', '115.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269193350', 0, '2022-11-01 10:19:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76846, '123456789', 22, '113.1478496', '27.7916717', '115.097', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269195415', 0, '2022-11-01 10:19:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76847, '123456789', 22, '113.1478494', '27.7916716', '116.511', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269197120', 0, '2022-11-01 10:19:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76848, '123456789', 22, '113.14785', '27.7916721', '121.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269199336', 0, '2022-11-01 10:19:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76849, '123456789', 22, '113.14785', '27.7916712', '126.708', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269201463', 0, '2022-11-01 10:20:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76850, '123456789', 22, '113.1478501', '27.7916717', '130.403', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269203141', 0, '2022-11-01 10:20:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76851, '123456789', 22, '113.1478495', '27.7916719', '136.585', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269205209', 0, '2022-11-01 10:20:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76852, '123456789', 22, '113.1478494', '27.7916723', '141.549', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269207165', 0, '2022-11-01 10:20:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76853, '123456789', 22, '113.1478491', '27.7916714', '146.556', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269209320', 0, '2022-11-01 10:20:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76854, '123456789', 22, '113.1478511', '27.7916337', '149.793', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269211293', 0, '2022-11-01 10:20:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76855, '123456789', 22, '113.1478557', '27.7915143', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269213399', 0, '2022-11-01 10:20:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76856, '123456789', 22, '113.147857', '27.791339', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269215481', 0, '2022-11-01 10:20:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76857, '123456789', 22, '113.1478589', '27.7912026', '149.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269217034', 0, '2022-11-01 10:20:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76858, '123456789', 22, '113.1478654', '27.7910237', '149.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269219154', 0, '2022-11-01 10:20:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76859, '123456789', 22, '113.1478743', '27.7908009', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269221242', 0, '2022-11-01 10:20:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76860, '123456789', 22, '113.1478794', '27.7906222', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269223405', 0, '2022-11-01 10:20:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76861, '123456789', 22, '113.1478827', '27.7904877', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269225023', 0, '2022-11-01 10:20:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76862, '123456789', 22, '113.1478891', '27.7902629', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269227213', 0, '2022-11-01 10:20:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76863, '123456789', 22, '113.1478942', '27.7900839', '149.82', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269229283', 0, '2022-11-01 10:20:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76864, '123456789', 22, '113.1478984', '27.789904', '149.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269231365', 0, '2022-11-01 10:20:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76865, '123456789', 22, '113.1479036', '27.7897241', '149.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269233470', 0, '2022-11-01 10:20:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76866, '123456789', 22, '113.1479077', '27.7895898', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269235063', 0, '2022-11-01 10:20:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76867, '123456789', 22, '113.1479137', '27.7893646', '149.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269237182', 0, '2022-11-01 10:20:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76868, '123456789', 22, '113.1479185', '27.7891903', '149.915', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269239324', 0, '2022-11-01 10:20:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76869, '123456789', 22, '113.1479217', '27.7890674', '149.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269241398', 0, '2022-11-01 10:20:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76870, '123456789', 22, '113.147923', '27.78903', '149.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269243417', 0, '2022-11-01 10:20:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76871, '123456789', 22, '113.1479233', '27.7890335', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269245032', 0, '2022-11-01 10:20:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76872, '123456789', 22, '113.1479252', '27.789036', '150.076', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269247159', 0, '2022-11-01 10:20:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76873, '123456789', 22, '113.1479188', '27.7890375', '149.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269249281', 0, '2022-11-01 10:20:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76874, '123456789', 22, '113.1479171', '27.7890379', '148.31', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269251404', 0, '2022-11-01 10:20:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76875, '123456789', 22, '113.1479197', '27.7890352', '146.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269253089', 0, '2022-11-01 10:20:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76876, '123456789', 22, '113.1479206', '27.7890344', '142.344', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269255328', 0, '2022-11-01 10:20:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76877, '123456789', 22, '113.1479216', '27.7890329', '139.33', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269257478', 0, '2022-11-01 10:20:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76878, '123456789', 22, '113.147923', '27.7890317', '136.787', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269259124', 0, '2022-11-01 10:20:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76879, '123456789', 22, '113.1479218', '27.7890318', '133.244', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269261401', 0, '2022-11-01 10:21:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76880, '123456789', 22, '113.1479212', '27.789033', '130.259', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269263482', 0, '2022-11-01 10:21:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76881, '123456789', 22, '113.147922', '27.7890321', '127.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269265100', 0, '2022-11-01 10:21:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76882, '123456789', 22, '113.1479214', '27.7890347', '124.214', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269267326', 0, '2022-11-01 10:21:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76883, '123456789', 22, '113.1479233', '27.789032', '121.249', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269269518', 0, '2022-11-01 10:21:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76884, '123456789', 22, '113.1479228', '27.7890323', '118.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269271191', 0, '2022-11-01 10:21:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76885, '123456789', 22, '113.1479219', '27.7890328', '115.186', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269273311', 0, '2022-11-01 10:21:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76886, '123456789', 22, '113.1479222', '27.7890325', '112.294', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269275470', 0, '2022-11-01 10:21:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76887, '123456789', 22, '113.1479226', '27.7890324', '109.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269277064', 0, '2022-11-01 10:21:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76888, '123456789', 22, '113.1479224', '27.7890328', '106.21', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269279243', 0, '2022-11-01 10:21:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76889, '123456789', 22, '113.1479222', '27.7890326', '103.202', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269281410', 0, '2022-11-01 10:21:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76890, '123456789', 22, '113.1479209', '27.7890327', '100.174', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269283440', 0, '2022-11-01 10:21:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76891, '123456789', 22, '113.1479228', '27.789033', '98.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269285125', 0, '2022-11-01 10:21:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76892, '123456789', 22, '113.1479228', '27.7890325', '94.354', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269287310', 0, '2022-11-01 10:21:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76893, '123456789', 22, '113.1479217', '27.7890324', '91.283', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269289511', 0, '2022-11-01 10:21:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76894, '123456789', 22, '113.1479226', '27.7890328', '88.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269291064', 0, '2022-11-01 10:21:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76895, '123456789', 22, '113.1479214', '27.789032', '85.2', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269293236', 0, '2022-11-01 10:21:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76896, '123456789', 22, '113.1479218', '27.7890332', '82.347', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269295327', 0, '2022-11-01 10:21:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76897, '123456789', 22, '113.1479234', '27.7890335', '79.14', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269297471', 0, '2022-11-01 10:21:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76898, '123456789', 22, '113.1479223', '27.789033', '76.25', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269299485', 0, '2022-11-01 10:21:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76899, '123456789', 22, '113.1479221', '27.7890329', '73.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269301112', 0, '2022-11-01 10:21:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76900, '123456789', 22, '113.1479215', '27.7890328', '70.343', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269303296', 0, '2022-11-01 10:21:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76901, '123456789', 22, '113.1479223', '27.7890323', '67.274', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269305420', 0, '2022-11-01 10:21:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76902, '123456789', 22, '113.1479222', '27.789032', '64.275', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269307564', 0, '2022-11-01 10:21:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76903, '123456789', 22, '113.1479224', '27.7890332', '61.306', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269309246', 0, '2022-11-01 10:21:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76904, '123456789', 22, '113.1479221', '27.7890335', '58.231', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269311294', 0, '2022-11-01 10:21:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76905, '123456789', 22, '113.1479222', '27.7890333', '55.243', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269313390', 0, '2022-11-01 10:21:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76906, '123456789', 22, '113.1479228', '27.7890325', '52.258', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269315545', 0, '2022-11-01 10:21:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76907, '123456789', 22, '113.1479229', '27.7890321', '50.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269317110', 0, '2022-11-01 10:21:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76908, '123456789', 22, '113.1479225', '27.7890326', '46.238', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269319242', 0, '2022-11-01 10:21:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76909, '123456789', 22, '113.147922', '27.7890334', '43.309', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269321255', 0, '2022-11-01 10:22:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76910, '123456789', 22, '113.1479222', '27.7890331', '40.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269323311', 0, '2022-11-01 10:22:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76911, '123456789', 22, '113.1479226', '27.7890336', '37.413', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269325325', 0, '2022-11-01 10:22:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76912, '123456789', 22, '113.1479236', '27.7890314', '34.294', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269327522', 0, '2022-11-01 10:22:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76913, '123456789', 22, '113.1479222', '27.7890331', '32.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269329078', 0, '2022-11-01 10:22:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76914, '123456789', 22, '113.1479212', '27.7890351', '28.274', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269331199', 0, '2022-11-01 10:22:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76915, '123456789', 22, '113.1479218', '27.7890329', '25.315', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269333394', 0, '2022-11-01 10:22:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76916, '123456789', 22, '113.1479226', '27.7890322', '22.305', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269335467', 0, '2022-11-01 10:22:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76917, '123456789', 22, '113.1479223', '27.7890334', '19.303', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269337524', 0, '2022-11-01 10:22:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76918, '123456789', 22, '113.1479232', '27.7890321', '16.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269339085', 0, '2022-11-01 10:22:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76919, '123456789', 22, '113.1479214', '27.7890355', '15.133', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269341170', 0, '2022-11-01 10:22:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76920, '123456789', 22, '113.1479219', '27.7890339', '14.448', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269343289', 0, '2022-11-01 10:22:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76921, '123456789', 22, '113.147922', '27.7890335', '13.888', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269345401', 0, '2022-11-01 10:22:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76922, '123456789', 22, '113.1479223', '27.7890323', '13.306', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269347527', 0, '2022-11-01 10:22:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76923, '123456789', 22, '113.1479223', '27.7890325', '12.82', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269349196', 0, '2022-11-01 10:22:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76924, '123456789', 22, '113.147923', '27.7890332', '12.075', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269351222', 0, '2022-11-01 10:22:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76925, '123456789', 22, '113.1479225', '27.7890336', '11.454', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269353234', 0, '2022-11-01 10:22:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76926, '123456789', 22, '113.1479223', '27.7890335', '10.879', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269355306', 0, '2022-11-01 10:22:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76927, '123456789', 22, '113.147923', '27.789033', '10.27', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269357369', 0, '2022-11-01 10:22:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76928, '123456789', 22, '113.1479226', '27.7890332', '9.686', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269359505', 0, '2022-11-01 10:22:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76929, '123456789', 22, '113.1479227', '27.7890333', '9.238', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269361006', 0, '2022-11-01 10:22:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76930, '123456789', 22, '113.147922', '27.7890325', '8.648', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269363075', 0, '2022-11-01 10:22:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76931, '123456789', 22, '113.1479227', '27.7890328', '7.854', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269365200', 0, '2022-11-01 10:22:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76932, '123456789', 22, '113.147923', '27.7890344', '7.257', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269367271', 0, '2022-11-01 10:22:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76933, '123456789', 22, '113.1479228', '27.7890339', '6.665', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269369363', 0, '2022-11-01 10:22:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76934, '123456789', 22, '113.1479215', '27.7890337', '6.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269371406', 0, '2022-11-01 10:22:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76935, '123456789', 22, '113.1479221', '27.7890329', '5.509', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269373477', 0, '2022-11-01 10:22:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76936, '123456789', 22, '113.1479217', '27.7890339', '4.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269375493', 0, '2022-11-01 10:22:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76937, '123456789', 22, '113.147922', '27.789034', '4.215', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269377493', 0, '2022-11-01 10:22:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76938, '123456789', 22, '113.1479216', '27.7890342', '3.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269379000', 0, '2022-11-01 10:22:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76939, '123456789', 22, '113.1479235', '27.7890343', '3.177', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269381015', 0, '2022-11-01 10:23:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76940, '123456789', 22, '113.1479235', '27.7890332', '2.647', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269383019', 0, '2022-11-01 10:23:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76941, '123456789', 22, '113.1479235', '27.7890331', '2.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269385152', 0, '2022-11-01 10:23:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76942, '123456789', 22, '113.1479213', '27.7890333', '1.42', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269387168', 0, '2022-11-01 10:23:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76943, '123456789', 22, '113.1479203', '27.7890343', '0.653', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269389234', 0, '2022-11-01 10:23:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76944, '123456789', 22, '113.1479231', '27.7890353', '0.17', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269391360', 0, '2022-11-01 10:23:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76945, '123456789', 22, '113.1479225', '27.7890353', '-0.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269393375', 0, '2022-11-01 10:23:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (76946, '123456789', 22, '113.1479224', '27.7890356', '-0.151', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1667269395374', 0, '2022-11-01 10:23:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77407, '123456789', 11, '112.9778554', '27.7257726', '0.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278179187', 0, '2022-11-24 16:22:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77408, '123456789', 11, '112.9778554', '27.7257726', '0.228', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278181238', 0, '2022-11-24 16:23:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77409, '123456789', 11, '112.9778552', '27.7257728', '3.793', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278183302', 0, '2022-11-24 16:23:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77410, '123456789', 11, '112.9778551', '27.7257729', '8.843', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278185574', 0, '2022-11-24 16:23:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77411, '123456789', 11, '112.9778551', '27.7257729', '13.828', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278187070', 0, '2022-11-24 16:23:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77412, '123456789', 11, '112.9778551', '27.7257728', '18.818', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278189268', 0, '2022-11-24 16:23:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77413, '123456789', 11, '112.9778551', '27.7257729', '23.818', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278191545', 0, '2022-11-24 16:23:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77414, '123456789', 11, '112.977855', '27.7257729', '30.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278193561', 0, '2022-11-24 16:23:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77415, '123456789', 11, '112.977855', '27.7257729', '33.799', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278195141', 0, '2022-11-24 16:23:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77416, '123456789', 11, '112.977855', '27.7257729', '38.782', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278197255', 0, '2022-11-24 16:23:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77417, '123456789', 11, '112.977855', '27.7257729', '43.785', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278199452', 0, '2022-11-24 16:23:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77418, '123456789', 11, '112.977855', '27.7257729', '48.79', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278201152', 0, '2022-11-24 16:23:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77419, '123456789', 11, '112.977855', '27.7257729', '53.794', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278203408', 0, '2022-11-24 16:23:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77420, '123456789', 11, '112.977855', '27.7257729', '58.8', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278205061', 0, '2022-11-24 16:23:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77421, '123456789', 11, '112.977855', '27.7257729', '63.8', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278207308', 0, '2022-11-24 16:23:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77422, '123456789', 11, '112.977855', '27.7257729', '68.79', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278209634', 0, '2022-11-24 16:23:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77423, '123456789', 11, '112.9778551', '27.7257728', '73.787', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278211266', 0, '2022-11-24 16:23:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77424, '123456789', 11, '112.9778551', '27.7257728', '78.794', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278213451', 0, '2022-11-24 16:23:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77425, '123456789', 11, '112.9778551', '27.7257729', '83.801', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278215057', 0, '2022-11-24 16:23:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77426, '123456789', 11, '112.9778551', '27.7257729', '88.805', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278217298', 0, '2022-11-24 16:23:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77427, '123456789', 11, '112.9778551', '27.7257729', '95.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278219526', 0, '2022-11-24 16:23:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77428, '123456789', 11, '112.9778551', '27.7257729', '97.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278221194', 0, '2022-11-24 16:23:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77429, '123456789', 11, '112.9778551', '27.7257728', '99.894', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278223370', 0, '2022-11-24 16:23:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77430, '123456789', 11, '112.9778512', '27.7257693', '99.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278225049', 0, '2022-11-24 16:23:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77431, '123456789', 11, '112.9778109', '27.7257324', '99.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278227297', 0, '2022-11-24 16:23:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77432, '123456789', 11, '112.9777119', '27.7256428', '99.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278229442', 0, '2022-11-24 16:23:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77433, '123456789', 11, '112.9775793', '27.725523', '99.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278231100', 0, '2022-11-24 16:23:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77434, '123456789', 11, '112.9774408', '27.7253974', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278233368', 0, '2022-11-24 16:23:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77435, '123456789', 11, '112.9773006', '27.7252702', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278235502', 0, '2022-11-24 16:23:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77436, '123456789', 11, '112.9771596', '27.7251424', '100.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278237128', 0, '2022-11-24 16:23:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77437, '123456789', 11, '112.9770185', '27.7250146', '100.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278239366', 0, '2022-11-24 16:23:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77438, '123456789', 11, '112.9768415', '27.7248542', '100.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278241552', 0, '2022-11-24 16:24:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77439, '123456789', 11, '112.9767348', '27.7247576', '100.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278243242', 0, '2022-11-24 16:24:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77440, '123456789', 11, '112.9765931', '27.7246292', '100.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278245476', 0, '2022-11-24 16:24:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77441, '123456789', 11, '112.9764871', '27.7245332', '100.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278247053', 0, '2022-11-24 16:24:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77442, '123456789', 11, '112.9763096', '27.7243724', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278249138', 0, '2022-11-24 16:24:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77443, '123456789', 11, '112.9761676', '27.7242438', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278251228', 0, '2022-11-24 16:24:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77444, '123456789', 11, '112.9760258', '27.7241154', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278253309', 0, '2022-11-24 16:24:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77445, '123456789', 11, '112.9758839', '27.7239868', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278255421', 0, '2022-11-24 16:24:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77446, '123456789', 11, '112.9757775', '27.7238904', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278257039', 0, '2022-11-24 16:24:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77447, '123456789', 11, '112.9756005', '27.7237301', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278259111', 0, '2022-11-24 16:24:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77448, '123456789', 11, '112.9754588', '27.7236017', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278261187', 0, '2022-11-24 16:24:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77449, '123456789', 11, '112.975317', '27.7234732', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278263351', 0, '2022-11-24 16:24:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77450, '123456789', 11, '112.9751751', '27.7233447', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278265438', 0, '2022-11-24 16:24:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77451, '123456789', 11, '112.9750685', '27.7232482', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278267030', 0, '2022-11-24 16:24:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77452, '123456789', 11, '112.9748913', '27.7230876', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278269108', 0, '2022-11-24 16:24:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77453, '123456789', 11, '112.9747497', '27.7229593', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278271263', 0, '2022-11-24 16:24:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77454, '123456789', 11, '112.9746078', '27.7228308', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278273543', 0, '2022-11-24 16:24:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77455, '123456789', 11, '112.9745017', '27.7227346', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278275056', 0, '2022-11-24 16:24:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77456, '123456789', 11, '112.9743243', '27.7225739', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278277156', 0, '2022-11-24 16:24:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77457, '123456789', 11, '112.9741824', '27.7224453', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278279304', 0, '2022-11-24 16:24:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77458, '123456789', 11, '112.9740761', '27.7223491', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278281030', 0, '2022-11-24 16:24:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77459, '123456789', 11, '112.9739341', '27.7222205', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278283097', 0, '2022-11-24 16:24:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77460, '123456789', 11, '112.9737573', '27.7220603', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278285219', 0, '2022-11-24 16:24:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77461, '123456789', 11, '112.9736154', '27.7219317', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278287316', 0, '2022-11-24 16:24:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77462, '123456789', 11, '112.9734738', '27.7218034', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278289449', 0, '2022-11-24 16:24:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77463, '123456789', 11, '112.9733316', '27.7216746', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278291134', 0, '2022-11-24 16:24:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77464, '123456789', 11, '112.9731896', '27.721546', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278293282', 0, '2022-11-24 16:24:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77465, '123456789', 11, '112.9730476', '27.7214173', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278295454', 0, '2022-11-24 16:24:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77466, '123456789', 11, '112.9729055', '27.7212886', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278297089', 0, '2022-11-24 16:24:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77467, '123456789', 11, '112.9727637', '27.7211601', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278299149', 0, '2022-11-24 16:24:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77468, '123456789', 11, '112.9726218', '27.7210316', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278301217', 0, '2022-11-24 16:25:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77469, '123456789', 11, '112.97248', '27.7209032', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278303418', 0, '2022-11-24 16:25:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77470, '123456789', 11, '112.9723734', '27.7208066', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278305009', 0, '2022-11-24 16:25:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77471, '123456789', 11, '112.9721959', '27.7206458', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278307119', 0, '2022-11-24 16:25:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77472, '123456789', 11, '112.972054', '27.7205172', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278309306', 0, '2022-11-24 16:25:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77473, '123456789', 11, '112.971912', '27.7203886', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278311407', 0, '2022-11-24 16:25:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77474, '123456789', 11, '112.9718054', '27.720292', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278313081', 0, '2022-11-24 16:25:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77475, '123456789', 11, '112.9716281', '27.7201314', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278315215', 0, '2022-11-24 16:25:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77476, '123456789', 11, '112.9714862', '27.7200028', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278317256', 0, '2022-11-24 16:25:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77477, '123456789', 11, '112.9713441', '27.719874', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278319352', 0, '2022-11-24 16:25:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77478, '123456789', 11, '112.9712376', '27.7197776', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278321371', 0, '2022-11-24 16:25:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77479, '123456789', 11, '112.97106', '27.7196167', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278323120', 0, '2022-11-24 16:25:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77480, '123456789', 11, '112.9709179', '27.719488', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278325301', 0, '2022-11-24 16:25:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77481, '123456789', 11, '112.9707759', '27.7193593', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278327397', 0, '2022-11-24 16:25:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77482, '123456789', 11, '112.9706694', '27.7192628', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278329007', 0, '2022-11-24 16:25:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77483, '123456789', 11, '112.9705275', '27.7191343', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278331063', 0, '2022-11-24 16:25:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77484, '123456789', 11, '112.97035', '27.7189735', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278333182', 0, '2022-11-24 16:25:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77485, '123456789', 11, '112.9702082', '27.718845', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278335305', 0, '2022-11-24 16:25:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77486, '123456789', 11, '112.9700661', '27.7187163', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278337498', 0, '2022-11-24 16:25:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77487, '123456789', 11, '112.9699239', '27.7185875', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278339152', 0, '2022-11-24 16:25:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77488, '123456789', 11, '112.9697819', '27.7184589', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278341897', 0, '2022-11-24 16:25:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77489, '123456789', 11, '112.96964', '27.7183302', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278343373', 0, '2022-11-24 16:25:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77490, '123456789', 11, '112.9694982', '27.7182018', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278345447', 0, '2022-11-24 16:25:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77491, '123456789', 11, '112.9693919', '27.7181055', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278347087', 0, '2022-11-24 16:25:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77492, '123456789', 11, '112.9692142', '27.7179445', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278349138', 0, '2022-11-24 16:25:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77493, '123456789', 11, '112.9690721', '27.7178157', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278351522', 0, '2022-11-24 16:25:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77494, '123456789', 11, '112.9689302', '27.7176872', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278353115', 0, '2022-11-24 16:25:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77495, '123456789', 11, '112.9687884', '27.7175587', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278355349', 0, '2022-11-24 16:25:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77496, '123456789', 11, '112.9686819', '27.7174622', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278357034', 0, '2022-11-24 16:25:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77497, '123456789', 11, '112.9685047', '27.7173018', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278359190', 0, '2022-11-24 16:25:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77498, '123456789', 11, '112.9683626', '27.717173', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278361429', 0, '2022-11-24 16:26:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77499, '123456789', 11, '112.9682207', '27.7170444', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278363117', 0, '2022-11-24 16:26:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77500, '123456789', 11, '112.9680785', '27.7169157', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278365272', 0, '2022-11-24 16:26:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77501, '123456789', 11, '112.9679365', '27.716787', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278367384', 0, '2022-11-24 16:26:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77502, '123456789', 11, '112.96783', '27.7166905', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278369017', 0, '2022-11-24 16:26:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77503, '123456789', 11, '112.9676527', '27.7165299', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278371153', 0, '2022-11-24 16:26:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77504, '123456789', 11, '112.9675108', '27.7164014', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278373375', 0, '2022-11-24 16:26:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77505, '123456789', 11, '112.967404', '27.7163047', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278375060', 0, '2022-11-24 16:26:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77506, '123456789', 11, '112.9672266', '27.7161439', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278377257', 0, '2022-11-24 16:26:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77507, '123456789', 11, '112.9670845', '27.7160152', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278379495', 0, '2022-11-24 16:26:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77508, '123456789', 11, '112.9669428', '27.7158868', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278381180', 0, '2022-11-24 16:26:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77509, '123456789', 11, '112.9668027', '27.7157627', '100.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278383358', 0, '2022-11-24 16:26:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77510, '123456789', 11, '112.9667219', '27.7157041', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278385028', 0, '2022-11-24 16:26:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77511, '123456789', 11, '112.9666881', '27.7156806', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278387203', 0, '2022-11-24 16:26:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77512, '123456789', 11, '112.9667637', '27.7157173', '99.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278389347', 0, '2022-11-24 16:26:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77513, '123456789', 11, '112.96687', '27.7157679', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278391016', 0, '2022-11-24 16:26:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77514, '123456789', 11, '112.9670858', '27.7158714', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278393245', 0, '2022-11-24 16:26:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77515, '123456789', 11, '112.9672647', '27.7159569', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278395339', 0, '2022-11-24 16:26:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77516, '123456789', 11, '112.9674443', '27.7160425', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278397401', 0, '2022-11-24 16:26:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77517, '123456789', 11, '112.9676237', '27.716128', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278399445', 0, '2022-11-24 16:26:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77518, '123456789', 11, '112.9677579', '27.7161919', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278401014', 0, '2022-11-24 16:26:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77519, '123456789', 11, '112.9679832', '27.7162993', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278403110', 0, '2022-11-24 16:26:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77520, '123456789', 11, '112.9681628', '27.7163849', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278405258', 0, '2022-11-24 16:26:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77521, '123456789', 11, '112.9683426', '27.7164706', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278407343', 0, '2022-11-24 16:26:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77522, '123456789', 11, '112.9685224', '27.7165563', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278409444', 0, '2022-11-24 16:26:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77523, '123456789', 11, '112.9687025', '27.7166421', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278411553', 0, '2022-11-24 16:26:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77524, '123456789', 11, '112.9688822', '27.7167277', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278413175', 0, '2022-11-24 16:26:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77525, '123456789', 11, '112.9690617', '27.7168133', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278415267', 0, '2022-11-24 16:26:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77526, '123456789', 11, '112.9692417', '27.716899', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278417370', 0, '2022-11-24 16:26:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77527, '123456789', 11, '112.9694217', '27.7169848', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278419544', 0, '2022-11-24 16:27:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77528, '123456789', 11, '112.9696014', '27.7170704', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278421143', 0, '2022-11-24 16:27:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77529, '123456789', 11, '112.9697813', '27.7171561', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278423527', 0, '2022-11-24 16:27:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77530, '123456789', 11, '112.9699163', '27.7172204', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278425114', 0, '2022-11-24 16:27:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77531, '123456789', 11, '112.9701407', '27.7173273', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278427237', 0, '2022-11-24 16:27:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77532, '123456789', 11, '112.9703207', '27.7174131', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278429289', 0, '2022-11-24 16:27:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77533, '123456789', 11, '112.9705002', '27.7174986', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278431388', 0, '2022-11-24 16:27:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77534, '123456789', 11, '112.9706352', '27.7175629', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278433013', 0, '2022-11-24 16:27:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77535, '123456789', 11, '112.9708599', '27.71767', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278435151', 0, '2022-11-24 16:27:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77536, '123456789', 11, '112.9710397', '27.7177557', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278437240', 0, '2022-11-24 16:27:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77537, '123456789', 11, '112.9712199', '27.7178415', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278439359', 0, '2022-11-24 16:27:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77538, '123456789', 11, '112.9713993', '27.717927', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278441456', 0, '2022-11-24 16:27:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77539, '123456789', 11, '112.9715337', '27.7179911', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278443127', 0, '2022-11-24 16:27:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77540, '123456789', 11, '112.9717587', '27.7180983', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278445289', 0, '2022-11-24 16:27:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77541, '123456789', 11, '112.9719384', '27.7181839', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278447440', 0, '2022-11-24 16:27:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77542, '123456789', 11, '112.9720729', '27.7182481', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278449070', 0, '2022-11-24 16:27:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77543, '123456789', 11, '112.972298', '27.7183553', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278451234', 0, '2022-11-24 16:27:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77544, '123456789', 11, '112.9724778', '27.718441', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278453308', 0, '2022-11-24 16:27:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77545, '123456789', 11, '112.9726573', '27.7185266', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278455431', 0, '2022-11-24 16:27:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77546, '123456789', 11, '112.9728364', '27.718612', '99.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278457500', 0, '2022-11-24 16:27:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77547, '123456789', 11, '112.9729299', '27.7186567', '97.225', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278459045', 0, '2022-11-24 16:27:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77548, '123456789', 11, '112.9729472', '27.7186651', '92.204', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278461072', 0, '2022-11-24 16:27:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77549, '123456789', 11, '112.9729401', '27.7186612', '85.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278463160', 0, '2022-11-24 16:27:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77550, '123456789', 11, '112.9729401', '27.7186611', '80.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278465232', 0, '2022-11-24 16:27:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77551, '123456789', 11, '112.9729398', '27.7186611', '75.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278467274', 0, '2022-11-24 16:27:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77552, '123456789', 11, '112.9729395', '27.7186611', '70.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278469379', 0, '2022-11-24 16:27:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77553, '123456789', 11, '112.9729394', '27.718661', '66', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278471445', 0, '2022-11-24 16:27:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77554, '123456789', 11, '112.9729396', '27.7186611', '61.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278473528', 0, '2022-11-24 16:27:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77555, '123456789', 11, '112.9729854', '27.71869', '60.289', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278475149', 0, '2022-11-24 16:27:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77556, '123456789', 11, '112.9731075', '27.7187678', '62.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278477197', 0, '2022-11-24 16:27:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77557, '123456789', 11, '112.9732692', '27.7188705', '63.753', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278479277', 0, '2022-11-24 16:27:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77558, '123456789', 11, '112.9734398', '27.7189788', '65.468', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278481379', 0, '2022-11-24 16:28:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77559, '123456789', 11, '112.9736109', '27.7190873', '67.168', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278483434', 0, '2022-11-24 16:28:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77560, '123456789', 11, '112.9737402', '27.7191693', '68.434', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278485011', 0, '2022-11-24 16:28:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77561, '123456789', 11, '112.9739118', '27.7192781', '70.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278487126', 0, '2022-11-24 16:28:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77562, '123456789', 11, '112.9741265', '27.7194142', '72.203', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278489200', 0, '2022-11-24 16:28:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77563, '123456789', 11, '112.9742985', '27.7195233', '73.871', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278491247', 0, '2022-11-24 16:28:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77564, '123456789', 11, '112.9744706', '27.7196323', '75.526', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278493416', 0, '2022-11-24 16:28:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77565, '123456789', 11, '112.9746426', '27.7197414', '77.171', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278495532', 0, '2022-11-24 16:28:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77566, '123456789', 11, '112.9747711', '27.7198228', '78.401', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278497114', 0, '2022-11-24 16:28:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77567, '123456789', 11, '112.9749863', '27.7199592', '80.432', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278499179', 0, '2022-11-24 16:28:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77568, '123456789', 11, '112.975158', '27.720068', '82.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278501241', 0, '2022-11-24 16:28:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77569, '123456789', 11, '112.9753298', '27.7201769', '83.646', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278503372', 0, '2022-11-24 16:28:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77570, '123456789', 11, '112.9755016', '27.7202858', '85.241', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278505531', 0, '2022-11-24 16:28:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77571, '123456789', 11, '112.9756306', '27.7203676', '86.432', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278507099', 0, '2022-11-24 16:28:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77572, '123456789', 11, '112.9758454', '27.7205037', '88.399', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278509205', 0, '2022-11-24 16:28:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77573, '123456789', 11, '112.9760168', '27.7206123', '89.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278511257', 0, '2022-11-24 16:28:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77574, '123456789', 11, '112.9761884', '27.7207211', '91.51', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278513367', 0, '2022-11-24 16:28:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77575, '123456789', 11, '112.9763602', '27.7208299', '93.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278515430', 0, '2022-11-24 16:28:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77576, '123456789', 11, '112.976532', '27.7209388', '94.577', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278517504', 0, '2022-11-24 16:28:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77577, '123456789', 11, '112.9766613', '27.7210208', '95.72', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278519041', 0, '2022-11-24 16:28:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77578, '123456789', 11, '112.976833', '27.7211296', '97.23', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278521121', 0, '2022-11-24 16:28:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77579, '123456789', 11, '112.9770476', '27.7212656', '99.108', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278523185', 0, '2022-11-24 16:28:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77580, '123456789', 11, '112.9772191', '27.7213743', '100.596', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278525272', 0, '2022-11-24 16:28:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77581, '123456789', 11, '112.9773906', '27.721483', '102.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278527386', 0, '2022-11-24 16:28:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77582, '123456789', 11, '112.9775621', '27.7215918', '103.538', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278529435', 0, '2022-11-24 16:28:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77583, '123456789', 11, '112.9777336', '27.7217005', '104.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278531505', 0, '2022-11-24 16:28:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77584, '123456789', 11, '112.9778624', '27.7217821', '106.075', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278533026', 0, '2022-11-24 16:28:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77585, '123456789', 11, '112.9780342', '27.721891', '107.513', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278535111', 0, '2022-11-24 16:28:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77586, '123456789', 11, '112.9782483', '27.7220267', '109.294', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278537232', 0, '2022-11-24 16:28:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77587, '123456789', 11, '112.9784194', '27.7221352', '110.709', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278539366', 0, '2022-11-24 16:28:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77588, '123456789', 11, '112.9785909', '27.7222439', '112.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278541444', 0, '2022-11-24 16:29:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77589, '123456789', 11, '112.9787192', '27.7223252', '113.152', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278543007', 0, '2022-11-24 16:29:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77590, '123456789', 11, '112.9788906', '27.7224339', '114.536', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278545082', 0, '2022-11-24 16:29:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77591, '123456789', 11, '112.9791051', '27.7225699', '116.252', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278547191', 0, '2022-11-24 16:29:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77592, '123456789', 11, '112.9792766', '27.7226786', '117.612', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278549354', 0, '2022-11-24 16:29:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77593, '123456789', 11, '112.9794476', '27.722787', '118.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278551466', 0, '2022-11-24 16:29:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77594, '123456789', 11, '112.9795754', '27.722868', '119.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278553039', 0, '2022-11-24 16:29:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77595, '123456789', 11, '112.9797898', '27.723004', '121.627', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278555184', 0, '2022-11-24 16:29:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77596, '123456789', 11, '112.9799609', '27.7231125', '122.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278557293', 0, '2022-11-24 16:29:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77597, '123456789', 11, '112.980132', '27.723221', '124.247', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278559181', 0, '2022-11-24 16:29:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77598, '123456789', 11, '112.9803032', '27.7233295', '125.544', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278561316', 0, '2022-11-24 16:29:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77599, '123456789', 11, '112.9804743', '27.723438', '126.829', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278563439', 0, '2022-11-24 16:29:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77600, '123456789', 11, '112.980603', '27.7235196', '127.787', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278565028', 0, '2022-11-24 16:29:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77601, '123456789', 11, '112.9807737', '27.7236279', '129.054', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278567172', 0, '2022-11-24 16:29:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77602, '123456789', 11, '112.9809873', '27.7237633', '130.62', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278569302', 0, '2022-11-24 16:29:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77603, '123456789', 11, '112.9811585', '27.7238719', '131.86', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278571428', 0, '2022-11-24 16:29:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77604, '123456789', 11, '112.9812865', '27.723953', '132.779', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278573027', 0, '2022-11-24 16:29:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77605, '123456789', 11, '112.9814575', '27.7240615', '134.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278575167', 0, '2022-11-24 16:29:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77606, '123456789', 11, '112.9816715', '27.7241972', '135.519', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278577291', 0, '2022-11-24 16:29:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77607, '123456789', 11, '112.9818424', '27.7243056', '136.718', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278579369', 0, '2022-11-24 16:29:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77608, '123456789', 11, '112.9820131', '27.7244138', '137.907', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278581429', 0, '2022-11-24 16:29:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77609, '123456789', 11, '112.9821834', '27.7245219', '139.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278583515', 0, '2022-11-24 16:29:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77610, '123456789', 11, '112.9823499', '27.7246274', '140.123', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278585181', 0, '2022-11-24 16:29:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77611, '123456789', 11, '112.9824504', '27.7246918', '139.669', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278587415', 0, '2022-11-24 16:29:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77612, '123456789', 11, '112.9824519', '27.7246996', '139.711', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278589097', 0, '2022-11-24 16:29:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77613, '123456789', 11, '112.9823891', '27.7247084', '139.715', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278591364', 0, '2022-11-24 16:29:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77614, '123456789', 11, '112.9822674', '27.7247381', '139.727', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278593541', 0, '2022-11-24 16:29:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77615, '123456789', 11, '112.9820921', '27.7247795', '139.725', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278595215', 0, '2022-11-24 16:29:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77616, '123456789', 11, '112.981904', '27.7248235', '139.724', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278597448', 0, '2022-11-24 16:29:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77617, '123456789', 11, '112.9817603', '27.7248572', '139.725', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278599095', 0, '2022-11-24 16:29:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77618, '123456789', 11, '112.9815171', '27.7249142', '139.723', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278601313', 0, '2022-11-24 16:30:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77619, '123456789', 11, '112.9813219', '27.72496', '139.722', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278603544', 0, '2022-11-24 16:30:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77620, '123456789', 11, '112.981126', '27.7250059', '139.725', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278605217', 0, '2022-11-24 16:30:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77621, '123456789', 11, '112.9809305', '27.7250517', '139.724', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278607461', 0, '2022-11-24 16:30:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77622, '123456789', 11, '112.9807834', '27.7250862', '139.725', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278609138', 0, '2022-11-24 16:30:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77623, '123456789', 11, '112.9805381', '27.7251437', '139.725', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278611375', 0, '2022-11-24 16:30:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77624, '123456789', 11, '112.9803419', '27.7251897', '139.725', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278613257', 0, '2022-11-24 16:30:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77625, '123456789', 11, '112.9801456', '27.7252357', '139.728', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278615392', 0, '2022-11-24 16:30:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77626, '123456789', 11, '112.979998', '27.7252703', '139.729', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278617041', 0, '2022-11-24 16:30:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77627, '123456789', 11, '112.9798019', '27.7253162', '139.729', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278619203', 0, '2022-11-24 16:30:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77628, '123456789', 11, '112.9795568', '27.7253736', '139.728', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278621359', 0, '2022-11-24 16:30:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77629, '123456789', 11, '112.9794099', '27.7254081', '139.729', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278623011', 0, '2022-11-24 16:30:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77630, '123456789', 11, '112.9791644', '27.7254656', '139.731', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278625250', 0, '2022-11-24 16:30:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77631, '123456789', 11, '112.9789682', '27.7255116', '139.731', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278627440', 0, '2022-11-24 16:30:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77632, '123456789', 11, '112.9788211', '27.725546', '139.73', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278629103', 0, '2022-11-24 16:30:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77633, '123456789', 11, '112.9785759', '27.7256035', '139.732', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278631311', 0, '2022-11-24 16:30:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77634, '123456789', 11, '112.9783802', '27.7256493', '139.732', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278633533', 0, '2022-11-24 16:30:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77635, '123456789', 11, '112.9782328', '27.7256838', '139.731', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278635115', 0, '2022-11-24 16:30:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77636, '123456789', 11, '112.9779971', '27.7257391', '139.742', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278637242', 0, '2022-11-24 16:30:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77637, '123456789', 11, '112.9778763', '27.7257676', '139.72', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278639479', 0, '2022-11-24 16:30:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77638, '123456789', 11, '112.9778488', '27.7257741', '139.724', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278641159', 0, '2022-11-24 16:30:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77639, '123456789', 11, '112.977852', '27.7257734', '139.722', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278643296', 0, '2022-11-24 16:30:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77640, '123456789', 11, '112.9778542', '27.7257728', '139.731', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278645527', 0, '2022-11-24 16:30:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77641, '123456789', 11, '112.9778546', '27.7257727', '139.733', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278647208', 0, '2022-11-24 16:30:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77642, '123456789', 11, '112.977855', '27.7257726', '137.49', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278649303', 0, '2022-11-24 16:30:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77643, '123456789', 11, '112.9778552', '27.7257725', '134.479', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278651444', 0, '2022-11-24 16:30:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77644, '123456789', 11, '112.9778553', '27.7257724', '131.488', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278653519', 0, '2022-11-24 16:30:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77645, '123456789', 11, '112.9778553', '27.7257724', '129.245', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278655058', 0, '2022-11-24 16:30:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77646, '123456789', 11, '112.9778553', '27.7257724', '126.25', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278657159', 0, '2022-11-24 16:30:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77647, '123456789', 11, '112.9778553', '27.7257724', '123.25', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278659210', 0, '2022-11-24 16:30:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77648, '123456789', 11, '112.9778554', '27.7257724', '119.505', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278661302', 0, '2022-11-24 16:31:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77649, '123456789', 11, '112.9778554', '27.7257724', '116.503', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278663383', 0, '2022-11-24 16:31:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77650, '123456789', 11, '112.9778554', '27.7257724', '113.504', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278665461', 0, '2022-11-24 16:31:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77651, '123456789', 11, '112.9778554', '27.7257724', '111.253', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278667014', 0, '2022-11-24 16:31:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77652, '123456789', 11, '112.9778554', '27.7257725', '108.262', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278669132', 0, '2022-11-24 16:31:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77653, '123456789', 11, '112.9778554', '27.7257725', '105.264', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278671257', 0, '2022-11-24 16:31:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77654, '123456789', 11, '112.9778554', '27.7257726', '101.506', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278673368', 0, '2022-11-24 16:31:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77655, '123456789', 11, '112.9778554', '27.7257726', '98.504', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278675460', 0, '2022-11-24 16:31:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77656, '123456789', 11, '112.9778554', '27.7257726', '96.256', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278677007', 0, '2022-11-24 16:31:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77657, '123456789', 11, '112.9778554', '27.7257726', '93.259', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278679083', 0, '2022-11-24 16:31:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77658, '123456789', 11, '112.9778554', '27.7257727', '90.258', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278681150', 0, '2022-11-24 16:31:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77659, '123456789', 11, '112.9778554', '27.7257727', '87.266', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278683219', 0, '2022-11-24 16:31:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77660, '123456789', 11, '112.9778554', '27.7257727', '83.513', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278685282', 0, '2022-11-24 16:31:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77661, '123456789', 11, '112.9778554', '27.7257727', '80.511', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278687363', 0, '2022-11-24 16:31:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77662, '123456789', 11, '112.9778554', '27.7257728', '77.51', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278689374', 0, '2022-11-24 16:31:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77663, '123456789', 11, '112.9778554', '27.7257727', '74.505', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278691468', 0, '2022-11-24 16:31:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77664, '123456789', 11, '112.9778554', '27.7257727', '72.255', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278693081', 0, '2022-11-24 16:31:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77665, '123456789', 11, '112.9778554', '27.7257727', '69.257', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278695117', 0, '2022-11-24 16:31:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77666, '123456789', 11, '112.9778554', '27.7257728', '66.265', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278697244', 0, '2022-11-24 16:31:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77667, '123456789', 11, '112.9778554', '27.7257728', '62.513', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278699367', 0, '2022-11-24 16:31:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77668, '123456789', 11, '112.9778554', '27.7257728', '60.26', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278701035', 0, '2022-11-24 16:31:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77669, '123456789', 11, '112.9778554', '27.7257728', '57.258', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278703031', 0, '2022-11-24 16:31:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77670, '123456789', 11, '112.9778554', '27.7257728', '54.255', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278705110', 0, '2022-11-24 16:31:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77671, '123456789', 11, '112.9778554', '27.7257728', '51.251', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278707190', 0, '2022-11-24 16:31:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77672, '123456789', 11, '112.9778554', '27.7257728', '48.255', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278709258', 0, '2022-11-24 16:31:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77673, '123456789', 11, '112.9778554', '27.7257728', '44.514', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278711400', 0, '2022-11-24 16:31:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77674, '123456789', 11, '112.9778554', '27.7257728', '42.258', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278713085', 0, '2022-11-24 16:31:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77675, '123456789', 11, '112.9778554', '27.7257728', '38.508', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278715301', 0, '2022-11-24 16:31:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77676, '123456789', 11, '112.9778554', '27.7257728', '35.505', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278717513', 0, '2022-11-24 16:31:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77677, '123456789', 11, '112.9778554', '27.7257728', '33.251', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278719189', 0, '2022-11-24 16:31:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77678, '123456789', 11, '112.9778554', '27.7257728', '29.505', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278721420', 0, '2022-11-24 16:32:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77679, '123456789', 11, '112.9778554', '27.7257728', '27.259', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278723142', 0, '2022-11-24 16:32:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77680, '123456789', 11, '112.9778554', '27.7257728', '23.511', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278725353', 0, '2022-11-24 16:32:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77681, '123456789', 11, '112.9778554', '27.7257728', '21.263', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278727003', 0, '2022-11-24 16:32:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77682, '123456789', 11, '112.9778554', '27.7257728', '18.261', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278729243', 0, '2022-11-24 16:32:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77683, '123456789', 11, '112.9778554', '27.7257728', '14.505', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278731480', 0, '2022-11-24 16:32:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77684, '123456789', 11, '112.9778554', '27.7257728', '12.254', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278733148', 0, '2022-11-24 16:32:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77685, '123456789', 11, '112.9778554', '27.7257728', '9.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278735376', 0, '2022-11-24 16:32:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77686, '123456789', 11, '112.9778554', '27.7257728', '9.218', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278737083', 0, '2022-11-24 16:32:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77687, '123456789', 11, '112.9778554', '27.7257728', '8.461', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278739301', 0, '2022-11-24 16:32:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77688, '123456789', 11, '112.9778554', '27.7257728', '7.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278741501', 0, '2022-11-24 16:32:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77689, '123456789', 11, '112.9778554', '27.7257728', '7.457', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278743512', 0, '2022-11-24 16:32:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77690, '123456789', 11, '112.9778554', '27.7257728', '6.702', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278745445', 0, '2022-11-24 16:32:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77691, '123456789', 11, '112.9778554', '27.7257728', '6.201', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278747131', 0, '2022-11-24 16:32:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77692, '123456789', 11, '112.9778554', '27.7257728', '5.198', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278749349', 0, '2022-11-24 16:32:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77693, '123456789', 11, '112.9778554', '27.7257728', '4.696', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278751437', 0, '2022-11-24 16:32:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77694, '123456789', 11, '112.9778554', '27.7257728', '3.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278753512', 0, '2022-11-24 16:32:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77695, '123456789', 11, '112.9778554', '27.7257728', '3.695', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278755190', 0, '2022-11-24 16:32:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77696, '123456789', 11, '112.9778554', '27.7257728', '3.193', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278757299', 0, '2022-11-24 16:32:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77697, '123456789', 11, '112.9778554', '27.7257728', '2.442', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278759425', 0, '2022-11-24 16:32:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77698, '123456789', 11, '112.9778554', '27.7257728', '1.694', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278761178', 0, '2022-11-24 16:32:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77699, '123456789', 11, '112.9778554', '27.7257728', '0.442', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278763400', 0, '2022-11-24 16:32:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (77700, '123456789', 11, '112.9778554', '27.7257728', '0.063', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1669278765005', 0, '2022-11-24 16:32:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84466, '123456789', 27, '118.7667753', '31.828829', '0.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315591504', 0, '2022-12-06 16:33:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84467, '123456789', 27, '118.7667753', '31.828829', '0.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315593164', 0, '2022-12-06 16:33:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84468, '123456789', 27, '118.7667753', '31.828829', '3.398', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315595250', 0, '2022-12-06 16:33:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84469, '123456789', 27, '118.7667753', '31.828829', '9.677', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315597419', 0, '2022-12-06 16:33:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84470, '123456789', 27, '118.7667754', '31.8288291', '13.423', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315599045', 0, '2022-12-06 16:33:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84471, '123456789', 27, '118.7667754', '31.8288291', '18.421', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315601225', 0, '2022-12-06 16:33:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84472, '123456789', 27, '118.7667754', '31.8288291', '24.667', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315603360', 0, '2022-12-06 16:33:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84473, '123456789', 27, '118.7667754', '31.8288291', '29.667', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315605492', 0, '2022-12-06 16:33:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84474, '123456789', 27, '118.7667754', '31.8288291', '33.414', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315607105', 0, '2022-12-06 16:33:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84475, '123456789', 27, '118.7667754', '31.8288291', '38.407', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315609260', 0, '2022-12-06 16:33:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84476, '123456789', 27, '118.7667754', '31.8288291', '44.641', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315611457', 0, '2022-12-06 16:33:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84477, '123456789', 27, '118.7667754', '31.8288291', '48.394', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315613119', 0, '2022-12-06 16:33:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84478, '123456789', 27, '118.7667754', '31.8288291', '54.647', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315615335', 0, '2022-12-06 16:33:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84479, '123456789', 27, '118.7667754', '31.8288291', '58.404', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315617009', 0, '2022-12-06 16:33:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84480, '123456789', 27, '118.7667754', '31.8288291', '63.403', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315619235', 0, '2022-12-06 16:33:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84481, '123456789', 27, '118.7667754', '31.8288291', '69.655', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315621419', 0, '2022-12-06 16:33:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84482, '123456789', 27, '118.7667754', '31.8288291', '74.651', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315623542', 0, '2022-12-06 16:33:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84483, '123456789', 27, '118.7667754', '31.8288291', '78.386', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315625161', 0, '2022-12-06 16:33:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84484, '123456789', 27, '118.7667754', '31.8288291', '84.649', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315627343', 0, '2022-12-06 16:33:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84485, '123456789', 27, '118.7667754', '31.8288291', '89.653', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315629457', 0, '2022-12-06 16:33:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84486, '123456789', 27, '118.7667754', '31.8288291', '93.397', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315631012', 0, '2022-12-06 16:33:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84487, '123456789', 27, '118.7667754', '31.8288291', '97.698', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315633202', 0, '2022-12-06 16:33:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84488, '123456789', 27, '118.7667754', '31.8288291', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315635306', 0, '2022-12-06 16:33:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84489, '123456789', 27, '118.7667831', '31.828835', '99.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315637484', 0, '2022-12-06 16:33:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84490, '123456789', 27, '118.7668181', '31.828862', '99.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315639104', 0, '2022-12-06 16:33:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84491, '123456789', 27, '118.7669219', '31.828943', '99.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315641189', 0, '2022-12-06 16:34:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84492, '123456789', 27, '118.7671029', '31.829084', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315643324', 0, '2022-12-06 16:34:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84493, '123456789', 27, '118.7672556', '31.8292029', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315645534', 0, '2022-12-06 16:34:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84494, '123456789', 27, '118.767371', '31.8292925', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315647161', 0, '2022-12-06 16:34:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84495, '123456789', 27, '118.7675647', '31.8294432', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315649322', 0, '2022-12-06 16:34:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84496, '123456789', 27, '118.7677202', '31.8295643', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315651503', 0, '2022-12-06 16:34:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84497, '123456789', 27, '118.7678362', '31.8296545', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315653096', 0, '2022-12-06 16:34:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84498, '123456789', 27, '118.7679921', '31.8297758', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315655243', 0, '2022-12-06 16:34:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84499, '123456789', 27, '118.7681874', '31.8299278', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315657361', 0, '2022-12-06 16:34:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84500, '123456789', 27, '118.7683434', '31.8300491', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315659498', 0, '2022-12-06 16:34:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84501, '123456789', 27, '118.7684601', '31.8301399', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315661137', 0, '2022-12-06 16:34:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84502, '123456789', 27, '118.7686159', '31.8302612', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315663314', 0, '2022-12-06 16:34:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84503, '123456789', 27, '118.7688109', '31.8304129', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315665455', 0, '2022-12-06 16:34:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84504, '123456789', 27, '118.7689282', '31.8305042', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315667106', 0, '2022-12-06 16:34:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84505, '123456789', 27, '118.7690843', '31.8306256', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315669277', 0, '2022-12-06 16:34:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84506, '123456789', 27, '118.7692791', '31.8307772', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315671401', 0, '2022-12-06 16:34:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84507, '123456789', 27, '118.7694739', '31.8309288', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315674054', 0, '2022-12-06 16:34:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84508, '123456789', 27, '118.7696295', '31.8310499', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315676202', 0, '2022-12-06 16:34:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84509, '123456789', 27, '118.7697853', '31.8311711', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315678282', 0, '2022-12-06 16:34:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84510, '123456789', 27, '118.7699805', '31.831323', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315680457', 0, '2022-12-06 16:34:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84511, '123456789', 27, '118.7700972', '31.8314138', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315682094', 0, '2022-12-06 16:34:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84512, '123456789', 27, '118.7702532', '31.8315352', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315684258', 0, '2022-12-06 16:34:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84513, '123456789', 27, '118.7704483', '31.831687', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315686492', 0, '2022-12-06 16:34:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84514, '123456789', 27, '118.7705649', '31.8317777', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315688064', 0, '2022-12-06 16:34:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84515, '123456789', 27, '118.7707204', '31.8318987', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315690158', 0, '2022-12-06 16:34:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84516, '123456789', 27, '118.7709153', '31.8320503', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315692336', 0, '2022-12-06 16:34:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84517, '123456789', 27, '118.7710713', '31.8321717', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315694496', 0, '2022-12-06 16:34:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84518, '123456789', 27, '118.7711885', '31.8322629', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315696137', 0, '2022-12-06 16:34:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84519, '123456789', 27, '118.7713446', '31.8323844', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315698338', 0, '2022-12-06 16:34:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84520, '123456789', 27, '118.7715391', '31.8325358', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315700502', 0, '2022-12-06 16:35:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84521, '123456789', 27, '118.7716561', '31.8326268', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315702120', 0, '2022-12-06 16:35:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84522, '123456789', 27, '118.7718117', '31.8327479', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315704228', 0, '2022-12-06 16:35:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84523, '123456789', 27, '118.7720069', '31.8328998', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315706399', 0, '2022-12-06 16:35:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84524, '123456789', 27, '118.7721632', '31.8330213', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315708559', 0, '2022-12-06 16:35:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84525, '123456789', 27, '118.7722803', '31.8331125', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315710123', 0, '2022-12-06 16:35:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84526, '123456789', 27, '118.7724368', '31.8332342', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315712262', 0, '2022-12-06 16:35:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84527, '123456789', 27, '118.7726316', '31.8333858', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315714423', 0, '2022-12-06 16:35:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84528, '123456789', 27, '118.7727443', '31.8334736', '100.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315716059', 0, '2022-12-06 16:35:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84529, '123456789', 27, '118.7728489', '31.8335583', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315718297', 0, '2022-12-06 16:35:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84530, '123456789', 27, '118.7728267', '31.8336322', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315720456', 0, '2022-12-06 16:35:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84531, '123456789', 27, '118.7727433', '31.8337031', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315722101', 0, '2022-12-06 16:35:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84532, '123456789', 27, '118.772607', '31.8338246', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315724242', 0, '2022-12-06 16:35:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84533, '123456789', 27, '118.7724306', '31.8339868', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315726424', 0, '2022-12-06 16:35:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84534, '123456789', 27, '118.7723246', '31.8340846', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315728084', 0, '2022-12-06 16:35:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84535, '123456789', 27, '118.7721827', '31.8342157', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315730162', 0, '2022-12-06 16:35:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84536, '123456789', 27, '118.7720406', '31.8343472', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315732336', 0, '2022-12-06 16:35:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84537, '123456789', 27, '118.7718619', '31.8345126', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315734482', 0, '2022-12-06 16:35:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84538, '123456789', 27, '118.771755', '31.8346114', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315736137', 0, '2022-12-06 16:35:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84539, '123456789', 27, '118.7716118', '31.834744', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315738287', 0, '2022-12-06 16:35:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84540, '123456789', 27, '118.7714329', '31.8349095', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315740419', 0, '2022-12-06 16:35:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84541, '123456789', 27, '118.7713255', '31.8350089', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315742040', 0, '2022-12-06 16:35:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84542, '123456789', 27, '118.7711825', '31.8351413', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315744214', 0, '2022-12-06 16:35:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84543, '123456789', 27, '118.7710397', '31.8352734', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315746378', 0, '2022-12-06 16:35:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84544, '123456789', 27, '118.7708963', '31.8354061', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315748058', 0, '2022-12-06 16:35:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84545, '123456789', 27, '118.7707535', '31.8355383', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315750161', 0, '2022-12-06 16:35:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84546, '123456789', 27, '118.7706106', '31.8356705', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315752337', 0, '2022-12-06 16:35:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84547, '123456789', 27, '118.7704315', '31.8358362', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315754519', 0, '2022-12-06 16:35:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84548, '123456789', 27, '118.7703244', '31.8359354', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315756142', 0, '2022-12-06 16:35:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84549, '123456789', 27, '118.7701815', '31.8360676', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315758231', 0, '2022-12-06 16:35:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84550, '123456789', 27, '118.7700389', '31.8361996', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315760377', 0, '2022-12-06 16:36:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84551, '123456789', 27, '118.7698957', '31.8363321', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315762006', 0, '2022-12-06 16:36:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84552, '123456789', 27, '118.7697527', '31.8364644', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315764138', 0, '2022-12-06 16:36:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84553, '123456789', 27, '118.7696095', '31.8365969', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315766260', 0, '2022-12-06 16:36:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84554, '123456789', 27, '118.769431', '31.8367621', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315768442', 0, '2022-12-06 16:36:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84555, '123456789', 27, '118.7693239', '31.8368613', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315770075', 0, '2022-12-06 16:36:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84556, '123456789', 27, '118.769181', '31.8369935', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315772203', 0, '2022-12-06 16:36:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84557, '123456789', 27, '118.7690384', '31.8371254', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315774336', 0, '2022-12-06 16:36:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84558, '123456789', 27, '118.7688593', '31.8372911', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315776512', 0, '2022-12-06 16:36:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84559, '123456789', 27, '118.7687525', '31.83739', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315778137', 0, '2022-12-06 16:36:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84560, '123456789', 27, '118.7686093', '31.8375225', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315780256', 0, '2022-12-06 16:36:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84561, '123456789', 27, '118.7684524', '31.8376643', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315782480', 0, '2022-12-06 16:36:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84562, '123456789', 27, '118.7683738', '31.8377066', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315784135', 0, '2022-12-06 16:36:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84563, '123456789', 27, '118.7682341', '31.8377156', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315786280', 0, '2022-12-06 16:36:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84564, '123456789', 27, '118.7679899', '31.8377101', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315788418', 0, '2022-12-06 16:36:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84565, '123456789', 27, '118.7678332', '31.8377086', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315790023', 0, '2022-12-06 16:36:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84566, '123456789', 27, '118.767623', '31.8377078', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315792196', 0, '2022-12-06 16:36:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84567, '123456789', 27, '118.7674127', '31.837707', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315794301', 0, '2022-12-06 16:36:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84568, '123456789', 27, '118.7671496', '31.8377061', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315796482', 0, '2022-12-06 16:36:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84569, '123456789', 27, '118.7669908', '31.8377056', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315798083', 0, '2022-12-06 16:36:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84570, '123456789', 27, '118.7667801', '31.8377049', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315800226', 0, '2022-12-06 16:36:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84571, '123456789', 27, '118.7665159', '31.8377041', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315802456', 0, '2022-12-06 16:36:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84572, '123456789', 27, '118.7663569', '31.8377036', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315804075', 0, '2022-12-06 16:36:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84573, '123456789', 27, '118.7661459', '31.8377029', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315806277', 0, '2022-12-06 16:36:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84574, '123456789', 27, '118.765881', '31.8377021', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315808384', 0, '2022-12-06 16:36:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84575, '123456789', 27, '118.7656696', '31.8377014', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315810481', 0, '2022-12-06 16:36:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84576, '123456789', 27, '118.7655107', '31.8377009', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315812121', 0, '2022-12-06 16:36:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84577, '123456789', 27, '118.7652993', '31.8377003', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315814305', 0, '2022-12-06 16:36:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84578, '123456789', 27, '118.7650353', '31.8376994', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315816482', 0, '2022-12-06 16:36:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84579, '123456789', 27, '118.764876', '31.837699', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315818080', 0, '2022-12-06 16:36:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84580, '123456789', 27, '118.7646654', '31.8376983', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315820222', 0, '2022-12-06 16:37:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84581, '123456789', 27, '118.7644537', '31.8376976', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315822376', 0, '2022-12-06 16:37:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84582, '123456789', 27, '118.7641894', '31.8376968', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315824495', 0, '2022-12-06 16:37:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84583, '123456789', 27, '118.7640311', '31.8376963', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315826210', 0, '2022-12-06 16:37:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84584, '123456789', 27, '118.76382', '31.8376956', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315828335', 0, '2022-12-06 16:37:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84585, '123456789', 27, '118.7635556', '31.8376948', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315830560', 0, '2022-12-06 16:37:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84586, '123456789', 27, '118.7633975', '31.8376943', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315832136', 0, '2022-12-06 16:37:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84587, '123456789', 27, '118.7631861', '31.8376937', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315834241', 0, '2022-12-06 16:37:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84588, '123456789', 27, '118.7629747', '31.837693', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315836375', 0, '2022-12-06 16:37:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84589, '123456789', 27, '118.762763', '31.8376923', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315838017', 0, '2022-12-06 16:37:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84590, '123456789', 27, '118.7625518', '31.8376917', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315840161', 0, '2022-12-06 16:37:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84591, '123456789', 27, '118.7623407', '31.837691', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315842280', 0, '2022-12-06 16:37:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84592, '123456789', 27, '118.7621291', '31.8376904', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315844400', 0, '2022-12-06 16:37:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84593, '123456789', 27, '118.7619177', '31.8376897', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315846017', 0, '2022-12-06 16:37:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84594, '123456789', 27, '118.7617061', '31.837689', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315848175', 0, '2022-12-06 16:37:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84595, '123456789', 27, '118.7614941', '31.8376884', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315850301', 0, '2022-12-06 16:37:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84596, '123456789', 27, '118.7612298', '31.8376876', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315852515', 0, '2022-12-06 16:37:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84597, '123456789', 27, '118.7610709', '31.8376871', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315854066', 0, '2022-12-06 16:37:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84598, '123456789', 27, '118.7608598', '31.8376869', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315856254', 0, '2022-12-06 16:37:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84599, '123456789', 27, '118.760648', '31.8376885', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315858341', 0, '2022-12-06 16:37:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84600, '123456789', 27, '118.7603835', '31.837692', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315860435', 0, '2022-12-06 16:37:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84601, '123456789', 27, '118.760225', '31.8376941', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315862055', 0, '2022-12-06 16:37:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84602, '123456789', 27, '118.7600132', '31.837697', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315864200', 0, '2022-12-06 16:37:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84603, '123456789', 27, '118.759802', '31.8376998', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315866336', 0, '2022-12-06 16:37:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84604, '123456789', 27, '118.7595379', '31.8377033', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315868466', 0, '2022-12-06 16:37:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84605, '123456789', 27, '118.7593795', '31.8377054', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315870062', 0, '2022-12-06 16:37:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84606, '123456789', 27, '118.7591678', '31.8377082', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315872257', 0, '2022-12-06 16:37:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84607, '123456789', 27, '118.7589565', '31.837711', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315874392', 0, '2022-12-06 16:37:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84608, '123456789', 27, '118.7587449', '31.8377138', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315876007', 0, '2022-12-06 16:37:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84609, '123456789', 27, '118.7585333', '31.8377166', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315878217', 0, '2022-12-06 16:37:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84610, '123456789', 27, '118.7583221', '31.8377194', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315880403', 0, '2022-12-06 16:38:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84611, '123456789', 27, '118.7580575', '31.8377229', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315882519', 0, '2022-12-06 16:38:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84612, '123456789', 27, '118.7578998', '31.837725', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315884135', 0, '2022-12-06 16:38:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84613, '123456789', 27, '118.7576879', '31.8377278', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315886290', 0, '2022-12-06 16:38:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84614, '123456789', 27, '118.7574232', '31.8377313', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315888496', 0, '2022-12-06 16:38:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84615, '123456789', 27, '118.7572649', '31.8377334', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315890056', 0, '2022-12-06 16:38:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84616, '123456789', 27, '118.7570571', '31.8377362', '100.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315892253', 0, '2022-12-06 16:38:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84617, '123456789', 27, '118.7569002', '31.8377374', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315894419', 0, '2022-12-06 16:38:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84618, '123456789', 27, '118.7568425', '31.8377031', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315896060', 0, '2022-12-06 16:38:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84619, '123456789', 27, '118.7568375', '31.8375882', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315898257', 0, '2022-12-06 16:38:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84620, '123456789', 27, '118.7568303', '31.8374221', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315900455', 0, '2022-12-06 16:38:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84621, '123456789', 27, '118.7568186', '31.8372462', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315902098', 0, '2022-12-06 16:38:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84622, '123456789', 27, '118.7568063', '31.8370691', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315904322', 0, '2022-12-06 16:38:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84623, '123456789', 27, '118.7567907', '31.8368466', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315906498', 0, '2022-12-06 16:38:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84624, '123456789', 27, '118.7567811', '31.8367126', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315908108', 0, '2022-12-06 16:38:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84625, '123456789', 27, '118.7567684', '31.8365335', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315910220', 0, '2022-12-06 16:38:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84626, '123456789', 27, '118.7567556', '31.8363544', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315912335', 0, '2022-12-06 16:38:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84627, '123456789', 27, '118.7567396', '31.8361301', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315914532', 0, '2022-12-06 16:38:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84628, '123456789', 27, '118.75673', '31.8359959', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315916162', 0, '2022-12-06 16:38:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84629, '123456789', 27, '118.7567172', '31.8358164', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315918375', 0, '2022-12-06 16:38:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84630, '123456789', 27, '118.7567013', '31.8355922', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315920494', 0, '2022-12-06 16:38:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84631, '123456789', 27, '118.7566917', '31.8354575', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315922133', 0, '2022-12-06 16:38:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84632, '123456789', 27, '118.7566789', '31.8352783', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315924257', 0, '2022-12-06 16:38:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84633, '123456789', 27, '118.7566661', '31.8350995', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315926415', 0, '2022-12-06 16:38:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84634, '123456789', 27, '118.7566533', '31.8349199', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315928056', 0, '2022-12-06 16:38:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84635, '123456789', 27, '118.7566406', '31.8347408', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315930255', 0, '2022-12-06 16:38:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84636, '123456789', 27, '118.7566278', '31.8345614', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315932415', 0, '2022-12-06 16:38:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84637, '123456789', 27, '118.756615', '31.8343822', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315934036', 0, '2022-12-06 16:38:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84638, '123456789', 27, '118.7566023', '31.8342032', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315936135', 0, '2022-12-06 16:38:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84639, '123456789', 27, '118.7565895', '31.834024', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315938215', 0, '2022-12-06 16:38:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84640, '123456789', 27, '118.7565767', '31.8338447', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315940358', 0, '2022-12-06 16:39:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84641, '123456789', 27, '118.7565607', '31.8336205', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315942495', 0, '2022-12-06 16:39:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84642, '123456789', 27, '118.7565511', '31.8334861', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315944098', 0, '2022-12-06 16:39:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84643, '123456789', 27, '118.7565384', '31.8333066', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315946219', 0, '2022-12-06 16:39:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84644, '123456789', 27, '118.7565224', '31.8330827', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315948462', 0, '2022-12-06 16:39:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84645, '123456789', 27, '118.7565128', '31.832948', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315950137', 0, '2022-12-06 16:39:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84646, '123456789', 27, '118.7565', '31.8327689', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315952308', 0, '2022-12-06 16:39:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84647, '123456789', 27, '118.7564873', '31.8325902', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315954492', 0, '2022-12-06 16:39:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84648, '123456789', 27, '118.7564722', '31.8324106', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315956104', 0, '2022-12-06 16:39:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84649, '123456789', 27, '118.7564468', '31.8322322', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315958295', 0, '2022-12-06 16:39:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84650, '123456789', 27, '118.7564099', '31.8320549', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315960459', 0, '2022-12-06 16:39:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84651, '123456789', 27, '118.75637', '31.8318784', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315962096', 0, '2022-12-06 16:39:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84652, '123456789', 27, '118.7563304', '31.8317017', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315964223', 0, '2022-12-06 16:39:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84653, '123456789', 27, '118.7562912', '31.8315256', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315966420', 0, '2022-12-06 16:39:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84654, '123456789', 27, '118.756252', '31.831349', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315968097', 0, '2022-12-06 16:39:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84655, '123456789', 27, '118.7562126', '31.831172', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315970219', 0, '2022-12-06 16:39:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84656, '123456789', 27, '118.7561736', '31.830996', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315972357', 0, '2022-12-06 16:39:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84657, '123456789', 27, '118.7561343', '31.8308192', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315974493', 0, '2022-12-06 16:39:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84658, '123456789', 27, '118.7560952', '31.8306429', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315976175', 0, '2022-12-06 16:39:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84659, '123456789', 27, '118.7560559', '31.8304662', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315978414', 0, '2022-12-06 16:39:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84660, '123456789', 27, '118.7560168', '31.8302899', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315980076', 0, '2022-12-06 16:39:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84661, '123456789', 27, '118.7559776', '31.8301134', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315982296', 0, '2022-12-06 16:39:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84662, '123456789', 27, '118.7559384', '31.8299367', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315984471', 0, '2022-12-06 16:39:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84663, '123456789', 27, '118.7558894', '31.8297159', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315986532', 0, '2022-12-06 16:39:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84664, '123456789', 27, '118.75586', '31.8295837', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315988209', 0, '2022-12-06 16:39:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84665, '123456789', 27, '118.7558208', '31.8294069', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315990382', 0, '2022-12-06 16:39:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84666, '123456789', 27, '118.7557816', '31.8292304', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315992035', 0, '2022-12-06 16:39:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84667, '123456789', 27, '118.7557424', '31.8290541', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315994173', 0, '2022-12-06 16:39:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84668, '123456789', 27, '118.7557033', '31.8288778', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315996318', 0, '2022-12-06 16:39:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84669, '123456789', 27, '118.7556641', '31.8287013', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670315998454', 0, '2022-12-06 16:39:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84670, '123456789', 27, '118.7556299', '31.8285426', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316000056', 0, '2022-12-06 16:40:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84671, '123456789', 27, '118.7556349', '31.8284272', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316002238', 0, '2022-12-06 16:40:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84672, '123456789', 27, '118.7557083', '31.8283151', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316004410', 0, '2022-12-06 16:40:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84673, '123456789', 27, '118.7558175', '31.8281752', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316006078', 0, '2022-12-06 16:40:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84674, '123456789', 27, '118.7559303', '31.8280254', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316008218', 0, '2022-12-06 16:40:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84675, '123456789', 27, '118.7560431', '31.8278736', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316010374', 0, '2022-12-06 16:40:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84676, '123456789', 27, '118.7561558', '31.8277222', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316012036', 0, '2022-12-06 16:40:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84677, '123456789', 27, '118.7562684', '31.8275708', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316014133', 0, '2022-12-06 16:40:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84678, '123456789', 27, '118.7563813', '31.8274188', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316016214', 0, '2022-12-06 16:40:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84679, '123456789', 27, '118.756494', '31.827267', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316018441', 0, '2022-12-06 16:40:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84680, '123456789', 27, '118.756607', '31.827115', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316020093', 0, '2022-12-06 16:40:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84681, '123456789', 27, '118.7567195', '31.8269635', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316022144', 0, '2022-12-06 16:40:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84682, '123456789', 27, '118.7568324', '31.8268114', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316024333', 0, '2022-12-06 16:40:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84683, '123456789', 27, '118.7569453', '31.8266595', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316026453', 0, '2022-12-06 16:40:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84684, '123456789', 27, '118.7570502', '31.8265198', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316028119', 0, '2022-12-06 16:40:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84685, '123456789', 27, '118.7571509', '31.8264273', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316030287', 0, '2022-12-06 16:40:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84686, '123456789', 27, '118.7572939', '31.8263736', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316032433', 0, '2022-12-06 16:40:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84687, '123456789', 27, '118.7574821', '31.8263203', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316034071', 0, '2022-12-06 16:40:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84688, '123456789', 27, '118.7576802', '31.8262616', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316036144', 0, '2022-12-06 16:40:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84689, '123456789', 27, '118.7578792', '31.8262014', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316038332', 0, '2022-12-06 16:40:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84690, '123456789', 27, '118.7580787', '31.8261411', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316040494', 0, '2022-12-06 16:40:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84691, '123456789', 27, '118.7582781', '31.8260808', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316042062', 0, '2022-12-06 16:40:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84692, '123456789', 27, '118.7584773', '31.8260204', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316044256', 0, '2022-12-06 16:40:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84693, '123456789', 27, '118.7586766', '31.82596', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316046453', 0, '2022-12-06 16:40:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84694, '123456789', 27, '118.7588757', '31.8258997', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316048053', 0, '2022-12-06 16:40:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84695, '123456789', 27, '118.7590745', '31.8258395', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316050254', 0, '2022-12-06 16:40:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84696, '123456789', 27, '118.759274', '31.825779', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316052333', 0, '2022-12-06 16:40:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84697, '123456789', 27, '118.7594735', '31.8257185', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316054459', 0, '2022-12-06 16:40:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84698, '123456789', 27, '118.7596724', '31.8256583', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316056095', 0, '2022-12-06 16:40:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84699, '123456789', 27, '118.7598716', '31.8255979', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316058250', 0, '2022-12-06 16:40:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84700, '123456789', 27, '118.7600708', '31.8255375', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316060407', 0, '2022-12-06 16:41:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84701, '123456789', 27, '118.7602204', '31.8254922', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316062054', 0, '2022-12-06 16:41:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84702, '123456789', 27, '118.7604691', '31.8254168', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316064178', 0, '2022-12-06 16:41:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84703, '123456789', 27, '118.7606685', '31.8253564', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316066311', 0, '2022-12-06 16:41:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84704, '123456789', 27, '118.7608673', '31.8252962', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316068453', 0, '2022-12-06 16:41:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84705, '123456789', 27, '118.7610161', '31.825251', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316070053', 0, '2022-12-06 16:41:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84706, '123456789', 27, '118.7612654', '31.8251755', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316072119', 0, '2022-12-06 16:41:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84707, '123456789', 27, '118.7614646', '31.8251151', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316074199', 0, '2022-12-06 16:41:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84708, '123456789', 27, '118.7616638', '31.8250555', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316076341', 0, '2022-12-06 16:41:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84709, '123456789', 27, '118.7618667', '31.8250063', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316078465', 0, '2022-12-06 16:41:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84710, '123456789', 27, '118.7620751', '31.824978', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316080060', 0, '2022-12-06 16:41:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84711, '123456789', 27, '118.7622863', '31.8249624', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316082252', 0, '2022-12-06 16:41:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84712, '123456789', 27, '118.7624977', '31.8249477', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316084436', 0, '2022-12-06 16:41:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84713, '123456789', 27, '118.7627085', '31.8249321', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316086061', 0, '2022-12-06 16:41:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84714, '123456789', 27, '118.7629191', '31.8249165', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316088212', 0, '2022-12-06 16:41:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84715, '123456789', 27, '118.7631297', '31.8249008', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316090372', 0, '2022-12-06 16:41:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84716, '123456789', 27, '118.7633398', '31.8248851', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316092519', 0, '2022-12-06 16:41:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84717, '123456789', 27, '118.7635505', '31.8248693', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316094108', 0, '2022-12-06 16:41:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84718, '123456789', 27, '118.7637615', '31.8248536', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316096252', 0, '2022-12-06 16:41:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84719, '123456789', 27, '118.7639724', '31.8248378', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316098384', 0, '2022-12-06 16:41:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84720, '123456789', 27, '118.7641833', '31.824822', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316100492', 0, '2022-12-06 16:41:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84721, '123456789', 27, '118.7643939', '31.8248063', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316102118', 0, '2022-12-06 16:41:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84722, '123456789', 27, '118.7646045', '31.8247905', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316104218', 0, '2022-12-06 16:41:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84723, '123456789', 27, '118.7648149', '31.8247748', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316106385', 0, '2022-12-06 16:41:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84724, '123456789', 27, '118.7650254', '31.824759', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316108517', 0, '2022-12-06 16:41:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84725, '123456789', 27, '118.7652362', '31.8247433', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316110134', 0, '2022-12-06 16:41:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84726, '123456789', 27, '118.7654467', '31.8247275', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316112297', 0, '2022-12-06 16:41:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84727, '123456789', 27, '118.7656577', '31.8247118', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316114414', 0, '2022-12-06 16:41:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84728, '123456789', 27, '118.7658684', '31.824696', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316116095', 0, '2022-12-06 16:41:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84729, '123456789', 27, '118.7660785', '31.8246803', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316118253', 0, '2022-12-06 16:41:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84730, '123456789', 27, '118.7662889', '31.8246645', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316120416', 0, '2022-12-06 16:42:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84731, '123456789', 27, '118.766446', '31.8246529', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316122037', 0, '2022-12-06 16:42:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84732, '123456789', 27, '118.7667105', '31.8246401', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316124212', 0, '2022-12-06 16:42:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84733, '123456789', 27, '118.7669221', '31.824642', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316126332', 0, '2022-12-06 16:42:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84734, '123456789', 27, '118.7671335', '31.8246501', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316128493', 0, '2022-12-06 16:42:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84735, '123456789', 27, '118.767345', '31.8246584', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316130139', 0, '2022-12-06 16:42:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84736, '123456789', 27, '118.7675557', '31.8246662', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316132338', 0, '2022-12-06 16:42:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84737, '123456789', 27, '118.7677141', '31.8246721', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316134010', 0, '2022-12-06 16:42:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84738, '123456789', 27, '118.7679781', '31.8246818', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316136190', 0, '2022-12-06 16:42:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84739, '123456789', 27, '118.7681894', '31.8246896', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316138340', 0, '2022-12-06 16:42:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84740, '123456789', 27, '118.7684007', '31.8246974', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316140452', 0, '2022-12-06 16:42:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84741, '123456789', 27, '118.7685599', '31.8247032', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316142020', 0, '2022-12-06 16:42:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84742, '123456789', 27, '118.7688237', '31.8247129', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316144253', 0, '2022-12-06 16:42:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84743, '123456789', 27, '118.7690351', '31.8247207', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316146431', 0, '2022-12-06 16:42:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84744, '123456789', 27, '118.7691934', '31.8247265', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316148012', 0, '2022-12-06 16:42:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84745, '123456789', 27, '118.7694576', '31.8247362', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316150174', 0, '2022-12-06 16:42:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84746, '123456789', 27, '118.7696692', '31.824744', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316152355', 0, '2022-12-06 16:42:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84747, '123456789', 27, '118.7698802', '31.8247517', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316154445', 0, '2022-12-06 16:42:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84748, '123456789', 27, '118.7700913', '31.8247595', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316156522', 0, '2022-12-06 16:42:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84749, '123456789', 27, '118.7703027', '31.8247673', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316158155', 0, '2022-12-06 16:42:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84750, '123456789', 27, '118.7705138', '31.824775', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316160282', 0, '2022-12-06 16:42:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84751, '123456789', 27, '118.7707249', '31.8247828', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316162416', 0, '2022-12-06 16:42:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84752, '123456789', 27, '118.7708828', '31.8247886', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316164015', 0, '2022-12-06 16:42:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84753, '123456789', 27, '118.7711469', '31.8248024', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316166214', 0, '2022-12-06 16:42:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84754, '123456789', 27, '118.7713537', '31.824835', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316168413', 0, '2022-12-06 16:42:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84755, '123456789', 27, '118.7715037', '31.8248759', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316170053', 0, '2022-12-06 16:42:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84756, '123456789', 27, '118.7717511', '31.8249556', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316172252', 0, '2022-12-06 16:42:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84757, '123456789', 27, '118.771949', '31.825019', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316174436', 0, '2022-12-06 16:42:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84758, '123456789', 27, '118.7721472', '31.8250819', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316176502', 0, '2022-12-06 16:42:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84759, '123456789', 27, '118.7722957', '31.8251289', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316178116', 0, '2022-12-06 16:42:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84760, '123456789', 27, '118.772544', '31.8252076', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316180256', 0, '2022-12-06 16:43:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84761, '123456789', 27, '118.7727406', '31.8252699', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316182419', 0, '2022-12-06 16:43:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84762, '123456789', 27, '118.7728628', '31.8253087', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316184051', 0, '2022-12-06 16:43:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84763, '123456789', 27, '118.7729356', '31.8253671', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316186131', 0, '2022-12-06 16:43:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84764, '123456789', 27, '118.7728928', '31.8254718', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316188331', 0, '2022-12-06 16:43:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84765, '123456789', 27, '118.7728276', '31.825626', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316190491', 0, '2022-12-06 16:43:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84766, '123456789', 27, '118.7727777', '31.8257507', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316192064', 0, '2022-12-06 16:43:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84767, '123456789', 27, '118.7726957', '31.8259607', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316194173', 0, '2022-12-06 16:43:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84768, '123456789', 27, '118.7726298', '31.8261296', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316196284', 0, '2022-12-06 16:43:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84769, '123456789', 27, '118.7725636', '31.8262994', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316198451', 0, '2022-12-06 16:43:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84770, '123456789', 27, '118.772514', '31.8264268', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316200079', 0, '2022-12-06 16:43:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84771, '123456789', 27, '118.7724309', '31.8266398', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316202236', 0, '2022-12-06 16:43:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84772, '123456789', 27, '118.7723647', '31.8268099', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316204377', 0, '2022-12-06 16:43:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84773, '123456789', 27, '118.7722982', '31.8269803', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316206490', 0, '2022-12-06 16:43:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84774, '123456789', 27, '118.7722483', '31.8271085', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316208125', 0, '2022-12-06 16:43:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84775, '123456789', 27, '118.7721652', '31.8273218', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316210297', 0, '2022-12-06 16:43:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84776, '123456789', 27, '118.7720986', '31.8274927', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316212451', 0, '2022-12-06 16:43:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84777, '123456789', 27, '118.7720488', '31.8276205', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316214131', 0, '2022-12-06 16:43:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84778, '123456789', 27, '118.7719658', '31.8278336', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316216217', 0, '2022-12-06 16:43:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84779, '123456789', 27, '118.7718993', '31.8280041', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316218373', 0, '2022-12-06 16:43:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84780, '123456789', 27, '118.7718328', '31.8281749', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316220459', 0, '2022-12-06 16:43:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84781, '123456789', 27, '118.7717831', '31.8283024', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316222036', 0, '2022-12-06 16:43:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84782, '123456789', 27, '118.7717167', '31.8284728', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316224133', 0, '2022-12-06 16:43:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84783, '123456789', 27, '118.7716335', '31.8286863', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316226330', 0, '2022-12-06 16:43:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84784, '123456789', 27, '118.7715671', '31.8288566', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316228477', 0, '2022-12-06 16:43:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84785, '123456789', 27, '118.7715173', '31.8289844', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316230059', 0, '2022-12-06 16:43:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84786, '123456789', 27, '118.7714344', '31.8291972', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316232211', 0, '2022-12-06 16:43:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84787, '123456789', 27, '118.7713681', '31.8293675', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316234396', 0, '2022-12-06 16:43:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84788, '123456789', 27, '118.7713017', '31.829538', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316236493', 0, '2022-12-06 16:43:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84789, '123456789', 27, '118.7712517', '31.8296663', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316238090', 0, '2022-12-06 16:43:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84790, '123456789', 27, '118.7711687', '31.8298792', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316240213', 0, '2022-12-06 16:44:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84791, '123456789', 27, '118.7711022', '31.8300499', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316242415', 0, '2022-12-06 16:44:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84792, '123456789', 27, '118.7710524', '31.8301776', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316244051', 0, '2022-12-06 16:44:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84793, '123456789', 27, '118.7709695', '31.8303904', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316246223', 0, '2022-12-06 16:44:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84794, '123456789', 27, '118.770903', '31.8305612', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316248311', 0, '2022-12-06 16:44:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84795, '123456789', 27, '118.7708366', '31.8307316', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316250492', 0, '2022-12-06 16:44:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84796, '123456789', 27, '118.7707867', '31.8308596', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316252049', 0, '2022-12-06 16:44:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84797, '123456789', 27, '118.77072', '31.8310307', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316254153', 0, '2022-12-06 16:44:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84798, '123456789', 27, '118.7706369', '31.831244', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316256298', 0, '2022-12-06 16:44:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84799, '123456789', 27, '118.7705704', '31.8314146', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316258535', 0, '2022-12-06 16:44:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84800, '123456789', 27, '118.770504', '31.831585', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316260183', 0, '2022-12-06 16:44:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84801, '123456789', 27, '118.7704378', '31.8317549', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316262338', 0, '2022-12-06 16:44:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84802, '123456789', 27, '118.7703833', '31.8318944', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316264529', 0, '2022-12-06 16:44:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84803, '123456789', 27, '118.7703624', '31.8319475', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316266142', 0, '2022-12-06 16:44:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84804, '123456789', 27, '118.7703596', '31.8319554', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316268284', 0, '2022-12-06 16:44:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84805, '123456789', 27, '118.7703792', '31.8319617', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316270417', 0, '2022-12-06 16:44:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84806, '123456789', 27, '118.7704365', '31.8319938', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316272004', 0, '2022-12-06 16:44:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84807, '123456789', 27, '118.770616', '31.8320967', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316274209', 0, '2022-12-06 16:44:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84808, '123456789', 27, '118.7707855', '31.832194', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316276435', 0, '2022-12-06 16:44:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84809, '123456789', 27, '118.7709575', '31.8322931', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316278556', 0, '2022-12-06 16:44:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84810, '123456789', 27, '118.7710873', '31.8323679', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316280090', 0, '2022-12-06 16:44:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84811, '123456789', 27, '118.7712612', '31.8324679', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316282132', 0, '2022-12-06 16:44:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84812, '123456789', 27, '118.771479', '31.8325934', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316284298', 0, '2022-12-06 16:44:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84813, '123456789', 27, '118.7716536', '31.8326939', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316286411', 0, '2022-12-06 16:44:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84814, '123456789', 27, '118.7717848', '31.8327695', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316288052', 0, '2022-12-06 16:44:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84815, '123456789', 27, '118.7720035', '31.8328955', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316290292', 0, '2022-12-06 16:44:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84816, '123456789', 27, '118.7721789', '31.8329965', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316292356', 0, '2022-12-06 16:44:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84817, '123456789', 27, '118.7723105', '31.8330723', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316294036', 0, '2022-12-06 16:44:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84818, '123456789', 27, '118.7725291', '31.8331983', '99.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316296231', 0, '2022-12-06 16:44:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84819, '123456789', 27, '118.7727042', '31.8332991', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316298396', 0, '2022-12-06 16:44:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84820, '123456789', 27, '118.7728743', '31.8333971', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316300553', 0, '2022-12-06 16:45:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84821, '123456789', 27, '118.7729962', '31.8334676', '99.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316302210', 0, '2022-12-06 16:45:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84822, '123456789', 27, '118.7730333', '31.833489', '99.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316304371', 0, '2022-12-06 16:45:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84823, '123456789', 27, '118.7730293', '31.8334863', '99.559', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316306533', 0, '2022-12-06 16:45:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84824, '123456789', 27, '118.7730267', '31.8334845', '96.626', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316308204', 0, '2022-12-06 16:45:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84825, '123456789', 27, '118.7730259', '31.8334841', '93.647', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316310429', 0, '2022-12-06 16:45:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84826, '123456789', 27, '118.7730256', '31.8334841', '91.398', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316312050', 0, '2022-12-06 16:45:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84827, '123456789', 27, '118.7730253', '31.8334841', '87.651', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316314251', 0, '2022-12-06 16:45:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84828, '123456789', 27, '118.7730252', '31.833484', '84.655', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316316434', 0, '2022-12-06 16:45:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84829, '123456789', 27, '118.7730252', '31.8334839', '82.409', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316318051', 0, '2022-12-06 16:45:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84830, '123456789', 27, '118.7730251', '31.8334839', '78.67', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316320212', 0, '2022-12-06 16:45:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84831, '123456789', 27, '118.7730251', '31.8334839', '75.67', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316322448', 0, '2022-12-06 16:45:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84832, '123456789', 27, '118.7730251', '31.8334839', '73.418', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316324090', 0, '2022-12-06 16:45:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84833, '123456789', 27, '118.7730251', '31.8334839', '69.668', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316326278', 0, '2022-12-06 16:45:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84834, '123456789', 27, '118.7730251', '31.8334839', '66.664', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316328410', 0, '2022-12-06 16:45:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84835, '123456789', 27, '118.7730251', '31.8334839', '64.415', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316330035', 0, '2022-12-06 16:45:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84836, '123456789', 27, '118.7730251', '31.8334839', '61.416', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316332171', 0, '2022-12-06 16:45:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84837, '123456789', 27, '118.7730251', '31.8334839', '57.674', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316334348', 0, '2022-12-06 16:45:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84838, '123456789', 27, '118.7730251', '31.8334839', '54.671', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316336529', 0, '2022-12-06 16:45:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84839, '123456789', 27, '118.7730251', '31.8334839', '52.416', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316338117', 0, '2022-12-06 16:45:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84840, '123456789', 27, '118.7730251', '31.8334839', '48.665', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316340250', 0, '2022-12-06 16:45:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84841, '123456789', 27, '118.7730251', '31.8334839', '45.665', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316342454', 0, '2022-12-06 16:45:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84842, '123456789', 27, '118.7730251', '31.8334839', '43.415', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316344141', 0, '2022-12-06 16:45:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84843, '123456789', 27, '118.7730251', '31.8334839', '39.668', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316346216', 0, '2022-12-06 16:45:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84844, '123456789', 27, '118.7730251', '31.8334839', '36.673', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316348407', 0, '2022-12-06 16:45:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84845, '123456789', 27, '118.7730251', '31.8334839', '34.425', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316350089', 0, '2022-12-06 16:45:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84846, '123456789', 27, '118.7730251', '31.8334839', '30.667', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316352280', 0, '2022-12-06 16:45:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84847, '123456789', 27, '118.7730251', '31.8334839', '27.665', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316354530', 0, '2022-12-06 16:45:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84848, '123456789', 27, '118.7730251', '31.8334839', '24.661', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316356218', 0, '2022-12-06 16:45:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84849, '123456789', 27, '118.7730251', '31.8334839', '21.669', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316358349', 0, '2022-12-06 16:45:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84850, '123456789', 27, '118.7730251', '31.8334839', '19.419', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316360033', 0, '2022-12-06 16:46:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84851, '123456789', 27, '118.7730251', '31.8334839', '15.679', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316362283', 0, '2022-12-06 16:46:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84852, '123456789', 27, '118.7730251', '31.8334839', '12.675', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316364535', 0, '2022-12-06 16:46:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84853, '123456789', 27, '118.7730251', '31.8334839', '9.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316366221', 0, '2022-12-06 16:46:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84854, '123456789', 27, '118.7730251', '31.8334839', '8.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316368470', 0, '2022-12-06 16:46:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84855, '123456789', 27, '118.7730251', '31.8334839', '8.164', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316370160', 0, '2022-12-06 16:46:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84856, '123456789', 27, '118.7730251', '31.8334839', '6.906', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316372352', 0, '2022-12-06 16:46:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84857, '123456789', 27, '118.7730251', '31.8334839', '6.153', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316374046', 0, '2022-12-06 16:46:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84858, '123456789', 27, '118.7730251', '31.8334839', '4.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316376300', 0, '2022-12-06 16:46:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84859, '123456789', 27, '118.7730251', '31.8334839', '3.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316378548', 0, '2022-12-06 16:46:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84860, '123456789', 27, '118.7730251', '31.8334839', '2.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316380236', 0, '2022-12-06 16:46:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84861, '123456789', 27, '118.7730251', '31.8334839', '1.893', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316382433', 0, '2022-12-06 16:46:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84862, '123456789', 27, '118.7730251', '31.833484', '1.141', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316384051', 0, '2022-12-06 16:46:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84863, '123456789', 27, '118.7730251', '31.833484', '-0.108', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316386299', 0, '2022-12-06 16:46:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (84864, '123456789', 27, '118.7730252', '31.833484', '-0.605', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670316388489', 0, '2022-12-06 16:46:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85513, '123456789', 30, '118.7667914', '31.8287883', '0.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374563334', 0, '2022-12-07 08:56:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85514, '123456789', 30, '118.7667914', '31.8287883', '0.257', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374565014', 0, '2022-12-07 08:56:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85515, '123456789', 30, '118.7667914', '31.8287883', '3.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374567252', 0, '2022-12-07 08:56:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85516, '123456789', 30, '118.7667914', '31.8287883', '10.134', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374569483', 0, '2022-12-07 08:56:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85517, '123456789', 30, '118.7667915', '31.8287884', '13.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374571159', 0, '2022-12-07 08:56:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85518, '123456789', 30, '118.7667915', '31.8287884', '20.12', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374573399', 0, '2022-12-07 08:56:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85519, '123456789', 30, '118.7667915', '31.8287884', '23.862', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374575015', 0, '2022-12-07 08:56:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85520, '123456789', 30, '118.7667915', '31.8287884', '28.846', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374577248', 0, '2022-12-07 08:56:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85521, '123456789', 30, '118.7667915', '31.8287884', '35.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374579478', 0, '2022-12-07 08:56:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85522, '123456789', 30, '118.7667915', '31.8287884', '38.85', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374581154', 0, '2022-12-07 08:56:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85523, '123456789', 30, '118.7667915', '31.8287884', '43.849', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374583341', 0, '2022-12-07 08:56:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85524, '123456789', 30, '118.7667915', '31.8287884', '50.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374585519', 0, '2022-12-07 08:56:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85525, '123456789', 30, '118.7667915', '31.8287884', '53.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374587193', 0, '2022-12-07 08:56:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85526, '123456789', 30, '118.7667915', '31.8287884', '60.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374589432', 0, '2022-12-07 08:56:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85527, '123456789', 30, '118.7667915', '31.8287884', '63.838', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374591104', 0, '2022-12-07 08:56:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85528, '123456789', 30, '118.7667915', '31.8287884', '68.843', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374593346', 0, '2022-12-07 08:56:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85529, '123456789', 30, '118.7667915', '31.8287884', '73.846', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374595023', 0, '2022-12-07 08:56:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85530, '123456789', 30, '118.7667915', '31.8287884', '78.854', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374597260', 0, '2022-12-07 08:56:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85531, '123456789', 30, '118.7667915', '31.8287884', '85.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374599440', 0, '2022-12-07 08:56:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85532, '123456789', 30, '118.7667915', '31.8287884', '88.848', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374601120', 0, '2022-12-07 08:56:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85533, '123456789', 30, '118.7667915', '31.8287884', '93.84', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374603358', 0, '2022-12-07 08:56:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85534, '123456789', 30, '118.7667915', '31.8287884', '98.657', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374605534', 0, '2022-12-07 08:56:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85535, '123456789', 30, '118.7667915', '31.8287884', '99.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374607223', 0, '2022-12-07 08:56:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85536, '123456789', 30, '118.7668039', '31.8287887', '99.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374609433', 0, '2022-12-07 08:56:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85537, '123456789', 30, '118.7668532', '31.8287902', '99.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374611059', 0, '2022-12-07 08:56:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85538, '123456789', 30, '118.7669957', '31.828795', '99.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374613295', 0, '2022-12-07 08:56:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85539, '123456789', 30, '118.7672416', '31.8288044', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374615479', 0, '2022-12-07 08:56:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85540, '123456789', 30, '118.7673962', '31.8288103', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374617048', 0, '2022-12-07 08:56:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85541, '123456789', 30, '118.7676046', '31.8288178', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374619227', 0, '2022-12-07 08:56:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85542, '123456789', 30, '118.7678665', '31.8288272', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374621466', 0, '2022-12-07 08:57:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85543, '123456789', 30, '118.7680246', '31.8288329', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374623142', 0, '2022-12-07 08:57:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85544, '123456789', 30, '118.7682352', '31.8288406', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374625378', 0, '2022-12-07 08:57:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85545, '123456789', 30, '118.7684986', '31.8288501', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374627554', 0, '2022-12-07 08:57:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85546, '123456789', 30, '118.7686577', '31.8288559', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374629234', 0, '2022-12-07 08:57:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85547, '123456789', 30, '118.7689217', '31.8288654', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374631419', 0, '2022-12-07 08:57:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85548, '123456789', 30, '118.7690806', '31.8288712', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374633098', 0, '2022-12-07 08:57:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85549, '123456789', 30, '118.769397', '31.8288827', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374636333', 0, '2022-12-07 08:57:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85550, '123456789', 30, '118.7696083', '31.8288903', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374638009', 0, '2022-12-07 08:57:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85551, '123456789', 30, '118.7698192', '31.828898', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374640241', 0, '2022-12-07 08:57:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85552, '123456789', 30, '118.7700836', '31.8289076', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374642481', 0, '2022-12-07 08:57:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85553, '123456789', 30, '118.7702419', '31.8289133', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374644159', 0, '2022-12-07 08:57:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85554, '123456789', 30, '118.7704237', '31.82892', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374646338', 0, '2022-12-07 08:57:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85555, '123456789', 30, '118.7705126', '31.8289476', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374648517', 0, '2022-12-07 08:57:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85556, '123456789', 30, '118.770492', '31.8290133', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374650141', 0, '2022-12-07 08:57:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85557, '123456789', 30, '118.7704394', '31.8291576', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374652377', 0, '2022-12-07 08:57:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85558, '123456789', 30, '118.7703837', '31.8293245', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374654004', 0, '2022-12-07 08:57:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85559, '123456789', 30, '118.7703281', '31.8294954', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374656242', 0, '2022-12-07 08:57:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85560, '123456789', 30, '118.7702586', '31.8297099', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374658486', 0, '2022-12-07 08:57:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85561, '123456789', 30, '118.7702167', '31.8298393', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374660168', 0, '2022-12-07 08:57:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85562, '123456789', 30, '118.7701608', '31.8300124', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374662413', 0, '2022-12-07 08:57:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85563, '123456789', 30, '118.7701049', '31.8301856', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374664030', 0, '2022-12-07 08:57:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85564, '123456789', 30, '118.770049', '31.8303587', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374666263', 0, '2022-12-07 08:57:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85565, '123456789', 30, '118.7699792', '31.8305752', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374668499', 0, '2022-12-07 08:57:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85566, '123456789', 30, '118.7699374', '31.8307047', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374670178', 0, '2022-12-07 08:57:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85567, '123456789', 30, '118.7698814', '31.8308781', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374672357', 0, '2022-12-07 08:57:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85568, '123456789', 30, '118.7698255', '31.8310514', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374674036', 0, '2022-12-07 08:57:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85569, '123456789', 30, '118.7697695', '31.8312249', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374676154', 0, '2022-12-07 08:57:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85570, '123456789', 30, '118.7697136', '31.8313981', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374678393', 0, '2022-12-07 08:57:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85571, '123456789', 30, '118.7696597', '31.8315654', '100.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374680085', 0, '2022-12-07 08:58:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85572, '123456789', 30, '118.7696239', '31.831656', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374682250', 0, '2022-12-07 08:58:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85573, '123456789', 30, '118.7695977', '31.8316295', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374684494', 0, '2022-12-07 08:58:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85574, '123456789', 30, '118.769556', '31.8315849', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374686114', 0, '2022-12-07 08:58:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85575, '123456789', 30, '118.7694556', '31.8314849', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374688287', 0, '2022-12-07 08:58:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85576, '123456789', 30, '118.7692986', '31.8313269', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374690524', 0, '2022-12-07 08:58:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85577, '123456789', 30, '118.7692002', '31.8312274', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374692147', 0, '2022-12-07 08:58:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85578, '123456789', 30, '118.7691122', '31.8311403', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374694379', 0, '2022-12-07 08:58:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85579, '123456789', 30, '118.7691066', '31.831135', '99.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374696055', 0, '2022-12-07 08:58:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85580, '123456789', 30, '118.7691104', '31.831138', '94.085', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374698235', 0, '2022-12-07 08:58:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85581, '123456789', 30, '118.7691107', '31.8311382', '87.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374700476', 0, '2022-12-07 08:58:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85582, '123456789', 30, '118.7691107', '31.8311383', '85.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374702149', 0, '2022-12-07 08:58:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85583, '123456789', 30, '118.7691106', '31.8311382', '86.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374704331', 0, '2022-12-07 08:58:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85584, '123456789', 30, '118.7690922', '31.8311194', '87.403', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374706562', 0, '2022-12-07 08:58:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85585, '123456789', 30, '118.7690449', '31.8310712', '87.394', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374708244', 0, '2022-12-07 08:58:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85586, '123456789', 30, '118.7689041', '31.830928', '87.382', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374710484', 0, '2022-12-07 08:58:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85587, '123456789', 30, '118.7688045', '31.8308275', '87.378', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374712099', 0, '2022-12-07 08:58:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85588, '123456789', 30, '118.7686701', '31.8306919', '87.379', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374714275', 0, '2022-12-07 08:58:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85589, '123456789', 30, '118.7685352', '31.8305554', '87.377', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374716444', 0, '2022-12-07 08:58:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85590, '123456789', 30, '118.7683999', '31.8304182', '87.375', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374718123', 0, '2022-12-07 08:58:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85591, '123456789', 30, '118.7682645', '31.830281', '87.374', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374720298', 0, '2022-12-07 08:58:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85592, '123456789', 30, '118.7680947', '31.8301091', '87.373', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374722481', 0, '2022-12-07 08:58:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85593, '123456789', 30, '118.7679931', '31.8300061', '87.372', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374724106', 0, '2022-12-07 08:58:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85594, '123456789', 30, '118.767857', '31.8298683', '87.372', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374726293', 0, '2022-12-07 08:58:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85595, '123456789', 30, '118.767687', '31.829696', '87.373', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374728468', 0, '2022-12-07 08:58:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85596, '123456789', 30, '118.7675854', '31.8295931', '87.373', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374730141', 0, '2022-12-07 08:58:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85597, '123456789', 30, '118.7674495', '31.8294554', '87.374', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374732322', 0, '2022-12-07 08:58:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85598, '123456789', 30, '118.7672794', '31.8292831', '87.373', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374734558', 0, '2022-12-07 08:58:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85599, '123456789', 30, '118.7671777', '31.82918', '87.375', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374736234', 0, '2022-12-07 08:58:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85600, '123456789', 30, '118.767042', '31.8290426', '87.372', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374738472', 0, '2022-12-07 08:58:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85601, '123456789', 30, '118.7669095', '31.8289083', '87.384', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374740147', 0, '2022-12-07 08:59:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85602, '123456789', 30, '118.7668147', '31.8288129', '87.366', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374742328', 0, '2022-12-07 08:59:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85603, '123456789', 30, '118.7667854', '31.8287835', '87.372', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374744006', 0, '2022-12-07 08:59:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85604, '123456789', 30, '118.7667881', '31.8287856', '87.368', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374746240', 0, '2022-12-07 08:59:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85605, '123456789', 30, '118.7667901', '31.8287874', '87.376', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374748483', 0, '2022-12-07 08:59:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85606, '123456789', 30, '118.7667906', '31.8287879', '87.379', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374750098', 0, '2022-12-07 08:59:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85607, '123456789', 30, '118.7667909', '31.8287881', '85.672', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374752329', 0, '2022-12-07 08:59:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85608, '123456789', 30, '118.766791', '31.8287882', '82.627', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374754009', 0, '2022-12-07 08:59:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85609, '123456789', 30, '118.766791', '31.8287883', '79.644', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374756233', 0, '2022-12-07 08:59:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85610, '123456789', 30, '118.7667911', '31.8287883', '76.645', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374758354', 0, '2022-12-07 08:59:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85611, '123456789', 30, '118.7667911', '31.8287884', '72.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374760540', 0, '2022-12-07 08:59:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85612, '123456789', 30, '118.7667911', '31.8287884', '70.648', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374762107', 0, '2022-12-07 08:59:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85613, '123456789', 30, '118.7667911', '31.8287884', '67.647', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374764293', 0, '2022-12-07 08:59:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85614, '123456789', 30, '118.7667911', '31.8287884', '64.652', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374766483', 0, '2022-12-07 08:59:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85615, '123456789', 30, '118.7667911', '31.8287884', '61.654', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374768167', 0, '2022-12-07 08:59:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85616, '123456789', 30, '118.7667911', '31.8287884', '58.662', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374770415', 0, '2022-12-07 08:59:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85617, '123456789', 30, '118.7667911', '31.8287884', '55.661', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374772045', 0, '2022-12-07 08:59:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85618, '123456789', 30, '118.7667911', '31.8287884', '52.658', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374774179', 0, '2022-12-07 08:59:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85619, '123456789', 30, '118.7667911', '31.8287884', '49.656', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374776424', 0, '2022-12-07 08:59:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85620, '123456789', 30, '118.7667911', '31.8287884', '46.653', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374778113', 0, '2022-12-07 08:59:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85621, '123456789', 30, '118.7667911', '31.8287884', '43.652', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374780364', 0, '2022-12-07 08:59:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85622, '123456789', 30, '118.7667911', '31.8287884', '40.654', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374782436', 0, '2022-12-07 08:59:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85623, '123456789', 30, '118.7667911', '31.8287884', '37.659', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374784009', 0, '2022-12-07 08:59:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85624, '123456789', 30, '118.7667911', '31.8287884', '34.663', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374786206', 0, '2022-12-07 08:59:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85625, '123456789', 30, '118.7667911', '31.8287884', '31.659', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374788394', 0, '2022-12-07 08:59:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85626, '123456789', 30, '118.7667911', '31.8287884', '28.657', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374790034', 0, '2022-12-07 08:59:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85627, '123456789', 30, '118.7667911', '31.8287884', '25.655', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374792276', 0, '2022-12-07 08:59:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85628, '123456789', 30, '118.7667911', '31.8287884', '22.652', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374794467', 0, '2022-12-07 08:59:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85629, '123456789', 30, '118.7667911', '31.8287884', '19.654', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374796161', 0, '2022-12-07 08:59:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85630, '123456789', 30, '118.7667911', '31.8287884', '16.663', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374798352', 0, '2022-12-07 08:59:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85631, '123456789', 30, '118.7667911', '31.8287884', '12.909', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374800542', 0, '2022-12-07 09:00:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85632, '123456789', 30, '118.7667911', '31.8287884', '10.757', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374802175', 0, '2022-12-07 09:00:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85633, '123456789', 30, '118.7667911', '31.8287884', '9.68', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374804308', 0, '2022-12-07 09:00:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85634, '123456789', 30, '118.7667911', '31.8287884', '8.668', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374806496', 0, '2022-12-07 09:00:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85635, '123456789', 30, '118.7667911', '31.8287884', '7.662', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374808124', 0, '2022-12-07 09:00:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85636, '123456789', 30, '118.7667911', '31.8287884', '6.658', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374810371', 0, '2022-12-07 09:00:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85637, '123456789', 30, '118.7667911', '31.8287884', '5.656', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374812498', 0, '2022-12-07 09:00:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85638, '123456789', 30, '118.7667911', '31.8287884', '4.653', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374814138', 0, '2022-12-07 09:00:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85639, '123456789', 30, '118.7667911', '31.8287884', '3.652', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374816314', 0, '2022-12-07 09:00:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85640, '123456789', 30, '118.7667911', '31.8287884', '2.65', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374818445', 0, '2022-12-07 09:00:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85641, '123456789', 30, '118.7667911', '31.8287884', '1.648', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374820076', 0, '2022-12-07 09:00:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85642, '123456789', 30, '118.7667911', '31.8287884', '0.647', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374822338', 0, '2022-12-07 09:00:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85643, '123456789', 30, '118.7667911', '31.8287884', '0.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670374824561', 0, '2022-12-07 09:00:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85644, '123456789', 35, '118.7667911', '31.8287884', '0.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377742281', 0, '2022-12-07 09:49:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85645, '123456789', 35, '118.7667911', '31.8287884', '0.207', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377744479', 0, '2022-12-07 09:49:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85646, '123456789', 35, '118.766791', '31.8287884', '2.503', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377746106', 0, '2022-12-07 09:49:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85647, '123456789', 35, '118.766791', '31.8287884', '7.519', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377748295', 0, '2022-12-07 09:49:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85648, '123456789', 35, '118.766791', '31.8287884', '13.752', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377750476', 0, '2022-12-07 09:49:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85649, '123456789', 35, '118.766791', '31.8287884', '17.507', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377752105', 0, '2022-12-07 09:49:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85650, '123456789', 35, '118.766791', '31.8287884', '22.498', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377754251', 0, '2022-12-07 09:49:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85651, '123456789', 35, '118.766791', '31.8287884', '27.48', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377756438', 0, '2022-12-07 09:49:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85652, '123456789', 35, '118.766791', '31.8287884', '32.476', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377758011', 0, '2022-12-07 09:49:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85653, '123456789', 35, '118.766791', '31.8287884', '37.477', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377760161', 0, '2022-12-07 09:49:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85654, '123456789', 35, '118.766791', '31.8287884', '42.477', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377762371', 0, '2022-12-07 09:49:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85655, '123456789', 35, '118.766791', '31.8287884', '47.482', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377764046', 0, '2022-12-07 09:49:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85656, '123456789', 35, '118.766791', '31.8287884', '52.48', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377766276', 0, '2022-12-07 09:49:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85657, '123456789', 35, '118.766791', '31.8287884', '58.725', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377768511', 0, '2022-12-07 09:49:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85658, '123456789', 35, '118.766791', '31.8287884', '62.464', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377770190', 0, '2022-12-07 09:49:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85659, '123456789', 35, '118.766791', '31.8287884', '67.463', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377772420', 0, '2022-12-07 09:49:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85660, '123456789', 35, '118.766791', '31.8287884', '72.469', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377774108', 0, '2022-12-07 09:49:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85661, '123456789', 35, '118.766791', '31.8287884', '77.473', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377776328', 0, '2022-12-07 09:49:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85662, '123456789', 35, '118.766791', '31.8287884', '83.73', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377778561', 0, '2022-12-07 09:49:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85663, '123456789', 35, '118.766791', '31.8287884', '87.48', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377780236', 0, '2022-12-07 09:49:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85664, '123456789', 35, '118.766791', '31.8287884', '92.478', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377782465', 0, '2022-12-07 09:49:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85665, '123456789', 35, '118.766791', '31.8287884', '97.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377784156', 0, '2022-12-07 09:49:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85666, '123456789', 35, '118.766791', '31.8287884', '99.592', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377786374', 0, '2022-12-07 09:49:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85667, '123456789', 35, '118.7667922', '31.8287892', '99.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377788043', 0, '2022-12-07 09:49:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85668, '123456789', 35, '118.7668193', '31.8288106', '99.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377790274', 0, '2022-12-07 09:49:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85669, '123456789', 35, '118.7669395', '31.8289046', '99.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377792505', 0, '2022-12-07 09:49:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85670, '123456789', 35, '118.7670454', '31.8289885', '99.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377794185', 0, '2022-12-07 09:49:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85671, '123456789', 35, '118.767196', '31.829107', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377796362', 0, '2022-12-07 09:49:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85672, '123456789', 35, '118.7673487', '31.8292269', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377798032', 0, '2022-12-07 09:49:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85673, '123456789', 35, '118.7675025', '31.8293479', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377800269', 0, '2022-12-07 09:50:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85674, '123456789', 35, '118.7676952', '31.8294996', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377802505', 0, '2022-12-07 09:50:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85675, '123456789', 35, '118.7678118', '31.8295913', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377804178', 0, '2022-12-07 09:50:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85676, '123456789', 35, '118.7679664', '31.829713', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377806409', 0, '2022-12-07 09:50:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85677, '123456789', 35, '118.7681214', '31.829835', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377808025', 0, '2022-12-07 09:50:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85678, '123456789', 35, '118.7682768', '31.8299573', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377810257', 0, '2022-12-07 09:50:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85679, '123456789', 35, '118.7684315', '31.830079', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377812492', 0, '2022-12-07 09:50:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85680, '123456789', 35, '118.7685869', '31.8302012', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377814166', 0, '2022-12-07 09:50:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85681, '123456789', 35, '118.7687418', '31.8303232', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377816405', 0, '2022-12-07 09:50:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85682, '123456789', 35, '118.7690519', '31.8305672', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377820322', 0, '2022-12-07 09:50:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85683, '123456789', 35, '118.7692463', '31.8307202', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377822551', 0, '2022-12-07 09:50:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85684, '123456789', 35, '118.7693622', '31.8308113', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377824170', 0, '2022-12-07 09:50:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85685, '123456789', 35, '118.7695172', '31.8309333', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377826396', 0, '2022-12-07 09:50:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85686, '123456789', 35, '118.7696723', '31.8310553', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377828069', 0, '2022-12-07 09:50:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85687, '123456789', 35, '118.7698275', '31.8311775', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377830242', 0, '2022-12-07 09:50:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85688, '123456789', 35, '118.7699827', '31.8312996', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377832412', 0, '2022-12-07 09:50:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85689, '123456789', 35, '118.7701377', '31.8314216', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377834087', 0, '2022-12-07 09:50:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85690, '123456789', 35, '118.7702926', '31.8315435', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377836321', 0, '2022-12-07 09:50:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85691, '123456789', 35, '118.7704477', '31.8316655', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377838007', 0, '2022-12-07 09:50:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85692, '123456789', 35, '118.7706031', '31.8317877', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377840235', 0, '2022-12-07 09:50:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85693, '123456789', 35, '118.7707581', '31.8319097', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377842469', 0, '2022-12-07 09:50:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85694, '123456789', 35, '118.7709133', '31.8320318', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377844145', 0, '2022-12-07 09:50:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85695, '123456789', 35, '118.7710684', '31.8321539', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377846315', 0, '2022-12-07 09:50:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85696, '123456789', 35, '118.7712233', '31.8322757', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377848484', 0, '2022-12-07 09:50:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85697, '123456789', 35, '118.7713786', '31.832398', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377850165', 0, '2022-12-07 09:50:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85698, '123456789', 35, '118.7715336', '31.83252', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377852378', 0, '2022-12-07 09:50:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85699, '123456789', 35, '118.7717273', '31.8326724', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377854565', 0, '2022-12-07 09:50:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85700, '123456789', 35, '118.7718324', '31.8327549', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377856175', 0, '2022-12-07 09:50:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85701, '123456789', 35, '118.7718916', '31.8328009', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377858358', 0, '2022-12-07 09:50:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85702, '123456789', 35, '118.7718706', '31.8327848', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377860091', 0, '2022-12-07 09:51:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85703, '123456789', 35, '118.7718178', '31.8327438', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377862264', 0, '2022-12-07 09:51:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85704, '123456789', 35, '118.7717119', '31.8326603', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377864500', 0, '2022-12-07 09:51:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85705, '123456789', 35, '118.7715736', '31.8325516', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377866176', 0, '2022-12-07 09:51:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85706, '123456789', 35, '118.7714263', '31.8324358', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377868402', 0, '2022-12-07 09:51:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85707, '123456789', 35, '118.771275', '31.8323167', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377870072', 0, '2022-12-07 09:51:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85708, '123456789', 35, '118.7711219', '31.8321961', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377872302', 0, '2022-12-07 09:51:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85709, '123456789', 35, '118.7709287', '31.8320441', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377874534', 0, '2022-12-07 09:51:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85710, '123456789', 35, '118.7708132', '31.8319532', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377876156', 0, '2022-12-07 09:51:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85711, '123456789', 35, '118.7706586', '31.8318316', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377878388', 0, '2022-12-07 09:51:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85712, '123456789', 35, '118.7705419', '31.8317398', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377880011', 0, '2022-12-07 09:51:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85713, '123456789', 35, '118.7703481', '31.8315873', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377882116', 0, '2022-12-07 09:51:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85714, '123456789', 35, '118.7701929', '31.8314652', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377884348', 0, '2022-12-07 09:51:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85715, '123456789', 35, '118.7700375', '31.8313429', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377886026', 0, '2022-12-07 09:51:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85716, '123456789', 35, '118.7698823', '31.8312208', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377888262', 0, '2022-12-07 09:51:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85717, '123456789', 35, '118.7697274', '31.8310989', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377890492', 0, '2022-12-07 09:51:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85718, '123456789', 35, '118.7695722', '31.8309768', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377892167', 0, '2022-12-07 09:51:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85719, '123456789', 35, '118.7694168', '31.8308546', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377894399', 0, '2022-12-07 09:51:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85720, '123456789', 35, '118.7692615', '31.8307324', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377896078', 0, '2022-12-07 09:51:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85721, '123456789', 35, '118.7691064', '31.8306103', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377898251', 0, '2022-12-07 09:51:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85722, '123456789', 35, '118.7689512', '31.8304883', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377900484', 0, '2022-12-07 09:51:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85723, '123456789', 35, '118.768796', '31.8303662', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377902105', 0, '2022-12-07 09:51:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85724, '123456789', 35, '118.768641', '31.8302442', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377904332', 0, '2022-12-07 09:51:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85725, '123456789', 35, '118.7685251', '31.830153', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377906018', 0, '2022-12-07 09:51:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85726, '123456789', 35, '118.768331', '31.8300003', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377908260', 0, '2022-12-07 09:51:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85727, '123456789', 35, '118.7681761', '31.8298784', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377910471', 0, '2022-12-07 09:51:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85728, '123456789', 35, '118.7680209', '31.8297563', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377912162', 0, '2022-12-07 09:51:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85729, '123456789', 35, '118.7678657', '31.829634', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377914359', 0, '2022-12-07 09:51:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85730, '123456789', 35, '118.7677107', '31.8295121', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377916033', 0, '2022-12-07 09:51:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85731, '123456789', 35, '118.7675559', '31.8293902', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377918205', 0, '2022-12-07 09:51:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85732, '123456789', 35, '118.7674009', '31.8292683', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377920439', 0, '2022-12-07 09:52:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85733, '123456789', 35, '118.7672459', '31.8291462', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377922050', 0, '2022-12-07 09:52:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85734, '123456789', 35, '118.7670908', '31.8290241', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377924279', 0, '2022-12-07 09:52:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85735, '123456789', 35, '118.7669381', '31.828904', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377926519', 0, '2022-12-07 09:52:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85736, '123456789', 35, '118.7668237', '31.828814', '99.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377928196', 0, '2022-12-07 09:52:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85737, '123456789', 35, '118.7667842', '31.8287829', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377930434', 0, '2022-12-07 09:52:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85738, '123456789', 35, '118.7667869', '31.828785', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377932109', 0, '2022-12-07 09:52:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85739, '123456789', 35, '118.7667897', '31.8287872', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377934371', 0, '2022-12-07 09:52:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85740, '123456789', 35, '118.7667903', '31.8287876', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377936022', 0, '2022-12-07 09:52:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85741, '123456789', 35, '118.7667907', '31.828788', '98.704', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377938141', 0, '2022-12-07 09:52:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85742, '123456789', 35, '118.7667909', '31.8287881', '95.635', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377940382', 0, '2022-12-07 09:52:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85743, '123456789', 35, '118.7667909', '31.8287881', '93.392', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377942054', 0, '2022-12-07 09:52:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85744, '123456789', 35, '118.766791', '31.8287882', '89.647', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377944232', 0, '2022-12-07 09:52:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85745, '123456789', 35, '118.7667911', '31.8287882', '86.647', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377946466', 0, '2022-12-07 09:52:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85746, '123456789', 35, '118.7667911', '31.8287882', '83.653', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377948138', 0, '2022-12-07 09:52:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85747, '123456789', 35, '118.7667911', '31.8287882', '80.657', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377950372', 0, '2022-12-07 09:52:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85748, '123456789', 35, '118.7667911', '31.8287882', '78.416', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377952053', 0, '2022-12-07 09:52:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85749, '123456789', 35, '118.7667911', '31.8287882', '74.666', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377954284', 0, '2022-12-07 09:52:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85750, '123456789', 35, '118.7667911', '31.8287882', '71.663', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377956516', 0, '2022-12-07 09:52:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85751, '123456789', 35, '118.7667911', '31.8287882', '68.663', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377958136', 0, '2022-12-07 09:52:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85752, '123456789', 35, '118.7667911', '31.8287882', '65.658', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377960316', 0, '2022-12-07 09:52:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85753, '123456789', 35, '118.7667911', '31.8287882', '62.661', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377962553', 0, '2022-12-07 09:52:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85754, '123456789', 35, '118.7667911', '31.8287882', '59.668', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377964227', 0, '2022-12-07 09:52:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85755, '123456789', 35, '118.7667911', '31.8287882', '56.668', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377966465', 0, '2022-12-07 09:52:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85756, '123456789', 35, '118.7667911', '31.8287882', '53.664', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377968137', 0, '2022-12-07 09:52:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85757, '123456789', 35, '118.7667911', '31.8287882', '50.662', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377970323', 0, '2022-12-07 09:52:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85758, '123456789', 35, '118.7667911', '31.8287882', '47.66', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377972552', 0, '2022-12-07 09:52:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85759, '123456789', 35, '118.7667911', '31.8287882', '44.659', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377974224', 0, '2022-12-07 09:52:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85760, '123456789', 35, '118.7667911', '31.8287882', '41.662', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377976465', 0, '2022-12-07 09:52:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85761, '123456789', 35, '118.7667911', '31.8287882', '38.664', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377978132', 0, '2022-12-07 09:52:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85762, '123456789', 35, '118.7667911', '31.8287882', '35.669', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377980364', 0, '2022-12-07 09:53:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85763, '123456789', 35, '118.7667911', '31.8287882', '32.665', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377982546', 0, '2022-12-07 09:53:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85764, '123456789', 35, '118.7667911', '31.8287882', '29.663', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377984226', 0, '2022-12-07 09:53:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85765, '123456789', 35, '118.7667911', '31.8287882', '26.661', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377986405', 0, '2022-12-07 09:53:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85766, '123456789', 35, '118.7667911', '31.8287882', '23.657', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377988083', 0, '2022-12-07 09:53:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85767, '123456789', 35, '118.7667911', '31.8287882', '20.659', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377990314', 0, '2022-12-07 09:53:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85768, '123456789', 35, '118.7667911', '31.8287882', '17.661', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377992557', 0, '2022-12-07 09:53:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85769, '123456789', 35, '118.7667911', '31.8287882', '14.669', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377994253', 0, '2022-12-07 09:53:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85770, '123456789', 35, '118.7667911', '31.8287882', '11.664', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377996471', 0, '2022-12-07 09:53:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85771, '123456789', 35, '118.7667911', '31.8287882', '10.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670377998145', 0, '2022-12-07 09:53:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85772, '123456789', 35, '118.7667911', '31.8287882', '9.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670378000328', 0, '2022-12-07 09:53:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85773, '123456789', 35, '118.7667911', '31.8287882', '8.254', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670378002004', 0, '2022-12-07 09:53:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85774, '123456789', 35, '118.7667911', '31.8287882', '6.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670378004236', 0, '2022-12-07 09:53:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85775, '123456789', 35, '118.7667911', '31.8287882', '5.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670378006472', 0, '2022-12-07 09:53:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85776, '123456789', 35, '118.7667911', '31.8287882', '4.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670378008144', 0, '2022-12-07 09:53:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85777, '123456789', 35, '118.7667911', '31.8287882', '3.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670378010374', 0, '2022-12-07 09:53:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85778, '123456789', 35, '118.7667911', '31.8287882', '3.241', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670378012055', 0, '2022-12-07 09:53:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85779, '123456789', 35, '118.7667911', '31.8287882', '1.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670378014266', 0, '2022-12-07 09:53:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85780, '123456789', 35, '118.7667911', '31.8287882', '0.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670378016502', 0, '2022-12-07 09:53:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85781, '123456789', 35, '118.7667911', '31.8287882', '0.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670378018179', 0, '2022-12-07 09:53:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85782, '123456789', 35, '118.7667911', '31.8287882', '0.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670378020418', 0, '2022-12-07 09:53:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85783, '123456789', 38, '118.7667912', '31.8287881', '0.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381061478', 0, '2022-12-07 10:44:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85784, '123456789', 38, '118.7667912', '31.8287881', '0.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381063156', 0, '2022-12-07 10:44:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85785, '123456789', 38, '118.7667912', '31.828788', '3.692', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381065338', 0, '2022-12-07 10:44:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85786, '123456789', 38, '118.7667912', '31.828788', '8.732', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381067562', 0, '2022-12-07 10:44:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85787, '123456789', 38, '118.7667912', '31.828788', '12.475', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381069236', 0, '2022-12-07 10:44:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85788, '123456789', 38, '118.7667912', '31.828788', '18.725', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381071378', 0, '2022-12-07 10:44:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85789, '123456789', 38, '118.7667912', '31.828788', '22.47', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381073054', 0, '2022-12-07 10:44:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85790, '123456789', 38, '118.7667912', '31.828788', '28.71', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381075296', 0, '2022-12-07 10:44:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85791, '123456789', 38, '118.7667912', '31.828788', '33.691', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381077462', 0, '2022-12-07 10:44:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85792, '123456789', 38, '118.7667912', '31.828788', '37.439', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381079140', 0, '2022-12-07 10:44:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85793, '123456789', 38, '118.7667912', '31.828788', '43.695', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381081389', 0, '2022-12-07 10:44:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85794, '123456789', 38, '118.7667912', '31.828788', '47.444', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381083066', 0, '2022-12-07 10:44:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85795, '123456789', 38, '118.7667912', '31.828788', '53.702', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381085304', 0, '2022-12-07 10:44:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85796, '123456789', 38, '118.7667912', '31.828788', '58.7', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381087497', 0, '2022-12-07 10:44:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85797, '123456789', 38, '118.7667912', '31.828788', '62.443', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381089177', 0, '2022-12-07 10:44:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85798, '123456789', 38, '118.7667912', '31.828788', '68.684', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381091414', 0, '2022-12-07 10:44:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85799, '123456789', 38, '118.7667912', '31.828788', '72.439', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381093082', 0, '2022-12-07 10:44:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85800, '123456789', 38, '118.7667912', '31.828788', '78.694', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381095306', 0, '2022-12-07 10:44:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85801, '123456789', 38, '118.7667912', '31.828788', '83.698', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381097494', 0, '2022-12-07 10:44:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85802, '123456789', 38, '118.7667912', '31.828788', '87.451', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381099176', 0, '2022-12-07 10:44:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85803, '123456789', 38, '118.7667912', '31.828788', '93.695', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381101362', 0, '2022-12-07 10:45:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85804, '123456789', 38, '118.7667912', '31.828788', '97.879', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381103554', 0, '2022-12-07 10:45:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85805, '123456789', 38, '118.7667912', '31.828788', '99.583', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381105176', 0, '2022-12-07 10:45:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85806, '123456789', 38, '118.766795', '31.828791', '99.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381107416', 0, '2022-12-07 10:45:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85807, '123456789', 38, '118.7668204', '31.828811', '99.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381109104', 0, '2022-12-07 10:45:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85808, '123456789', 38, '118.7669101', '31.8288819', '99.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381111289', 0, '2022-12-07 10:45:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85809, '123456789', 38, '118.7670848', '31.8290192', '99.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381113419', 0, '2022-12-07 10:45:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85810, '123456789', 38, '118.7671981', '31.8291082', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381115094', 0, '2022-12-07 10:45:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85811, '123456789', 38, '118.7673888', '31.8292583', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381117313', 0, '2022-12-07 10:45:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85812, '123456789', 38, '118.7675424', '31.8293793', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381119495', 0, '2022-12-07 10:45:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85813, '123456789', 38, '118.7676582', '31.8294704', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381121179', 0, '2022-12-07 10:45:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85814, '123456789', 38, '118.7678518', '31.8296228', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381123362', 0, '2022-12-07 10:45:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85815, '123456789', 38, '118.7680065', '31.8297445', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381125495', 0, '2022-12-07 10:45:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85816, '123456789', 38, '118.7681225', '31.8298357', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381127158', 0, '2022-12-07 10:45:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85817, '123456789', 38, '118.7682622', '31.8299457', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381129296', 0, '2022-12-07 10:45:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85818, '123456789', 38, '118.7683087', '31.8299827', '99.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381131525', 0, '2022-12-07 10:45:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85819, '123456789', 38, '118.7682858', '31.8299643', '99.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381133160', 0, '2022-12-07 10:45:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85820, '123456789', 38, '118.7681417', '31.8298507', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381136532', 0, '2022-12-07 10:45:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85821, '123456789', 38, '118.7680397', '31.8297703', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381138202', 0, '2022-12-07 10:45:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85822, '123456789', 38, '118.7678578', '31.8296271', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381140438', 0, '2022-12-07 10:45:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85823, '123456789', 38, '118.7677444', '31.8295379', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381142054', 0, '2022-12-07 10:45:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85824, '123456789', 38, '118.7675914', '31.8294175', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381144175', 0, '2022-12-07 10:45:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85825, '123456789', 38, '118.7673993', '31.8292663', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381146415', 0, '2022-12-07 10:45:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85826, '123456789', 38, '118.7672832', '31.8291749', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381148055', 0, '2022-12-07 10:45:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85827, '123456789', 38, '118.7671284', '31.8290532', '99.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381150293', 0, '2022-12-07 10:45:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85828, '123456789', 38, '118.7669372', '31.8289027', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381152478', 0, '2022-12-07 10:45:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85829, '123456789', 38, '118.7668458', '31.8288308', '99.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381154092', 0, '2022-12-07 10:45:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85830, '123456789', 38, '118.7667877', '31.8287851', '99.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381156341', 0, '2022-12-07 10:45:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85831, '123456789', 38, '118.7667858', '31.8287836', '99.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381158019', 0, '2022-12-07 10:45:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85832, '123456789', 38, '118.7667895', '31.8287865', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381160195', 0, '2022-12-07 10:46:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85833, '123456789', 38, '118.7667905', '31.8287874', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381162334', 0, '2022-12-07 10:46:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85834, '123456789', 38, '118.7667908', '31.8287876', '98.683', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381164455', 0, '2022-12-07 10:46:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85835, '123456789', 38, '118.7667909', '31.8287877', '96.358', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381166131', 0, '2022-12-07 10:46:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85836, '123456789', 38, '118.7667911', '31.8287878', '92.62', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381168375', 0, '2022-12-07 10:46:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85837, '123456789', 38, '118.7667911', '31.8287878', '90.372', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381170052', 0, '2022-12-07 10:46:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85838, '123456789', 38, '118.7667911', '31.8287878', '87.378', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381172294', 0, '2022-12-07 10:46:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85839, '123456789', 38, '118.7667911', '31.8287879', '83.641', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381174522', 0, '2022-12-07 10:46:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85840, '123456789', 38, '118.7667912', '31.8287879', '81.391', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381176150', 0, '2022-12-07 10:46:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85841, '123456789', 38, '118.7667912', '31.8287879', '78.391', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381178333', 0, '2022-12-07 10:46:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85842, '123456789', 38, '118.7667912', '31.8287879', '74.641', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381180557', 0, '2022-12-07 10:46:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85843, '123456789', 38, '118.7667912', '31.8287879', '72.388', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381182234', 0, '2022-12-07 10:46:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85844, '123456789', 38, '118.7667912', '31.8287879', '68.642', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381184419', 0, '2022-12-07 10:46:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85845, '123456789', 38, '118.7667912', '31.8287879', '66.392', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381186056', 0, '2022-12-07 10:46:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85846, '123456789', 38, '118.7667912', '31.8287879', '63.4', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381188241', 0, '2022-12-07 10:46:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85847, '123456789', 38, '118.7667912', '31.8287879', '59.646', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381190375', 0, '2022-12-07 10:46:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85848, '123456789', 38, '118.7667912', '31.8287879', '57.395', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381192052', 0, '2022-12-07 10:46:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85849, '123456789', 38, '118.7667912', '31.8287879', '54.393', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381194281', 0, '2022-12-07 10:46:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85850, '123456789', 38, '118.7667912', '31.8287879', '50.637', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381196516', 0, '2022-12-07 10:46:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85851, '123456789', 38, '118.7667912', '31.8287879', '48.389', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381198201', 0, '2022-12-07 10:46:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85852, '123456789', 38, '118.7667912', '31.8287879', '44.642', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381200433', 0, '2022-12-07 10:46:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85853, '123456789', 38, '118.7667912', '31.8287879', '42.398', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381202057', 0, '2022-12-07 10:46:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85854, '123456789', 38, '118.7667912', '31.8287879', '39.398', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381204251', 0, '2022-12-07 10:46:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85855, '123456789', 38, '118.7667912', '31.8287879', '35.643', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381206432', 0, '2022-12-07 10:46:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85856, '123456789', 38, '118.7667912', '31.8287879', '33.393', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381208052', 0, '2022-12-07 10:46:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85857, '123456789', 38, '118.7667912', '31.8287879', '30.39', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381210307', 0, '2022-12-07 10:46:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85858, '123456789', 38, '118.7667912', '31.8287879', '26.638', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381212532', 0, '2022-12-07 10:46:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85859, '123456789', 38, '118.7667912', '31.8287879', '24.392', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381214196', 0, '2022-12-07 10:46:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85860, '123456789', 38, '118.7667912', '31.8287879', '21.398', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381216335', 0, '2022-12-07 10:46:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85861, '123456789', 38, '118.7667912', '31.828788', '18.396', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381218015', 0, '2022-12-07 10:46:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85862, '123456789', 38, '118.7667912', '31.828788', '15.393', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381220256', 0, '2022-12-07 10:47:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85863, '123456789', 38, '118.7667912', '31.828788', '11.64', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381222439', 0, '2022-12-07 10:47:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85864, '123456789', 38, '118.7667912', '31.8287881', '10.209', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381224116', 0, '2022-12-07 10:47:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85865, '123456789', 38, '118.7667912', '31.8287881', '9.263', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381226294', 0, '2022-12-07 10:47:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85866, '123456789', 38, '118.7667912', '31.8287881', '8.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381228561', 0, '2022-12-07 10:47:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85867, '123456789', 38, '118.7667912', '31.8287881', '7.251', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381230215', 0, '2022-12-07 10:47:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85868, '123456789', 38, '118.7667912', '31.8287882', '5.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381232452', 0, '2022-12-07 10:47:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85869, '123456789', 38, '118.7667912', '31.8287882', '5.243', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381234119', 0, '2022-12-07 10:47:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85870, '123456789', 38, '118.7667912', '31.8287882', '4.241', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381236303', 0, '2022-12-07 10:47:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85871, '123456789', 38, '118.7667912', '31.8287882', '2.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381238555', 0, '2022-12-07 10:47:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85872, '123456789', 38, '118.7667912', '31.8287882', '2.237', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381240173', 0, '2022-12-07 10:47:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85873, '123456789', 38, '118.7667912', '31.8287882', '0.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381242420', 0, '2022-12-07 10:47:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85874, '123456789', 38, '118.7667912', '31.8287882', '0.237', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381244091', 0, '2022-12-07 10:47:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85875, '123456789', 38, '118.7667912', '31.8287882', '0.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670381246332', 0, '2022-12-07 10:47:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85876, '123456789', 40, '118.7667912', '31.8287883', '0.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391713347', 0, '2022-12-07 13:41:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85877, '123456789', 40, '118.7667912', '31.8287883', '0.579', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391715033', 0, '2022-12-07 13:41:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85878, '123456789', 40, '118.7667912', '31.8287884', '5.819', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391717285', 0, '2022-12-07 13:41:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85879, '123456789', 40, '118.7667912', '31.8287884', '10.811', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391719479', 0, '2022-12-07 13:41:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85880, '123456789', 40, '118.7667912', '31.8287884', '14.556', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391721173', 0, '2022-12-07 13:42:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85881, '123456789', 40, '118.7667912', '31.8287883', '20.803', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391723420', 0, '2022-12-07 13:42:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85882, '123456789', 40, '118.7667912', '31.8287883', '24.556', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391725107', 0, '2022-12-07 13:42:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85883, '123456789', 40, '118.7667912', '31.8287882', '30.793', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391727360', 0, '2022-12-07 13:42:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85884, '123456789', 40, '118.7667912', '31.8287882', '34.54', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391729051', 0, '2022-12-07 13:42:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85885, '123456789', 40, '118.7667912', '31.8287882', '39.524', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391731285', 0, '2022-12-07 13:42:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85886, '123456789', 40, '118.7667912', '31.8287881', '45.775', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391733483', 0, '2022-12-07 13:42:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85887, '123456789', 40, '118.7667912', '31.8287881', '49.529', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391735158', 0, '2022-12-07 13:42:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85888, '123456789', 40, '118.7667911', '31.8287881', '55.782', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391737396', 0, '2022-12-07 13:42:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85889, '123456789', 40, '118.7667912', '31.8287881', '59.538', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391739035', 0, '2022-12-07 13:42:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85890, '123456789', 40, '118.7667912', '31.828788', '64.537', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391741277', 0, '2022-12-07 13:42:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85891, '123456789', 40, '118.7667912', '31.828788', '70.783', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391743440', 0, '2022-12-07 13:42:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85892, '123456789', 40, '118.7667911', '31.828788', '74.526', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391745117', 0, '2022-12-07 13:42:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85893, '123456789', 40, '118.7667912', '31.828788', '80.775', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391747362', 0, '2022-12-07 13:42:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85894, '123456789', 40, '118.7667912', '31.828788', '84.529', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391749040', 0, '2022-12-07 13:42:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85895, '123456789', 40, '118.7667912', '31.828788', '90.781', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391751279', 0, '2022-12-07 13:42:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85896, '123456789', 40, '118.7667912', '31.828788', '95.701', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391753525', 0, '2022-12-07 13:42:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85897, '123456789', 40, '118.7667912', '31.828788', '98.375', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391755199', 0, '2022-12-07 13:42:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85898, '123456789', 40, '118.7667911', '31.828788', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391757444', 0, '2022-12-07 13:42:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85899, '123456789', 40, '118.7667979', '31.8287932', '99.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391759120', 0, '2022-12-07 13:42:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85900, '123456789', 40, '118.7668717', '31.8288516', '99.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391761359', 0, '2022-12-07 13:42:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85901, '123456789', 40, '118.766963', '31.8289234', '99.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391763038', 0, '2022-12-07 13:42:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85902, '123456789', 40, '118.7671088', '31.8290379', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391765220', 0, '2022-12-07 13:42:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85903, '123456789', 40, '118.7672982', '31.8291869', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391767402', 0, '2022-12-07 13:42:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85904, '123456789', 40, '118.7674134', '31.8292776', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391769071', 0, '2022-12-07 13:42:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85905, '123456789', 40, '118.7675674', '31.8293989', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391771197', 0, '2022-12-07 13:42:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85906, '123456789', 40, '118.7677604', '31.8295507', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391773436', 0, '2022-12-07 13:42:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85907, '123456789', 40, '118.7678769', '31.8296423', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391775115', 0, '2022-12-07 13:42:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85908, '123456789', 40, '118.7680705', '31.8297947', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391777358', 0, '2022-12-07 13:42:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85909, '123456789', 40, '118.7681869', '31.8298863', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391779035', 0, '2022-12-07 13:42:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85910, '123456789', 40, '118.7683414', '31.8300079', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391781264', 0, '2022-12-07 13:43:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85911, '123456789', 40, '118.7684603', '31.8301018', '99.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391783520', 0, '2022-12-07 13:43:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85912, '123456789', 40, '118.7684562', '31.8300986', '99.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391785201', 0, '2022-12-07 13:43:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85913, '123456789', 40, '118.7684067', '31.8300592', '99.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391787444', 0, '2022-12-07 13:43:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85914, '123456789', 40, '118.7683418', '31.8300081', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391789123', 0, '2022-12-07 13:43:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85915, '123456789', 40, '118.7681788', '31.8298798', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391791298', 0, '2022-12-07 13:43:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85916, '123456789', 40, '118.767996', '31.8297359', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391794117', 0, '2022-12-07 13:43:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85917, '123456789', 40, '118.7678067', '31.829587', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391796356', 0, '2022-12-07 13:43:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85918, '123456789', 40, '118.7676909', '31.8294959', '99.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391798029', 0, '2022-12-07 13:43:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85919, '123456789', 40, '118.7675367', '31.8293746', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391800264', 0, '2022-12-07 13:43:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85920, '123456789', 40, '118.7673434', '31.8292225', '99.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391802500', 0, '2022-12-07 13:43:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85921, '123456789', 40, '118.767227', '31.8291309', '99.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391804174', 0, '2022-12-07 13:43:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85922, '123456789', 40, '118.7670332', '31.8289784', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391806359', 0, '2022-12-07 13:43:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85923, '123456789', 40, '118.7669216', '31.8288907', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391808036', 0, '2022-12-07 13:43:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85924, '123456789', 40, '118.7668154', '31.828807', '99.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391810278', 0, '2022-12-07 13:43:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85925, '123456789', 40, '118.7667841', '31.8287824', '99.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391812515', 0, '2022-12-07 13:43:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85926, '123456789', 40, '118.7667875', '31.8287852', '99.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391814199', 0, '2022-12-07 13:43:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85927, '123456789', 40, '118.76679', '31.8287871', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391816322', 0, '2022-12-07 13:43:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85928, '123456789', 40, '118.7667906', '31.8287877', '99.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391818564', 0, '2022-12-07 13:43:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85929, '123456789', 40, '118.7667908', '31.8287878', '98.323', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391820194', 0, '2022-12-07 13:43:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85930, '123456789', 40, '118.766791', '31.828788', '94.524', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391822437', 0, '2022-12-07 13:43:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85931, '123456789', 40, '118.7667911', '31.828788', '92.277', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391824101', 0, '2022-12-07 13:43:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85932, '123456789', 40, '118.7667912', '31.828788', '88.536', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391826340', 0, '2022-12-07 13:43:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85933, '123456789', 40, '118.7667912', '31.828788', '85.546', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391828542', 0, '2022-12-07 13:43:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85934, '123456789', 40, '118.7667912', '31.8287881', '83.301', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391830206', 0, '2022-12-07 13:43:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85935, '123456789', 40, '118.7667912', '31.8287881', '79.549', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391832339', 0, '2022-12-07 13:43:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85936, '123456789', 40, '118.7667912', '31.8287881', '76.55', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391834544', 0, '2022-12-07 13:43:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85937, '123456789', 40, '118.7667912', '31.8287881', '74.301', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391836142', 0, '2022-12-07 13:43:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85938, '123456789', 40, '118.7667912', '31.8287881', '70.548', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391838370', 0, '2022-12-07 13:43:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85939, '123456789', 40, '118.7667912', '31.8287881', '67.553', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391840576', 0, '2022-12-07 13:44:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85940, '123456789', 40, '118.7667912', '31.8287881', '65.31', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391842226', 0, '2022-12-07 13:44:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85941, '123456789', 40, '118.7667912', '31.8287881', '61.556', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391844499', 0, '2022-12-07 13:44:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85942, '123456789', 40, '118.7667912', '31.8287881', '59.304', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391846155', 0, '2022-12-07 13:44:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85943, '123456789', 40, '118.7667912', '31.8287881', '55.552', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391848394', 0, '2022-12-07 13:44:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85944, '123456789', 40, '118.7667912', '31.8287881', '53.298', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391850074', 0, '2022-12-07 13:44:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85945, '123456789', 40, '118.7667912', '31.8287881', '50.3', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391852316', 0, '2022-12-07 13:44:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85946, '123456789', 40, '118.7667912', '31.8287881', '46.552', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391854568', 0, '2022-12-07 13:44:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85947, '123456789', 40, '118.7667912', '31.8287881', '44.308', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391856113', 0, '2022-12-07 13:44:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85948, '123456789', 40, '118.7667912', '31.8287881', '41.306', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391858354', 0, '2022-12-07 13:44:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85949, '123456789', 40, '118.7667912', '31.8287881', '38.303', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391860035', 0, '2022-12-07 13:44:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85950, '123456789', 40, '118.7667912', '31.8287881', '35.302', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391862157', 0, '2022-12-07 13:44:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85951, '123456789', 40, '118.7667912', '31.8287881', '31.547', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391864394', 0, '2022-12-07 13:44:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85952, '123456789', 40, '118.7667912', '31.8287881', '29.298', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391866077', 0, '2022-12-07 13:44:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85953, '123456789', 40, '118.7667912', '31.8287881', '26.299', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391868315', 0, '2022-12-07 13:44:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85954, '123456789', 40, '118.7667912', '31.8287881', '22.558', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391870559', 0, '2022-12-07 13:44:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85955, '123456789', 40, '118.7667912', '31.8287881', '20.306', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391872235', 0, '2022-12-07 13:44:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85956, '123456789', 40, '118.7667912', '31.8287881', '16.552', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391874426', 0, '2022-12-07 13:44:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85957, '123456789', 40, '118.7667912', '31.8287881', '14.302', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391876062', 0, '2022-12-07 13:44:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85958, '123456789', 40, '118.7667912', '31.8287881', '11.304', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391878272', 0, '2022-12-07 13:44:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85959, '123456789', 40, '118.7667912', '31.8287881', '9.653', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391880519', 0, '2022-12-07 13:44:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85960, '123456789', 40, '118.7667912', '31.8287881', '8.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391882120', 0, '2022-12-07 13:44:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85961, '123456789', 40, '118.7667912', '31.8287881', '7.636', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391884362', 0, '2022-12-07 13:44:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85962, '123456789', 40, '118.7667912', '31.8287881', '6.632', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391886538', 0, '2022-12-07 13:44:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85963, '123456789', 40, '118.7667912', '31.8287881', '5.879', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391888112', 0, '2022-12-07 13:44:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85964, '123456789', 40, '118.7667912', '31.8287881', '4.877', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391890341', 0, '2022-12-07 13:44:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85965, '123456789', 40, '118.7667912', '31.8287881', '3.623', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391892533', 0, '2022-12-07 13:44:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85966, '123456789', 40, '118.7667912', '31.8287881', '2.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391894163', 0, '2022-12-07 13:44:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85967, '123456789', 40, '118.7667912', '31.8287881', '1.621', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391896401', 0, '2022-12-07 13:44:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85968, '123456789', 40, '118.7667912', '31.8287881', '0.873', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391898085', 0, '2022-12-07 13:44:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85969, '123456789', 40, '118.7667912', '31.8287881', '0.063', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670391900321', 0, '2022-12-07 13:45:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85971, '123456789', 41, '118.7667912', '31.8287882', '0.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393570516', 0, '2022-12-07 14:12:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85972, '123456789', 41, '118.7667912', '31.8287882', '0.586', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393572182', 0, '2022-12-07 14:12:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85973, '123456789', 41, '118.7667912', '31.8287881', '5.86', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393574421', 0, '2022-12-07 14:12:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85974, '123456789', 41, '118.7667912', '31.8287881', '9.606', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393576081', 0, '2022-12-07 14:12:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85975, '123456789', 41, '118.7667912', '31.8287881', '14.591', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393578322', 0, '2022-12-07 14:12:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85976, '123456789', 41, '118.7667912', '31.8287881', '20.821', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393580549', 0, '2022-12-07 14:13:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85977, '123456789', 41, '118.7667912', '31.8287881', '24.576', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393582229', 0, '2022-12-07 14:13:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85978, '123456789', 41, '118.7667912', '31.8287881', '30.821', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393584459', 0, '2022-12-07 14:13:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85979, '123456789', 41, '118.7667912', '31.8287881', '34.569', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393586128', 0, '2022-12-07 14:13:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85980, '123456789', 41, '118.7667912', '31.8287881', '39.565', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393588355', 0, '2022-12-07 14:13:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85981, '123456789', 41, '118.7667912', '31.8287881', '44.561', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393590037', 0, '2022-12-07 14:13:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85982, '123456789', 41, '118.7667912', '31.8287881', '49.545', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393592271', 0, '2022-12-07 14:13:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85983, '123456789', 41, '118.7667912', '31.8287881', '55.808', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393594506', 0, '2022-12-07 14:13:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85984, '123456789', 41, '118.7667912', '31.8287881', '59.555', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393596183', 0, '2022-12-07 14:13:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85985, '123456789', 41, '118.7667912', '31.8287881', '64.557', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393598412', 0, '2022-12-07 14:13:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85986, '123456789', 41, '118.7667912', '31.8287881', '69.565', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393600109', 0, '2022-12-07 14:13:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85987, '123456789', 41, '118.7667912', '31.8287881', '74.56', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393602328', 0, '2022-12-07 14:13:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85988, '123456789', 41, '118.7667912', '31.8287881', '80.806', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393604557', 0, '2022-12-07 14:13:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85989, '123456789', 41, '118.7667912', '31.8287881', '84.546', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393606237', 0, '2022-12-07 14:13:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85990, '123456789', 41, '118.7667912', '31.8287881', '90.802', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393608414', 0, '2022-12-07 14:13:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85991, '123456789', 41, '118.7667912', '31.8287881', '94.548', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393610099', 0, '2022-12-07 14:13:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85992, '123456789', 41, '118.7667912', '31.8287881', '98.383', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393612332', 0, '2022-12-07 14:13:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85993, '123456789', 41, '118.7667912', '31.8287881', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393614014', 0, '2022-12-07 14:13:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85994, '123456789', 41, '118.7667985', '31.8287938', '99.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393616242', 0, '2022-12-07 14:13:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85995, '123456789', 41, '118.7668754', '31.8288546', '99.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393618480', 0, '2022-12-07 14:13:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85996, '123456789', 41, '118.7669672', '31.8289269', '99.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393620105', 0, '2022-12-07 14:13:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85997, '123456789', 41, '118.7671135', '31.8290418', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393622350', 0, '2022-12-07 14:13:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85998, '123456789', 41, '118.7672652', '31.8291611', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393624025', 0, '2022-12-07 14:13:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (85999, '123456789', 41, '118.7674182', '31.8292816', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393626260', 0, '2022-12-07 14:13:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86000, '123456789', 41, '118.7675576', '31.8293915', '99.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393628498', 0, '2022-12-07 14:13:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86001, '123456789', 41, '118.7675641', '31.8293968', '99.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393630175', 0, '2022-12-07 14:13:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86002, '123456789', 41, '118.7675337', '31.8293726', '99.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393632411', 0, '2022-12-07 14:13:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86003, '123456789', 41, '118.7674647', '31.8293181', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393634096', 0, '2022-12-07 14:13:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86004, '123456789', 41, '118.7673436', '31.8292228', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393636269', 0, '2022-12-07 14:13:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86005, '123456789', 41, '118.7672014', '31.8291108', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393638450', 0, '2022-12-07 14:13:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86006, '123456789', 41, '118.7670523', '31.8289934', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393640127', 0, '2022-12-07 14:14:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86007, '123456789', 41, '118.7669073', '31.8288792', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393642364', 0, '2022-12-07 14:14:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86008, '123456789', 41, '118.7668092', '31.828802', '99.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393644044', 0, '2022-12-07 14:14:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86009, '123456789', 41, '118.7667839', '31.8287822', '99.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393646276', 0, '2022-12-07 14:14:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86010, '123456789', 41, '118.7667888', '31.8287861', '99.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393648514', 0, '2022-12-07 14:14:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86011, '123456789', 41, '118.7667904', '31.8287874', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393651310', 0, '2022-12-07 14:14:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86012, '123456789', 41, '118.7667908', '31.8287877', '98.641', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393653485', 0, '2022-12-07 14:14:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86013, '123456789', 41, '118.7667909', '31.8287878', '96.315', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393655165', 0, '2022-12-07 14:14:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86014, '123456789', 41, '118.7667911', '31.8287879', '93.325', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393657403', 0, '2022-12-07 14:14:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86015, '123456789', 41, '118.7667911', '31.8287879', '90.332', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393659089', 0, '2022-12-07 14:14:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86016, '123456789', 41, '118.7667912', '31.8287879', '87.338', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393661317', 0, '2022-12-07 14:14:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86017, '123456789', 41, '118.7667912', '31.828788', '83.6', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393663548', 0, '2022-12-07 14:14:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86018, '123456789', 41, '118.7667912', '31.828788', '81.354', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393665229', 0, '2022-12-07 14:14:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86019, '123456789', 41, '118.7667912', '31.8287879', '77.599', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393667473', 0, '2022-12-07 14:14:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86020, '123456789', 41, '118.7667912', '31.8287879', '75.355', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393669152', 0, '2022-12-07 14:14:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86021, '123456789', 41, '118.7667912', '31.8287879', '72.35', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393671393', 0, '2022-12-07 14:14:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86022, '123456789', 41, '118.7667912', '31.8287879', '69.352', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393673070', 0, '2022-12-07 14:14:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86023, '123456789', 41, '118.7667912', '31.8287879', '66.361', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393675307', 0, '2022-12-07 14:14:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86024, '123456789', 41, '118.7667912', '31.828788', '62.61', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393677553', 0, '2022-12-07 14:14:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86025, '123456789', 41, '118.7667912', '31.828788', '60.356', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393679228', 0, '2022-12-07 14:14:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86026, '123456789', 41, '118.7667912', '31.828788', '56.606', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393681463', 0, '2022-12-07 14:14:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86027, '123456789', 41, '118.7667912', '31.828788', '54.351', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393683089', 0, '2022-12-07 14:14:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86028, '123456789', 41, '118.7667912', '31.828788', '51.351', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393685325', 0, '2022-12-07 14:14:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86029, '123456789', 41, '118.7667912', '31.828788', '48.354', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393687004', 0, '2022-12-07 14:14:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86030, '123456789', 41, '118.7667912', '31.828788', '45.359', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393689237', 0, '2022-12-07 14:14:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86031, '123456789', 41, '118.7667912', '31.828788', '41.608', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393691468', 0, '2022-12-07 14:14:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86032, '123456789', 41, '118.7667912', '31.828788', '39.356', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393693141', 0, '2022-12-07 14:14:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86033, '123456789', 41, '118.7667912', '31.828788', '36.355', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393695370', 0, '2022-12-07 14:14:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86034, '123456789', 41, '118.7667912', '31.828788', '33.351', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393697052', 0, '2022-12-07 14:14:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86035, '123456789', 41, '118.7667912', '31.828788', '30.347', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393699284', 0, '2022-12-07 14:14:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86036, '123456789', 41, '118.7667912', '31.828788', '26.602', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393701524', 0, '2022-12-07 14:15:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86037, '123456789', 41, '118.7667912', '31.828788', '24.352', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393703195', 0, '2022-12-07 14:15:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86038, '123456789', 41, '118.7667912', '31.828788', '21.357', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393705378', 0, '2022-12-07 14:15:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86039, '123456789', 41, '118.7667912', '31.828788', '18.353', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393707054', 0, '2022-12-07 14:15:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86040, '123456789', 41, '118.7667912', '31.828788', '15.351', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393709291', 0, '2022-12-07 14:15:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86041, '123456789', 41, '118.7667912', '31.828788', '11.599', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393711524', 0, '2022-12-07 14:15:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86042, '123456789', 41, '118.7667912', '31.828788', '10.2', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393713205', 0, '2022-12-07 14:15:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86043, '123456789', 41, '118.7667912', '31.828788', '9.249', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393715439', 0, '2022-12-07 14:15:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86044, '123456789', 41, '118.7667912', '31.828788', '8.242', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393717121', 0, '2022-12-07 14:15:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86045, '123456789', 41, '118.7667912', '31.828788', '7.237', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393719351', 0, '2022-12-07 14:15:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86046, '123456789', 41, '118.7667912', '31.828788', '6.233', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393721030', 0, '2022-12-07 14:15:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86047, '123456789', 41, '118.7667912', '31.828788', '5.229', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393723268', 0, '2022-12-07 14:15:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86048, '123456789', 41, '118.7667912', '31.828788', '3.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393725506', 0, '2022-12-07 14:15:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86049, '123456789', 41, '118.7667912', '31.828788', '3.225', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393727185', 0, '2022-12-07 14:15:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86050, '123456789', 41, '118.7667912', '31.828788', '2.223', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393729417', 0, '2022-12-07 14:15:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86051, '123456789', 41, '118.7667912', '31.828788', '1.225', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393731096', 0, '2022-12-07 14:15:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86052, '123456789', 41, '118.7667912', '31.828788', '0.224', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393733335', 0, '2022-12-07 14:15:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86053, '123456789', 41, '118.7667912', '31.828788', '0.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393735014', 0, '2022-12-07 14:15:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86054, '123456789', 41, '118.7667913', '31.828788', '0.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393756183', 0, '2022-12-07 14:15:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86055, '123456789', 41, '118.7667913', '31.828788', '0.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393758422', 0, '2022-12-07 14:15:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86056, '123456789', 41, '118.7667913', '31.828788', '0.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393760112', 0, '2022-12-07 14:16:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86057, '123456789', 41, '118.7667913', '31.828788', '0.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393762350', 0, '2022-12-07 14:16:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86058, '123456789', 41, '118.7667913', '31.828788', '0.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670393764032', 0, '2022-12-07 14:16:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86242, '123456789', 45, '118.7667915', '31.828788', '0.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397230481', 0, '2022-12-07 15:13:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86243, '123456789', 45, '118.7667915', '31.828788', '0.359', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397232131', 0, '2022-12-07 15:13:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86244, '123456789', 45, '118.7667915', '31.828788', '4.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397234312', 0, '2022-12-07 15:13:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86245, '123456789', 45, '118.7667914', '31.8287879', '9.085', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397236524', 0, '2022-12-07 15:13:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86246, '123456789', 45, '118.7667914', '31.8287879', '14.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397238161', 0, '2022-12-07 15:13:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86247, '123456789', 45, '118.7667914', '31.8287879', '19.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397240410', 0, '2022-12-07 15:14:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86248, '123456789', 45, '118.7667914', '31.8287879', '22.824', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397242079', 0, '2022-12-07 15:14:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86249, '123456789', 45, '118.7667914', '31.8287879', '29.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397244309', 0, '2022-12-07 15:14:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86250, '123456789', 45, '118.7667914', '31.8287879', '34.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397246572', 0, '2022-12-07 15:14:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86251, '123456789', 45, '118.7667914', '31.8287879', '39.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397248230', 0, '2022-12-07 15:14:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86252, '123456789', 45, '118.7667914', '31.8287879', '44.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397250492', 0, '2022-12-07 15:14:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86253, '123456789', 45, '118.7667914', '31.8287879', '49.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397252131', 0, '2022-12-07 15:14:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86254, '123456789', 45, '118.7667914', '31.8287879', '54.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397254366', 0, '2022-12-07 15:14:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86255, '123456789', 45, '118.7667914', '31.8287879', '57.806', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397256044', 0, '2022-12-07 15:14:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86256, '123456789', 45, '118.7667914', '31.8287879', '64.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397258285', 0, '2022-12-07 15:14:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86257, '123456789', 45, '118.7667914', '31.8287879', '69.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397260489', 0, '2022-12-07 15:14:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86258, '123456789', 45, '118.7667914', '31.8287879', '74.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397262131', 0, '2022-12-07 15:14:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86259, '123456789', 45, '118.7667914', '31.8287879', '79.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397264365', 0, '2022-12-07 15:14:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86260, '123456789', 45, '118.7667914', '31.8287879', '82.801', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397266039', 0, '2022-12-07 15:14:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86261, '123456789', 45, '118.7667914', '31.8287879', '89.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397268277', 0, '2022-12-07 15:14:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86262, '123456789', 45, '118.7667914', '31.8287879', '94.051', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397270491', 0, '2022-12-07 15:14:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86263, '123456789', 45, '118.7667914', '31.8287879', '98.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397272126', 0, '2022-12-07 15:14:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86264, '123456789', 45, '118.7667914', '31.8287879', '99.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397274360', 0, '2022-12-07 15:14:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86265, '123456789', 45, '118.7667937', '31.828788', '99.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397276039', 0, '2022-12-07 15:14:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86266, '123456789', 45, '118.7668575', '31.8287904', '99.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397278275', 0, '2022-12-07 15:14:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86267, '123456789', 45, '118.7670037', '31.8287958', '99.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397280522', 0, '2022-12-07 15:14:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86268, '123456789', 45, '118.7671993', '31.8288028', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397282189', 0, '2022-12-07 15:14:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86269, '123456789', 45, '118.767405', '31.8288102', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397284476', 0, '2022-12-07 15:14:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86270, '123456789', 45, '118.7675613', '31.8288159', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397286058', 0, '2022-12-07 15:14:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86271, '123456789', 45, '118.7678225', '31.8288255', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397288270', 0, '2022-12-07 15:14:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86272, '123456789', 45, '118.768033', '31.8288331', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397290525', 0, '2022-12-07 15:14:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86273, '123456789', 45, '118.7682439', '31.8288408', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397292182', 0, '2022-12-07 15:14:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86274, '123456789', 45, '118.7684546', '31.8288484', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397294479', 0, '2022-12-07 15:14:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86275, '123456789', 45, '118.7686125', '31.8288541', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397296042', 0, '2022-12-07 15:14:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86276, '123456789', 45, '118.7688766', '31.8288637', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397298276', 0, '2022-12-07 15:14:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86277, '123456789', 45, '118.769088', '31.8288714', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397300465', 0, '2022-12-07 15:15:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86278, '123456789', 45, '118.7692462', '31.8288771', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397302121', 0, '2022-12-07 15:15:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86279, '123456789', 45, '118.7695108', '31.8288867', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397304352', 0, '2022-12-07 15:15:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86280, '123456789', 45, '118.7696691', '31.8288924', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397306030', 0, '2022-12-07 15:15:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86281, '123456789', 45, '118.7699331', '31.828902', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397308212', 0, '2022-12-07 15:15:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86282, '123456789', 45, '118.7701439', '31.8289097', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397310460', 0, '2022-12-07 15:15:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86283, '123456789', 45, '118.7704851', '31.8289244', '99.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397314303', 0, '2022-12-07 15:15:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86284, '123456789', 45, '118.7705074', '31.8289669', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397316520', 0, '2022-12-07 15:15:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86285, '123456789', 45, '118.7704614', '31.8290833', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397318105', 0, '2022-12-07 15:15:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86286, '123456789', 45, '118.7704025', '31.8292427', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397320292', 0, '2022-12-07 15:15:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86287, '123456789', 45, '118.7703427', '31.8294107', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397322521', 0, '2022-12-07 15:15:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86288, '123456789', 45, '118.770283', '31.8295805', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397324194', 0, '2022-12-07 15:15:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86289, '123456789', 45, '118.7702233', '31.8297514', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397326493', 0, '2022-12-07 15:15:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86290, '123456789', 45, '118.7701781', '31.8298806', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397328103', 0, '2022-12-07 15:15:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86291, '123456789', 45, '118.7701034', '31.8300946', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397330289', 0, '2022-12-07 15:15:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86292, '123456789', 45, '118.7700432', '31.8302669', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397332488', 0, '2022-12-07 15:15:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86293, '123456789', 45, '118.769998', '31.8303964', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397334027', 0, '2022-12-07 15:15:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86294, '123456789', 45, '118.7699228', '31.8306116', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397336202', 0, '2022-12-07 15:15:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86295, '123456789', 45, '118.7698626', '31.8307839', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397338325', 0, '2022-12-07 15:15:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86296, '123456789', 45, '118.7698025', '31.8309559', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397340516', 0, '2022-12-07 15:15:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86297, '123456789', 45, '118.7697423', '31.8311284', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397342132', 0, '2022-12-07 15:15:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86298, '123456789', 45, '118.7696824', '31.8312999', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397344360', 0, '2022-12-07 15:15:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86299, '123456789', 45, '118.7696461', '31.8314006', '99.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397346042', 0, '2022-12-07 15:15:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86300, '123456789', 45, '118.7696191', '31.8314314', '99.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397348278', 0, '2022-12-07 15:15:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86301, '123456789', 45, '118.7695904', '31.8313951', '99.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397350513', 0, '2022-12-07 15:15:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86302, '123456789', 45, '118.7695343', '31.8313437', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397352082', 0, '2022-12-07 15:15:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86303, '123456789', 45, '118.7693855', '31.8312059', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397354320', 0, '2022-12-07 15:15:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86304, '123456789', 45, '118.7692509', '31.8310804', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397356492', 0, '2022-12-07 15:15:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86305, '123456789', 45, '118.769112', '31.830951', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397358159', 0, '2022-12-07 15:15:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86306, '123456789', 45, '118.7689713', '31.8308201', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397360478', 0, '2022-12-07 15:16:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86307, '123456789', 45, '118.7688652', '31.8307212', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397362016', 0, '2022-12-07 15:16:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86308, '123456789', 45, '118.7686879', '31.830556', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397364257', 0, '2022-12-07 15:16:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86309, '123456789', 45, '118.7685456', '31.8304233', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397366554', 0, '2022-12-07 15:16:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86310, '123456789', 45, '118.7684031', '31.8302904', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397368193', 0, '2022-12-07 15:16:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86311, '123456789', 45, '118.7682606', '31.8301576', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397370483', 0, '2022-12-07 15:16:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86312, '123456789', 45, '118.7681537', '31.8300579', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397372041', 0, '2022-12-07 15:16:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86313, '123456789', 45, '118.7679757', '31.8298919', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397374274', 0, '2022-12-07 15:16:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86314, '123456789', 45, '118.7678333', '31.8297591', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397376529', 0, '2022-12-07 15:16:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86315, '123456789', 45, '118.7676908', '31.8296262', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397378197', 0, '2022-12-07 15:16:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86316, '123456789', 45, '118.7675485', '31.8294935', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397380438', 0, '2022-12-07 15:16:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86317, '123456789', 45, '118.7674412', '31.8293934', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397382048', 0, '2022-12-07 15:16:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86318, '123456789', 45, '118.7672635', '31.8292277', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397384298', 0, '2022-12-07 15:16:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86319, '123456789', 45, '118.7671211', '31.829095', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397386527', 0, '2022-12-07 15:16:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86320, '123456789', 45, '118.7669788', '31.8289623', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397388195', 0, '2022-12-07 15:16:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86321, '123456789', 45, '118.766855', '31.828847', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397390484', 0, '2022-12-07 15:16:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86322, '123456789', 45, '118.7668011', '31.8287974', '99.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397392040', 0, '2022-12-07 15:16:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86323, '123456789', 45, '118.7667865', '31.8287837', '99.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397394276', 0, '2022-12-07 15:16:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86324, '123456789', 45, '118.7667898', '31.8287864', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397396525', 0, '2022-12-07 15:16:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86325, '123456789', 45, '118.7667908', '31.8287872', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397398127', 0, '2022-12-07 15:16:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86326, '123456789', 45, '118.7667912', '31.8287876', '99.661', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397400369', 0, '2022-12-07 15:16:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86327, '123456789', 45, '118.7667914', '31.8287877', '96.786', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397402540', 0, '2022-12-07 15:16:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86328, '123456789', 45, '118.7667916', '31.8287878', '94.545', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397404160', 0, '2022-12-07 15:16:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86329, '123456789', 45, '118.7667917', '31.8287878', '90.796', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397406488', 0, '2022-12-07 15:16:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86330, '123456789', 45, '118.7667917', '31.8287878', '88.55', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397408080', 0, '2022-12-07 15:16:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86331, '123456789', 45, '118.7667917', '31.8287878', '84.808', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397410249', 0, '2022-12-07 15:16:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86332, '123456789', 45, '118.7667917', '31.8287879', '81.817', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397412491', 0, '2022-12-07 15:16:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86333, '123456789', 45, '118.7667917', '31.8287879', '79.571', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397414154', 0, '2022-12-07 15:16:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86334, '123456789', 45, '118.7667918', '31.8287879', '75.819', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397416331', 0, '2022-12-07 15:16:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86335, '123456789', 45, '118.7667918', '31.8287879', '72.818', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397418542', 0, '2022-12-07 15:16:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86336, '123456789', 45, '118.7667918', '31.8287879', '69.817', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397420194', 0, '2022-12-07 15:17:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86337, '123456789', 45, '118.7667918', '31.8287879', '66.815', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397422476', 0, '2022-12-07 15:17:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86338, '123456789', 45, '118.7667917', '31.8287879', '64.567', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397424129', 0, '2022-12-07 15:17:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86339, '123456789', 45, '118.7667916', '31.8287879', '60.825', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397426287', 0, '2022-12-07 15:17:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86340, '123456789', 45, '118.7667916', '31.8287879', '57.822', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397428546', 0, '2022-12-07 15:17:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86341, '123456789', 45, '118.7667916', '31.828788', '54.82', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397430206', 0, '2022-12-07 15:17:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86342, '123456789', 45, '118.7667916', '31.828788', '51.818', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397432427', 0, '2022-12-07 15:17:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86343, '123456789', 45, '118.7667915', '31.828788', '49.564', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397434066', 0, '2022-12-07 15:17:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86344, '123456789', 45, '118.7667915', '31.828788', '45.817', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397436306', 0, '2022-12-07 15:17:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86345, '123456789', 45, '118.7667915', '31.828788', '42.818', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397438544', 0, '2022-12-07 15:17:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86346, '123456789', 45, '118.7667915', '31.828788', '39.826', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397440222', 0, '2022-12-07 15:17:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86347, '123456789', 45, '118.7667914', '31.828788', '36.822', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397442464', 0, '2022-12-07 15:17:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86348, '123456789', 45, '118.7667914', '31.828788', '34.57', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397444078', 0, '2022-12-07 15:17:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86349, '123456789', 45, '118.7667914', '31.828788', '30.819', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397446318', 0, '2022-12-07 15:17:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86350, '123456789', 45, '118.7667914', '31.828788', '28.564', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397448005', 0, '2022-12-07 15:17:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86351, '123456789', 45, '118.7667914', '31.828788', '24.815', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397450240', 0, '2022-12-07 15:17:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86352, '123456789', 45, '118.7667914', '31.828788', '21.818', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397452511', 0, '2022-12-07 15:17:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86353, '123456789', 45, '118.7667914', '31.8287881', '19.572', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397454160', 0, '2022-12-07 15:17:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86354, '123456789', 45, '118.7667913', '31.8287881', '15.823', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397456441', 0, '2022-12-07 15:17:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86355, '123456789', 45, '118.7667913', '31.8287881', '13.571', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397458073', 0, '2022-12-07 15:17:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86356, '123456789', 45, '118.7667913', '31.8287881', '10.331', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397460313', 0, '2022-12-07 15:17:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86357, '123456789', 45, '118.7667913', '31.8287881', '9.397', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397462493', 0, '2022-12-07 15:17:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86358, '123456789', 45, '118.7667913', '31.8287881', '8.637', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397464164', 0, '2022-12-07 15:17:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86359, '123456789', 45, '118.7667913', '31.8287881', '7.381', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397466344', 0, '2022-12-07 15:17:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86360, '123456789', 45, '118.7667913', '31.8287881', '6.629', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397468032', 0, '2022-12-07 15:17:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86361, '123456789', 45, '118.7667913', '31.8287881', '5.375', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397470256', 0, '2022-12-07 15:17:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86362, '123456789', 45, '118.7667912', '31.8287881', '4.373', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397472457', 0, '2022-12-07 15:17:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86363, '123456789', 45, '118.7667912', '31.8287881', '3.62', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397474106', 0, '2022-12-07 15:17:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86364, '123456789', 45, '118.7667913', '31.8287881', '2.369', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397476295', 0, '2022-12-07 15:17:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86365, '123456789', 45, '118.7667913', '31.8287881', '1.369', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397478438', 0, '2022-12-07 15:17:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86366, '123456789', 45, '118.7667912', '31.8287881', '0.368', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397480555', 0, '2022-12-07 15:18:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86367, '123456789', 45, '118.7667912', '31.8287881', '0.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397482183', 0, '2022-12-07 15:18:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86368, '123456789', 46, '118.7667911', '31.8287881', '0.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397727321', 0, '2022-12-07 15:22:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86369, '123456789', 46, '118.7667911', '31.8287881', '0.188', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397729335', 0, '2022-12-07 15:22:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86370, '123456789', 46, '118.7667911', '31.8287881', '4.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397731519', 0, '2022-12-07 15:22:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86371, '123456789', 46, '118.7667911', '31.8287881', '8.71', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397733087', 0, '2022-12-07 15:22:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86372, '123456789', 46, '118.7667911', '31.8287881', '13.706', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397735219', 0, '2022-12-07 15:22:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86373, '123456789', 46, '118.7667911', '31.8287881', '18.701', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397737286', 0, '2022-12-07 15:22:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86374, '123456789', 46, '118.7667911', '31.8287881', '24.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397739429', 0, '2022-12-07 15:22:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86375, '123456789', 46, '118.7667911', '31.8287881', '28.696', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397741037', 0, '2022-12-07 15:22:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86376, '123456789', 46, '118.7667911', '31.8287881', '33.688', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397743223', 0, '2022-12-07 15:22:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86377, '123456789', 46, '118.7667912', '31.8287881', '39.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397745412', 0, '2022-12-07 15:22:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86378, '123456789', 46, '118.7667912', '31.8287881', '44.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397747500', 0, '2022-12-07 15:22:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86379, '123456789', 46, '118.7667912', '31.8287881', '48.672', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397749169', 0, '2022-12-07 15:22:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86380, '123456789', 46, '118.7667912', '31.8287881', '54.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397751420', 0, '2022-12-07 15:22:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86381, '123456789', 46, '118.7667912', '31.8287881', '59.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397753540', 0, '2022-12-07 15:22:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86382, '123456789', 46, '118.7667912', '31.8287881', '63.675', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397755109', 0, '2022-12-07 15:22:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86383, '123456789', 46, '118.7667912', '31.8287881', '68.671', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397757296', 0, '2022-12-07 15:22:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86384, '123456789', 46, '118.7667912', '31.8287881', '74.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397759451', 0, '2022-12-07 15:22:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86385, '123456789', 46, '118.7667912', '31.8287881', '78.664', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397761112', 0, '2022-12-07 15:22:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86386, '123456789', 46, '118.7667912', '31.8287881', '83.669', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397763348', 0, '2022-12-07 15:22:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86387, '123456789', 46, '118.7667913', '31.8287881', '88.672', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397765022', 0, '2022-12-07 15:22:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86388, '123456789', 46, '118.7667913', '31.8287881', '93.678', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397767259', 0, '2022-12-07 15:22:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86389, '123456789', 46, '118.7667913', '31.8287881', '98.574', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397769494', 0, '2022-12-07 15:22:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86390, '123456789', 46, '118.7667913', '31.8287881', '99.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397771111', 0, '2022-12-07 15:22:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86391, '123456789', 46, '118.7667962', '31.8287882', '99.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397773283', 0, '2022-12-07 15:22:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86392, '123456789', 46, '118.7668788', '31.8287915', '99.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397775523', 0, '2022-12-07 15:22:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86393, '123456789', 46, '118.7669928', '31.828795', '99.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397777202', 0, '2022-12-07 15:22:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86394, '123456789', 46, '118.7672396', '31.8288042', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397779458', 0, '2022-12-07 15:22:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86395, '123456789', 46, '118.7673939', '31.82881', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397781118', 0, '2022-12-07 15:23:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86396, '123456789', 46, '118.7676022', '31.8288175', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397783393', 0, '2022-12-07 15:23:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86397, '123456789', 46, '118.7678119', '31.8288251', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397785011', 0, '2022-12-07 15:23:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86398, '123456789', 46, '118.7680225', '31.8288327', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397787249', 0, '2022-12-07 15:23:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86399, '123456789', 46, '118.7682862', '31.8288423', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397789484', 0, '2022-12-07 15:23:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86400, '123456789', 46, '118.7684449', '31.8288481', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397791156', 0, '2022-12-07 15:23:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86401, '123456789', 46, '118.7687086', '31.8288576', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397793440', 0, '2022-12-07 15:23:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86402, '123456789', 46, '118.7690782', '31.828871', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397797281', 0, '2022-12-07 15:23:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86403, '123456789', 46, '118.7693424', '31.8288806', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397799519', 0, '2022-12-07 15:23:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86404, '123456789', 46, '118.769501', '31.8288863', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397801155', 0, '2022-12-07 15:23:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86405, '123456789', 46, '118.7697127', '31.828894', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397803324', 0, '2022-12-07 15:23:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86406, '123456789', 46, '118.7699769', '31.8289036', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397805559', 0, '2022-12-07 15:23:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86407, '123456789', 46, '118.7701356', '31.8289093', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397807236', 0, '2022-12-07 15:23:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86408, '123456789', 46, '118.7703838', '31.8289184', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397809414', 0, '2022-12-07 15:23:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86409, '123456789', 46, '118.7704814', '31.8289237', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397811092', 0, '2022-12-07 15:23:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86410, '123456789', 46, '118.7705083', '31.8289639', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397813269', 0, '2022-12-07 15:23:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86411, '123456789', 46, '118.7704492', '31.8291144', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397815442', 0, '2022-12-07 15:23:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86412, '123456789', 46, '118.7704049', '31.829236', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397817118', 0, '2022-12-07 15:23:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86413, '123456789', 46, '118.7703453', '31.8294035', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397819350', 0, '2022-12-07 15:23:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86414, '123456789', 46, '118.7702855', '31.8295736', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397821022', 0, '2022-12-07 15:23:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86415, '123456789', 46, '118.7702258', '31.8297441', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397823258', 0, '2022-12-07 15:23:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86416, '123456789', 46, '118.7701508', '31.8299587', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397825513', 0, '2022-12-07 15:23:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86417, '123456789', 46, '118.7701059', '31.8300873', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397827166', 0, '2022-12-07 15:23:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86418, '123456789', 46, '118.7700459', '31.8302591', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397829405', 0, '2022-12-07 15:23:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86419, '123456789', 46, '118.7699857', '31.8304313', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397831019', 0, '2022-12-07 15:23:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86420, '123456789', 46, '118.7699255', '31.8306037', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397833254', 0, '2022-12-07 15:23:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86421, '123456789', 46, '118.7698502', '31.8308194', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397835435', 0, '2022-12-07 15:23:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86422, '123456789', 46, '118.7698051', '31.8309484', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397837113', 0, '2022-12-07 15:23:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86423, '123456789', 46, '118.769745', '31.8311205', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397839348', 0, '2022-12-07 15:23:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86424, '123456789', 46, '118.7696849', '31.8312928', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397841029', 0, '2022-12-07 15:24:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86425, '123456789', 46, '118.7696246', '31.8314654', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397843265', 0, '2022-12-07 15:24:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86426, '123456789', 46, '118.7695498', '31.8316796', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397845492', 0, '2022-12-07 15:24:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86427, '123456789', 46, '118.7695106', '31.8317914', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397847164', 0, '2022-12-07 15:24:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86428, '123456789', 46, '118.7694655', '31.8318715', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397849343', 0, '2022-12-07 15:24:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86429, '123456789', 46, '118.7693671', '31.8318701', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397851019', 0, '2022-12-07 15:24:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86430, '123456789', 46, '118.7691912', '31.8318428', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397853251', 0, '2022-12-07 15:24:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86431, '123456789', 46, '118.768938', '31.8318093', '100.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397855493', 0, '2022-12-07 15:24:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86432, '123456789', 46, '118.7687832', '31.83179', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397857164', 0, '2022-12-07 15:24:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86433, '123456789', 46, '118.7685757', '31.8317643', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397859449', 0, '2022-12-07 15:24:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86434, '123456789', 46, '118.7683678', '31.8317385', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397861071', 0, '2022-12-07 15:24:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86435, '123456789', 46, '118.7681591', '31.8317127', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397863304', 0, '2022-12-07 15:24:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86436, '123456789', 46, '118.7678989', '31.8316805', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397865530', 0, '2022-12-07 15:24:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86437, '123456789', 46, '118.7677417', '31.831661', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397867207', 0, '2022-12-07 15:24:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86438, '123456789', 46, '118.7674801', '31.8316287', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397869452', 0, '2022-12-07 15:24:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86439, '123456789', 46, '118.7673233', '31.8316093', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397871129', 0, '2022-12-07 15:24:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86440, '123456789', 46, '118.7671137', '31.8315834', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397873405', 0, '2022-12-07 15:24:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86441, '123456789', 46, '118.7669045', '31.8315575', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397875040', 0, '2022-12-07 15:24:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86442, '123456789', 46, '118.7666952', '31.8315316', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397877277', 0, '2022-12-07 15:24:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86443, '123456789', 46, '118.7664356', '31.8314995', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397879513', 0, '2022-12-07 15:24:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86444, '123456789', 46, '118.7663055', '31.8314832', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397881196', 0, '2022-12-07 15:24:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86445, '123456789', 46, '118.7662161', '31.8314545', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397883445', 0, '2022-12-07 15:24:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86446, '123456789', 46, '118.7662113', '31.8313646', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397885111', 0, '2022-12-07 15:24:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86447, '123456789', 46, '118.7662225', '31.8312091', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397887344', 0, '2022-12-07 15:24:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86448, '123456789', 46, '118.7662304', '31.8310349', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397889020', 0, '2022-12-07 15:24:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86449, '123456789', 46, '118.7662363', '31.8308577', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397891255', 0, '2022-12-07 15:24:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86450, '123456789', 46, '118.7662437', '31.830636', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397893496', 0, '2022-12-07 15:24:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86451, '123456789', 46, '118.7662481', '31.8305016', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397895172', 0, '2022-12-07 15:24:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86452, '123456789', 46, '118.766254', '31.8303225', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397897409', 0, '2022-12-07 15:24:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86453, '123456789', 46, '118.7662599', '31.830143', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397899024', 0, '2022-12-07 15:24:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86454, '123456789', 46, '118.7662657', '31.8299638', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397901257', 0, '2022-12-07 15:25:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86455, '123456789', 46, '118.7662731', '31.8297392', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397903488', 0, '2022-12-07 15:25:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86456, '123456789', 46, '118.7662775', '31.8296044', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397905111', 0, '2022-12-07 15:25:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86457, '123456789', 46, '118.7662833', '31.829425', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397907291', 0, '2022-12-07 15:25:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86458, '123456789', 46, '118.7662907', '31.8292002', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397909532', 0, '2022-12-07 15:25:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86459, '123456789', 46, '118.7662951', '31.8290659', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397911210', 0, '2022-12-07 15:25:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86460, '123456789', 46, '118.7663013', '31.8288839', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397913463', 0, '2022-12-07 15:25:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86461, '123456789', 46, '118.7663031', '31.828836', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397915114', 0, '2022-12-07 15:25:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86462, '123456789', 46, '118.766303', '31.8288309', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397917401', 0, '2022-12-07 15:25:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86463, '123456789', 46, '118.7663155', '31.828834', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397919022', 0, '2022-12-07 15:25:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86464, '123456789', 46, '118.7664001', '31.8288263', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397921254', 0, '2022-12-07 15:25:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86465, '123456789', 46, '118.766589', '31.8288077', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397923498', 0, '2022-12-07 15:25:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86466, '123456789', 46, '118.7667004', '31.8287968', '99.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397925171', 0, '2022-12-07 15:25:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86467, '123456789', 46, '118.7667877', '31.8287881', '99.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397927416', 0, '2022-12-07 15:25:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86468, '123456789', 46, '118.7667974', '31.8287871', '99.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397929021', 0, '2022-12-07 15:25:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86469, '123456789', 46, '118.7667931', '31.8287872', '98.222', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397931256', 0, '2022-12-07 15:25:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86470, '123456789', 46, '118.7667918', '31.8287873', '95.183', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397933436', 0, '2022-12-07 15:25:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86471, '123456789', 46, '118.7667915', '31.8287874', '92.193', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397935112', 0, '2022-12-07 15:25:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86472, '123456789', 46, '118.7667913', '31.8287875', '89.197', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397937232', 0, '2022-12-07 15:25:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86473, '123456789', 46, '118.7667912', '31.8287875', '85.461', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397939471', 0, '2022-12-07 15:25:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86474, '123456789', 46, '118.7667911', '31.8287875', '83.211', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397941147', 0, '2022-12-07 15:25:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86475, '123456789', 46, '118.7667911', '31.8287875', '80.21', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397943316', 0, '2022-12-07 15:25:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86476, '123456789', 46, '118.7667911', '31.8287875', '76.464', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397945549', 0, '2022-12-07 15:25:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86477, '123456789', 46, '118.7667911', '31.8287875', '74.211', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397947227', 0, '2022-12-07 15:25:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86478, '123456789', 46, '118.7667911', '31.8287875', '71.208', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397949439', 0, '2022-12-07 15:25:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86479, '123456789', 46, '118.7667911', '31.8287875', '68.212', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397951081', 0, '2022-12-07 15:25:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86480, '123456789', 46, '118.7667911', '31.8287875', '65.218', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397953261', 0, '2022-12-07 15:25:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86481, '123456789', 46, '118.766791', '31.8287875', '61.47', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397955527', 0, '2022-12-07 15:25:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86482, '123456789', 46, '118.766791', '31.8287875', '59.222', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397957122', 0, '2022-12-07 15:25:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86483, '123456789', 46, '118.766791', '31.8287875', '56.219', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397959361', 0, '2022-12-07 15:25:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86484, '123456789', 46, '118.766791', '31.8287875', '53.216', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397961031', 0, '2022-12-07 15:26:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86485, '123456789', 46, '118.766791', '31.8287875', '50.213', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397963148', 0, '2022-12-07 15:26:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86486, '123456789', 46, '118.766791', '31.8287875', '47.214', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397965327', 0, '2022-12-07 15:26:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86487, '123456789', 46, '118.766791', '31.8287875', '44.223', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397967008', 0, '2022-12-07 15:26:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86488, '123456789', 46, '118.766791', '31.8287875', '41.221', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397969191', 0, '2022-12-07 15:26:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86489, '123456789', 46, '118.766791', '31.8287875', '38.218', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397971430', 0, '2022-12-07 15:26:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86490, '123456789', 46, '118.766791', '31.8287875', '34.467', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397973545', 0, '2022-12-07 15:26:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86491, '123456789', 46, '118.766791', '31.8287875', '32.213', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397975227', 0, '2022-12-07 15:26:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86492, '123456789', 46, '118.766791', '31.8287875', '29.214', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397977414', 0, '2022-12-07 15:26:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86493, '123456789', 46, '118.766791', '31.8287875', '26.215', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397979494', 0, '2022-12-07 15:26:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86494, '123456789', 46, '118.766791', '31.8287875', '23.221', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397981146', 0, '2022-12-07 15:26:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86495, '123456789', 46, '118.766791', '31.8287875', '20.222', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397983280', 0, '2022-12-07 15:26:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86496, '123456789', 46, '118.766791', '31.8287875', '16.469', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397985522', 0, '2022-12-07 15:26:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86497, '123456789', 46, '118.766791', '31.8287875', '14.215', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397987090', 0, '2022-12-07 15:26:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86498, '123456789', 46, '118.766791', '31.8287875', '11.22', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397989223', 0, '2022-12-07 15:26:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86499, '123456789', 46, '118.766791', '31.8287875', '9.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397991410', 0, '2022-12-07 15:26:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86500, '123456789', 46, '118.766791', '31.8287875', '8.863', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397993099', 0, '2022-12-07 15:26:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86501, '123456789', 46, '118.766791', '31.8287875', '7.857', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397995236', 0, '2022-12-07 15:26:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86502, '123456789', 46, '118.766791', '31.8287875', '6.854', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397997438', 0, '2022-12-07 15:26:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86503, '123456789', 46, '118.766791', '31.8287875', '5.85', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670397999098', 0, '2022-12-07 15:26:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86504, '123456789', 46, '118.766791', '31.8287875', '4.847', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398001229', 0, '2022-12-07 15:26:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86505, '123456789', 46, '118.766791', '31.8287875', '3.847', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398003421', 0, '2022-12-07 15:26:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86506, '123456789', 46, '118.766791', '31.8287875', '2.845', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398005051', 0, '2022-12-07 15:26:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86507, '123456789', 46, '118.766791', '31.8287875', '1.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398007297', 0, '2022-12-07 15:26:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86508, '123456789', 46, '118.766791', '31.8287875', '0.593', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398009548', 0, '2022-12-07 15:26:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86509, '123456789', 46, '118.766791', '31.8287875', '0.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398011234', 0, '2022-12-07 15:26:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86510, '123456789', 44, '118.7667908', '31.8287874', '0.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398261460', 0, '2022-12-07 15:31:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86511, '123456789', 44, '118.7667908', '31.8287874', '0.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398263091', 0, '2022-12-07 15:31:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86512, '123456789', 44, '118.766791', '31.8287875', '3.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398265339', 0, '2022-12-07 15:31:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86513, '123456789', 44, '118.7667909', '31.8287875', '8.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398267471', 0, '2022-12-07 15:31:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86514, '123456789', 44, '118.7667909', '31.8287875', '13.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398269162', 0, '2022-12-07 15:31:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86515, '123456789', 44, '118.7667909', '31.8287875', '18.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398271413', 0, '2022-12-07 15:31:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86516, '123456789', 44, '118.7667909', '31.8287875', '23.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398273553', 0, '2022-12-07 15:31:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86517, '123456789', 44, '118.7667909', '31.8287875', '28.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398275239', 0, '2022-12-07 15:31:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86518, '123456789', 44, '118.7667909', '31.8287875', '33.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398277484', 0, '2022-12-07 15:31:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86519, '123456789', 44, '118.7667909', '31.8287875', '38.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398279165', 0, '2022-12-07 15:31:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86520, '123456789', 44, '118.7667909', '31.8287875', '43.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398281419', 0, '2022-12-07 15:31:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86521, '123456789', 44, '118.7667908', '31.8287875', '48.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398283438', 0, '2022-12-07 15:31:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86522, '123456789', 44, '118.7667909', '31.8287875', '53.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398285589', 0, '2022-12-07 15:31:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86523, '123456789', 44, '118.7667909', '31.8287875', '58.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398287247', 0, '2022-12-07 15:31:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86524, '123456789', 44, '118.7667909', '31.8287875', '63.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398289435', 0, '2022-12-07 15:31:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86525, '123456789', 44, '118.7667909', '31.8287875', '67.704', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398291130', 0, '2022-12-07 15:31:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86526, '123456789', 44, '118.7667908', '31.8287875', '73.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398293409', 0, '2022-12-07 15:31:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86527, '123456789', 44, '118.7667908', '31.8287875', '77.701', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398295058', 0, '2022-12-07 15:31:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86528, '123456789', 44, '118.7667908', '31.8287875', '83.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398297305', 0, '2022-12-07 15:31:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86529, '123456789', 44, '118.7667908', '31.8287875', '88.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398299444', 0, '2022-12-07 15:31:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86530, '123456789', 44, '118.7667908', '31.8287875', '93.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398301131', 0, '2022-12-07 15:31:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86531, '123456789', 44, '118.7667908', '31.8287875', '98.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398303408', 0, '2022-12-07 15:31:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86532, '123456789', 44, '118.7667908', '31.8287875', '99.664', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398305053', 0, '2022-12-07 15:31:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86533, '123456789', 44, '118.7667971', '31.8287877', '99.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398307302', 0, '2022-12-07 15:31:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86534, '123456789', 44, '118.7668576', '31.8287898', '99.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398309493', 0, '2022-12-07 15:31:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86535, '123456789', 44, '118.7669615', '31.8287935', '99.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398311113', 0, '2022-12-07 15:31:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86536, '123456789', 44, '118.7672021', '31.8288024', '99.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398313409', 0, '2022-12-07 15:31:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86537, '123456789', 44, '118.7674076', '31.8288099', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398315501', 0, '2022-12-07 15:31:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86538, '123456789', 44, '118.7676165', '31.8288174', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398317189', 0, '2022-12-07 15:31:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86539, '123456789', 44, '118.7678258', '31.8288251', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398319439', 0, '2022-12-07 15:31:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86540, '123456789', 44, '118.7679833', '31.8288308', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398321127', 0, '2022-12-07 15:32:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86541, '123456789', 44, '118.768247', '31.8288404', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398323318', 0, '2022-12-07 15:32:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86542, '123456789', 44, '118.7684047', '31.8288462', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398325005', 0, '2022-12-07 15:32:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86543, '123456789', 44, '118.7686694', '31.8288558', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398327199', 0, '2022-12-07 15:32:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86544, '123456789', 44, '118.7688799', '31.8288635', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398329325', 0, '2022-12-07 15:32:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86545, '123456789', 44, '118.7690914', '31.8288712', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398331517', 0, '2022-12-07 15:32:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86546, '123456789', 44, '118.7694087', '31.8288828', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398334212', 0, '2022-12-07 15:32:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86547, '123456789', 44, '118.7696198', '31.8288904', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398336339', 0, '2022-12-07 15:32:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86548, '123456789', 44, '118.7698312', '31.8288982', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398338434', 0, '2022-12-07 15:32:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86549, '123456789', 44, '118.7699891', '31.8289039', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398340034', 0, '2022-12-07 15:32:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86550, '123456789', 44, '118.770253', '31.8289135', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398342170', 0, '2022-12-07 15:32:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86551, '123456789', 44, '118.7704314', '31.82892', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398344354', 0, '2022-12-07 15:32:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86552, '123456789', 44, '118.7705103', '31.8289375', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398346548', 0, '2022-12-07 15:32:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86553, '123456789', 44, '118.770487', '31.8290186', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398348228', 0, '2022-12-07 15:32:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86554, '123456789', 44, '118.7704309', '31.8291634', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398350370', 0, '2022-12-07 15:32:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86555, '123456789', 44, '118.7703865', '31.8292865', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398352047', 0, '2022-12-07 15:32:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86556, '123456789', 44, '118.7703271', '31.8294555', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398354121', 0, '2022-12-07 15:32:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86557, '123456789', 44, '118.7702524', '31.8296682', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398356312', 0, '2022-12-07 15:32:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86558, '123456789', 44, '118.7701926', '31.8298393', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398358508', 0, '2022-12-07 15:32:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86559, '123456789', 44, '118.7701325', '31.8300111', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398360188', 0, '2022-12-07 15:32:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86560, '123456789', 44, '118.7700724', '31.830183', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398362434', 0, '2022-12-07 15:32:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86561, '123456789', 44, '118.7700272', '31.8303125', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398364119', 0, '2022-12-07 15:32:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86562, '123456789', 44, '118.7699523', '31.8305269', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398366405', 0, '2022-12-07 15:32:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86563, '123456789', 44, '118.769907', '31.8306566', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398368062', 0, '2022-12-07 15:32:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86564, '123456789', 44, '118.7698319', '31.8308719', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398370306', 0, '2022-12-07 15:32:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86565, '123456789', 44, '118.7697716', '31.8310442', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398372557', 0, '2022-12-07 15:32:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86566, '123456789', 44, '118.7697114', '31.8312168', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398374244', 0, '2022-12-07 15:32:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86567, '123456789', 44, '118.7696512', '31.831389', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398376505', 0, '2022-12-07 15:32:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86568, '123456789', 44, '118.769591', '31.8315614', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398378183', 0, '2022-12-07 15:32:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86569, '123456789', 44, '118.7695326', '31.8317286', '100.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398380437', 0, '2022-12-07 15:33:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86570, '123456789', 44, '118.7694979', '31.8318257', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398382062', 0, '2022-12-07 15:33:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86571, '123456789', 44, '118.7694216', '31.8318771', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398384310', 0, '2022-12-07 15:33:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86572, '123456789', 44, '118.7692754', '31.8318553', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398386499', 0, '2022-12-07 15:33:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86573, '123456789', 44, '118.7691303', '31.8318344', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398388125', 0, '2022-12-07 15:33:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86574, '123456789', 44, '118.7688747', '31.8318015', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398390318', 0, '2022-12-07 15:33:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86575, '123456789', 44, '118.7687199', '31.8317822', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398392009', 0, '2022-12-07 15:33:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86576, '123456789', 44, '118.7685131', '31.8317565', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398394147', 0, '2022-12-07 15:33:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86577, '123456789', 44, '118.7682522', '31.8317242', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398396341', 0, '2022-12-07 15:33:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86578, '123456789', 44, '118.7680436', '31.8316984', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398398519', 0, '2022-12-07 15:33:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86579, '123456789', 44, '118.7678874', '31.8316791', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398400149', 0, '2022-12-07 15:33:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86580, '123456789', 44, '118.7676254', '31.8316467', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398402276', 0, '2022-12-07 15:33:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86581, '123456789', 44, '118.7674163', '31.8316208', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398404465', 0, '2022-12-07 15:33:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86582, '123456789', 44, '118.7672592', '31.8316014', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398406093', 0, '2022-12-07 15:33:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86583, '123456789', 44, '118.766998', '31.8315691', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398408280', 0, '2022-12-07 15:33:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86584, '123456789', 44, '118.7667888', '31.8315432', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398410535', 0, '2022-12-07 15:33:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86585, '123456789', 44, '118.7665795', '31.8315173', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398412226', 0, '2022-12-07 15:33:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86586, '123456789', 44, '118.766378', '31.8314923', '100.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398414359', 0, '2022-12-07 15:33:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86587, '123456789', 44, '118.7662422', '31.8314713', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398416491', 0, '2022-12-07 15:33:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86588, '123456789', 44, '118.7662093', '31.8314354', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398418119', 0, '2022-12-07 15:33:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86589, '123456789', 44, '118.7662178', '31.8312829', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398420304', 0, '2022-12-07 15:33:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86590, '123456789', 44, '118.7662272', '31.8311139', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398422438', 0, '2022-12-07 15:33:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86591, '123456789', 44, '118.7662322', '31.8309814', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398424121', 0, '2022-12-07 15:33:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86592, '123456789', 44, '118.7662396', '31.83076', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398426306', 0, '2022-12-07 15:33:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86593, '123456789', 44, '118.7662455', '31.8305817', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398428497', 0, '2022-12-07 15:33:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86594, '123456789', 44, '118.7662499', '31.8304475', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398430120', 0, '2022-12-07 15:33:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86595, '123456789', 44, '118.7662572', '31.8302238', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398432313', 0, '2022-12-07 15:33:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86596, '123456789', 44, '118.7662631', '31.8300445', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398434454', 0, '2022-12-07 15:33:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86597, '123456789', 44, '118.7662675', '31.8299101', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398436137', 0, '2022-12-07 15:33:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86598, '123456789', 44, '118.7662748', '31.8296856', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398438335', 0, '2022-12-07 15:33:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86599, '123456789', 44, '118.7662807', '31.8295059', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398440526', 0, '2022-12-07 15:34:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86600, '123456789', 44, '118.7662851', '31.829371', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398442031', 0, '2022-12-07 15:34:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86601, '123456789', 44, '118.766291', '31.8291913', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398444153', 0, '2022-12-07 15:34:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86602, '123456789', 44, '118.7662981', '31.828974', '100.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398446381', 0, '2022-12-07 15:34:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86603, '123456789', 44, '118.7663023', '31.8288586', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398448473', 0, '2022-12-07 15:34:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86604, '123456789', 44, '118.7663033', '31.8288301', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398450159', 0, '2022-12-07 15:34:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86605, '123456789', 44, '118.7663046', '31.8288336', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398452382', 0, '2022-12-07 15:34:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86606, '123456789', 44, '118.7663502', '31.8288314', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398454541', 0, '2022-12-07 15:34:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86607, '123456789', 44, '118.7664401', '31.8288225', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398456171', 0, '2022-12-07 15:34:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86608, '123456789', 44, '118.7666349', '31.8288031', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398458307', 0, '2022-12-07 15:34:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86609, '123456789', 44, '118.76676', '31.8287909', '99.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398460561', 0, '2022-12-07 15:34:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86610, '123456789', 44, '118.7667982', '31.8287871', '99.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398462256', 0, '2022-12-07 15:34:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86611, '123456789', 44, '118.7667949', '31.8287872', '99.51', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398464446', 0, '2022-12-07 15:34:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86612, '123456789', 44, '118.7667926', '31.8287872', '97.287', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398466020', 0, '2022-12-07 15:34:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86613, '123456789', 44, '118.7667916', '31.8287873', '93.565', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398468274', 0, '2022-12-07 15:34:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86614, '123456789', 44, '118.7667914', '31.8287874', '90.567', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398470463', 0, '2022-12-07 15:34:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86615, '123456789', 44, '118.7667913', '31.8287875', '88.322', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398472040', 0, '2022-12-07 15:34:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86616, '123456789', 44, '118.7667912', '31.8287875', '84.57', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398474232', 0, '2022-12-07 15:34:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86617, '123456789', 44, '118.7667911', '31.8287875', '81.57', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398476470', 0, '2022-12-07 15:34:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86618, '123456789', 44, '118.7667911', '31.8287875', '79.327', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398478101', 0, '2022-12-07 15:34:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86619, '123456789', 44, '118.7667911', '31.8287875', '76.331', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398480174', 0, '2022-12-07 15:34:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86620, '123456789', 44, '118.7667911', '31.8287875', '72.592', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398482396', 0, '2022-12-07 15:34:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86621, '123456789', 44, '118.7667911', '31.8287875', '69.589', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398484559', 0, '2022-12-07 15:34:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86622, '123456789', 44, '118.7667911', '31.8287875', '67.336', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398486196', 0, '2022-12-07 15:34:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86623, '123456789', 44, '118.766791', '31.8287875', '63.586', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398488262', 0, '2022-12-07 15:34:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86624, '123456789', 44, '118.766791', '31.8287875', '60.581', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398490458', 0, '2022-12-07 15:34:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86625, '123456789', 44, '118.766791', '31.8287875', '58.331', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398492077', 0, '2022-12-07 15:34:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86626, '123456789', 44, '118.766791', '31.8287875', '54.584', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398494266', 0, '2022-12-07 15:34:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86627, '123456789', 44, '118.766791', '31.8287875', '51.591', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398496400', 0, '2022-12-07 15:34:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86628, '123456789', 44, '118.766791', '31.8287875', '49.34', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398498086', 0, '2022-12-07 15:34:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86629, '123456789', 44, '118.766791', '31.8287875', '45.586', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398500276', 0, '2022-12-07 15:35:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86630, '123456789', 44, '118.766791', '31.8287875', '42.585', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398502526', 0, '2022-12-07 15:35:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86631, '123456789', 44, '118.766791', '31.8287875', '40.332', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398504206', 0, '2022-12-07 15:35:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86632, '123456789', 44, '118.766791', '31.8287875', '36.582', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398506416', 0, '2022-12-07 15:35:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86633, '123456789', 44, '118.766791', '31.8287875', '33.589', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398508526', 0, '2022-12-07 15:35:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86634, '123456789', 44, '118.766791', '31.8287875', '31.337', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398510154', 0, '2022-12-07 15:35:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86635, '123456789', 44, '118.766791', '31.8287875', '27.586', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398512403', 0, '2022-12-07 15:35:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86636, '123456789', 44, '118.766791', '31.8287875', '25.332', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398514035', 0, '2022-12-07 15:35:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86637, '123456789', 44, '118.766791', '31.8287875', '22.331', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398516226', 0, '2022-12-07 15:35:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86638, '123456789', 44, '118.766791', '31.8287875', '18.578', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398518418', 0, '2022-12-07 15:35:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86639, '123456789', 44, '118.766791', '31.8287875', '16.335', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398520035', 0, '2022-12-07 15:35:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86640, '123456789', 44, '118.766791', '31.8287875', '12.583', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398522288', 0, '2022-12-07 15:35:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86641, '123456789', 44, '118.766791', '31.8287875', '10.257', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398524482', 0, '2022-12-07 15:35:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86642, '123456789', 44, '118.766791', '31.8287875', '9.572', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398526113', 0, '2022-12-07 15:35:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86643, '123456789', 44, '118.766791', '31.8287875', '8.306', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398528306', 0, '2022-12-07 15:35:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86644, '123456789', 44, '118.766791', '31.8287875', '7.301', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398530493', 0, '2022-12-07 15:35:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86645, '123456789', 44, '118.766791', '31.8287875', '6.547', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398532123', 0, '2022-12-07 15:35:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86646, '123456789', 44, '118.766791', '31.8287875', '5.544', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398534249', 0, '2022-12-07 15:35:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86647, '123456789', 44, '118.766791', '31.8287875', '4.291', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398536440', 0, '2022-12-07 15:35:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86648, '123456789', 44, '118.766791', '31.8287875', '3.541', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398538070', 0, '2022-12-07 15:35:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86649, '123456789', 44, '118.766791', '31.8287875', '2.54', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398540254', 0, '2022-12-07 15:35:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86650, '123456789', 44, '118.766791', '31.8287875', '1.288', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398542445', 0, '2022-12-07 15:35:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86651, '123456789', 44, '118.766791', '31.8287875', '0.537', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398544130', 0, '2022-12-07 15:35:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86652, '123456789', 44, '118.7667911', '31.8287876', '0.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670398546425', 0, '2022-12-07 15:35:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86653, '123456789', 49, '118.7667909', '31.8287874', '0.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399417146', 0, '2022-12-07 15:50:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86654, '123456789', 49, '118.7667909', '31.8287874', '0.297', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399419342', 0, '2022-12-07 15:50:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86655, '123456789', 49, '118.766791', '31.8287875', '3.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399421553', 0, '2022-12-07 15:50:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86656, '123456789', 49, '118.766791', '31.8287875', '7.737', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399423223', 0, '2022-12-07 15:50:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86657, '123456789', 49, '118.766791', '31.8287875', '13.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399425483', 0, '2022-12-07 15:50:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86658, '123456789', 49, '118.766791', '31.8287875', '17.702', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399427150', 0, '2022-12-07 15:50:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86659, '123456789', 49, '118.7667909', '31.8287875', '23.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399429326', 0, '2022-12-07 15:50:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86660, '123456789', 49, '118.766791', '31.8287875', '28.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399431472', 0, '2022-12-07 15:50:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86661, '123456789', 49, '118.766791', '31.8287875', '32.7', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399433085', 0, '2022-12-07 15:50:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86662, '123456789', 49, '118.766791', '31.8287875', '37.699', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399435262', 0, '2022-12-07 15:50:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86663, '123456789', 49, '118.7667909', '31.8287875', '43.936', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399437420', 0, '2022-12-07 15:50:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86664, '123456789', 49, '118.7667909', '31.8287875', '47.689', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399439061', 0, '2022-12-07 15:50:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86665, '123456789', 49, '118.7667909', '31.8287875', '52.674', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399441244', 0, '2022-12-07 15:50:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86666, '123456789', 49, '118.7667909', '31.8287875', '58.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399443476', 0, '2022-12-07 15:50:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86667, '123456789', 49, '118.7667909', '31.8287875', '62.675', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399445047', 0, '2022-12-07 15:50:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86668, '123456789', 49, '118.7667909', '31.8287875', '67.678', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399447287', 0, '2022-12-07 15:50:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86669, '123456789', 49, '118.7667909', '31.8287875', '73.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399449502', 0, '2022-12-07 15:50:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86670, '123456789', 49, '118.7667909', '31.8287875', '77.686', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399451105', 0, '2022-12-07 15:50:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86671, '123456789', 49, '118.7667909', '31.8287875', '83.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399453432', 0, '2022-12-07 15:50:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86672, '123456789', 49, '118.7667909', '31.8287875', '87.668', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399455022', 0, '2022-12-07 15:50:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86673, '123456789', 49, '118.7667909', '31.8287875', '92.674', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399457222', 0, '2022-12-07 15:50:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86674, '123456789', 49, '118.7667909', '31.8287875', '98.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399459468', 0, '2022-12-07 15:50:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86675, '123456789', 49, '118.7667909', '31.8287875', '99.659', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399461143', 0, '2022-12-07 15:51:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86676, '123456789', 49, '118.7667967', '31.8287876', '99.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399463429', 0, '2022-12-07 15:51:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86677, '123456789', 49, '118.7668318', '31.8287889', '99.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399465060', 0, '2022-12-07 15:51:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86678, '123456789', 49, '118.7669546', '31.8287933', '99.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399467300', 0, '2022-12-07 15:51:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86679, '123456789', 49, '118.7671941', '31.8288021', '99.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399469532', 0, '2022-12-07 15:51:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86680, '123456789', 49, '118.7673474', '31.8288077', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399471059', 0, '2022-12-07 15:51:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86681, '123456789', 49, '118.7675555', '31.8288152', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399473303', 0, '2022-12-07 15:51:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86682, '123456789', 49, '118.7678173', '31.8288247', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399475541', 0, '2022-12-07 15:51:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86683, '123456789', 49, '118.7679746', '31.8288305', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399477221', 0, '2022-12-07 15:51:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86684, '123456789', 49, '118.7682389', '31.8288401', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399479532', 0, '2022-12-07 15:51:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86685, '123456789', 49, '118.768397', '31.8288459', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399481030', 0, '2022-12-07 15:51:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86686, '123456789', 49, '118.7686082', '31.8288536', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399483259', 0, '2022-12-07 15:51:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86687, '123456789', 49, '118.7688721', '31.8288632', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399485513', 0, '2022-12-07 15:51:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86688, '123456789', 49, '118.7690309', '31.828869', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399487118', 0, '2022-12-07 15:51:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86689, '123456789', 49, '118.7692424', '31.8288768', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399489298', 0, '2022-12-07 15:51:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86690, '123456789', 49, '118.769506', '31.8288864', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399491518', 0, '2022-12-07 15:51:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86691, '123456789', 49, '118.7696647', '31.8288922', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399493161', 0, '2022-12-07 15:51:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86692, '123456789', 49, '118.7698763', '31.8288999', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399495373', 0, '2022-12-07 15:51:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86693, '123456789', 49, '118.7700871', '31.8289076', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399497021', 0, '2022-12-07 15:51:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86694, '123456789', 49, '118.770296', '31.8289152', '100.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399499260', 0, '2022-12-07 15:51:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86695, '123456789', 49, '118.7704835', '31.8289236', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399501508', 0, '2022-12-07 15:51:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86696, '123456789', 49, '118.7705116', '31.8289479', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399503181', 0, '2022-12-07 15:51:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86697, '123456789', 49, '118.7704624', '31.8290801', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399505503', 0, '2022-12-07 15:51:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86698, '123456789', 49, '118.7704183', '31.8291982', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399507097', 0, '2022-12-07 15:51:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86699, '123456789', 49, '118.7703587', '31.829365', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399509348', 0, '2022-12-07 15:51:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86700, '123456789', 49, '118.7702992', '31.8295343', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399511009', 0, '2022-12-07 15:51:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86701, '123456789', 49, '118.7702394', '31.829705', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399513246', 0, '2022-12-07 15:51:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86702, '123456789', 49, '118.7701644', '31.8299194', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399515517', 0, '2022-12-07 15:51:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86703, '123456789', 49, '118.7701195', '31.8300478', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399517167', 0, '2022-12-07 15:51:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86704, '123456789', 49, '118.7700442', '31.8302634', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399519427', 0, '2022-12-07 15:51:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86705, '123456789', 49, '118.7699993', '31.8303918', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399521094', 0, '2022-12-07 15:52:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86706, '123456789', 49, '118.7699392', '31.830564', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399523219', 0, '2022-12-07 15:52:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86707, '123456789', 49, '118.7698638', '31.8307797', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399525576', 0, '2022-12-07 15:52:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86708, '123456789', 49, '118.7698188', '31.8309087', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399527144', 0, '2022-12-07 15:52:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86709, '123456789', 49, '118.7697436', '31.8311242', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399529379', 0, '2022-12-07 15:52:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86710, '123456789', 49, '118.7696985', '31.8312532', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399531004', 0, '2022-12-07 15:52:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86711, '123456789', 49, '118.7696385', '31.8314251', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399533120', 0, '2022-12-07 15:52:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86712, '123456789', 49, '118.7695783', '31.8315976', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399535321', 0, '2022-12-07 15:52:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86713, '123456789', 49, '118.76951', '31.8317933', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399537625', 0, '2022-12-07 15:52:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86714, '123456789', 49, '118.7694786', '31.8318616', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399539119', 0, '2022-12-07 15:52:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86715, '123456789', 49, '118.7693982', '31.8318744', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399541314', 0, '2022-12-07 15:52:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86716, '123456789', 49, '118.7691874', '31.831842', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399543577', 0, '2022-12-07 15:52:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86717, '123456789', 49, '118.7690361', '31.8318218', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399545230', 0, '2022-12-07 15:52:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86718, '123456789', 49, '118.7687785', '31.8317896', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399547396', 0, '2022-12-07 15:52:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86719, '123456789', 49, '118.7686228', '31.8317702', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399549059', 0, '2022-12-07 15:52:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86720, '123456789', 49, '118.7684149', '31.8317443', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399551298', 0, '2022-12-07 15:52:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86721, '123456789', 49, '118.7681542', '31.8317121', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399553553', 0, '2022-12-07 15:52:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86722, '123456789', 49, '118.7679973', '31.8316926', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399555176', 0, '2022-12-07 15:52:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86723, '123456789', 49, '118.7677885', '31.8316668', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399557371', 0, '2022-12-07 15:52:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86724, '123456789', 49, '118.7675276', '31.8316345', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399559484', 0, '2022-12-07 15:52:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86725, '123456789', 49, '118.7673707', '31.8316151', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399561171', 0, '2022-12-07 15:52:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86726, '123456789', 49, '118.767161', '31.8315892', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399563301', 0, '2022-12-07 15:52:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86727, '123456789', 49, '118.7668991', '31.8315568', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399565475', 0, '2022-12-07 15:52:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86728, '123456789', 49, '118.7667424', '31.8315374', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399567063', 0, '2022-12-07 15:52:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86729, '123456789', 49, '118.7665331', '31.8315115', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399569295', 0, '2022-12-07 15:52:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86730, '123456789', 49, '118.7663016', '31.8314828', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399571510', 0, '2022-12-07 15:52:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86731, '123456789', 49, '118.7662267', '31.8314645', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399573151', 0, '2022-12-07 15:52:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86732, '123456789', 49, '118.7662092', '31.8313922', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399575322', 0, '2022-12-07 15:52:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86733, '123456789', 49, '118.7662226', '31.8312052', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399577446', 0, '2022-12-07 15:52:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86734, '123456789', 49, '118.7662288', '31.8310754', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399579118', 0, '2022-12-07 15:52:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86735, '123456789', 49, '118.7662349', '31.8308984', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399581287', 0, '2022-12-07 15:53:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86736, '123456789', 49, '118.7662424', '31.8306765', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399583519', 0, '2022-12-07 15:53:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86737, '123456789', 49, '118.7662468', '31.8305425', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399585139', 0, '2022-12-07 15:53:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86738, '123456789', 49, '118.7662541', '31.8303194', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399587449', 0, '2022-12-07 15:53:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86739, '123456789', 49, '118.7662585', '31.8301847', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399589059', 0, '2022-12-07 15:53:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86740, '123456789', 49, '118.7662644', '31.8300049', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399591178', 0, '2022-12-07 15:53:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86741, '123456789', 49, '118.7662717', '31.8297808', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399593462', 0, '2022-12-07 15:53:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86742, '123456789', 49, '118.7662761', '31.8296462', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399595049', 0, '2022-12-07 15:53:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86743, '123456789', 49, '118.766282', '31.8294663', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399597283', 0, '2022-12-07 15:53:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86744, '123456789', 49, '118.7662893', '31.8292416', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399599434', 0, '2022-12-07 15:53:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86745, '123456789', 49, '118.7662937', '31.829107', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399601100', 0, '2022-12-07 15:53:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86746, '123456789', 49, '118.7662992', '31.8289417', '100.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399603300', 0, '2022-12-07 15:53:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86747, '123456789', 49, '118.7663031', '31.8288354', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399605539', 0, '2022-12-07 15:53:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86748, '123456789', 49, '118.7663032', '31.8288295', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399607234', 0, '2022-12-07 15:53:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86749, '123456789', 49, '118.7663161', '31.8288341', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399609470', 0, '2022-12-07 15:53:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86750, '123456789', 49, '118.7663726', '31.8288291', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399611044', 0, '2022-12-07 15:53:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86751, '123456789', 49, '118.7665116', '31.8288159', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399613178', 0, '2022-12-07 15:53:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86752, '123456789', 49, '118.7667028', '31.8287966', '99.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399615439', 0, '2022-12-07 15:53:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86753, '123456789', 49, '118.7667759', '31.8287893', '99.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399617083', 0, '2022-12-07 15:53:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86754, '123456789', 49, '118.7667984', '31.8287871', '99.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399619258', 0, '2022-12-07 15:53:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86755, '123456789', 49, '118.7667932', '31.8287872', '98.174', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399621519', 0, '2022-12-07 15:53:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86756, '123456789', 49, '118.766792', '31.8287873', '95.883', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399623200', 0, '2022-12-07 15:53:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86757, '123456789', 49, '118.7667915', '31.8287874', '92.15', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399625450', 0, '2022-12-07 15:53:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86758, '123456789', 49, '118.7667914', '31.8287874', '89.903', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399627104', 0, '2022-12-07 15:53:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86759, '123456789', 49, '118.7667912', '31.8287875', '86.902', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399629341', 0, '2022-12-07 15:53:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86760, '123456789', 49, '118.7667911', '31.8287875', '83.158', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399631479', 0, '2022-12-07 15:53:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86761, '123456789', 49, '118.7667911', '31.8287875', '80.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399633145', 0, '2022-12-07 15:53:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86762, '123456789', 49, '118.7667911', '31.8287875', '77.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399635258', 0, '2022-12-07 15:53:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86763, '123456789', 49, '118.7667911', '31.8287875', '74.171', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399637509', 0, '2022-12-07 15:53:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86764, '123456789', 49, '118.7667911', '31.8287875', '71.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399639140', 0, '2022-12-07 15:53:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86765, '123456789', 49, '118.7667911', '31.8287875', '68.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399641430', 0, '2022-12-07 15:54:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86766, '123456789', 49, '118.7667911', '31.8287875', '65.913', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399643021', 0, '2022-12-07 15:54:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86767, '123456789', 49, '118.766791', '31.8287875', '62.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399645181', 0, '2022-12-07 15:54:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86768, '123456789', 49, '118.766791', '31.8287875', '59.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399647340', 0, '2022-12-07 15:54:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86769, '123456789', 49, '118.766791', '31.8287875', '56.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399649011', 0, '2022-12-07 15:54:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86770, '123456789', 49, '118.766791', '31.8287875', '53.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399651140', 0, '2022-12-07 15:54:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86771, '123456789', 49, '118.766791', '31.8287875', '50.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399653401', 0, '2022-12-07 15:54:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86772, '123456789', 49, '118.766791', '31.8287875', '47.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399655058', 0, '2022-12-07 15:54:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86773, '123456789', 49, '118.766791', '31.8287875', '44.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399657298', 0, '2022-12-07 15:54:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86774, '123456789', 49, '118.766791', '31.8287875', '41.169', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399659539', 0, '2022-12-07 15:54:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86775, '123456789', 49, '118.766791', '31.8287875', '38.92', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399661218', 0, '2022-12-07 15:54:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86776, '123456789', 49, '118.766791', '31.8287875', '35.18', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399663472', 0, '2022-12-07 15:54:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86777, '123456789', 49, '118.766791', '31.8287875', '32.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399665160', 0, '2022-12-07 15:54:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86778, '123456789', 49, '118.766791', '31.8287875', '29.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399667414', 0, '2022-12-07 15:54:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86779, '123456789', 49, '118.766791', '31.8287875', '26.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399669039', 0, '2022-12-07 15:54:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86780, '123456789', 49, '118.766791', '31.8287875', '23.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399671264', 0, '2022-12-07 15:54:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86781, '123456789', 49, '118.766791', '31.8287875', '20.167', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399673476', 0, '2022-12-07 15:54:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86782, '123456789', 49, '118.766791', '31.8287875', '17.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399675155', 0, '2022-12-07 15:54:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86783, '123456789', 49, '118.766791', '31.8287875', '14.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399677415', 0, '2022-12-07 15:54:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86784, '123456789', 49, '118.766791', '31.8287875', '11.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399679056', 0, '2022-12-07 15:54:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86785, '123456789', 49, '118.766791', '31.8287875', '10.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399681285', 0, '2022-12-07 15:54:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86786, '123456789', 49, '118.766791', '31.8287875', '8.841', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399683457', 0, '2022-12-07 15:54:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86787, '123456789', 49, '118.766791', '31.8287875', '8.085', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399685138', 0, '2022-12-07 15:54:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86788, '123456789', 49, '118.766791', '31.8287875', '7.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399687424', 0, '2022-12-07 15:54:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86789, '123456789', 49, '118.766791', '31.8287875', '6.076', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399689040', 0, '2022-12-07 15:54:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86790, '123456789', 49, '118.766791', '31.8287875', '5.075', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399691221', 0, '2022-12-07 15:54:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86791, '123456789', 49, '118.766791', '31.8287875', '3.822', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399693472', 0, '2022-12-07 15:54:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86792, '123456789', 49, '118.766791', '31.8287875', '3.072', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399695140', 0, '2022-12-07 15:54:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86793, '123456789', 49, '118.766791', '31.8287875', '2.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399697402', 0, '2022-12-07 15:54:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86794, '123456789', 49, '118.766791', '31.8287875', '1.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399699058', 0, '2022-12-07 15:54:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86795, '123456789', 49, '118.766791', '31.8287875', '0.069', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399701299', 0, '2022-12-07 15:55:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (86796, '123456789', 49, '118.766791', '31.8287876', '0.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670399703539', 0, '2022-12-07 15:55:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87084, '123456789', 50, '118.7667914', '31.8287878', '0.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571576450', 0, '2022-12-09 15:39:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87085, '123456789', 50, '118.7667914', '31.8287878', '0.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571578094', 0, '2022-12-09 15:39:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87086, '123456789', 50, '118.7667915', '31.8287879', '6.48', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571580279', 0, '2022-12-09 15:39:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87087, '123456789', 50, '118.7667915', '31.8287879', '11.468', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571582528', 0, '2022-12-09 15:39:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87088, '123456789', 50, '118.7667915', '31.8287879', '15.214', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571584209', 0, '2022-12-09 15:39:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87089, '123456789', 50, '118.7667915', '31.8287879', '21.459', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571586456', 0, '2022-12-09 15:39:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87090, '123456789', 50, '118.7667915', '31.8287879', '25.2', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571588151', 0, '2022-12-09 15:39:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87091, '123456789', 50, '118.7667915', '31.8287879', '31.428', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571590385', 0, '2022-12-09 15:39:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87092, '123456789', 50, '118.7667915', '31.8287879', '36.431', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571592508', 0, '2022-12-09 15:39:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87093, '123456789', 50, '118.7667915', '31.8287879', '40.184', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571594194', 0, '2022-12-09 15:39:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87094, '123456789', 50, '118.7667915', '31.8287879', '46.433', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571596435', 0, '2022-12-09 15:39:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87095, '123456789', 50, '118.7667915', '31.8287879', '50.189', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571598121', 0, '2022-12-09 15:39:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87096, '123456789', 50, '118.7667915', '31.8287879', '56.437', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571600372', 0, '2022-12-09 15:40:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87097, '123456789', 50, '118.7667915', '31.8287879', '60.185', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571602055', 0, '2022-12-09 15:40:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87098, '123456789', 50, '118.7667914', '31.8287879', '66.42', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571604304', 0, '2022-12-09 15:40:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87099, '123456789', 50, '118.7667914', '31.8287879', '71.424', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571606550', 0, '2022-12-09 15:40:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87100, '123456789', 50, '118.7667914', '31.8287879', '76.43', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571608244', 0, '2022-12-09 15:40:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87101, '123456789', 50, '118.7667914', '31.8287879', '81.432', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571610517', 0, '2022-12-09 15:40:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87102, '123456789', 50, '118.7667914', '31.8287879', '85.192', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571612176', 0, '2022-12-09 15:40:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87103, '123456789', 50, '118.7667914', '31.8287879', '91.438', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571614409', 0, '2022-12-09 15:40:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87104, '123456789', 50, '118.7667914', '31.8287879', '95.157', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571616094', 0, '2022-12-09 15:40:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87105, '123456789', 50, '118.7667914', '31.8287879', '99.246', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571618339', 0, '2022-12-09 15:40:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87106, '123456789', 50, '118.7667917', '31.8287879', '99.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571620562', 0, '2022-12-09 15:40:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87107, '123456789', 50, '118.7668054', '31.8287883', '99.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571622219', 0, '2022-12-09 15:40:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87108, '123456789', 50, '118.7669222', '31.8287925', '99.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571624515', 0, '2022-12-09 15:40:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87109, '123456789', 50, '118.7670533', '31.8287972', '99.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571626153', 0, '2022-12-09 15:40:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87110, '123456789', 50, '118.7673055', '31.8288065', '99.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571628274', 0, '2022-12-09 15:40:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87111, '123456789', 50, '118.7675134', '31.828814', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571630520', 0, '2022-12-09 15:40:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87112, '123456789', 50, '118.7676701', '31.8288197', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571632209', 0, '2022-12-09 15:40:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87113, '123456789', 50, '118.7679327', '31.8288292', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571634458', 0, '2022-12-09 15:40:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87114, '123456789', 50, '118.7680909', '31.828835', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571636144', 0, '2022-12-09 15:40:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87115, '123456789', 50, '118.7683541', '31.8288446', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571638426', 0, '2022-12-09 15:40:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87116, '123456789', 50, '118.7685131', '31.8288503', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571640081', 0, '2022-12-09 15:40:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87117, '123456789', 50, '118.7687765', '31.8288599', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571642330', 0, '2022-12-09 15:40:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87118, '123456789', 50, '118.7689879', '31.8288676', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571644515', 0, '2022-12-09 15:40:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87119, '123456789', 50, '118.7691463', '31.8288734', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571646146', 0, '2022-12-09 15:40:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87120, '123456789', 50, '118.7694109', '31.828883', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571648332', 0, '2022-12-09 15:40:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87121, '123456789', 50, '118.7696224', '31.8288907', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571650526', 0, '2022-12-09 15:40:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87122, '123456789', 50, '118.7698858', '31.8289003', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571653223', 0, '2022-12-09 15:40:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87123, '123456789', 50, '118.7701496', '31.8289099', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571655468', 0, '2022-12-09 15:40:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87124, '123456789', 50, '118.7703053', '31.8289156', '100.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571657091', 0, '2022-12-09 15:40:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87125, '123456789', 50, '118.7704873', '31.8289242', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571659341', 0, '2022-12-09 15:40:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87126, '123456789', 50, '118.7705066', '31.8289686', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571661532', 0, '2022-12-09 15:41:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87127, '123456789', 50, '118.7704737', '31.8290517', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571663216', 0, '2022-12-09 15:41:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87128, '123456789', 50, '118.7704007', '31.8292476', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571665465', 0, '2022-12-09 15:41:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87129, '123456789', 50, '118.7703558', '31.8293734', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571667145', 0, '2022-12-09 15:41:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87130, '123456789', 50, '118.7702812', '31.8295858', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571669334', 0, '2022-12-09 15:41:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87131, '123456789', 50, '118.7702361', '31.8297143', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571671019', 0, '2022-12-09 15:41:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87132, '123456789', 50, '118.7701763', '31.8298852', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571673213', 0, '2022-12-09 15:41:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87133, '123456789', 50, '118.7701011', '31.8301005', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571675397', 0, '2022-12-09 15:41:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87134, '123456789', 50, '118.7700561', '31.8302291', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571677081', 0, '2022-12-09 15:41:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87135, '123456789', 50, '118.769996', '31.8304013', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571679209', 0, '2022-12-09 15:41:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87136, '123456789', 50, '118.7699208', '31.8306167', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571681438', 0, '2022-12-09 15:41:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87137, '123456789', 50, '118.7698606', '31.830789', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571683524', 0, '2022-12-09 15:41:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87138, '123456789', 50, '118.7698156', '31.8309179', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571685209', 0, '2022-12-09 15:41:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87139, '123456789', 50, '118.7697404', '31.8311332', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571687455', 0, '2022-12-09 15:41:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87140, '123456789', 50, '118.7696952', '31.8312625', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571689147', 0, '2022-12-09 15:41:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87141, '123456789', 50, '118.76962', '31.831478', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571691385', 0, '2022-12-09 15:41:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87142, '123456789', 50, '118.7695748', '31.8316073', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571693014', 0, '2022-12-09 15:41:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87143, '123456789', 50, '118.7695188', '31.8317678', '100.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571695264', 0, '2022-12-09 15:41:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87144, '123456789', 50, '118.7694621', '31.8318738', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571697523', 0, '2022-12-09 15:41:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87145, '123456789', 50, '118.7693915', '31.8318735', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571699137', 0, '2022-12-09 15:41:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87146, '123456789', 50, '118.7691761', '31.8318403', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571701382', 0, '2022-12-09 15:41:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87147, '123456789', 50, '118.7690241', '31.8318202', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571703071', 0, '2022-12-09 15:41:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87148, '123456789', 50, '118.7688173', '31.8317944', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571705254', 0, '2022-12-09 15:41:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87149, '123456789', 50, '118.7685581', '31.8317621', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571707484', 0, '2022-12-09 15:41:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87150, '123456789', 50, '118.7684023', '31.8317427', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571709123', 0, '2022-12-09 15:41:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87151, '123456789', 50, '118.7681413', '31.8317104', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571711372', 0, '2022-12-09 15:41:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87152, '123456789', 50, '118.7679844', '31.831691', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571713060', 0, '2022-12-09 15:41:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87153, '123456789', 50, '118.7677234', '31.8316586', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571715304', 0, '2022-12-09 15:41:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87154, '123456789', 50, '118.7675659', '31.8316392', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571717016', 0, '2022-12-09 15:41:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87155, '123456789', 50, '118.7673567', '31.8316133', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571719179', 0, '2022-12-09 15:41:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87156, '123456789', 50, '118.767095', '31.8315809', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571721366', 0, '2022-12-09 15:42:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87157, '123456789', 50, '118.7668861', '31.8315551', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571723554', 0, '2022-12-09 15:42:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87158, '123456789', 50, '118.7667292', '31.8315357', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571725236', 0, '2022-12-09 15:42:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87159, '123456789', 50, '118.7664678', '31.8315034', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571727429', 0, '2022-12-09 15:42:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87160, '123456789', 50, '118.7663298', '31.8314863', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571729114', 0, '2022-12-09 15:42:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87161, '123456789', 50, '118.7662133', '31.8314501', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571731371', 0, '2022-12-09 15:42:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87162, '123456789', 50, '118.7662098', '31.8313852', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571733061', 0, '2022-12-09 15:42:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87163, '123456789', 50, '118.7662234', '31.8311935', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571735303', 0, '2022-12-09 15:42:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87164, '123456789', 50, '118.7662308', '31.8310186', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571737552', 0, '2022-12-09 15:42:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87165, '123456789', 50, '118.7662352', '31.8308855', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571739122', 0, '2022-12-09 15:42:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87166, '123456789', 50, '118.7662428', '31.830663', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571741315', 0, '2022-12-09 15:42:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87167, '123456789', 50, '118.7662488', '31.8304842', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571743564', 0, '2022-12-09 15:42:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87168, '123456789', 50, '118.7662532', '31.8303497', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571745185', 0, '2022-12-09 15:42:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87169, '123456789', 50, '118.7662605', '31.8301257', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571747438', 0, '2022-12-09 15:42:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87170, '123456789', 50, '118.7662664', '31.8299462', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571749588', 0, '2022-12-09 15:42:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87171, '123456789', 50, '118.7662708', '31.8298115', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571751250', 0, '2022-12-09 15:42:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87172, '123456789', 50, '118.7662781', '31.8295871', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571753383', 0, '2022-12-09 15:42:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87173, '123456789', 50, '118.7662825', '31.8294522', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571755070', 0, '2022-12-09 15:42:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87174, '123456789', 50, '118.7662884', '31.8292725', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571757316', 0, '2022-12-09 15:42:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87175, '123456789', 50, '118.7662957', '31.8290488', '100.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571759564', 0, '2022-12-09 15:42:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87176, '123456789', 50, '118.7662995', '31.828931', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571761238', 0, '2022-12-09 15:42:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87177, '123456789', 50, '118.7663026', '31.8288332', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571763509', 0, '2022-12-09 15:42:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87178, '123456789', 50, '118.7663028', '31.8288296', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571765179', 0, '2022-12-09 15:42:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87179, '123456789', 50, '118.7663204', '31.8288336', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571767422', 0, '2022-12-09 15:42:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87180, '123456789', 50, '118.7663835', '31.8288281', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571769107', 0, '2022-12-09 15:42:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87181, '123456789', 50, '118.7665273', '31.8288145', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571771292', 0, '2022-12-09 15:42:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87182, '123456789', 50, '118.7667156', '31.8287953', '99.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571773540', 0, '2022-12-09 15:42:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87183, '123456789', 50, '118.7667819', '31.8287885', '99.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571775169', 0, '2022-12-09 15:42:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87184, '123456789', 50, '118.7667972', '31.8287871', '99.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571777414', 0, '2022-12-09 15:42:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87185, '123456789', 50, '118.766794', '31.8287875', '98.55', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571779100', 0, '2022-12-09 15:42:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87186, '123456789', 50, '118.7667922', '31.8287878', '94.742', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571781346', 0, '2022-12-09 15:43:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87187, '123456789', 50, '118.766792', '31.8287878', '92.504', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571783031', 0, '2022-12-09 15:43:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87188, '123456789', 50, '118.7667918', '31.8287878', '89.511', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571785221', 0, '2022-12-09 15:43:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87189, '123456789', 50, '118.7667916', '31.8287878', '85.762', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571787465', 0, '2022-12-09 15:43:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87190, '123456789', 50, '118.7667915', '31.8287878', '83.51', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571789151', 0, '2022-12-09 15:43:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87191, '123456789', 50, '118.7667915', '31.8287878', '79.763', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571791395', 0, '2022-12-09 15:43:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87192, '123456789', 50, '118.7667914', '31.8287878', '77.511', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571793080', 0, '2022-12-09 15:43:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87193, '123456789', 50, '118.7667914', '31.8287878', '74.515', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571795330', 0, '2022-12-09 15:43:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87194, '123456789', 50, '118.7667914', '31.8287878', '71.518', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571797008', 0, '2022-12-09 15:43:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87195, '123456789', 50, '118.7667914', '31.8287878', '68.526', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571799250', 0, '2022-12-09 15:43:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87196, '123456789', 50, '118.7667914', '31.8287878', '64.772', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571801539', 0, '2022-12-09 15:43:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87197, '123456789', 50, '118.7667914', '31.8287878', '62.525', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571803188', 0, '2022-12-09 15:43:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87198, '123456789', 50, '118.7667914', '31.8287878', '58.767', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571805375', 0, '2022-12-09 15:43:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87199, '123456789', 50, '118.7667914', '31.8287878', '56.519', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571807052', 0, '2022-12-09 15:43:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87200, '123456789', 50, '118.7667914', '31.8287878', '53.52', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571809243', 0, '2022-12-09 15:43:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87201, '123456789', 50, '118.7667914', '31.8287878', '49.769', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571811508', 0, '2022-12-09 15:43:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87202, '123456789', 50, '118.7667914', '31.8287878', '47.53', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571813173', 0, '2022-12-09 15:43:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87203, '123456789', 50, '118.7667914', '31.8287878', '44.526', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571815313', 0, '2022-12-09 15:43:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87204, '123456789', 50, '118.7667914', '31.8287878', '40.775', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571817508', 0, '2022-12-09 15:43:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87205, '123456789', 50, '118.7667914', '31.8287878', '38.522', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571819192', 0, '2022-12-09 15:43:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87206, '123456789', 50, '118.7667913', '31.8287878', '34.77', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571821434', 0, '2022-12-09 15:43:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87207, '123456789', 50, '118.7667913', '31.8287878', '32.519', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571823120', 0, '2022-12-09 15:43:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87208, '123456789', 50, '118.7667912', '31.8287877', '29.526', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571825190', 0, '2022-12-09 15:43:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87209, '123456789', 50, '118.7667912', '31.8287877', '26.526', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571827267', 0, '2022-12-09 15:43:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87210, '123456789', 50, '118.7667912', '31.8287877', '22.774', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571829505', 0, '2022-12-09 15:43:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87211, '123456789', 50, '118.7667911', '31.8287877', '20.522', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571831071', 0, '2022-12-09 15:43:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87212, '123456789', 50, '118.7667911', '31.8287877', '17.518', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571833089', 0, '2022-12-09 15:43:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87213, '123456789', 50, '118.7667911', '31.8287877', '14.519', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571835155', 0, '2022-12-09 15:43:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87214, '123456789', 50, '118.7667911', '31.8287877', '11.521', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571837285', 0, '2022-12-09 15:43:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87215, '123456789', 50, '118.7667911', '31.8287877', '9.729', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571839422', 0, '2022-12-09 15:43:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87216, '123456789', 50, '118.7667911', '31.8287877', '8.718', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571841479', 0, '2022-12-09 15:44:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87217, '123456789', 50, '118.766791', '31.8287876', '7.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571843123', 0, '2022-12-09 15:44:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87218, '123456789', 50, '118.766791', '31.8287876', '6.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571845304', 0, '2022-12-09 15:44:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87219, '123456789', 50, '118.766791', '31.8287876', '5.702', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571847384', 0, '2022-12-09 15:44:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87220, '123456789', 50, '118.766791', '31.8287876', '4.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571849044', 0, '2022-12-09 15:44:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87221, '123456789', 50, '118.766791', '31.8287876', '3.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571851115', 0, '2022-12-09 15:44:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87222, '123456789', 50, '118.766791', '31.8287876', '2.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571853306', 0, '2022-12-09 15:44:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87223, '123456789', 50, '118.766791', '31.8287876', '1.696', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571855496', 0, '2022-12-09 15:44:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87224, '123456789', 50, '118.766791', '31.8287876', '0.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571857173', 0, '2022-12-09 15:44:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87225, '123456789', 50, '118.766791', '31.8287876', '0.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670571859250', 0, '2022-12-09 15:44:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87226, '123456789', 28, '118.766791', '31.8287875', '0.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572469035', 0, '2022-12-09 15:54:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87227, '123456789', 28, '118.766791', '31.8287875', '0.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572471179', 0, '2022-12-09 15:54:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87228, '123456789', 28, '118.7667909', '31.8287875', '5.239', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572473422', 0, '2022-12-09 15:54:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87229, '123456789', 28, '118.7667909', '31.8287875', '8.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572475107', 0, '2022-12-09 15:54:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87230, '123456789', 28, '118.7667909', '31.8287875', '15.229', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572477238', 0, '2022-12-09 15:54:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87231, '123456789', 28, '118.7667909', '31.8287875', '20.212', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572479428', 0, '2022-12-09 15:54:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87232, '123456789', 28, '118.7667909', '31.8287875', '23.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572481113', 0, '2022-12-09 15:54:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87233, '123456789', 28, '118.7667909', '31.8287875', '30.211', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572483358', 0, '2022-12-09 15:54:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87234, '123456789', 28, '118.7667909', '31.8287875', '33.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572485039', 0, '2022-12-09 15:54:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87235, '123456789', 28, '118.7667909', '31.8287875', '40.211', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572487226', 0, '2022-12-09 15:54:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87236, '123456789', 28, '118.7667909', '31.8287875', '45.21', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572489544', 0, '2022-12-09 15:54:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87237, '123456789', 28, '118.7667909', '31.8287875', '48.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572491156', 0, '2022-12-09 15:54:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87238, '123456789', 28, '118.7667909', '31.8287875', '55.193', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572493419', 0, '2022-12-09 15:54:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87239, '123456789', 28, '118.766791', '31.8287875', '58.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572495075', 0, '2022-12-09 15:54:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87240, '123456789', 28, '118.7667909', '31.8287875', '65.205', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572497317', 0, '2022-12-09 15:54:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87241, '123456789', 28, '118.7667909', '31.8287875', '70.209', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572499555', 0, '2022-12-09 15:55:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87242, '123456789', 28, '118.7667909', '31.8287875', '75.214', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572501187', 0, '2022-12-09 15:55:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87243, '123456789', 28, '118.7667909', '31.8287875', '80.209', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572503442', 0, '2022-12-09 15:55:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87244, '123456789', 28, '118.7667909', '31.8287875', '83.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572505143', 0, '2022-12-09 15:55:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87245, '123456789', 28, '118.766791', '31.8287875', '90.195', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572507403', 0, '2022-12-09 15:55:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87246, '123456789', 28, '118.766791', '31.8287875', '93.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572509057', 0, '2022-12-09 15:55:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87247, '123456789', 28, '118.766791', '31.8287875', '98.713', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572511287', 0, '2022-12-09 15:55:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87248, '123456789', 28, '118.766791', '31.8287875', '99.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572513023', 0, '2022-12-09 15:55:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87249, '123456789', 28, '118.7668044', '31.8287879', '99.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572515230', 0, '2022-12-09 15:55:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87250, '123456789', 28, '118.7668845', '31.828791', '99.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572517445', 0, '2022-12-09 15:55:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87251, '123456789', 28, '118.7670017', '31.8287952', '99.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572519053', 0, '2022-12-09 15:55:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87252, '123456789', 28, '118.767249', '31.8288042', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572521291', 0, '2022-12-09 15:55:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87253, '123456789', 28, '118.7674562', '31.8288118', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572523578', 0, '2022-12-09 15:55:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87254, '123456789', 28, '118.7676651', '31.8288194', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572525212', 0, '2022-12-09 15:55:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87255, '123456789', 28, '118.7678749', '31.8288271', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572527456', 0, '2022-12-09 15:55:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87256, '123456789', 28, '118.7680321', '31.8288328', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572529150', 0, '2022-12-09 15:55:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87257, '123456789', 28, '118.7682956', '31.8288424', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572531380', 0, '2022-12-09 15:55:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87258, '123456789', 28, '118.7684538', '31.8288481', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572533080', 0, '2022-12-09 15:55:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87259, '123456789', 28, '118.7686654', '31.8288558', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572535189', 0, '2022-12-09 15:55:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87260, '123456789', 28, '118.7690883', '31.8288712', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572539142', 0, '2022-12-09 15:55:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87261, '123456789', 28, '118.769352', '31.8288808', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572541400', 0, '2022-12-09 15:55:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87262, '123456789', 28, '118.7695106', '31.8288866', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572543095', 0, '2022-12-09 15:55:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87263, '123456789', 28, '118.7697746', '31.8288962', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572545356', 0, '2022-12-09 15:55:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87264, '123456789', 28, '118.7699332', '31.8289019', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572547017', 0, '2022-12-09 15:55:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87265, '123456789', 28, '118.7701975', '31.8289116', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572549249', 0, '2022-12-09 15:55:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87266, '123456789', 28, '118.7703916', '31.8289187', '100.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572551503', 0, '2022-12-09 15:55:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87267, '123456789', 28, '118.7704851', '31.8289245', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572553204', 0, '2022-12-09 15:55:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87268, '123456789', 28, '118.7705004', '31.8289906', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572555443', 0, '2022-12-09 15:55:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87269, '123456789', 28, '118.770465', '31.8290855', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572557044', 0, '2022-12-09 15:55:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87270, '123456789', 28, '118.7703958', '31.8292874', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572559319', 0, '2022-12-09 15:55:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87271, '123456789', 28, '118.7703406', '31.829457', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572561537', 0, '2022-12-09 15:56:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87272, '123456789', 28, '118.7702852', '31.829628', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572563220', 0, '2022-12-09 15:56:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87273, '123456789', 28, '118.7702295', '31.8298002', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572565405', 0, '2022-12-09 15:56:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87274, '123456789', 28, '118.7701878', '31.8299295', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572567032', 0, '2022-12-09 15:56:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87275, '123456789', 28, '118.770118', '31.8301458', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572569284', 0, '2022-12-09 15:56:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87276, '123456789', 28, '118.7700622', '31.8303185', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572571527', 0, '2022-12-09 15:56:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87277, '123456789', 28, '118.7700204', '31.830448', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572573206', 0, '2022-12-09 15:56:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87278, '123456789', 28, '118.7699505', '31.8306649', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572575335', 0, '2022-12-09 15:56:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87279, '123456789', 28, '118.7698944', '31.8308384', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572577529', 0, '2022-12-09 15:56:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87280, '123456789', 28, '118.7698525', '31.8309682', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572579199', 0, '2022-12-09 15:56:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87281, '123456789', 28, '118.7697826', '31.8311851', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572581381', 0, '2022-12-09 15:56:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87282, '123456789', 28, '118.7697407', '31.8313148', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572583011', 0, '2022-12-09 15:56:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87283, '123456789', 28, '118.769671', '31.831531', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572585271', 0, '2022-12-09 15:56:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87284, '123456789', 28, '118.769615', '31.8317045', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572587529', 0, '2022-12-09 15:56:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87285, '123456789', 28, '118.7695729', '31.8318347', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572589216', 0, '2022-12-09 15:56:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87286, '123456789', 28, '118.7695031', '31.832051', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572591450', 0, '2022-12-09 15:56:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87287, '123456789', 28, '118.7694611', '31.8321812', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572593094', 0, '2022-12-09 15:56:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87288, '123456789', 28, '118.7693913', '31.8323975', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572595265', 0, '2022-12-09 15:56:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87289, '123456789', 28, '118.7693354', '31.8325708', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572597499', 0, '2022-12-09 15:56:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87290, '123456789', 28, '118.7692936', '31.8327003', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572599185', 0, '2022-12-09 15:56:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87291, '123456789', 28, '118.7692237', '31.832917', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572601432', 0, '2022-12-09 15:56:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87292, '123456789', 28, '118.7691818', '31.8330468', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572603114', 0, '2022-12-09 15:56:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87293, '123456789', 28, '118.7691119', '31.8332635', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572605352', 0, '2022-12-09 15:56:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87294, '123456789', 28, '118.7690699', '31.8333935', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572607032', 0, '2022-12-09 15:56:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87295, '123456789', 28, '118.769', '31.8336101', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572609277', 0, '2022-12-09 15:56:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87296, '123456789', 28, '118.7689442', '31.833783', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572611523', 0, '2022-12-09 15:56:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87297, '123456789', 28, '118.7689023', '31.8339129', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572613209', 0, '2022-12-09 15:56:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87298, '123456789', 28, '118.7688324', '31.8341294', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572615453', 0, '2022-12-09 15:56:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87299, '123456789', 28, '118.7687906', '31.834259', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572617145', 0, '2022-12-09 15:56:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87300, '123456789', 28, '118.7687207', '31.8344758', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572619336', 0, '2022-12-09 15:56:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87301, '123456789', 28, '118.7686787', '31.8346058', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572621023', 0, '2022-12-09 15:57:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87302, '123456789', 28, '118.7686086', '31.8348231', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572623268', 0, '2022-12-09 15:57:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87303, '123456789', 28, '118.7685526', '31.8349965', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572625523', 0, '2022-12-09 15:57:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87304, '123456789', 28, '118.7685132', '31.8351185', '100.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572627202', 0, '2022-12-09 15:57:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87305, '123456789', 28, '118.7684588', '31.8352421', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572629444', 0, '2022-12-09 15:57:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87306, '123456789', 28, '118.7683964', '31.8352519', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572631130', 0, '2022-12-09 15:57:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87307, '123456789', 28, '118.7681898', '31.8352311', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572633375', 0, '2022-12-09 15:57:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87308, '123456789', 28, '118.7680384', '31.8352182', '100.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572635066', 0, '2022-12-09 15:57:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87309, '123456789', 28, '118.7677791', '31.8351991', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572637310', 0, '2022-12-09 15:57:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87310, '123456789', 28, '118.7676226', '31.8351878', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572639004', 0, '2022-12-09 15:57:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87311, '123456789', 28, '118.7673619', '31.8351691', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572641237', 0, '2022-12-09 15:57:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87312, '123456789', 28, '118.7671518', '31.8351539', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572643531', 0, '2022-12-09 15:57:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87313, '123456789', 28, '118.7669936', '31.8351426', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572645170', 0, '2022-12-09 15:57:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87314, '123456789', 28, '118.7667305', '31.8351237', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572647413', 0, '2022-12-09 15:57:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87315, '123456789', 28, '118.7665724', '31.8351124', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572649098', 0, '2022-12-09 15:57:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87316, '123456789', 28, '118.7663087', '31.8350934', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572651352', 0, '2022-12-09 15:57:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87317, '123456789', 28, '118.766151', '31.8350821', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572653035', 0, '2022-12-09 15:57:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87318, '123456789', 28, '118.7658879', '31.8350632', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572655277', 0, '2022-12-09 15:57:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87319, '123456789', 28, '118.7657295', '31.8350519', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572657084', 0, '2022-12-09 15:57:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87320, '123456789', 28, '118.7655186', '31.8350367', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572659209', 0, '2022-12-09 15:57:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87321, '123456789', 28, '118.7652551', '31.8350178', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572661395', 0, '2022-12-09 15:57:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87322, '123456789', 28, '118.7650968', '31.8350065', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572663081', 0, '2022-12-09 15:57:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87323, '123456789', 28, '118.7648335', '31.8349876', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572665325', 0, '2022-12-09 15:57:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87324, '123456789', 28, '118.764676', '31.8349763', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572667019', 0, '2022-12-09 15:57:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87325, '123456789', 28, '118.7644128', '31.8349574', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572669256', 0, '2022-12-09 15:57:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87326, '123456789', 28, '118.7642015', '31.8349422', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572671505', 0, '2022-12-09 15:57:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87327, '123456789', 28, '118.7640444', '31.834931', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572673126', 0, '2022-12-09 15:57:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87328, '123456789', 28, '118.7637804', '31.834912', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572675379', 0, '2022-12-09 15:57:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87329, '123456789', 28, '118.763623', '31.8349007', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572677063', 0, '2022-12-09 15:57:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87330, '123456789', 28, '118.7633593', '31.8348818', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572679309', 0, '2022-12-09 15:57:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87331, '123456789', 28, '118.7631491', '31.8348667', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572681558', 0, '2022-12-09 15:58:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87332, '123456789', 28, '118.7629916', '31.8348554', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572683238', 0, '2022-12-09 15:58:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87333, '123456789', 28, '118.7627277', '31.8348365', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572685485', 0, '2022-12-09 15:58:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87334, '123456789', 28, '118.7625699', '31.8348252', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572687117', 0, '2022-12-09 15:58:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87335, '123456789', 28, '118.7623069', '31.8348063', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572689362', 0, '2022-12-09 15:58:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87336, '123456789', 28, '118.7621485', '31.834795', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572691051', 0, '2022-12-09 15:58:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87337, '123456789', 28, '118.7618853', '31.8347761', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572693297', 0, '2022-12-09 15:58:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87338, '123456789', 28, '118.7616747', '31.8347609', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572695515', 0, '2022-12-09 15:58:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87339, '123456789', 28, '118.7615163', '31.8347496', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572697169', 0, '2022-12-09 15:58:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87340, '123456789', 28, '118.7612531', '31.8347307', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572699419', 0, '2022-12-09 15:58:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87341, '123456789', 28, '118.7610947', '31.8347193', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572701108', 0, '2022-12-09 15:58:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87342, '123456789', 28, '118.7608309', '31.8347004', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572703357', 0, '2022-12-09 15:58:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87343, '123456789', 28, '118.7606198', '31.8346852', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572705545', 0, '2022-12-09 15:58:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87344, '123456789', 28, '118.7604614', '31.8346739', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572707171', 0, '2022-12-09 15:58:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87345, '123456789', 28, '118.7601981', '31.834655', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572709418', 0, '2022-12-09 15:58:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87346, '123456789', 28, '118.7600396', '31.8346436', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572711100', 0, '2022-12-09 15:58:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87347, '123456789', 28, '118.7597763', '31.8346247', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572713345', 0, '2022-12-09 15:58:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87348, '123456789', 28, '118.759618', '31.8346134', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572715029', 0, '2022-12-09 15:58:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87349, '123456789', 28, '118.759407', '31.8345982', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572717278', 0, '2022-12-09 15:58:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87350, '123456789', 28, '118.759143', '31.8345793', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572719524', 0, '2022-12-09 15:58:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87351, '123456789', 28, '118.7589852', '31.8345679', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572721151', 0, '2022-12-09 15:58:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87352, '123456789', 28, '118.758774', '31.8345516', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572723393', 0, '2022-12-09 15:58:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87353, '123456789', 28, '118.7587186', '31.8345289', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572725087', 0, '2022-12-09 15:58:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87354, '123456789', 28, '118.7587071', '31.8343994', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572727324', 0, '2022-12-09 15:58:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87355, '123456789', 28, '118.7587042', '31.8342777', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572729014', 0, '2022-12-09 15:58:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87356, '123456789', 28, '118.7586962', '31.8341029', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572731133', 0, '2022-12-09 15:58:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87357, '123456789', 28, '118.7586838', '31.833881', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572733327', 0, '2022-12-09 15:58:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87358, '123456789', 28, '118.7586737', '31.833703', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572735563', 0, '2022-12-09 15:58:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87359, '123456789', 28, '118.758666', '31.8335693', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572737243', 0, '2022-12-09 15:58:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87360, '123456789', 28, '118.7586532', '31.8333458', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572739377', 0, '2022-12-09 15:58:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87361, '123456789', 28, '118.7586454', '31.833211', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572741060', 0, '2022-12-09 15:59:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87362, '123456789', 28, '118.7586326', '31.8329869', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572743308', 0, '2022-12-09 15:59:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87363, '123456789', 28, '118.7586223', '31.8328075', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572745554', 0, '2022-12-09 15:59:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87364, '123456789', 28, '118.7586145', '31.8326725', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572747234', 0, '2022-12-09 15:59:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87365, '123456789', 28, '118.7586017', '31.8324485', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572749425', 0, '2022-12-09 15:59:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87366, '123456789', 28, '118.7585939', '31.8323141', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572751113', 0, '2022-12-09 15:59:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87367, '123456789', 28, '118.758581', '31.8320895', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572753359', 0, '2022-12-09 15:59:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87368, '123456789', 28, '118.7585733', '31.8319547', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572755042', 0, '2022-12-09 15:59:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87369, '123456789', 28, '118.758563', '31.8317752', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572757235', 0, '2022-12-09 15:59:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87370, '123456789', 28, '118.7585501', '31.831551', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572759428', 0, '2022-12-09 15:59:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87371, '123456789', 28, '118.7585424', '31.8314165', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572761109', 0, '2022-12-09 15:59:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87372, '123456789', 28, '118.7585295', '31.8311924', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572763357', 0, '2022-12-09 15:59:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87373, '123456789', 28, '118.7585218', '31.8310577', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572765042', 0, '2022-12-09 15:59:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87374, '123456789', 28, '118.7585114', '31.8308783', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572767286', 0, '2022-12-09 15:59:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87375, '123456789', 28, '118.7584986', '31.8306544', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572769423', 0, '2022-12-09 15:59:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87376, '123456789', 28, '118.7584908', '31.8305199', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572771099', 0, '2022-12-09 15:59:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87377, '123456789', 28, '118.7584805', '31.8303406', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572773281', 0, '2022-12-09 15:59:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87378, '123456789', 28, '118.7584677', '31.830116', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572775519', 0, '2022-12-09 15:59:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87379, '123456789', 28, '118.75846', '31.8299819', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572777150', 0, '2022-12-09 15:59:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87380, '123456789', 28, '118.7584399', '31.8297578', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572779342', 0, '2022-12-09 15:59:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87381, '123456789', 28, '118.7584121', '31.8296259', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572781029', 0, '2022-12-09 15:59:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87382, '123456789', 28, '118.758354', '31.8294529', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572783274', 0, '2022-12-09 15:59:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87383, '123456789', 28, '118.7582715', '31.8292385', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572785546', 0, '2022-12-09 15:59:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87384, '123456789', 28, '118.7582227', '31.8291101', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572787147', 0, '2022-12-09 15:59:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87385, '123456789', 28, '118.758142', '31.8288961', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572789394', 0, '2022-12-09 15:59:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87386, '123456789', 28, '118.7580937', '31.8287677', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572791077', 0, '2022-12-09 15:59:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87387, '123456789', 28, '118.7580294', '31.8285969', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572793320', 0, '2022-12-09 15:59:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87388, '123456789', 28, '118.757965', '31.8284258', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572795015', 0, '2022-12-09 15:59:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87389, '123456789', 28, '118.7579005', '31.8282543', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572797262', 0, '2022-12-09 15:59:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87390, '123456789', 28, '118.75782', '31.8280404', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572799519', 0, '2022-12-09 16:00:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87391, '123456789', 28, '118.7577718', '31.827912', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572801148', 0, '2022-12-09 16:00:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87392, '123456789', 28, '118.7576913', '31.827698', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572803341', 0, '2022-12-09 16:00:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87393, '123456789', 28, '118.757643', '31.8275697', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572805028', 0, '2022-12-09 16:00:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87394, '123456789', 28, '118.7575786', '31.8273984', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572807275', 0, '2022-12-09 16:00:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87395, '123456789', 28, '118.7574982', '31.8271846', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572809546', 0, '2022-12-09 16:00:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87396, '123456789', 28, '118.7574499', '31.827056', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572811205', 0, '2022-12-09 16:00:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87397, '123456789', 28, '118.7573856', '31.8268851', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572813330', 0, '2022-12-09 16:00:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87398, '123456789', 28, '118.7573254', '31.8267251', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572815019', 0, '2022-12-09 16:00:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87399, '123456789', 28, '118.7572963', '31.8266246', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572817267', 0, '2022-12-09 16:00:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87400, '123456789', 28, '118.7573911', '31.8265699', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572819528', 0, '2022-12-09 16:00:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87401, '123456789', 28, '118.7575146', '31.8265301', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572821203', 0, '2022-12-09 16:00:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87402, '123456789', 28, '118.7577023', '31.8264646', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572823334', 0, '2022-12-09 16:00:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87403, '123456789', 28, '118.7578943', '31.8263954', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572825022', 0, '2022-12-09 16:00:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87404, '123456789', 28, '118.758087', '31.826326', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572827206', 0, '2022-12-09 16:00:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87405, '123456789', 28, '118.7582801', '31.8262562', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572829333', 0, '2022-12-09 16:00:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87406, '123456789', 28, '118.7584742', '31.8261861', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572831016', 0, '2022-12-09 16:00:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87407, '123456789', 28, '118.7586682', '31.8261159', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572833262', 0, '2022-12-09 16:00:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87408, '123456789', 28, '118.7589114', '31.826028', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572835512', 0, '2022-12-09 16:00:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87409, '123456789', 28, '118.7590573', '31.8259752', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572837139', 0, '2022-12-09 16:00:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87410, '123456789', 28, '118.7593003', '31.8258873', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572839382', 0, '2022-12-09 16:00:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87411, '123456789', 28, '118.7594465', '31.8258344', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572841073', 0, '2022-12-09 16:00:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87412, '123456789', 28, '118.7596413', '31.8257639', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572843325', 0, '2022-12-09 16:00:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87413, '123456789', 28, '118.7598358', '31.8256936', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572845009', 0, '2022-12-09 16:00:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87414, '123456789', 28, '118.7600306', '31.8256231', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572847254', 0, '2022-12-09 16:00:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87415, '123456789', 28, '118.7602733', '31.8255353', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572849498', 0, '2022-12-09 16:00:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87416, '123456789', 28, '118.7604193', '31.8254825', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572851186', 0, '2022-12-09 16:00:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87417, '123456789', 28, '118.7606625', '31.8253946', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572853436', 0, '2022-12-09 16:00:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87418, '123456789', 28, '118.7608081', '31.8253419', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572855117', 0, '2022-12-09 16:00:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87419, '123456789', 28, '118.7610028', '31.8252714', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572857357', 0, '2022-12-09 16:00:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87420, '123456789', 28, '118.7611976', '31.825201', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572859047', 0, '2022-12-09 16:00:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87421, '123456789', 28, '118.7613919', '31.8251307', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572861283', 0, '2022-12-09 16:01:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87422, '123456789', 28, '118.7616311', '31.8250442', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572863549', 0, '2022-12-09 16:01:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87423, '123456789', 28, '118.7617465', '31.8250024', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572865214', 0, '2022-12-09 16:01:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87424, '123456789', 28, '118.7618266', '31.8250043', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572867465', 0, '2022-12-09 16:01:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87425, '123456789', 28, '118.7618328', '31.8250774', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572869148', 0, '2022-12-09 16:01:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87426, '123456789', 28, '118.7618477', '31.8252736', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572871392', 0, '2022-12-09 16:01:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87427, '123456789', 28, '118.7618601', '31.8254036', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572873076', 0, '2022-12-09 16:01:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87428, '123456789', 28, '118.7618782', '31.8255795', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572875327', 0, '2022-12-09 16:01:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87429, '123456789', 28, '118.7618965', '31.8257567', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572877012', 0, '2022-12-09 16:01:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87430, '123456789', 28, '118.761915', '31.8259346', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572879258', 0, '2022-12-09 16:01:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87431, '123456789', 28, '118.7619383', '31.8261581', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572881573', 0, '2022-12-09 16:01:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87432, '123456789', 28, '118.7619523', '31.8262919', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572883181', 0, '2022-12-09 16:01:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87433, '123456789', 28, '118.761971', '31.826471', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572885372', 0, '2022-12-09 16:01:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87434, '123456789', 28, '118.7619897', '31.82665', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572887060', 0, '2022-12-09 16:01:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87435, '123456789', 28, '118.7620084', '31.8268289', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572889303', 0, '2022-12-09 16:01:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87436, '123456789', 28, '118.7620318', '31.8270523', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572891618', 0, '2022-12-09 16:01:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87437, '123456789', 28, '118.7620458', '31.8271868', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572893239', 0, '2022-12-09 16:01:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87438, '123456789', 28, '118.7620692', '31.8274104', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572895531', 0, '2022-12-09 16:01:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87439, '123456789', 28, '118.7620833', '31.827545', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572897109', 0, '2022-12-09 16:01:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87440, '123456789', 28, '118.762102', '31.8277241', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572899299', 0, '2022-12-09 16:01:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87441, '123456789', 28, '118.7621254', '31.8279474', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572901547', 0, '2022-12-09 16:01:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87442, '123456789', 28, '118.7621392', '31.8280793', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572903225', 0, '2022-12-09 16:01:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87443, '123456789', 28, '118.7621597', '31.8282371', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572905545', 0, '2022-12-09 16:01:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87444, '123456789', 28, '118.7621977', '31.8282668', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572907156', 0, '2022-12-09 16:01:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87445, '123456789', 28, '118.7623288', '31.8282635', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572909347', 0, '2022-12-09 16:01:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87446, '123456789', 28, '118.7625221', '31.8282563', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572911034', 0, '2022-12-09 16:01:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87447, '123456789', 28, '118.7627294', '31.8282521', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572913214', 0, '2022-12-09 16:01:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87448, '123456789', 28, '118.7629901', '31.8282479', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572915510', 0, '2022-12-09 16:01:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87449, '123456789', 28, '118.7631477', '31.8282454', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572917156', 0, '2022-12-09 16:01:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87450, '123456789', 28, '118.7633579', '31.8282422', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572919432', 0, '2022-12-09 16:01:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87451, '123456789', 28, '118.7635692', '31.8282389', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572921094', 0, '2022-12-09 16:02:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87452, '123456789', 28, '118.7637801', '31.8282357', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572923273', 0, '2022-12-09 16:02:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87453, '123456789', 28, '118.7640445', '31.8282317', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572925481', 0, '2022-12-09 16:02:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87454, '123456789', 28, '118.7642027', '31.8282293', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572927084', 0, '2022-12-09 16:02:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87455, '123456789', 28, '118.7644141', '31.8282261', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572929330', 0, '2022-12-09 16:02:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87456, '123456789', 28, '118.7646255', '31.8282229', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572931012', 0, '2022-12-09 16:02:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87457, '123456789', 28, '118.7648366', '31.8282197', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572933257', 0, '2022-12-09 16:02:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87458, '123456789', 28, '118.7651014', '31.8282157', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572935520', 0, '2022-12-09 16:02:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87459, '123456789', 28, '118.7652598', '31.8282133', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572937190', 0, '2022-12-09 16:02:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87460, '123456789', 28, '118.7655038', '31.8282095', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572939427', 0, '2022-12-09 16:02:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87461, '123456789', 28, '118.765594', '31.828208', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572941108', 0, '2022-12-09 16:02:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87462, '123456789', 28, '118.7656259', '31.8282075', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572943355', 0, '2022-12-09 16:02:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87463, '123456789', 28, '118.7656222', '31.828209', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572945044', 0, '2022-12-09 16:02:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87464, '123456789', 28, '118.7656634', '31.8282309', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572947296', 0, '2022-12-09 16:02:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87465, '123456789', 28, '118.7658283', '31.8283125', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572949548', 0, '2022-12-09 16:02:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87466, '123456789', 28, '118.765958', '31.8283768', '99.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572951240', 0, '2022-12-09 16:02:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87467, '123456789', 28, '118.7661827', '31.8284875', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572953485', 0, '2022-12-09 16:02:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87468, '123456789', 28, '118.7663183', '31.8285544', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572955175', 0, '2022-12-09 16:02:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87469, '123456789', 28, '118.7665448', '31.8286662', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572957426', 0, '2022-12-09 16:02:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87470, '123456789', 28, '118.7666706', '31.8287282', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572959106', 0, '2022-12-09 16:02:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87471, '123456789', 28, '118.7667777', '31.8287809', '99.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572961234', 0, '2022-12-09 16:02:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87472, '123456789', 28, '118.7667987', '31.8287914', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572963484', 0, '2022-12-09 16:02:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87473, '123456789', 28, '118.7667946', '31.8287897', '99.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572965164', 0, '2022-12-09 16:02:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87474, '123456789', 28, '118.7667923', '31.8287886', '95.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572967351', 0, '2022-12-09 16:02:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87475, '123456789', 28, '118.7667919', '31.8287883', '92.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572969037', 0, '2022-12-09 16:02:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87476, '123456789', 28, '118.7667916', '31.8287881', '89.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572971284', 0, '2022-12-09 16:02:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87477, '123456789', 28, '118.7667914', '31.828788', '86.231', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572973550', 0, '2022-12-09 16:02:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87478, '123456789', 28, '118.7667914', '31.828788', '83.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572975217', 0, '2022-12-09 16:02:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87479, '123456789', 28, '118.7667913', '31.828788', '80.241', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572977466', 0, '2022-12-09 16:02:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87480, '123456789', 28, '118.7667913', '31.828788', '77.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572979152', 0, '2022-12-09 16:02:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87481, '123456789', 28, '118.7667913', '31.8287879', '75.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572981402', 0, '2022-12-09 16:03:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87482, '123456789', 28, '118.7667913', '31.8287879', '71.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572983093', 0, '2022-12-09 16:03:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87483, '123456789', 28, '118.7667913', '31.8287879', '68.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572985340', 0, '2022-12-09 16:03:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87484, '123456789', 28, '118.7667913', '31.8287879', '65.244', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572987527', 0, '2022-12-09 16:03:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87485, '123456789', 28, '118.7667913', '31.8287879', '62.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572989209', 0, '2022-12-09 16:03:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87486, '123456789', 28, '118.7667913', '31.8287879', '59.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572991400', 0, '2022-12-09 16:03:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87487, '123456789', 28, '118.7667913', '31.8287879', '57.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572993083', 0, '2022-12-09 16:03:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87488, '123456789', 28, '118.7667912', '31.8287879', '53.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572995275', 0, '2022-12-09 16:03:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87489, '123456789', 28, '118.7667912', '31.8287879', '50.248', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572997523', 0, '2022-12-09 16:03:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87490, '123456789', 28, '118.7667912', '31.8287879', '47.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670572999206', 0, '2022-12-09 16:03:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87491, '123456789', 28, '118.7667912', '31.8287879', '44.242', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573001458', 0, '2022-12-09 16:03:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87492, '123456789', 28, '118.7667912', '31.8287879', '42', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573003147', 0, '2022-12-09 16:03:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87493, '123456789', 28, '118.7667912', '31.8287879', '39', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573005394', 0, '2022-12-09 16:03:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87494, '123456789', 28, '118.7667912', '31.8287879', '36.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573007017', 0, '2022-12-09 16:03:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87495, '123456789', 28, '118.7667912', '31.8287879', '33.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573009207', 0, '2022-12-09 16:03:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87496, '123456789', 28, '118.7667912', '31.8287879', '29.247', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573011450', 0, '2022-12-09 16:03:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87497, '123456789', 28, '118.7667912', '31.8287879', '27', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573013136', 0, '2022-12-09 16:03:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87498, '123456789', 28, '118.7667912', '31.8287879', '23.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573015329', 0, '2022-12-09 16:03:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87499, '123456789', 28, '118.7667912', '31.8287879', '20.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573017015', 0, '2022-12-09 16:03:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87500, '123456789', 28, '118.7667912', '31.8287879', '17.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573019262', 0, '2022-12-09 16:03:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87501, '123456789', 28, '118.7667912', '31.8287878', '14.259', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573021505', 0, '2022-12-09 16:03:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87502, '123456789', 28, '118.7667912', '31.8287878', '12.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573023186', 0, '2022-12-09 16:03:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87503, '123456789', 28, '118.7667912', '31.8287878', '10.093', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573025387', 0, '2022-12-09 16:03:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87504, '123456789', 28, '118.7667912', '31.8287877', '9.12', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573027058', 0, '2022-12-09 16:03:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87505, '123456789', 28, '118.7667912', '31.8287877', '8.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573029307', 0, '2022-12-09 16:03:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87506, '123456789', 28, '118.7667912', '31.8287877', '6.854', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573031496', 0, '2022-12-09 16:03:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87507, '123456789', 28, '118.7667911', '31.8287877', '6.102', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573033171', 0, '2022-12-09 16:03:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87508, '123456789', 28, '118.7667911', '31.8287877', '5.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573035436', 0, '2022-12-09 16:03:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87509, '123456789', 28, '118.7667912', '31.8287876', '4.098', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573037100', 0, '2022-12-09 16:03:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87510, '123456789', 28, '118.7667912', '31.8287876', '3.095', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573039348', 0, '2022-12-09 16:03:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87511, '123456789', 28, '118.7667912', '31.8287876', '2.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573041036', 0, '2022-12-09 16:04:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87512, '123456789', 28, '118.7667911', '31.8287876', '1.093', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573043219', 0, '2022-12-09 16:04:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87513, '123456789', 28, '118.7667911', '31.8287876', '0.092', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573045402', 0, '2022-12-09 16:04:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87514, '123456789', 28, '118.7667912', '31.8287875', '0.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670573047091', 0, '2022-12-09 16:04:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87899, '123456789', 52, '113.1479328', '27.7891238', '-0.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835712298', 0, '2022-12-12 17:01:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87900, '123456789', 52, '113.1479327', '27.789124', '-0.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835714330', 0, '2022-12-12 17:01:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87901, '123456789', 52, '113.1479313', '27.7891249', '3.058', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835716340', 0, '2022-12-12 17:01:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87902, '123456789', 52, '113.1479351', '27.7891195', '8.519', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835718358', 0, '2022-12-12 17:01:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87903, '123456789', 52, '113.1479318', '27.7891243', '13.331', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835720375', 0, '2022-12-12 17:02:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87904, '123456789', 52, '113.147933', '27.7891246', '18.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835722383', 0, '2022-12-12 17:02:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87905, '123456789', 52, '113.1479329', '27.7891241', '22.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835724459', 0, '2022-12-12 17:02:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87906, '123456789', 52, '113.147933', '27.7891246', '28.05', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835726475', 0, '2022-12-12 17:02:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87907, '123456789', 52, '113.1479331', '27.7891238', '33.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835728492', 0, '2022-12-12 17:02:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87908, '123456789', 52, '113.1479321', '27.7891237', '36.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835730009', 0, '2022-12-12 17:02:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87909, '123456789', 52, '113.147933', '27.7891241', '41.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835732080', 0, '2022-12-12 17:02:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87910, '123456789', 52, '113.1479329', '27.7891239', '46.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835734097', 0, '2022-12-12 17:02:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87911, '123456789', 52, '113.1479334', '27.7891234', '51.916', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835736102', 0, '2022-12-12 17:02:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87912, '123456789', 52, '113.1479326', '27.7891236', '56.868', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835738170', 0, '2022-12-12 17:02:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87913, '123456789', 52, '113.1479326', '27.7891243', '61.86', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835740179', 0, '2022-12-12 17:02:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87914, '123456789', 52, '113.1479322', '27.7891241', '66.873', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835742189', 0, '2022-12-12 17:02:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87915, '123456789', 52, '113.147933', '27.7891238', '71.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835744262', 0, '2022-12-12 17:02:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87916, '123456789', 52, '113.147933', '27.7891238', '78.281', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835746322', 0, '2022-12-12 17:02:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87917, '123456789', 52, '113.1479326', '27.7891236', '83.249', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835748342', 0, '2022-12-12 17:02:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87918, '123456789', 52, '113.1479329', '27.7891236', '88.251', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835750457', 0, '2022-12-12 17:02:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87919, '123456789', 52, '113.1479331', '27.7891235', '93.15', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835752525', 0, '2022-12-12 17:02:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87920, '123456789', 52, '113.1479332', '27.7891237', '96.64', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835754097', 0, '2022-12-12 17:02:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87921, '123456789', 52, '113.1479328', '27.7891235', '99.564', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835756167', 0, '2022-12-12 17:02:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87922, '123456789', 52, '113.147933', '27.7891243', '99.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835758287', 0, '2022-12-12 17:02:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87923, '123456789', 52, '113.1479175', '27.7891613', '99.777', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835760460', 0, '2022-12-12 17:02:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87924, '123456789', 52, '113.1478869', '27.7892321', '99.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835762022', 0, '2022-12-12 17:02:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87925, '123456789', 52, '113.1478257', '27.7893818', '100.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835764145', 0, '2022-12-12 17:02:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87926, '123456789', 52, '113.1477569', '27.7895488', '99.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835766270', 0, '2022-12-12 17:02:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87927, '123456789', 52, '113.1476698', '27.7897589', '99.936', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835768336', 0, '2022-12-12 17:02:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87928, '123456789', 52, '113.1476175', '27.7898853', '99.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835770012', 0, '2022-12-12 17:02:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87929, '123456789', 52, '113.147548', '27.7900537', '99.717', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835772077', 0, '2022-12-12 17:02:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87930, '123456789', 52, '113.1474787', '27.7902216', '99.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835774138', 0, '2022-12-12 17:02:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87931, '123456789', 52, '113.147409', '27.7903895', '99.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835776197', 0, '2022-12-12 17:02:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87932, '123456789', 52, '113.1473384', '27.7905585', '99.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835778259', 0, '2022-12-12 17:02:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87933, '123456789', 52, '113.1472524', '27.7907702', '99.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835780439', 0, '2022-12-12 17:03:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87934, '123456789', 52, '113.1471819', '27.7909382', '99.82', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835782508', 0, '2022-12-12 17:03:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87935, '123456789', 52, '113.1471294', '27.7910639', '99.879', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835784131', 0, '2022-12-12 17:03:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87936, '123456789', 52, '113.1470586', '27.7912327', '99.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835786254', 0, '2022-12-12 17:03:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87937, '123456789', 52, '113.1469719', '27.7914453', '99.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835788441', 0, '2022-12-12 17:03:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87938, '123456789', 52, '113.1469027', '27.7916137', '99.883', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835790445', 0, '2022-12-12 17:03:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87939, '123456789', 52, '113.1468502', '27.7917396', '99.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835792010', 0, '2022-12-12 17:03:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87940, '123456789', 52, '113.14678', '27.791909', '99.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835794077', 0, '2022-12-12 17:03:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87941, '123456789', 52, '113.1467107', '27.7920774', '99.904', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835796148', 0, '2022-12-12 17:03:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87942, '123456789', 52, '113.1466405', '27.7922464', '99.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835798154', 0, '2022-12-12 17:03:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87943, '123456789', 52, '113.1465705', '27.7924151', '99.883', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835800285', 0, '2022-12-12 17:03:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87944, '123456789', 52, '113.1465013', '27.792584', '99.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835802292', 0, '2022-12-12 17:03:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87945, '123456789', 52, '113.1464144', '27.792795', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835804416', 0, '2022-12-12 17:03:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87946, '123456789', 52, '113.1463621', '27.7929202', '99.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835806056', 0, '2022-12-12 17:03:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87947, '123456789', 52, '113.1462919', '27.7930894', '99.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835808110', 0, '2022-12-12 17:03:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87948, '123456789', 52, '113.1462214', '27.7932583', '99.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835810238', 0, '2022-12-12 17:03:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87949, '123456789', 52, '113.1461517', '27.7934261', '99.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835812356', 0, '2022-12-12 17:03:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87950, '123456789', 52, '113.1460821', '27.7935934', '99.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835814424', 0, '2022-12-12 17:03:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87951, '123456789', 52, '113.146012', '27.7937634', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835816109', 0, '2022-12-12 17:03:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87952, '123456789', 52, '113.1459418', '27.7939319', '99.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835818126', 0, '2022-12-12 17:03:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87953, '123456789', 52, '113.1458724', '27.7941002', '99.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835820257', 0, '2022-12-12 17:03:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87954, '123456789', 52, '113.145803', '27.7942689', '99.879', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835822388', 0, '2022-12-12 17:03:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87955, '123456789', 52, '113.1457156', '27.7944796', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835824450', 0, '2022-12-12 17:03:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87956, '123456789', 52, '113.1456636', '27.7946073', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835826079', 0, '2022-12-12 17:03:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87957, '123456789', 52, '113.1455931', '27.7947763', '99.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835828158', 0, '2022-12-12 17:03:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87958, '123456789', 52, '113.1455233', '27.7949454', '99.904', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835830169', 0, '2022-12-12 17:03:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87959, '123456789', 52, '113.1454543', '27.7951144', '99.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835832230', 0, '2022-12-12 17:03:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87960, '123456789', 52, '113.1453849', '27.795284', '99.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835834312', 0, '2022-12-12 17:03:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87961, '123456789', 52, '113.1453168', '27.7954523', '99.884', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835836366', 0, '2022-12-12 17:03:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87962, '123456789', 52, '113.1452336', '27.7956641', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835838497', 0, '2022-12-12 17:03:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87963, '123456789', 52, '113.1451675', '27.7958314', '99.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835840496', 0, '2022-12-12 17:04:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87964, '123456789', 52, '113.1451165', '27.79596', '100.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835842064', 0, '2022-12-12 17:04:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87965, '123456789', 52, '113.1450499', '27.7961315', '99.901', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835844191', 0, '2022-12-12 17:04:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87966, '123456789', 52, '113.1449821', '27.7963001', '99.913', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835846250', 0, '2022-12-12 17:04:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87967, '123456789', 52, '113.1449152', '27.7964705', '99.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835848314', 0, '2022-12-12 17:04:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87968, '123456789', 52, '113.1448311', '27.7966831', '99.861', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835850447', 0, '2022-12-12 17:04:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87969, '123456789', 52, '113.1447649', '27.796852', '99.904', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835852506', 0, '2022-12-12 17:04:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87970, '123456789', 52, '113.1447145', '27.796979', '99.8', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835854012', 0, '2022-12-12 17:04:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87971, '123456789', 52, '113.1446479', '27.7971484', '100.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835856021', 0, '2022-12-12 17:04:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87972, '123456789', 52, '113.1445802', '27.797318', '99.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835858087', 0, '2022-12-12 17:04:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87973, '123456789', 52, '113.1445133', '27.7974871', '100.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835860217', 0, '2022-12-12 17:04:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87974, '123456789', 52, '113.1444474', '27.7976568', '99.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835862283', 0, '2022-12-12 17:04:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87975, '123456789', 52, '113.1443632', '27.7978693', '100.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835864415', 0, '2022-12-12 17:04:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87976, '123456789', 52, '113.1442962', '27.7980387', '100.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835866489', 0, '2022-12-12 17:04:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87977, '123456789', 52, '113.1442461', '27.7981655', '99.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835868052', 0, '2022-12-12 17:04:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87978, '123456789', 52, '113.1441784', '27.798336', '99.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835870060', 0, '2022-12-12 17:04:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87979, '123456789', 52, '113.1441121', '27.7985051', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835872070', 0, '2022-12-12 17:04:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87980, '123456789', 52, '113.1440447', '27.7986751', '100.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835874138', 0, '2022-12-12 17:04:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87981, '123456789', 52, '113.1439771', '27.7988441', '100.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835876207', 0, '2022-12-12 17:04:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87982, '123456789', 52, '113.1439024', '27.7990113', '99.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835878286', 0, '2022-12-12 17:04:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87983, '123456789', 52, '113.1438213', '27.7991754', '99.939', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835880295', 0, '2022-12-12 17:04:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87984, '123456789', 52, '113.1437389', '27.7993393', '100.017', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835882309', 0, '2022-12-12 17:04:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87985, '123456789', 52, '113.1436551', '27.7995037', '99.807', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835884436', 0, '2022-12-12 17:04:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87986, '123456789', 52, '113.1435727', '27.7996676', '100.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835886509', 0, '2022-12-12 17:04:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87987, '123456789', 52, '113.143489', '27.7998315', '99.833', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835888016', 0, '2022-12-12 17:04:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87988, '123456789', 52, '113.1434061', '27.7999956', '100.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835890149', 0, '2022-12-12 17:04:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87989, '123456789', 52, '113.1433236', '27.8001603', '99.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835892155', 0, '2022-12-12 17:04:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87990, '123456789', 52, '113.1432406', '27.8003236', '100.131', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835894169', 0, '2022-12-12 17:04:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87991, '123456789', 52, '113.1431584', '27.8004882', '99.915', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835896177', 0, '2022-12-12 17:04:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87992, '123456789', 52, '113.1430759', '27.8006518', '99.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835898298', 0, '2022-12-12 17:04:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87993, '123456789', 52, '113.1429933', '27.800816', '100.16', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835900315', 0, '2022-12-12 17:05:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87994, '123456789', 52, '113.1429101', '27.8009808', '99.79', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835902333', 0, '2022-12-12 17:05:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87995, '123456789', 52, '113.142805', '27.8011855', '99.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835904518', 0, '2022-12-12 17:05:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87996, '123456789', 52, '113.1427512', '27.8012879', '100.484', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835906199', 0, '2022-12-12 17:05:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87997, '123456789', 52, '113.1427199', '27.8013385', '103.855', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835908273', 0, '2022-12-12 17:05:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87998, '123456789', 52, '113.1427244', '27.8013403', '108.672', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835910274', 0, '2022-12-12 17:05:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (87999, '123456789', 52, '113.142727', '27.8013423', '115.083', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835912399', 0, '2022-12-12 17:05:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88000, '123456789', 52, '113.1427265', '27.8013434', '120.152', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835914473', 0, '2022-12-12 17:05:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88001, '123456789', 52, '113.1427258', '27.8013436', '123.87', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835916036', 0, '2022-12-12 17:05:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88002, '123456789', 52, '113.1427245', '27.8013436', '128.831', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835918045', 0, '2022-12-12 17:05:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88003, '123456789', 52, '113.1427246', '27.8013437', '133.774', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835920172', 0, '2022-12-12 17:05:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88004, '123456789', 52, '113.1427246', '27.801344', '138.637', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835922238', 0, '2022-12-12 17:05:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88005, '123456789', 52, '113.1427247', '27.8013433', '143.774', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835924377', 0, '2022-12-12 17:05:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88006, '123456789', 52, '113.1427316', '27.8013267', '149.301', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835926442', 0, '2022-12-12 17:05:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88007, '123456789', 52, '113.1427505', '27.801266', '149.893', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835928067', 0, '2022-12-12 17:05:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88008, '123456789', 52, '113.1428191', '27.8011316', '150.085', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835930252', 0, '2022-12-12 17:05:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88009, '123456789', 52, '113.1429088', '27.800923', '149.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835932428', 0, '2022-12-12 17:05:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88010, '123456789', 52, '113.1429801', '27.8007523', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835934489', 0, '2022-12-12 17:05:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88011, '123456789', 52, '113.1430321', '27.8006283', '149.891', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835936117', 0, '2022-12-12 17:05:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88012, '123456789', 52, '113.1431019', '27.8004625', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835938124', 0, '2022-12-12 17:05:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88013, '123456789', 52, '113.1431734', '27.8002935', '150.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835940248', 0, '2022-12-12 17:05:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88014, '123456789', 52, '113.1432622', '27.800084', '150.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835942385', 0, '2022-12-12 17:05:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88015, '123456789', 52, '113.1433342', '27.7999156', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835944503', 0, '2022-12-12 17:05:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88016, '123456789', 52, '113.1433879', '27.7997896', '149.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835946116', 0, '2022-12-12 17:05:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88017, '123456789', 52, '113.1434598', '27.7996221', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835948129', 0, '2022-12-12 17:05:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88018, '123456789', 52, '113.143531', '27.7994538', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835950199', 0, '2022-12-12 17:05:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88019, '123456789', 52, '113.1436207', '27.7992428', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835952328', 0, '2022-12-12 17:05:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88020, '123456789', 52, '113.1436745', '27.7991167', '150.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835954011', 0, '2022-12-12 17:05:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88021, '123456789', 52, '113.143746', '27.798949', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835956073', 0, '2022-12-12 17:05:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88022, '123456789', 52, '113.1438174', '27.7987804', '150.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835958139', 0, '2022-12-12 17:05:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88023, '123456789', 52, '113.1438891', '27.7986125', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835960270', 0, '2022-12-12 17:06:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88024, '123456789', 52, '113.1439789', '27.7984029', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835962397', 0, '2022-12-12 17:06:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88025, '123456789', 52, '113.1440506', '27.7982348', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835964408', 0, '2022-12-12 17:06:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88026, '123456789', 52, '113.1441213', '27.7980667', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835966477', 0, '2022-12-12 17:06:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88027, '123456789', 52, '113.1441756', '27.7979409', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835968160', 0, '2022-12-12 17:06:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88028, '123456789', 52, '113.1442471', '27.7977725', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835970224', 0, '2022-12-12 17:06:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88029, '123456789', 52, '113.144319', '27.7976049', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835972232', 0, '2022-12-12 17:06:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88030, '123456789', 52, '113.1444097', '27.7973947', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835974468', 0, '2022-12-12 17:06:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88031, '123456789', 52, '113.1444628', '27.7972683', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835976037', 0, '2022-12-12 17:06:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88032, '123456789', 52, '113.1445336', '27.7970998', '149.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835978221', 0, '2022-12-12 17:06:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88033, '123456789', 52, '113.1446226', '27.7968909', '150.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835980353', 0, '2022-12-12 17:06:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88034, '123456789', 52, '113.1446946', '27.7967225', '150.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835982534', 0, '2022-12-12 17:06:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88035, '123456789', 52, '113.1447486', '27.7965965', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835984161', 0, '2022-12-12 17:06:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88036, '123456789', 52, '113.144838', '27.7963863', '149.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835986401', 0, '2022-12-12 17:06:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88037, '123456789', 52, '113.1449095', '27.7962185', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835988469', 0, '2022-12-12 17:06:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88038, '123456789', 52, '113.1449632', '27.7960928', '150.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835990091', 0, '2022-12-12 17:06:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88039, '123456789', 52, '113.1450351', '27.795924', '150.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835992159', 0, '2022-12-12 17:06:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88040, '123456789', 52, '113.1451246', '27.7957135', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835994337', 0, '2022-12-12 17:06:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88041, '123456789', 52, '113.1451963', '27.795545', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835996397', 0, '2022-12-12 17:06:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88042, '123456789', 52, '113.1452682', '27.7953771', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670835998463', 0, '2022-12-12 17:06:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88043, '123456789', 52, '113.1453217', '27.7952508', '149.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836000146', 0, '2022-12-12 17:06:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88044, '123456789', 52, '113.1453936', '27.7950825', '150.06', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836002335', 0, '2022-12-12 17:06:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88045, '123456789', 52, '113.1454649', '27.7949149', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836004346', 0, '2022-12-12 17:06:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88046, '123456789', 52, '113.1455553', '27.7947037', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836006472', 0, '2022-12-12 17:06:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88047, '123456789', 52, '113.1456085', '27.7945774', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836008043', 0, '2022-12-12 17:06:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88048, '123456789', 52, '113.1456805', '27.7944097', '149.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836010154', 0, '2022-12-12 17:06:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88049, '123456789', 52, '113.145752', '27.7942412', '150.122', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836012279', 0, '2022-12-12 17:06:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88050, '123456789', 52, '113.1458415', '27.7940306', '150.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836014462', 0, '2022-12-12 17:06:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88051, '123456789', 52, '113.1459131', '27.7938627', '149.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836016529', 0, '2022-12-12 17:06:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88052, '123456789', 52, '113.1459672', '27.7937362', '149.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836018096', 0, '2022-12-12 17:06:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88053, '123456789', 52, '113.1460389', '27.7935682', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836020171', 0, '2022-12-12 17:07:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88054, '123456789', 52, '113.1461285', '27.7933577', '150.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836022357', 0, '2022-12-12 17:07:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88055, '123456789', 52, '113.1462002', '27.7931897', '150.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836024544', 0, '2022-12-12 17:07:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88056, '123456789', 52, '113.1462543', '27.7930635', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836026156', 0, '2022-12-12 17:07:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88057, '123456789', 52, '113.1463436', '27.7928527', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836028338', 0, '2022-12-12 17:07:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88058, '123456789', 52, '113.1464154', '27.7926842', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836030343', 0, '2022-12-12 17:07:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88059, '123456789', 52, '113.1464869', '27.7925163', '149.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836032413', 0, '2022-12-12 17:07:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88060, '123456789', 52, '113.1465586', '27.7923483', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836034536', 0, '2022-12-12 17:07:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88061, '123456789', 52, '113.1466121', '27.7922219', '150.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836036098', 0, '2022-12-12 17:07:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88062, '123456789', 52, '113.1466845', '27.7920537', '149.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836038218', 0, '2022-12-12 17:07:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88063, '123456789', 52, '113.1467736', '27.7918431', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836040332', 0, '2022-12-12 17:07:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88064, '123456789', 52, '113.1468455', '27.7916746', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836042334', 0, '2022-12-12 17:07:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88065, '123456789', 52, '113.1469174', '27.7915065', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836044464', 0, '2022-12-12 17:07:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88066, '123456789', 52, '113.146971', '27.7913805', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836046033', 0, '2022-12-12 17:07:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88067, '123456789', 52, '113.1470422', '27.7912122', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836048162', 0, '2022-12-12 17:07:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88068, '123456789', 52, '113.1471326', '27.791002', '150.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836050350', 0, '2022-12-12 17:07:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88069, '123456789', 52, '113.147204', '27.7908336', '150.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836052469', 0, '2022-12-12 17:07:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88070, '123456789', 52, '113.147258', '27.7907071', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836054034', 0, '2022-12-12 17:07:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88071, '123456789', 52, '113.1473296', '27.7905388', '149.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836056101', 0, '2022-12-12 17:07:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88072, '123456789', 52, '113.1474011', '27.790371', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836058231', 0, '2022-12-12 17:07:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88073, '123456789', 52, '113.147473', '27.7902029', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836060293', 0, '2022-12-12 17:07:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88074, '123456789', 52, '113.1475627', '27.789992', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836062424', 0, '2022-12-12 17:07:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88075, '123456789', 52, '113.1476165', '27.789866', '149.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836064042', 0, '2022-12-12 17:07:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88076, '123456789', 52, '113.1476878', '27.7896978', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836066117', 0, '2022-12-12 17:07:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88077, '123456789', 52, '113.1477596', '27.7895294', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836068294', 0, '2022-12-12 17:07:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88078, '123456789', 52, '113.147849', '27.7893197', '149.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836070364', 0, '2022-12-12 17:07:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88079, '123456789', 52, '113.1478948', '27.789211', '149.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836072039', 0, '2022-12-12 17:07:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88080, '123456789', 52, '113.1479277', '27.7891309', '150.043', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836074223', 0, '2022-12-12 17:07:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88081, '123456789', 52, '113.1479326', '27.7891237', '149.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836076403', 0, '2022-12-12 17:07:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88082, '123456789', 52, '113.1479344', '27.789124', '150.207', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836078532', 0, '2022-12-12 17:07:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88083, '123456789', 52, '113.1479407', '27.7891197', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836080100', 0, '2022-12-12 17:08:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88084, '123456789', 52, '113.1479275', '27.7891237', '149.834', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836082223', 0, '2022-12-12 17:08:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88085, '123456789', 52, '113.14793', '27.789124', '145.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836084403', 0, '2022-12-12 17:08:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88086, '123456789', 52, '113.1479311', '27.7891234', '143.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836086472', 0, '2022-12-12 17:08:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88087, '123456789', 52, '113.1479316', '27.7891241', '140.795', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836088042', 0, '2022-12-12 17:08:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88088, '123456789', 52, '113.1479325', '27.7891222', '137.788', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836090063', 0, '2022-12-12 17:08:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88089, '123456789', 52, '113.1479328', '27.7891229', '134.836', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836092129', 0, '2022-12-12 17:08:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88090, '123456789', 52, '113.1479328', '27.789123', '131.818', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836094248', 0, '2022-12-12 17:08:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88091, '123456789', 52, '113.147933', '27.7891226', '128.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836096428', 0, '2022-12-12 17:08:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88092, '123456789', 52, '113.1479329', '27.789123', '125.819', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836098109', 0, '2022-12-12 17:08:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88093, '123456789', 52, '113.1479327', '27.7891228', '122.812', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836100235', 0, '2022-12-12 17:08:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88094, '123456789', 52, '113.1479327', '27.789123', '119.122', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836102414', 0, '2022-12-12 17:08:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88095, '123456789', 52, '113.1479328', '27.7891231', '116.816', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836104035', 0, '2022-12-12 17:08:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88096, '123456789', 52, '113.1479326', '27.7891228', '113.848', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836106219', 0, '2022-12-12 17:08:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88097, '123456789', 52, '113.1479331', '27.789123', '110.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836108349', 0, '2022-12-12 17:08:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88098, '123456789', 52, '113.1479324', '27.7891235', '107.102', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836110515', 0, '2022-12-12 17:08:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88099, '123456789', 52, '113.1479325', '27.7891234', '104.815', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836112016', 0, '2022-12-12 17:08:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88100, '123456789', 52, '113.1479329', '27.7891225', '101.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836114104', 0, '2022-12-12 17:08:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88101, '123456789', 52, '113.1479326', '27.7891228', '98.795', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836116101', 0, '2022-12-12 17:08:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88102, '123456789', 52, '113.1479332', '27.7891223', '95.822', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836118223', 0, '2022-12-12 17:08:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88103, '123456789', 52, '113.1479328', '27.789123', '92.826', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836120288', 0, '2022-12-12 17:08:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88104, '123456789', 52, '113.1479329', '27.7891225', '89.082', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836122358', 0, '2022-12-12 17:08:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88105, '123456789', 52, '113.1479316', '27.7891239', '86.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836124426', 0, '2022-12-12 17:08:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88106, '123456789', 52, '113.1479329', '27.7891231', '83.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836126496', 0, '2022-12-12 17:08:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88107, '123456789', 52, '113.1479331', '27.7891228', '80.84', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836128010', 0, '2022-12-12 17:08:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88108, '123456789', 52, '113.1479326', '27.7891233', '77.743', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836130188', 0, '2022-12-12 17:08:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88109, '123456789', 52, '113.147933', '27.7891226', '74.864', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836132319', 0, '2022-12-12 17:08:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88110, '123456789', 52, '113.1479328', '27.7891233', '71.055', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836134436', 0, '2022-12-12 17:08:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88111, '123456789', 52, '113.147933', '27.7891233', '68.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836136445', 0, '2022-12-12 17:08:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88112, '123456789', 52, '113.147932', '27.7891231', '65.88', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836138008', 0, '2022-12-12 17:08:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88113, '123456789', 52, '113.1479327', '27.7891231', '62.811', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836140074', 0, '2022-12-12 17:09:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88114, '123456789', 52, '113.1479326', '27.7891233', '59.838', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836142147', 0, '2022-12-12 17:09:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88115, '123456789', 52, '113.1479326', '27.7891229', '56.776', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836144217', 0, '2022-12-12 17:09:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88116, '123456789', 52, '113.1479325', '27.7891232', '53.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836146402', 0, '2022-12-12 17:09:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88117, '123456789', 52, '113.1479323', '27.7891229', '50.075', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836148469', 0, '2022-12-12 17:09:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88118, '123456789', 52, '113.1479325', '27.7891229', '47.812', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836150091', 0, '2022-12-12 17:09:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88119, '123456789', 52, '113.1479324', '27.7891225', '44.822', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836152279', 0, '2022-12-12 17:09:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88120, '123456789', 52, '113.1479327', '27.7891228', '41.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836154461', 0, '2022-12-12 17:09:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88121, '123456789', 52, '113.1479329', '27.7891226', '38.055', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836156468', 0, '2022-12-12 17:09:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88122, '123456789', 52, '113.1479324', '27.7891229', '35.808', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836158036', 0, '2022-12-12 17:09:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88123, '123456789', 52, '113.1479326', '27.789123', '32.829', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836160103', 0, '2022-12-12 17:09:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88124, '123456789', 52, '113.1479317', '27.7891232', '29.862', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836162113', 0, '2022-12-12 17:09:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88125, '123456789', 52, '113.1479324', '27.7891231', '26.832', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836164242', 0, '2022-12-12 17:09:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88126, '123456789', 52, '113.1479334', '27.789123', '22.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836166478', 0, '2022-12-12 17:09:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88127, '123456789', 52, '113.1479328', '27.7891225', '20.773', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836168044', 0, '2022-12-12 17:09:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88128, '123456789', 52, '113.1479317', '27.7891233', '17.866', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836170230', 0, '2022-12-12 17:09:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88129, '123456789', 52, '113.1479331', '27.7891235', '15.199', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836172238', 0, '2022-12-12 17:09:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88130, '123456789', 52, '113.1479315', '27.7891245', '14.848', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836174250', 0, '2022-12-12 17:09:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88131, '123456789', 52, '113.1479319', '27.789123', '14.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836176373', 0, '2022-12-12 17:09:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88132, '123456789', 52, '113.147932', '27.789123', '13.412', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836178440', 0, '2022-12-12 17:09:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88133, '123456789', 52, '113.1479328', '27.7891234', '12.801', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836180503', 0, '2022-12-12 17:09:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88134, '123456789', 52, '113.1479332', '27.7891226', '12.374', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836182132', 0, '2022-12-12 17:09:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88135, '123456789', 52, '113.1479328', '27.7891231', '11.771', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836184194', 0, '2022-12-12 17:09:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88136, '123456789', 52, '113.1479327', '27.7891224', '11.173', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836186318', 0, '2022-12-12 17:09:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88137, '123456789', 52, '113.1479327', '27.7891227', '10.425', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836188385', 0, '2022-12-12 17:09:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88138, '123456789', 52, '113.1479328', '27.789123', '9.807', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836190391', 0, '2022-12-12 17:09:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88139, '123456789', 52, '113.1479331', '27.7891227', '9.156', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836192515', 0, '2022-12-12 17:09:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88140, '123456789', 52, '113.1479327', '27.789124', '8.724', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836194079', 0, '2022-12-12 17:09:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88141, '123456789', 52, '113.147933', '27.7891235', '8.129', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836196206', 0, '2022-12-12 17:09:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88142, '123456789', 52, '113.1479333', '27.7891234', '7.384', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836198396', 0, '2022-12-12 17:09:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88143, '123456789', 52, '113.1479326', '27.7891236', '6.936', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836200013', 0, '2022-12-12 17:10:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88144, '123456789', 52, '113.1479335', '27.7891221', '6.397', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836202017', 0, '2022-12-12 17:10:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88145, '123456789', 52, '113.1479326', '27.7891231', '5.802', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836204080', 0, '2022-12-12 17:10:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88146, '123456789', 52, '113.1479326', '27.7891235', '5.132', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836206210', 0, '2022-12-12 17:10:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88147, '123456789', 52, '113.1479332', '27.7891234', '4.382', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836208409', 0, '2022-12-12 17:10:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88148, '123456789', 52, '113.1479329', '27.7891237', '3.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836210014', 0, '2022-12-12 17:10:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88149, '123456789', 52, '113.1479325', '27.7891242', '3.352', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836212079', 0, '2022-12-12 17:10:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88150, '123456789', 52, '113.1479323', '27.7891244', '2.767', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836214200', 0, '2022-12-12 17:10:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88151, '123456789', 52, '113.1479355', '27.7891232', '2.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836216332', 0, '2022-12-12 17:10:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88152, '123456789', 52, '113.1479325', '27.7891227', '1.426', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836218341', 0, '2022-12-12 17:10:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88153, '123456789', 52, '113.1479321', '27.7891235', '0.823', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836220407', 0, '2022-12-12 17:10:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88154, '123456789', 52, '113.1479327', '27.7891247', '0.325', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836222028', 0, '2022-12-12 17:10:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88155, '123456789', 52, '113.1479339', '27.7891237', '-0.21', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836224091', 0, '2022-12-12 17:10:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88156, '123456789', 52, '113.1479339', '27.7891238', '-0.407', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670836226160', 0, '2022-12-12 17:10:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88157, '1234567', 26, '118.7667912', '31.8287875', '0.089', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910594364', 0, '2022-12-13 13:49:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88158, '1234567', 26, '118.7667912', '31.8287875', '3.14', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910596053', 0, '2022-12-13 13:49:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88159, '1234567', 26, '118.7667912', '31.8287874', '8.19', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910598249', 0, '2022-12-13 13:49:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88160, '1234567', 26, '118.7667912', '31.8287874', '14.428', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910600443', 0, '2022-12-13 13:50:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88161, '1234567', 26, '118.7667912', '31.8287874', '18.183', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910602134', 0, '2022-12-13 13:50:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88162, '1234567', 26, '118.7667912', '31.8287874', '23.181', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910604322', 0, '2022-12-13 13:50:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88163, '1234567', 26, '118.7667912', '31.8287874', '29.416', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910606455', 0, '2022-12-13 13:50:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88164, '1234567', 26, '118.7667912', '31.8287874', '33.165', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910608152', 0, '2022-12-13 13:50:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88165, '1234567', 26, '118.7667912', '31.8287874', '38.151', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910610401', 0, '2022-12-13 13:50:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88166, '1234567', 26, '118.7667912', '31.8287874', '44.401', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910612536', 0, '2022-12-13 13:50:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88167, '1234567', 26, '118.7667912', '31.8287874', '48.157', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910614165', 0, '2022-12-13 13:50:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88168, '1234567', 26, '118.7667912', '31.8287874', '53.149', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910616361', 0, '2022-12-13 13:50:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88169, '1234567', 26, '118.7667912', '31.8287874', '58.157', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910618047', 0, '2022-12-13 13:50:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88170, '1234567', 26, '118.7667912', '31.8287874', '63.153', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910620241', 0, '2022-12-13 13:50:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88171, '1234567', 26, '118.7667912', '31.8287874', '69.397', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910622484', 0, '2022-12-13 13:50:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88172, '1234567', 26, '118.7667912', '31.8287874', '73.144', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910624169', 0, '2022-12-13 13:50:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88173, '1234567', 26, '118.7667912', '31.8287874', '78.149', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910626360', 0, '2022-12-13 13:50:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88174, '1234567', 26, '118.7667912', '31.8287875', '83.153', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910628046', 0, '2022-12-13 13:50:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88175, '1234567', 26, '118.7667912', '31.8287874', '88.159', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910630232', 0, '2022-12-13 13:50:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88176, '1234567', 26, '118.7667912', '31.8287874', '94.399', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910632421', 0, '2022-12-13 13:50:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88177, '1234567', 26, '118.7667912', '31.8287874', '97.529', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910634111', 0, '2022-12-13 13:50:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88178, '1234567', 26, '118.7667912', '31.8287874', '99.766', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910636355', 0, '2022-12-13 13:50:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88179, '1234567', 26, '118.7667994', '31.8287877', '99.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910638546', 0, '2022-12-13 13:50:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88180, '1234567', 26, '118.7668402', '31.8287893', '99.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910640179', 0, '2022-12-13 13:50:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88181, '1234567', 26, '118.7669715', '31.8287941', '99.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910642390', 0, '2022-12-13 13:50:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88182, '1234567', 26, '118.7671632', '31.828801', '99.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910644036', 0, '2022-12-13 13:50:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88183, '1234567', 26, '118.7673681', '31.8288085', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910646270', 0, '2022-12-13 13:50:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88184, '1234567', 26, '118.7676291', '31.8288181', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910648507', 0, '2022-12-13 13:50:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88185, '1234567', 26, '118.7677857', '31.8288238', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910650189', 0, '2022-12-13 13:50:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88186, '1234567', 26, '118.7679963', '31.8288315', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910652421', 0, '2022-12-13 13:50:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88187, '1234567', 26, '118.7682071', '31.8288391', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910654098', 0, '2022-12-13 13:50:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88188, '1234567', 26, '118.7684183', '31.8288468', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910656327', 0, '2022-12-13 13:50:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88189, '1234567', 26, '118.7686818', '31.8288564', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910658558', 0, '2022-12-13 13:50:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88190, '1234567', 26, '118.7688403', '31.8288622', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910660232', 0, '2022-12-13 13:51:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88191, '1234567', 26, '118.7691044', '31.8288718', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910662467', 0, '2022-12-13 13:51:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88192, '1234567', 26, '118.7692632', '31.8288776', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910664171', 0, '2022-12-13 13:51:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88193, '1234567', 26, '118.7694744', '31.8288852', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910666373', 0, '2022-12-13 13:51:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88194, '1234567', 26, '118.7696861', '31.8288929', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910668051', 0, '2022-12-13 13:51:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88195, '1234567', 26, '118.7698975', '31.8289006', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910670279', 0, '2022-12-13 13:51:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88196, '1234567', 26, '118.7701613', '31.8289102', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910672506', 0, '2022-12-13 13:51:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88197, '1234567', 26, '118.7703157', '31.8289159', '100.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910674191', 0, '2022-12-13 13:51:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88198, '1234567', 26, '118.7704695', '31.8289224', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910676430', 0, '2022-12-13 13:51:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88199, '1234567', 26, '118.7705108', '31.8289548', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910678111', 0, '2022-12-13 13:51:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88200, '1234567', 26, '118.7704709', '31.8290594', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910680355', 0, '2022-12-13 13:51:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88201, '1234567', 26, '118.7704125', '31.8292149', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910682037', 0, '2022-12-13 13:51:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88202, '1234567', 26, '118.7703527', '31.8293818', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910684277', 0, '2022-12-13 13:51:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88203, '1234567', 26, '118.7702783', '31.8295942', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910686453', 0, '2022-12-13 13:51:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88204, '1234567', 26, '118.7702336', '31.8297218', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910688130', 0, '2022-12-13 13:51:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88205, '1234567', 26, '118.7701738', '31.8298931', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910690362', 0, '2022-12-13 13:51:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88206, '1234567', 26, '118.7701138', '31.8300646', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910692049', 0, '2022-12-13 13:51:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88207, '1234567', 26, '118.7700537', '31.8302369', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910694231', 0, '2022-12-13 13:51:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88208, '1234567', 26, '118.7699934', '31.8304093', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910696404', 0, '2022-12-13 13:51:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88209, '1234567', 26, '118.7699333', '31.8305814', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910698086', 0, '2022-12-13 13:51:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88210, '1234567', 26, '118.7698732', '31.8307535', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910700317', 0, '2022-12-13 13:51:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88211, '1234567', 26, '118.769813', '31.8309257', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910702008', 0, '2022-12-13 13:51:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88212, '1234567', 26, '118.7697527', '31.8310984', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910704230', 0, '2022-12-13 13:51:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88213, '1234567', 26, '118.7696774', '31.831314', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910706465', 0, '2022-12-13 13:51:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88214, '1234567', 26, '118.7696322', '31.8314434', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910708144', 0, '2022-12-13 13:51:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88215, '1234567', 26, '118.769572', '31.8316156', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910710370', 0, '2022-12-13 13:51:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88216, '1234567', 26, '118.7695164', '31.8317746', '100.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910712052', 0, '2022-12-13 13:51:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88217, '1234567', 26, '118.7694728', '31.8318666', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910714249', 0, '2022-12-13 13:51:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88218, '1234567', 26, '118.7693848', '31.8318729', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910716477', 0, '2022-12-13 13:51:56', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88219, '1234567', 26, '118.7692156', '31.8318463', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910718157', 0, '2022-12-13 13:51:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88220, '1234567', 26, '118.7690148', '31.831819', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910720393', 0, '2022-12-13 13:52:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88221, '1234567', 26, '118.7688078', '31.8317931', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910722012', 0, '2022-12-13 13:52:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88222, '1234567', 26, '118.7686007', '31.8317673', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910724187', 0, '2022-12-13 13:52:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88223, '1234567', 26, '118.7683925', '31.8317415', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910726415', 0, '2022-12-13 13:52:06', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88224, '1234567', 26, '118.768184', '31.8317156', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910728038', 0, '2022-12-13 13:52:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88225, '1234567', 26, '118.7679749', '31.8316898', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910730276', 0, '2022-12-13 13:52:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88226, '1234567', 26, '118.7677136', '31.8316575', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910732498', 0, '2022-12-13 13:52:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88227, '1234567', 26, '118.767557', '31.8316381', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910734116', 0, '2022-12-13 13:52:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88228, '1234567', 26, '118.7673474', '31.8316122', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910736356', 0, '2022-12-13 13:52:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88229, '1234567', 26, '118.7671382', '31.8315863', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910738025', 0, '2022-12-13 13:52:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88230, '1234567', 26, '118.7669289', '31.8315604', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910740292', 0, '2022-12-13 13:52:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88231, '1234567', 26, '118.766667', '31.831528', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910742499', 0, '2022-12-13 13:52:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88232, '1234567', 26, '118.766511', '31.8315087', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910744169', 0, '2022-12-13 13:52:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88233, '1234567', 26, '118.7663229', '31.8314854', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910746405', 0, '2022-12-13 13:52:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88234, '1234567', 26, '118.7662207', '31.8314603', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910748083', 0, '2022-12-13 13:52:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88235, '1234567', 26, '118.7662102', '31.8313797', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910750313', 0, '2022-12-13 13:52:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88236, '1234567', 26, '118.7662237', '31.8311858', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910752549', 0, '2022-12-13 13:52:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88237, '1234567', 26, '118.7662295', '31.8310546', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910754174', 0, '2022-12-13 13:52:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88238, '1234567', 26, '118.7662356', '31.8308772', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910756413', 0, '2022-12-13 13:52:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88239, '1234567', 26, '118.7662416', '31.830699', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910758071', 0, '2022-12-13 13:52:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88240, '1234567', 26, '118.7662476', '31.8305204', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910760303', 0, '2022-12-13 13:52:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88241, '1234567', 26, '118.7662549', '31.8302967', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910762531', 0, '2022-12-13 13:52:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88242, '1234567', 26, '118.7662593', '31.8301617', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910764207', 0, '2022-12-13 13:52:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88243, '1234567', 26, '118.7662652', '31.8299823', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910766438', 0, '2022-12-13 13:52:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88244, '1234567', 26, '118.7662711', '31.8298029', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910768119', 0, '2022-12-13 13:52:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88245, '1234567', 26, '118.7662769', '31.8296237', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910770357', 0, '2022-12-13 13:52:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88246, '1234567', 26, '118.7662828', '31.8294438', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910772035', 0, '2022-12-13 13:52:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88247, '1234567', 26, '118.7662887', '31.8292639', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910774267', 0, '2022-12-13 13:52:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88248, '1234567', 26, '118.7662959', '31.8290406', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910776510', 0, '2022-12-13 13:52:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88249, '1234567', 26, '118.7662997', '31.8289245', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910778182', 0, '2022-12-13 13:52:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88250, '1234567', 26, '118.7663024', '31.8288396', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910780406', 0, '2022-12-13 13:53:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88251, '1234567', 26, '118.7663028', '31.8288299', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910782075', 0, '2022-12-13 13:53:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88252, '1234567', 26, '118.7663124', '31.8288338', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910784303', 0, '2022-12-13 13:53:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88253, '1234567', 26, '118.7664212', '31.8288244', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910786543', 0, '2022-12-13 13:53:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88254, '1234567', 26, '118.7665345', '31.8288137', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910788208', 0, '2022-12-13 13:53:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88255, '1234567', 26, '118.766689', '31.8287979', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910790439', 0, '2022-12-13 13:53:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88256, '1234567', 26, '118.7667842', '31.8287883', '99.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910792058', 0, '2022-12-13 13:53:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88257, '1234567', 26, '118.766798', '31.828787', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910794286', 0, '2022-12-13 13:53:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88258, '1234567', 26, '118.7667932', '31.8287877', '97.605', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910796504', 0, '2022-12-13 13:53:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88259, '1234567', 26, '118.7667923', '31.8287878', '95.348', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910798173', 0, '2022-12-13 13:53:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88260, '1234567', 26, '118.766792', '31.8287879', '92.362', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910800406', 0, '2022-12-13 13:53:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88261, '1234567', 26, '118.7667917', '31.8287879', '89.37', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910802022', 0, '2022-12-13 13:53:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88262, '1234567', 26, '118.7667916', '31.8287879', '86.373', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910804244', 0, '2022-12-13 13:53:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88263, '1234567', 26, '118.7667915', '31.8287879', '83.373', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910806485', 0, '2022-12-13 13:53:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88264, '1234567', 26, '118.7667915', '31.8287879', '80.374', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910808163', 0, '2022-12-13 13:53:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88265, '1234567', 26, '118.7667914', '31.8287879', '77.375', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910810394', 0, '2022-12-13 13:53:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88266, '1234567', 26, '118.7667914', '31.8287879', '74.374', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910812056', 0, '2022-12-13 13:53:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88267, '1234567', 26, '118.7667914', '31.8287879', '71.377', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910814277', 0, '2022-12-13 13:53:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88268, '1234567', 26, '118.7667914', '31.8287879', '67.632', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910816518', 0, '2022-12-13 13:53:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88269, '1234567', 26, '118.7667914', '31.8287879', '65.393', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910818188', 0, '2022-12-13 13:53:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88270, '1234567', 26, '118.7667914', '31.8287879', '62.389', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910820420', 0, '2022-12-13 13:53:40', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88271, '1234567', 26, '118.7667914', '31.8287879', '59.386', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910822086', 0, '2022-12-13 13:53:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88272, '1234567', 26, '118.7667914', '31.8287879', '56.385', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910824318', 0, '2022-12-13 13:53:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88273, '1234567', 26, '118.7667914', '31.8287879', '52.626', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910826544', 0, '2022-12-13 13:53:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88274, '1234567', 26, '118.7667914', '31.8287879', '50.381', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910828223', 0, '2022-12-13 13:53:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88275, '1234567', 26, '118.7667914', '31.8287878', '47.389', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910830403', 0, '2022-12-13 13:53:50', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88276, '1234567', 26, '118.7667914', '31.8287878', '44.388', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910832077', 0, '2022-12-13 13:53:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88277, '1234567', 26, '118.7667914', '31.8287878', '41.385', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910834303', 0, '2022-12-13 13:53:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88278, '1234567', 26, '118.7667914', '31.8287878', '37.634', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910836537', 0, '2022-12-13 13:53:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88279, '1234567', 26, '118.7667914', '31.8287878', '35.379', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910838210', 0, '2022-12-13 13:53:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88280, '1234567', 26, '118.7667914', '31.8287878', '32.381', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910840442', 0, '2022-12-13 13:54:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88281, '1234567', 26, '118.7667914', '31.8287878', '29.382', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910842058', 0, '2022-12-13 13:54:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88282, '1234567', 26, '118.7667914', '31.8287878', '26.388', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910844288', 0, '2022-12-13 13:54:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88283, '1234567', 26, '118.7667914', '31.8287878', '22.638', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910846524', 0, '2022-12-13 13:54:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88284, '1234567', 26, '118.7667914', '31.8287878', '20.386', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910848141', 0, '2022-12-13 13:54:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88285, '1234567', 26, '118.7667914', '31.8287878', '17.383', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910850377', 0, '2022-12-13 13:54:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88286, '1234567', 26, '118.7667914', '31.8287878', '14.38', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910852049', 0, '2022-12-13 13:54:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88287, '1234567', 26, '118.7667914', '31.8287878', '11.378', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910854223', 0, '2022-12-13 13:54:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88288, '1234567', 26, '118.7667914', '31.8287878', '9.918', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910856457', 0, '2022-12-13 13:54:16', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88289, '1234567', 26, '118.7667914', '31.8287878', '8.915', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910858133', 0, '2022-12-13 13:54:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88290, '1234567', 26, '118.7667914', '31.8287878', '7.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910860370', 0, '2022-12-13 13:54:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88291, '1234567', 26, '118.7667914', '31.8287878', '6.905', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910862044', 0, '2022-12-13 13:54:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88292, '1234567', 26, '118.7667914', '31.8287878', '5.9', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910864277', 0, '2022-12-13 13:54:24', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88293, '1234567', 26, '118.7667914', '31.8287878', '4.898', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910866515', 0, '2022-12-13 13:54:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88294, '1234567', 26, '118.7667914', '31.8287878', '3.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910868183', 0, '2022-12-13 13:54:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88295, '1234567', 26, '118.7667914', '31.8287878', '2.896', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910870419', 0, '2022-12-13 13:54:30', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88296, '1234567', 26, '118.7667914', '31.8287878', '1.896', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910872099', 0, '2022-12-13 13:54:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88297, '1234567', 26, '118.7667914', '31.8287878', '0.896', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910874336', 0, '2022-12-13 13:54:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88298, '1234567', 26, '118.7667914', '31.8287878', '0.144', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910876005', 0, '2022-12-13 13:54:36', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (88299, '1234567', 26, '118.7667914', '31.8287878', '0.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670910878237', 0, '2022-12-13 13:54:38', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89020, '123456789', 51, '113.1479314', '27.7891255', '-0.077', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921467069', 0, '2022-12-13 16:51:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89021, '123456789', 51, '113.1479315', '27.789125', '6.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921469259', 0, '2022-12-13 16:51:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89022, '123456789', 51, '113.1479322', '27.7891248', '11.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921471440', 0, '2022-12-13 16:51:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89023, '123456789', 51, '113.1479319', '27.7891251', '14.722', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921473120', 0, '2022-12-13 16:51:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89024, '123456789', 51, '113.1479315', '27.7891254', '20.783', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921475238', 0, '2022-12-13 16:51:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89025, '123456789', 51, '113.1479316', '27.7891252', '25.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921477420', 0, '2022-12-13 16:51:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89026, '123456789', 51, '113.1479313', '27.789125', '29.729', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921479044', 0, '2022-12-13 16:51:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89027, '123456789', 51, '113.1479314', '27.7891249', '35.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921481167', 0, '2022-12-13 16:51:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89028, '123456789', 51, '113.1479317', '27.789125', '40.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921483351', 0, '2022-12-13 16:51:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89029, '123456789', 51, '113.1479315', '27.7891251', '45.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921485442', 0, '2022-12-13 16:51:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89030, '123456789', 51, '113.1479315', '27.7891251', '50.869', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921487481', 0, '2022-12-13 16:51:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89031, '123456789', 51, '113.1479314', '27.789125', '54.745', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921489108', 0, '2022-12-13 16:51:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89032, '123456789', 51, '113.1479314', '27.789125', '60.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921491285', 0, '2022-12-13 16:51:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89033, '123456789', 51, '113.147931', '27.7891251', '65.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921493406', 0, '2022-12-13 16:51:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89034, '123456789', 51, '113.1479316', '27.7891253', '70.911', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921495476', 0, '2022-12-13 16:51:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89035, '123456789', 51, '113.1479316', '27.7891248', '74.714', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921497038', 0, '2022-12-13 16:51:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89036, '123456789', 51, '113.147931', '27.7891248', '80.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921499218', 0, '2022-12-13 16:51:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89037, '123456789', 51, '113.1479312', '27.7891248', '85.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921501393', 0, '2022-12-13 16:51:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89038, '123456789', 51, '113.1479312', '27.7891251', '90.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921503464', 0, '2022-12-13 16:51:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89039, '123456789', 51, '113.1479314', '27.7891249', '94.694', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921505029', 0, '2022-12-13 16:51:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89040, '123456789', 51, '113.1479312', '27.7891248', '100.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921507164', 0, '2022-12-13 16:51:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89041, '123456789', 51, '113.147931', '27.7891247', '105.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921509348', 0, '2022-12-13 16:51:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89042, '123456789', 51, '113.1479313', '27.7891247', '110.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921511516', 0, '2022-12-13 16:51:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89043, '123456789', 51, '113.1479314', '27.7891247', '114.697', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921513090', 0, '2022-12-13 16:51:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89044, '123456789', 51, '113.1479316', '27.7891249', '120.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921515268', 0, '2022-12-13 16:51:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89045, '123456789', 51, '113.1479314', '27.7891253', '125.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921517449', 0, '2022-12-13 16:51:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89046, '123456789', 51, '113.1479312', '27.7891248', '129.694', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921519007', 0, '2022-12-13 16:51:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89047, '123456789', 51, '113.1479311', '27.789125', '134.733', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921521073', 0, '2022-12-13 16:52:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89048, '123456789', 51, '113.1479313', '27.7891252', '140.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921523300', 0, '2022-12-13 16:52:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89049, '123456789', 51, '113.1479311', '27.789125', '145.871', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921525422', 0, '2022-12-13 16:52:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89050, '123456789', 51, '113.1479315', '27.7891246', '149.09', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921527424', 0, '2022-12-13 16:52:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89051, '123456789', 51, '113.1479316', '27.7891249', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921529548', 0, '2022-12-13 16:52:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89052, '123456789', 51, '113.1479237', '27.7891282', '150.085', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921531134', 0, '2022-12-13 16:52:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89053, '123456789', 51, '113.1478459', '27.7891699', '149.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921533277', 0, '2022-12-13 16:52:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89054, '123456789', 51, '113.147704', '27.7892442', '150.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921535497', 0, '2022-12-13 16:52:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89055, '123456789', 51, '113.1475763', '27.7893111', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921537109', 0, '2022-12-13 16:52:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89056, '123456789', 51, '113.1473594', '27.7894244', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921539332', 0, '2022-12-13 16:52:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89057, '123456789', 51, '113.1472058', '27.7894937', '149.845', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921541554', 0, '2022-12-13 16:52:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89058, '123456789', 51, '113.1470496', '27.7895215', '149.877', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921543237', 0, '2022-12-13 16:52:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89059, '123456789', 51, '113.1468631', '27.7895253', '150.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921545411', 0, '2022-12-13 16:52:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89060, '123456789', 51, '113.1467111', '27.7895251', '149.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921547084', 0, '2022-12-13 16:52:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89061, '123456789', 51, '113.1464564', '27.7895255', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921549265', 0, '2022-12-13 16:52:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89062, '123456789', 51, '113.1462531', '27.7895265', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921551386', 0, '2022-12-13 16:52:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89063, '123456789', 51, '113.1460999', '27.7895275', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921553065', 0, '2022-12-13 16:52:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89064, '123456789', 51, '113.1458468', '27.7895292', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921555307', 0, '2022-12-13 16:52:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89065, '123456789', 51, '113.1456438', '27.7895303', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921557485', 0, '2022-12-13 16:52:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89066, '123456789', 51, '113.1454914', '27.7895304', '149.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921559150', 0, '2022-12-13 16:52:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89067, '123456789', 51, '113.1452369', '27.7895324', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921561326', 0, '2022-12-13 16:52:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89068, '123456789', 51, '113.1450351', '27.7895333', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921563392', 0, '2022-12-13 16:52:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89069, '123456789', 51, '113.1448825', '27.7895342', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921565014', 0, '2022-12-13 16:52:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89070, '123456789', 51, '113.1446787', '27.7895349', '149.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921567139', 0, '2022-12-13 16:52:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89071, '123456789', 51, '113.1444245', '27.7895361', '149.927', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921569372', 0, '2022-12-13 16:52:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89072, '123456789', 51, '113.1442724', '27.789537', '149.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921571046', 0, '2022-12-13 16:52:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89073, '123456789', 51, '113.1440187', '27.7895379', '149.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921573284', 0, '2022-12-13 16:52:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89074, '123456789', 51, '113.1438161', '27.7895392', '149.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921575461', 0, '2022-12-13 16:52:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89075, '123456789', 51, '113.1436634', '27.7895399', '149.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921577140', 0, '2022-12-13 16:52:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89076, '123456789', 51, '113.1434096', '27.7895415', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921579380', 0, '2022-12-13 16:52:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89077, '123456789', 51, '113.1432574', '27.7895422', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921581051', 0, '2022-12-13 16:53:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89078, '123456789', 51, '113.1430042', '27.7895432', '149.701', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921583286', 0, '2022-12-13 16:53:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89079, '123456789', 51, '113.1428014', '27.7895447', '150.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921585464', 0, '2022-12-13 16:53:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89080, '123456789', 51, '113.1426487', '27.7895454', '150.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921587033', 0, '2022-12-13 16:53:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89081, '123456789', 51, '113.1423944', '27.7895468', '149.937', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921589158', 0, '2022-12-13 16:53:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89082, '123456789', 51, '113.1421919', '27.7895477', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921591278', 0, '2022-12-13 16:53:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89083, '123456789', 51, '113.1419896', '27.7895487', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921593396', 0, '2022-12-13 16:53:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89084, '123456789', 51, '113.1418369', '27.7895491', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921595018', 0, '2022-12-13 16:53:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89085, '123456789', 51, '113.1415827', '27.7895503', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921597204', 0, '2022-12-13 16:53:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89086, '123456789', 51, '113.1413799', '27.7895515', '149.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921599439', 0, '2022-12-13 16:53:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89087, '123456789', 51, '113.1412277', '27.7895524', '149.945', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921601061', 0, '2022-12-13 16:53:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89088, '123456789', 51, '113.1409747', '27.7895534', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921603231', 0, '2022-12-13 16:53:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89089, '123456789', 51, '113.1407715', '27.7895546', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921605469', 0, '2022-12-13 16:53:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89090, '123456789', 51, '113.1406183', '27.7895556', '149.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921607090', 0, '2022-12-13 16:53:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89091, '123456789', 51, '113.140364', '27.7895563', '149.94', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921609225', 0, '2022-12-13 16:53:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89092, '123456789', 51, '113.1401616', '27.7895579', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921611448', 0, '2022-12-13 16:53:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89093, '123456789', 51, '113.1400092', '27.7895584', '149.956', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921613123', 0, '2022-12-13 16:53:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89094, '123456789', 51, '113.1397551', '27.7895594', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921615248', 0, '2022-12-13 16:53:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89095, '123456789', 51, '113.1395515', '27.7895624', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921617483', 0, '2022-12-13 16:53:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89096, '123456789', 51, '113.1393992', '27.7895708', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921619050', 0, '2022-12-13 16:53:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89097, '123456789', 51, '113.1391478', '27.7895996', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921621288', 0, '2022-12-13 16:53:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89098, '123456789', 51, '113.1389469', '27.7896281', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921623407', 0, '2022-12-13 16:53:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89099, '123456789', 51, '113.1387963', '27.7896494', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921625045', 0, '2022-12-13 16:53:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89100, '123456789', 51, '113.1385453', '27.7896847', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921627151', 0, '2022-12-13 16:53:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89101, '123456789', 51, '113.1383453', '27.7897131', '149.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921629378', 0, '2022-12-13 16:53:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89102, '123456789', 51, '113.1381448', '27.7897414', '149.894', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921631497', 0, '2022-12-13 16:53:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89103, '123456789', 51, '113.1379449', '27.7897703', '149.908', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921633175', 0, '2022-12-13 16:53:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89104, '123456789', 51, '113.1377439', '27.789798', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921635350', 0, '2022-12-13 16:53:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89105, '123456789', 51, '113.1375433', '27.7898269', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921637535', 0, '2022-12-13 16:53:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89106, '123456789', 51, '113.1373924', '27.7898482', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921639094', 0, '2022-12-13 16:53:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89107, '123456789', 51, '113.1371418', '27.7898829', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921641321', 0, '2022-12-13 16:54:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89108, '123456789', 51, '113.1369415', '27.7899108', '149.982', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921643504', 0, '2022-12-13 16:54:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89109, '123456789', 51, '113.136741', '27.7899398', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921645185', 0, '2022-12-13 16:54:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89110, '123456789', 51, '113.1365415', '27.7899679', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921647366', 0, '2022-12-13 16:54:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89111, '123456789', 51, '113.13639', '27.7899893', '150', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921649042', 0, '2022-12-13 16:54:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89112, '123456789', 51, '113.1361889', '27.7900173', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921651107', 0, '2022-12-13 16:54:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89113, '123456789', 51, '113.1359385', '27.7900525', '150.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921653347', 0, '2022-12-13 16:54:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89114, '123456789', 51, '113.1357887', '27.7900739', '149.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921655010', 0, '2022-12-13 16:54:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89115, '123456789', 51, '113.135538', '27.7901092', '149.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921657203', 0, '2022-12-13 16:54:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89116, '123456789', 51, '113.1353376', '27.7901378', '149.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921659385', 0, '2022-12-13 16:54:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89117, '123456789', 51, '113.1351363', '27.7901659', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921661506', 0, '2022-12-13 16:54:22', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89118, '123456789', 51, '113.1349864', '27.790187', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921663122', 0, '2022-12-13 16:54:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89119, '123456789', 51, '113.1347359', '27.7902229', '149.959', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921665350', 0, '2022-12-13 16:54:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89120, '123456789', 51, '113.1345854', '27.790244', '149.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921667031', 0, '2022-12-13 16:54:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89121, '123456789', 51, '113.1343858', '27.7902723', '149.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921669094', 0, '2022-12-13 16:54:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89122, '123456789', 51, '113.1341353', '27.7903075', '150.031', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921671280', 0, '2022-12-13 16:54:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89123, '123456789', 51, '113.1339346', '27.7903355', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921673510', 0, '2022-12-13 16:54:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89124, '123456789', 51, '113.133734', '27.7903637', '150.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921675185', 0, '2022-12-13 16:54:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89125, '123456789', 51, '113.1335334', '27.7903921', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921677409', 0, '2022-12-13 16:54:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89126, '123456789', 51, '113.1333329', '27.7904205', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921679413', 0, '2022-12-13 16:54:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89127, '123456789', 51, '113.1331825', '27.7904412', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921681031', 0, '2022-12-13 16:54:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89128, '123456789', 51, '113.1329312', '27.7904771', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921683152', 0, '2022-12-13 16:54:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89129, '123456789', 51, '113.1327299', '27.7905053', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921685279', 0, '2022-12-13 16:54:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89130, '123456789', 51, '113.1325305', '27.7905341', '149.894', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921687502', 0, '2022-12-13 16:54:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89131, '123456789', 51, '113.1323804', '27.790555', '149.832', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921689064', 0, '2022-12-13 16:54:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89132, '123456789', 51, '113.1321286', '27.7905906', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921691189', 0, '2022-12-13 16:54:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89133, '123456789', 51, '113.131928', '27.7906188', '150.063', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921693251', 0, '2022-12-13 16:54:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89134, '123456789', 51, '113.1317276', '27.7906474', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921695428', 0, '2022-12-13 16:54:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89135, '123456789', 51, '113.1315768', '27.7906686', '149.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921697050', 0, '2022-12-13 16:54:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89136, '123456789', 51, '113.1313261', '27.7907037', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921699170', 0, '2022-12-13 16:54:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89137, '123456789', 51, '113.1311247', '27.790732', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921701293', 0, '2022-12-13 16:55:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89138, '123456789', 51, '113.1309241', '27.7907607', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921703412', 0, '2022-12-13 16:55:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89139, '123456789', 51, '113.1307737', '27.7907819', '149.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921705031', 0, '2022-12-13 16:55:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89140, '123456789', 51, '113.1305225', '27.7908168', '149.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921707218', 0, '2022-12-13 16:55:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89141, '123456789', 51, '113.1303222', '27.7908454', '150.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921709460', 0, '2022-12-13 16:55:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89142, '123456789', 51, '113.130171', '27.7908667', '149.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921711134', 0, '2022-12-13 16:55:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89143, '123456789', 51, '113.1299438', '27.7908988', '149.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921713257', 0, '2022-12-13 16:55:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89144, '123456789', 51, '113.1298537', '27.7909233', '149.805', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921715440', 0, '2022-12-13 16:55:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89145, '123456789', 51, '113.1298529', '27.7909777', '149.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921717121', 0, '2022-12-13 16:55:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89146, '123456789', 51, '113.1298835', '27.7911543', '150.175', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921719300', 0, '2022-12-13 16:55:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89147, '123456789', 51, '113.1299194', '27.7913326', '150.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921721422', 0, '2022-12-13 16:55:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89148, '123456789', 51, '113.1299467', '27.7914671', '150.1', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921723104', 0, '2022-12-13 16:55:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89149, '123456789', 51, '113.1299901', '27.791689', '149.879', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921725282', 0, '2022-12-13 16:55:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89150, '123456789', 51, '113.130024', '27.791864', '150.053', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921727467', 0, '2022-12-13 16:55:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89151, '123456789', 51, '113.130058', '27.7920405', '149.907', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921729472', 0, '2022-12-13 16:55:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89152, '123456789', 51, '113.1300841', '27.7921736', '150.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921731094', 0, '2022-12-13 16:55:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89153, '123456789', 51, '113.1301278', '27.7923957', '149.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921733213', 0, '2022-12-13 16:55:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89154, '123456789', 51, '113.1301628', '27.7925728', '149.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921735436', 0, '2022-12-13 16:55:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89155, '123456789', 51, '113.1301887', '27.7927051', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921737053', 0, '2022-12-13 16:55:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89156, '123456789', 51, '113.1302313', '27.7929266', '149.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921739179', 0, '2022-12-13 16:55:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89157, '123456789', 51, '113.1302662', '27.7931031', '149.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921741423', 0, '2022-12-13 16:55:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89158, '123456789', 51, '113.1302923', '27.7932361', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921743040', 0, '2022-12-13 16:55:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89159, '123456789', 51, '113.130335', '27.7934573', '149.834', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921745223', 0, '2022-12-13 16:55:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89160, '123456789', 51, '113.1303703', '27.7936345', '149.917', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921747452', 0, '2022-12-13 16:55:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89161, '123456789', 51, '113.1303958', '27.793767', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921749017', 0, '2022-12-13 16:55:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89162, '123456789', 51, '113.1304392', '27.793989', '149.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921751254', 0, '2022-12-13 16:55:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89163, '123456789', 51, '113.1304734', '27.7941657', '150.071', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921753440', 0, '2022-12-13 16:55:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89164, '123456789', 51, '113.1304996', '27.7942986', '149.828', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921755064', 0, '2022-12-13 16:55:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89165, '123456789', 51, '113.1305426', '27.7945194', '149.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921757242', 0, '2022-12-13 16:55:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89166, '123456789', 51, '113.1305774', '27.7946968', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921759411', 0, '2022-12-13 16:55:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89167, '123456789', 51, '113.1306116', '27.7948734', '149.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921761537', 0, '2022-12-13 16:56:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89168, '123456789', 51, '113.1306463', '27.7950505', '149.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921763217', 0, '2022-12-13 16:56:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89169, '123456789', 51, '113.1306808', '27.7952274', '149.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921765456', 0, '2022-12-13 16:56:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89170, '123456789', 51, '113.1307075', '27.7953599', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921767079', 0, '2022-12-13 16:56:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89171, '123456789', 51, '113.1307501', '27.7955814', '149.86', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921769268', 0, '2022-12-13 16:56:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89172, '123456789', 51, '113.130785', '27.7957587', '149.759', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921771386', 0, '2022-12-13 16:56:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89173, '123456789', 51, '113.1308193', '27.7959352', '150.066', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921773446', 0, '2022-12-13 16:56:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89174, '123456789', 51, '113.1308446', '27.7960677', '149.853', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921775007', 0, '2022-12-13 16:56:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89175, '123456789', 51, '113.1308859', '27.7962756', '149.91', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921777192', 0, '2022-12-13 16:56:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89176, '123456789', 51, '113.1309189', '27.7963693', '149.573', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921779309', 0, '2022-12-13 16:56:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89177, '123456789', 51, '113.1310137', '27.7964008', '149.907', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921781489', 0, '2022-12-13 16:56:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89178, '123456789', 51, '113.1311808', '27.7964212', '150.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921783167', 0, '2022-12-13 16:56:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89179, '123456789', 51, '113.1313815', '27.7964399', '149.938', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921785347', 0, '2022-12-13 16:56:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89180, '123456789', 51, '113.1315326', '27.7964549', '149.912', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921787022', 0, '2022-12-13 16:56:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89181, '123456789', 51, '113.1317331', '27.796476', '149.907', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921789091', 0, '2022-12-13 16:56:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89182, '123456789', 51, '113.1319819', '27.7965035', '149.856', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921791215', 0, '2022-12-13 16:56:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89183, '123456789', 51, '113.1321835', '27.7965246', '149.893', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921793457', 0, '2022-12-13 16:56:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89184, '123456789', 51, '113.1323355', '27.7965409', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921795065', 0, '2022-12-13 16:56:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89185, '123456789', 51, '113.1325865', '27.7965748', '149.879', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921797246', 0, '2022-12-13 16:56:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89186, '123456789', 51, '113.1327846', '27.7966162', '149.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921799431', 0, '2022-12-13 16:56:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89187, '123456789', 51, '113.1329303', '27.7966537', '149.864', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921801108', 0, '2022-12-13 16:56:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89188, '123456789', 51, '113.1331743', '27.7967186', '149.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921803282', 0, '2022-12-13 16:56:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89189, '123456789', 51, '113.1333681', '27.7967706', '149.838', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921805510', 0, '2022-12-13 16:56:46', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89190, '123456789', 51, '113.1335633', '27.7968221', '149.906', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921807194', 0, '2022-12-13 16:56:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89191, '123456789', 51, '113.133758', '27.7968744', '149.961', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921809433', 0, '2022-12-13 16:56:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89192, '123456789', 51, '113.1339028', '27.7969169', '149.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921811070', 0, '2022-12-13 16:56:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89193, '123456789', 51, '113.1341416', '27.7969929', '149.891', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921813226', 0, '2022-12-13 16:56:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89194, '123456789', 51, '113.134332', '27.797055', '149.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921815401', 0, '2022-12-13 16:56:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89195, '123456789', 51, '113.1345225', '27.7971168', '149.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921817522', 0, '2022-12-13 16:56:58', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89196, '123456789', 51, '113.1347138', '27.7971787', '149.888', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921819203', 0, '2022-12-13 16:56:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89197, '123456789', 51, '113.1349042', '27.7972403', '149.895', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921821438', 0, '2022-12-13 16:57:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89198, '123456789', 51, '113.1350471', '27.7972866', '149.883', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921823125', 0, '2022-12-13 16:57:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89199, '123456789', 51, '113.135286', '27.7973643', '149.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921825190', 0, '2022-12-13 16:57:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89200, '123456789', 51, '113.1354762', '27.7974259', '149.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921827376', 0, '2022-12-13 16:57:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89201, '123456789', 51, '113.1356195', '27.7974724', '149.876', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921829078', 0, '2022-12-13 16:57:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89202, '123456789', 51, '113.1358572', '27.7975497', '149.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921831222', 0, '2022-12-13 16:57:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89203, '123456789', 51, '113.1360484', '27.7976121', '149.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921833406', 0, '2022-12-13 16:57:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89204, '123456789', 51, '113.1361918', '27.7976579', '149.803', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921835081', 0, '2022-12-13 16:57:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89205, '123456789', 51, '113.1363816', '27.7977214', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921837204', 0, '2022-12-13 16:57:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89206, '123456789', 51, '113.1366119', '27.7978154', '149.778', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921839386', 0, '2022-12-13 16:57:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89207, '123456789', 51, '113.1367465', '27.797879', '150.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921841064', 0, '2022-12-13 16:57:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89208, '123456789', 51, '113.1369694', '27.7979874', '149.921', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921843242', 0, '2022-12-13 16:57:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89209, '123456789', 51, '113.1371467', '27.7980745', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921845483', 0, '2022-12-13 16:57:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89210, '123456789', 51, '113.1372804', '27.7981399', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921847046', 0, '2022-12-13 16:57:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89211, '123456789', 51, '113.1374575', '27.798227', '149.834', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921849168', 0, '2022-12-13 16:57:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89212, '123456789', 51, '113.1376805', '27.7983354', '149.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921851290', 0, '2022-12-13 16:57:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89213, '123456789', 51, '113.1378577', '27.7984221', '149.846', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921853524', 0, '2022-12-13 16:57:34', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89214, '123456789', 51, '113.1379906', '27.7984876', '149.844', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921855144', 0, '2022-12-13 16:57:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89215, '123456789', 51, '113.1382124', '27.7985968', '150.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921857264', 0, '2022-12-13 16:57:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89216, '123456789', 51, '113.1383914', '27.7986834', '149.721', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921859447', 0, '2022-12-13 16:57:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89217, '123456789', 51, '113.1385249', '27.7987487', '149.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921861070', 0, '2022-12-13 16:57:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89218, '123456789', 51, '113.1387456', '27.7988578', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921863250', 0, '2022-12-13 16:57:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89219, '123456789', 51, '113.1389239', '27.7989448', '149.863', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921865319', 0, '2022-12-13 16:57:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89220, '123456789', 51, '113.1391023', '27.7990318', '149.966', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921867372', 0, '2022-12-13 16:57:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89221, '123456789', 51, '113.1392778', '27.7991213', '150.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921869497', 0, '2022-12-13 16:57:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89222, '123456789', 51, '113.1394438', '27.7992236', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921871169', 0, '2022-12-13 16:57:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89223, '123456789', 51, '113.1395983', '27.7993405', '149.857', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921873351', 0, '2022-12-13 16:57:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89224, '123456789', 51, '113.139749', '27.7994604', '149.864', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921875462', 0, '2022-12-13 16:57:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89225, '123456789', 51, '113.1398623', '27.7995515', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921877033', 0, '2022-12-13 16:57:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89226, '123456789', 51, '113.1400138', '27.7996719', '149.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921879145', 0, '2022-12-13 16:57:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89227, '123456789', 51, '113.1402038', '27.7998212', '150.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921881263', 0, '2022-12-13 16:58:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89228, '123456789', 51, '113.140356', '27.7999408', '149.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921883447', 0, '2022-12-13 16:58:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89229, '123456789', 51, '113.1404693', '27.8000313', '149.889', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921885124', 0, '2022-12-13 16:58:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89230, '123456789', 51, '113.1406578', '27.8001814', '149.909', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921887297', 0, '2022-12-13 16:58:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89231, '123456789', 51, '113.1408077', '27.8003015', '149.701', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921889480', 0, '2022-12-13 16:58:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89232, '123456789', 51, '113.1409217', '27.8003912', '149.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921891049', 0, '2022-12-13 16:58:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89233, '123456789', 51, '113.1410728', '27.800511', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921893172', 0, '2022-12-13 16:58:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89234, '123456789', 51, '113.1412623', '27.8006615', '149.931', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921895235', 0, '2022-12-13 16:58:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89235, '123456789', 51, '113.1414131', '27.8007814', '149.899', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921897476', 0, '2022-12-13 16:58:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89236, '123456789', 51, '113.1415259', '27.800871', '149.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921899141', 0, '2022-12-13 16:58:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89237, '123456789', 51, '113.1417154', '27.801021', '149.726', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921901264', 0, '2022-12-13 16:58:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89238, '123456789', 51, '113.1418668', '27.8011415', '149.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921903268', 0, '2022-12-13 16:58:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89239, '123456789', 51, '113.1420176', '27.8012611', '149.842', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921905447', 0, '2022-12-13 16:58:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89240, '123456789', 51, '113.1421295', '27.8013498', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921907071', 0, '2022-12-13 16:58:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89241, '123456789', 51, '113.142264', '27.8014526', '149.913', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921909191', 0, '2022-12-13 16:58:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89242, '123456789', 51, '113.1423268', '27.8014368', '149.772', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921911422', 0, '2022-12-13 16:58:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89243, '123456789', 51, '113.1423782', '27.8013698', '149.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921913043', 0, '2022-12-13 16:58:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89244, '123456789', 51, '113.1425071', '27.8011924', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921915275', 0, '2022-12-13 16:58:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89245, '123456789', 51, '113.1426127', '27.8010419', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921917459', 0, '2022-12-13 16:58:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89246, '123456789', 51, '113.1426924', '27.8009299', '149.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921919080', 0, '2022-12-13 16:58:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89247, '123456789', 51, '113.1428271', '27.8007424', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921921258', 0, '2022-12-13 16:58:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89248, '123456789', 51, '113.1429368', '27.8005926', '150.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921923489', 0, '2022-12-13 16:58:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89249, '123456789', 51, '113.1430188', '27.8004791', '150.055', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921925106', 0, '2022-12-13 16:58:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89250, '123456789', 51, '113.1431562', '27.8002908', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921927230', 0, '2022-12-13 16:58:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89251, '123456789', 51, '113.143266', '27.8001384', '150.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921929463', 0, '2022-12-13 16:58:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89252, '123456789', 51, '113.1433484', '27.8000255', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921931081', 0, '2022-12-13 16:58:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89253, '123456789', 51, '113.1434862', '27.7998371', '149.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921933197', 0, '2022-12-13 16:58:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89254, '123456789', 51, '113.1435968', '27.7996852', '150.076', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921935429', 0, '2022-12-13 16:58:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89255, '123456789', 51, '113.1436768', '27.7995711', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921937045', 0, '2022-12-13 16:58:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89256, '123456789', 51, '113.1437899', '27.799369', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921939231', 0, '2022-12-13 16:58:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89257, '123456789', 51, '113.1438593', '27.7992', '149.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921941417', 0, '2022-12-13 16:59:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89258, '123456789', 51, '113.1439078', '27.7990718', '150.049', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921943111', 0, '2022-12-13 16:59:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89259, '123456789', 51, '113.1439863', '27.7988583', '150.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921945326', 0, '2022-12-13 16:59:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89260, '123456789', 51, '113.1440491', '27.7986879', '150.061', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921947555', 0, '2022-12-13 16:59:08', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89261, '123456789', 51, '113.1441131', '27.7985176', '150.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921949168', 0, '2022-12-13 16:59:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89262, '123456789', 51, '113.1441772', '27.7983473', '150.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921951347', 0, '2022-12-13 16:59:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89263, '123456789', 51, '113.1442408', '27.798177', '150.083', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921953528', 0, '2022-12-13 16:59:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89264, '123456789', 51, '113.1443044', '27.7980059', '150.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921955204', 0, '2022-12-13 16:59:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89265, '123456789', 51, '113.1443676', '27.7978355', '150.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921957375', 0, '2022-12-13 16:59:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89266, '123456789', 51, '113.1444313', '27.7976642', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921959547', 0, '2022-12-13 16:59:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89267, '123456789', 51, '113.1444794', '27.7975358', '149.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921961112', 0, '2022-12-13 16:59:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89268, '123456789', 51, '113.1445567', '27.7973225', '150.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921963345', 0, '2022-12-13 16:59:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89269, '123456789', 51, '113.1446099', '27.7971493', '150.123', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921965533', 0, '2022-12-13 16:59:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89270, '123456789', 51, '113.1446447', '27.7970172', '150.057', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921967096', 0, '2022-12-13 16:59:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89271, '123456789', 51, '113.1446994', '27.7967979', '150.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921969200', 0, '2022-12-13 16:59:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89272, '123456789', 51, '113.1447427', '27.7966223', '150.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921971381', 0, '2022-12-13 16:59:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89273, '123456789', 51, '113.1447754', '27.7964911', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921973064', 0, '2022-12-13 16:59:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89274, '123456789', 51, '113.1448381', '27.7962728', '149.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921975252', 0, '2022-12-13 16:59:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89275, '123456789', 51, '113.1449123', '27.7961068', '150.103', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921977412', 0, '2022-12-13 16:59:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89276, '123456789', 51, '113.1449803', '27.7959862', '149.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921979088', 0, '2022-12-13 16:59:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89277, '123456789', 51, '113.1450978', '27.795786', '150.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921981321', 0, '2022-12-13 16:59:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89278, '123456789', 51, '113.145192', '27.795628', '150.054', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921983495', 0, '2022-12-13 16:59:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89279, '123456789', 51, '113.1452628', '27.7955082', '150.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921985108', 0, '2022-12-13 16:59:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89280, '123456789', 51, '113.1453552', '27.7953469', '149.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921987178', 0, '2022-12-13 16:59:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89281, '123456789', 51, '113.1454518', '27.7951399', '149.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921989299', 0, '2022-12-13 16:59:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89282, '123456789', 51, '113.1455138', '27.7949682', '149.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921991543', 0, '2022-12-13 16:59:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89283, '123456789', 51, '113.1455577', '27.7948393', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921993108', 0, '2022-12-13 16:59:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89284, '123456789', 51, '113.1456312', '27.794624', '150.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921995159', 0, '2022-12-13 16:59:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89285, '123456789', 51, '113.14569', '27.7944527', '149.909', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921997289', 0, '2022-12-13 16:59:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89286, '123456789', 51, '113.1457491', '27.7942808', '150.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670921999512', 0, '2022-12-13 17:00:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89287, '123456789', 51, '113.1457931', '27.7941524', '150.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922001132', 0, '2022-12-13 17:00:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89288, '123456789', 51, '113.1458668', '27.7939362', '150.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922003370', 0, '2022-12-13 17:00:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89289, '123456789', 51, '113.1459106', '27.7938077', '150.063', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922005050', 0, '2022-12-13 17:00:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89290, '123456789', 51, '113.1459697', '27.7936363', '150.119', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922007170', 0, '2022-12-13 17:00:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89291, '123456789', 51, '113.1460437', '27.7934208', '149.897', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922009232', 0, '2022-12-13 17:00:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89292, '123456789', 51, '113.1461017', '27.7932482', '150.047', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922011363', 0, '2022-12-13 17:00:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89293, '123456789', 51, '113.1461456', '27.7931202', '150.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922013040', 0, '2022-12-13 17:00:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89294, '123456789', 51, '113.1462227', '27.792906', '150.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922015272', 0, '2022-12-13 17:00:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89295, '123456789', 51, '113.1462966', '27.7927384', '149.926', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922017504', 0, '2022-12-13 17:00:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89296, '123456789', 51, '113.1463613', '27.7926168', '150.13', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922019060', 0, '2022-12-13 17:00:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89297, '123456789', 51, '113.1464744', '27.7924154', '150.097', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922021180', 0, '2022-12-13 17:00:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89298, '123456789', 51, '113.1465655', '27.7922551', '150.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922023360', 0, '2022-12-13 17:00:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89299, '123456789', 51, '113.1466561', '27.7920939', '149.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922025541', 0, '2022-12-13 17:00:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89300, '123456789', 51, '113.1467462', '27.7919332', '149.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922027216', 0, '2022-12-13 17:00:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89301, '123456789', 51, '113.1468372', '27.7917719', '150.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922029456', 0, '2022-12-13 17:00:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89302, '123456789', 51, '113.1469051', '27.7916515', '149.914', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922031075', 0, '2022-12-13 17:00:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89303, '123456789', 51, '113.1470187', '27.7914506', '150.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922033200', 0, '2022-12-13 17:00:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89304, '123456789', 51, '113.1471095', '27.7912896', '150.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922035434', 0, '2022-12-13 17:00:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89305, '123456789', 51, '113.1471774', '27.7911692', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922037052', 0, '2022-12-13 17:00:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89306, '123456789', 51, '113.1472881', '27.7909669', '150.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922039287', 0, '2022-12-13 17:00:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89307, '123456789', 51, '113.1473648', '27.7908006', '149.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922041516', 0, '2022-12-13 17:00:42', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89308, '123456789', 51, '113.1474307', '27.7906302', '149.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922043186', 0, '2022-12-13 17:00:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89309, '123456789', 51, '113.147494', '27.7904594', '150.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922045309', 0, '2022-12-13 17:00:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89310, '123456789', 51, '113.1475573', '27.7902886', '150.062', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922047485', 0, '2022-12-13 17:00:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89311, '123456789', 51, '113.1476203', '27.7901182', '149.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922049158', 0, '2022-12-13 17:00:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89312, '123456789', 51, '113.1476841', '27.7899479', '150.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922051339', 0, '2022-12-13 17:00:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89313, '123456789', 51, '113.1477316', '27.7898203', '150.052', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922053016', 0, '2022-12-13 17:00:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89314, '123456789', 51, '113.147807', '27.7896162', '149.842', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922055194', 0, '2022-12-13 17:00:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89315, '123456789', 51, '113.1478459', '27.7895116', '150.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922057380', 0, '2022-12-13 17:00:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89316, '123456789', 51, '113.1478562', '27.789485', '150.048', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922059561', 0, '2022-12-13 17:01:00', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89317, '123456789', 51, '113.1478546', '27.7894902', '150.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922061227', 0, '2022-12-13 17:01:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89318, '123456789', 51, '113.1478551', '27.7894858', '150.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922063463', 0, '2022-12-13 17:01:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89319, '123456789', 51, '113.147859', '27.789467', '150.104', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922065085', 0, '2022-12-13 17:01:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89320, '123456789', 51, '113.1478792', '27.7893715', '150.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922067262', 0, '2022-12-13 17:01:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89321, '123456789', 51, '113.1479038', '27.7892551', '150.175', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922069500', 0, '2022-12-13 17:01:10', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89322, '123456789', 51, '113.1479206', '27.7891751', '150.138', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922071171', 0, '2022-12-13 17:01:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89323, '123456789', 51, '113.1479321', '27.7891212', '150.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922073350', 0, '2022-12-13 17:01:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89324, '123456789', 51, '113.1479319', '27.7891227', '150.054', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922075033', 0, '2022-12-13 17:01:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89325, '123456789', 51, '113.1479318', '27.7891257', '150.206', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922077153', 0, '2022-12-13 17:01:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89326, '123456789', 51, '113.1479241', '27.7891223', '150.181', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922079273', 0, '2022-12-13 17:01:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89327, '123456789', 51, '113.1479221', '27.789124', '148.319', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922081450', 0, '2022-12-13 17:01:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89328, '123456789', 51, '113.1479249', '27.7891251', '146.09', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922083067', 0, '2022-12-13 17:01:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89329, '123456789', 51, '113.1479285', '27.7891256', '142.259', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922085249', 0, '2022-12-13 17:01:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89330, '123456789', 51, '113.1479307', '27.7891241', '139.166', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922087485', 0, '2022-12-13 17:01:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89331, '123456789', 51, '113.1479318', '27.7891241', '137.016', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922089156', 0, '2022-12-13 17:01:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89332, '123456789', 51, '113.147933', '27.7891233', '133.245', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922091393', 0, '2022-12-13 17:01:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89333, '123456789', 51, '113.1479323', '27.7891236', '131.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922093075', 0, '2022-12-13 17:01:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89334, '123456789', 51, '113.1479317', '27.789124', '127.22', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922095266', 0, '2022-12-13 17:01:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89335, '123456789', 51, '113.1479321', '27.7891242', '124.219', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922097496', 0, '2022-12-13 17:01:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89336, '123456789', 51, '113.1479297', '27.7891234', '121.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922099178', 0, '2022-12-13 17:01:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89337, '123456789', 51, '113.1479298', '27.7891229', '118.237', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922101400', 0, '2022-12-13 17:01:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89338, '123456789', 51, '113.1479304', '27.7891237', '116.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922103070', 0, '2022-12-13 17:01:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89339, '123456789', 51, '113.1479305', '27.7891245', '112.208', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922105319', 0, '2022-12-13 17:01:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89340, '123456789', 51, '113.1479312', '27.7891247', '109.238', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922107552', 0, '2022-12-13 17:01:48', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89341, '123456789', 51, '113.1479319', '27.7891249', '106.229', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922109162', 0, '2022-12-13 17:01:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89342, '123456789', 51, '113.1479315', '27.7891247', '103.319', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922111395', 0, '2022-12-13 17:01:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89343, '123456789', 51, '113.1479304', '27.7891245', '100.976', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922113066', 0, '2022-12-13 17:01:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89344, '123456789', 51, '113.1479314', '27.7891239', '97.21', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922115296', 0, '2022-12-13 17:01:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89345, '123456789', 51, '113.1479295', '27.7891246', '94.293', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922117476', 0, '2022-12-13 17:01:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89346, '123456789', 51, '113.1479298', '27.789124', '92.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922119107', 0, '2022-12-13 17:01:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89347, '123456789', 51, '113.1479316', '27.7891247', '88.231', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922121342', 0, '2022-12-13 17:02:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89348, '123456789', 51, '113.1479301', '27.7891243', '86.036', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922123009', 0, '2022-12-13 17:02:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89349, '123456789', 51, '113.1479301', '27.7891242', '82.242', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922125247', 0, '2022-12-13 17:02:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89350, '123456789', 51, '113.1479311', '27.7891244', '79.228', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922127478', 0, '2022-12-13 17:02:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89351, '123456789', 51, '113.1479311', '27.7891238', '76.924', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922129095', 0, '2022-12-13 17:02:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89352, '123456789', 51, '113.1479314', '27.7891248', '73.238', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922131227', 0, '2022-12-13 17:02:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89353, '123456789', 51, '113.1479315', '27.7891247', '70.274', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922133454', 0, '2022-12-13 17:02:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89354, '123456789', 51, '113.147931', '27.7891243', '68.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922135131', 0, '2022-12-13 17:02:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89355, '123456789', 51, '113.14793', '27.7891243', '64.21', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922137362', 0, '2022-12-13 17:02:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89356, '123456789', 51, '113.1479304', '27.7891245', '61.171', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922139483', 0, '2022-12-13 17:02:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89357, '123456789', 51, '113.1479312', '27.7891241', '58.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922141049', 0, '2022-12-13 17:02:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89358, '123456789', 51, '113.1479305', '27.7891238', '55.202', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922143278', 0, '2022-12-13 17:02:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89359, '123456789', 51, '113.1479318', '27.7891252', '52.213', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922145453', 0, '2022-12-13 17:02:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89360, '123456789', 51, '113.1479323', '27.7891255', '50.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922147126', 0, '2022-12-13 17:02:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89361, '123456789', 51, '113.1479311', '27.7891247', '46.276', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922149350', 0, '2022-12-13 17:02:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89362, '123456789', 51, '113.1479316', '27.7891254', '43.22', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922151522', 0, '2022-12-13 17:02:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89363, '123456789', 51, '113.1479315', '27.7891254', '40.977', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922153140', 0, '2022-12-13 17:02:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89364, '123456789', 51, '113.1479304', '27.7891246', '37.245', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922155262', 0, '2022-12-13 17:02:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89365, '123456789', 51, '113.1479307', '27.7891251', '34.236', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922157486', 0, '2022-12-13 17:02:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89366, '123456789', 51, '113.1479326', '27.7891251', '31.277', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922159156', 0, '2022-12-13 17:02:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89367, '123456789', 51, '113.1479319', '27.7891252', '28.312', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922161333', 0, '2022-12-13 17:02:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89368, '123456789', 51, '113.147932', '27.7891256', '25.271', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922163510', 0, '2022-12-13 17:02:44', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89369, '123456789', 51, '113.1479316', '27.7891256', '22.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922165076', 0, '2022-12-13 17:02:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89370, '123456789', 51, '113.1479307', '27.7891256', '19.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922167140', 0, '2022-12-13 17:02:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89371, '123456789', 51, '113.1479313', '27.7891248', '16.235', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922169256', 0, '2022-12-13 17:02:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89372, '123456789', 51, '113.1479317', '27.7891255', '15.138', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922171436', 0, '2022-12-13 17:02:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89373, '123456789', 51, '113.1479311', '27.7891248', '14.454', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922173561', 0, '2022-12-13 17:02:54', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89374, '123456789', 51, '113.147931', '27.7891249', '14.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922175165', 0, '2022-12-13 17:02:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89375, '123456789', 51, '113.1479311', '27.7891251', '13.269', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922177344', 0, '2022-12-13 17:02:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89376, '123456789', 51, '113.1479312', '27.7891253', '12.805', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922179024', 0, '2022-12-13 17:02:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89377, '123456789', 51, '113.1479315', '27.7891251', '12.099', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922181190', 0, '2022-12-13 17:03:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89378, '123456789', 51, '113.1479313', '27.7891251', '11.475', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922183370', 0, '2022-12-13 17:03:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89379, '123456789', 51, '113.1479315', '27.7891253', '11.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922185026', 0, '2022-12-13 17:03:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89380, '123456789', 51, '113.1479317', '27.7891255', '10.425', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922187106', 0, '2022-12-13 17:03:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89381, '123456789', 51, '113.1479311', '27.7891255', '9.662', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922189229', 0, '2022-12-13 17:03:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89382, '123456789', 51, '113.1479312', '27.7891249', '9.086', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922191460', 0, '2022-12-13 17:03:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89383, '123456789', 51, '113.1479317', '27.789125', '8.604', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922193139', 0, '2022-12-13 17:03:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89384, '123456789', 51, '113.1479315', '27.7891255', '7.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922195372', 0, '2022-12-13 17:03:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89385, '123456789', 51, '113.1479313', '27.7891256', '7.269', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922197549', 0, '2022-12-13 17:03:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89386, '123456789', 51, '113.1479314', '27.7891253', '6.667', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922199225', 0, '2022-12-13 17:03:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89387, '123456789', 51, '113.1479317', '27.7891253', '6.065', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922201470', 0, '2022-12-13 17:03:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89388, '123456789', 51, '113.1479317', '27.7891255', '5.626', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922203093', 0, '2022-12-13 17:03:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89389, '123456789', 51, '113.1479312', '27.7891257', '4.887', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922205330', 0, '2022-12-13 17:03:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89390, '123456789', 51, '113.1479313', '27.789126', '4.268', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922207457', 0, '2022-12-13 17:03:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89391, '123456789', 51, '113.1479312', '27.7891262', '3.816', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922209081', 0, '2022-12-13 17:03:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89392, '123456789', 51, '113.1479317', '27.7891257', '3.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922211194', 0, '2022-12-13 17:03:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89393, '123456789', 51, '113.1479314', '27.789125', '2.444', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922213364', 0, '2022-12-13 17:03:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89394, '123456789', 51, '113.1479318', '27.7891252', '2.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922215044', 0, '2022-12-13 17:03:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89395, '123456789', 51, '113.1479319', '27.7891258', '1.296', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922217279', 0, '2022-12-13 17:03:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89396, '123456789', 51, '113.1479309', '27.7891258', '0.643', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922219463', 0, '2022-12-13 17:03:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89397, '123456789', 51, '113.147931', '27.7891252', '0.193', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922221024', 0, '2022-12-13 17:03:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89398, '123456789', 51, '113.1479313', '27.7891264', '-0.609', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922223218', 0, '2022-12-13 17:03:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89399, '123456789', 51, '113.1479316', '27.7891259', '-1.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922225342', 0, '2022-12-13 17:03:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89400, '123456789', 51, '113.1479314', '27.7891257', '-1.294', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922227401', 0, '2022-12-13 17:03:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89401, '123456789', 54, '113.1479313', '27.7891261', '-0.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922841523', 0, '2022-12-13 17:14:02', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89402, '123456789', 54, '113.1479321', '27.7891257', '5.129', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922843147', 0, '2022-12-13 17:14:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89403, '123456789', 54, '113.1479329', '27.7891254', '10.079', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922845213', 0, '2022-12-13 17:14:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89404, '123456789', 54, '113.1479319', '27.7891261', '15.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922847293', 0, '2022-12-13 17:14:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89405, '123456789', 54, '113.1479315', '27.7891261', '20.067', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922849403', 0, '2022-12-13 17:14:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89406, '123456789', 54, '113.1479317', '27.7891269', '25.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922851531', 0, '2022-12-13 17:14:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89407, '123456789', 54, '113.1479318', '27.7891263', '30.035', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922853208', 0, '2022-12-13 17:14:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89408, '123456789', 54, '113.1479317', '27.7891263', '35.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922855280', 0, '2022-12-13 17:14:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89409, '123456789', 54, '113.1479319', '27.7891263', '40.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922857403', 0, '2022-12-13 17:14:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89410, '123456789', 54, '113.1479318', '27.7891259', '43.754', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922859026', 0, '2022-12-13 17:14:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89411, '123456789', 54, '113.1479324', '27.7891259', '47.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922861042', 0, '2022-12-13 17:14:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89412, '123456789', 54, '113.1479319', '27.789126', '50.037', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922863173', 0, '2022-12-13 17:14:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89413, '123456789', 54, '113.1479293', '27.7891363', '49.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922865335', 0, '2022-12-13 17:14:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89414, '123456789', 54, '113.1479095', '27.7891962', '50.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922867522', 0, '2022-12-13 17:14:28', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89415, '123456789', 54, '113.1478783', '27.7892914', '50.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922869085', 0, '2022-12-13 17:14:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89416, '123456789', 54, '113.1478141', '27.7894991', '50.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922871213', 0, '2022-12-13 17:14:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89417, '123456789', 54, '113.1477595', '27.789672', '49.944', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922873227', 0, '2022-12-13 17:14:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89418, '123456789', 54, '113.1477043', '27.7898443', '49.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922875345', 0, '2022-12-13 17:14:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89419, '123456789', 54, '113.1476501', '27.7900159', '49.887', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922877470', 0, '2022-12-13 17:14:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89420, '123456789', 54, '113.1476025', '27.7901685', '49.871', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922879092', 0, '2022-12-13 17:14:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89421, '123456789', 54, '113.1475652', '27.7903103', '49.922', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922881315', 0, '2022-12-13 17:14:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89422, '123456789', 54, '113.1475332', '27.790451', '49.948', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922883376', 0, '2022-12-13 17:14:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89423, '123456789', 54, '113.1475042', '27.790579', '49.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922885495', 0, '2022-12-13 17:14:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89424, '123456789', 54, '113.1475044', '27.7906364', '49.797', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922887109', 0, '2022-12-13 17:14:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89425, '123456789', 54, '113.147583', '27.7905949', '49.979', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922889232', 0, '2022-12-13 17:14:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89426, '123456789', 54, '113.1477297', '27.7905164', '50.254', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922891414', 0, '2022-12-13 17:14:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89427, '123456789', 54, '113.1479032', '27.7904216', '50.097', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922893095', 0, '2022-12-13 17:14:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89428, '123456789', 54, '113.1480785', '27.7903272', '49.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922895215', 0, '2022-12-13 17:14:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89429, '123456789', 54, '113.14826', '27.7902489', '50.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922897436', 0, '2022-12-13 17:14:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89430, '123456789', 54, '113.1484521', '27.7901921', '50.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922899109', 0, '2022-12-13 17:14:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89431, '123456789', 54, '113.1486479', '27.7901461', '49.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922901344', 0, '2022-12-13 17:15:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89432, '123456789', 54, '113.1488379', '27.7901014', '50.029', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922903555', 0, '2022-12-13 17:15:04', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89433, '123456789', 54, '113.1489653', '27.7900701', '49.748', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922905232', 0, '2022-12-13 17:15:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89434, '123456789', 54, '113.1490103', '27.7900605', '49.964', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922907474', 0, '2022-12-13 17:15:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89435, '123456789', 54, '113.1490064', '27.7900623', '50.192', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922909163', 0, '2022-12-13 17:15:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89436, '123456789', 54, '113.1490033', '27.7900645', '52.607', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922911373', 0, '2022-12-13 17:15:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89437, '123456789', 54, '113.1490054', '27.7900637', '57.196', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922913445', 0, '2022-12-13 17:15:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89438, '123456789', 54, '113.149007', '27.7900625', '62.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922915114', 0, '2022-12-13 17:15:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89439, '123456789', 54, '113.1490073', '27.790062', '67.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922917300', 0, '2022-12-13 17:15:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89440, '123456789', 54, '113.1490073', '27.7900619', '71.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922919420', 0, '2022-12-13 17:15:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89441, '123456789', 54, '113.1490073', '27.7900619', '77.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922921476', 0, '2022-12-13 17:15:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89442, '123456789', 54, '113.1490075', '27.7900618', '81.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922923148', 0, '2022-12-13 17:15:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89443, '123456789', 54, '113.1490076', '27.7900621', '86.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922925212', 0, '2022-12-13 17:15:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89444, '123456789', 54, '113.149007', '27.7900615', '91.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922927453', 0, '2022-12-13 17:15:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89445, '123456789', 54, '113.1490074', '27.7900617', '95.73', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922929072', 0, '2022-12-13 17:15:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89446, '123456789', 54, '113.1490071', '27.790062', '101.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922931319', 0, '2022-12-13 17:15:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89447, '123456789', 54, '113.149007', '27.790062', '106.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922933379', 0, '2022-12-13 17:15:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89448, '123456789', 54, '113.1490072', '27.7900619', '111.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922935441', 0, '2022-12-13 17:15:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89449, '123456789', 54, '113.1490073', '27.790062', '116.968', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922937125', 0, '2022-12-13 17:15:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89450, '123456789', 54, '113.1490074', '27.7900621', '121.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922939306', 0, '2022-12-13 17:15:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89451, '123456789', 54, '113.1490071', '27.7900619', '126.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922941362', 0, '2022-12-13 17:15:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89452, '123456789', 54, '113.1490071', '27.790062', '131.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922943430', 0, '2022-12-13 17:15:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89453, '123456789', 54, '113.1490069', '27.7900621', '135.68', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922945052', 0, '2022-12-13 17:15:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89454, '123456789', 54, '113.1490072', '27.7900617', '141.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922947292', 0, '2022-12-13 17:15:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89455, '123456789', 54, '113.1490052', '27.7900601', '146.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922949469', 0, '2022-12-13 17:15:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89456, '123456789', 54, '113.1489727', '27.7900288', '149.919', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922951090', 0, '2022-12-13 17:15:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89457, '123456789', 54, '113.1488713', '27.7899419', '150.093', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922953333', 0, '2022-12-13 17:15:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89458, '123456789', 54, '113.1487271', '27.7898213', '150.081', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922955461', 0, '2022-12-13 17:15:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89459, '123456789', 54, '113.1485825', '27.7896952', '149.866', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922957134', 0, '2022-12-13 17:15:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89460, '123456789', 54, '113.1484397', '27.7895696', '149.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922959367', 0, '2022-12-13 17:15:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89461, '123456789', 54, '113.1482967', '27.7894443', '149.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922961493', 0, '2022-12-13 17:16:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89462, '123456789', 54, '113.1481533', '27.7893182', '149.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922963173', 0, '2022-12-13 17:16:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89463, '123456789', 54, '113.1480207', '27.7892032', '149.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922965413', 0, '2022-12-13 17:16:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89464, '123456789', 54, '113.1479445', '27.7891373', '149.896', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922967090', 0, '2022-12-13 17:16:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89465, '123456789', 54, '113.1479265', '27.7891232', '149.946', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922969265', 0, '2022-12-13 17:16:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89466, '123456789', 54, '113.1479307', '27.7891267', '150.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922971501', 0, '2022-12-13 17:16:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89467, '123456789', 54, '113.1479364', '27.789126', '149.935', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922973175', 0, '2022-12-13 17:16:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89468, '123456789', 54, '113.1479313', '27.7891264', '149.923', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922975355', 0, '2022-12-13 17:16:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89469, '123456789', 54, '113.1479309', '27.7891253', '147.253', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922977530', 0, '2022-12-13 17:16:18', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89470, '123456789', 54, '113.1479306', '27.7891268', '144.248', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922979138', 0, '2022-12-13 17:16:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89471, '123456789', 54, '113.1479313', '27.7891261', '141.302', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922981216', 0, '2022-12-13 17:16:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89472, '123456789', 54, '113.1479309', '27.7891251', '138.259', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922983336', 0, '2022-12-13 17:16:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89473, '123456789', 54, '113.1479305', '27.7891254', '135.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922985015', 0, '2022-12-13 17:16:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89474, '123456789', 54, '113.1479312', '27.7891247', '132.253', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922987193', 0, '2022-12-13 17:16:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89475, '123456789', 54, '113.147932', '27.7891251', '129.187', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922989373', 0, '2022-12-13 17:16:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89476, '123456789', 54, '113.1479315', '27.7891255', '127.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922991052', 0, '2022-12-13 17:16:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89477, '123456789', 54, '113.14793', '27.7891255', '123.265', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922993286', 0, '2022-12-13 17:16:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89478, '123456789', 54, '113.1479314', '27.789125', '120.271', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922995467', 0, '2022-12-13 17:16:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89479, '123456789', 54, '113.1479313', '27.7891246', '117.21', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922997087', 0, '2022-12-13 17:16:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89480, '123456789', 54, '113.1479315', '27.7891249', '114.296', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670922999331', 0, '2022-12-13 17:16:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89481, '123456789', 54, '113.1479318', '27.7891249', '111.929', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923001017', 0, '2022-12-13 17:16:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89482, '123456789', 54, '113.1479315', '27.7891256', '108.234', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923003259', 0, '2022-12-13 17:16:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89483, '123456789', 54, '113.1479298', '27.7891263', '105.23', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923005491', 0, '2022-12-13 17:16:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89484, '123456789', 54, '113.1479323', '27.7891258', '102.265', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923007111', 0, '2022-12-13 17:16:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89485, '123456789', 54, '113.1479324', '27.789125', '99.261', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923009349', 0, '2022-12-13 17:16:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89486, '123456789', 54, '113.1479318', '27.789125', '96.22', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923011532', 0, '2022-12-13 17:16:52', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89487, '123456789', 54, '113.1479314', '27.7891257', '94.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923013039', 0, '2022-12-13 17:16:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89488, '123456789', 54, '113.1479313', '27.7891255', '90.276', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923015158', 0, '2022-12-13 17:16:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89489, '123456789', 54, '113.1479316', '27.7891253', '87.281', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923017385', 0, '2022-12-13 17:16:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89490, '123456789', 54, '113.1479318', '27.789125', '85.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923019005', 0, '2022-12-13 17:16:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89491, '123456789', 54, '113.1479308', '27.7891254', '82.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923021068', 0, '2022-12-13 17:17:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89492, '123456789', 54, '113.1479313', '27.7891257', '78.232', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923023306', 0, '2022-12-13 17:17:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89493, '123456789', 54, '113.1479324', '27.7891254', '75.256', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923025433', 0, '2022-12-13 17:17:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89494, '123456789', 54, '113.1479313', '27.7891254', '72.29', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923027114', 0, '2022-12-13 17:17:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89495, '123456789', 54, '113.1479305', '27.7891252', '69.257', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923029348', 0, '2022-12-13 17:17:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89496, '123456789', 54, '113.1479317', '27.7891259', '66.256', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923031531', 0, '2022-12-13 17:17:12', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89497, '123456789', 54, '113.1479317', '27.7891254', '63.29', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923033154', 0, '2022-12-13 17:17:13', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89498, '123456789', 54, '113.1479313', '27.7891251', '60.299', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923035331', 0, '2022-12-13 17:17:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89499, '123456789', 54, '113.1479315', '27.7891258', '57.248', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923037452', 0, '2022-12-13 17:17:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89500, '123456789', 54, '113.1479312', '27.7891257', '55.019', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923039013', 0, '2022-12-13 17:17:19', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89501, '123456789', 54, '113.1479315', '27.7891257', '51.273', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923041182', 0, '2022-12-13 17:17:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89502, '123456789', 54, '113.1479316', '27.7891259', '48.269', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923043304', 0, '2022-12-13 17:17:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89503, '123456789', 54, '113.1479321', '27.7891255', '45.303', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923045485', 0, '2022-12-13 17:17:25', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89504, '123456789', 54, '113.1479317', '27.7891258', '42.251', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923047108', 0, '2022-12-13 17:17:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89505, '123456789', 54, '113.1479311', '27.7891256', '39.281', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923049283', 0, '2022-12-13 17:17:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89506, '123456789', 54, '113.1479313', '27.7891257', '36.275', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923051515', 0, '2022-12-13 17:17:32', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89507, '123456789', 54, '113.1479318', '27.7891261', '33.249', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923053131', 0, '2022-12-13 17:17:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89508, '123456789', 54, '113.1479318', '27.7891261', '30.23', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923055257', 0, '2022-12-13 17:17:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89509, '123456789', 54, '113.147931', '27.789126', '27.306', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923057371', 0, '2022-12-13 17:17:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89510, '123456789', 54, '113.1479314', '27.7891257', '24.271', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923059432', 0, '2022-12-13 17:17:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89511, '123456789', 54, '113.1479317', '27.7891258', '22.042', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923061051', 0, '2022-12-13 17:17:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89512, '123456789', 54, '113.147932', '27.7891259', '18.27', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923063226', 0, '2022-12-13 17:17:43', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89513, '123456789', 54, '113.147931', '27.7891254', '15.463', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923065477', 0, '2022-12-13 17:17:45', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89514, '123456789', 54, '113.1479318', '27.7891268', '14.925', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923067152', 0, '2022-12-13 17:17:47', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89515, '123456789', 54, '113.1479317', '27.7891261', '14.276', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923069335', 0, '2022-12-13 17:17:49', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89516, '123456789', 54, '113.1479315', '27.7891257', '13.649', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923071454', 0, '2022-12-13 17:17:51', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89517, '123456789', 54, '113.1479315', '27.7891257', '13.087', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923073135', 0, '2022-12-13 17:17:53', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89518, '123456789', 54, '113.1479316', '27.7891257', '12.496', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923075256', 0, '2022-12-13 17:17:55', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89519, '123456789', 54, '113.1479315', '27.7891259', '11.89', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923077439', 0, '2022-12-13 17:17:57', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89520, '123456789', 54, '113.1479312', '27.7891258', '11.286', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923079116', 0, '2022-12-13 17:17:59', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89521, '123456789', 54, '113.1479311', '27.7891258', '10.698', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923081241', 0, '2022-12-13 17:18:01', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89522, '123456789', 54, '113.1479316', '27.7891263', '10.064', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923083364', 0, '2022-12-13 17:18:03', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89523, '123456789', 54, '113.1479315', '27.789126', '9.475', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923085427', 0, '2022-12-13 17:18:05', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89524, '123456789', 54, '113.1479313', '27.7891261', '8.878', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923087099', 0, '2022-12-13 17:18:07', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89525, '123456789', 54, '113.1479313', '27.789126', '8.271', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923089330', 0, '2022-12-13 17:18:09', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89526, '123456789', 54, '113.1479317', '27.7891261', '7.689', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923091398', 0, '2022-12-13 17:18:11', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89527, '123456789', 54, '113.147931', '27.7891261', '7.084', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923093523', 0, '2022-12-13 17:18:14', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89528, '123456789', 54, '113.1479317', '27.7891262', '6.474', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923095140', 0, '2022-12-13 17:18:15', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89529, '123456789', 54, '113.1479317', '27.7891262', '5.866', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923097380', 0, '2022-12-13 17:18:17', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89530, '123456789', 54, '113.1479316', '27.7891264', '5.294', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923099503', 0, '2022-12-13 17:18:20', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89531, '123456789', 54, '113.1479314', '27.7891265', '4.825', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923101060', 0, '2022-12-13 17:18:21', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89532, '123456789', 54, '113.1479311', '27.7891265', '4.07', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923103302', 0, '2022-12-13 17:18:23', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89533, '123456789', 54, '113.1479317', '27.7891263', '3.468', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923105545', 0, '2022-12-13 17:18:26', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89534, '123456789', 54, '113.1479319', '27.7891262', '2.869', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923107228', 0, '2022-12-13 17:18:27', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89535, '123456789', 54, '113.1479321', '27.7891265', '2.266', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923109409', 0, '2022-12-13 17:18:29', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89536, '123456789', 54, '113.1479315', '27.7891262', '1.808', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923111016', 0, '2022-12-13 17:18:31', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89537, '123456789', 54, '113.1479318', '27.7891259', '1.08', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923113192', 0, '2022-12-13 17:18:33', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89538, '123456789', 54, '113.1479314', '27.7891267', '0.477', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923115371', 0, '2022-12-13 17:18:35', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89539, '123456789', 54, '113.1479309', '27.7891271', '0.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923117048', 0, '2022-12-13 17:18:37', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89540, '123456789', 54, '113.1479317', '27.7891262', '-0.524', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923119238', 0, '2022-12-13 17:18:39', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (89541, '123456789', 54, '113.1479316', '27.7891263', '-0.762', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1670923121417', 0, '2022-12-13 17:18:41', 0, '2022-12-15 15:05:10', 1, 20);
INSERT INTO `th_flight_data_task` VALUES (91114, 'zuhu1', 56, '118.7667914', '31.8287878', '0.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716084537', 0, '2023-01-03 11:21:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91115, 'zuhu1', 56, '118.7667914', '31.8287878', '0.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716086205', 0, '2023-01-03 11:21:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91116, 'zuhu1', 56, '118.7667915', '31.8287878', '3.329', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716088428', 0, '2023-01-03 11:21:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91117, 'zuhu1', 56, '118.7667915', '31.8287879', '8.376', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716090101', 0, '2023-01-03 11:21:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91118, 'zuhu1', 56, '118.7667915', '31.8287879', '13.37', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716092325', 0, '2023-01-03 11:21:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91119, 'zuhu1', 56, '118.7667915', '31.8287879', '18.364', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716094018', 0, '2023-01-03 11:21:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91120, 'zuhu1', 56, '118.7667915', '31.8287879', '23.347', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716096230', 0, '2023-01-03 11:21:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91121, 'zuhu1', 56, '118.7667915', '31.8287879', '28.342', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716098462', 0, '2023-01-03 11:21:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91122, 'zuhu1', 56, '118.7667915', '31.8287879', '33.341', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716100126', 0, '2023-01-03 11:21:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91123, 'zuhu1', 56, '118.7667915', '31.8287879', '38.342', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716102358', 0, '2023-01-03 11:21:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91124, 'zuhu1', 56, '118.7667914', '31.8287879', '43.344', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716104028', 0, '2023-01-03 11:21:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91125, 'zuhu1', 56, '118.7667915', '31.8287879', '48.344', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716106260', 0, '2023-01-03 11:21:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91126, 'zuhu1', 56, '118.7667915', '31.8287879', '53.338', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716108480', 0, '2023-01-03 11:21:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91127, 'zuhu1', 56, '118.7667915', '31.8287879', '58.333', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716110149', 0, '2023-01-03 11:21:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91128, 'zuhu1', 56, '118.7667914', '31.8287879', '63.323', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716112371', 0, '2023-01-03 11:21:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91129, 'zuhu1', 56, '118.7667914', '31.8287879', '68.33', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716114039', 0, '2023-01-03 11:21:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91130, 'zuhu1', 56, '118.7667914', '31.8287879', '73.333', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716116264', 0, '2023-01-03 11:21:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91131, 'zuhu1', 56, '118.7667914', '31.8287879', '78.337', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716118489', 0, '2023-01-03 11:21:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91132, 'zuhu1', 56, '118.7667914', '31.8287879', '83.34', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716120151', 0, '2023-01-03 11:22:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91133, 'zuhu1', 56, '118.7667914', '31.8287879', '88.337', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716122376', 0, '2023-01-03 11:22:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91134, 'zuhu1', 56, '118.7667914', '31.8287879', '93.333', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716124045', 0, '2023-01-03 11:22:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91135, 'zuhu1', 56, '118.7667914', '31.8287879', '97.639', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716126270', 0, '2023-01-03 11:22:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91136, 'zuhu1', 56, '118.7667914', '31.8287879', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716128494', 0, '2023-01-03 11:22:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91137, 'zuhu1', 56, '118.7667953', '31.828788', '99.952', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716130162', 0, '2023-01-03 11:22:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91138, 'zuhu1', 56, '118.7668468', '31.8287898', '99.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716132397', 0, '2023-01-03 11:22:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91139, 'zuhu1', 56, '118.7669849', '31.8287947', '99.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716134063', 0, '2023-01-03 11:22:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91140, 'zuhu1', 56, '118.7671792', '31.8288019', '99.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716136295', 0, '2023-01-03 11:22:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91141, 'zuhu1', 56, '118.7674358', '31.8288112', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716138520', 0, '2023-01-03 11:22:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91142, 'zuhu1', 56, '118.7675925', '31.8288169', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716140198', 0, '2023-01-03 11:22:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91143, 'zuhu1', 56, '118.7678019', '31.8288245', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716142415', 0, '2023-01-03 11:22:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91144, 'zuhu1', 56, '118.7680123', '31.8288321', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716144085', 0, '2023-01-03 11:22:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91145, 'zuhu1', 56, '118.768223', '31.8288398', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716146309', 0, '2023-01-03 11:22:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91146, 'zuhu1', 56, '118.7684867', '31.8288494', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716148534', 0, '2023-01-03 11:22:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91147, 'zuhu1', 56, '118.7686449', '31.8288552', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716150204', 0, '2023-01-03 11:22:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91148, 'zuhu1', 56, '118.7688561', '31.8288628', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716152429', 0, '2023-01-03 11:22:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91149, 'zuhu1', 56, '118.7690676', '31.8288705', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716154101', 0, '2023-01-03 11:22:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91150, 'zuhu1', 56, '118.7692789', '31.8288782', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716156333', 0, '2023-01-03 11:22:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91151, 'zuhu1', 56, '118.7695431', '31.8288878', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716158555', 0, '2023-01-03 11:22:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91152, 'zuhu1', 56, '118.7697014', '31.8288936', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716160221', 0, '2023-01-03 11:22:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91153, 'zuhu1', 56, '118.7699125', '31.8289013', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716162444', 0, '2023-01-03 11:22:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91154, 'zuhu1', 56, '118.7701238', '31.828909', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716164118', 0, '2023-01-03 11:22:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91155, 'zuhu1', 56, '118.7703295', '31.8289164', '100.014', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716166337', 0, '2023-01-03 11:22:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91156, 'zuhu1', 56, '118.7704963', '31.8289264', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716168560', 0, '2023-01-03 11:22:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91157, 'zuhu1', 56, '118.7705096', '31.8289591', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716170228', 0, '2023-01-03 11:22:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91158, 'zuhu1', 56, '118.7704666', '31.8290694', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716172460', 0, '2023-01-03 11:22:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91159, 'zuhu1', 56, '118.770408', '31.8292271', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716174120', 0, '2023-01-03 11:22:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91160, 'zuhu1', 56, '118.7703483', '31.8293947', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716176341', 0, '2023-01-03 11:22:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91161, 'zuhu1', 56, '118.7703034', '31.8295225', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716178012', 0, '2023-01-03 11:22:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91162, 'zuhu1', 56, '118.7702286', '31.8297358', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716180236', 0, '2023-01-03 11:23:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91163, 'zuhu1', 56, '118.7701685', '31.8299075', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716182474', 0, '2023-01-03 11:23:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91164, 'zuhu1', 56, '118.7701085', '31.8300793', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716184138', 0, '2023-01-03 11:23:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91165, 'zuhu1', 56, '118.7700483', '31.8302516', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716186365', 0, '2023-01-03 11:23:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91166, 'zuhu1', 56, '118.7699883', '31.8304234', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716188034', 0, '2023-01-03 11:23:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91167, 'zuhu1', 56, '118.7699281', '31.8305955', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716190263', 0, '2023-01-03 11:23:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91168, 'zuhu1', 56, '118.7698679', '31.8307681', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716192483', 0, '2023-01-03 11:23:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91169, 'zuhu1', 56, '118.7698079', '31.8309399', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716194153', 0, '2023-01-03 11:23:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91170, 'zuhu1', 56, '118.7697476', '31.8311124', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716196375', 0, '2023-01-03 11:23:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91171, 'zuhu1', 56, '118.7696876', '31.8312845', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716198045', 0, '2023-01-03 11:23:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91172, 'zuhu1', 56, '118.7696274', '31.8314567', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716200269', 0, '2023-01-03 11:23:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91173, 'zuhu1', 56, '118.7695674', '31.8316286', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716202498', 0, '2023-01-03 11:23:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91174, 'zuhu1', 56, '118.769513', '31.8317845', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716204169', 0, '2023-01-03 11:23:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91175, 'zuhu1', 56, '118.7694693', '31.8318699', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716206397', 0, '2023-01-03 11:23:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91176, 'zuhu1', 56, '118.7693751', '31.8318709', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716208065', 0, '2023-01-03 11:23:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91177, 'zuhu1', 56, '118.7692013', '31.8318438', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716210302', 0, '2023-01-03 11:23:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91178, 'zuhu1', 56, '118.7689475', '31.8318106', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716212521', 0, '2023-01-03 11:23:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91179, 'zuhu1', 56, '118.7687925', '31.8317914', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716214189', 0, '2023-01-03 11:23:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91180, 'zuhu1', 56, '118.7685855', '31.8317656', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716216408', 0, '2023-01-03 11:23:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91181, 'zuhu1', 56, '118.7683778', '31.8317397', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716218076', 0, '2023-01-03 11:23:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91182, 'zuhu1', 56, '118.7681694', '31.8317139', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716220304', 0, '2023-01-03 11:23:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91183, 'zuhu1', 56, '118.7679602', '31.831688', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716222537', 0, '2023-01-03 11:23:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91184, 'zuhu1', 56, '118.767751', '31.8316622', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716224203', 0, '2023-01-03 11:23:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91185, 'zuhu1', 56, '118.7675416', '31.8316363', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716226429', 0, '2023-01-03 11:23:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91186, 'zuhu1', 56, '118.7673322', '31.8316104', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716228111', 0, '2023-01-03 11:23:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91187, 'zuhu1', 56, '118.7671232', '31.8315845', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716230328', 0, '2023-01-03 11:23:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91188, 'zuhu1', 56, '118.7668618', '31.8315522', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716232562', 0, '2023-01-03 11:23:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91189, 'zuhu1', 56, '118.7667044', '31.8315327', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716234226', 0, '2023-01-03 11:23:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91190, 'zuhu1', 56, '118.7664954', '31.8315069', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716236453', 0, '2023-01-03 11:23:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91191, 'zuhu1', 56, '118.7663115', '31.8314841', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716238119', 0, '2023-01-03 11:23:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91192, 'zuhu1', 56, '118.7662179', '31.8314568', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716240347', 0, '2023-01-03 11:24:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91193, 'zuhu1', 56, '118.7662089', '31.8313998', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716242022', 0, '2023-01-03 11:24:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91194, 'zuhu1', 56, '118.7662221', '31.8312173', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716244251', 0, '2023-01-03 11:24:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91195, 'zuhu1', 56, '118.7662301', '31.8310436', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716246483', 0, '2023-01-03 11:24:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91196, 'zuhu1', 56, '118.766236', '31.8308668', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716248149', 0, '2023-01-03 11:24:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91197, 'zuhu1', 56, '118.7662419', '31.8306892', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716250370', 0, '2023-01-03 11:24:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91198, 'zuhu1', 56, '118.7662478', '31.8305107', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716252041', 0, '2023-01-03 11:24:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91199, 'zuhu1', 56, '118.7662537', '31.8303319', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716254274', 0, '2023-01-03 11:24:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91200, 'zuhu1', 56, '118.7662596', '31.8301526', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716256500', 0, '2023-01-03 11:24:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91201, 'zuhu1', 56, '118.7662654', '31.8299734', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716258172', 0, '2023-01-03 11:24:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91202, 'zuhu1', 56, '118.7662713', '31.8297942', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716260404', 0, '2023-01-03 11:24:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91203, 'zuhu1', 56, '118.7662772', '31.8296144', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716262069', 0, '2023-01-03 11:24:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91204, 'zuhu1', 56, '118.766283', '31.8294345', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716264295', 0, '2023-01-03 11:24:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91205, 'zuhu1', 56, '118.7662889', '31.8292548', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716266526', 0, '2023-01-03 11:24:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91206, 'zuhu1', 56, '118.7662948', '31.8290751', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716268193', 0, '2023-01-03 11:24:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91207, 'zuhu1', 56, '118.7663', '31.828918', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716270415', 0, '2023-01-03 11:24:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91208, 'zuhu1', 56, '118.766303', '31.8288378', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716272080', 0, '2023-01-03 11:24:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91209, 'zuhu1', 56, '118.766303', '31.8288306', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716274314', 0, '2023-01-03 11:24:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91210, 'zuhu1', 56, '118.7663131', '31.8288341', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716276548', 0, '2023-01-03 11:24:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91211, 'zuhu1', 56, '118.7663926', '31.8288271', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716278218', 0, '2023-01-03 11:24:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91212, 'zuhu1', 56, '118.766539', '31.8288131', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716280440', 0, '2023-01-03 11:24:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91213, 'zuhu1', 56, '118.7666925', '31.8287976', '99.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716282113', 0, '2023-01-03 11:24:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91214, 'zuhu1', 56, '118.7667851', '31.8287884', '99.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716284335', 0, '2023-01-03 11:24:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91215, 'zuhu1', 56, '118.7667985', '31.8287871', '99.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716286012', 0, '2023-01-03 11:24:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91216, 'zuhu1', 56, '118.7667934', '31.8287872', '98.29', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716288230', 0, '2023-01-03 11:24:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91217, 'zuhu1', 56, '118.7667919', '31.8287873', '95.258', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716290451', 0, '2023-01-03 11:24:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91218, 'zuhu1', 56, '118.7667916', '31.8287874', '92.278', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716292120', 0, '2023-01-03 11:24:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91219, 'zuhu1', 56, '118.7667914', '31.8287875', '89.279', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716294339', 0, '2023-01-03 11:24:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91220, 'zuhu1', 56, '118.7667912', '31.8287875', '87.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716296012', 0, '2023-01-03 11:24:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91221, 'zuhu1', 56, '118.7667911', '31.8287875', '83.281', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716298239', 0, '2023-01-03 11:24:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91222, 'zuhu1', 56, '118.7667911', '31.8287875', '80.28', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716300458', 0, '2023-01-03 11:25:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91223, 'zuhu1', 56, '118.7667911', '31.8287875', '77.282', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716302129', 0, '2023-01-03 11:25:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91224, 'zuhu1', 56, '118.7667911', '31.8287875', '74.289', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716304357', 0, '2023-01-03 11:25:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91225, 'zuhu1', 56, '118.7667911', '31.8287875', '72.045', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716306020', 0, '2023-01-03 11:25:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91226, 'zuhu1', 56, '118.7667911', '31.8287875', '68.292', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716308246', 0, '2023-01-03 11:25:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91227, 'zuhu1', 56, '118.7667911', '31.8287875', '65.291', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716310474', 0, '2023-01-03 11:25:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91228, 'zuhu1', 56, '118.7667911', '31.8287876', '62.289', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716312146', 0, '2023-01-03 11:25:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91229, 'zuhu1', 56, '118.7667911', '31.8287875', '59.287', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716314370', 0, '2023-01-03 11:25:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91230, 'zuhu1', 56, '118.7667911', '31.8287875', '57.04', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716316040', 0, '2023-01-03 11:25:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91231, 'zuhu1', 56, '118.7667911', '31.8287875', '53.291', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716318262', 0, '2023-01-03 11:25:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91232, 'zuhu1', 56, '118.7667911', '31.8287875', '50.298', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716320485', 0, '2023-01-03 11:25:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91233, 'zuhu1', 56, '118.7667911', '31.8287875', '47.294', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716322152', 0, '2023-01-03 11:25:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91234, 'zuhu1', 56, '118.7667911', '31.8287875', '44.293', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716324366', 0, '2023-01-03 11:25:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91235, 'zuhu1', 56, '118.7667911', '31.8287875', '42.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716326068', 0, '2023-01-03 11:25:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91236, 'zuhu1', 56, '118.7667911', '31.8287875', '38.287', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716328252', 0, '2023-01-03 11:25:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91237, 'zuhu1', 56, '118.766791', '31.8287875', '35.289', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716330468', 0, '2023-01-03 11:25:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91238, 'zuhu1', 56, '118.766791', '31.8287875', '32.29', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716332139', 0, '2023-01-03 11:25:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91239, 'zuhu1', 56, '118.766791', '31.8287875', '29.298', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716334365', 0, '2023-01-03 11:25:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91240, 'zuhu1', 56, '118.766791', '31.8287875', '27.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716336029', 0, '2023-01-03 11:25:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91241, 'zuhu1', 56, '118.766791', '31.8287875', '23.291', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716338257', 0, '2023-01-03 11:25:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91242, 'zuhu1', 56, '118.766791', '31.8287875', '20.291', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716340483', 0, '2023-01-03 11:25:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91243, 'zuhu1', 56, '118.766791', '31.8287875', '17.286', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716342146', 0, '2023-01-03 11:25:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91244, 'zuhu1', 56, '118.766791', '31.8287875', '14.288', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716344376', 0, '2023-01-03 11:25:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91245, 'zuhu1', 56, '118.766791', '31.8287875', '12.041', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716346035', 0, '2023-01-03 11:25:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91246, 'zuhu1', 56, '118.766791', '31.8287875', '9.892', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716348257', 0, '2023-01-03 11:25:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91247, 'zuhu1', 56, '118.766791', '31.8287875', '8.888', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716350483', 0, '2023-01-03 11:25:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91248, 'zuhu1', 56, '118.766791', '31.8287875', '7.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716352150', 0, '2023-01-03 11:25:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91249, 'zuhu1', 56, '118.766791', '31.8287875', '6.875', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716354369', 0, '2023-01-03 11:25:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91250, 'zuhu1', 56, '118.766791', '31.8287875', '6.122', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716356033', 0, '2023-01-03 11:25:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91251, 'zuhu1', 56, '118.766791', '31.8287875', '4.869', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716358250', 0, '2023-01-03 11:25:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91252, 'zuhu1', 56, '118.766791', '31.8287875', '3.868', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716360473', 0, '2023-01-03 11:26:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91253, 'zuhu1', 56, '118.766791', '31.8287875', '2.867', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716362141', 0, '2023-01-03 11:26:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91254, 'zuhu1', 56, '118.766791', '31.8287875', '1.866', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716364372', 0, '2023-01-03 11:26:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91255, 'zuhu1', 56, '118.766791', '31.8287875', '1.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716366040', 0, '2023-01-03 11:26:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91256, 'zuhu1', 56, '118.766791', '31.8287875', '0.056', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716368263', 0, '2023-01-03 11:26:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (91257, 'zuhu1', 56, '118.766791', '31.8287875', '0.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672716370496', 0, '2023-01-03 11:26:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93261, 'abcdef', 60, '118.7696123', '31.8316707', '0.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994417991', 0, '2023-01-06 16:40:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93262, 'abcdef', 60, '118.7696123', '31.8316707', '0.025', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994419101', 0, '2023-01-06 16:40:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93263, 'abcdef', 60, '118.7696124', '31.8316707', '2.414', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994421330', 0, '2023-01-06 16:40:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93264, 'abcdef', 60, '118.7696125', '31.8316706', '8.685', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994423560', 0, '2023-01-06 16:40:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93265, 'abcdef', 60, '118.7696125', '31.8316706', '12.425', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994425226', 0, '2023-01-06 16:40:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93266, 'abcdef', 60, '118.7696125', '31.8316706', '18.658', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994427479', 0, '2023-01-06 16:40:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93267, 'abcdef', 60, '118.7696125', '31.8316706', '22.412', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994429143', 0, '2023-01-06 16:40:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93268, 'abcdef', 60, '118.7696124', '31.8316706', '28.653', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994431374', 0, '2023-01-06 16:40:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93269, 'abcdef', 60, '118.7696125', '31.8316706', '32.406', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994433045', 0, '2023-01-06 16:40:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93270, 'abcdef', 60, '118.7696125', '31.8316706', '37.406', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994435222', 0, '2023-01-06 16:40:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93271, 'abcdef', 60, '118.7696125', '31.8316706', '43.646', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994437460', 0, '2023-01-06 16:40:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93272, 'abcdef', 60, '118.7696125', '31.8316706', '47.386', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994439135', 0, '2023-01-06 16:40:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93273, 'abcdef', 60, '118.7696125', '31.8316706', '53.628', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994441369', 0, '2023-01-06 16:40:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93274, 'abcdef', 60, '118.7696125', '31.8316706', '57.373', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994443041', 0, '2023-01-06 16:40:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93275, 'abcdef', 60, '118.7696125', '31.8316706', '62.375', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994445236', 0, '2023-01-06 16:40:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93276, 'abcdef', 60, '118.7696125', '31.8316706', '68.635', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994447446', 0, '2023-01-06 16:40:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93277, 'abcdef', 60, '118.7696124', '31.8316706', '72.383', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994449133', 0, '2023-01-06 16:40:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93278, 'abcdef', 60, '118.7696125', '31.8316706', '77.379', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994451355', 0, '2023-01-06 16:40:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93279, 'abcdef', 60, '118.7696125', '31.8316706', '82.372', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994453032', 0, '2023-01-06 16:40:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93280, 'abcdef', 60, '118.7696125', '31.8316706', '87.358', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994455265', 0, '2023-01-06 16:40:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93281, 'abcdef', 60, '118.7696125', '31.8316706', '93.613', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994457529', 0, '2023-01-06 16:40:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93282, 'abcdef', 60, '118.7696124', '31.8316706', '97.37', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994459178', 0, '2023-01-06 16:40:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93283, 'abcdef', 60, '118.7696125', '31.8316706', '103.477', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994461416', 0, '2023-01-06 16:41:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93284, 'abcdef', 60, '118.7696125', '31.8316706', '106.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994463090', 0, '2023-01-06 16:41:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93285, 'abcdef', 60, '118.7696125', '31.8316706', '107.41', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994465370', 0, '2023-01-06 16:41:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93286, 'abcdef', 60, '118.769618', '31.831653', '107.3', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994467501', 0, '2023-01-06 16:41:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93287, 'abcdef', 60, '118.7696348', '31.8316012', '107.157', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994469187', 0, '2023-01-06 16:41:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93288, 'abcdef', 60, '118.7696905', '31.8314318', '106.695', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994471414', 0, '2023-01-06 16:41:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93289, 'abcdef', 60, '118.7697309', '31.8313089', '106.375', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994473035', 0, '2023-01-06 16:41:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93290, 'abcdef', 60, '118.7697862', '31.8311401', '105.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994475275', 0, '2023-01-06 16:41:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93291, 'abcdef', 60, '118.7698558', '31.8309276', '105.382', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994477503', 0, '2023-01-06 16:41:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93292, 'abcdef', 60, '118.7698978', '31.830799', '105.039', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994479174', 0, '2023-01-06 16:41:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93293, 'abcdef', 60, '118.769954', '31.8306275', '104.579', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994481358', 0, '2023-01-06 16:41:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93294, 'abcdef', 60, '118.7700101', '31.830456', '104.117', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994483017', 0, '2023-01-06 16:41:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93295, 'abcdef', 60, '118.7700663', '31.8302845', '103.653', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994485245', 0, '2023-01-06 16:41:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93296, 'abcdef', 60, '118.7701364', '31.8300703', '103.074', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994487475', 0, '2023-01-06 16:41:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93297, 'abcdef', 60, '118.7701787', '31.8299414', '102.728', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994489149', 0, '2023-01-06 16:41:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93298, 'abcdef', 60, '118.7702347', '31.8297703', '102.267', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994491382', 0, '2023-01-06 16:41:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93299, 'abcdef', 60, '118.770291', '31.8295984', '101.806', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994493061', 0, '2023-01-06 16:41:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93300, 'abcdef', 60, '118.7703471', '31.829427', '101.344', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994495288', 0, '2023-01-06 16:41:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93301, 'abcdef', 60, '118.7704174', '31.8292126', '100.766', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994497529', 0, '2023-01-06 16:41:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93302, 'abcdef', 60, '118.770459', '31.8290856', '100.438', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994499204', 0, '2023-01-06 16:41:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93303, 'abcdef', 60, '118.7705074', '31.8289392', '100.046', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994501440', 0, '2023-01-06 16:41:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93304, 'abcdef', 60, '118.7705141', '31.8289191', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994503115', 0, '2023-01-06 16:41:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93305, 'abcdef', 60, '118.7704992', '31.828964', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994505344', 0, '2023-01-06 16:41:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93306, 'abcdef', 60, '118.7704662', '31.8290654', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994507012', 0, '2023-01-06 16:41:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93307, 'abcdef', 60, '118.7704183', '31.8292128', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994509245', 0, '2023-01-06 16:41:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93308, 'abcdef', 60, '118.7703526', '31.8294179', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994511479', 0, '2023-01-06 16:41:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93309, 'abcdef', 60, '118.7703121', '31.8295444', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994513147', 0, '2023-01-06 16:41:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93310, 'abcdef', 60, '118.770257', '31.8297151', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994515375', 0, '2023-01-06 16:41:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93311, 'abcdef', 60, '118.7702015', '31.8298869', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994517054', 0, '2023-01-06 16:41:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93312, 'abcdef', 60, '118.770146', '31.830059', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994519297', 0, '2023-01-06 16:41:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93313, 'abcdef', 60, '118.770076', '31.8302759', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994521520', 0, '2023-01-06 16:42:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93314, 'abcdef', 60, '118.7700342', '31.8304053', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994523134', 0, '2023-01-06 16:42:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93315, 'abcdef', 60, '118.7699782', '31.8305788', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994525373', 0, '2023-01-06 16:42:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93316, 'abcdef', 60, '118.7699222', '31.8307523', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994527044', 0, '2023-01-06 16:42:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93317, 'abcdef', 60, '118.7698663', '31.8309256', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994529272', 0, '2023-01-06 16:42:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93318, 'abcdef', 60, '118.7697965', '31.8311419', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994531510', 0, '2023-01-06 16:42:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93319, 'abcdef', 60, '118.7697545', '31.8312719', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994533184', 0, '2023-01-06 16:42:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93320, 'abcdef', 60, '118.7696848', '31.8314881', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994535420', 0, '2023-01-06 16:42:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93321, 'abcdef', 60, '118.7696427', '31.8316185', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994537090', 0, '2023-01-06 16:42:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93322, 'abcdef', 60, '118.7695867', '31.831792', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994539327', 0, '2023-01-06 16:42:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93323, 'abcdef', 60, '118.7695168', '31.8320086', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994541560', 0, '2023-01-06 16:42:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93324, 'abcdef', 60, '118.7694748', '31.8321387', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994543223', 0, '2023-01-06 16:42:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93325, 'abcdef', 60, '118.7694049', '31.832355', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994545457', 0, '2023-01-06 16:42:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93326, 'abcdef', 60, '118.7693631', '31.8324848', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994547151', 0, '2023-01-06 16:42:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93327, 'abcdef', 60, '118.7693071', '31.8326583', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994549365', 0, '2023-01-06 16:42:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93328, 'abcdef', 60, '118.7692511', '31.8328316', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994551061', 0, '2023-01-06 16:42:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93329, 'abcdef', 60, '118.7691951', '31.8330052', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994553221', 0, '2023-01-06 16:42:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93330, 'abcdef', 60, '118.7691253', '31.8332213', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994555459', 0, '2023-01-06 16:42:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93331, 'abcdef', 60, '118.7690833', '31.8333516', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994557136', 0, '2023-01-06 16:42:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93332, 'abcdef', 60, '118.7690275', '31.8335244', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994559356', 0, '2023-01-06 16:42:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93333, 'abcdef', 60, '118.7689717', '31.8336976', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994561036', 0, '2023-01-06 16:42:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93334, 'abcdef', 60, '118.7689156', '31.8338713', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994563272', 0, '2023-01-06 16:42:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93335, 'abcdef', 60, '118.7688458', '31.8340876', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994565493', 0, '2023-01-06 16:42:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93336, 'abcdef', 60, '118.7688038', '31.8342175', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994567164', 0, '2023-01-06 16:42:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93337, 'abcdef', 60, '118.768748', '31.8343907', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994569404', 0, '2023-01-06 16:42:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93338, 'abcdef', 60, '118.768692', '31.8345643', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994571084', 0, '2023-01-06 16:42:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93339, 'abcdef', 60, '118.768636', '31.8347376', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994573311', 0, '2023-01-06 16:42:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93340, 'abcdef', 60, '118.7685659', '31.8349548', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994575541', 0, '2023-01-06 16:42:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93341, 'abcdef', 60, '118.7685249', '31.835082', '100.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994577207', 0, '2023-01-06 16:42:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93342, 'abcdef', 60, '118.768474', '31.8352299', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994579441', 0, '2023-01-06 16:42:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93343, 'abcdef', 60, '118.7684342', '31.8352535', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994581121', 0, '2023-01-06 16:43:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93344, 'abcdef', 60, '118.7683087', '31.8352419', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994583363', 0, '2023-01-06 16:43:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93345, 'abcdef', 60, '118.7681172', '31.8352243', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994585031', 0, '2023-01-06 16:43:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93346, 'abcdef', 60, '118.7679107', '31.8352087', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994587259', 0, '2023-01-06 16:43:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93347, 'abcdef', 60, '118.7676506', '31.8351898', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994589491', 0, '2023-01-06 16:43:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93348, 'abcdef', 60, '118.7674935', '31.8351784', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994591169', 0, '2023-01-06 16:43:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93349, 'abcdef', 60, '118.7672835', '31.8351633', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994593409', 0, '2023-01-06 16:43:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93350, 'abcdef', 60, '118.7670733', '31.8351482', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994595078', 0, '2023-01-06 16:43:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93351, 'abcdef', 60, '118.7668626', '31.835133', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994597311', 0, '2023-01-06 16:43:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93352, 'abcdef', 60, '118.7665991', '31.8351141', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994599551', 0, '2023-01-06 16:43:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93353, 'abcdef', 60, '118.7664413', '31.8351028', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994601216', 0, '2023-01-06 16:43:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93354, 'abcdef', 60, '118.7661781', '31.8350839', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994603437', 0, '2023-01-06 16:43:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93355, 'abcdef', 60, '118.7660197', '31.8350726', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994605112', 0, '2023-01-06 16:43:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93356, 'abcdef', 60, '118.7658091', '31.8350575', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994607343', 0, '2023-01-06 16:43:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93357, 'abcdef', 60, '118.7655982', '31.8350424', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994609019', 0, '2023-01-06 16:43:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93358, 'abcdef', 60, '118.7653876', '31.8350272', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994611254', 0, '2023-01-06 16:43:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93359, 'abcdef', 60, '118.765124', '31.8350083', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994613482', 0, '2023-01-06 16:43:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93360, 'abcdef', 60, '118.7649668', '31.834997', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994615158', 0, '2023-01-06 16:43:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93361, 'abcdef', 60, '118.7647561', '31.8349819', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994617396', 0, '2023-01-06 16:43:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93362, 'abcdef', 60, '118.7645454', '31.8349668', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994619069', 0, '2023-01-06 16:43:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93363, 'abcdef', 60, '118.7643347', '31.8349517', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994621301', 0, '2023-01-06 16:43:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93364, 'abcdef', 60, '118.7640707', '31.8349327', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994623478', 0, '2023-01-06 16:43:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93365, 'abcdef', 60, '118.7639133', '31.8349214', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994625145', 0, '2023-01-06 16:43:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93366, 'abcdef', 60, '118.7637024', '31.8349063', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994627390', 0, '2023-01-06 16:43:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93367, 'abcdef', 60, '118.7634918', '31.8348912', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994629085', 0, '2023-01-06 16:43:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93368, 'abcdef', 60, '118.7632814', '31.8348761', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994631245', 0, '2023-01-06 16:43:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93369, 'abcdef', 60, '118.763018', '31.8348572', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994633466', 0, '2023-01-06 16:43:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93370, 'abcdef', 60, '118.7628594', '31.8348458', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994635137', 0, '2023-01-06 16:43:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93371, 'abcdef', 60, '118.7626488', '31.8348307', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994637373', 0, '2023-01-06 16:43:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93372, 'abcdef', 60, '118.7624379', '31.8348156', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994639041', 0, '2023-01-06 16:43:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93373, 'abcdef', 60, '118.7622277', '31.8348005', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994641277', 0, '2023-01-06 16:44:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93374, 'abcdef', 60, '118.7619646', '31.8347816', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994643514', 0, '2023-01-06 16:44:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93375, 'abcdef', 60, '118.7618062', '31.8347703', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994645173', 0, '2023-01-06 16:44:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93376, 'abcdef', 60, '118.7615948', '31.8347551', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994647420', 0, '2023-01-06 16:44:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93377, 'abcdef', 60, '118.7613838', '31.83474', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994649086', 0, '2023-01-06 16:44:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93378, 'abcdef', 60, '118.7611728', '31.8347248', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994651320', 0, '2023-01-06 16:44:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93379, 'abcdef', 60, '118.7609617', '31.8347097', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994653012', 0, '2023-01-06 16:44:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93380, 'abcdef', 60, '118.7607506', '31.8346945', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994655233', 0, '2023-01-06 16:44:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93381, 'abcdef', 60, '118.7604874', '31.8346756', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994657453', 0, '2023-01-06 16:44:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93382, 'abcdef', 60, '118.7603286', '31.8346642', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994659124', 0, '2023-01-06 16:44:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93383, 'abcdef', 60, '118.7601179', '31.8346491', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994661363', 0, '2023-01-06 16:44:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93384, 'abcdef', 60, '118.759907', '31.834634', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994663044', 0, '2023-01-06 16:44:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93385, 'abcdef', 60, '118.7596959', '31.8346189', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994665280', 0, '2023-01-06 16:44:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93386, 'abcdef', 60, '118.7594317', '31.8345999', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994667534', 0, '2023-01-06 16:44:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93387, 'abcdef', 60, '118.759274', '31.8345886', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994669181', 0, '2023-01-06 16:44:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93388, 'abcdef', 60, '118.7590633', '31.8345735', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994671409', 0, '2023-01-06 16:44:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93389, 'abcdef', 60, '118.7588642', '31.8345592', '100.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994673080', 0, '2023-01-06 16:44:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93390, 'abcdef', 60, '118.7587383', '31.8345475', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994675317', 0, '2023-01-06 16:44:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93391, 'abcdef', 60, '118.7587092', '31.8344982', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994677004', 0, '2023-01-06 16:44:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93392, 'abcdef', 60, '118.7587084', '31.8343707', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994679237', 0, '2023-01-06 16:44:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93393, 'abcdef', 60, '118.7586993', '31.8341574', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994681476', 0, '2023-01-06 16:44:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93394, 'abcdef', 60, '118.7586916', '31.8340246', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994683148', 0, '2023-01-06 16:44:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93395, 'abcdef', 60, '118.7586818', '31.8338473', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994685388', 0, '2023-01-06 16:44:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93396, 'abcdef', 60, '118.7586717', '31.8336691', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994687068', 0, '2023-01-06 16:44:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93397, 'abcdef', 60, '118.7586615', '31.8334901', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994689295', 0, '2023-01-06 16:44:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93398, 'abcdef', 60, '118.7586486', '31.8332663', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994691522', 0, '2023-01-06 16:44:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93399, 'abcdef', 60, '118.7586409', '31.8331318', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994693195', 0, '2023-01-06 16:44:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93400, 'abcdef', 60, '118.7586306', '31.8329523', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994695425', 0, '2023-01-06 16:44:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93401, 'abcdef', 60, '118.7586203', '31.8327729', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994697107', 0, '2023-01-06 16:44:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93402, 'abcdef', 60, '118.75861', '31.8325934', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994699347', 0, '2023-01-06 16:44:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93403, 'abcdef', 60, '118.7585997', '31.832414', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994701022', 0, '2023-01-06 16:45:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93404, 'abcdef', 60, '118.7585893', '31.8322344', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994703250', 0, '2023-01-06 16:45:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93405, 'abcdef', 60, '118.758579', '31.8320551', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994705481', 0, '2023-01-06 16:45:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93406, 'abcdef', 60, '118.7585687', '31.8318755', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994707154', 0, '2023-01-06 16:45:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93407, 'abcdef', 60, '118.7585584', '31.8316959', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994709400', 0, '2023-01-06 16:45:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93408, 'abcdef', 60, '118.7585481', '31.8315169', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994711068', 0, '2023-01-06 16:45:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93409, 'abcdef', 60, '118.7585378', '31.8313375', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994713304', 0, '2023-01-06 16:45:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93410, 'abcdef', 60, '118.7585249', '31.8311131', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994715550', 0, '2023-01-06 16:45:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93411, 'abcdef', 60, '118.7585172', '31.8309787', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994717203', 0, '2023-01-06 16:45:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93412, 'abcdef', 60, '118.7585069', '31.8307992', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994719440', 0, '2023-01-06 16:45:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93413, 'abcdef', 60, '118.7584966', '31.83062', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994721109', 0, '2023-01-06 16:45:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93414, 'abcdef', 60, '118.7584863', '31.8304405', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994723340', 0, '2023-01-06 16:45:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93415, 'abcdef', 60, '118.758476', '31.8302614', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994725025', 0, '2023-01-06 16:45:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93416, 'abcdef', 60, '118.7584657', '31.8300822', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994727251', 0, '2023-01-06 16:45:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93417, 'abcdef', 60, '118.7584515', '31.8298572', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994729481', 0, '2023-01-06 16:45:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93418, 'abcdef', 60, '118.7584342', '31.8297234', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994731156', 0, '2023-01-06 16:45:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93419, 'abcdef', 60, '118.7583884', '31.8295485', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994733406', 0, '2023-01-06 16:45:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93420, 'abcdef', 60, '118.7583247', '31.8293766', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994735069', 0, '2023-01-06 16:45:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93421, 'abcdef', 60, '118.7582588', '31.8292053', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994737292', 0, '2023-01-06 16:45:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93422, 'abcdef', 60, '118.758178', '31.8289916', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994739545', 0, '2023-01-06 16:45:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93423, 'abcdef', 60, '118.7581296', '31.828863', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994741216', 0, '2023-01-06 16:45:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93424, 'abcdef', 60, '118.7580652', '31.828692', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994743455', 0, '2023-01-06 16:45:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93425, 'abcdef', 60, '118.7580007', '31.8285206', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994745120', 0, '2023-01-06 16:45:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93426, 'abcdef', 60, '118.7579364', '31.8283499', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994747362', 0, '2023-01-06 16:45:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93427, 'abcdef', 60, '118.757872', '31.8281785', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994749023', 0, '2023-01-06 16:45:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93428, 'abcdef', 60, '118.7578075', '31.8280071', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994751264', 0, '2023-01-06 16:45:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93429, 'abcdef', 60, '118.7577272', '31.8277934', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994753489', 0, '2023-01-06 16:45:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93430, 'abcdef', 60, '118.7576788', '31.8276649', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994755165', 0, '2023-01-06 16:45:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93431, 'abcdef', 60, '118.7576146', '31.827494', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994757397', 0, '2023-01-06 16:45:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93432, 'abcdef', 60, '118.7575502', '31.8273228', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994759096', 0, '2023-01-06 16:45:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93433, 'abcdef', 60, '118.7574859', '31.8271518', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994761296', 0, '2023-01-06 16:46:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93434, 'abcdef', 60, '118.7574215', '31.8269805', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994763478', 0, '2023-01-06 16:46:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93435, 'abcdef', 60, '118.7573576', '31.8268106', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994765147', 0, '2023-01-06 16:46:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93436, 'abcdef', 60, '118.7573052', '31.8266717', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994767402', 0, '2023-01-06 16:46:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93437, 'abcdef', 60, '118.7572982', '31.8266059', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994769508', 0, '2023-01-06 16:46:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93438, 'abcdef', 60, '118.7573879', '31.8265722', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994771153', 0, '2023-01-06 16:46:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93439, 'abcdef', 60, '118.7575558', '31.8265164', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994773513', 0, '2023-01-06 16:46:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93440, 'abcdef', 60, '118.757745', '31.8264494', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994775162', 0, '2023-01-06 16:46:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93441, 'abcdef', 60, '118.7579372', '31.82638', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994777469', 0, '2023-01-06 16:46:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93442, 'abcdef', 60, '118.7581299', '31.8263105', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994779072', 0, '2023-01-06 16:46:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93443, 'abcdef', 60, '118.7583234', '31.8262406', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994781381', 0, '2023-01-06 16:46:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93444, 'abcdef', 60, '118.7585171', '31.8261706', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994783436', 0, '2023-01-06 16:46:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93445, 'abcdef', 60, '118.7587117', '31.8261002', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994785062', 0, '2023-01-06 16:46:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93446, 'abcdef', 60, '118.7589063', '31.8260298', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994787279', 0, '2023-01-06 16:46:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93447, 'abcdef', 60, '118.7590522', '31.825977', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994789280', 0, '2023-01-06 16:46:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93448, 'abcdef', 60, '118.7592957', '31.825889', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994791075', 0, '2023-01-06 16:46:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93449, 'abcdef', 60, '118.7594898', '31.8258188', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994793351', 0, '2023-01-06 16:46:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93450, 'abcdef', 60, '118.7596362', '31.8257658', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994795009', 0, '2023-01-06 16:46:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93451, 'abcdef', 60, '118.7598786', '31.8256781', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994797286', 0, '2023-01-06 16:46:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93452, 'abcdef', 60, '118.7600735', '31.8256076', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994799572', 0, '2023-01-06 16:46:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93453, 'abcdef', 60, '118.7602682', '31.8255372', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994801309', 0, '2023-01-06 16:46:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93454, 'abcdef', 60, '118.7604628', '31.8254668', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994803457', 0, '2023-01-06 16:46:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93455, 'abcdef', 60, '118.7606576', '31.8253963', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994805261', 0, '2023-01-06 16:46:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93456, 'abcdef', 60, '118.7608518', '31.825326', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994807401', 0, '2023-01-06 16:46:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93457, 'abcdef', 60, '118.7610462', '31.8252557', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994809709', 0, '2023-01-06 16:46:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93458, 'abcdef', 60, '118.7611913', '31.8252033', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994811485', 0, '2023-01-06 16:46:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93459, 'abcdef', 60, '118.7614355', '31.8251149', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994813330', 0, '2023-01-06 16:46:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93460, 'abcdef', 60, '118.7615802', '31.8250626', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994815031', 0, '2023-01-06 16:46:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93461, 'abcdef', 60, '118.7617715', '31.8249932', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994817286', 0, '2023-01-06 16:46:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93462, 'abcdef', 60, '118.7618243', '31.8249841', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994819470', 0, '2023-01-06 16:46:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93463, 'abcdef', 60, '118.761829', '31.8250558', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994821145', 0, '2023-01-06 16:47:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93464, 'abcdef', 60, '118.7618396', '31.8251985', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994823472', 0, '2023-01-06 16:47:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93465, 'abcdef', 60, '118.7618564', '31.825369', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994825203', 0, '2023-01-06 16:47:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93466, 'abcdef', 60, '118.7618744', '31.8255444', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994827347', 0, '2023-01-06 16:47:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93467, 'abcdef', 60, '118.7618836', '31.8256333', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994829212', 0, '2023-01-06 16:47:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93468, 'abcdef', 60, '118.7619113', '31.8258995', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994831251', 0, '2023-01-06 16:47:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93469, 'abcdef', 60, '118.7619252', '31.8260332', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994833313', 0, '2023-01-06 16:47:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93470, 'abcdef', 60, '118.7619486', '31.8262567', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994835160', 0, '2023-01-06 16:47:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93471, 'abcdef', 60, '118.7619673', '31.8264355', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994837284', 0, '2023-01-06 16:47:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93472, 'abcdef', 60, '118.7619906', '31.8266585', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994839557', 0, '2023-01-06 16:47:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93473, 'abcdef', 60, '118.7620047', '31.8267934', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994841215', 0, '2023-01-06 16:47:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93474, 'abcdef', 60, '118.7620188', '31.8269273', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994843091', 0, '2023-01-06 16:47:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93475, 'abcdef', 60, '118.7620421', '31.8271509', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994845232', 0, '2023-01-06 16:47:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93476, 'abcdef', 60, '118.7620609', '31.82733', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994847360', 0, '2023-01-06 16:47:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93477, 'abcdef', 60, '118.7620749', '31.8274644', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994849277', 0, '2023-01-06 16:47:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93478, 'abcdef', 60, '118.7620983', '31.8276878', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994851326', 0, '2023-01-06 16:47:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93479, 'abcdef', 60, '118.7621123', '31.8278214', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994853043', 0, '2023-01-06 16:47:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93480, 'abcdef', 60, '118.7621357', '31.8280449', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994855053', 0, '2023-01-06 16:47:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93481, 'abcdef', 60, '118.7621513', '31.8281947', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994857436', 0, '2023-01-06 16:47:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93482, 'abcdef', 60, '118.7621717', '31.8282633', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994859631', 0, '2023-01-06 16:47:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93483, 'abcdef', 60, '118.7622612', '31.8282652', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994861555', 0, '2023-01-06 16:47:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93484, 'abcdef', 60, '118.7624353', '31.8282579', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994863537', 0, '2023-01-06 16:47:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93485, 'abcdef', 60, '118.7626393', '31.8282533', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994865047', 0, '2023-01-06 16:47:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93486, 'abcdef', 60, '118.7628472', '31.8282501', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994867756', 0, '2023-01-06 16:47:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93487, 'abcdef', 60, '118.7630042', '31.8282476', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994869013', 0, '2023-01-06 16:47:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93488, 'abcdef', 60, '118.7632664', '31.8282435', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994871179', 0, '2023-01-06 16:47:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93489, 'abcdef', 60, '118.7634773', '31.8282402', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994873336', 0, '2023-01-06 16:47:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93490, 'abcdef', 60, '118.7636359', '31.8282378', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994875508', 0, '2023-01-06 16:47:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93491, 'abcdef', 60, '118.7638996', '31.8282338', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994877441', 0, '2023-01-06 16:47:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93492, 'abcdef', 60, '118.7640585', '31.8282314', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994879229', 0, '2023-01-06 16:47:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93493, 'abcdef', 60, '118.7643221', '31.8282274', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994882241', 0, '2023-01-06 16:48:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93494, 'abcdef', 60, '118.7646399', '31.8282226', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994884384', 0, '2023-01-06 16:48:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93495, 'abcdef', 60, '118.7647983', '31.8282202', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994886022', 0, '2023-01-06 16:48:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93496, 'abcdef', 60, '118.7650628', '31.8282162', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994888256', 0, '2023-01-06 16:48:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93497, 'abcdef', 60, '118.7652744', '31.828213', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994890575', 0, '2023-01-06 16:48:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93498, 'abcdef', 60, '118.7654731', '31.82821', '100.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994892331', 0, '2023-01-06 16:48:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93499, 'abcdef', 60, '118.7655988', '31.8282082', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994894397', 0, '2023-01-06 16:48:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93500, 'abcdef', 60, '118.7656254', '31.8282078', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994896048', 0, '2023-01-06 16:48:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93501, 'abcdef', 60, '118.7656218', '31.8282087', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994898118', 0, '2023-01-06 16:48:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93502, 'abcdef', 60, '118.7656467', '31.8282219', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994900111', 0, '2023-01-06 16:48:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93503, 'abcdef', 60, '118.7657534', '31.8282752', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994902029', 0, '2023-01-06 16:48:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93504, 'abcdef', 60, '118.7659621', '31.8283786', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994904242', 0, '2023-01-06 16:48:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93505, 'abcdef', 60, '118.7661415', '31.8284671', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994906476', 0, '2023-01-06 16:48:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93506, 'abcdef', 60, '118.766322', '31.8285562', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994908197', 0, '2023-01-06 16:48:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93507, 'abcdef', 60, '118.7665035', '31.8286457', '99.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994910257', 0, '2023-01-06 16:48:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93508, 'abcdef', 60, '118.7666352', '31.8287107', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994912157', 0, '2023-01-06 16:48:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93509, 'abcdef', 60, '118.766761', '31.8287729', '99.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994914188', 0, '2023-01-06 16:48:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93510, 'abcdef', 60, '118.7667997', '31.828792', '99.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994916361', 0, '2023-01-06 16:48:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93511, 'abcdef', 60, '118.7667956', '31.8287897', '99.62', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994918012', 0, '2023-01-06 16:48:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93512, 'abcdef', 60, '118.7667924', '31.8287879', '95.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994920130', 0, '2023-01-06 16:48:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93513, 'abcdef', 60, '118.7667919', '31.8287877', '92.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994922367', 0, '2023-01-06 16:48:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93514, 'abcdef', 60, '118.7667916', '31.8287877', '89.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994924759', 0, '2023-01-06 16:48:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93515, 'abcdef', 60, '118.7667914', '31.8287876', '87.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994926402', 0, '2023-01-06 16:48:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93516, 'abcdef', 60, '118.7667913', '31.8287876', '84.756', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994928065', 0, '2023-01-06 16:48:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93517, 'abcdef', 60, '118.7667912', '31.8287875', '81.756', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994930073', 0, '2023-01-06 16:48:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93518, 'abcdef', 60, '118.7667912', '31.8287875', '78.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994932305', 0, '2023-01-06 16:48:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93519, 'abcdef', 60, '118.7667912', '31.8287875', '75.755', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994934040', 0, '2023-01-06 16:48:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93520, 'abcdef', 60, '118.7667912', '31.8287875', '72.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994936163', 0, '2023-01-06 16:48:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93521, 'abcdef', 60, '118.7667912', '31.8287875', '69.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994938381', 0, '2023-01-06 16:48:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93522, 'abcdef', 60, '118.7667912', '31.8287875', '66.762', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994940339', 0, '2023-01-06 16:49:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93523, 'abcdef', 60, '118.7667912', '31.8287875', '63.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994942302', 0, '2023-01-06 16:49:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93524, 'abcdef', 60, '118.7667912', '31.8287875', '60.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994944613', 0, '2023-01-06 16:49:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93525, 'abcdef', 60, '118.7667912', '31.8287875', '57.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994946228', 0, '2023-01-06 16:49:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93526, 'abcdef', 60, '118.7667912', '31.8287875', '54.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994948406', 0, '2023-01-06 16:49:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93527, 'abcdef', 60, '118.7667912', '31.8287875', '51', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994950169', 0, '2023-01-06 16:49:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93528, 'abcdef', 60, '118.7667912', '31.8287875', '48.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994952398', 0, '2023-01-06 16:49:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93529, 'abcdef', 60, '118.7667912', '31.8287875', '45.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994954557', 0, '2023-01-06 16:49:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93530, 'abcdef', 60, '118.7667912', '31.8287875', '42.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994956245', 0, '2023-01-06 16:49:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93531, 'abcdef', 60, '118.7667912', '31.8287875', '39.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994958693', 0, '2023-01-06 16:49:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93532, 'abcdef', 60, '118.7667912', '31.8287875', '36.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994960223', 0, '2023-01-06 16:49:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93533, 'abcdef', 60, '118.7667912', '31.8287875', '33.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994962435', 0, '2023-01-06 16:49:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93534, 'abcdef', 60, '118.7667912', '31.8287875', '30.753', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994964161', 0, '2023-01-06 16:49:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93535, 'abcdef', 60, '118.7667912', '31.8287875', '27.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994966292', 0, '2023-01-06 16:49:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93536, 'abcdef', 60, '118.7667912', '31.8287875', '24.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994968533', 0, '2023-01-06 16:49:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93537, 'abcdef', 60, '118.7667912', '31.8287875', '21.012', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994970336', 0, '2023-01-06 16:49:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93538, 'abcdef', 60, '118.7667912', '31.8287875', '18.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994972459', 0, '2023-01-06 16:49:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93539, 'abcdef', 60, '118.7667912', '31.8287875', '16.179', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994974126', 0, '2023-01-06 16:49:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93540, 'abcdef', 60, '118.7667912', '31.8287875', '15.197', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994976357', 0, '2023-01-06 16:49:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93541, 'abcdef', 60, '118.7667912', '31.8287875', '14.44', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994978036', 0, '2023-01-06 16:49:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93542, 'abcdef', 60, '118.7667912', '31.8287875', '13.182', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994980262', 0, '2023-01-06 16:49:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93543, 'abcdef', 60, '118.7667912', '31.8287875', '12.18', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994982504', 0, '2023-01-06 16:49:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93544, 'abcdef', 60, '118.7667912', '31.8287875', '11.176', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994984177', 0, '2023-01-06 16:49:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93545, 'abcdef', 60, '118.7667912', '31.8287875', '10.174', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994986410', 0, '2023-01-06 16:49:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93546, 'abcdef', 60, '118.7667912', '31.8287875', '9.172', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994988089', 0, '2023-01-06 16:49:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93547, 'abcdef', 60, '118.7667912', '31.8287875', '8.17', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994990319', 0, '2023-01-06 16:49:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93548, 'abcdef', 60, '118.7667912', '31.8287875', '7.169', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994992552', 0, '2023-01-06 16:49:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93549, 'abcdef', 60, '118.7667912', '31.8287875', '6.473', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1672994994217', 0, '2023-01-06 16:49:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93640, 'zuhu1', 61, '118.7667917', '31.8287883', '0.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070801119', 0, '2023-01-07 13:53:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93641, 'zuhu1', 61, '118.7667917', '31.8287883', '0.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070816192', 0, '2023-01-07 13:53:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93642, 'zuhu1', 61, '118.7667917', '31.8287883', '0.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070831263', 0, '2023-01-07 13:53:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93643, 'zuhu1', 61, '118.7667917', '31.8287883', '0.13', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070846337', 0, '2023-01-07 13:54:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93644, 'zuhu1', 61, '118.7667917', '31.8287883', '0.641', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070853206', 0, '2023-01-07 13:54:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93645, 'zuhu1', 61, '118.7667917', '31.8287883', '1.319', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070859309', 0, '2023-01-07 13:54:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93646, 'zuhu1', 61, '118.7667917', '31.8287883', '2.258', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070865406', 0, '2023-01-07 13:54:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93647, 'zuhu1', 61, '118.7667917', '31.8287883', '3.439', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070871508', 0, '2023-01-07 13:54:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93648, 'zuhu1', 61, '118.7667916', '31.8287882', '4.722', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070877605', 0, '2023-01-07 13:54:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93649, 'zuhu1', 61, '118.7667916', '31.8287882', '5.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070883708', 0, '2023-01-07 13:54:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93650, 'zuhu1', 61, '118.7667916', '31.8287882', '8.492', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070889806', 0, '2023-01-07 13:54:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93651, 'zuhu1', 61, '118.7667916', '31.8287882', '9.735', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070895905', 0, '2023-01-07 13:54:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93652, 'zuhu1', 61, '118.7667916', '31.8287882', '10.981', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070902017', 0, '2023-01-07 13:55:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93653, 'zuhu1', 61, '118.7667916', '31.8287882', '12.229', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070908104', 0, '2023-01-07 13:55:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93654, 'zuhu1', 61, '118.7667916', '31.8287882', '13.476', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070914205', 0, '2023-01-07 13:55:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93655, 'zuhu1', 61, '118.7667916', '31.8287882', '14.724', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070920307', 0, '2023-01-07 13:55:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93656, 'zuhu1', 61, '118.7667916', '31.8287882', '15.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070926404', 0, '2023-01-07 13:55:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93657, 'zuhu1', 61, '118.7667916', '31.8287882', '17.211', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070932505', 0, '2023-01-07 13:55:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93658, 'zuhu1', 61, '118.7667916', '31.8287882', '19.705', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070938615', 0, '2023-01-07 13:55:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93659, 'zuhu1', 61, '118.7667916', '31.8287882', '20.955', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070944706', 0, '2023-01-07 13:55:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93660, 'zuhu1', 61, '118.7667916', '31.8287882', '22.206', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070950805', 0, '2023-01-07 13:55:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93661, 'zuhu1', 61, '118.7667916', '31.8287882', '23.456', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070956905', 0, '2023-01-07 13:55:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93662, 'zuhu1', 61, '118.7667916', '31.8287882', '24.704', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070963006', 0, '2023-01-07 13:56:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93663, 'zuhu1', 61, '118.7667916', '31.8287882', '25.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070969108', 0, '2023-01-07 13:56:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93664, 'zuhu1', 61, '118.7667916', '31.8287882', '27.204', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070975205', 0, '2023-01-07 13:56:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93665, 'zuhu1', 61, '118.7667916', '31.8287882', '28.453', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070981305', 0, '2023-01-07 13:56:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93666, 'zuhu1', 61, '118.7667916', '31.8287882', '29.702', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070987409', 0, '2023-01-07 13:56:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93667, 'zuhu1', 61, '118.7667916', '31.8287882', '32.199', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070993505', 0, '2023-01-07 13:56:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93668, 'zuhu1', 61, '118.7667916', '31.8287882', '33.451', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673070999606', 0, '2023-01-07 13:56:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93669, 'zuhu1', 61, '118.7667916', '31.8287882', '34.699', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071005707', 0, '2023-01-07 13:56:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93670, 'zuhu1', 61, '118.7667916', '31.8287882', '35.949', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071011805', 0, '2023-01-07 13:56:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93671, 'zuhu1', 61, '118.7667916', '31.8287882', '37.201', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071017908', 0, '2023-01-07 13:56:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93672, 'zuhu1', 61, '118.7667916', '31.8287882', '38.454', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071024005', 0, '2023-01-07 13:57:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93673, 'zuhu1', 61, '118.7667916', '31.8287882', '39.702', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071030104', 0, '2023-01-07 13:57:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93674, 'zuhu1', 61, '118.7667916', '31.8287882', '40.951', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071036204', 0, '2023-01-07 13:57:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93675, 'zuhu1', 61, '118.7667916', '31.8287882', '43.449', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071042304', 0, '2023-01-07 13:57:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93676, 'zuhu1', 61, '118.7667916', '31.8287882', '44.698', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071048429', 0, '2023-01-07 13:57:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93677, 'zuhu1', 61, '118.7667916', '31.8287882', '45.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071054608', 0, '2023-01-07 13:57:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93678, 'zuhu1', 61, '118.7667916', '31.8287882', '47.195', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071060705', 0, '2023-01-07 13:57:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93679, 'zuhu1', 61, '118.7667916', '31.8287882', '48.444', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071066805', 0, '2023-01-07 13:57:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93680, 'zuhu1', 61, '118.7667916', '31.8287882', '49.693', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071072905', 0, '2023-01-07 13:57:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93681, 'zuhu1', 61, '118.7667916', '31.8287882', '50.943', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071079106', 0, '2023-01-07 13:57:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93682, 'zuhu1', 61, '118.7667916', '31.8287882', '52.189', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071085305', 0, '2023-01-07 13:58:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93683, 'zuhu1', 61, '118.7667916', '31.8287882', '53.434', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071091408', 0, '2023-01-07 13:58:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93684, 'zuhu1', 61, '118.7667917', '31.8287882', '55.93', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071097506', 0, '2023-01-07 13:58:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93685, 'zuhu1', 61, '118.7667917', '31.8287882', '57.18', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071103605', 0, '2023-01-07 13:58:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93686, 'zuhu1', 61, '118.7667916', '31.8287882', '58.434', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071109705', 0, '2023-01-07 13:58:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93687, 'zuhu1', 61, '118.7667916', '31.8287882', '59.685', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071115908', 0, '2023-01-07 13:58:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93688, 'zuhu1', 61, '118.7667917', '31.8287882', '60.936', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071122006', 0, '2023-01-07 13:58:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93689, 'zuhu1', 61, '118.7667916', '31.8287882', '62.186', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071128111', 0, '2023-01-07 13:58:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93690, 'zuhu1', 61, '118.7667916', '31.8287882', '63.437', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071134206', 0, '2023-01-07 13:58:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93691, 'zuhu1', 61, '118.7667916', '31.8287882', '64.69', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071140305', 0, '2023-01-07 13:59:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93692, 'zuhu1', 61, '118.7667916', '31.8287882', '67.19', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071146404', 0, '2023-01-07 13:59:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93693, 'zuhu1', 61, '118.7667916', '31.8287882', '68.44', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071152505', 0, '2023-01-07 13:59:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93694, 'zuhu1', 61, '118.7667916', '31.8287882', '69.691', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071158605', 0, '2023-01-07 13:59:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93695, 'zuhu1', 61, '118.7667916', '31.8287882', '70.941', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071164706', 0, '2023-01-07 13:59:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93696, 'zuhu1', 61, '118.7667916', '31.8287882', '72.192', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071170805', 0, '2023-01-07 13:59:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93697, 'zuhu1', 61, '118.7667916', '31.8287882', '73.445', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071176923', 0, '2023-01-07 13:59:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93698, 'zuhu1', 61, '118.7667916', '31.8287882', '74.698', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071183005', 0, '2023-01-07 13:59:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93699, 'zuhu1', 61, '118.7667916', '31.8287882', '75.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071189106', 0, '2023-01-07 13:59:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93700, 'zuhu1', 61, '118.7667916', '31.8287882', '77.199', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071195205', 0, '2023-01-07 13:59:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93701, 'zuhu1', 61, '118.7667916', '31.8287882', '79.698', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071201308', 0, '2023-01-07 14:00:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93702, 'zuhu1', 61, '118.7667916', '31.8287882', '80.947', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071207405', 0, '2023-01-07 14:00:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93703, 'zuhu1', 61, '118.7667916', '31.8287882', '82.195', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071213505', 0, '2023-01-07 14:00:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93704, 'zuhu1', 61, '118.7667916', '31.8287882', '83.441', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071219617', 0, '2023-01-07 14:00:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93705, 'zuhu1', 61, '118.7667916', '31.8287882', '84.685', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071225712', 0, '2023-01-07 14:00:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93706, 'zuhu1', 61, '118.7667916', '31.8287882', '85.932', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071231807', 0, '2023-01-07 14:00:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93707, 'zuhu1', 61, '118.7667916', '31.8287882', '87.18', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071237907', 0, '2023-01-07 14:00:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93708, 'zuhu1', 61, '118.7667916', '31.8287882', '88.431', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071244005', 0, '2023-01-07 14:00:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93709, 'zuhu1', 61, '118.7667916', '31.8287882', '89.684', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071250105', 0, '2023-01-07 14:00:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93710, 'zuhu1', 61, '118.7667916', '31.8287882', '92.185', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071256210', 0, '2023-01-07 14:00:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93711, 'zuhu1', 61, '118.7667916', '31.8287882', '93.437', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071262312', 0, '2023-01-07 14:01:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93712, 'zuhu1', 61, '118.7667916', '31.8287882', '94.678', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071268504', 0, '2023-01-07 14:01:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93713, 'zuhu1', 61, '118.7667917', '31.8287882', '95.833', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071274604', 0, '2023-01-07 14:01:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93714, 'zuhu1', 61, '118.7667917', '31.8287882', '96.848', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071280742', 0, '2023-01-07 14:01:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93715, 'zuhu1', 61, '118.7667917', '31.8287883', '97.722', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071286920', 0, '2023-01-07 14:01:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93716, 'zuhu1', 61, '118.7667917', '31.8287882', '98.456', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071293005', 0, '2023-01-07 14:01:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93717, 'zuhu1', 61, '118.7667917', '31.8287883', '99.055', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071299106', 0, '2023-01-07 14:01:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93718, 'zuhu1', 61, '118.7667917', '31.8287883', '99.839', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071305220', 0, '2023-01-07 14:01:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93719, 'zuhu1', 61, '118.7667917', '31.8287883', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071311305', 0, '2023-01-07 14:01:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93720, 'zuhu1', 61, '118.7667919', '31.8287883', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071317806', 0, '2023-01-07 14:01:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93721, 'zuhu1', 61, '118.766793', '31.8287884', '99.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071323905', 0, '2023-01-07 14:02:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93722, 'zuhu1', 61, '118.7667962', '31.8287885', '99.953', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071330005', 0, '2023-01-07 14:02:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93723, 'zuhu1', 61, '118.7668024', '31.8287887', '99.957', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071336104', 0, '2023-01-07 14:02:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93724, 'zuhu1', 61, '118.7668131', '31.828789', '99.963', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071342206', 0, '2023-01-07 14:02:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93725, 'zuhu1', 61, '118.7668288', '31.8287896', '99.967', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071348306', 0, '2023-01-07 14:02:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93726, 'zuhu1', 61, '118.76685', '31.8287904', '99.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071354468', 0, '2023-01-07 14:02:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93727, 'zuhu1', 61, '118.7669103', '31.8287926', '99.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071360624', 0, '2023-01-07 14:02:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93728, 'zuhu1', 61, '118.7669488', '31.8287941', '99.971', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071366704', 0, '2023-01-07 14:02:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93729, 'zuhu1', 61, '118.7669912', '31.8287956', '99.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071372805', 0, '2023-01-07 14:02:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93730, 'zuhu1', 61, '118.7670369', '31.8287973', '99.975', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071378905', 0, '2023-01-07 14:02:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93731, 'zuhu1', 61, '118.7670854', '31.828799', '99.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071385025', 0, '2023-01-07 14:03:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93732, 'zuhu1', 61, '118.7671356', '31.8288008', '99.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071391205', 0, '2023-01-07 14:03:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93733, 'zuhu1', 61, '118.7671587', '31.8351543', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071397314', 0, '2023-01-07 14:03:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93734, 'zuhu1', 61, '118.7671065', '31.8351505', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071403405', 0, '2023-01-07 14:03:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93735, 'zuhu1', 61, '118.7670543', '31.8351468', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071409506', 0, '2023-01-07 14:03:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93736, 'zuhu1', 61, '118.7670012', '31.835143', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071415605', 0, '2023-01-07 14:03:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93737, 'zuhu1', 61, '118.7669483', '31.8351392', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071421705', 0, '2023-01-07 14:03:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93738, 'zuhu1', 61, '118.7668959', '31.8351354', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071428005', 0, '2023-01-07 14:03:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93739, 'zuhu1', 61, '118.7667908', '31.8351279', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071434105', 0, '2023-01-07 14:03:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93740, 'zuhu1', 61, '118.7667377', '31.8351241', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071440205', 0, '2023-01-07 14:04:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93741, 'zuhu1', 61, '118.7666853', '31.8351203', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071446307', 0, '2023-01-07 14:04:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93742, 'zuhu1', 61, '118.7666329', '31.8351165', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071452419', 0, '2023-01-07 14:04:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93743, 'zuhu1', 61, '118.7665802', '31.8351128', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071458609', 0, '2023-01-07 14:04:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93744, 'zuhu1', 61, '118.766527', '31.835109', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071464705', 0, '2023-01-07 14:04:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93745, 'zuhu1', 61, '118.7664746', '31.8351052', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071470805', 0, '2023-01-07 14:04:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93746, 'zuhu1', 61, '118.7664222', '31.8351014', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071476905', 0, '2023-01-07 14:04:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93747, 'zuhu1', 61, '118.7663163', '31.8350938', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071483010', 0, '2023-01-07 14:04:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93748, 'zuhu1', 61, '118.7662636', '31.8350901', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071489105', 0, '2023-01-07 14:04:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93749, 'zuhu1', 61, '118.7662112', '31.8350863', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071495305', 0, '2023-01-07 14:04:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93750, 'zuhu1', 61, '118.7661589', '31.8350826', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071501407', 0, '2023-01-07 14:05:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93751, 'zuhu1', 61, '118.7661056', '31.8350787', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071507503', 0, '2023-01-07 14:05:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93752, 'zuhu1', 61, '118.7660531', '31.835075', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071513605', 0, '2023-01-07 14:05:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93753, 'zuhu1', 61, '118.7660009', '31.8350712', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071519705', 0, '2023-01-07 14:05:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93754, 'zuhu1', 61, '118.7659485', '31.8350674', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071525806', 0, '2023-01-07 14:05:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93755, 'zuhu1', 61, '118.765895', '31.8350636', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071531907', 0, '2023-01-07 14:05:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93756, 'zuhu1', 61, '118.7657897', '31.8350561', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071538004', 0, '2023-01-07 14:05:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93757, 'zuhu1', 61, '118.7583071', '31.829331', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071544105', 0, '2023-01-07 14:05:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93758, 'zuhu1', 61, '118.7582905', '31.829288', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071550205', 0, '2023-01-07 14:05:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93759, 'zuhu1', 61, '118.7582741', '31.8292453', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071556405', 0, '2023-01-07 14:05:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93760, 'zuhu1', 61, '118.7582578', '31.8292026', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071562505', 0, '2023-01-07 14:06:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93761, 'zuhu1', 61, '118.7582414', '31.8291595', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071568705', 0, '2023-01-07 14:06:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93762, 'zuhu1', 61, '118.7582089', '31.8290737', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071574805', 0, '2023-01-07 14:06:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93763, 'zuhu1', 61, '118.7581929', '31.8290312', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071580907', 0, '2023-01-07 14:06:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93764, 'zuhu1', 61, '118.7581768', '31.8289885', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071587105', 0, '2023-01-07 14:06:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93765, 'zuhu1', 61, '118.7581605', '31.8289453', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071593206', 0, '2023-01-07 14:06:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93766, 'zuhu1', 61, '118.7581445', '31.8289027', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071599308', 0, '2023-01-07 14:06:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93767, 'zuhu1', 61, '118.7581285', '31.8288601', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071605406', 0, '2023-01-07 14:06:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93768, 'zuhu1', 61, '118.7581124', '31.8288174', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071611506', 0, '2023-01-07 14:06:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93769, 'zuhu1', 61, '118.7580961', '31.8287742', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071617606', 0, '2023-01-07 14:06:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93770, 'zuhu1', 61, '118.75808', '31.8287314', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071623706', 0, '2023-01-07 14:07:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93771, 'zuhu1', 61, '118.758064', '31.8286889', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071629812', 0, '2023-01-07 14:07:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93772, 'zuhu1', 61, '118.7580319', '31.8286035', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071635906', 0, '2023-01-07 14:07:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93773, 'zuhu1', 61, '118.7580157', '31.8285606', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071642008', 0, '2023-01-07 14:07:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93774, 'zuhu1', 61, '118.7579998', '31.8285182', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071648105', 0, '2023-01-07 14:07:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93775, 'zuhu1', 61, '118.7579837', '31.8284756', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071654206', 0, '2023-01-07 14:07:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93776, 'zuhu1', 61, '118.7579675', '31.8284323', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071660304', 0, '2023-01-07 14:07:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93777, 'zuhu1', 61, '118.7579513', '31.8283893', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071666404', 0, '2023-01-07 14:07:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93778, 'zuhu1', 61, '118.7579353', '31.8283467', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071672505', 0, '2023-01-07 14:07:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93779, 'zuhu1', 61, '118.7579193', '31.8283042', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071678606', 0, '2023-01-07 14:07:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93780, 'zuhu1', 61, '118.7639293', '31.8282333', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071684705', 0, '2023-01-07 14:08:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93781, 'zuhu1', 61, '118.7639819', '31.8282325', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071690805', 0, '2023-01-07 14:08:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93782, 'zuhu1', 61, '118.7640346', '31.8282317', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071696905', 0, '2023-01-07 14:08:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93783, 'zuhu1', 61, '118.7641409', '31.8282301', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071703005', 0, '2023-01-07 14:08:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93784, 'zuhu1', 61, '118.7641936', '31.8282293', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071709106', 0, '2023-01-07 14:08:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93785, 'zuhu1', 61, '118.7642462', '31.8282285', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071715205', 0, '2023-01-07 14:08:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93786, 'zuhu1', 61, '118.7642989', '31.8282277', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071721305', 0, '2023-01-07 14:08:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93787, 'zuhu1', 61, '118.7643523', '31.8282269', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071727405', 0, '2023-01-07 14:08:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93788, 'zuhu1', 61, '118.7644052', '31.8282261', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071733505', 0, '2023-01-07 14:08:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93789, 'zuhu1', 61, '118.7644577', '31.8282253', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071739605', 0, '2023-01-07 14:09:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93790, 'zuhu1', 61, '118.7645101', '31.8282245', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071745704', 0, '2023-01-07 14:09:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93791, 'zuhu1', 61, '118.7645635', '31.8282237', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071751804', 0, '2023-01-07 14:09:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93792, 'zuhu1', 61, '118.7646163', '31.8282229', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071757904', 0, '2023-01-07 14:09:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93793, 'zuhu1', 61, '118.7647213', '31.8282213', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071764006', 0, '2023-01-07 14:09:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93794, 'zuhu1', 61, '118.7647748', '31.8282205', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071770108', 0, '2023-01-07 14:09:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93795, 'zuhu1', 61, '118.7648281', '31.8282197', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071776206', 0, '2023-01-07 14:09:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93796, 'zuhu1', 61, '118.7648805', '31.8282189', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071782304', 0, '2023-01-07 14:09:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93797, 'zuhu1', 61, '118.764933', '31.8282181', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071788407', 0, '2023-01-07 14:09:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93798, 'zuhu1', 61, '118.7649861', '31.8282173', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071794504', 0, '2023-01-07 14:09:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93799, 'zuhu1', 61, '118.7650395', '31.8282165', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071800606', 0, '2023-01-07 14:10:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93800, 'zuhu1', 61, '118.765092', '31.8282157', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071806704', 0, '2023-01-07 14:10:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93801, 'zuhu1', 61, '118.7651976', '31.8282141', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071812806', 0, '2023-01-07 14:10:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (93802, 'zuhu1', 61, '118.7652508', '31.8282133', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673071818908', 0, '2023-01-07 14:10:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114688, 'zuhu3', 62, '118.7667908', '31.8287875', '0', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858383979', 0, '2023-01-16 16:39:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114689, 'zuhu3', 62, '118.7667908', '31.8287875', '0.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858385101', 0, '2023-01-16 16:39:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114690, 'zuhu3', 62, '118.7667909', '31.8287875', '2.219', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858387348', 0, '2023-01-16 16:39:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114691, 'zuhu3', 62, '118.7667909', '31.8287875', '8.433', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858389540', 0, '2023-01-16 16:39:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114692, 'zuhu3', 62, '118.7667909', '31.8287875', '12.171', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858391218', 0, '2023-01-16 16:39:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114693, 'zuhu3', 62, '118.7667909', '31.8287875', '18.419', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858393466', 0, '2023-01-16 16:39:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114694, 'zuhu3', 62, '118.7667909', '31.8287875', '22.171', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858395153', 0, '2023-01-16 16:39:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114695, 'zuhu3', 62, '118.7667909', '31.8287875', '27.17', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858397423', 0, '2023-01-16 16:39:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114696, 'zuhu3', 62, '118.7667909', '31.8287875', '32.17', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858399115', 0, '2023-01-16 16:39:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114697, 'zuhu3', 62, '118.7667909', '31.8287875', '37.162', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858401325', 0, '2023-01-16 16:40:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114698, 'zuhu3', 62, '118.7667909', '31.8287875', '42.157', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858403015', 0, '2023-01-16 16:40:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114699, 'zuhu3', 62, '118.7667909', '31.8287875', '47.142', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858405259', 0, '2023-01-16 16:40:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114700, 'zuhu3', 62, '118.7667909', '31.8287875', '53.397', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858407496', 0, '2023-01-16 16:40:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114701, 'zuhu3', 62, '118.7667909', '31.8287875', '57.14', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858409181', 0, '2023-01-16 16:40:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114702, 'zuhu3', 62, '118.7667909', '31.8287875', '63.397', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858411419', 0, '2023-01-16 16:40:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114703, 'zuhu3', 62, '118.7667909', '31.8287875', '67.144', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858413211', 0, '2023-01-16 16:40:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114704, 'zuhu3', 62, '118.7667909', '31.8287875', '72.142', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858415350', 0, '2023-01-16 16:40:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114705, 'zuhu3', 62, '118.7667909', '31.8287875', '77.126', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858417032', 0, '2023-01-16 16:40:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114706, 'zuhu3', 62, '118.7667909', '31.8287875', '82.127', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858419272', 0, '2023-01-16 16:40:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114707, 'zuhu3', 62, '118.7667908', '31.8287875', '87.132', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858421062', 0, '2023-01-16 16:40:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114708, 'zuhu3', 62, '118.7667909', '31.8287875', '92.136', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858423189', 0, '2023-01-16 16:40:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114709, 'zuhu3', 62, '118.7667909', '31.8287875', '96.812', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858425371', 0, '2023-01-16 16:40:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114710, 'zuhu3', 62, '118.7667909', '31.8287875', '99.493', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858427054', 0, '2023-01-16 16:40:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114711, 'zuhu3', 62, '118.7667917', '31.8287875', '99.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858429291', 0, '2023-01-16 16:40:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114712, 'zuhu3', 62, '118.7668225', '31.8287886', '99.95', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858431025', 0, '2023-01-16 16:40:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114713, 'zuhu3', 62, '118.7669338', '31.8287925', '99.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858433218', 0, '2023-01-16 16:40:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114714, 'zuhu3', 62, '118.7671677', '31.8288011', '99.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858435456', 0, '2023-01-16 16:40:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114715, 'zuhu3', 62, '118.7673208', '31.8288067', '99.974', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858437141', 0, '2023-01-16 16:40:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114716, 'zuhu3', 62, '118.7675281', '31.8288142', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858439381', 0, '2023-01-16 16:40:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114717, 'zuhu3', 62, '118.7677372', '31.8288219', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858441064', 0, '2023-01-16 16:40:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114718, 'zuhu3', 62, '118.7679478', '31.8288295', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858443307', 0, '2023-01-16 16:40:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114719, 'zuhu3', 62, '118.7682113', '31.8288391', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858445490', 0, '2023-01-16 16:40:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114720, 'zuhu3', 62, '118.7683698', '31.8288449', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858447277', 0, '2023-01-16 16:40:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114721, 'zuhu3', 62, '118.7685812', '31.8288526', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858449407', 0, '2023-01-16 16:40:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114722, 'zuhu3', 62, '118.7687924', '31.8288604', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858451086', 0, '2023-01-16 16:40:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114723, 'zuhu3', 62, '118.7690037', '31.8288681', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858453286', 0, '2023-01-16 16:40:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114724, 'zuhu3', 62, '118.7692671', '31.8288777', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858455522', 0, '2023-01-16 16:40:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114725, 'zuhu3', 62, '118.7694258', '31.8288835', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858457184', 0, '2023-01-16 16:40:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114726, 'zuhu3', 62, '118.7696372', '31.8288912', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858459426', 0, '2023-01-16 16:40:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114727, 'zuhu3', 62, '118.7698485', '31.8288989', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858461106', 0, '2023-01-16 16:41:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114728, 'zuhu3', 62, '118.77006', '31.8289066', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858463373', 0, '2023-01-16 16:41:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114729, 'zuhu3', 62, '118.7702699', '31.8289143', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858465041', 0, '2023-01-16 16:41:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114730, 'zuhu3', 62, '118.7704424', '31.8289204', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858467220', 0, '2023-01-16 16:41:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114731, 'zuhu3', 62, '118.7705106', '31.8289552', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858469465', 0, '2023-01-16 16:41:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114732, 'zuhu3', 62, '118.770483', '31.8290287', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858471149', 0, '2023-01-16 16:41:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114733, 'zuhu3', 62, '118.7704257', '31.8291771', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858473394', 0, '2023-01-16 16:41:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114734, 'zuhu3', 62, '118.7703662', '31.8293434', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858475073', 0, '2023-01-16 16:41:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114735, 'zuhu3', 62, '118.7703067', '31.8295129', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858477315', 0, '2023-01-16 16:41:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114736, 'zuhu3', 62, '118.770247', '31.8296833', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858479096', 0, '2023-01-16 16:41:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114737, 'zuhu3', 62, '118.770187', '31.8298546', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858481240', 0, '2023-01-16 16:41:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114738, 'zuhu3', 62, '118.7701118', '31.8300698', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858483484', 0, '2023-01-16 16:41:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114739, 'zuhu3', 62, '118.7700669', '31.8301981', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858485260', 0, '2023-01-16 16:41:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114740, 'zuhu3', 62, '118.7700068', '31.8303703', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858487407', 0, '2023-01-16 16:41:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114741, 'zuhu3', 62, '118.7699466', '31.8305426', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858489096', 0, '2023-01-16 16:41:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114742, 'zuhu3', 62, '118.7698865', '31.8307149', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858491346', 0, '2023-01-16 16:41:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114743, 'zuhu3', 62, '118.7698263', '31.8308873', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858493035', 0, '2023-01-16 16:41:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114744, 'zuhu3', 62, '118.7697662', '31.8310594', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858495248', 0, '2023-01-16 16:41:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114745, 'zuhu3', 62, '118.769691', '31.8312746', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858497503', 0, '2023-01-16 16:41:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114746, 'zuhu3', 62, '118.7696458', '31.831404', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858499174', 0, '2023-01-16 16:41:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114747, 'zuhu3', 62, '118.7695857', '31.8315762', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858501418', 0, '2023-01-16 16:41:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114748, 'zuhu3', 62, '118.7695278', '31.831742', '100.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858503126', 0, '2023-01-16 16:41:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114749, 'zuhu3', 62, '118.7694842', '31.8318541', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858505424', 0, '2023-01-16 16:41:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114750, 'zuhu3', 62, '118.7694128', '31.8318762', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858507058', 0, '2023-01-16 16:41:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114751, 'zuhu3', 62, '118.7692591', '31.8318524', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858509270', 0, '2023-01-16 16:41:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114752, 'zuhu3', 62, '118.7690613', '31.831825', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858511051', 0, '2023-01-16 16:41:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114753, 'zuhu3', 62, '118.768855', '31.8317991', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858513206', 0, '2023-01-16 16:41:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114754, 'zuhu3', 62, '118.7686482', '31.8317733', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858515435', 0, '2023-01-16 16:41:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114755, 'zuhu3', 62, '118.7684403', '31.8317474', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858517216', 0, '2023-01-16 16:41:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114756, 'zuhu3', 62, '118.7682318', '31.8317216', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858519354', 0, '2023-01-16 16:41:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114757, 'zuhu3', 62, '118.768023', '31.8316957', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858521045', 0, '2023-01-16 16:42:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114758, 'zuhu3', 62, '118.7678138', '31.8316698', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858523284', 0, '2023-01-16 16:42:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114759, 'zuhu3', 62, '118.7675528', '31.8316375', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858525532', 0, '2023-01-16 16:42:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114760, 'zuhu3', 62, '118.7673955', '31.8316181', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858527213', 0, '2023-01-16 16:42:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114761, 'zuhu3', 62, '118.767134', '31.8315858', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858529459', 0, '2023-01-16 16:42:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114762, 'zuhu3', 62, '118.7669771', '31.8315663', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858531240', 0, '2023-01-16 16:42:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114763, 'zuhu3', 62, '118.7667678', '31.8315405', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858533495', 0, '2023-01-16 16:42:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114764, 'zuhu3', 62, '118.766559', '31.8315146', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858535060', 0, '2023-01-16 16:42:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114765, 'zuhu3', 62, '118.7663611', '31.8314902', '100.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858537296', 0, '2023-01-16 16:42:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114766, 'zuhu3', 62, '118.76622', '31.8314595', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858539539', 0, '2023-01-16 16:42:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114767, 'zuhu3', 62, '118.7662084', '31.8314058', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858541229', 0, '2023-01-16 16:42:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114768, 'zuhu3', 62, '118.7662194', '31.8312674', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858543459', 0, '2023-01-16 16:42:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114769, 'zuhu3', 62, '118.7662281', '31.8310957', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858545142', 0, '2023-01-16 16:42:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114770, 'zuhu3', 62, '118.7662341', '31.8309185', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858547396', 0, '2023-01-16 16:42:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114771, 'zuhu3', 62, '118.7662402', '31.8307408', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858549159', 0, '2023-01-16 16:42:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114772, 'zuhu3', 62, '118.7662462', '31.8305628', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858551301', 0, '2023-01-16 16:42:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114773, 'zuhu3', 62, '118.7662535', '31.830339', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858553586', 0, '2023-01-16 16:42:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114774, 'zuhu3', 62, '118.766258', '31.830204', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858555226', 0, '2023-01-16 16:42:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114775, 'zuhu3', 62, '118.7662638', '31.8300248', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858557471', 0, '2023-01-16 16:42:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114776, 'zuhu3', 62, '118.7662697', '31.8298451', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858559180', 0, '2023-01-16 16:42:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114777, 'zuhu3', 62, '118.7662755', '31.8296656', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858561397', 0, '2023-01-16 16:42:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114778, 'zuhu3', 62, '118.7662814', '31.8294859', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858563071', 0, '2023-01-16 16:42:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114779, 'zuhu3', 62, '118.7662873', '31.8293064', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858565308', 0, '2023-01-16 16:42:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114780, 'zuhu3', 62, '118.7662946', '31.829082', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858567555', 0, '2023-01-16 16:42:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114781, 'zuhu3', 62, '118.7662987', '31.8289572', '100.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858569233', 0, '2023-01-16 16:42:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114782, 'zuhu3', 62, '118.7663024', '31.8288391', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858571485', 0, '2023-01-16 16:42:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114783, 'zuhu3', 62, '118.7663028', '31.8288289', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858573166', 0, '2023-01-16 16:42:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114784, 'zuhu3', 62, '118.7663065', '31.8288336', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858575510', 0, '2023-01-16 16:42:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114785, 'zuhu3', 62, '118.7663619', '31.8288303', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858577088', 0, '2023-01-16 16:42:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114786, 'zuhu3', 62, '118.7664962', '31.8288176', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858579330', 0, '2023-01-16 16:42:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114787, 'zuhu3', 62, '118.7666536', '31.8288013', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858581057', 0, '2023-01-16 16:43:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114788, 'zuhu3', 62, '118.7667699', '31.8287897', '99.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858583263', 0, '2023-01-16 16:43:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114789, 'zuhu3', 62, '118.7667982', '31.828787', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858585488', 0, '2023-01-16 16:43:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114790, 'zuhu3', 62, '118.7667947', '31.8287874', '99.078', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858587170', 0, '2023-01-16 16:43:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114791, 'zuhu3', 62, '118.7667924', '31.8287878', '96.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858589414', 0, '2023-01-16 16:43:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114792, 'zuhu3', 62, '118.7667921', '31.8287879', '93.018', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858591103', 0, '2023-01-16 16:43:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114793, 'zuhu3', 62, '118.7667918', '31.8287879', '90.021', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858593348', 0, '2023-01-16 16:43:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114794, 'zuhu3', 62, '118.7667916', '31.8287878', '87.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858595020', 0, '2023-01-16 16:43:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114795, 'zuhu3', 62, '118.7667915', '31.8287878', '84.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858597260', 0, '2023-01-16 16:43:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114796, 'zuhu3', 62, '118.7667915', '31.8287878', '81.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858599396', 0, '2023-01-16 16:43:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114797, 'zuhu3', 62, '118.7667915', '31.8287878', '78.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858601067', 0, '2023-01-16 16:43:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114798, 'zuhu3', 62, '118.7667914', '31.8287878', '75.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858603316', 0, '2023-01-16 16:43:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114799, 'zuhu3', 62, '118.7667914', '31.8287878', '71.28', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858605569', 0, '2023-01-16 16:43:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114800, 'zuhu3', 62, '118.7667914', '31.8287878', '69.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858607324', 0, '2023-01-16 16:43:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114801, 'zuhu3', 62, '118.7667914', '31.8287878', '65.277', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858609480', 0, '2023-01-16 16:43:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114802, 'zuhu3', 62, '118.7667914', '31.8287878', '63.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858611095', 0, '2023-01-16 16:43:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114803, 'zuhu3', 62, '118.7667914', '31.8287878', '60.038', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858613435', 0, '2023-01-16 16:43:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114804, 'zuhu3', 62, '118.7667914', '31.8287878', '57.033', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858615018', 0, '2023-01-16 16:43:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114805, 'zuhu3', 62, '118.7667914', '31.8287878', '54.027', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858617263', 0, '2023-01-16 16:43:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114806, 'zuhu3', 62, '118.7667914', '31.8287878', '50.271', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858619512', 0, '2023-01-16 16:43:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114807, 'zuhu3', 62, '118.7667914', '31.8287878', '48.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858621183', 0, '2023-01-16 16:43:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114808, 'zuhu3', 62, '118.7667914', '31.8287878', '45.02', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858623420', 0, '2023-01-16 16:43:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114809, 'zuhu3', 62, '118.7667914', '31.8287878', '42.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858625104', 0, '2023-01-16 16:43:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114810, 'zuhu3', 62, '118.7667914', '31.8287878', '39.026', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858627353', 0, '2023-01-16 16:43:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114811, 'zuhu3', 62, '118.7667914', '31.8287878', '36.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858629025', 0, '2023-01-16 16:43:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114812, 'zuhu3', 62, '118.7667914', '31.8287878', '33.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858631286', 0, '2023-01-16 16:43:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114813, 'zuhu3', 62, '118.7667914', '31.8287878', '29.269', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858633502', 0, '2023-01-16 16:43:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114814, 'zuhu3', 62, '118.7667914', '31.8287878', '27.022', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858635189', 0, '2023-01-16 16:43:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114815, 'zuhu3', 62, '118.7667913', '31.8287878', '24.023', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858637430', 0, '2023-01-16 16:43:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114816, 'zuhu3', 62, '118.7667913', '31.8287878', '21.03', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858639108', 0, '2023-01-16 16:43:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114817, 'zuhu3', 62, '118.7667913', '31.8287878', '18.032', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858641344', 0, '2023-01-16 16:44:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114818, 'zuhu3', 62, '118.7667912', '31.8287878', '15.028', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858643026', 0, '2023-01-16 16:44:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114819, 'zuhu3', 62, '118.7667912', '31.8287877', '12.024', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858645368', 0, '2023-01-16 16:44:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114820, 'zuhu3', 62, '118.7667912', '31.8287877', '9.881', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858647506', 0, '2023-01-16 16:44:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114821, 'zuhu3', 62, '118.7667912', '31.8287877', '9.128', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858649182', 0, '2023-01-16 16:44:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114822, 'zuhu3', 62, '118.7667911', '31.8287877', '8.12', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858651422', 0, '2023-01-16 16:44:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114823, 'zuhu3', 62, '118.7667911', '31.8287877', '7.116', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858653128', 0, '2023-01-16 16:44:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114824, 'zuhu3', 62, '118.7667911', '31.8287877', '6.113', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858655353', 0, '2023-01-16 16:44:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114825, 'zuhu3', 62, '118.7667911', '31.8287877', '5.111', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858657032', 0, '2023-01-16 16:44:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114826, 'zuhu3', 62, '118.7667911', '31.8287877', '4.11', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858659283', 0, '2023-01-16 16:44:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114827, 'zuhu3', 62, '118.7667911', '31.8287876', '2.856', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858661513', 0, '2023-01-16 16:44:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114828, 'zuhu3', 62, '118.7667911', '31.8287876', '2.107', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858663196', 0, '2023-01-16 16:44:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114829, 'zuhu3', 62, '118.7667911', '31.8287876', '1.105', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858665438', 0, '2023-01-16 16:44:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114830, 'zuhu3', 62, '118.7667911', '31.8287876', '0.106', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858667062', 0, '2023-01-16 16:44:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114831, 'zuhu3', 62, '118.7667911', '31.8287876', '0.034', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1673858669305', 0, '2023-01-16 16:44:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114863, 'zuhu2123', 63, '118.7660171', '31.8294127', '0.094', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331592135', 0, '2022-08-24 16:59:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114864, 'zuhu2123', 63, '118.7660171', '31.8294127', '0.547', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331607214', 0, '2022-08-24 17:00:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114865, 'zuhu2123', 63, '118.7660172', '31.8294126', '1.186', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331622238', 0, '2022-08-24 17:00:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114866, 'zuhu2123', 63, '118.7660172', '31.8294126', '2.073', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331637277', 0, '2022-08-24 17:00:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114867, 'zuhu2123', 63, '118.7660173', '31.8294125', '3.223', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331646165', 0, '2022-08-24 17:00:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114868, 'zuhu2123', 63, '118.7660173', '31.8294125', '4.51', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331657956', 0, '2022-08-24 17:00:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114869, 'zuhu2123', 63, '118.7660173', '31.8294125', '5.79', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331668467', 0, '2022-08-24 17:01:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114870, 'zuhu2123', 63, '118.7686773', '31.8291229', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331670292', 0, '2022-08-24 17:01:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114871, 'zuhu2123', 63, '118.7688347', '31.8291058', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331672051', 0, '2022-08-24 17:01:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114872, 'zuhu2123', 63, '118.7690969', '31.8290772', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331674481', 0, '2022-08-24 17:01:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114873, 'zuhu2123', 63, '118.7692546', '31.8290601', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331676313', 0, '2022-08-24 17:01:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114874, 'zuhu2123', 63, '118.7694119', '31.8290429', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331678139', 0, '2022-08-24 17:01:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114875, 'zuhu2123', 63, '118.7696745', '31.8290143', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331680656', 0, '2022-08-24 17:01:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114876, 'zuhu2123', 63, '118.769831', '31.8289973', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331682442', 0, '2022-08-24 17:01:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114877, 'zuhu2123', 63, '118.7699884', '31.8289802', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331684149', 0, '2022-08-24 17:01:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114878, 'zuhu2123', 63, '118.7702495', '31.8289517', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331686457', 0, '2022-08-24 17:01:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114879, 'zuhu2123', 63, '118.7703911', '31.8289364', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331688285', 0, '2022-08-24 17:01:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114880, 'zuhu2123', 63, '118.770502', '31.8289296', '99.984', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331690588', 0, '2022-08-24 17:01:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114881, 'zuhu2123', 63, '118.7705018', '31.8289844', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331692412', 0, '2022-08-24 17:01:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114882, 'zuhu2123', 63, '118.7704676', '31.8290767', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331694237', 0, '2022-08-24 17:01:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114883, 'zuhu2123', 63, '118.7704133', '31.8292357', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331696532', 0, '2022-08-24 17:01:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114884, 'zuhu2123', 63, '118.770358', '31.8294035', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331698360', 0, '2022-08-24 17:01:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114885, 'zuhu2123', 63, '118.7703166', '31.829531', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331700116', 0, '2022-08-24 17:01:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114886, 'zuhu2123', 63, '118.7702612', '31.8297023', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331702481', 0, '2022-08-24 17:01:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114887, 'zuhu2123', 63, '118.7702055', '31.8298748', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331704300', 0, '2022-08-24 17:01:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114888, 'zuhu2123', 63, '118.7701635', '31.8300046', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331706060', 0, '2022-08-24 17:01:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114889, 'zuhu2123', 63, '118.7701076', '31.8301778', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331708424', 0, '2022-08-24 17:01:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114890, 'zuhu2123', 63, '118.7700517', '31.830351', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331710252', 0, '2022-08-24 17:01:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114891, 'zuhu2123', 63, '118.7700097', '31.8304812', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331712030', 0, '2022-08-24 17:01:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114892, 'zuhu2123', 63, '118.7699539', '31.8306541', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331714378', 0, '2022-08-24 17:01:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114893, 'zuhu2123', 63, '118.7698981', '31.8308272', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331716140', 0, '2022-08-24 17:01:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114894, 'zuhu2123', 63, '118.7698421', '31.8310007', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331718511', 0, '2022-08-24 17:01:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114895, 'zuhu2123', 63, '118.7698002', '31.8311304', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331720207', 0, '2022-08-24 17:02:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114896, 'zuhu2123', 63, '118.7697443', '31.8313036', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331722511', 0, '2022-08-24 17:02:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114897, 'zuhu2123', 63, '118.7697022', '31.8314342', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331724203', 0, '2022-08-24 17:02:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114898, 'zuhu2123', 63, '118.7696324', '31.8316504', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331726507', 0, '2022-08-24 17:02:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114899, 'zuhu2123', 63, '118.7695903', '31.8317807', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331728268', 0, '2022-08-24 17:02:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114900, 'zuhu2123', 63, '118.7695485', '31.8319104', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331730029', 0, '2022-08-24 17:02:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114901, 'zuhu2123', 63, '118.7694784', '31.8321273', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331732403', 0, '2022-08-24 17:02:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114902, 'zuhu2123', 63, '118.7694366', '31.8322571', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331734159', 0, '2022-08-24 17:02:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114903, 'zuhu2123', 63, '118.7693808', '31.83243', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331736464', 0, '2022-08-24 17:02:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114904, 'zuhu2123', 63, '118.7693388', '31.83256', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331738222', 0, '2022-08-24 17:02:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114905, 'zuhu2123', 63, '118.7692688', '31.8327767', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331740525', 0, '2022-08-24 17:02:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114906, 'zuhu2123', 63, '118.7692268', '31.8329069', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331742226', 0, '2022-08-24 17:02:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114907, 'zuhu2123', 63, '118.7691709', '31.83308', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331744478', 0, '2022-08-24 17:02:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114908, 'zuhu2123', 63, '118.7691289', '31.8332103', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331746120', 0, '2022-08-24 17:02:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114909, 'zuhu2123', 63, '118.7690731', '31.8333833', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331748310', 0, '2022-08-24 17:02:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114910, 'zuhu2123', 63, '118.7690312', '31.833513', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331750011', 0, '2022-08-24 17:02:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114911, 'zuhu2123', 63, '118.7689753', '31.8336862', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331752262', 0, '2022-08-24 17:02:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114912, 'zuhu2123', 63, '118.7689194', '31.8338596', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331754445', 0, '2022-08-24 17:02:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114913, 'zuhu2123', 63, '118.7688774', '31.8339896', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331756145', 0, '2022-08-24 17:02:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114914, 'zuhu2123', 63, '118.7688076', '31.8342059', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331758401', 0, '2022-08-24 17:02:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114915, 'zuhu2123', 63, '118.7687656', '31.834336', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331760105', 0, '2022-08-24 17:02:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114916, 'zuhu2123', 63, '118.7687096', '31.8345097', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331762416', 0, '2022-08-24 17:02:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114917, 'zuhu2123', 63, '118.7686675', '31.83464', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331764125', 0, '2022-08-24 17:02:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114918, 'zuhu2123', 63, '118.7686115', '31.8348135', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331766368', 0, '2022-08-24 17:02:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114919, 'zuhu2123', 63, '118.7685696', '31.8349433', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331768095', 0, '2022-08-24 17:02:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114920, 'zuhu2123', 63, '118.7685156', '31.8351107', '100.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331770253', 0, '2022-08-24 17:02:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114921, 'zuhu2123', 63, '118.768462', '31.8352398', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331772505', 0, '2022-08-24 17:02:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114922, 'zuhu2123', 63, '118.7684027', '31.8352522', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331774206', 0, '2022-08-24 17:02:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114923, 'zuhu2123', 63, '118.7682485', '31.8352365', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331776398', 0, '2022-08-24 17:02:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114924, 'zuhu2123', 63, '118.7680999', '31.8352231', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331778103', 0, '2022-08-24 17:02:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114925, 'zuhu2123', 63, '118.7678929', '31.8352074', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331780421', 0, '2022-08-24 17:03:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114926, 'zuhu2123', 63, '118.767737', '31.8351961', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331782071', 0, '2022-08-24 17:03:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114927, 'zuhu2123', 63, '118.7675282', '31.8351809', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331784326', 0, '2022-08-24 17:03:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114928, 'zuhu2123', 63, '118.7673189', '31.8351658', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331786034', 0, '2022-08-24 17:03:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114929, 'zuhu2123', 63, '118.7671087', '31.8351507', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331788221', 0, '2022-08-24 17:03:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114930, 'zuhu2123', 63, '118.7668988', '31.8351356', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331790472', 0, '2022-08-24 17:03:10', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114931, 'zuhu2123', 63, '118.766741', '31.8351243', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331792171', 0, '2022-08-24 17:03:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114932, 'zuhu2123', 63, '118.76653', '31.8351092', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331794424', 0, '2022-08-24 17:03:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114933, 'zuhu2123', 63, '118.7663714', '31.8350978', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331796191', 0, '2022-08-24 17:03:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114934, 'zuhu2123', 63, '118.7661083', '31.8350789', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331798510', 0, '2022-08-24 17:03:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114935, 'zuhu2123', 63, '118.7659497', '31.8350676', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331800210', 0, '2022-08-24 17:03:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114936, 'zuhu2123', 63, '118.7657393', '31.8350525', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331802464', 0, '2022-08-24 17:03:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114937, 'zuhu2123', 63, '118.7655818', '31.8350412', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331804175', 0, '2022-08-24 17:03:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114938, 'zuhu2123', 63, '118.7653716', '31.8350261', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331806425', 0, '2022-08-24 17:03:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114939, 'zuhu2123', 63, '118.7652131', '31.8350147', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331808074', 0, '2022-08-24 17:03:28', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114940, 'zuhu2123', 63, '118.7650023', '31.8349996', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331810331', 0, '2022-08-24 17:03:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114941, 'zuhu2123', 63, '118.7647915', '31.8349845', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331812027', 0, '2022-08-24 17:03:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114942, 'zuhu2123', 63, '118.7645808', '31.8349694', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331814347', 0, '2022-08-24 17:03:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114943, 'zuhu2123', 63, '118.7644225', '31.834958', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331816049', 0, '2022-08-24 17:03:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114944, 'zuhu2123', 63, '118.7642116', '31.8349428', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331818305', 0, '2022-08-24 17:03:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114945, 'zuhu2123', 63, '118.7640543', '31.8349316', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331820005', 0, '2022-08-24 17:03:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114946, 'zuhu2123', 63, '118.7638439', '31.8349165', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331822315', 0, '2022-08-24 17:03:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114947, 'zuhu2123', 63, '118.7636333', '31.8349014', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331824022', 0, '2022-08-24 17:03:44', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114948, 'zuhu2123', 63, '118.7634225', '31.8348862', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331826345', 0, '2022-08-24 17:03:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114949, 'zuhu2123', 63, '118.763264', '31.8348749', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331828044', 0, '2022-08-24 17:03:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114950, 'zuhu2123', 63, '118.7630532', '31.8348597', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331830297', 0, '2022-08-24 17:03:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114951, 'zuhu2123', 63, '118.7628425', '31.8348446', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331832539', 0, '2022-08-24 17:03:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114952, 'zuhu2123', 63, '118.7626317', '31.8348295', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331834251', 0, '2022-08-24 17:03:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114953, 'zuhu2123', 63, '118.7624213', '31.8348144', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331836504', 0, '2022-08-24 17:03:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114954, 'zuhu2123', 63, '118.7622629', '31.834803', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331838213', 0, '2022-08-24 17:03:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114955, 'zuhu2123', 63, '118.7621056', '31.8347917', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331840038', 0, '2022-08-24 17:04:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114956, 'zuhu2123', 63, '118.7618947', '31.8347766', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331842351', 0, '2022-08-24 17:04:02', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114957, 'zuhu2123', 63, '118.7618417', '31.8347728', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331857383', 0, '2022-08-24 17:04:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114958, 'zuhu2123', 63, '118.7602061', '31.8346555', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331859407', 0, '2022-08-24 17:04:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114959, 'zuhu2123', 63, '118.7600476', '31.8346441', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331861168', 0, '2022-08-24 17:04:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114960, 'zuhu2123', 63, '118.7598369', '31.834629', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331863422', 0, '2022-08-24 17:04:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114961, 'zuhu2123', 63, '118.7596792', '31.8346177', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331865117', 0, '2022-08-24 17:04:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114962, 'zuhu2123', 63, '118.7594154', '31.8345987', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331867433', 0, '2022-08-24 17:04:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114963, 'zuhu2123', 63, '118.7592573', '31.8345874', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331869145', 0, '2022-08-24 17:04:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114964, 'zuhu2123', 63, '118.7590462', '31.8345722', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331871448', 0, '2022-08-24 17:04:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114965, 'zuhu2123', 63, '118.7588942', '31.8345613', '100.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331873156', 0, '2022-08-24 17:04:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114966, 'zuhu2123', 63, '118.7587326', '31.8345415', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331875453', 0, '2022-08-24 17:04:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114967, 'zuhu2123', 63, '118.7587092', '31.8344963', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331877157', 0, '2022-08-24 17:04:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114968, 'zuhu2123', 63, '118.7587071', '31.8343671', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331879470', 0, '2022-08-24 17:04:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114969, 'zuhu2123', 63, '118.7587029', '31.8342409', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331881235', 0, '2022-08-24 17:04:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114970, 'zuhu2123', 63, '118.7586939', '31.8340651', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331883477', 0, '2022-08-24 17:04:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114971, 'zuhu2123', 63, '118.758684', '31.8338876', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331885168', 0, '2022-08-24 17:04:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114972, 'zuhu2123', 63, '118.758674', '31.8337097', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331887417', 0, '2022-08-24 17:04:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114973, 'zuhu2123', 63, '118.7586664', '31.8335758', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331889179', 0, '2022-08-24 17:04:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114974, 'zuhu2123', 63, '118.7586561', '31.8333968', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331891493', 0, '2022-08-24 17:04:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114975, 'zuhu2123', 63, '118.7586484', '31.8332619', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331893261', 0, '2022-08-24 17:04:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114976, 'zuhu2123', 63, '118.7586356', '31.8330385', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331895507', 0, '2022-08-24 17:04:56', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114977, 'zuhu2123', 63, '118.7586278', '31.8329034', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331897278', 0, '2022-08-24 17:04:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114978, 'zuhu2123', 63, '118.7586174', '31.8327235', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331899469', 0, '2022-08-24 17:04:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114979, 'zuhu2123', 63, '118.7586098', '31.8325899', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331901111', 0, '2022-08-24 17:05:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114980, 'zuhu2123', 63, '118.7585994', '31.8324103', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331903412', 0, '2022-08-24 17:05:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114981, 'zuhu2123', 63, '118.7585917', '31.8322756', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331905115', 0, '2022-08-24 17:05:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114982, 'zuhu2123', 63, '118.7585788', '31.8320516', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331907420', 0, '2022-08-24 17:05:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114983, 'zuhu2123', 63, '118.7585711', '31.8319167', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331909192', 0, '2022-08-24 17:05:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114984, 'zuhu2123', 63, '118.7585608', '31.8317374', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331911439', 0, '2022-08-24 17:05:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114985, 'zuhu2123', 63, '118.758553', '31.8316024', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331913143', 0, '2022-08-24 17:05:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114986, 'zuhu2123', 63, '118.7585427', '31.8314228', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331915389', 0, '2022-08-24 17:05:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114987, 'zuhu2123', 63, '118.758535', '31.8312892', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331917088', 0, '2022-08-24 17:05:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114988, 'zuhu2123', 63, '118.7585221', '31.8310642', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331919339', 0, '2022-08-24 17:05:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114989, 'zuhu2123', 63, '118.7585118', '31.8308848', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331921595', 0, '2022-08-24 17:05:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114990, 'zuhu2123', 63, '118.7585041', '31.8307506', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331923295', 0, '2022-08-24 17:05:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114991, 'zuhu2123', 63, '118.7584938', '31.8305713', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331925545', 0, '2022-08-24 17:05:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114992, 'zuhu2123', 63, '118.758486', '31.8304365', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331927190', 0, '2022-08-24 17:05:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114993, 'zuhu2123', 63, '118.7584783', '31.8303019', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331929013', 0, '2022-08-24 17:05:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114994, 'zuhu2123', 63, '118.7584654', '31.8300774', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331931272', 0, '2022-08-24 17:05:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114995, 'zuhu2123', 63, '118.7584547', '31.829898', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331933510', 0, '2022-08-24 17:05:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114996, 'zuhu2123', 63, '118.7584408', '31.8297636', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331935210', 0, '2022-08-24 17:05:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114997, 'zuhu2123', 63, '118.758401', '31.8295875', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331937463', 0, '2022-08-24 17:05:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114998, 'zuhu2123', 63, '118.7583561', '31.8294583', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331939165', 0, '2022-08-24 17:05:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (114999, 'zuhu2123', 63, '118.7582903', '31.8292874', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331941413', 0, '2022-08-24 17:05:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115000, 'zuhu2123', 63, '118.758241', '31.8291584', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331943116', 0, '2022-08-24 17:05:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115001, 'zuhu2123', 63, '118.7581604', '31.8289449', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331945363', 0, '2022-08-24 17:05:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115002, 'zuhu2123', 63, '118.758112', '31.8288162', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331947074', 0, '2022-08-24 17:05:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115003, 'zuhu2123', 63, '118.7580474', '31.8286449', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331949334', 0, '2022-08-24 17:05:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115004, 'zuhu2123', 63, '118.7579831', '31.8284738', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331951521', 0, '2022-08-24 17:05:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115005, 'zuhu2123', 63, '118.7579349', '31.8283456', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331953226', 0, '2022-08-24 17:05:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115006, 'zuhu2123', 63, '118.7578707', '31.828175', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331955477', 0, '2022-08-24 17:05:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115007, 'zuhu2123', 63, '118.7578225', '31.8280468', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331957176', 0, '2022-08-24 17:05:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115008, 'zuhu2123', 63, '118.757742', '31.8278329', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331959437', 0, '2022-08-24 17:05:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115009, 'zuhu2123', 63, '118.7576936', '31.8277042', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331961131', 0, '2022-08-24 17:06:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115010, 'zuhu2123', 63, '118.7576293', '31.8275331', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331963443', 0, '2022-08-24 17:06:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115011, 'zuhu2123', 63, '118.7575808', '31.8274042', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331965150', 0, '2022-08-24 17:06:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115012, 'zuhu2123', 63, '118.7575165', '31.8272333', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331967397', 0, '2022-08-24 17:06:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115013, 'zuhu2123', 63, '118.7574684', '31.8271052', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331969094', 0, '2022-08-24 17:06:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115014, 'zuhu2123', 63, '118.7573879', '31.8268913', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331971408', 0, '2022-08-24 17:06:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115015, 'zuhu2123', 63, '118.7573414', '31.8267676', '100.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331973119', 0, '2022-08-24 17:06:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115016, 'zuhu2123', 63, '118.7572979', '31.8266457', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331975421', 0, '2022-08-24 17:06:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115017, 'zuhu2123', 63, '118.7573109', '31.8266009', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331977059', 0, '2022-08-24 17:06:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115018, 'zuhu2123', 63, '118.7574231', '31.8265598', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331979434', 0, '2022-08-24 17:06:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115019, 'zuhu2123', 63, '118.7576012', '31.8265002', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331981133', 0, '2022-08-24 17:06:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115020, 'zuhu2123', 63, '118.7577923', '31.8264322', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331983508', 0, '2022-08-24 17:06:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115021, 'zuhu2123', 63, '118.7579368', '31.8263801', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331985208', 0, '2022-08-24 17:06:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115022, 'zuhu2123', 63, '118.7581296', '31.8263105', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331987462', 0, '2022-08-24 17:06:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115023, 'zuhu2123', 63, '118.7582744', '31.8262583', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331989158', 0, '2022-08-24 17:06:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115024, 'zuhu2123', 63, '118.7585173', '31.8261705', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331991467', 0, '2022-08-24 17:06:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115025, 'zuhu2123', 63, '118.7586628', '31.8261179', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331993167', 0, '2022-08-24 17:06:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115026, 'zuhu2123', 63, '118.7588572', '31.8260476', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331995478', 0, '2022-08-24 17:06:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115027, 'zuhu2123', 63, '118.7590034', '31.8259947', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331997180', 0, '2022-08-24 17:06:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115028, 'zuhu2123', 63, '118.7591982', '31.8259243', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661331999431', 0, '2022-08-24 17:06:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115029, 'zuhu2123', 63, '118.759344', '31.8258715', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332001077', 0, '2022-08-24 17:06:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115030, 'zuhu2123', 63, '118.7595873', '31.8257835', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332003326', 0, '2022-08-24 17:06:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115031, 'zuhu2123', 63, '118.7597327', '31.8257309', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332005023', 0, '2022-08-24 17:06:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115032, 'zuhu2123', 63, '118.7599272', '31.8256605', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332007329', 0, '2022-08-24 17:06:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115033, 'zuhu2123', 63, '118.760073', '31.8256078', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332009156', 0, '2022-08-24 17:06:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115034, 'zuhu2123', 63, '118.7603163', '31.8255198', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332011535', 0, '2022-08-24 17:06:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115035, 'zuhu2123', 63, '118.7604622', '31.825467', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332013350', 0, '2022-08-24 17:06:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115036, 'zuhu2123', 63, '118.7606085', '31.8254141', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332015052', 0, '2022-08-24 17:06:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115037, 'zuhu2123', 63, '118.760851', '31.8253263', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332017490', 0, '2022-08-24 17:06:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115038, 'zuhu2123', 63, '118.7609978', '31.8252733', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332019314', 0, '2022-08-24 17:06:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115039, 'zuhu2123', 63, '118.7611429', '31.8252207', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332021073', 0, '2022-08-24 17:07:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115040, 'zuhu2123', 63, '118.7613866', '31.8251326', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332023373', 0, '2022-08-24 17:07:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115041, 'zuhu2123', 63, '118.761532', '31.82508', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332025196', 0, '2022-08-24 17:07:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115042, 'zuhu2123', 63, '118.7616697', '31.8250302', '100.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332027021', 0, '2022-08-24 17:07:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115043, 'zuhu2123', 63, '118.7618097', '31.8249865', '99.991', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332029337', 0, '2022-08-24 17:07:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115044, 'zuhu2123', 63, '118.7618291', '31.8250206', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332031165', 0, '2022-08-24 17:07:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115045, 'zuhu2123', 63, '118.7618366', '31.8251447', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332033591', 0, '2022-08-24 17:07:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115046, 'zuhu2123', 63, '118.7618514', '31.8253117', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332035414', 0, '2022-08-24 17:07:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115047, 'zuhu2123', 63, '118.7618642', '31.8254426', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332037169', 0, '2022-08-24 17:07:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115048, 'zuhu2123', 63, '118.7618822', '31.825619', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332039474', 0, '2022-08-24 17:07:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115049, 'zuhu2123', 63, '118.7619005', '31.8257963', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332041310', 0, '2022-08-24 17:07:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115050, 'zuhu2123', 63, '118.7619144', '31.8259292', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332043127', 0, '2022-08-24 17:07:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115051, 'zuhu2123', 63, '118.761933', '31.8261077', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332045498', 0, '2022-08-24 17:07:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115052, 'zuhu2123', 63, '118.7619516', '31.8262863', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332047258', 0, '2022-08-24 17:07:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115053, 'zuhu2123', 63, '118.7619657', '31.8264208', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332049082', 0, '2022-08-24 17:07:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115054, 'zuhu2123', 63, '118.7619845', '31.8265999', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332051395', 0, '2022-08-24 17:07:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115055, 'zuhu2123', 63, '118.7620032', '31.8267788', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332053224', 0, '2022-08-24 17:07:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115056, 'zuhu2123', 63, '118.7620172', '31.8269133', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332055045', 0, '2022-08-24 17:07:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115057, 'zuhu2123', 63, '118.762036', '31.8270922', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332057414', 0, '2022-08-24 17:07:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115058, 'zuhu2123', 63, '118.7620547', '31.8272707', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332059236', 0, '2022-08-24 17:07:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115059, 'zuhu2123', 63, '118.7620734', '31.8274495', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332061605', 0, '2022-08-24 17:07:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115060, 'zuhu2123', 63, '118.7620874', '31.8275832', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332063368', 0, '2022-08-24 17:07:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115061, 'zuhu2123', 63, '118.7621061', '31.8277624', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332065064', 0, '2022-08-24 17:07:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115062, 'zuhu2123', 63, '118.7621248', '31.8279415', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332067428', 0, '2022-08-24 17:07:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115063, 'zuhu2123', 63, '118.7621387', '31.8280742', '100.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332069188', 0, '2022-08-24 17:07:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115064, 'zuhu2123', 63, '118.7621504', '31.8281851', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332071017', 0, '2022-08-24 17:07:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115065, 'zuhu2123', 63, '118.7621954', '31.828266', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332073453', 0, '2022-08-24 17:07:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115066, 'zuhu2123', 63, '118.7622824', '31.8282655', '99.989', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332075272', 0, '2022-08-24 17:07:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115067, 'zuhu2123', 63, '118.7624649', '31.8282576', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332077032', 0, '2022-08-24 17:07:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115068, 'zuhu2123', 63, '118.7626698', '31.8282528', '99.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332079402', 0, '2022-08-24 17:07:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115069, 'zuhu2123', 63, '118.762826', '31.8282505', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332081099', 0, '2022-08-24 17:08:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115070, 'zuhu2123', 63, '118.7630348', '31.8282471', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332083465', 0, '2022-08-24 17:08:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115071, 'zuhu2123', 63, '118.763245', '31.8282438', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332085293', 0, '2022-08-24 17:08:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115072, 'zuhu2123', 63, '118.763403', '31.8282414', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332087107', 0, '2022-08-24 17:08:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115073, 'zuhu2123', 63, '118.7636666', '31.8282373', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332089481', 0, '2022-08-24 17:08:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115074, 'zuhu2123', 63, '118.7638252', '31.8282349', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332091303', 0, '2022-08-24 17:08:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115075, 'zuhu2123', 63, '118.7639829', '31.8282325', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332093064', 0, '2022-08-24 17:08:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115076, 'zuhu2123', 63, '118.7641945', '31.8282293', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332095310', 0, '2022-08-24 17:08:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115077, 'zuhu2123', 63, '118.7644058', '31.8282261', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332097131', 0, '2022-08-24 17:08:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115078, 'zuhu2123', 63, '118.7646172', '31.8282229', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332099377', 0, '2022-08-24 17:08:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115079, 'zuhu2123', 63, '118.7647763', '31.8282205', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332101201', 0, '2022-08-24 17:08:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115080, 'zuhu2123', 63, '118.7649879', '31.8282173', '100', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332103029', 0, '2022-08-24 17:08:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115081, 'zuhu2123', 63, '118.7651992', '31.8282141', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332105398', 0, '2022-08-24 17:08:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115082, 'zuhu2123', 63, '118.7653574', '31.8282117', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332107218', 0, '2022-08-24 17:08:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115083, 'zuhu2123', 63, '118.7655665', '31.8282086', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332109588', 0, '2022-08-24 17:08:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115084, 'zuhu2123', 63, '118.7656189', '31.8282079', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332111347', 0, '2022-08-24 17:08:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115085, 'zuhu2123', 63, '118.7656247', '31.8282077', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332113173', 0, '2022-08-24 17:08:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115086, 'zuhu2123', 63, '118.7656313', '31.828214', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332115544', 0, '2022-08-24 17:08:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115087, 'zuhu2123', 63, '118.7656831', '31.8282399', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332117310', 0, '2022-08-24 17:08:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115088, 'zuhu2123', 63, '118.7657821', '31.8282894', '99.99', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332119137', 0, '2022-08-24 17:08:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115089, 'zuhu2123', 63, '118.7659953', '31.828395', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332121501', 0, '2022-08-24 17:08:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115090, 'zuhu2123', 63, '118.7661307', '31.8284618', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332123330', 0, '2022-08-24 17:08:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115091, 'zuhu2123', 63, '118.7662657', '31.8285284', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332125147', 0, '2022-08-24 17:08:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115092, 'zuhu2123', 63, '118.766492', '31.8286401', '99.983', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332127553', 0, '2022-08-24 17:08:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115093, 'zuhu2123', 63, '118.7666244', '31.8287054', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332129343', 0, '2022-08-24 17:08:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115094, 'zuhu2123', 63, '118.7667305', '31.8287578', '99.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332131098', 0, '2022-08-24 17:08:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115095, 'zuhu2123', 63, '118.7667992', '31.8287918', '99.969', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332133397', 0, '2022-08-24 17:08:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115096, 'zuhu2123', 63, '118.7667972', '31.8287907', '99.933', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332135220', 0, '2022-08-24 17:08:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115097, 'zuhu2123', 63, '118.7667933', '31.8287884', '97.61', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332137457', 0, '2022-08-24 17:08:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115098, 'zuhu2123', 63, '118.7667923', '31.8287879', '95.357', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332139220', 0, '2022-08-24 17:08:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115099, 'zuhu2123', 63, '118.7667918', '31.8287877', '92.368', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332141054', 0, '2022-08-24 17:09:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115100, 'zuhu2123', 63, '118.7667915', '31.8287877', '89.377', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332143466', 0, '2022-08-24 17:09:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115101, 'zuhu2123', 63, '118.7667914', '31.8287876', '87.126', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332145098', 0, '2022-08-24 17:09:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115102, 'zuhu2123', 63, '118.7667913', '31.8287876', '83.374', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332147536', 0, '2022-08-24 17:09:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115103, 'zuhu2123', 63, '118.7667912', '31.8287875', '81.126', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332149234', 0, '2022-08-24 17:09:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115104, 'zuhu2123', 63, '118.7667912', '31.8287875', '78.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332151539', 0, '2022-08-24 17:09:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115105, 'zuhu2123', 63, '118.7667912', '31.8287875', '75.874', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332153359', 0, '2022-08-24 17:09:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115106, 'zuhu2123', 63, '118.7667912', '31.8287875', '72.877', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332155050', 0, '2022-08-24 17:09:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115107, 'zuhu2123', 63, '118.7667912', '31.8287875', '69.885', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332157489', 0, '2022-08-24 17:09:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115108, 'zuhu2123', 63, '118.7667912', '31.8287875', '67.632', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332159307', 0, '2022-08-24 17:09:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115109, 'zuhu2123', 63, '118.7667912', '31.8287875', '64.629', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332161061', 0, '2022-08-24 17:09:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115110, 'zuhu2123', 63, '118.7667912', '31.8287875', '61.626', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332163357', 0, '2022-08-24 17:09:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115111, 'zuhu2123', 63, '118.7667912', '31.8287875', '59.373', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332165119', 0, '2022-08-24 17:09:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115112, 'zuhu2123', 63, '118.7667912', '31.8287875', '56.372', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332167359', 0, '2022-08-24 17:09:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115113, 'zuhu2123', 63, '118.7667912', '31.8287875', '53.373', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332169183', 0, '2022-08-24 17:09:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115114, 'zuhu2123', 63, '118.7667912', '31.8287875', '50.375', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332171486', 0, '2022-08-24 17:09:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115115, 'zuhu2123', 63, '118.7667912', '31.8287875', '48.128', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332173317', 0, '2022-08-24 17:09:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115116, 'zuhu2123', 63, '118.7667912', '31.8287875', '45.125', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332175077', 0, '2022-08-24 17:09:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115117, 'zuhu2123', 63, '118.7667912', '31.8287875', '42.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332177434', 0, '2022-08-24 17:09:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115118, 'zuhu2123', 63, '118.7667912', '31.8287875', '39.869', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332179192', 0, '2022-08-24 17:09:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115119, 'zuhu2123', 63, '118.7667912', '31.8287875', '36.865', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332181565', 0, '2022-08-24 17:09:42', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115120, 'zuhu2123', 63, '118.7667912', '31.8287875', '33.868', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332183325', 0, '2022-08-24 17:09:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115121, 'zuhu2123', 63, '118.7667912', '31.8287875', '31.621', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332185086', 0, '2022-08-24 17:09:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115122, 'zuhu2123', 63, '118.7667912', '31.8287875', '28.624', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332187523', 0, '2022-08-24 17:09:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115123, 'zuhu2123', 63, '118.7667912', '31.8287875', '25.63', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332189213', 0, '2022-08-24 17:09:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115124, 'zuhu2123', 63, '118.7667912', '31.8287875', '22.626', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332191588', 0, '2022-08-24 17:09:52', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115125, 'zuhu2123', 63, '118.7667912', '31.8287875', '20.376', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332193415', 0, '2022-08-24 17:09:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115126, 'zuhu2123', 63, '118.7667912', '31.8287875', '17.375', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332195239', 0, '2022-08-24 17:09:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115127, 'zuhu2123', 63, '118.7667912', '31.8287875', '15.121', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332197061', 0, '2022-08-24 17:09:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115128, 'zuhu2123', 63, '118.7667912', '31.8287875', '12.122', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332199370', 0, '2022-08-24 17:09:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115129, 'zuhu2123', 63, '118.7667912', '31.8287875', '9.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332201135', 0, '2022-08-24 17:10:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115130, 'zuhu2123', 63, '118.7667912', '31.8287875', '9.044', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332203501', 0, '2022-08-24 17:10:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115131, 'zuhu2123', 63, '118.7667912', '31.8287875', '8.285', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332205263', 0, '2022-08-24 17:10:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115132, 'zuhu2123', 63, '118.7667912', '31.8287875', '7.278', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332207567', 0, '2022-08-24 17:10:08', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115133, 'zuhu2123', 63, '118.7667912', '31.8287875', '6.274', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332209331', 0, '2022-08-24 17:10:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115134, 'zuhu2123', 63, '118.7667912', '31.8287875', '5.52', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332211154', 0, '2022-08-24 17:10:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115135, 'zuhu2123', 63, '118.7667912', '31.8287875', '4.518', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332213519', 0, '2022-08-24 17:10:14', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115136, 'zuhu2123', 63, '118.7667912', '31.8287875', '3.516', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332215215', 0, '2022-08-24 17:10:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115137, 'zuhu2123', 63, '118.7667912', '31.8287875', '2.516', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332217515', 0, '2022-08-24 17:10:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115138, 'zuhu2123', 63, '118.7667912', '31.8287875', '1.766', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332219349', 0, '2022-08-24 17:10:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115139, 'zuhu2123', 63, '118.7667912', '31.8287875', '1.015', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332221104', 0, '2022-08-24 17:10:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115140, 'zuhu2123', 63, '118.7667912', '31.8287875', '-0.142', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332223544', 0, '2022-08-24 17:10:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (115141, 'zuhu2123', 63, '118.7667912', '31.8287875', '-0.159', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661332225367', 0, '2022-08-24 17:10:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117597, '123456789', 55, '118.7667916', '31.8287881', '0.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293465841', 0, '2022-08-24 06:24:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117598, '123456789', 55, '118.7667916', '31.8287881', '0.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293467337', 0, '2022-08-24 06:24:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117599, '123456789', 55, '118.7667916', '31.8287881', '1.893', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293469167', 0, '2022-08-24 06:24:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117600, '123456789', 55, '118.7667915', '31.828788', '6.783', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293471548', 0, '2022-08-24 06:24:32', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117601, '123456789', 55, '118.7667915', '31.828788', '10.523', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293473387', 0, '2022-08-24 06:24:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117602, '123456789', 55, '118.7667915', '31.828788', '15.523', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293475208', 0, '2022-08-24 06:24:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117603, '123456789', 55, '118.7667915', '31.828788', '19.27', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293477036', 0, '2022-08-24 06:24:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117604, '123456789', 55, '118.7667915', '31.828788', '25.506', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293479469', 0, '2022-08-24 06:24:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117605, '123456789', 55, '118.7667915', '31.828788', '29.244', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293481312', 0, '2022-08-24 06:24:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117606, '123456789', 55, '118.7667915', '31.828788', '32.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293483136', 0, '2022-08-24 06:24:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117607, '123456789', 55, '118.7667915', '31.828788', '39.244', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293485566', 0, '2022-08-24 06:24:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117608, '123456789', 55, '118.7667915', '31.828788', '42.996', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293487528', 0, '2022-08-24 06:24:48', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117609, '123456789', 55, '118.7667915', '31.828788', '48', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293489352', 0, '2022-08-24 06:24:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117610, '123456789', 55, '118.7667915', '31.828788', '51.746', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293491183', 0, '2022-08-24 06:24:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117611, '123456789', 55, '118.7667915', '31.828788', '56.74', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293493018', 0, '2022-08-24 06:24:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117612, '123456789', 55, '118.7667916', '31.828788', '61.73', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293495390', 0, '2022-08-24 06:24:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117613, '123456789', 55, '118.7667916', '31.828788', '65.472', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293497216', 0, '2022-08-24 06:24:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117614, '123456789', 55, '118.7667916', '31.828788', '71.727', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293499592', 0, '2022-08-24 06:25:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117615, '123456789', 55, '118.7667916', '31.828788', '75.476', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293501464', 0, '2022-08-24 06:25:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117616, '123456789', 55, '118.7667916', '31.828788', '79.23', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293503186', 0, '2022-08-24 06:25:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117617, '123456789', 55, '118.7667916', '31.828788', '85.483', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293505569', 0, '2022-08-24 06:25:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117618, '123456789', 55, '118.7667916', '31.828788', '89.234', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293507396', 0, '2022-08-24 06:25:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117619, '123456789', 55, '118.7667916', '31.828788', '94.231', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293509333', 0, '2022-08-24 06:25:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117620, '123456789', 55, '118.7667916', '31.828788', '98.191', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293511557', 0, '2022-08-24 06:25:12', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117621, '123456789', 55, '118.7667916', '31.828788', '99.727', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293513160', 0, '2022-08-24 06:25:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117622, '123456789', 55, '118.7667941', '31.8287881', '99.954', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293515601', 0, '2022-08-24 06:25:16', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117623, '123456789', 55, '118.7668201', '31.828789', '99.965', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293517046', 0, '2022-08-24 06:25:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117624, '123456789', 55, '118.7669691', '31.8287946', '99.978', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293519852', 0, '2022-08-24 06:25:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117625, '123456789', 55, '118.7671101', '31.8287997', '99.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293521562', 0, '2022-08-24 06:25:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117626, '123456789', 55, '118.7673142', '31.828807', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293523398', 0, '2022-08-24 06:25:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117627, '123456789', 55, '118.7674688', '31.8288127', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293525156', 0, '2022-08-24 06:25:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117628, '123456789', 55, '118.7676776', '31.8288203', '99.998', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293527145', 0, '2022-08-24 06:25:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117629, '123456789', 55, '118.7678873', '31.8288279', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293529515', 0, '2022-08-24 06:25:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117630, '123456789', 55, '118.7680452', '31.8288336', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293531355', 0, '2022-08-24 06:25:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117631, '123456789', 55, '118.768256', '31.8288412', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293533294', 0, '2022-08-24 06:25:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117632, '123456789', 55, '118.7684144', '31.828847', '100.007', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293535014', 0, '2022-08-24 06:25:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117633, '123456789', 55, '118.7686777', '31.8288565', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293537393', 0, '2022-08-24 06:25:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117634, '123456789', 55, '118.7688368', '31.8288623', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293539150', 0, '2022-08-24 06:25:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117635, '123456789', 55, '118.7689948', '31.828868', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293541118', 0, '2022-08-24 06:25:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117636, '123456789', 55, '118.7692597', '31.8288776', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293543495', 0, '2022-08-24 06:25:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117637, '123456789', 55, '118.7694178', '31.8288833', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293545047', 0, '2022-08-24 06:25:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117638, '123456789', 55, '118.7696288', '31.828891', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293547432', 0, '2022-08-24 06:25:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117639, '123456789', 55, '118.76984', '31.8288986', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293549537', 0, '2022-08-24 06:25:50', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117640, '123456789', 55, '118.7699985', '31.8289044', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293551229', 0, '2022-08-24 06:25:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117641, '123456789', 55, '118.7702095', '31.828912', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293553621', 0, '2022-08-24 06:25:54', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117642, '123456789', 55, '118.770359', '31.8289175', '100.013', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293555063', 0, '2022-08-24 06:25:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117643, '123456789', 55, '118.7704899', '31.8289254', '99.985', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293557398', 0, '2022-08-24 06:25:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117644, '123456789', 55, '118.7705055', '31.8289723', '99.994', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293559161', 0, '2022-08-24 06:25:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117645, '123456789', 55, '118.7704721', '31.8290564', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293561094', 0, '2022-08-24 06:26:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117646, '123456789', 55, '118.7703987', '31.8292532', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293563569', 0, '2022-08-24 06:26:04', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117647, '123456789', 55, '118.7703538', '31.8293788', '100.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293565274', 0, '2022-08-24 06:26:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117648, '123456789', 55, '118.7702942', '31.8295485', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293567373', 0, '2022-08-24 06:26:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117649, '123456789', 55, '118.7702493', '31.829677', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293569199', 0, '2022-08-24 06:26:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117650, '123456789', 55, '118.7701895', '31.8298482', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293571330', 0, '2022-08-24 06:26:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117651, '123456789', 55, '118.7701443', '31.8299774', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293573059', 0, '2022-08-24 06:26:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117652, '123456789', 55, '118.7700693', '31.8301922', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293575370', 0, '2022-08-24 06:26:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117653, '123456789', 55, '118.7700241', '31.8303215', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293577220', 0, '2022-08-24 06:26:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117654, '123456789', 55, '118.7699641', '31.8304933', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293579162', 0, '2022-08-24 06:26:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117655, '123456789', 55, '118.7699191', '31.830622', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293581006', 0, '2022-08-24 06:26:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117656, '123456789', 55, '118.769859', '31.8307944', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293583095', 0, '2022-08-24 06:26:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117657, '123456789', 55, '118.7697987', '31.830967', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293585550', 0, '2022-08-24 06:26:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117658, '123456789', 55, '118.7697385', '31.8311392', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293587367', 0, '2022-08-24 06:26:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117659, '123456789', 55, '118.7696932', '31.8312688', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293589129', 0, '2022-08-24 06:26:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117660, '123456789', 55, '118.7696331', '31.8314411', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293591091', 0, '2022-08-24 06:26:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117661, '123456789', 55, '118.7695729', '31.8316134', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293593444', 0, '2022-08-24 06:26:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117662, '123456789', 55, '118.7695171', '31.8317727', '100.01', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293595604', 0, '2022-08-24 06:26:36', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117663, '123456789', 55, '118.7694733', '31.831866', '99.986', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293597744', 0, '2022-08-24 06:26:38', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117664, '123456789', 55, '118.7694588', '31.8318745', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293599868', 0, '2022-08-24 06:26:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117665, '123456789', 55, '118.7692667', '31.831854', '100.008', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293601334', 0, '2022-08-24 06:26:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117666, '123456789', 55, '118.7691213', '31.8318331', '100.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293603033', 0, '2022-08-24 06:26:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117667, '123456789', 55, '118.7689169', '31.8318066', '100.009', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293605548', 0, '2022-08-24 06:26:46', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117668, '123456789', 55, '118.7687105', '31.8317809', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293607315', 0, '2022-08-24 06:26:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117669, '123456789', 55, '118.7685034', '31.8317553', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293609486', 0, '2022-08-24 06:26:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117670, '123456789', 55, '118.7683469', '31.8317359', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293611314', 0, '2022-08-24 06:26:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117671, '123456789', 55, '118.7681389', '31.8317102', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293613355', 0, '2022-08-24 06:26:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117672, '123456789', 55, '118.7679827', '31.8316909', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293615115', 0, '2022-08-24 06:26:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117673, '123456789', 55, '118.7677734', '31.831665', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293617558', 0, '2022-08-24 06:26:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117674, '123456789', 55, '118.7675641', '31.8316391', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293619605', 0, '2022-08-24 06:27:00', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117675, '123456789', 55, '118.7673548', '31.8316132', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293621415', 0, '2022-08-24 06:27:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117676, '123456789', 55, '118.7671975', '31.8315937', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293623457', 0, '2022-08-24 06:27:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117677, '123456789', 55, '118.7669886', '31.8315679', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293625290', 0, '2022-08-24 06:27:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117678, '123456789', 55, '118.7668313', '31.8315484', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293627114', 0, '2022-08-24 06:27:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117679, '123456789', 55, '118.7666222', '31.8315226', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293629085', 0, '2022-08-24 06:27:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117680, '123456789', 55, '118.7664163', '31.8314971', '100.011', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293631456', 0, '2022-08-24 06:27:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117681, '123456789', 55, '118.7662617', '31.8314763', '99.987', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293633491', 0, '2022-08-24 06:27:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117682, '123456789', 55, '118.7662131', '31.8314492', '99.992', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293635261', 0, '2022-08-24 06:27:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117683, '123456789', 55, '118.7662098', '31.8313834', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293637032', 0, '2022-08-24 06:27:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117684, '123456789', 55, '118.7662233', '31.8311923', '100.006', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293639731', 0, '2022-08-24 06:27:20', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117685, '123456789', 55, '118.7662309', '31.8310176', '100.005', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293641509', 0, '2022-08-24 06:27:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117686, '123456789', 55, '118.7662355', '31.830884', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293643333', 0, '2022-08-24 06:27:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117687, '123456789', 55, '118.7662415', '31.8307059', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293645459', 0, '2022-08-24 06:27:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117688, '123456789', 55, '118.7662459', '31.8305723', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293647192', 0, '2022-08-24 06:27:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117689, '123456789', 55, '118.7662533', '31.8303482', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293649586', 0, '2022-08-24 06:27:30', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117690, '123456789', 55, '118.7662576', '31.8302142', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293651404', 0, '2022-08-24 06:27:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117691, '123456789', 55, '118.766262', '31.8300797', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293653305', 0, '2022-08-24 06:27:33', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117692, '123456789', 55, '118.7662679', '31.8299002', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293655124', 0, '2022-08-24 06:27:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117693, '123456789', 55, '118.7662723', '31.8297655', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293657089', 0, '2022-08-24 06:27:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117694, '123456789', 55, '118.7662796', '31.829541', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293659518', 0, '2022-08-24 06:27:40', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117695, '123456789', 55, '118.766284', '31.8294059', '100.002', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293661010', 0, '2022-08-24 06:27:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117696, '123456789', 55, '118.7662899', '31.8292263', '100.001', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293663386', 0, '2022-08-24 06:27:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117697, '123456789', 55, '118.7662943', '31.8290919', '100.003', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293665217', 0, '2022-08-24 06:27:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117698, '123456789', 55, '118.7662996', '31.8289304', '100.004', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293667261', 0, '2022-08-24 06:27:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117699, '123456789', 55, '118.7663022', '31.8288549', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293669027', 0, '2022-08-24 06:27:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117700, '123456789', 55, '118.7663031', '31.8288296', '99.997', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293671398', 0, '2022-08-24 06:27:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117701, '123456789', 55, '118.7663056', '31.8288335', '99.993', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293673304', 0, '2022-08-24 06:27:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117702, '123456789', 55, '118.7663562', '31.8288307', '99.999', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293675136', 0, '2022-08-24 06:27:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117703, '123456789', 55, '118.7664502', '31.8288217', '99.995', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293677175', 0, '2022-08-24 06:27:57', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117704, '123456789', 55, '118.7666069', '31.8288059', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293679001', 0, '2022-08-24 06:27:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117705, '123456789', 55, '118.7667436', '31.8287924', '99.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293681369', 0, '2022-08-24 06:28:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117706, '123456789', 55, '118.766797', '31.8287871', '99.988', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293683409', 0, '2022-08-24 06:28:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117707, '123456789', 55, '118.766796', '31.8287873', '99.741', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293685566', 0, '2022-08-24 06:28:06', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117708, '123456789', 55, '118.7667933', '31.8287876', '97.713', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293687345', 0, '2022-08-24 06:28:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117709, '123456789', 55, '118.7667922', '31.8287878', '94.705', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293689453', 0, '2022-08-24 06:28:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117710, '123456789', 55, '118.766792', '31.8287878', '92.464', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293691137', 0, '2022-08-24 06:28:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117711, '123456789', 55, '118.7667917', '31.8287878', '88.723', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293693452', 0, '2022-08-24 06:28:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117712, '123456789', 55, '118.7667916', '31.8287878', '86.472', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293695287', 0, '2022-08-24 06:28:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117713, '123456789', 55, '118.7667915', '31.8287878', '83.472', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293697309', 0, '2022-08-24 06:28:17', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117714, '123456789', 55, '118.7667915', '31.8287878', '81.222', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293699152', 0, '2022-08-24 06:28:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117715, '123456789', 55, '118.7667914', '31.8287878', '77.469', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293701582', 0, '2022-08-24 06:28:22', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117716, '123456789', 55, '118.7667914', '31.8287878', '75.221', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293703587', 0, '2022-08-24 06:28:24', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117717, '123456789', 55, '118.7667914', '31.8287878', '72.227', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293705386', 0, '2022-08-24 06:28:25', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117718, '123456789', 55, '118.7667914', '31.8287878', '69.98', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293707158', 0, '2022-08-24 06:28:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117719, '123456789', 55, '118.7667914', '31.8287878', '67.728', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293709092', 0, '2022-08-24 06:28:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117720, '123456789', 55, '118.7667914', '31.8287878', '63.973', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293711415', 0, '2022-08-24 06:28:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117721, '123456789', 55, '118.7667914', '31.8287878', '60.97', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293713610', 0, '2022-08-24 06:28:34', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117722, '123456789', 55, '118.7667914', '31.8287878', '58.716', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293715344', 0, '2022-08-24 06:28:35', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117723, '123456789', 55, '118.7667914', '31.8287878', '56.466', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293717161', 0, '2022-08-24 06:28:37', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117724, '123456789', 55, '118.7667914', '31.8287878', '52.717', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293719467', 0, '2022-08-24 06:28:39', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117725, '123456789', 55, '118.7667914', '31.8287878', '50.472', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293721293', 0, '2022-08-24 06:28:41', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117726, '123456789', 55, '118.7667914', '31.8287878', '48.222', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293723056', 0, '2022-08-24 06:28:43', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117727, '123456789', 55, '118.7667914', '31.8287878', '44.466', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293725436', 0, '2022-08-24 06:28:45', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117728, '123456789', 55, '118.7667914', '31.8287878', '42.215', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293727259', 0, '2022-08-24 06:28:47', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117729, '123456789', 55, '118.7667914', '31.8287878', '39.962', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293729030', 0, '2022-08-24 06:28:49', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117730, '123456789', 55, '118.7667914', '31.8287878', '36.958', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293731342', 0, '2022-08-24 06:28:51', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117731, '123456789', 55, '118.7667914', '31.8287878', '33.96', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293733370', 0, '2022-08-24 06:28:53', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117732, '123456789', 55, '118.7667914', '31.8287878', '31.713', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293735147', 0, '2022-08-24 06:28:55', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117733, '123456789', 55, '118.7667914', '31.8287878', '27.972', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293737594', 0, '2022-08-24 06:28:58', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117734, '123456789', 55, '118.7667914', '31.8287878', '25.721', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293739371', 0, '2022-08-24 06:28:59', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117735, '123456789', 55, '118.7667914', '31.8287878', '22.717', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293741216', 0, '2022-08-24 06:29:01', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117736, '123456789', 55, '118.7667914', '31.8287878', '20.468', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293743007', 0, '2022-08-24 06:29:03', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117737, '123456789', 55, '118.7667914', '31.8287878', '16.716', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293745442', 0, '2022-08-24 06:29:05', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117738, '123456789', 55, '118.7667914', '31.8287878', '14.465', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293747351', 0, '2022-08-24 06:29:07', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117739, '123456789', 55, '118.7667914', '31.8287878', '12.214', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293749174', 0, '2022-08-24 06:29:09', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117740, '123456789', 55, '118.7667914', '31.8287878', '10.168', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293751273', 0, '2022-08-24 06:29:11', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117741, '123456789', 55, '118.7667914', '31.8287878', '9.205', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293753103', 0, '2022-08-24 06:29:13', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117742, '123456789', 55, '118.7667914', '31.8287878', '8.447', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293755138', 0, '2022-08-24 06:29:15', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117743, '123456789', 55, '118.7667914', '31.8287878', '7.19', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293757576', 0, '2022-08-24 06:29:18', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117744, '123456789', 55, '118.7667914', '31.8287878', '6.437', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293759052', 0, '2022-08-24 06:29:19', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117745, '123456789', 55, '118.7667914', '31.8287878', '5.433', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293761370', 0, '2022-08-24 06:29:21', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117746, '123456789', 55, '118.7667914', '31.8287878', '4.682', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293763129', 0, '2022-08-24 06:29:23', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117747, '123456789', 55, '118.7667914', '31.8287878', '3.68', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293765503', 0, '2022-08-24 06:29:26', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117748, '123456789', 55, '118.7667914', '31.8287878', '2.681', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293767479', 0, '2022-08-24 06:29:27', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117749, '123456789', 55, '118.7667914', '31.8287878', '1.679', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293769297', 0, '2022-08-24 06:29:29', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117750, '123456789', 55, '118.7667914', '31.8287878', '0.928', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293771144', 0, '2022-08-24 06:29:31', 0, NULL, 1, NULL);
INSERT INTO `th_flight_data_task` VALUES (117751, '123456789', 55, '118.7667914', '31.8287878', '0.059', NULL, NULL, NULL, NULL, NULL, NULL, '0', '1661293773707', 0, '2022-08-24 06:29:34', 0, NULL, 1, NULL);

-- ----------------------------
-- Table structure for th_inspection
-- ----------------------------
DROP TABLE IF EXISTS `th_inspection`;
CREATE TABLE `th_inspection`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `drone_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '执飞无人机ID',
  `airline_file_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '航线文件ID',
  `type` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '执行类型：1单次 2每天',
  `single_time` datetime NULL DEFAULT NULL COMMENT '单次执行时间',
  `everyday_time` time NULL DEFAULT NULL COMMENT '每天执行时间',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '任务状态：1待执行 2执行中',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建人',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` int UNSIGNED NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  `aid` int NULL DEFAULT NULL COMMENT '机场id',
  `aname` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '机场名称',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 74 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '飞行任务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_inspection
-- ----------------------------
INSERT INTO `th_inspection` VALUES (11, '2022092123563000011', '卢松区演示任务', 5, 30, 1, '2023-04-28 18:01:30', NULL, NULL, 1, 1, '2022-09-21 23:56:31', 1, '2023-04-28 18:00:25', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (12, '2022101414345300012', '芦淞区 河长制主题公园直播现场概况', 5, 32, 2, NULL, '14:34:40', NULL, 1, 6, '2022-10-14 14:34:53', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (13, '2022101416094400013', '芦淞区 湘江航线测试', 5, 33, 2, NULL, '16:09:33', NULL, 1, 6, '2022-10-14 16:09:44', 6, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (14, '2022101511362400014', '芦淞区 建宁港河道巡检', 5, 35, 2, NULL, '11:36:08', NULL, 1, 6, '2022-10-15 11:36:25', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (15, '2022101513513300015', '芦淞区 湘江一段河道巡检', 5, 36, 2, NULL, '13:51:23', NULL, 1, 6, '2022-10-15 13:51:33', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (16, '2022101607585000016', '芦淞区航线测试悬停', 5, 37, 2, NULL, '07:58:26', NULL, 1, 6, '2022-10-16 07:58:51', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (17, '2022101608571300017', '芦淞区 河长制主题公园直播现场概况', 5, 38, 2, NULL, '08:57:05', NULL, 1, 6, '2022-10-16 08:57:14', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (18, '2022101609475800018', '芦淞区 河长制主题公园直播现场概况', 5, 39, 2, NULL, '09:47:49', NULL, 1, 6, '2022-10-16 09:47:59', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (19, '2022101809285200019', '芦淞区 湘江二段河道巡检', 5, 40, 2, NULL, '09:28:38', NULL, 1, 6, '2022-10-18 09:28:53', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (20, '2022101809570700020', '芦淞区 湘江三段河道巡检', 5, 45, 2, NULL, '09:56:55', NULL, 1, 6, '2022-10-18 09:57:07', 1, '2022-12-19 17:11:43', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (21, '2022101815023100021', '芦淞区 枫溪港河道巡检', 5, 42, 2, NULL, '15:02:23', NULL, 1, 6, '2022-10-18 15:02:31', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (22, '2022102109233300022', '芦淞区 机场周边扫描', 5, 44, 2, NULL, '09:23:21', NULL, 1, 6, '2022-10-21 09:23:34', 1, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (23, '2022112817423900023', '芦淞区巡查', 5, 44, 1, '2022-11-29 17:42:38', NULL, NULL, 1, 1, '2022-11-28 17:42:40', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (24, '2022112817461200024', '自制芦淞航线1', 7, 47, 1, '2022-11-29 17:46:11', NULL, '自制芦淞航线1', 1, 1, '2022-11-28 17:46:13', 1, '2022-12-19 17:11:44', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (25, '2022113017125500025', '自制芦淞航线2', 7, 45, 2, NULL, '17:12:47', '自制芦淞航线2', 1, 1, '2022-11-30 17:12:56', 1, '2022-12-19 17:11:48', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (26, '2022120109112800026', 'TXT任务', 7, 60, 1, '2022-10-03 09:10:48', NULL, 'TXT任务', 1, 1, '2022-12-01 09:11:29', 1, '2022-12-19 17:11:38', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (27, '2022120114214000027', '江苏软件园航线1', 7, 58, 1, '2022-12-08 14:21:36', NULL, '江苏软件园周边1', 1, 1, '2022-12-01 14:21:41', 1, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (28, '2022120115052400028', '江苏软件园周边大区域1', 7, 59, 2, NULL, '15:07:20', '江苏软件园周边大区域1', 1, 1, '2022-12-01 15:05:25', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (29, '2022120209500200029', 'test-1202-001', 9, 47, 1, '2022-12-10 09:50:00', NULL, NULL, 1, 6, '2022-12-02 09:50:03', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (30, '2022120616591400030', '江苏软件园周边航线', 7, 59, 2, NULL, '16:59:09', '江苏软件园周边航线', 1, 1, '2022-12-06 16:59:15', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (31, '2022120617052600031', '11', 7, 57, 1, '2022-12-07 17:05:23', NULL, '1', 1, 1, '2022-12-06 17:05:27', 6, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (32, '2022120617140600032', '22', 7, 58, 1, '2022-12-06 17:14:04', NULL, NULL, 1, 1, '2022-12-06 17:14:07', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (33, '2022120617145200033', '33', 7, 58, 1, '2022-12-06 17:14:50', NULL, NULL, 1, 1, '2022-12-06 17:14:52', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (34, '2022120709163500034', '新任务', 7, 59, 1, '2022-12-07 09:16:30', NULL, NULL, 1, 1, '2022-12-07 09:16:36', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (35, '2022120709464700035', '新任务01', 7, 58, 1, '2022-12-07 09:46:43', NULL, NULL, 1, 1, '2022-12-07 09:46:47', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (36, '2022120710263100036', '新任务02', 7, 58, 1, '2022-12-07 10:26:26', NULL, NULL, 1, 1, '2022-12-07 10:26:32', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (37, '2022120710301800037', '新任务03', 7, 58, 1, '2022-12-07 10:30:15', NULL, NULL, 1, 1, '2022-12-07 10:30:19', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (38, '2022120710413400038', '新任务04', 7, 58, 1, '2022-12-07 10:41:31', NULL, NULL, 1, 1, '2022-12-07 10:41:35', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (39, '2022120710485000039', '新任务05', 7, 58, 1, '2022-12-07 10:48:47', NULL, NULL, 1, 1, '2022-12-07 10:48:50', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (40, '2022120712090500040', '新任务06', 7, 58, 2, NULL, '12:09:00', NULL, 1, 1, '2022-12-07 12:09:06', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (41, '2022120714062500041', '新任务07', 7, 58, 1, '2022-12-07 14:06:22', NULL, NULL, 1, 1, '2022-12-07 14:06:26', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (42, '2022120714142100042', '任务8', 7, 59, 1, '2022-12-07 14:14:18', NULL, NULL, 1, 1, '2022-12-07 14:14:22', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (43, '2022120714194300043', '任务9', 7, 59, 1, '2022-12-07 14:19:40', NULL, NULL, 1, 1, '2022-12-07 14:19:43', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (44, '2022120715052100044', '任务10', 7, 60, 1, '2022-12-07 15:05:17', NULL, NULL, 1, 1, '2022-12-07 15:05:21', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (45, '2022120715104300045', '任务11', 7, 60, 1, '2022-12-07 15:10:39', NULL, NULL, 1, 1, '2022-12-07 15:10:43', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (46, '2022120715191400046', '任务12', 7, 60, 1, '2022-12-07 15:19:10', NULL, NULL, 1, 1, '2022-12-07 15:19:15', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (47, '2022120715364100047', '任务13', 7, 58, 2, NULL, '15:36:38', NULL, 1, 1, '2022-12-07 15:36:42', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (48, '2022120715421300048', '任务14', 7, 58, 2, NULL, '15:42:10', NULL, 1, 1, '2022-12-07 15:42:14', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (49, '2022120715480600049', '任务15', 7, 60, 2, NULL, '15:48:04', NULL, 1, 1, '2022-12-07 15:48:07', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (50, '2022120715560100050', '任务16', 7, 60, 1, '2022-12-07 15:55:57', NULL, NULL, 1, 1, '2022-12-07 15:56:01', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (51, '2022121211112200051', '芦淞区演示(8min)', 9, 63, 1, '2022-12-12 11:11:18', NULL, NULL, 1, 1, '2022-12-12 11:11:22', 1, '2023-01-13 13:20:31', 1, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (52, '2022121216283500052', '芦淞区演示1', 9, 62, 1, '2022-12-12 16:28:33', NULL, NULL, 1, 1, '2022-12-12 16:28:36', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (53, '2022121309202800053', '芦淞河巡检', 9, 61, 1, '2022-12-13 09:26:15', NULL, NULL, 1, 1, '2022-12-13 09:20:29', 0, '2022-12-15 15:05:11', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (54, '2022121316565400054', '卢松区演示航线(3min)', 9, 61, 1, '2022-12-13 16:56:48', NULL, '卢松区演示航线 ', 1, 1, '2022-12-13 16:56:54', 1, '2022-12-15 15:05:11', 1, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (55, '2022121515164900055', 'B100机场航线2分钟', 11, 65, 1, '2022-12-15 15:16:44', NULL, NULL, 1, 21, '2022-12-15 15:16:49', 22, '2023-01-13 13:20:33', 1, 21, NULL, NULL);
INSERT INTO `th_inspection` VALUES (56, '2022121911440300056', 'A100江苏软件园简短航线1', 10, 60, 1, '2022-12-19 11:43:51', NULL, '江苏软件园简短航线1', 1, 20, '2022-12-19 11:44:03', 20, '2022-12-19 13:12:27', 1, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (57, '2022121913152100057', 'Atest-大机场软件园航线1', 9, 64, 1, '2022-12-20 13:15:14', NULL, 'Atest-大机场软件园航线1', 1, 20, '2022-12-19 13:15:21', 0, NULL, 1, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (58, '2022121917232200058', 'A100验证任务创建', 10, 61, 1, '2022-12-19 17:23:18', NULL, NULL, 1, 20, '2022-12-19 17:23:22', 20, '2022-12-20 08:39:46', 1, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (59, '2022122010173700059', '1', 10, 59, 1, '2022-12-14 10:17:34', NULL, NULL, 1, 20, '2022-12-20 10:17:38', 0, '2022-12-30 11:16:13', 0, 20, NULL, NULL);
INSERT INTO `th_inspection` VALUES (60, '2023010414215500060', '软件园周边', 14, 67, 2, NULL, '14:21:53', NULL, 1, 27, '2023-01-04 14:21:55', 0, NULL, 1, 23, NULL, NULL);
INSERT INTO `th_inspection` VALUES (61, '2023010711290400061', 'C100江苏软件园航线1', 15, 68, 1, '2023-01-07 11:29:01', NULL, NULL, 1, 23, '2023-01-07 11:29:04', 0, NULL, 1, 22, NULL, NULL);
INSERT INTO `th_inspection` VALUES (62, '2023011013443300062', 'B200机场航线2分钟', 13, 65, 1, '2023-01-10 13:44:29', NULL, NULL, 1, 22, '2023-01-10 13:44:33', 22, '2023-01-10 19:33:58', 1, 21, NULL, NULL);
INSERT INTO `th_inspection` VALUES (63, '2023011019341500063', 'B100机场航线8分钟', 11, 69, 2, '2022-08-24 17:50:00', '18:20:05', NULL, 1, 22, '2023-01-10 19:34:16', 22, '2022-08-24 18:19:17', 1, 21, 0, NULL);
INSERT INTO `th_inspection` VALUES (64, NULL, '指点任务1675411077142', 15, 71, 0, NULL, NULL, NULL, 1, 0, '2023-02-03 15:57:57', 0, NULL, 1, NULL, NULL, NULL);
INSERT INTO `th_inspection` VALUES (65, NULL, '指点任务1675411392349', 15, 72, 0, NULL, NULL, NULL, 1, 0, '2023-02-03 16:03:12', 0, NULL, 1, NULL, NULL, NULL);
INSERT INTO `th_inspection` VALUES (66, NULL, '指点任务1675411415962', 15, 73, 0, NULL, NULL, NULL, 1, 0, '2023-02-03 16:03:36', 0, NULL, 1, 21, NULL, NULL);
INSERT INTO `th_inspection` VALUES (67, NULL, '指点任务1675411449784', 13, 74, 0, NULL, NULL, NULL, 1, 0, '2023-02-03 16:04:10', 0, NULL, 1, 21, NULL, NULL);
INSERT INTO `th_inspection` VALUES (68, NULL, '指点任务1675416447725', 13, 75, 0, NULL, NULL, NULL, 1, 0, '2023-02-03 17:27:28', 0, NULL, 1, 21, NULL, NULL);
INSERT INTO `th_inspection` VALUES (69, NULL, '指点任务1675416568772', 13, 76, 0, NULL, NULL, NULL, 1, 0, '2023-02-03 17:29:29', 22, '2023-04-26 16:20:24', 3, 21, NULL, NULL);
INSERT INTO `th_inspection` VALUES (70, NULL, '指点任务1661276833117', 7, 77, 3, NULL, NULL, NULL, 1, 0, '2022-08-24 01:47:13', 0, NULL, 1, 1, NULL, NULL);
INSERT INTO `th_inspection` VALUES (71, NULL, '指点任务1661279190571', 11, 78, 3, NULL, NULL, NULL, 1, 0, '2022-08-24 02:26:31', 0, NULL, 1, 1, NULL, NULL);
INSERT INTO `th_inspection` VALUES (72, NULL, '指点任务1661286996655', 11, 79, 3, NULL, NULL, NULL, 1, 0, '2022-08-24 04:36:37', 0, NULL, 1, 1, NULL, NULL);
INSERT INTO `th_inspection` VALUES (73, '2022082416392900073', '345234', 11, 69, 1, '2023-05-05 10:13:14', NULL, '345', 1, 22, '2022-08-24 16:39:30', 0, NULL, 1, 21, 0, NULL);

-- ----------------------------
-- Table structure for th_inspection_record
-- ----------------------------
DROP TABLE IF EXISTS `th_inspection_record`;
CREATE TABLE `th_inspection_record`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `drone_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '执飞无人机ID',
  `airline_file_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '航线文件ID',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '任务状态：1准备中  2执行中 3任务完成 4 任务取消 5 任务失败',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建人',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` int UNSIGNED NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  `Task_Source` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务来源',
  `Task_Source_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务来源名称',
  `task_id` int NULL DEFAULT NULL COMMENT '所属任务id',
  `start_time` datetime NULL DEFAULT NULL,
  `end_time` datetime NULL DEFAULT NULL,
  `aname` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `aid` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 98 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '飞行任务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_inspection_record
-- ----------------------------
INSERT INTO `th_inspection_record` VALUES (81, '2022101815023100021', '芦淞区 枫溪港河道巡检', 5, 42, NULL, 3, 6, '2023-04-19 10:04:34', 0, '2023-05-09 17:06:38', 1, 21, NULL, NULL, NULL, '2022-11-29 17:42:38', '2022-11-29 17:42:38', NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (82, '2022101815023100021', '芦淞区 枫溪港河道巡检', 5, 42, NULL, 3, 6, '2023-04-19 10:21:18', 0, '2023-05-09 17:06:38', 1, 21, NULL, NULL, NULL, '2022-11-30 17:42:38', '2022-11-29 17:42:38', NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (83, '2022101815023100021', '芦淞区 枫溪港河道巡检', 5, 42, NULL, 3, 6, '2023-04-19 10:21:26', 0, '2023-05-09 17:06:38', 1, 21, NULL, NULL, NULL, '2022-11-22 17:42:38', '2022-11-29 17:42:38', NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (84, '2022101815023100021', '芦淞区 枫溪港河道巡检', 5, 42, NULL, 3, 6, '2023-04-19 10:38:06', 0, '2023-05-09 17:06:38', 1, 21, 'airport', '机场', 69, '2022-11-08 17:42:38', '2022-11-21 17:42:38', NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (85, '2022120114214000027', '江苏软件园航线1', 7, 58, '江苏软件园周边1', 3, 1, '2023-04-24 15:10:48', 1, '2023-05-09 17:06:38', 1, 20, 'airport', '机场', 27, NULL, NULL, NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (86, '2022120114214000027', '江苏软件园航线1', 7, 58, '江苏软件园周边1', 3, 1, '2023-04-24 15:11:24', 1, '2023-05-09 17:06:38', 1, 20, 'airport', '机场', 27, NULL, NULL, NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (87, '2022120114214000027', '江苏软件园航线1', 7, 58, '江苏软件园周边1', 3, 1, '2023-04-24 15:22:13', 1, '2023-05-09 17:06:38', 1, 20, 'airport', '机场', 27, NULL, NULL, NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (88, '2022120114214000027', '江苏软件园航线1', 7, 58, '江苏软件园周边1', 3, 1, '2023-04-24 15:26:52', 1, '2023-05-09 17:06:38', 1, 20, 'airport', '机场', 27, NULL, NULL, NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (89, '2022120114214000027', '江苏软件园航线1', 7, 58, '江苏软件园周边1', 3, 1, '2023-04-24 15:27:07', 1, '2023-05-09 17:06:38', 1, 20, 'airport', '机场', 27, NULL, NULL, NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (90, '2022120114214000027', '江苏软件园航线1', 7, 58, '江苏软件园周边1', 3, 1, '2023-04-24 15:35:16', 1, '2023-05-09 17:06:38', 1, 20, 'airport', '机场', 27, NULL, NULL, NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (91, '2022120114214000027', '江苏软件园航线1', 7, 58, '江苏软件园周边1', 3, 1, '2023-04-24 15:35:28', 1, '2023-05-09 17:06:38', 1, 20, 'airport', '机场', 27, NULL, NULL, NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (92, '2022120114214000027', '江苏软件园航线1', 7, 58, '江苏软件园周边1', 3, 1, '2023-04-24 16:06:51', 1, '2023-05-09 17:06:38', 1, 20, 'airport', '机场', 27, NULL, NULL, NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (93, '2022120114214000027', '江苏软件园航线1', 7, 58, '江苏软件园周边1', 3, 1, '2023-04-24 16:13:57', 1, '2023-05-09 17:06:38', 1, 20, 'airport', '机场', 27, NULL, NULL, NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (94, '2022120114214000027', '江苏软件园航线1', 7, 58, '江苏软件园周边1', 3, 1, '2023-04-24 16:17:49', 1, '2023-05-09 17:06:38', 1, 20, 'airport', '机场', 27, NULL, NULL, NULL, NULL);
INSERT INTO `th_inspection_record` VALUES (95, '2023011019341500063', 'B100机场航线8分钟', 11, 69, NULL, 3, 22, '2023-05-04 10:58:02', 0, '2023-05-09 17:06:38', 1, 21, 'airport', '机场平台', 63, NULL, NULL, NULL, 0);
INSERT INTO `th_inspection_record` VALUES (96, '2023011019341500063', 'B100机场航线8分钟', 11, 69, NULL, 3, 22, '2022-08-24 16:57:00', 22, '2023-05-09 17:06:38', 1, 21, 'airport', '机场平台', 63, NULL, NULL, NULL, 0);
INSERT INTO `th_inspection_record` VALUES (97, '2023011019341500063', 'B100机场航线8分钟', 11, 69, NULL, 3, 22, '2022-08-24 18:20:05', 22, '2023-05-09 17:06:38', 1, 21, 'airport', '机场平台', 63, NULL, NULL, NULL, 0);

-- ----------------------------
-- Table structure for th_live_channel
-- ----------------------------
DROP TABLE IF EXISTS `th_live_channel`;
CREATE TABLE `th_live_channel`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '直播通道名称',
  `push_url` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '推流地址',
  `pull_url` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '拉流地址',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `status` tinyint UNSIGNED NULL DEFAULT 1 COMMENT '状态：1正常 2停用',
  `create_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建人',
  `create_user_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_user_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人名称',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '直播通道表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_live_channel
-- ----------------------------

-- ----------------------------
-- Table structure for th_megaphone
-- ----------------------------
DROP TABLE IF EXISTS `th_megaphone`;
CREATE TABLE `th_megaphone`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `code` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '设备编号',
  `name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备名称',
  `image` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备照片',
  `audio_file` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '音频文件',
  `manufacturer` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生产厂家',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '状态：1在用 2停用',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_user` int UNSIGNED NULL DEFAULT 0 COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE,
  INDEX `code`(`code` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '喊话器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_megaphone
-- ----------------------------
INSERT INTO `th_megaphone` VALUES (4, 'TH001', '喊话器1', '/images/megaphone/20220921/20220921152602348.jpg', NULL, '拓恒', 1, NULL, 0, '2022-09-21 15:26:24', 0, '2022-12-16 08:58:31', 0, 20);
INSERT INTO `th_megaphone` VALUES (5, 'TH0011', '喊话器2号', 'http://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/07127e43-77d6-480c-9159-b5d638ee86c8.jpg', '9,10', '托亨制造', 1, '1111111111111', 0, '2022-11-29 13:46:54', 0, '2022-12-15 15:05:11', 0, 20);
INSERT INTO `th_megaphone` VALUES (6, 'TH011', '喊话器2号', 'http://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/2e1df9ff-d24d-4a1f-b086-8ec108254faa.jpg', '9,10', '托亨制造1', 1, '1111111111', 0, '2022-11-29 13:58:45', 0, '2022-12-15 15:05:11', 1, 20);
INSERT INTO `th_megaphone` VALUES (7, 'TH00112', '11', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/9808c184-cd89-4aeb-b582-785b979d12e0.jpg', '9,12,11,10', '1', 1, NULL, 0, '2022-12-02 14:37:22', 0, '2022-12-15 15:05:11', 1, 20);
INSERT INTO `th_megaphone` VALUES (8, 'TH001111', '11111', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/0f91e19d-11fa-403b-bc8f-4bf8d729511a.jpg', '9,10', '托亨制造1', 1, NULL, 0, '2022-12-05 02:32:09', 0, '2022-12-15 15:05:11', 0, 20);
INSERT INTO `th_megaphone` VALUES (9, '11111', '111111111', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/3644eb99-8d24-4b05-80b9-ba92e7e5308b.jpg', '9', '111111111', 1, NULL, 0, '2022-12-05 02:33:30', 0, '2022-12-15 15:05:11', 0, 20);
INSERT INTO `th_megaphone` VALUES (10, 'hhq1205', 'hhq1205-name', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/3b41d4fd-5159-4237-9798-1d3eecc8d765.jpg', '', 'hhq1205-cjcj', 1, NULL, 0, '2022-12-05 02:43:17', 0, '2022-12-15 15:05:11', 0, 20);
INSERT INTO `th_megaphone` VALUES (11, '1112', 'Hum', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/09ffaa67-fd71-4854-807d-fc1bb651080f.jpg', '9,11', '托亨制造1', 1, NULL, 0, '2022-12-04 18:14:07', 0, '2022-12-15 15:05:11', 1, 20);
INSERT INTO `th_megaphone` VALUES (12, '1111', '111', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/5fdd4f32-8f2e-424a-aabe-db3ba414206c.jpg', '9', '托亨制造1', 1, NULL, 0, '2022-12-06 10:44:44', 0, '2022-12-15 15:05:11', 0, 20);
INSERT INTO `th_megaphone` VALUES (13, 'A喊话器01', 'A喊话器01', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/564b6cc7-d259-4197-a807-634ac75c78b5.png', '9,10,11,12', '托亨制造', 1, '11111', 0, '2022-12-15 17:14:41', 0, '2022-12-16 08:35:48', 1, 20);
INSERT INTO `th_megaphone` VALUES (14, 'B喊话器', 'B喊话器', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/51dc9c5c-56bf-4ff4-b94a-92052870ef35.png', '14', '托亨制造', 1, '11', 0, '2022-12-16 09:19:44', 0, NULL, 1, 21);
INSERT INTO `th_megaphone` VALUES (15, '1112', '喊话器', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/76fa520b-27f6-40ba-bba9-8467ec4bdbe5.jpg', NULL, '1', 1, NULL, 0, '2023-01-04 13:36:13', 0, NULL, 1, 23);
INSERT INTO `th_megaphone` VALUES (16, 'C喊话', 'C喊话', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/af619b64-9e6f-451d-94de-9d45f04a8ae8.jpg', '15', '托亨制造', 1, NULL, 0, '2023-01-07 11:25:07', 0, NULL, 1, 22);

-- ----------------------------
-- Table structure for th_searchlight
-- ----------------------------
DROP TABLE IF EXISTS `th_searchlight`;
CREATE TABLE `th_searchlight`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `code` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '设备编号',
  `name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备名称',
  `image` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备照片',
  `manufacturer` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生产厂家',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '状态：1在用 2停用',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_user` int UNSIGNED NULL DEFAULT 0 COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `mark` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '有效标记',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE,
  INDEX `code`(`code` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '探照灯表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_searchlight
-- ----------------------------
INSERT INTO `th_searchlight` VALUES (4, 'TH001', '探照灯1', '/images/searchlight/20220921/20220921152636594.jpg', '拓恒', 1, NULL, 0, '2022-09-21 15:26:57', 0, '2022-12-16 08:58:21', 0, 20);
INSERT INTO `th_searchlight` VALUES (5, 'TH0011', '探照灯2号', 'http://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/e0ec5842-b9e1-42b8-b032-93992e22cbef.png', '托亨制造', 2, '1111', 0, '2022-11-29 13:36:42', 0, '2022-12-15 15:05:11', 1, 20);
INSERT INTO `th_searchlight` VALUES (6, 'TH001111', 'TH001111', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/dc82e8e8-0481-4019-98d5-e37c58113f84.jpg', 'TH0011111', 1, NULL, 0, '2022-12-06 10:23:06', 0, '2022-12-15 15:05:11', 0, 20);
INSERT INTO `th_searchlight` VALUES (7, 'A探照灯01', 'A探照灯01', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/c105164f-14db-4f39-a4ad-c35eac8476c7.jpg', '托亨制造1', 1, '1111122222', 0, '2022-12-16 08:57:07', 0, '2022-12-16 08:57:29', 1, 20);
INSERT INTO `th_searchlight` VALUES (8, 'B探照灯01', 'B探照灯01', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/b60cc052-ec45-40ae-9ae6-2ef0f5c58d1a.png', '托亨制造', 1, NULL, 0, '2022-12-16 09:19:02', 0, NULL, 1, 21);
INSERT INTO `th_searchlight` VALUES (9, '1112e', '探照灯', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/e711a5f7-ffd3-4708-9295-9a34753aec50.jpg', '12', 1, NULL, 0, '2023-01-04 13:36:35', 0, NULL, 1, 23);
INSERT INTO `th_searchlight` VALUES (10, 'C探照灯', 'C探照灯', 'https://th-airport.oss-cn-shanghai.aliyuncs.com/testFile/ed8edaca-7909-4ff1-b8dc-f4dbe34a4115.jpg', '托亨制造', 1, NULL, 0, '2023-01-07 11:24:45', 0, NULL, 1, 22);

-- ----------------------------
-- Table structure for th_senorstatus
-- ----------------------------
DROP TABLE IF EXISTS `th_senorstatus`;
CREATE TABLE `th_senorstatus`  (
  `id` int NOT NULL,
  `senor` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '传感器',
  `status` int NULL DEFAULT NULL COMMENT '0123',
  `tenant_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_senorstatus
-- ----------------------------
INSERT INTO `th_senorstatus` VALUES (1, 'left_Motor', 0, 20);
INSERT INTO `th_senorstatus` VALUES (2, 'fixed_motor', 0, 20);

-- ----------------------------
-- Table structure for th_tenant
-- ----------------------------
DROP TABLE IF EXISTS `th_tenant`;
CREATE TABLE `th_tenant`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户名称',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `user_id` int NULL DEFAULT NULL COMMENT '租户账号对应user_id',
  `logo` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户LOGO',
  `type` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '租户类型：1政府 2企业 3组织',
  `phone` char(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户电话',
  `email` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户邮箱',
  `platform_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '平台名称',
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '详细地址',
  `note` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_user` int NULL DEFAULT 0 COMMENT '添加人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` int NULL DEFAULT 0 COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `mark` tinyint(1) NOT NULL DEFAULT 1 COMMENT '有效标识(1正常 0删除)',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 39 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '租户管理表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of th_tenant
-- ----------------------------
INSERT INTO `th_tenant` VALUES (1, 'thadmin', 'THJS2', 1, 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/%E4%B8%8A%E4%BC%A0%E5%A4%B1%E8%B4%A5', 1, '1395162434', '35655@qq.com', 'admin-platform', 'address01', 'note1233', 1, '2022-12-08 16:21:15', 1, '2022-12-06 17:26:15', 1);
INSERT INTO `th_tenant` VALUES (20, 'zuhu1', 'THJS1', 20, 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/%E4%B8%8A%E4%BC%A0%E5%A4%B1%E8%B4%A5', 1, '1395162434', '35655@qq.com', 'zhuhu01-platform', 'address01', 'note1233', 1, '2022-12-08 16:21:15', 1, '2022-12-06 17:26:15', 1);
INSERT INTO `th_tenant` VALUES (21, 'zuhu2', 'THJS', 22, 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/%E4%B8%8A%E4%BC%A0%E5%A4%B1%E8%B4%A5', 1, '1395166464', '32432@qq.com', 'zhuhu02-platform', 'address02', 'note3444', 1, '2022-12-08 16:21:17', 1, '2022-12-08 16:21:28', 1);
INSERT INTO `th_tenant` VALUES (22, 'zuhu3', 'THJS3', 23, 'https://th-airport.oss-cn-shanghai.aliyuncs.com/devFile/%E4%B8%8A%E4%BC%A0%E5%A4%B1%E8%B4%A5', 1, '1395166464', '32432@qq.com', 'zhuhu02-platform', 'address02', 'note3444', 1, '2022-12-08 16:21:17', 1, '2022-12-08 16:21:28', 1);
INSERT INTO `th_tenant` VALUES (30, 'zuhutest01', 'zuhutest95327', 40, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, '2023-02-02 13:19:50', 0, NULL, 1);
INSERT INTO `th_tenant` VALUES (31, 'xzqlll4', 'xzqlllcode04', 41, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, '2022-08-24 19:56:31', 0, NULL, 1);
INSERT INTO `th_tenant` VALUES (32, 'xzqlll5', 'xzqlllcode05', 42, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, '2022-08-24 22:49:39', 0, NULL, 1);
INSERT INTO `th_tenant` VALUES (33, '小影测试业务对接08', 'xyceshi99908', 43, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, '2022-08-24 04:19:27', 0, NULL, 1);
INSERT INTO `th_tenant` VALUES (34, 'kaifa', 'kf001', 44, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, '2022-08-24 04:33:44', 0, NULL, 1);
INSERT INTO `th_tenant` VALUES (35, '要你管', 'yn001', 45, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, '2022-08-24 09:34:56', 0, NULL, 1);
INSERT INTO `th_tenant` VALUES (36, '开发租户', 'dev001', 46, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, '2022-08-24 10:42:55', 0, NULL, 1);
INSERT INTO `th_tenant` VALUES (37, '开发租户2', 'dev002', 47, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, '2022-08-24 10:44:39', 0, NULL, 1);
INSERT INTO `th_tenant` VALUES (38, '租户3', 'zh003', 48, NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, '2022-08-24 10:46:40', 0, NULL, 1);

SET FOREIGN_KEY_CHECKS = 1;
